# Gitlink MySQL Docker 

### 基础配置文件 `.env` 

1. 注意修改配置文件中的 `WORKPATH` 为当前自己硬盘上的绝对路径，也就是当前仓库的绝对路径
2. 考虑到部分同学可能更倾向于将 `docker` 和其 `volume` 数据分离存放，加入了 `DATAPATH` 变量，请将其指定为 `gitlink 数据文件` 的绝对路径 
3. 其他配置为数据库相关的配置，eg：数据库名称、账户名、账户密码、root口令等，请自行修改

### 数据库脚本 `sql\structure.sql`
1. 此文件为 `gitlink` 数据库的基础架构，再任何情况下请不要随意修改
2. 官方的 `MySQL` 镜像提供了 `docker-entrypoint-initdb.d` 入口可以执行初始化脚本.考虑到执行顺序问题，可以按照 sql 脚本的先后顺序映射为 `0000.sql`、`0001.sql` 等（目前仅需要将 `structure.sql` 映射为 `0000.sql` 即可）

### 创建脚本 `docker-compose.yml` 

安装完 `docker` 之后，在当前根目录执行 `docker-compose up -d`


