-- MySQL dump 10.13  Distrib 8.0.25, for macos11.3 (x86_64)
--
-- Host: localhost    Database: forge_structure
-- ------------------------------------------------------
-- Server version	8.0.25

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `api_keys`
--

DROP TABLE IF EXISTS `api_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `api_keys` (
  `id` int NOT NULL AUTO_INCREMENT,
  `access_token` varchar(255) DEFAULT NULL,
  `expires_at` datetime DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `active` tinyint(1) DEFAULT '1',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_api_keys_on_user_id` (`user_id`),
  KEY `index_api_keys_on_access_token` (`access_token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `api_keys`
--

LOCK TABLES `api_keys` WRITE;
/*!40000 ALTER TABLE `api_keys` DISABLE KEYS */;
/*!40000 ALTER TABLE `api_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `applied_contests`
--

DROP TABLE IF EXISTS `applied_contests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `applied_contests` (
  `id` int NOT NULL AUTO_INCREMENT,
  `contest_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `role` varchar(255) DEFAULT NULL,
  `status` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_applied_contests_on_contest_id` (`contest_id`),
  KEY `index_applied_contests_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `applied_contests`
--

LOCK TABLES `applied_contests` WRITE;
/*!40000 ALTER TABLE `applied_contests` DISABLE KEYS */;
/*!40000 ALTER TABLE `applied_contests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `applied_messages`
--

DROP TABLE IF EXISTS `applied_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `applied_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `applied_id` int DEFAULT NULL,
  `applied_type` varchar(255) DEFAULT NULL,
  `viewed` int DEFAULT '0',
  `status` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `applied_user_id` int DEFAULT NULL,
  `role` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `applied_messages`
--

LOCK TABLES `applied_messages` WRITE;
/*!40000 ALTER TABLE `applied_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `applied_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `applied_projects`
--

DROP TABLE IF EXISTS `applied_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `applied_projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `user_id` int NOT NULL,
  `role` int DEFAULT '0',
  `status` int DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `applied_projects`
--

LOCK TABLES `applied_projects` WRITE;
/*!40000 ALTER TABLE `applied_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `applied_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `applied_transfer_projects`
--

DROP TABLE IF EXISTS `applied_transfer_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `applied_transfer_projects` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` bigint DEFAULT NULL,
  `owner_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `status` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_applied_transfer_projects_on_project_id` (`project_id`),
  KEY `index_applied_transfer_projects_on_owner_id` (`owner_id`),
  KEY `index_applied_transfer_projects_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `applied_transfer_projects`
--

LOCK TABLES `applied_transfer_projects` WRITE;
/*!40000 ALTER TABLE `applied_transfer_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `applied_transfer_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `apply_actions`
--

DROP TABLE IF EXISTS `apply_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `apply_actions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `dealer_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `status` tinyint DEFAULT '0',
  `apply_reason` text,
  `noticed` tinyint(1) DEFAULT '0',
  `ip_addr` varchar(255) DEFAULT NULL,
  `reject_description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_apply_actions_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `apply_actions`
--

LOCK TABLES `apply_actions` WRITE;
/*!40000 ALTER TABLE `apply_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `apply_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `apply_add_departments`
--

DROP TABLE IF EXISTS `apply_add_departments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `apply_add_departments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `department_id` int DEFAULT NULL,
  `school_id` int DEFAULT NULL,
  `remarks` text,
  `user_id` int DEFAULT NULL,
  `status` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_apply_add_departments_on_department_id` (`department_id`),
  KEY `index_apply_add_departments_on_school_id` (`school_id`),
  KEY `index_apply_add_departments_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `apply_add_departments`
--

LOCK TABLES `apply_add_departments` WRITE;
/*!40000 ALTER TABLE `apply_add_departments` DISABLE KEYS */;
/*!40000 ALTER TABLE `apply_add_departments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `apply_project_masters`
--

DROP TABLE IF EXISTS `apply_project_masters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `apply_project_masters` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `apply_type` varchar(255) DEFAULT NULL,
  `apply_id` int DEFAULT NULL,
  `status` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `apply_project_masters`
--

LOCK TABLES `apply_project_masters` WRITE;
/*!40000 ALTER TABLE `apply_project_masters` DISABLE KEYS */;
/*!40000 ALTER TABLE `apply_project_masters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `apply_resources`
--

DROP TABLE IF EXISTS `apply_resources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `apply_resources` (
  `id` int NOT NULL AUTO_INCREMENT,
  `status` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `content` text,
  `apply_user_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `apply_resources`
--

LOCK TABLES `apply_resources` WRITE;
/*!40000 ALTER TABLE `apply_resources` DISABLE KEYS */;
/*!40000 ALTER TABLE `apply_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `apply_user_authentications`
--

DROP TABLE IF EXISTS `apply_user_authentications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `apply_user_authentications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `status` int DEFAULT NULL,
  `auth_type` int DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  `dealer` int DEFAULT NULL,
  `deal_time` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `is_delete` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_apply_user_authentications_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `apply_user_authentications`
--

LOCK TABLES `apply_user_authentications` WRITE;
/*!40000 ALTER TABLE `apply_user_authentications` DISABLE KEYS */;
/*!40000 ALTER TABLE `apply_user_authentications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ar_internal_metadata`
--

DROP TABLE IF EXISTS `ar_internal_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ar_internal_metadata` (
  `key` varchar(255) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ar_internal_metadata`
--

LOCK TABLES `ar_internal_metadata` WRITE;
/*!40000 ALTER TABLE `ar_internal_metadata` DISABLE KEYS */;
INSERT INTO `ar_internal_metadata` VALUES ('environment','development','2021-08-27 08:51:46','2021-08-27 08:51:46');
/*!40000 ALTER TABLE `ar_internal_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attachment_group_settings`
--

DROP TABLE IF EXISTS `attachment_group_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attachment_group_settings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `attachment_id` int DEFAULT NULL,
  `course_group_id` int DEFAULT NULL,
  `course_id` int DEFAULT NULL,
  `publish_time` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_attachment_group_settings_on_attachment_id` (`attachment_id`),
  KEY `index_attachment_group_settings_on_course_group_id` (`course_group_id`),
  KEY `index_attachment_group_settings_on_course_id` (`course_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attachment_group_settings`
--

LOCK TABLES `attachment_group_settings` WRITE;
/*!40000 ALTER TABLE `attachment_group_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `attachment_group_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attachment_histories`
--

DROP TABLE IF EXISTS `attachment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attachment_histories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `filename` varchar(255) DEFAULT '',
  `disk_filename` varchar(255) DEFAULT '',
  `filesize` int DEFAULT '0',
  `content_type` varchar(255) DEFAULT '',
  `digest` varchar(60) DEFAULT '',
  `downloads` int DEFAULT '0',
  `author_id` int DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `description` text,
  `disk_directory` varchar(255) DEFAULT NULL,
  `attachtype` int DEFAULT NULL,
  `is_public` int DEFAULT NULL,
  `copy_from` int DEFAULT NULL,
  `quotes` int DEFAULT NULL,
  `version` int DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `is_publish` int DEFAULT '1',
  `publish_time` date DEFAULT NULL,
  `cloud_url` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attachment_histories`
--

LOCK TABLES `attachment_histories` WRITE;
/*!40000 ALTER TABLE `attachment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `attachment_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attachments`
--

DROP TABLE IF EXISTS `attachments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attachments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(30) DEFAULT NULL,
  `filename` varchar(255) NOT NULL DEFAULT '',
  `disk_filename` varchar(255) NOT NULL DEFAULT '',
  `filesize` int NOT NULL DEFAULT '0',
  `content_type` varchar(255) DEFAULT '',
  `digest` varchar(60) NOT NULL DEFAULT '',
  `downloads` int NOT NULL DEFAULT '0',
  `author_id` int NOT NULL DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `description` text,
  `disk_directory` varchar(255) DEFAULT NULL,
  `attachtype` int DEFAULT '1',
  `is_public` int DEFAULT '1',
  `copy_from` int DEFAULT NULL,
  `quotes` int DEFAULT '0',
  `is_publish` int DEFAULT '1',
  `publish_time` datetime DEFAULT NULL,
  `resource_bank_id` int DEFAULT NULL,
  `unified_setting` tinyint(1) DEFAULT '1',
  `cloud_url` varchar(255) DEFAULT '',
  `course_second_category_id` int DEFAULT '0',
  `delay_publish` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_attachments_on_author_id` (`author_id`),
  KEY `index_attachments_on_created_on` (`created_on`),
  KEY `index_attachments_on_container_id_and_container_type` (`container_id`,`container_type`),
  KEY `index_attachments_on_course_second_category_id` (`course_second_category_id`),
  KEY `index_attachments_on_quotes` (`quotes`),
  KEY `index_attachments_on_is_public` (`is_public`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attachments`
--

LOCK TABLES `attachments` WRITE;
/*!40000 ALTER TABLE `attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `attachmentstypes`
--

DROP TABLE IF EXISTS `attachmentstypes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attachmentstypes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `typeId` int NOT NULL,
  `typeName` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attachmentstypes`
--

LOCK TABLES `attachmentstypes` WRITE;
/*!40000 ALTER TABLE `attachmentstypes` DISABLE KEYS */;
/*!40000 ALTER TABLE `attachmentstypes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `auth_sources`
--

DROP TABLE IF EXISTS `auth_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `auth_sources` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(60) NOT NULL DEFAULT '',
  `host` varchar(60) DEFAULT NULL,
  `port` int DEFAULT NULL,
  `account` varchar(255) DEFAULT NULL,
  `account_password` varchar(255) DEFAULT '',
  `base_dn` varchar(255) DEFAULT NULL,
  `attr_login` varchar(30) DEFAULT NULL,
  `attr_firstname` varchar(30) DEFAULT NULL,
  `attr_lastname` varchar(30) DEFAULT NULL,
  `attr_mail` varchar(30) DEFAULT NULL,
  `onthefly_register` tinyint(1) NOT NULL DEFAULT '0',
  `tls` tinyint(1) NOT NULL DEFAULT '0',
  `filter` varchar(255) DEFAULT NULL,
  `timeout` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_auth_sources_on_id_and_type` (`id`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `auth_sources`
--

LOCK TABLES `auth_sources` WRITE;
/*!40000 ALTER TABLE `auth_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `auth_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `authentications`
--

DROP TABLE IF EXISTS `authentications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `authentications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `level` tinyint DEFAULT NULL,
  `permissions` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authentications`
--

LOCK TABLES `authentications` WRITE;
/*!40000 ALTER TABLE `authentications` DISABLE KEYS */;
/*!40000 ALTER TABLE `authentications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `authentications_users`
--

DROP TABLE IF EXISTS `authentications_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `authentications_users` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `authentication_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authentications_users`
--

LOCK TABLES `authentications_users` WRITE;
/*!40000 ALTER TABLE `authentications_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `authentications_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bidding_users`
--

DROP TABLE IF EXISTS `bidding_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bidding_users` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_package_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_bidding_users_on_project_package_id` (`project_package_id`),
  KEY `index_bidding_users_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bidding_users`
--

LOCK TABLES `bidding_users` WRITE;
/*!40000 ALTER TABLE `bidding_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `bidding_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `biding_projects`
--

DROP TABLE IF EXISTS `biding_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `biding_projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `bid_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `reward` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `biding_projects`
--

LOCK TABLES `biding_projects` WRITE;
/*!40000 ALTER TABLE `biding_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `biding_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `bids`
--

DROP TABLE IF EXISTS `bids`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bids` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `budget` varchar(255) NOT NULL,
  `author_id` int DEFAULT NULL,
  `deadline` date DEFAULT NULL,
  `description` text,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  `commit` int DEFAULT NULL,
  `reward_type` int DEFAULT NULL,
  `homework_type` int DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `is_evaluation` int DEFAULT NULL,
  `proportion` int DEFAULT '60',
  `comment_status` int DEFAULT '0',
  `evaluation_num` int DEFAULT '3',
  `open_anonymous_evaluation` int DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bids`
--

LOCK TABLES `bids` WRITE;
/*!40000 ALTER TABLE `bids` DISABLE KEYS */;
/*!40000 ALTER TABLE `bids` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_cloud_accounts`
--

DROP TABLE IF EXISTS `ci_cloud_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_cloud_accounts` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `ip_num` int DEFAULT NULL,
  `account` varchar(255) DEFAULT NULL,
  `secret` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `ci_user_id` int DEFAULT NULL,
  `server_type` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `dev_ops_cloud_accounts_p_u_ip` (`user_id`,`ip_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_cloud_accounts`
--

LOCK TABLES `ci_cloud_accounts` WRITE;
/*!40000 ALTER TABLE `ci_cloud_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_cloud_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_languages`
--

DROP TABLE IF EXISTS `ci_languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_languages` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL COMMENT 'The name of project language.',
  `content` text NOT NULL COMMENT 'The content of project language.',
  `usage_amount` int DEFAULT '0' COMMENT 'number of people Using the language',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `cover_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_languages`
--

LOCK TABLES `ci_languages` WRITE;
/*!40000 ALTER TABLE `ci_languages` DISABLE KEYS */;
INSERT INTO `ci_languages` VALUES (1,'C','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdjYwogIGNvbW1hbmRzOgogIC0gLi9jb25maWd1cmUKICAtIG1h\na2UKICAtIG1ha2UgdGVzdA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(2,'C++','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdjYwogIGNvbW1hbmRzOgogIC0gLi9jb25maWd1cmUKICAtIG1h\na2UKICAtIG1ha2UgdGVzdA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(3,'Docker','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGRvY2tlcjpkaW5kCiAgdm9sdW1lczoKICAtIG5hbWU6IGRvY2tl\ncnNvY2sKICAgIHBhdGg6IC92YXIvcnVuL2RvY2tlci5zb2NrCiAgICBjb21t\nYW5kczoKICAgIC0gZG9ja2VyIHBzIC1hCgp2b2x1bWVzOgotIG5hbWU6IGRv\nY2tlcnNvY2sKICBob3N0OgogICAgcGF0aDogL3Zhci9ydW4vZG9ja2VyLnNv\nY2s=\n',0,'2020-10-21 10:14:22','2020-11-26 01:35:20',351688),(4,'Java','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG1hdmVuOjMtamRrLTEwCiAgY29tbWFuZHM6CiAgLSBtdm4gaW5z\ndGFsbCAtRHNraXBUZXN0cz10cnVlIC1EbWF2ZW4uamF2YWRvYy5za2lwPXRy\ndWUgLUIgLVYKICAtIG12biB0ZXN0IC1C\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(5,'R','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHItYmFzZQogIGNvbW1hbmRzOgogIC0gUiAtZSAnaW5zdGFsbC5w\nYWNrYWdlcyhjKCdwYWNrYWdlMScsJ3BhY2thZ2UyJykpJwogIC0gUiBDTUQg\nYnVpbGQgLg==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(6,'Ruby','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHJ1YnkKICBjb21tYW5kczoKICAtIGJ1bmRsZSBpbnN0YWxsIC0t\nam9icz0zIC0tcmV0cnk9MwogIC0gcmFrZQ==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(7,'PHP','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiBpbnN0YWxs\nCiAgaW1hZ2U6IGNvbXBvc2VyCiAgY29tbWFuZHM6CiAgLSBjb21wb3NlciBp\nbnN0YWxsCgotIG5hbWU6IHRlc3QKICBpbWFnZTogcGhwOjcKICBjb21tYW5k\nczoKICAtIHZlbmRvci9iaW4vcGhwdW5pdCAtLWNvbmZpZ3VyYXRpb24gY29u\nZmlnLnhtbA==\n',0,'2020-10-21 10:14:22','2020-11-26 01:37:04',351690),(8,'Python','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHB5dGhvbgogIGNvbW1hbmRzOgogIC0gcGlwIGluc3RhbGwgLXIg\ncmVxdWlyZW1lbnRzLnR4dAogIC0gcHl0ZXN0\n',0,'2020-10-21 10:14:22','2020-11-26 01:40:00',351693),(9,'MySQL','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG15c3FsCiAgY29tbWFuZHM6CiAgLSBzbGVlcCAxNQogIC0gbXlz\ncWwgLXUgcm9vdCAtaCBkYXRhYmFzZSAtLWV4ZWN1dGU9J1NFTEVDVCBWRVJT\nSU9OKCk7JwoKc2VydmljZXM6Ci0gbmFtZTogZGF0YWJhc2UKICBpbWFnZTog\nbXlzcWwKICBlbnZpcm9ubWVudDoKICAgIE1ZU1FMX0FMTE9XX0VNUFRZX1BB\nU1NXT1JEOiAneWVzJwogICAgTVlTUUxfREFUQUJBU0U6IHRlc3Q=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(10,'MongoDB','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiBwaW5nCiAg\naW1hZ2U6IG1vbmdvOjQKICBjb21tYW5kczoKICAtIHNsZWVwIDUKICAtIG1v\nbmdvIC0taG9zdCBtb25nbyAtLWV2YWwgJ2RiLnZlcnNpb24oKScKCnNlcnZp\nY2VzOgotIG5hbWU6IG1vbmdvCiAgaW1hZ2U6IG1vbmdvOjQKICBjb21tYW5k\nOiBbIC0tc21hbGxmaWxlcyBd\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(11,'Clojure','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGNsb2p1cmUKICBjb21tYW5kczoKICAtIGxlaW4gdGVzdA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(12,'CouchDB','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGNvdWNoZGI6Mi4yCiAgY29tbWFuZHM6CiAgLSBzbGVlcCAxNQog\nIC0gY3VybCBodHRwOi8vZGF0YWJhc2U6NTk4NAoKc2VydmljZXM6Ci0gbmFt\nZTogZGF0YWJhc2UKICBpbWFnZTogY291Y2hkYjoyLjI=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(13,'Crystal','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGNyeXN0YWxsYW5nL2NyeXN0YWwKICBjb21tYW5kczoKICAtIHNo\nYXJkcyBpbnN0YWxsCiAgLSBjcnlzdGFsIHNwZWMuMg==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(14,'D','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGRsYW5ndWFnZS9kbWQKICBjb21tYW5kczoKICAtIGR1YiB0ZXN0\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(15,'Dart','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdvb2dsZS9kYXJ0CiAgY29tbWFuZHM6CiAgLSBwdWIgZ2V0CiAg\nLSBwdWIgcnVuIHRlc3Q=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(16,'Docker (dind)','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGRvY2tlcjpkaW5kCiAgdm9sdW1lczoKICAtIG5hbWU6IGRvY2tl\ncnNvY2sKICAgIHBhdGg6IC92YXIvcnVuCiAgICBjb21tYW5kczoKICAgIC0g\nc2xlZXAgNSAjIGdpdmUgZG9ja2VyIGVub3VnaCB0aW1lIHRvIHN0YXJ0CiAg\nICAtIGRvY2tlciBwcyAtYQoKc2VydmljZXM6Ci0gbmFtZTogZG9ja2VyCiAg\naW1hZ2U6IGRvY2tlcjpkaW5kCiAgcHJpdmlsZWdlZDogdHJ1ZQogIHZvbHVt\nZXM6CiAgLSBuYW1lOiBkb2NrZXJzb2NrCiAgICBwYXRoOiAvdmFyL3J1bgoK\ndm9sdW1lczoKLSBuYW1lOiBkb2NrZXJzb2NrCiAgdGVtcDoge30=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(17,'Elasticsearch','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGFscGluZTozLjgKICBjb21tYW5kczoKICAtIGFwayBhZGQgY3Vy\nbAogIC0gc2xlZXAgNDUKICAtIGN1cmwgaHR0cDovL2RhdGFiYXNlOjkyMDAK\nCnNlcnZpY2VzOgotIG5hbWU6IGRhdGFiYXNlCiAgaW1hZ2U6IGVsYXN0aWNz\nZWFyY2g6NS1hbHBpbmU=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(18,'Elixir','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGVsaXhpcjoxLjUKICBjb21tYW5kczoKICAtIG1peCBsb2NhbC5y\nZWJhciAtLWZvcmNlCiAgLSBtaXggbG9jYWwuaGV4IC0tZm9yY2UKICAtIG1p\neCBkZXBzLmdldAogIC0gbWl4IHRlc3Q=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(19,'Erlang','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGVybGFuZzoyMQogIGNvbW1hbmRzOgogIC0gcmViYXIgZ2V0LWRl\ncHMKICAtIHJlYmFyIGNvbXBpbGUKICAtIHJlYmFyIHNraXBfZGVwcz10cnVl\nIGV1bml0\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(20,'20.Go (with Gopath)','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0Cgp3b3Jrc3BhY2U6CiAgYmFzZTogL2dv\nCiAgcGF0aDogc3JjL2hlbGxvLXdvcmxkCgpzdGVwczoKLSBuYW1lOiB0ZXN0\nCiAgaW1hZ2U6IGdvbGFuZwogIGNvbW1hbmRzOgogIC0gZ28gZ2V0CiAgLSBn\nbyB0ZXN0\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(21,'21.Go (with Modules)','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdvbGFuZwogIGNvbW1hbmRzOgogIC0gZ28gdGVzdAogIC0gZ28g\nYnVpbGQ=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(22,'Gradle','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdyYWRsZTpqZGsxMAogIGNvbW1hbmRzOgogIC0gZ3JhZGxlIGFz\nc2VtYmxlCiAgLSBncmFkbGUgY2hlY2s=\n',0,'2020-10-21 10:14:22','2020-11-26 01:36:17',351689),(23,'Groovy','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGdyYWRsZToyLjUtamRrOAogIGNvbW1hbmRzOgogIC0gLi9ncmFk\nbGV3IGFzc2VtYmxlCiAgLSAuL2dyYWRsZXcgY2hlY2s=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(24,'Haskell','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGhhc2tlbGwKICBjb21tYW5kczoKICAtIGNhYmFsIGluc3RhbGwg\nLS1vbmx5LWRlcGVuZGVuY2llcyAtLWVuYWJsZS10ZXN0cwogIC0gY2FiYWwg\nY29uZmlndXJlIC0tZW5hYmxlLXRlc3RzCiAgLSBjYWJhbCBidWlsZAogIC0g\nY2FiYWwgdGVzdA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(25,'Haxe','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IGhheGUKICBjb21tYW5kczoKICAtIGhheGVsaWIgaW5zdGFsbCBi\ndWlsZC5oeG1sCiAgLSBoYXhlIGJ1aWxkLmh4bWw=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(26,'MariaDB','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG1hcmlhZGIKICBjb21tYW5kczoKICAtIHNsZWVwIDE1CiAgLSBt\neXNxbCAtdSByb290IC1oIGRhdGFiYXNlIC0tZXhlY3V0ZT0nU0VMRUNUIFZF\nUlNJT04oKTsnCgpzZXJ2aWNlczoKLSBuYW1lOiBkYXRhYmFzZQogIGltYWdl\nOiBtYXJpYWRiCiAgZW52aXJvbm1lbnQ6CiAgICBNWVNRTF9BTExPV19FTVBU\nWV9QQVNTV09SRDogJ3llcycKICAgIE1ZU1FMX0RBVEFCQVNFOiB0ZXN0\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(27,'Maven','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG1hdmVuOjMtamRrLTEwCiAgY29tbWFuZHM6CiAgLSBtdm4gaW5z\ndGFsbCAtRHNraXBUZXN0cz10cnVlIC1EbWF2ZW4uamF2YWRvYy5za2lwPXRy\ndWUgLUIgLVYKICAtIG12biB0ZXN0IC1C\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(28,'Memcached','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHVidW50dQogIGNvbW1hbmRzOgogIC0gYXB0LWdldCB1cGRhdGUg\nLXFxCiAgLSBhcHQtZ2V0IGluc3RhbGwgLXkgLXFxIHRlbG5ldCA+IC9kZXYv\nbnVsbAogIC0gKHNsZWVwIDE7IGVjaG8gJ3N0YXRzJzsgc2xlZXAgMjsgZWNo\nbyAncXVpdCc7KSB8IHRlbG5ldCBjYWNoZSAxMTIxMSB8fCB0cnVlCgpzZXJ2\naWNlczoKLSBuYW1lOiBjYWNoZQogIGltYWdlOiBtZW1jYWNoZWQ6YWxwaW5l\nCiAgY29tbWFuZDogWyAtdnYgXQ==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(29,'Nats','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHJ1Ynk6MgogIGNvbW1hbmRzOgogIC0gZ2VtIGluc3RhbGwgbmF0\ncwogIC0gbmF0cy1wdWIgLXMgdGNwOi8vbmF0czo0MjIyIGdyZWV0aW5nICdo\nZWxsbycKICAtIG5hdHMtcHViIC1zIHRjcDovL25hdHM6NDIyMiBncmVldGlu\nZyAnd29ybGQnCgpzZXJ2aWNlczoKLSBuYW1lOiBuYXRzCiAgaW1hZ2U6IG5h\ndHM6MS4zLjA=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(30,'Node','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG5vZGUKICBjb21tYW5kczoKICAtIG5wbSBpbnN0YWxsCiAgLSBu\ncG0gdGVzdA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(31,'Perl','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHBlcmwKICBjb21tYW5kczoKICAtIGNwYW5tIC0tcXVpZXQgLS1p\nbnN0YWxsZGVwcyAtLW5vdGVzdCAuCiAgLSBwZXJsIEJ1aWxkLlBMCiAgLSAu\nL0J1aWxkIHRlc3Q=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(32,'Postgres','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHBvc3RncmVzOjktYWxwaW5lCiAgY29tbWFuZHM6CiAgLSBwc3Fs\nIC1VIHBvc3RncmVzIC1kIHRlc3QgLWggZGF0YWJhc2UKCnNlcnZpY2VzOgot\nIG5hbWU6IGRhdGFiYXNlCiAgaW1hZ2U6IHBvc3RncmVzOjktYWxwaW5lCiAg\nZW52aXJvbm1lbnQ6CiAgICBQT1NUR1JFU19VU0VSOiBwb3N0Z3JlcwogICAg\nUE9TVEdSRVNfREI6IHRlc3Q=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(33,'Redis','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHJlZGlzCiAgY29tbWFuZHM6CiAgLSBzbGVlcCA1CiAgLSByZWRp\ncy1jbGkgLWggcmVkaXMgcGluZwogIC0gcmVkaXMtY2xpIC1oIHJlZGlzIHNl\ndCBGT08gYmFyCiAgLSByZWRpcy1jbGkgLWggcmVkaXMgZ2V0IEZPTwoKc2Vy\ndmljZXM6Ci0gbmFtZTogcmVkaXMKICBpbWFnZTogcmVkaXM=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(34,'RethinkDB','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IG5vZGU6OQogIGNvbW1hbmRzOgogIC0gbnBtIGluc3RhbGwgLXMg\nLWcgcmVjbGkKICAtIHJlY2xpIC1oIGRhdGFiYXNlIC1qICdyLmRiKCdyZXRo\naW5rZGInKS50YWJsZSgnc3RhdHMnKScKCnNlcnZpY2VzOgotIG5hbWU6IGRh\ndGFiYXNlCiAgaW1hZ2U6IHJldGhpbmtkYjoyCiAgY29tbWFuZDogWyByZXRo\naW5rZGIsIC0tYmluZCwgYWxsIF0=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(35,'Rust','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHJ1c3Q6MS4zMAogIGNvbW1hbmRzOgogIC0gY2FyZ28gYnVpbGQg\nLS12ZXJib3NlIC0tYWxsCiAgLSBjYXJnbyB0ZXN0IC0tdmVyYm9zZSAtLWFs\nbA==\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(36,'Swift','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHN3aWZ0OjQKICBjb21tYW5kczoKICAtIHN3aWZ0IGJ1aWxkCiAg\nLSBzd2lmdCB0ZXN0\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL),(37,'Vault','CmtpbmQ6IHBpcGVsaW5lCm5hbWU6IGRlZmF1bHQKCnBsYXRmb3JtOgogIG9z\nOiBsaW51eAogIGFyY2g6IGFybTY0CgpzdGVwczoKLSBuYW1lOiB0ZXN0CiAg\naW1hZ2U6IHZhdWx0OjEuMC4wLWJldGEyCiAgZW52aXJvbm1lbnQ6CiAgICBW\nQVVMVF9BRERSOiBodHRwOi8vdmF1bHQ6ODIwMAogICAgVkFVTFRfVE9LRU46\nIGR1bW15CiBjb21tYW5kczoKIC0gc2xlZXAgNQogLSB2YXVsdCBrdiBwdXQg\nc2VjcmV0L215LXNlY3JldCBteS12YWx1ZT1zM2NyM3QKIC0gdmF1bHQga3Yg\nZ2V0IHNlY3JldC9teS1zZWNyZXQKCnNlcnZpY2VzOgotIG5hbWU6IHZhdWx0\nCiAgaW1hZ2U6IHZhdWx0OjEuMC4wLWJldGEyCiAgZW52aXJvbm1lbnQ6CiAg\nICBWQVVMVF9ERVZfUk9PVF9UT0tFTl9JRDogZHVtbXk=\n',0,'2020-10-21 10:14:22','2020-10-21 10:14:22',NULL);
/*!40000 ALTER TABLE `ci_languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_pipeline_stage_steps`
--

DROP TABLE IF EXISTS `ci_pipeline_stage_steps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_pipeline_stage_steps` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `step_name` varchar(255) NOT NULL COMMENT '步骤名称',
  `stage_id` int NOT NULL COMMENT '阶段id',
  `template_id` int DEFAULT NULL COMMENT '模板id',
  `content` text,
  `show_index` int NOT NULL DEFAULT '0' COMMENT '阶段排序',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_pipeline_stage_steps`
--

LOCK TABLES `ci_pipeline_stage_steps` WRITE;
/*!40000 ALTER TABLE `ci_pipeline_stage_steps` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_pipeline_stage_steps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_pipeline_stages`
--

DROP TABLE IF EXISTS `ci_pipeline_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_pipeline_stages` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `stage_name` varchar(255) NOT NULL COMMENT '阶段名称',
  `stage_type` varchar(255) NOT NULL COMMENT '阶段类型：init/build/deploy/customize/confirm',
  `pipeline_id` int NOT NULL COMMENT '阶段所属流水线id',
  `show_index` int NOT NULL DEFAULT '0' COMMENT '阶段排序',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_pipeline_stages`
--

LOCK TABLES `ci_pipeline_stages` WRITE;
/*!40000 ALTER TABLE `ci_pipeline_stages` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_pipeline_stages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_pipelines`
--

DROP TABLE IF EXISTS `ci_pipelines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_pipelines` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `pipeline_name` varchar(255) NOT NULL COMMENT '流水线名称',
  `pipeline_status` varchar(255) NOT NULL DEFAULT 'unknown' COMMENT 'successed/failed/running/errored/pending/killed/unknown',
  `file_name` varchar(255) NOT NULL COMMENT '文件名称',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `login` varchar(255) DEFAULT NULL,
  `sync` int NOT NULL DEFAULT '0' COMMENT '0 未同步到gitea，1 已同步',
  `identifier` varchar(255) DEFAULT NULL,
  `branch` varchar(255) DEFAULT NULL,
  `event` varchar(255) DEFAULT NULL,
  `sha` varchar(255) DEFAULT NULL,
  `owner` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_pipelines`
--

LOCK TABLES `ci_pipelines` WRITE;
/*!40000 ALTER TABLE `ci_pipelines` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_pipelines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_templates`
--

DROP TABLE IF EXISTS `ci_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ci_templates` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `template_name` varchar(255) NOT NULL COMMENT '模板名称',
  `stage_type` varchar(255) NOT NULL COMMENT '模板所属阶段类型：init/build/deploy/customize/confirm',
  `category` varchar(255) NOT NULL COMMENT '模板分类',
  `content` text NOT NULL COMMENT '模板yml内容',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `parent_category` varchar(255) DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_ci_templates_on_stage_type` (`stage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_templates`
--

LOCK TABLES `ci_templates` WRITE;
/*!40000 ALTER TABLE `ci_templates` DISABLE KEYS */;
INSERT INTO `ci_templates` VALUES (2,'linux/amd64','init','初始化','kind: pipeline\r\ntype: docker\r\nname: {name}\r\nplatform:\r\n  os: linux\r\n  arch: amd64','2021-01-12 02:44:23','2021-02-02 10:51:36','初始化','admin'),(3,'linux/arm64','init','初始化','kind: pipeline\r\ntype: docker\r\nname: {name}\r\nplatform:\r\n  os: linux\r\n  arch: arm64','2021-01-12 02:45:17','2021-02-02 10:51:47','初始化','admin'),(4,'maven','build','Java','- name: maven\r\n  image: maven:3-jdk-10\r\n  commands:\r\n  - mvn install -DskipTests=true','2021-01-12 02:53:29','2021-01-12 02:53:29','编译构建','admin'),(5,'maven单元测试','customize','Java','- name: maven\r\n  image: maven:3-jdk-10\r\n  commands:\r\n  - mvn test','2021-01-12 02:53:29','2021-01-12 02:53:29','单元测试','admin'),(6,'golang单元测试','customize','Golang','- name: golang单元测试\r\n  image: golang\r\n  commands:\r\n  - go test','2021-01-12 03:03:35','2021-01-12 03:03:35','单元测试','admin'),(8,'gradle','build','Java','- name: gradle\r\n  image: gradle:jdk10\r\n  commands:\r\n  - gradle build -x test','2021-01-12 03:05:33','2021-01-12 03:05:33','编译构建','admin'),(9,'gradle单元测试','customize','Java','- name: gradle\r\n  image: gradle:jdk10\r\n  commands:\r\n  - gradle test','2021-01-12 03:05:33','2021-01-12 03:05:33','单元测试','admin'),(10,'远程主机部署','deploy','部署','# 需要将软件包与部署脚本提前上传到远程主机(见文件上传模板)\r\n# host、username、password可在参数管理中配置\r\n- name: 远程主机部署\r\n  image: appleboy/drone-ssh\r\n  settings:\r\n    host: \r\n      from_secret: ip\r\n    username: \r\n      from_secret: name\r\n    password: \r\n      from_secret: pwd\r\n    port: 22\r\n    script:\r\n      - chmod +x /home/deploy.sh\r\n      - ./home/deploy.sh','2021-01-12 03:32:46','2021-03-05 06:22:02','部署','admin'),(11,'远程命令','customize','其他','# host、username、password可在参数管理中配置\r\n- name: 远程命令\r\n  image: appleboy/drone-ssh\r\n  settings:\r\n    host: \r\n      from_secret: ip\r\n    username: \r\n      from_secret: name\r\n    password: \r\n      from_secret: pwd\r\n    port: 22\r\n    script:\r\n      - echo \'hello world!\'','2021-01-12 03:40:38','2021-03-05 06:19:44','其他','admin'),(12,'上传文件','customize','其他','# 本模板示例为上传软件包和部署脚本到home目录\r\n# host、username、password可在参数管理中配置\r\n- name: 上传文件\r\n  image: appleboy/drone-scp\r\n  settings:\r\n    host: \r\n      from_secret: ip\r\n    username: \r\n      from_secret: name\r\n    password: \r\n      from_secret: pwd\r\n    port: 22\r\n    target: /home\r\n    source: \r\n      - target/*.jar\r\n      - deploy.sh','2021-01-12 03:40:55','2021-03-05 06:22:22','其他','admin'),(17,'make-c','build','C','- name: 编译\r\n  image: gcc\r\n  commands:\r\n  - ./configure\r\n  - make','2021-01-15 01:19:38','2021-02-02 10:52:15','编译构建','admin'),(19,'make-c++','build','C++','- name: 编译构建\r\n  image: gcc\r\n  commands:\r\n  - ./configure\r\n  - make','2021-01-15 01:21:05','2021-01-15 01:21:05','编译构建','admin'),(20,'python','build','Python','- name: 编译构建\r\n  image: python\r\n  commands:\r\n  - pip install -r requirements.txt','2021-01-15 01:22:36','2021-01-15 01:22:36','编译构建','admin'),(21,'Docker','build','Docker','# 构建Docker镜像并推送到仓库\r\n# 定义镜像Hub路径以及账号密码\r\n- name: Docker镜像构建\r\n  image: plugins/docker\r\n  settings:\r\n    username: username\r\n    password: pwd\r\n    repo: repoUrl\r\n    tags: latest','2021-01-15 01:23:16','2021-02-03 03:40:49','编译构建','admin'),(22,'空白模板','customize','customize','','2021-01-15 02:53:02','2021-01-15 02:53:02','其他','admin'),(25,'Go (with Gopath)','build','Go','- name: golang\r\n  image: golang\r\n  commands:\r\n  - go get\r\n  - go test','2021-02-03 00:57:32','2021-02-03 03:36:15','编译构建','admin'),(26,'PHP','build','PHP','- name: install\r\n  image: composer\r\n  commands:\r\n  - composer install','2021-02-03 00:59:15','2021-02-03 00:59:15','编译构建','admin'),(27,'Ruby','build','Ruby','- name: ruby\r\n  image: ruby\r\n  commands:\r\n  - bundle install --jobs=3 --retry=3\r\n  - rake','2021-02-03 00:59:52','2021-02-03 00:59:52','编译构建','admin'),(29,'Go (with Modules)','build','Go','- name: test\r\n  image: golang\r\n  commands:\r\n  - go test\r\n  - go build','2021-02-03 03:35:45','2021-02-03 03:35:45','编译构建','admin'),(30,'Node','build','Node','- name: Node编译\r\n  image: node\r\n  commands:\r\n  - npm install\r\n  - npm test','2021-02-03 03:37:31','2021-02-03 03:37:31','编译构建','admin'),(31,'Perl ','build','Perl','- name: perl\r\n  image: perl\r\n  commands:\r\n  - cpanm --quiet --installdeps --notest .\r\n  - perl Build.PL\r\n  - ./Build test','2021-02-03 03:38:06','2021-02-03 03:38:06','编译构建','admin'),(32,'Rust ','build','Rust','- name: rust\r\n  image: rust:1.30\r\n  commands:\r\n  - cargo build --verbose --all\r\n  - cargo test --verbose --all','2021-02-03 03:38:37','2021-02-03 03:38:37','编译构建','admin'),(33,'test','init','初始化','qqqq','2021-02-04 09:02:42','2021-02-04 09:02:42','初始化','admin');
/*!40000 ALTER TABLE `ci_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_review_assignments`
--

DROP TABLE IF EXISTS `code_review_assignments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `code_review_assignments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `issue_id` int DEFAULT NULL,
  `change_id` int DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `file_path` varchar(255) DEFAULT NULL,
  `rev` varchar(255) DEFAULT NULL,
  `rev_to` varchar(255) DEFAULT NULL,
  `action_type` varchar(255) DEFAULT NULL,
  `changeset_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_review_assignments`
--

LOCK TABLES `code_review_assignments` WRITE;
/*!40000 ALTER TABLE `code_review_assignments` DISABLE KEYS */;
/*!40000 ALTER TABLE `code_review_assignments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_review_project_settings`
--

DROP TABLE IF EXISTS `code_review_project_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `code_review_project_settings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `tracker_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `updated_by` int DEFAULT NULL,
  `hide_code_review_tab` tinyint(1) DEFAULT '0',
  `auto_relation` int DEFAULT '1',
  `assignment_tracker_id` int DEFAULT NULL,
  `auto_assign` text,
  `lock_version` int NOT NULL DEFAULT '0',
  `tracker_in_review_dialog` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_review_project_settings`
--

LOCK TABLES `code_review_project_settings` WRITE;
/*!40000 ALTER TABLE `code_review_project_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `code_review_project_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_review_user_settings`
--

DROP TABLE IF EXISTS `code_review_user_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `code_review_user_settings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL DEFAULT '0',
  `mail_notification` int NOT NULL DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_review_user_settings`
--

LOCK TABLES `code_review_user_settings` WRITE;
/*!40000 ALTER TABLE `code_review_user_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `code_review_user_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_reviews`
--

DROP TABLE IF EXISTS `code_reviews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `code_reviews` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `change_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `line` int DEFAULT NULL,
  `updated_by_id` int DEFAULT NULL,
  `lock_version` int NOT NULL DEFAULT '0',
  `status_changed_from` int DEFAULT NULL,
  `status_changed_to` int DEFAULT NULL,
  `issue_id` int DEFAULT NULL,
  `action_type` varchar(255) DEFAULT NULL,
  `file_path` varchar(255) DEFAULT NULL,
  `rev` varchar(255) DEFAULT NULL,
  `rev_to` varchar(255) DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `file_count` int NOT NULL DEFAULT '0',
  `diff_all` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_reviews`
--

LOCK TABLES `code_reviews` WRITE;
/*!40000 ALTER TABLE `code_reviews` DISABLE KEYS */;
/*!40000 ALTER TABLE `code_reviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_tests`
--

DROP TABLE IF EXISTS `code_tests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `code_tests` (
  `id` int NOT NULL AUTO_INCREMENT,
  `homework_id` int DEFAULT NULL,
  `wait_time` int DEFAULT '0',
  `language` int DEFAULT NULL,
  `status` int DEFAULT NULL,
  `time_used` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `student_work_id` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_tests`
--

LOCK TABLES `code_tests` WRITE;
/*!40000 ALTER TABLE `code_tests` DISABLE KEYS */;
/*!40000 ALTER TABLE `code_tests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comments`
--

DROP TABLE IF EXISTS `comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `comments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `commented_type` varchar(30) NOT NULL DEFAULT '',
  `commented_id` int NOT NULL DEFAULT '0',
  `author_id` int NOT NULL DEFAULT '0',
  `comments` text,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  `parent_id` int DEFAULT NULL,
  `comments_count` int DEFAULT '0',
  `reply_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_comments_on_commented_id_and_commented_type` (`commented_id`,`commented_type`),
  KEY `index_comments_on_author_id` (`author_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comments`
--

LOCK TABLES `comments` WRITE;
/*!40000 ALTER TABLE `comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `commit_issues`
--

DROP TABLE IF EXISTS `commit_issues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `commit_issues` (
  `id` int NOT NULL AUTO_INCREMENT,
  `commit_id` varchar(255) DEFAULT NULL,
  `issue_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commit_issues`
--

LOCK TABLES `commit_issues` WRITE;
/*!40000 ALTER TABLE `commit_issues` DISABLE KEYS */;
/*!40000 ALTER TABLE `commit_issues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `commits`
--

DROP TABLE IF EXISTS `commits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `commits` (
  `id` int NOT NULL AUTO_INCREMENT,
  `repository_id` int DEFAULT NULL,
  `version` varchar(255) DEFAULT NULL,
  `committer` varchar(255) DEFAULT NULL,
  `comments` text,
  `committed_on` datetime DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `commits`
--

LOCK TABLES `commits` WRITE;
/*!40000 ALTER TABLE `commits` DISABLE KEYS */;
/*!40000 ALTER TABLE `commits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compose_projects`
--

DROP TABLE IF EXISTS `compose_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `compose_projects` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `compose_id` int DEFAULT NULL,
  `position` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_compose_projects_on_user_id_and_project_id_and_compose_id` (`user_id`,`project_id`,`compose_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compose_projects`
--

LOCK TABLES `compose_projects` WRITE;
/*!40000 ALTER TABLE `compose_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `compose_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `compose_users`
--

DROP TABLE IF EXISTS `compose_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `compose_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `compose_id` int DEFAULT NULL,
  `is_manager` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_compose_users_on_user_id_and_compose_id` (`user_id`,`compose_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `compose_users`
--

LOCK TABLES `compose_users` WRITE;
/*!40000 ALTER TABLE `compose_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `compose_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `composes`
--

DROP TABLE IF EXISTS `composes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `composes` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `show_mode` int DEFAULT '0',
  `compose_mode` tinyint(1) DEFAULT '0',
  `compose_users_count` int DEFAULT '0',
  `compose_projects_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_composes_on_user_id_and_show_mode_and_compose_mode` (`user_id`,`show_mode`,`compose_mode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `composes`
--

LOCK TABLES `composes` WRITE;
/*!40000 ALTER TABLE `composes` DISABLE KEYS */;
/*!40000 ALTER TABLE `composes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `coo_imgs`
--

DROP TABLE IF EXISTS `coo_imgs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `coo_imgs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `src_states` varchar(255) DEFAULT NULL,
  `url_states` varchar(255) DEFAULT NULL,
  `img_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `position` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coo_imgs`
--

LOCK TABLES `coo_imgs` WRITE;
/*!40000 ALTER TABLE `coo_imgs` DISABLE KEYS */;
/*!40000 ALTER TABLE `coo_imgs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `coop_imgs`
--

DROP TABLE IF EXISTS `coop_imgs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `coop_imgs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `src_states` varchar(255) DEFAULT NULL,
  `url_states` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `img_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `coop_imgs`
--

LOCK TABLES `coop_imgs` WRITE;
/*!40000 ALTER TABLE `coop_imgs` DISABLE KEYS */;
/*!40000 ALTER TABLE `coop_imgs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cooperations`
--

DROP TABLE IF EXISTS `cooperations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cooperations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `mail` varchar(255) DEFAULT NULL,
  `qq` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cooperations`
--

LOCK TABLES `cooperations` WRITE;
/*!40000 ALTER TABLE `cooperations` DISABLE KEYS */;
/*!40000 ALTER TABLE `cooperations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_exceptions`
--

DROP TABLE IF EXISTS `data_exceptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_exceptions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `message` varchar(255) DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_exceptions`
--

LOCK TABLES `data_exceptions` WRITE;
/*!40000 ALTER TABLE `data_exceptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `data_exceptions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `department_members`
--

DROP TABLE IF EXISTS `department_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `department_members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `department_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_department_members_on_department_id` (`department_id`),
  KEY `index_department_members_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `department_members`
--

LOCK TABLES `department_members` WRITE;
/*!40000 ALTER TABLE `department_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `department_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `departments`
--

DROP TABLE IF EXISTS `departments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `departments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `school_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `is_auth` tinyint(1) DEFAULT '0',
  `identifier` varchar(255) DEFAULT NULL,
  `host_count` int DEFAULT '5',
  `is_delete` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_departments_on_school_id` (`school_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `departments`
--

LOCK TABLES `departments` WRITE;
/*!40000 ALTER TABLE `departments` DISABLE KEYS */;
/*!40000 ALTER TABLE `departments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `diff_record_contents`
--

DROP TABLE IF EXISTS `diff_record_contents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `diff_record_contents` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `diff_record_id` bigint DEFAULT NULL,
  `content` text,
  PRIMARY KEY (`id`),
  KEY `index_diff_record_contents_on_diff_record_id` (`diff_record_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `diff_record_contents`
--

LOCK TABLES `diff_record_contents` WRITE;
/*!40000 ALTER TABLE `diff_record_contents` DISABLE KEYS */;
/*!40000 ALTER TABLE `diff_record_contents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `diff_records`
--

DROP TABLE IF EXISTS `diff_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `diff_records` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `container_id` bigint DEFAULT NULL,
  `column_name` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_diff_records_on_user_id` (`user_id`),
  KEY `index_diff_records_on_container_type_and_container_id` (`container_type`,`container_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `diff_records`
--

LOCK TABLES `diff_records` WRITE;
/*!40000 ALTER TABLE `diff_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `diff_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `documents`
--

DROP TABLE IF EXISTS `documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `documents` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL DEFAULT '0',
  `category_id` int NOT NULL DEFAULT '0',
  `title` varchar(60) NOT NULL DEFAULT '',
  `description` text,
  `created_on` datetime DEFAULT NULL,
  `user_id` int DEFAULT '0',
  `is_public` int DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `documents_project_id` (`project_id`),
  KEY `index_documents_on_category_id` (`category_id`),
  KEY `index_documents_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `documents`
--

LOCK TABLES `documents` WRITE;
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dts`
--

DROP TABLE IF EXISTS `dts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dts` (
  `Num` int NOT NULL DEFAULT '0',
  `Defect` varchar(50) DEFAULT NULL,
  `Category` varchar(50) DEFAULT NULL,
  `File` varchar(255) DEFAULT NULL,
  `Method` varchar(255) DEFAULT NULL,
  `Module` varchar(20) DEFAULT NULL,
  `Variable` varchar(50) DEFAULT NULL,
  `StartLine` int DEFAULT NULL,
  `IPLine` int DEFAULT NULL,
  `IPLineCode` varchar(200) DEFAULT NULL,
  `Judge` varchar(15) DEFAULT NULL,
  `Review` tinyint DEFAULT NULL,
  `Description` varchar(255) DEFAULT NULL,
  `PreConditions` longtext,
  `TraceInfo` longtext,
  `Code` longtext,
  `project_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `id` int NOT NULL,
  PRIMARY KEY (`Num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dts`
--

LOCK TABLES `dts` WRITE;
/*!40000 ALTER TABLE `dts` DISABLE KEYS */;
/*!40000 ALTER TABLE `dts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `editor_of_documents`
--

DROP TABLE IF EXISTS `editor_of_documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `editor_of_documents` (
  `id` int NOT NULL AUTO_INCREMENT,
  `editor_id` int DEFAULT NULL,
  `org_document_comment_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `editor_of_documents`
--

LOCK TABLES `editor_of_documents` WRITE;
/*!40000 ALTER TABLE `editor_of_documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `editor_of_documents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `edu_settings`
--

DROP TABLE IF EXISTS `edu_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `edu_settings` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_edu_settings_on_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `edu_settings`
--

LOCK TABLES `edu_settings` WRITE;
/*!40000 ALTER TABLE `edu_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `edu_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enabled_modules`
--

DROP TABLE IF EXISTS `enabled_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `enabled_modules` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `course_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled_modules_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enabled_modules`
--

LOCK TABLES `enabled_modules` WRITE;
/*!40000 ALTER TABLE `enabled_modules` DISABLE KEYS */;
/*!40000 ALTER TABLE `enabled_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enumerations`
--

DROP TABLE IF EXISTS `enumerations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `enumerations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `position` int DEFAULT '1',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(255) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `project_id` int DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `position_name` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_enumerations_on_project_id` (`project_id`),
  KEY `index_enumerations_on_id_and_type` (`id`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enumerations`
--

LOCK TABLES `enumerations` WRITE;
/*!40000 ALTER TABLE `enumerations` DISABLE KEYS */;
/*!40000 ALTER TABLE `enumerations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `error_checks`
--

DROP TABLE IF EXISTS `error_checks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `error_checks` (
  `id` int NOT NULL AUTO_INCREMENT,
  `game_indentifier` varchar(255) DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `error_checks`
--

LOCK TABLES `error_checks` WRITE;
/*!40000 ALTER TABLE `error_checks` DISABLE KEYS */;
/*!40000 ALTER TABLE `error_checks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `evaluate_records`
--

DROP TABLE IF EXISTS `evaluate_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `evaluate_records` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `shixun_id` int DEFAULT NULL,
  `game_id` int DEFAULT NULL,
  `consume_time` float DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `file_update` float DEFAULT NULL,
  `git_pull` float DEFAULT NULL,
  `create_pod` float DEFAULT NULL,
  `pod_execute` float DEFAULT NULL,
  `student_work` float DEFAULT NULL,
  `test_cases` float DEFAULT NULL,
  `retry` float DEFAULT NULL,
  `game_build` float DEFAULT NULL,
  `return_back` float DEFAULT NULL,
  `brige` float DEFAULT NULL,
  `create_status` datetime DEFAULT NULL,
  `front_js` float DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_evaluate_records_on_identifier` (`identifier`),
  KEY `index_evaluate_records_on_game_id` (`game_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `evaluate_records`
--

LOCK TABLES `evaluate_records` WRITE;
/*!40000 ALTER TABLE `evaluate_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `evaluate_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `question` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `first_pages`
--

DROP TABLE IF EXISTS `first_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `first_pages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `web_title` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` text,
  `page_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `sort_type` int DEFAULT NULL,
  `image_width` int DEFAULT '107',
  `image_height` int DEFAULT '63',
  `show_course` int DEFAULT '1',
  `show_contest` int DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `first_pages`
--

LOCK TABLES `first_pages` WRITE;
/*!40000 ALTER TABLE `first_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `first_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forge_applied_messages`
--

DROP TABLE IF EXISTS `forge_applied_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `forge_applied_messages` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `applied_type` varchar(255) DEFAULT NULL,
  `applied_id` bigint DEFAULT NULL,
  `viewed` int DEFAULT '0',
  `status` int DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `applied_user_id` bigint DEFAULT NULL,
  `role` int DEFAULT NULL,
  `project_id` bigint DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_forge_applied_messages_on_user_id` (`user_id`),
  KEY `index_forge_applied_messages_on_applied_type_and_applied_id` (`applied_type`,`applied_id`),
  KEY `index_forge_applied_messages_on_applied_user_id` (`applied_user_id`),
  KEY `index_forge_applied_messages_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forge_applied_messages`
--

LOCK TABLES `forge_applied_messages` WRITE;
/*!40000 ALTER TABLE `forge_applied_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `forge_applied_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forge_applied_projects`
--

DROP TABLE IF EXISTS `forge_applied_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `forge_applied_projects` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `role` int DEFAULT '0',
  `status` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_forge_applied_projects_on_project_id` (`project_id`),
  KEY `index_forge_applied_projects_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forge_applied_projects`
--

LOCK TABLES `forge_applied_projects` WRITE;
/*!40000 ALTER TABLE `forge_applied_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `forge_applied_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fork_users`
--

DROP TABLE IF EXISTS `fork_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `fork_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `fork_project_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_fork_users_on_project_id` (`project_id`),
  KEY `index_fork_users_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fork_users`
--

LOCK TABLES `fork_users` WRITE;
/*!40000 ALTER TABLE `fork_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `fork_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gitlab_urls`
--

DROP TABLE IF EXISTS `gitlab_urls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_urls` (
  `id` int NOT NULL AUTO_INCREMENT,
  `myshixun_id` int DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `myshixun_identifier` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gitlab_urls`
--

LOCK TABLES `gitlab_urls` WRITE;
/*!40000 ALTER TABLE `gitlab_urls` DISABLE KEYS */;
/*!40000 ALTER TABLE `gitlab_urls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `groups_users`
--

DROP TABLE IF EXISTS `groups_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `groups_users` (
  `group_id` int NOT NULL,
  `user_id` int NOT NULL,
  UNIQUE KEY `groups_users_ids` (`group_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `groups_users`
--

LOCK TABLES `groups_users` WRITE;
/*!40000 ALTER TABLE `groups_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `groups_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `homepages`
--

DROP TABLE IF EXISTS `homepages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `homepages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `article_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_homepages_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `homepages`
--

LOCK TABLES `homepages` WRITE;
/*!40000 ALTER TABLE `homepages` DISABLE KEYS */;
/*!40000 ALTER TABLE `homepages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ignores`
--

DROP TABLE IF EXISTS `ignores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ignores` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `content` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=190 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ignores`
--

LOCK TABLES `ignores` WRITE;
/*!40000 ALTER TABLE `ignores` DISABLE KEYS */;
INSERT INTO `ignores` VALUES (1,'OCaml','*.annot\n*.cmo\n*.cma\n*.cmi\n*.a\n*.o\n*.cmx\n*.cmxs\n*.cmxa\n\n# ocamlbuild working directory\n_build/\n\n# ocamlbuild targets\n*.byte\n*.native\n\n# oasis generated files\nsetup.data\nsetup.log\n\n# Merlin configuring file for Vim and Emacs\n.merlin\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(2,'Redcar','.redcar\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(3,'Scheme','*.ss~\n*.ss#*\n.#*.ss\n\n*.scm~\n*.scm#*\n.#*.scm\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(4,'XilinxISE','# intermediate build files\n*.bgn\n*.bit\n*.bld\n*.cmd_log\n*.drc\n*.ll\n*.lso\n*.msd\n*.msk\n*.ncd\n*.ngc\n*.ngd\n*.ngr\n*.pad\n*.par\n*.pcf\n*.prj\n*.ptwx\n*.rbb\n*.rbd\n*.stx\n*.syr\n*.twr\n*.twx\n*.unroutes\n*.ut\n*.xpi\n*.xst\n*_bitgen.xwbt\n*_envsettings.html\n*_map.map\n*_map.mrp\n*_map.ngm\n*_map.xrpt\n*_ngdbuild.xrpt\n*_pad.csv\n*_pad.txt\n*_par.xrpt\n*_summary.html\n*_summary.xml\n*_usage.xml\n*_xst.xrpt\n\n# iMPACT generated files\n_impactbatch.log\nimpact.xsl\nimpact_impact.xwbt\nise_impact.cmd\nwebtalk_impact.xml\n\n# Core Generator generated files\nxaw2verilog.log\n\n# project-wide generated files\n*.gise\npar_usage_statistics.html\nusage_statistics_webtalk.html\nwebtalk.log\nwebtalk_pn.xml\n\n# generated folders\niseconfig/\nxlnx_auto_0_xdb/\nxst/\n_ngo/\n_xmsgs/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(5,'Xcode','# Xcode\n#\n# gitignore contributors: remember to update Global/Xcode.gitignore, Objective-C.gitignore & Swift.gitignore\n\n## Build generated\nbuild/\nDerivedData/\n\n## Various settings\n*.pbxuser\n!default.pbxuser\n*.mode1v3\n!default.mode1v3\n*.mode2v3\n!default.mode2v3\n*.perspectivev3\n!default.perspectivev3\nxcuserdata/\n\n## Other\n*.moved-aside\n*.xccheckout\n*.xcscmblueprint\n\n## Obj-C/Swift specific\n*.hmap\n*.ipa\n*.dSYM.zip\n*.dSYM\n\n## Playgrounds\ntimeline.xctimeline\nplayground.xcworkspace\n\n# Swift Package Manager\n#\n# Add this line if you want to avoid checking in source code from Swift Package Manager dependencies.\n# Packages/\n# Package.pins\n# Package.resolved\n.build/\n\n# CocoaPods\n#\n# We recommend against adding the Pods directory to your .gitignore. However\n# you should judge for yourself, the pros and cons are mentioned at:\n# https://guides.cocoapods.org/using/using-cocoapods.html#should-i-check-the-pods-directory-into-source-control\n#\n# Pods/\n#\n# Add this line if you want to avoid checking in source code from the Xcode workspace\n# *.xcworkspace\n\n# Carthage\n#\n# Add this line if you want to avoid checking in source code from Carthage dependencies.\n# Carthage/Checkouts\n\nCarthage/Build\n\n# fastlane\n#\n# It is recommended to not store the screenshots in the git repo. Instead, use fastlane to re-generate the\n# screenshots whenever they are needed.\n# For more information about the recommended setup visit:\n# https://docs.fastlane.tools/best-practices/source-control/#source-control\n\nfastlane/report.xml\nfastlane/Preview.html\nfastlane/screenshots/**/*.png\nfastlane/test_output\n\n# Code Injection\n#\n# After new code Injection tools there\'s a generated folder /iOSInjectionProject\n# https://github.com/johnno1962/injectionforxcode\n\niOSInjectionProject/\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(6,'Ada','# Object file\n*.o\n\n# Ada Library Information\n*.ali\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(7,'Gcov','# gcc coverage testing tool files\n\n*.gcno\n*.gcda\n*.gcov\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(8,'SVN','.svn/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(9,'Scrivener','/Files/binder.autosave\n/Files/binder.backup\n/Files/search.indexes\n/Files/user.lock\n/Files/Docs/docs.checksum\n/QuickLook/\n/Settings/ui.plist\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(10,'Vim','# Swap\n[._]*.s[a-v][a-z]\n[._]*.sw[a-p]\n[._]s[a-rt-v][a-z]\n[._]ss[a-gi-z]\n[._]sw[a-p]\n\n# Session\nSession.vim\n\n# Temporary\n.netrwhist\n*~\n# Auto-generated tag files\ntags\n# Persistent undo\n[._]*.un~\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(11,'RhodesRhomobile','rholog-*\nsim-*\nbin/libs\nbin/RhoBundle\nbin/tmp\nbin/target\nbin/*.ap_\n*.o\n*.jar\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(12,'EPiServer','######################\n## EPiServer Files\n######################\n*License.config\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(13,'PSoCCreator','# Project Settings\n*.cywrk.*\n*.cyprj.*\n\n# Generated Assets and Resources\nDebug/\nRelease/\nExport/\n*/codegentemp\n*/Generated_Source\n*_datasheet.pdf\n*_timing.html\n*.cycdx\n*.cyfit\n*.rpt\n*.svd\n*.log\n*.zip\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(14,'Terraform','# Local .terraform directories\n**/.terraform/*\n\n# .tfstate files\n*.tfstate\n*.tfstate.*\n\n# Crash log files\ncrash.log\n\n# Ignore any .tfvars files that are generated automatically for each Terraform run. Most\n# .tfvars files are managed as part of configuration and so should be included in\n# version control.\n#\n# example.tfvars\n\n# Ignore override files as they are usually used to override resources locally and so\n# are not checked in\noverride.tf\noverride.tf.json\n*_override.tf\n*_override.tf.json\n\n# Include override files you do wish to add to version control using negated pattern\n#\n# !example_override.tf\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(15,'Unity','[Ll]ibrary/\n[Tt]emp/\n[Oo]bj/\n[Bb]uild/\n[Bb]uilds/\nAssets/AssetStoreTools*\n\n# Visual Studio cache directory\n.vs/\n\n# Autogenerated VS/MD/Consulo solution and project files\nExportedObj/\n.consulo/\n*.csproj\n*.unityproj\n*.sln\n*.suo\n*.tmp\n*.user\n*.userprefs\n*.pidb\n*.booproj\n*.svd\n*.pdb\n*.opendb\n*.VC.db\n\n# Unity3D generated meta files\n*.pidb.meta\n*.pdb.meta\n\n# Unity3D Generated File On Crash Reports\nsysinfo.txt\n\n# Builds\n*.apk\n*.unitypackage\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(16,'Mercury','Mercury/\nMercury.modules\n*.mh\n*.err\n*.init\n*.dll\n*.exe\n*.a\n*.so\n*.dylib\n*.beams\n*.d\n*.c_date\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(17,'VVVV','\n# .v4p backup files\n*~.xml\n\n# Dynamic plugins .dll\nbin/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(18,'SeamGen','/bootstrap/data\n/bootstrap/tmp\n/classes/\n/dist/\n/exploded-archives/\n/test-build/\n/test-output/\n/test-report/\n/target/\ntemp-testng-customsuite.xml\n\n# based on http://stackoverflow.com/a/8865858/422476 I am removing inline comments\n\n#/classes/  		              all class files\n#/dist/                       contains generated war files for deployment\n#/exploded-archives/		      war content generation during deploy (or explode)\n#/test-build/                 test compilation (ant target for Seam)\n#/test-output/                test results\n#/test-report/                test report generation for, e.g., Hudson\n#/target/                     maven output folder\n#temp-testng-customsuite.xml	generated when running test cases under Eclipse\n\n# Thanks to @VonC and @kraftan for their helpful answers on a related question\n# on StackOverflow.com:\n# http://stackoverflow.com/questions/4176687\n# /what-is-the-recommended-source-control-ignore-pattern-for-seam-projects\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(19,'DartEditor','.project\n.buildlog\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(20,'C++','# Prerequisites\n*.d\n\n# Compiled Object files\n*.slo\n*.lo\n*.o\n*.obj\n\n# Precompiled Headers\n*.gch\n*.pch\n\n# Compiled Dynamic libraries\n*.so\n*.dylib\n*.dll\n\n# Fortran module files\n*.mod\n*.smod\n\n# Compiled Static libraries\n*.lai\n*.la\n*.a\n*.lib\n\n# Executables\n*.exe\n*.out\n*.app\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(21,'ROS','devel/\nlogs/\nbuild/\nbin/\nlib/\nmsg_gen/\nsrv_gen/\nmsg/*Action.msg\nmsg/*ActionFeedback.msg\nmsg/*ActionGoal.msg\nmsg/*ActionResult.msg\nmsg/*Feedback.msg\nmsg/*Goal.msg\nmsg/*Result.msg\nmsg/_*.py\nbuild_isolated/\ndevel_isolated/\n\n# Generated by dynamic reconfigure\n*.cfgc\n/cfg/cpp/\n/cfg/*.py\n\n# Ignore generated docs\n*.dox\n*.wikidoc\n\n# eclipse stuff\n.project\n.cproject\n\n# qcreator stuff\nCMakeLists.txt.user\n\nsrv/_*.py\n*.pcd\n*.pyc\nqtcreator-*\n*.user\n\n/planning/cfg\n/planning/docs\n/planning/src\n\n*~\n\n# Emacs\n.#*\n\n# Catkin custom files\nCATKIN_IGNORE\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(22,'Jekyll','_site/\n.sass-cache/\n.jekyll-cache/\n.jekyll-metadata\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(23,'SketchUp','*.skb\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(24,'CodeIgniter','*/config/development\n*/logs/log-*.php\n!*/logs/index.html\n*/cache/*\n!*/cache/index.html\n!*/cache/.htaccess\n\nuser_guide_src/build/*\nuser_guide_src/cilexer/build/*\nuser_guide_src/cilexer/dist/*\nuser_guide_src/cilexer/pycilexer.egg-info/*\n\n#codeigniter 3\napplication/logs/*\n!application/logs/index.html\n!application/logs/.htaccess\n/vendor/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(25,'Yeoman','node_modules/\nbower_components/\n*.log\n\nbuild/\ndist/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(26,'TeX','## Core latex/pdflatex auxiliary files:\n*.aux\n*.lof\n*.log\n*.lot\n*.fls\n*.out\n*.toc\n*.fmt\n*.fot\n*.cb\n*.cb2\n.*.lb\n\n## Intermediate documents:\n*.dvi\n*.xdv\n*-converted-to.*\n# these rules might exclude image files for figures etc.\n# *.ps\n# *.eps\n# *.pdf\n\n## Generated if empty string is given at \"Please type another file name for output:\"\n.pdf\n\n## Bibliography auxiliary files (bibtex/biblatex/biber):\n*.bbl\n*.bcf\n*.blg\n*-blx.aux\n*-blx.bib\n*.run.xml\n\n## Build tool auxiliary files:\n*.fdb_latexmk\n*.synctex\n*.synctex(busy)\n*.synctex.gz\n*.synctex.gz(busy)\n*.pdfsync\n\n## Build tool directories for auxiliary files\n# latexrun\nlatex.out/\n\n## Auxiliary and intermediate files from other packages:\n# algorithms\n*.alg\n*.loa\n\n# achemso\nacs-*.bib\n\n# amsthm\n*.thm\n\n# beamer\n*.nav\n*.pre\n*.snm\n*.vrb\n\n# changes\n*.soc\n\n# comment\n*.cut\n\n# cprotect\n*.cpt\n\n# elsarticle (documentclass of Elsevier journals)\n*.spl\n\n# endnotes\n*.ent\n\n# fixme\n*.lox\n\n# feynmf/feynmp\n*.mf\n*.mp\n*.t[1-9]\n*.t[1-9][0-9]\n*.tfm\n\n#(r)(e)ledmac/(r)(e)ledpar\n*.end\n*.?end\n*.[1-9]\n*.[1-9][0-9]\n*.[1-9][0-9][0-9]\n*.[1-9]R\n*.[1-9][0-9]R\n*.[1-9][0-9][0-9]R\n*.eledsec[1-9]\n*.eledsec[1-9]R\n*.eledsec[1-9][0-9]\n*.eledsec[1-9][0-9]R\n*.eledsec[1-9][0-9][0-9]\n*.eledsec[1-9][0-9][0-9]R\n\n# glossaries\n*.acn\n*.acr\n*.glg\n*.glo\n*.gls\n*.glsdefs\n\n# gnuplottex\n*-gnuplottex-*\n\n# gregoriotex\n*.gaux\n*.gtex\n\n# htlatex\n*.4ct\n*.4tc\n*.idv\n*.lg\n*.trc\n*.xref\n\n# hyperref\n*.brf\n\n# knitr\n*-concordance.tex\n# TODO Comment the next line if you want to keep your tikz graphics files\n*.tikz\n*-tikzDictionary\n\n# listings\n*.lol\n\n# makeidx\n*.idx\n*.ilg\n*.ind\n*.ist\n\n# minitoc\n*.maf\n*.mlf\n*.mlt\n*.mtc[0-9]*\n*.slf[0-9]*\n*.slt[0-9]*\n*.stc[0-9]*\n\n# minted\n_minted*\n*.pyg\n\n# morewrites\n*.mw\n\n# nomencl\n*.nlg\n*.nlo\n*.nls\n\n# pax\n*.pax\n\n# pdfpcnotes\n*.pdfpc\n\n# sagetex\n*.sagetex.sage\n*.sagetex.py\n*.sagetex.scmd\n\n# scrwfile\n*.wrt\n\n# sympy\n*.sout\n*.sympy\nsympy-plots-for-*.tex/\n\n# pdfcomment\n*.upa\n*.upb\n\n# pythontex\n*.pytxcode\npythontex-files-*/\n\n# tcolorbox\n*.listing\n\n# thmtools\n*.loe\n\n# TikZ & PGF\n*.dpth\n*.md5\n*.auxlock\n\n# todonotes\n*.tdo\n\n# easy-todo\n*.lod\n\n# xcolor\n*.xcp\n\n# xmpincl\n*.xmpi\n\n# xindy\n*.xdy\n\n# xypic precompiled matrices\n*.xyc\n\n# endfloat\n*.ttt\n*.fff\n\n# Latexian\nTSWLatexianTemp*\n\n## Editors:\n# WinEdt\n*.bak\n*.sav\n\n# Texpad\n.texpadtmp\n\n# LyX\n*.lyx~\n\n# Kile\n*.backup\n\n# KBibTeX\n*~[0-9]*\n\n# auto folder when using emacs and auctex\n./auto/*\n*.el\n\n# expex forward references with \\gathertags\n*-tags.tex\n\n# standalone packages\n*.sta\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(27,'Magento','#--------------------------#\n# Magento Default Files    #\n#--------------------------#\n\n/PATCH_*.sh\n\n/app/etc/local.xml\n\n/media/*\n!/media/.htaccess\n\n!/media/customer\n/media/customer/*\n!/media/customer/.htaccess\n\n!/media/dhl\n/media/dhl/*\n!/media/dhl/logo.jpg\n\n!/media/downloadable\n/media/downloadable/*\n!/media/downloadable/.htaccess\n\n!/media/xmlconnect\n/media/xmlconnect/*\n\n!/media/xmlconnect/custom\n/media/xmlconnect/custom/*\n!/media/xmlconnect/custom/ok.gif\n\n!/media/xmlconnect/original\n/media/xmlconnect/original/*\n!/media/xmlconnect/original/ok.gif\n\n!/media/xmlconnect/system\n/media/xmlconnect/system/*\n!/media/xmlconnect/system/ok.gif\n\n/var/*\n!/var/.htaccess\n\n!/var/package\n/var/package/*\n!/var/package/*.xml\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(28,'KDevelop4','*.kdev4\n.kdev4/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(29,'macOS','# General\n.DS_Store\n.AppleDouble\n.LSOverride\n\n# Icon must end with two \\r\nIcon\r\r\n\n# Thumbnails\n._*\n\n# Files that might appear in the root of a volume\n.DocumentRevisions-V100\n.fseventsd\n.Spotlight-V100\n.TemporaryItems\n.Trashes\n.VolumeIcon.icns\n.com.apple.timemachine.donotpresent\n\n# Directories potentially created on remote AFP share\n.AppleDB\n.AppleDesktop\nNetwork Trash Folder\nTemporary Items\n.apdisk\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(30,'OpenCart','.htaccess\n/config.php\nadmin/config.php\n\n!index.html\n\ndownload/\nimage/data/\nimage/cache/\nsystem/cache/\nsystem/logs/\n\nsystem/storage/\n\n# vQmod log files\nvqmod/logs/*\n# vQmod cache files\nvqmod/vqcache/*\nvqmod/checked.cache\nvqmod/mods.cache\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(31,'Go','# Binaries for programs and plugins\n*.exe\n*.exe~\n*.dll\n*.so\n*.dylib\n\n# Test binary, build with `go test -c`\n*.test\n\n# Output of the go coverage tool, specifically when used with LiteIDE\n*.out\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(32,'Eclipse','\n.metadata\nbin/\ntmp/\n*.tmp\n*.bak\n*.swp\n*~.nib\nlocal.properties\n.settings/\n.loadpath\n.recommenders\n\n# External tool builders\n.externalToolBuilders/\n\n# Locally stored \"Eclipse launch configurations\"\n*.launch\n\n# PyDev specific (Python IDE for Eclipse)\n*.pydevproject\n\n# CDT-specific (C/C++ Development Tooling)\n.cproject\n\n# CDT- autotools\n.autotools\n\n# Java annotation processor (APT)\n.factorypath\n\n# PDT-specific (PHP Development Tools)\n.buildpath\n\n# sbteclipse plugin\n.target\n\n# Tern plugin\n.tern-project\n\n# TeXlipse plugin\n.texlipse\n\n# STS (Spring Tool Suite)\n.springBeans\n\n# Code Recommenders\n.recommenders/\n\n# Annotation Processing\n.apt_generated/\n\n# Scala IDE specific (Scala & Java development for Eclipse)\n.cache-main\n.scala_dependencies\n.worksheet\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(33,'Zephir','# Cache files, generates by Zephir\n.temp/\n.libs/\n\n# Object files, generates by linker\n*.lo\n*.la\n*.o\n*.loT\n\n# Files generated by configure and Zephir,\n# not required for extension compilation.\next/build/\next/modules/\next/Makefile*\next/config*\next/acinclude.m4\next/aclocal.m4\next/autom4te*\next/install-sh\next/ltmain.sh\next/missing\next/mkinstalldirs\next/run-tests.php\next/.deps\next/libtool\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(34,'Textpattern','.htaccess\ncss.php\nrpc/\nsites/site*/admin/\nsites/site*/private/\nsites/site*/public/admin/\nsites/site*/public/setup/\nsites/site*/public/theme/\ntextpattern/\nHISTORY.txt\nREADME.txt\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(35,'Nim','nimcache/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(36,'GPG','secring.*\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(37,'Drupal','# Ignore configuration files that may contain sensitive information.\nsites/*/*settings*.php\nsites/example.sites.php\n\n# Ignore paths that contain generated content.\nfiles/\nsites/*/files\nsites/*/private\nsites/*/translations\n\n# Ignore default text files\nrobots.txt\n/CHANGELOG.txt\n/COPYRIGHT.txt\n/INSTALL*.txt\n/LICENSE.txt\n/MAINTAINERS.txt\n/UPGRADE.txt\n/README.txt\nsites/README.txt\nsites/all/libraries/README.txt\nsites/all/modules/README.txt\nsites/all/themes/README.txt\n\n# Ignore everything but the \"sites\" folder ( for non core developer )\n.htaccess\nweb.config\nauthorize.php\ncron.php\nindex.php\ninstall.php\nupdate.php\nxmlrpc.php\n/includes\n/misc\n/modules\n/profiles\n/scripts\n/themes\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(38,'Kate','# Swap Files #\n.*.kate-swp\n.swp.*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(39,'CMake','CMakeCache.txt\nCMakeFiles\nCMakeScripts\nTesting\nMakefile\ncmake_install.cmake\ninstall_manifest.txt\ncompile_commands.json\nCTestTestfile.cmake\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(40,'VisualStudio','## Ignore Visual Studio temporary files, build results, and\n## files generated by popular Visual Studio add-ons.\n##\n## Get latest from https://github.com/github/gitignore/blob/master/VisualStudio.gitignore\n\n# User-specific files\n*.rsuser\n*.suo\n*.user\n*.userosscache\n*.sln.docstates\n\n# User-specific files (MonoDevelop/Xamarin Studio)\n*.userprefs\n\n# Build results\n[Dd]ebug/\n[Dd]ebugPublic/\n[Rr]elease/\n[Rr]eleases/\nx64/\nx86/\nbld/\n[Bb]in/\n[Oo]bj/\n[Ll]og/\n\n# Visual Studio 2015/2017 cache/options directory\n.vs/\n# Uncomment if you have tasks that create the project\'s static files in wwwroot\n#wwwroot/\n\n# Visual Studio 2017 auto generated files\nGenerated\\ Files/\n\n# MSTest test Results\n[Tt]est[Rr]esult*/\n[Bb]uild[Ll]og.*\n\n# NUNIT\n*.VisualState.xml\nTestResult.xml\n\n# Build Results of an ATL Project\n[Dd]ebugPS/\n[Rr]eleasePS/\ndlldata.c\n\n# Benchmark Results\nBenchmarkDotNet.Artifacts/\n\n# .NET Core\nproject.lock.json\nproject.fragment.lock.json\nartifacts/\n\n# StyleCop\nStyleCopReport.xml\n\n# Files built by Visual Studio\n*_i.c\n*_p.c\n*_h.h\n*.ilk\n*.meta\n*.obj\n*.iobj\n*.pch\n*.pdb\n*.ipdb\n*.pgc\n*.pgd\n*.rsp\n*.sbr\n*.tlb\n*.tli\n*.tlh\n*.tmp\n*.tmp_proj\n*_wpftmp.csproj\n*.log\n*.vspscc\n*.vssscc\n.builds\n*.pidb\n*.svclog\n*.scc\n\n# Chutzpah Test files\n_Chutzpah*\n\n# Visual C++ cache files\nipch/\n*.aps\n*.ncb\n*.opendb\n*.opensdf\n*.sdf\n*.cachefile\n*.VC.db\n*.VC.VC.opendb\n\n# Visual Studio profiler\n*.psess\n*.vsp\n*.vspx\n*.sap\n\n# Visual Studio Trace Files\n*.e2e\n\n# TFS 2012 Local Workspace\n$tf/\n\n# Guidance Automation Toolkit\n*.gpState\n\n# ReSharper is a .NET coding add-in\n_ReSharper*/\n*.[Rr]e[Ss]harper\n*.DotSettings.user\n\n# JustCode is a .NET coding add-in\n.JustCode\n\n# TeamCity is a build add-in\n_TeamCity*\n\n# DotCover is a Code Coverage Tool\n*.dotCover\n\n# AxoCover is a Code Coverage Tool\n.axoCover/*\n!.axoCover/settings.json\n\n# Visual Studio code coverage results\n*.coverage\n*.coveragexml\n\n# NCrunch\n_NCrunch_*\n.*crunch*.local.xml\nnCrunchTemp_*\n\n# MightyMoose\n*.mm.*\nAutoTest.Net/\n\n# Web workbench (sass)\n.sass-cache/\n\n# Installshield output folder\n[Ee]xpress/\n\n# DocProject is a documentation generator add-in\nDocProject/buildhelp/\nDocProject/Help/*.HxT\nDocProject/Help/*.HxC\nDocProject/Help/*.hhc\nDocProject/Help/*.hhk\nDocProject/Help/*.hhp\nDocProject/Help/Html2\nDocProject/Help/html\n\n# Click-Once directory\npublish/\n\n# Publish Web Output\n*.[Pp]ublish.xml\n*.azurePubxml\n# Note: Comment the next line if you want to checkin your web deploy settings,\n# but database connection strings (with potential passwords) will be unencrypted\n*.pubxml\n*.publishproj\n\n# Microsoft Azure Web App publish settings. Comment the next line if you want to\n# checkin your Azure Web App publish settings, but sensitive information contained\n# in these scripts will be unencrypted\nPublishScripts/\n\n# NuGet Packages\n*.nupkg\n# The packages folder can be ignored because of Package Restore\n**/[Pp]ackages/*\n# except build/, which is used as an MSBuild target.\n!**/[Pp]ackages/build/\n# Uncomment if necessary however generally it will be regenerated when needed\n#!**/[Pp]ackages/repositories.config\n# NuGet v3\'s project.json files produces more ignorable files\n*.nuget.props\n*.nuget.targets\n\n# Microsoft Azure Build Output\ncsx/\n*.build.csdef\n\n# Microsoft Azure Emulator\necf/\nrcf/\n\n# Windows Store app package directories and files\nAppPackages/\nBundleArtifacts/\nPackage.StoreAssociation.xml\n_pkginfo.txt\n*.appx\n\n# Visual Studio cache files\n# files ending in .cache can be ignored\n*.[Cc]ache\n# but keep track of directories ending in .cache\n!*.[Cc]ache/\n\n# Others\nClientBin/\n~$*\n*~\n*.dbmdl\n*.dbproj.schemaview\n*.jfm\n*.pfx\n*.publishsettings\norleans.codegen.cs\n\n# Including strong name files can present a security risk\n# (https://github.com/github/gitignore/pull/2483#issue-259490424)\n#*.snk\n\n# Since there are multiple workflows, uncomment next line to ignore bower_components\n# (https://github.com/github/gitignore/pull/1529#issuecomment-104372622)\n#bower_components/\n\n# RIA/Silverlight projects\nGenerated_Code/\n\n# Backup & report files from converting an old project file\n# to a newer Visual Studio version. Backup files are not needed,\n# because we have git ;-)\n_UpgradeReport_Files/\nBackup*/\nUpgradeLog*.XML\nUpgradeLog*.htm\nServiceFabricBackup/\n*.rptproj.bak\n\n# SQL Server files\n*.mdf\n*.ldf\n*.ndf\n\n# Business Intelligence projects\n*.rdl.data\n*.bim.layout\n*.bim_*.settings\n*.rptproj.rsuser\n\n# Microsoft Fakes\nFakesAssemblies/\n\n# GhostDoc plugin setting file\n*.GhostDoc.xml\n\n# Node.js Tools for Visual Studio\n.ntvs_analysis.dat\nnode_modules/\n\n# Visual Studio 6 build log\n*.plg\n\n# Visual Studio 6 workspace options file\n*.opt\n\n# Visual Studio 6 auto-generated workspace file (contains which files were open etc.)\n*.vbw\n\n# Visual Studio LightSwitch build output\n**/*.HTMLClient/GeneratedArtifacts\n**/*.DesktopClient/GeneratedArtifacts\n**/*.DesktopClient/ModelManifest.xml\n**/*.Server/GeneratedArtifacts\n**/*.Server/ModelManifest.xml\n_Pvt_Extensions\n\n# Paket dependency manager\n.paket/paket.exe\npaket-files/\n\n# FAKE - F# Make\n.fake/\n\n# JetBrains Rider\n.idea/\n*.sln.iml\n\n# CodeRush personal settings\n.cr/personal\n\n# Python Tools for Visual Studio (PTVS)\n__pycache__/\n*.pyc\n\n# Cake - Uncomment if you are using it\n# tools/**\n# !tools/packages.config\n\n# Tabs Studio\n*.tss\n\n# Telerik\'s JustMock configuration file\n*.jmconfig\n\n# BizTalk build output\n*.btp.cs\n*.btm.cs\n*.odx.cs\n*.xsd.cs\n\n# OpenCover UI analysis results\nOpenCover/\n\n# Azure Stream Analytics local run output\nASALocalRun/\n\n# MSBuild Binary and Structured Log\n*.binlog\n\n# NVidia Nsight GPU debugger configuration file\n*.nvuser\n\n# MFractors (Xamarin productivity tool) working folder\n.mfractor/\n\n# Local History for Visual Studio\n.localhistory/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(41,'ModelSim','# ignore ModelSim generated files and directories (temp files and so on)\n[_@]*\n\n# ignore compilation output of ModelSim\n*.mti\n*.dat\n*.dbs\n*.psm\n*.bak\n*.cmp\n*.jpg\n*.html\n*.bsf\n\n# ignore simulation output of ModelSim\nwlf*\n*.wlf\n*.vstf\n*.ucdb\ncov*/\ntranscript*\nsc_dpiheader.h\nvsim.dbg\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(42,'WordPress','*.log\nwp-config.php\nwp-content/advanced-cache.php\nwp-content/backup-db/\nwp-content/backups/\nwp-content/blogs.dir/\nwp-content/cache/\nwp-content/upgrade/\nwp-content/uploads/\nwp-content/mu-plugins/\nwp-content/wp-cache-config.php\nwp-content/plugins/hello.php\n\n/.htaccess\n/license.txt\n/readme.html\n/sitemap.xml\n/sitemap.xml.gz\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(43,'SublimeText','# Cache files for Sublime Text\n*.tmlanguage.cache\n*.tmPreferences.cache\n*.stTheme.cache\n\n# Workspace files are user-specific\n*.sublime-workspace\n\n# Project files should be checked into the repository, unless a significant\n# proportion of contributors will probably not be using Sublime Text\n# *.sublime-project\n\n# SFTP configuration file\nsftp-config.json\n\n# Package control specific files\nPackage Control.last-run\nPackage Control.ca-list\nPackage Control.ca-bundle\nPackage Control.system-ca-bundle\nPackage Control.cache/\nPackage Control.ca-certs/\nPackage Control.merged-ca-bundle\nPackage Control.user-ca-bundle\noscrypto-ca-bundle.crt\nbh_unicode_properties.cache\n\n# Sublime-github package stores a github token in this file\n# https://packagecontrol.io/packages/sublime-github\nGitHub.sublime-settings\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(44,'Jboss','jboss/server/all/deploy/project.ext\njboss/server/default/deploy/project.ext\njboss/server/minimal/deploy/project.ext\njboss/server/all/log/*.log\njboss/server/all/tmp/**/*\njboss/server/all/data/**/*\njboss/server/all/work/**/*\njboss/server/default/log/*.log\njboss/server/default/tmp/**/*\njboss/server/default/data/**/*\njboss/server/default/work/**/*\njboss/server/minimal/log/*.log\njboss/server/minimal/tmp/**/*\njboss/server/minimal/data/**/*\njboss/server/minimal/work/**/*\n\n# deployed package files #\n\n*.DEPLOYED\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(45,'Python','# Byte-compiled / optimized / DLL files\n__pycache__/\n*.py[cod]\n*$py.class\n\n# C extensions\n*.so\n\n# Distribution / packaging\n.Python\nbuild/\ndevelop-eggs/\ndist/\ndownloads/\neggs/\n.eggs/\nlib/\nlib64/\nparts/\nsdist/\nvar/\nwheels/\n*.egg-info/\n.installed.cfg\n*.egg\nMANIFEST\n\n# PyInstaller\n#  Usually these files are written by a python script from a template\n#  before PyInstaller builds the exe, so as to inject date/other infos into it.\n*.manifest\n*.spec\n\n# Installer logs\npip-log.txt\npip-delete-this-directory.txt\n\n# Unit test / coverage reports\nhtmlcov/\n.tox/\n.nox/\n.coverage\n.coverage.*\n.cache\nnosetests.xml\ncoverage.xml\n*.cover\n.hypothesis/\n.pytest_cache/\n\n# Translations\n*.mo\n*.pot\n\n# Django stuff:\n*.log\nlocal_settings.py\ndb.sqlite3\n\n# Flask stuff:\ninstance/\n.webassets-cache\n\n# Scrapy stuff:\n.scrapy\n\n# Sphinx documentation\ndocs/_build/\n\n# PyBuilder\ntarget/\n\n# Jupyter Notebook\n.ipynb_checkpoints\n\n# IPython\nprofile_default/\nipython_config.py\n\n# pyenv\n.python-version\n\n# celery beat schedule file\ncelerybeat-schedule\n\n# SageMath parsed files\n*.sage.py\n\n# Environments\n.env\n.venv\nenv/\nvenv/\nENV/\nenv.bak/\nvenv.bak/\n\n# Spyder project settings\n.spyderproject\n.spyproject\n\n# Rope project settings\n.ropeproject\n\n# mkdocs documentation\n/site\n\n# mypy\n.mypy_cache/\n.dmypy.json\ndmypy.json\n\n# Pyre type checker\n.pyre/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(46,'Clojure','pom.xml\npom.xml.asc\n*.jar\n*.class\n/lib/\n/classes/\n/target/\n/checkouts/\n.lein-deps-sum\n.lein-repl-history\n.lein-plugins/\n.lein-failures\n.nrepl-port\n.cpcache/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(47,'ChefCookbook','.vagrant\n/cookbooks\n\n# Bundler\nbin/*\n.bundle/*\n\n.kitchen/\n.kitchen.local.yml\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(48,'Elixir','/_build\n/cover\n/deps\n/doc\n/.fetch\nerl_crash.dump\n*.ez\n*.beam\n/config/*.secret.exs\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(49,'ZendFramework','# Composer files\ncomposer.phar\nvendor/\n\n# Local configs\nconfig/autoload/*.local.php\n\n# Binary gettext files\n*.mo\n\n# Data\ndata/logs/\ndata/cache/\ndata/sessions/\ndata/tmp/\ntemp/\n\n#Doctrine 2\ndata/DoctrineORMModule/Proxy/\ndata/DoctrineORMModule/cache/\n\n# Legacy ZF1\ndemos/\nextras/documentation\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(50,'Redis','# Ignore redis binary dump (dump.rdb) files\n\n*.rdb\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(51,'Images','# JPEG\n*.jpg\n*.jpeg\n*.jpe\n*.jif\n*.jfif\n*.jfi\n\n# JPEG 2000\n*.jp2\n*.j2k\n*.jpf\n*.jpx\n*.jpm\n*.mj2\n\n# JPEG XR\n*.jxr\n*.hdp\n*.wdp\n\n# Graphics Interchange Format\n*.gif\n\n# RAW\n*.raw\n\n# Web P\n*.webp\n\n# Portable Network Graphics\n*.png\n\n# Animated Portable Network Graphics\n*.apng\n\n# Multiple-image Network Graphics\n*.mng\n\n# Tagged Image File Format\n*.tiff\n*.tif\n\n# Scalable Vector Graphics\n*.svg\n*.svgz\n\n# Portable Document Format\n*.pdf\n\n# X BitMap\n*.xbm\n\n# BMP\n*.bmp\n*.dib\n\n# ICO\n*.ico\n\n# 3D Images\n*.3dm\n*.max\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(52,'Umbraco','## Ignore Umbraco files/folders generated for each instance\n##\n## Get latest from https://github.com/github/gitignore/blob/master/Umbraco.gitignore\n\n# Note: VisualStudio gitignore rules may also be relevant\n\n# Umbraco\n# Ignore unimportant folders generated by Umbraco\n**/App_Data/Logs/\n**/App_Data/[Pp]review/\n**/App_Data/TEMP/\n**/App_Data/NuGetBackup/\n\n# Ignore Umbraco content cache file\n**/App_Data/umbraco.config\n\n# Don\'t ignore Umbraco packages (VisualStudio.gitignore mistakes this for a NuGet packages folder)\n# Make sure to include details from VisualStudio.gitignore BEFORE this\n!**/App_Data/[Pp]ackages/*\n!**/[Uu]mbraco/[Dd]eveloper/[Pp]ackages/*\n\n# ImageProcessor DiskCache\n**/App_Data/cache/\n\n# Ignore the Models Builder models out of date flag\n**/App_Data/Models/ood.flag\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(53,'Processing','.DS_Store\napplet\napplication.linux-arm64\napplication.linux-armv6hf\napplication.linux32\napplication.linux64\napplication.windows32\napplication.windows64\napplication.macosx\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(54,'Autotools','# http://www.gnu.org/software/automake\n\nMakefile.in\n/ar-lib\n/mdate-sh\n/py-compile\n/test-driver\n/ylwrap\n\n# http://www.gnu.org/software/autoconf\n\nautom4te.cache\n/autoscan.log\n/autoscan-*.log\n/aclocal.m4\n/compile\n/config.guess\n/config.h.in\n/config.log\n/config.status\n/config.sub\n/configure\n/configure.scan\n/depcomp\n/install-sh\n/missing\n/stamp-h1\n\n# https://www.gnu.org/software/libtool/\n\n/ltmain.sh\n\n# http://www.gnu.org/software/texinfo\n\n/texinfo.tex\n\n# http://www.gnu.org/software/m4/\n\nm4/libtool.m4\nm4/ltoptions.m4\nm4/ltsugar.m4\nm4/ltversion.m4\nm4/lt~obsolete.m4\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(55,'Dart','# See https://www.dartlang.org/guides/libraries/private-files\n\n# Files and directories created by pub\n.dart_tool/\n.packages\nbuild/\n# If you\'re building an application, you may want to check-in your pubspec.lock\npubspec.lock\n\n# Directory created by dartdoc\n# If you don\'t generate documentation locally you can remove this line.\ndoc/api/\n\n# Avoid committing generated Javascript files:\n*.dart.js\n*.info.json      # Produced by the --dump-info flag.\n*.js             # When generated by dart2js. Don\'t specify *.js if your\n                 # project includes source files written in JavaScript.\n*.js_\n*.js.deps\n*.js.map\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(56,'Vagrant','# General\n.vagrant/\n\n# Log files (if you are creating logs in debug mode, uncomment this)\n# *.logs\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(57,'Lithium','libraries/*\nresources/tmp/*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(58,'CakePHP','# CakePHP 3\n\n/vendor/*\n/config/app.php\n\n/tmp/cache/models/*\n!/tmp/cache/models/empty\n/tmp/cache/persistent/*\n!/tmp/cache/persistent/empty\n/tmp/cache/views/*\n!/tmp/cache/views/empty\n/tmp/sessions/*\n!/tmp/sessions/empty\n/tmp/tests/*\n!/tmp/tests/empty\n\n/logs/*\n!/logs/empty\n\n# CakePHP 2\n\n/app/tmp/*\n/app/Config/core.php\n/app/Config/database.php\n/vendors/*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(59,'Maven','target/\npom.xml.tag\npom.xml.releaseBackup\npom.xml.versionsBackup\npom.xml.next\nrelease.properties\ndependency-reduced-pom.xml\nbuildNumber.properties\n.mvn/timing.properties\n.mvn/wrapper/maven-wrapper.jar\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(60,'Qooxdoo','cache\ncache-downloads\ninspector\napi\nsource/inspector.html\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(61,'Sdcc','# SDCC stuff\n*.lnk\n*.lst\n*.map\n*.mem\n*.rel\n*.rst\n*.sym\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(62,'CUDA','*.i\n*.ii\n*.gpu\n*.ptx\n*.cubin\n*.fatbin\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(63,'Yii','assets/*\n!assets/.gitignore\nprotected/runtime/*\n!protected/runtime/.gitignore\nprotected/data/*.db\nthemes/classic/views/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(64,'Phalcon','/cache/\n/config/development/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(65,'Composer','composer.phar\n/vendor/\n\n# Commit your application\'s lock file https://getcomposer.org/doc/01-basic-usage.md#commit-your-composer-lock-file-to-version-control\n# You may choose to ignore a library lock file http://getcomposer.org/doc/02-libraries.md#lock-file\n# composer.lock\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(66,'Perl','!Build/\n.last_cover_stats\n/META.yml\n/META.json\n/MYMETA.*\n*.o\n*.pm.tdy\n*.bs\n\n# Devel::Cover\ncover_db/\n\n# Devel::NYTProf\nnytprof.out\n\n# Dizt::Zilla\n/.build/\n\n# Module::Build\n_build/\nBuild\nBuild.bat\n\n# Module::Install\ninc/\n\n# ExtUtils::MakeMaker\n/blib/\n/_eumm/\n/*.gz\n/Makefile\n/Makefile.old\n/MANIFEST.bak\n/pm_to_blib\n/*.zip\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(67,'AppEngine','# Google App Engine generated folder\nappengine-generated/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(68,'GWT','*.class\n\n# Package Files #\n*.jar\n*.war\n\n# gwt caches and compiled units #\nwar/gwt_bree/\ngwt-unitCache/\n\n# boilerplate generated classes #\n.apt_generated/\n\n# more caches and things from deploy #\nwar/WEB-INF/deploy/\nwar/WEB-INF/classes/\n\n#compilation logs\n.gwt/\n\n#gwt junit compilation files\nwww-test/\n\n#old GWT (1.5) created this dir\n.gwt-tmp/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(69,'Smalltalk','# changes file\n*.changes\n\n# system image\n*.image\n\n# Pharo Smalltalk Debug log file\nPharoDebug.log\n\n# Squeak Smalltalk Debug log file\nSqueakDebug.log\n\n# Monticello package cache\n/package-cache\n\n# playground cache\n/play-cache\n/play-stash\n\n# Metacello-github cache\n/github-cache\ngithub-*.zip\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(70,'Grails','# .gitignore for Grails 1.2 and 1.3\n# Although this should work for most versions of grails, it is\n# suggested that you use the \"grails integrate-with --git\" command\n# to generate your .gitignore file.\n\n# web application files\n/web-app/WEB-INF/classes\n\n# default HSQL database files for production mode\n/prodDb.*\n\n# general HSQL database files\n*Db.properties\n*Db.script\n\n# logs\n/stacktrace.log\n/test/reports\n/logs\n\n# project release file\n/*.war\n\n# plugin release files\n/*.zip\n/plugin.xml\n\n# older plugin install locations\n/plugins\n/web-app/plugins\n\n# \"temporary\" build files\n/target\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(71,'SCons','# for projects that use SCons for building: http://http://www.scons.org/\n.sconsign.dblite\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(72,'Rust','# Generated by Cargo\n# will have compiled files and executables\n/target/\n\n# Remove Cargo.lock from gitignore if creating an executable, leave it for libraries\n# More information here https://doc.rust-lang.org/cargo/guide/cargo-toml-vs-cargo-lock.html\nCargo.lock\n\n# These are backup files generated by rustfmt\n**/*.rs.bk\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(73,'Kohana','application/cache/*\napplication/logs/*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(74,'FuelPHP','# the composer package lock file and install directory\n# Commit your application\'s lock file http://getcomposer.org/doc/01-basic-usage.md#composer-lock-the-lock-file\n# You may choose to ignore a library lock file http://getcomposer.org/doc/02-libraries.md#lock-file\n# /composer.lock\n/fuel/vendor\n\n# the fuelphp document\n/docs/\n\n# you may install these packages with `oil package`.\n# http://fuelphp.com/docs/packages/oil/package.html\n# /fuel/packages/auth/\n# /fuel/packages/email/\n# /fuel/packages/oil/\n# /fuel/packages/orm/\n# /fuel/packages/parser/\n\n# dynamically generated files\n/fuel/app/logs/*/*/*\n/fuel/app/cache/*/*\n/fuel/app/config/crypt.php\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(75,'PureScript','# Dependencies\n.psci_modules\nbower_components\nnode_modules\n\n# Generated files\n.psci\noutput\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(76,'TextMate','*.tmproj\n*.tmproject\ntmtags\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(77,'Erlang','.eunit\ndeps\n*.o\n*.beam\n*.plt\nerl_crash.dump\nebin/*.beam\nrel/example_project\n.concrete/DEV_MODE\n.rebar\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(78,'Calabash','# Calabash / Cucumber\nrerun/\nreports/\nscreenshots/\nscreenshot*.png\ntest-servers/\n\n# bundler\n.bundle\nvendor\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(79,'Qt','# C++ objects and libs\n*.slo\n*.lo\n*.o\n*.a\n*.la\n*.lai\n*.so\n*.dll\n*.dylib\n\n# Qt-es\nobject_script.*.Release\nobject_script.*.Debug\n*_plugin_import.cpp\n/.qmake.cache\n/.qmake.stash\n*.pro.user\n*.pro.user.*\n*.qbs.user\n*.qbs.user.*\n*.moc\nmoc_*.cpp\nmoc_*.h\nqrc_*.cpp\nui_*.h\n*.qmlc\n*.jsc\nMakefile*\n*build-*\n\n# Qt unit tests\ntarget_wrapper.*\n\n# QtCreator\n*.autosave\n\n# QtCreator Qml\n*.qmlproject.user\n*.qmlproject.user.*\n\n# QtCreator CMake\nCMakeLists.txt.user*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(80,'R','# History files\n.Rhistory\n.Rapp.history\n\n# Session Data files\n.RData\n\n# Example code in package build process\n*-Ex.R\n\n# Output files from R CMD build\n/*.tar.gz\n\n# Output files from R CMD check\n/*.Rcheck/\n\n# RStudio files\n.Rproj.user/\n\n# produced vignettes\nvignettes/*.html\nvignettes/*.pdf\n\n# OAuth2 token, see https://github.com/hadley/httr/releases/tag/v0.3\n.httr-oauth\n\n# knitr and R markdown default cache directories\n/*_cache/\n/cache/\n\n# Temporary files created by R markdown\n*.utf8.md\n*.knit.md\n\n# Shiny token, see https://shiny.rstudio.com/articles/shinyapps.html\nrsconnect/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(81,'Eagle','# Ignore list for Eagle, a PCB layout tool\n\n# Backup files\n*.s#?\n*.b#?\n*.l#?\n*.b$?\n*.s$?\n*.l$?\n\n# Eagle project file\n# It contains a serial number and references to the file structure\n# on your computer.\n# comment the following line if you want to have your project file included.\neagle.epf\n\n# Autorouter files\n*.pro\n*.job\n\n# CAM files\n*.$$$\n*.cmp\n*.ly2\n*.l15\n*.sol\n*.plc\n*.stc\n*.sts\n*.crc\n*.crs\n\n*.dri\n*.drl\n*.gpi\n*.pls\n*.ger\n*.xln\n\n*.drd\n*.drd.*\n\n*.s#*\n*.b#*\n\n*.info\n\n*.eps\n\n# file locks introduced since 7.x\n*.lck\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(82,'MonoDevelop','#User Specific\n*.userprefs\n*.usertasks\n\n#Mono Project Files\n*.pidb\n*.resources\ntest-results/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(83,'Java','# Compiled class file\n*.class\n\n# Log file\n*.log\n\n# BlueJ files\n*.ctxt\n\n# Mobile Tools for Java (J2ME)\n.mtj.tmp/\n\n# Package Files #\n*.jar\n*.war\n*.nar\n*.ear\n*.zip\n*.tar.gz\n*.rar\n\n# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml\nhs_err_pid*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(84,'Diff','*.patch\n*.diff\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(85,'Elm','# elm-package generated files\nelm-stuff\n# elm-repl generated files\nrepl-temp-*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(86,'CodeKit','# General CodeKit files to ignore\nconfig.codekit\nconfig.codekit3\n/min\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(87,'Kotlin','# Compiled class file\n*.class\n\n# Log file\n*.log\n\n# BlueJ files\n*.ctxt\n\n# Mobile Tools for Java (J2ME)\n.mtj.tmp/\n\n# Package Files #\n*.jar\n*.war\n*.nar\n*.ear\n*.zip\n*.tar.gz\n*.rar\n\n# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml\nhs_err_pid*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(88,'Archives','# It\'s better to unpack these files and commit the raw source because\n# git has its own built in compression methods.\n*.7z\n*.jar\n*.rar\n*.zip\n*.gz\n*.tgz\n*.bzip\n*.bz2\n*.xz\n*.lzma\n*.cab\n\n# Packing-only formats\n*.iso\n*.tar\n\n# Package management formats\n*.dmg\n*.xpi\n*.gem\n*.egg\n*.deb\n*.rpm\n*.msi\n*.msm\n*.msp\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(89,'LyX','# Ignore LyX backup and autosave files\n# http://www.lyx.org/\n*.lyx~\n*.lyx#\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(90,'Haskell','dist\ndist-*\ncabal-dev\n*.o\n*.hi\n*.chi\n*.chs.h\n*.dyn_o\n*.dyn_hi\n.hpc\n.hsenv\n.cabal-sandbox/\ncabal.sandbox.config\n*.prof\n*.aux\n*.hp\n*.eventlog\n.stack-work/\ncabal.project.local\ncabal.project.local~\n.HTF/\n.ghc.environment.*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(91,'Ensime','# Ensime specific\n.ensime\n.ensime_cache/\n.ensime_lucene/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(92,'WebMethods','**/IntegrationServer/datastore/\n**/IntegrationServer/db/\n**/IntegrationServer/DocumentStore/\n**/IntegrationServer/lib/\n**/IntegrationServer/logs/\n**/IntegrationServer/replicate/\n**/IntegrationServer/sdk/\n**/IntegrationServer/support/\n**/IntegrationServer/update/\n**/IntegrationServer/userFtpRoot/\n**/IntegrationServer/web/\n**/IntegrationServer/WmRepository4/\n**/IntegrationServer/XAStore/\n**/IntegrationServer/packages/Wm*/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(93,'JetBrains','# Covers JetBrains IDEs: IntelliJ, RubyMine, PhpStorm, AppCode, PyCharm, CLion, Android Studio and WebStorm\n# Reference: https://intellij-support.jetbrains.com/hc/en-us/articles/206544839\n\n# User-specific stuff\n.idea/**/workspace.xml\n.idea/**/tasks.xml\n.idea/**/usage.statistics.xml\n.idea/**/dictionaries\n.idea/**/shelf\n\n# Generated files\n.idea/**/contentModel.xml\n\n# Sensitive or high-churn files\n.idea/**/dataSources/\n.idea/**/dataSources.ids\n.idea/**/dataSources.local.xml\n.idea/**/sqlDataSources.xml\n.idea/**/dynamic.xml\n.idea/**/uiDesigner.xml\n.idea/**/dbnavigator.xml\n\n# Gradle\n.idea/**/gradle.xml\n.idea/**/libraries\n\n# Gradle and Maven with auto-import\n# When using Gradle or Maven with auto-import, you should exclude module files,\n# since they will be recreated, and may cause churn.  Uncomment if using\n# auto-import.\n# .idea/modules.xml\n# .idea/*.iml\n# .idea/modules\n\n# CMake\ncmake-build-*/\n\n# Mongo Explorer plugin\n.idea/**/mongoSettings.xml\n\n# File-based project format\n*.iws\n\n# IntelliJ\nout/\n\n# mpeltonen/sbt-idea plugin\n.idea_modules/\n\n# JIRA plugin\natlassian-ide-plugin.xml\n\n# Cursive Clojure plugin\n.idea/replstate.xml\n\n# Crashlytics plugin (for Android Studio and IntelliJ)\ncom_crashlytics_export_strings.xml\ncrashlytics.properties\ncrashlytics-build.properties\nfabric.properties\n\n# Editor-based Rest Client\n.idea/httpRequests\n\n# Android studio 3.1+ serialized cache file\n.idea/caches/build_file_checksums.ser\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(94,'Xojo','# Xojo (formerly REALbasic and Real Studio)\n\nBuilds*\n*.debug\n*.debug.app\nDebug*.exe\nDebug*/Debug*.exe\nDebug*/Debug*\\ Libs\n*.rbuistate\n*.xojo_uistate\n*.obsolete\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(95,'Emacs','# -*- mode: gitignore; -*-\n*~\n\\#*\\#\n/.emacs.desktop\n/.emacs.desktop.lock\n*.elc\nauto-save-list\ntramp\n.\\#*\n\n# Org-mode\n.org-id-locations\n*_archive\n\n# flymake-mode\n*_flymake.*\n\n# eshell files\n/eshell/history\n/eshell/lastdir\n\n# elpa packages\n/elpa/\n\n# reftex files\n*.rel\n\n# AUCTeX auto folder\n/auto/\n\n# cask packages\n.cask/\ndist/\n\n# Flycheck\nflycheck_*.el\n\n# server auth directory\n/server/\n\n# projectiles files\n.projectile\n\n# directory configuration\n.dir-locals.el\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(96,'KiCad','# For PCBs designed using KiCad: http://www.kicad-pcb.org/\n# Format documentation: http://kicad-pcb.org/help/file-formats/\n\n# Temporary files\n*.000\n*.bak\n*.bck\n*.kicad_pcb-bak\n*~\n_autosave-*\n*.tmp\n*-rescue.lib\n*-save.pro\n*-save.kicad_pcb\n\n# Netlist files (exported from Eeschema)\n*.net\n\n# Autorouter files (exported from Pcbnew)\n*.dsn\n*.ses\n\n# Exported BOM files\n*.xml\n*.csv\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(97,'Lua','# Compiled Lua sources\nluac.out\n\n# luarocks build files\n*.src.rock\n*.zip\n*.tar.gz\n\n# Object files\n*.o\n*.os\n*.ko\n*.obj\n*.elf\n\n# Precompiled Headers\n*.gch\n*.pch\n\n# Libraries\n*.lib\n*.a\n*.la\n*.lo\n*.def\n*.exp\n\n# Shared objects (inc. Windows DLLs)\n*.dll\n*.so\n*.so.*\n*.dylib\n\n# Executables\n*.exe\n*.out\n*.app\n*.i*86\n*.x86_64\n*.hex\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(98,'Lazarus','# Lazarus compiler-generated binaries (safe to delete)\n*.exe\n*.dll\n*.so\n*.dylib\n*.lrs\n*.res\n*.compiled\n*.dbg\n*.ppu\n*.o\n*.or\n*.a\n\n# Lazarus autogenerated files (duplicated info)\n*.rst\n*.rsj\n*.lrt\n\n# Lazarus local files (user-specific info)\n*.lps\n\n# Lazarus backups and unit output folders.\n# These can be changed by user in Lazarus/project options.\nbackup/\n*.bak\nlib/\n\n# Application bundle for Mac OS\n*.app/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(99,'Ninja','.ninja_deps\n.ninja_log\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(100,'Stella','# Atari 2600 (Stella) support for multiple assemblers\n# - DASM\n# - CC65\n\n# Assembled binaries and object directories\nobj/\na.out\n*.bin\n*.a26\n\n# Add in special Atari 7800-based binaries for good measure\n*.a78\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(101,'Tags','# Ignore tags created by etags, ctags, gtags (GNU global) and cscope\nTAGS\n.TAGS\n!TAGS/\ntags\n.tags\n!tags/\ngtags.files\nGTAGS\nGRTAGS\nGPATH\nGSYMS\ncscope.files\ncscope.out\ncscope.in.out\ncscope.po.out\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(102,'Gradle','.gradle\n/build/\n\n# Ignore Gradle GUI config\ngradle-app.setting\n\n# Avoid ignoring Gradle wrapper jar file (.jar files are usually ignored)\n!gradle-wrapper.jar\n\n# Cache of project\n.gradletasknamecache\n\n# # Work around https://youtrack.jetbrains.com/issue/IDEA-116898\n# gradle/wrapper/gradle-wrapper.properties\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(103,'MetaProgrammingSystem','workspace.xml\njunitvmwatcher*.properties\nbuild.properties\n\n# generated java classes and java source files\n#   manually add any custom artifacts that can\'t be generated from the models\n#   http://confluence.jetbrains.com/display/MPSD25/HowTo+--+MPS+and+Git\nclasses_gen\nsource_gen\nsource_gen.caches\n\n# generated test code and test results\ntest_gen\ntest_gen.caches\nTEST-*.xml\njunit*.properties\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(104,'Ansible','*.retry\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(105,'ArchLinuxPackages','*.tar\n*.tar.*\n*.jar\n*.exe\n*.msi\n*.zip\n*.tgz\n*.log\n*.log.*\n*.sig\n\npkg/\nsrc/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(106,'SynopsysVCS','# Waveform formats\n*.vcd\n*.vpd\n*.evcd\n*.fsdb\n\n# Default name of the simulation executable.  A different name can be\n# specified with this switch (the associated daidir database name is\n# also taken from here):  -o <path>/<filename>\nsimv\n\n# Generated for Verilog and VHDL top configs\nsimv.daidir/\nsimv.db.dir/\n\n# Infrastructure necessary to co-simulate SystemC models with\n# Verilog/VHDL models.  An alternate directory may be specified with this\n# switch:  -Mdir=<directory_path>\ncsrc/\n\n# Log file - the following switch allows to specify the file that will be\n# used to write all messages from simulation:  -l <filename>\n*.log\n\n# Coverage results (generated with urg) and database location.  The\n# following switch can also be used:  urg -dir <coverage_directory>.vdb\nsimv.vdb/\nurgReport/\n\n# DVE and UCLI related files.\nDVEfiles/\nucli.key\n\n# When the design is elaborated for DirectC, the following file is created\n# with declarations for C/C++ functions.\nvc_hdrs.h\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(107,'Leiningen','pom.xml\npom.xml.asc\n*.jar\n*.class\n/lib/\n/classes/\n/target/\n/checkouts/\n.lein-deps-sum\n.lein-repl-history\n.lein-plugins/\n.lein-failures\n.nrepl-port\n.cpcache/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(108,'JDeveloper','# default application storage directory used by the IDE Performance Cache feature\n.data/\n\n# used for ADF styles caching\ntemp/\n\n# default output directories\nclasses/\ndeploy/\njavadoc/\n\n# lock file, a part of Oracle Credential Store Framework\ncwallet.sso.lck','2021-08-27 08:51:43','2021-08-27 08:51:43'),(109,'Delphi','# Uncomment these types if you want even more clean repository. But be careful.\n# It can make harm to an existing project source. Read explanations below.\n#\n# Resource files are binaries containing manifest, project icon and version info.\n# They can not be viewed as text or compared by diff-tools. Consider replacing them with .rc files.\n#*.res\n#\n# Type library file (binary). In old Delphi versions it should be stored.\n# Since Delphi 2009 it is produced from .ridl file and can safely be ignored.\n#*.tlb\n#\n# Diagram Portfolio file. Used by the diagram editor up to Delphi 7.\n# Uncomment this if you are not using diagrams or use newer Delphi version.\n#*.ddp\n#\n# Visual LiveBindings file. Added in Delphi XE2.\n# Uncomment this if you are not using LiveBindings Designer.\n#*.vlb\n#\n# Deployment Manager configuration file for your project. Added in Delphi XE2.\n# Uncomment this if it is not mobile development and you do not use remote debug feature.\n#*.deployproj\n#\n# C++ object files produced when C/C++ Output file generation is configured.\n# Uncomment this if you are not using external objects (zlib library for example).\n#*.obj\n#\n\n# Delphi compiler-generated binaries (safe to delete)\n*.exe\n*.dll\n*.bpl\n*.bpi\n*.dcp\n*.so\n*.apk\n*.drc\n*.map\n*.dres\n*.rsm\n*.tds\n*.dcu\n*.lib\n*.a\n*.o\n*.ocx\n\n# Delphi autogenerated files (duplicated info)\n*.cfg\n*.hpp\n*Resource.rc\n\n# Delphi local files (user-specific info)\n*.local\n*.identcache\n*.projdata\n*.tvsconfig\n*.dsk\n\n# Delphi history and backups\n__history/\n__recovery/\n*.~*\n\n# Castalia statistics file (since XE7 Castalia is distributed with Delphi)\n*.stat\n\n# Boss dependency manager vendor folder https://github.com/HashLoad/boss\nmodules/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(110,'Patch','*.orig\n*.rej\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(111,'Perl6','# Gitignore for Perl 6 (http://www.perl6.org)\n# As part of https://github.com/github/gitignore\n\n# precompiled files\n.precomp\nlib/.precomp\n\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(112,'Cloud9','# Cloud9 IDE - http://c9.io\n.c9revisions\n.c9\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(113,'Lilypond','*.pdf\n*.ps\n*.midi\n*.mid\n*.log\n*~\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(114,'Elisp','# Compiled\n*.elc\n\n# Packaging\n.cask\n\n# Backup files\n*~\n\n# Undo-tree save-files\n*.~undo-tree\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(115,'Prestashop','# Private files\n# The following files contain your database credentials and other personal data.\n\nconfig/settings.*.php\n\n# Cache, temp and generated files\n# The following files are generated by PrestaShop.\n\nadmin-dev/autoupgrade/\n/cache/*\n!/cache/index.php\n!/cache/*/\n/cache/*/*\n!/cache/cachefs/index.php\n!/cache/purifier/index.php\n!/cache/push/index.php\n!/cache/sandbox/index.php\n!/cache/smarty/index.php\n!/cache/tcpdf/index.php\nconfig/xml/*.xml\n/log/*\n*sitemap.xml\nthemes/*/cache/\nmodules/*/config*.xml\n\n# Site content\n# The following folders contain product images, virtual products, CSV\'s, etc.\n\nadmin-dev/backups/\nadmin-dev/export/\nadmin-dev/import/\ndownload/\n/img/*\nupload/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(116,'Scala','*.class\n*.log\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(117,'OracleForms','# Compiled Form Modules\n*.fmx\n\n# Compiled Menu Modules\n*.mmx\n\n# Compiled Pre-Linked Libraries\n*.plx\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(118,'Swift','# Xcode\n#\n# gitignore contributors: remember to update Global/Xcode.gitignore, Objective-C.gitignore & Swift.gitignore\n\n## Build generated\nbuild/\nDerivedData/\n\n## Various settings\n*.pbxuser\n!default.pbxuser\n*.mode1v3\n!default.mode1v3\n*.mode2v3\n!default.mode2v3\n*.perspectivev3\n!default.perspectivev3\nxcuserdata/\n\n## Other\n*.moved-aside\n*.xccheckout\n*.xcscmblueprint\n\n## Obj-C/Swift specific\n*.hmap\n*.ipa\n*.dSYM.zip\n*.dSYM\n\n## Playgrounds\ntimeline.xctimeline\nplayground.xcworkspace\n\n# Swift Package Manager\n#\n# Add this line if you want to avoid checking in source code from Swift Package Manager dependencies.\n# Packages/\n# Package.pins\n# Package.resolved\n.build/\n\n# CocoaPods\n#\n# We recommend against adding the Pods directory to your .gitignore. However\n# you should judge for yourself, the pros and cons are mentioned at:\n# https://guides.cocoapods.org/using/using-cocoapods.html#should-i-check-the-pods-directory-into-source-control\n#\n# Pods/\n#\n# Add this line if you want to avoid checking in source code from the Xcode workspace\n# *.xcworkspace\n\n# Carthage\n#\n# Add this line if you want to avoid checking in source code from Carthage dependencies.\n# Carthage/Checkouts\n\nCarthage/Build\n\n# fastlane\n#\n# It is recommended to not store the screenshots in the git repo. Instead, use fastlane to re-generate the\n# screenshots whenever they are needed.\n# For more information about the recommended setup visit:\n# https://docs.fastlane.tools/best-practices/source-control/#source-control\n\nfastlane/report.xml\nfastlane/Preview.html\nfastlane/screenshots/**/*.png\nfastlane/test_output\n\n# Code Injection\n#\n# After new code Injection tools there\'s a generated folder /iOSInjectionProject\n# https://github.com/johnno1962/injectionforxcode\n\niOSInjectionProject/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(119,'Plone','*.pyc\n*.pyo\n*.tmp*\n*.mo\n*.egg\n*.EGG\n*.egg-info\n*.EGG-INFO\n.*.cfg\nbin/\nbuild/\ndevelop-eggs/\ndownloads/\neggs/\nfake-eggs/\nparts/\ndist/\nvar/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(120,'ExtJs','.architect\nbootstrap.css\nbootstrap.js\nbootstrap.json\nbootstrap.jsonp\nbuild/\nclassic.json\nclassic.jsonp\next/\nmodern.json\nmodern.jsonp\nresources/sass/.sass-cache/\nresources/.arch-internal-preview.css\n.arch-internal-preview.css\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(121,'Matlab','# Windows default autosave extension\n*.asv\n\n# OSX / *nix default autosave extension\n*.m~\n\n# Compiled MEX binaries (all platforms)\n*.mex*\n\n# Packaged app and toolbox files\n*.mlappinstall\n*.mltbx\n\n# Generated helpsearch folders\nhelpsearch*/\n\n# Simulink code generation folders\nslprj/\nsccprj/\n\n# Matlab code generation folders\ncodegen/\n\n# Simulink autosave extension\n*.autosave\n\n# Octave session info\noctave-workspace\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(122,'Anjuta','# Local configuration folder and symbol database\n/.anjuta/\n/.anjuta_sym_db.db\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(123,'Linux','*~\n\n# temporary files which can be created if a process still has a handle open of a deleted file\n.fuse_hidden*\n\n# KDE directory preferences\n.directory\n\n# Linux trash folder which might appear on any partition or disk\n.Trash-*\n\n# .nfs files are created when an open file is removed but is still being accessed\n.nfs*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(124,'SymphonyCMS','manifest/cache/\nmanifest/logs/\nmanifest/tmp/\nsymphony/\nworkspace/uploads/\ninstall-log.txt\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(125,'ForceDotCom','.project\n.settings\nsalesforce.schema\nReferenced Packages\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(126,'Mercurial','.hg/\n.hgignore\n.hgsigs\n.hgsub\n.hgsubstate\n.hgtags\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(127,'Android','# Built application files\n*.apk\n*.ap_\n*.aab\n\n# Files for the ART/Dalvik VM\n*.dex\n\n# Java class files\n*.class\n\n# Generated files\nbin/\ngen/\nout/\n\n# Gradle files\n.gradle/\nbuild/\n\n# Local configuration file (sdk path, etc)\nlocal.properties\n\n# Proguard folder generated by Eclipse\nproguard/\n\n# Log Files\n*.log\n\n# Android Studio Navigation editor temp files\n.navigation/\n\n# Android Studio captures folder\ncaptures/\n\n# IntelliJ\n*.iml\n.idea/workspace.xml\n.idea/tasks.xml\n.idea/gradle.xml\n.idea/assetWizardSettings.xml\n.idea/dictionaries\n.idea/libraries\n.idea/caches\n\n# Keystore files\n# Uncomment the following lines if you do not want to check your keystore files in.\n#*.jks\n#*.keystore\n\n# External native build folder generated in Android Studio 2.2 and later\n.externalNativeBuild\n\n# Google Services (e.g. APIs or Firebase)\ngoogle-services.json\n\n# Freeline\nfreeline.py\nfreeline/\nfreeline_project_description.json\n\n# fastlane\nfastlane/report.xml\nfastlane/Preview.html\nfastlane/screenshots\nfastlane/test_output\nfastlane/readme.md\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(128,'DM','*.dmb\n*.rsc\n*.int\n*.lk\n*.zip\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(129,'ExpressionEngine','.DS_Store\n\n# Images\nimages/avatars/\nimages/captchas/\nimages/smileys/\nimages/member_photos/\nimages/signature_attachments/\nimages/pm_attachments/\n\n# For security do not publish the following files\nsystem/expressionengine/config/database.php\nsystem/expressionengine/config/config.php\n\n# Caches\nsized/\nthumbs/\n_thumbs/\n*/expressionengine/cache/*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(130,'Opa','_build\n_tracks\n\nopa-debug-js\n\n*.opp\n*.opx\n*.opx.broken\n*.dump\n*.api\n*.api-txt\n*.exe\n*.log\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(131,'MicrosoftOffice','*.tmp\n\n# Word temporary\n~$*.doc*\n\n# Word Auto Backup File\nBackup of *.doc*\n\n# Excel temporary\n~$*.xls*\n\n# Excel Backup File\n*.xlk\n\n# PowerPoint temporary\n~$*.ppt*\n\n# Visio autosave temporary files\n*.~vsd*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(132,'CFWheels','# unpacked plugin folders\nplugins/**/*\n\n# files directory where uploads go\nfiles\n\n# DBMigrate plugin: generated SQL\ndb/sql\n\n# AssetBundler plugin: generated bundles\njavascripts/bundles\nstylesheets/bundles\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(133,'SugarCRM','## SugarCRM\n# Ignore custom .htaccess stuff.\n/.htaccess\n# Ignore the cache directory completely.\n# This will break the current behaviour. Which was often leading to\n# the misuse of the repository as backup replacement.\n# For development the cache directory can be safely ignored and\n# therefore it is ignored.\n/cache/*\n!/cache/index.html\n# Ignore some files and directories from the custom directory.\n/custom/history/\n/custom/modulebuilder/\n/custom/working/\n/custom/modules/*/Ext/\n/custom/application/Ext/\n# Custom configuration should also be ignored.\n/config.php\n/config_override.php\n# The silent upgrade scripts aren\'t needed.\n/silentUpgrade*.php\n# Logs files can safely be ignored.\n*.log\n# Ignore the new upload directories.\n/upload/*\n!/upload/index.html\n/upload_backup/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(134,'SlickEdit','# SlickEdit workspace and project files are ignored by default because\n# typically they are considered to be developer-specific and not part of a\n# project.\n*.vpw\n*.vpj\n\n# SlickEdit workspace history and tag files always contain user-specific\n# data so they should not be stored in a repository.\n*.vpwhistu\n*.vpwhist\n*.vtg\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(135,'CommonLisp','*.FASL\n*.fasl\n*.lisp-temp\n*.dfsl\n*.pfsl\n*.d64fsl\n*.p64fsl\n*.lx64fsl\n*.lx32fsl\n*.dx64fsl\n*.dx32fsl\n*.fx64fsl\n*.fx32fsl\n*.sx64fsl\n*.sx32fsl\n*.wx64fsl\n*.wx32fsl\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(136,'SBT','# Simple Build Tool\n# http://www.scala-sbt.org/release/docs/Getting-Started/Directories.html#configuring-version-control\n\ndist/*\ntarget/\nlib_managed/\nsrc_managed/\nproject/boot/\nproject/plugins/project/\n.history\n.cache\n.lib/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(137,'Agda','*.agdai\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(138,'Typo3','## TYPO3 v6.2\n# Ignore several upload and file directories.\n/fileadmin/user_upload/\n/fileadmin/_temp_/\n/fileadmin/_processed_/\n/uploads/\n# Ignore cache\n/typo3conf/temp_CACHED*\n/typo3conf/temp_fieldInfo.php\n/typo3conf/deprecation_*.log\n/typo3conf/ENABLE_INSTALL_TOOL\n/typo3conf/realurl_autoconf.php\n/FIRST_INSTALL\n# Ignore system folders, you should have them symlinked.\n# If not comment out the following entries.\n/typo3\n/typo3_src\n/typo3_src-*\n/Packages\n/.htaccess\n/index.php\n# Ignore temp directory.\n/typo3temp/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(139,'Waf','# For projects that use the Waf build system: https://waf.io/\n# Dot-hidden on Unix-like systems\n.waf-*-*/\n.waf3-*-*/\n# Hidden directory on Windows (no dot)\nwaf-*-*/\nwaf3-*-*/\n# Lockfile\n.lock-waf_*_build\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(140,'UnrealEngine','# Visual Studio 2015 user specific files\n.vs/\n\n# Compiled Object files\n*.slo\n*.lo\n*.o\n*.obj\n\n# Precompiled Headers\n*.gch\n*.pch\n\n# Compiled Dynamic libraries\n*.so\n*.dylib\n*.dll\n\n# Fortran module files\n*.mod\n\n# Compiled Static libraries\n*.lai\n*.la\n*.a\n*.lib\n\n# Executables\n*.exe\n*.out\n*.app\n*.ipa\n\n# These project files can be generated by the engine\n*.xcodeproj\n*.xcworkspace\n*.sln\n*.suo\n*.opensdf\n*.sdf\n*.VC.db\n*.VC.opendb\n\n# Precompiled Assets\nSourceArt/**/*.png\nSourceArt/**/*.tga\n\n# Binary Files\nBinaries/*\nPlugins/*/Binaries/*\n\n# Builds\nBuild/*\n\n# Whitelist PakBlacklist-<BuildConfiguration>.txt files\n!Build/*/\nBuild/*/**\n!Build/*/PakBlacklist*.txt\n\n# Don\'t ignore icon files in Build\n!Build/**/*.ico\n\n# Built data for maps\n*_BuiltData.uasset\n\n# Configuration files generated by the Editor\nSaved/*\n\n# Compiled source files for the engine to use\nIntermediate/*\nPlugins/*/Intermediate/*\n\n# Cache files for the editor to use\nDerivedDataCache/*\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(141,'Dropbox','# Dropbox settings and caches\n.dropbox\n.dropbox.attr\n.dropbox.cache\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(142,'Fancy','*.rbc\n*.fyc\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(143,'Fortran','# Prerequisites\n*.d\n\n# Compiled Object files\n*.slo\n*.lo\n*.o\n*.obj\n\n# Precompiled Headers\n*.gch\n*.pch\n\n# Compiled Dynamic libraries\n*.so\n*.dylib\n*.dll\n\n# Fortran module files\n*.mod\n*.smod\n\n# Compiled Static libraries\n*.lai\n*.la\n*.a\n*.lib\n\n# Executables\n*.exe\n*.out\n*.app\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(144,'NetBeans','**/nbproject/private/\nbuild/\nnbbuild/\ndist/\nnbdist/\n.nb-gradle/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(145,'CVS','/CVS/*\n**/CVS/*\n.cvsignore\n*/.cvsignore\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(146,'LabVIEW','# Libraries\n*.lvlibp\n*.llb\n\n# Shared objects (inc. Windows DLLs)\n*.dll\n*.so\n*.so.*\n*.dylib\n\n# Executables\n*.exe\n\n# Metadata\n*.aliases\n*.lvlps\n.cache/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(147,'Julia','*.jl.cov\n*.jl.*.cov\n*.jl.mem\ndeps/deps.jl\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(148,'LibreOffice','# LibreOffice locks\n.~lock.*#\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(149,'Momentics','# Built files\nx86/\narm/\narm-p/\ntranslations/*.qm\n\n# IDE settings\n.settings/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(150,'FlexBuilder','bin/\nbin-debug/\nbin-release/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(151,'IGORPro','# Avoid including Experiment files: they can be created and edited locally to test the ipf files\n*.pxp\n*.pxt\n*.uxp\n*.uxt\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(152,'PlayFramework','# Ignore Play! working directory #\nbin/\n/db\n.eclipse\n/lib/\n/logs/\n/modules\n/project/project\n/project/target\n/target\ntmp/\ntest-result\nserver.pid\n*.eml\n/dist/\n.cache\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(153,'EiffelStudio','# The compilation directory\nEIFGENs\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(154,'TurboGears2','*.py[co]\n\n# Default development database\ndevdata.db\n\n# Default data directory\ndata/*\n\n# Packages\n*.egg\n*.egg-info\ndist\nbuild\n\n# Installer logs\npip-log.txt\n\n# Unit test / coverage reports\n.coverage\n.tox\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(155,'Concrete5','config/site.php\nfiles/cache/*\nfiles/tmp/*\n.htaccess\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(156,'Symfony','# Cache and logs (Symfony2)\n/app/cache/*\n/app/logs/*\n!app/cache/.gitkeep\n!app/logs/.gitkeep\n\n# Email spool folder\n/app/spool/*\n\n# Cache, session files and logs (Symfony3)\n/var/cache/*\n/var/logs/*\n/var/sessions/*\n!var/cache/.gitkeep\n!var/logs/.gitkeep\n!var/sessions/.gitkeep\n\n# Logs (Symfony4)\n/var/log/*\n!var/log/.gitkeep\n\n# Parameters\n/app/config/parameters.yml\n/app/config/parameters.ini\n\n# Managed by Composer\n/app/bootstrap.php.cache\n/var/bootstrap.php.cache\n/bin/*\n!bin/console\n!bin/symfony_requirements\n/vendor/\n\n# Assets and user uploads\n/web/bundles/\n/web/uploads/\n\n# PHPUnit\n/app/phpunit.xml\n/phpunit.xml\n\n# Build data\n/build/\n\n# Composer PHAR\n/composer.phar\n\n# Backup entities generated with doctrine:generate:entities command\n**/Entity/*~\n\n# Embedded web-server pid file\n/.web-server-pid\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(157,'Idris','*.ibc\n*.o\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(158,'GitBook','# Node rules:\n## Grunt intermediate storage (http://gruntjs.com/creating-plugins#storing-task-files)\n.grunt\n\n## Dependency directory\n## Commenting this out is preferred by some people, see\n## https://docs.npmjs.com/misc/faq#should-i-check-my-node_modules-folder-into-git\nnode_modules\n\n# Book build output\n_book\n\n# eBook build output\n*.epub\n*.mobi\n*.pdf\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(159,'Bazaar','.bzr/\n.bzrignore\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(160,'Otto','.otto/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(161,'Node','# Logs\nlogs\n*.log\nnpm-debug.log*\nyarn-debug.log*\nyarn-error.log*\n\n# Runtime data\npids\n*.pid\n*.seed\n*.pid.lock\n\n# Directory for instrumented libs generated by jscoverage/JSCover\nlib-cov\n\n# Coverage directory used by tools like istanbul\ncoverage\n\n# nyc test coverage\n.nyc_output\n\n# Grunt intermediate storage (https://gruntjs.com/creating-plugins#storing-task-files)\n.grunt\n\n# Bower dependency directory (https://bower.io/)\nbower_components\n\n# node-waf configuration\n.lock-wscript\n\n# Compiled binary addons (https://nodejs.org/api/addons.html)\nbuild/Release\n\n# Dependency directories\nnode_modules/\njspm_packages/\n\n# TypeScript v1 declaration files\ntypings/\n\n# Optional npm cache directory\n.npm\n\n# Optional eslint cache\n.eslintcache\n\n# Optional REPL history\n.node_repl_history\n\n# Output of \'npm pack\'\n*.tgz\n\n# Yarn Integrity file\n.yarn-integrity\n\n# dotenv environment variables file\n.env\n\n# parcel-bundler cache (https://parceljs.org/)\n.cache\n\n# next.js build output\n.next\n\n# nuxt.js build output\n.nuxt\n\n# vuepress build output\n.vuepress/dist\n\n# Serverless directories\n.serverless\n\n# FuseBox cache\n.fusebox/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(162,'JEnv','# JEnv local Java version configuration file\n.java-version\n\n# Used by previous versions of JEnv\n.jenv-version\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(163,'Windows','# Windows thumbnail cache files\nThumbs.db\nehthumbs.db\nehthumbs_vista.db\n\n# Dump file\n*.stackdump\n\n# Folder config file\n[Dd]esktop.ini\n\n# Recycle Bin used on file shares\n$RECYCLE.BIN/\n\n# Windows Installer files\n*.cab\n*.msi\n*.msix\n*.msm\n*.msp\n\n# Windows shortcuts\n*.lnk\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(164,'VisualStudioCode','.vscode/*\n!.vscode/settings.json\n!.vscode/tasks.json\n!.vscode/launch.json\n!.vscode/extensions.json\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(165,'CraftCMS','# Craft 2 Storage (https://craftcms.com/support/craft-storage-gitignore)\n# not necessary for Craft 3 (https://github.com/craftcms/craft/issues/26)\n/craft/storage/*\n!/craft/storage/rebrand\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(166,'VirtualEnv','# Virtualenv\n# http://iamzed.com/2009/05/07/a-primer-on-virtualenv/\n.Python\n[Bb]in\n[Ii]nclude\n[Ll]ib\n[Ll]ib64\n[Ll]ocal\n[Ss]cripts\npyvenv.cfg\n.venv\npip-selfcheck.json\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(167,'Backup','*.bak\n*.gho\n*.ori\n*.orig\n*.tmp\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(168,'Sass','.sass-cache/\n*.css.map\n*.sass.map\n*.scss.map\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(169,'NotepadPP','# Notepad++ backups #\r\n*.bak\r\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(170,'Coq','.*.aux\n*.a\n*.cma\n*.cmi\n*.cmo\n*.cmx\n*.cmxa\n*.cmxs\n*.glob\n*.ml.d\n*.ml4.d\n*.mli.d\n*.mllib.d\n*.mlpack.d\n*.native\n*.o\n*.v.d\n*.vio\n*.vo\n.coq-native/\n.csdp.cache\n.lia.cache\n.nia.cache\n.nlia.cache\n.nra.cache\ncsdp.cache\nlia.cache\nnia.cache\nnlia.cache\nnra.cache\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(171,'C','# Prerequisites\n*.d\n\n# Object files\n*.o\n*.ko\n*.obj\n*.elf\n\n# Linker output\n*.ilk\n*.map\n*.exp\n\n# Precompiled Headers\n*.gch\n*.pch\n\n# Libraries\n*.lib\n*.a\n*.la\n*.lo\n\n# Shared objects (inc. Windows DLLs)\n*.dll\n*.so\n*.so.*\n*.dylib\n\n# Executables\n*.exe\n*.out\n*.app\n*.i*86\n*.x86_64\n*.hex\n\n# Debug files\n*.dSYM/\n*.su\n*.idb\n*.pdb\n\n# Kernel Module Compile Results\n*.mod*\n*.cmd\n.tmp_versions/\nmodules.order\nModule.symvers\nMkfile.old\ndkms.conf\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(172,'D','# Compiled Object files\n*.o\n*.obj\n\n# Compiled Dynamic libraries\n*.so\n*.dylib\n*.dll\n\n# Compiled Static libraries\n*.a\n*.lib\n\n# Executables\n*.exe\n\n# DUB\n.dub\ndocs.json\n__dummy.html\ndocs/\n\n# Code coverage\n*.lst\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(173,'Objective-C','# Xcode\n#\n# gitignore contributors: remember to update Global/Xcode.gitignore, Objective-C.gitignore & Swift.gitignore\n\n## Build generated\nbuild/\nDerivedData/\n\n## Various settings\n*.pbxuser\n!default.pbxuser\n*.mode1v3\n!default.mode1v3\n*.mode2v3\n!default.mode2v3\n*.perspectivev3\n!default.perspectivev3\nxcuserdata/\n\n## Other\n*.moved-aside\n*.xccheckout\n*.xcscmblueprint\n\n## Obj-C/Swift specific\n*.hmap\n*.ipa\n*.dSYM.zip\n*.dSYM\n\n# CocoaPods\n#\n# We recommend against adding the Pods directory to your .gitignore. However\n# you should judge for yourself, the pros and cons are mentioned at:\n# https://guides.cocoapods.org/using/using-cocoapods.html#should-i-check-the-pods-directory-into-source-control\n#\n# Pods/\n#\n# Add this line if you want to avoid checking in source code from the Xcode workspace\n# *.xcworkspace\n\n# Carthage\n#\n# Add this line if you want to avoid checking in source code from Carthage dependencies.\n# Carthage/Checkouts\n\nCarthage/Build\n\n# fastlane\n#\n# It is recommended to not store the screenshots in the git repo. Instead, use fastlane to re-generate the\n# screenshots whenever they are needed.\n# For more information about the recommended setup visit:\n# https://docs.fastlane.tools/best-practices/source-control/#source-control\n\nfastlane/report.xml\nfastlane/Preview.html\nfastlane/screenshots/**/*.png\nfastlane/test_output\n\n# Code Injection\n#\n# After new code Injection tools there\'s a generated folder /iOSInjectionProject\n# https://github.com/johnno1962/injectionforxcode\n\niOSInjectionProject/\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(174,'Joomla','/.htaccess\n/administrator/cache/*\n/administrator/components/com_admin/*\n/administrator/components/com_ajax/*\n/administrator/components/com_tags/*\n/administrator/components/com_banners/*\n/administrator/components/com_cache/*\n/administrator/components/com_postinstall/*\n/administrator/components/com_joomlaupdate/*\n/administrator/components/com_contenthistory/*\n/administrator/components/com_categories/*\n/administrator/components/com_checkin/*\n/administrator/components/com_config/*\n/administrator/components/com_contact/*\n/administrator/components/com_content/*\n/administrator/components/com_cpanel/*\n/administrator/components/com_finder/*\n/administrator/components/com_installer/*\n/administrator/components/com_languages/*\n/administrator/components/com_login/*\n/administrator/components/com_media/*\n/administrator/components/com_menus/*\n/administrator/components/com_messages/*\n/administrator/components/com_modules/*\n/administrator/components/com_newsfeeds/*\n/administrator/components/com_plugins/*\n/administrator/components/com_redirect/*\n/administrator/components/com_search/*\n/administrator/components/com_templates/*\n/administrator/components/com_users/*\n/administrator/help/*\n/administrator/includes/*\n/administrator/language/en-GB/en-GB.com_ajax.ini\n/administrator/language/en-GB/en-GB.com_ajax.sys.ini\n/administrator/language/en-GB/en-GB.com_contenthistory.ini\n/administrator/language/en-GB/en-GB.com_contenthistory.sys.ini\n/administrator/language/en-GB/en-GB.com_joomlaupdate.ini\n/administrator/language/en-GB/en-GB.com_joomlaupdate.sys.ini\n/administrator/language/en-GB/en-GB.com_postinstall.ini\n/administrator/language/en-GB/en-GB.com_postinstall.sys.ini\n/administrator/language/en-GB/en-GB.com_tags.ini\n/administrator/language/en-GB/en-GB.com_tags.sys.ini\n/administrator/language/en-GB/en-GB.mod_stats_admin.ini\n/administrator/language/en-GB/en-GB.mod_stats_admin.sys.ini\n/administrator/language/en-GB/en-GB.plg_authentication_cookie.ini\n/administrator/language/en-GB/en-GB.plg_authentication_cookie.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_contact.ini\n/administrator/language/en-GB/en-GB.plg_content_contact.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_finder.ini\n/administrator/language/en-GB/en-GB.plg_content_finder.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_module*\n/administrator/language/en-GB/en-GB.plg_finder_categories.ini\n/administrator/language/en-GB/en-GB.plg_finder_categories.sys.ini\n/administrator/language/en-GB/en-GB.plg_finder_contacts.ini\n/administrator/language/en-GB/en-GB.plg_finder_contacts.sys.ini\n/administrator/language/en-GB/en-GB.plg_finder_content.ini\n/administrator/language/en-GB/en-GB.plg_finder_content.sys.ini\n/administrator/language/en-GB/en-GB.plg_finder_newsfeeds.sys.ini\n/administrator/language/en-GB/en-GB.plg_finder_newsfeeds.ini\n/administrator/language/en-GB/en-GB.plg_finder_tags.ini\n/administrator/language/en-GB/en-GB.plg_finder_tags.sys.ini\n/administrator/language/en-GB/en-GB.plg_finder_weblinks.ini\n/administrator/language/en-GB/en-GB.plg_finder_weblinks.sys.ini\n/administrator/language/en-GB/en-GB.plg_installer_folderinstaller*\n/administrator/language/en-GB/en-GB.plg_installer_packageinstaller*\n/administrator/language/en-GB/en-GB.plg_installer_packageinstaller\n/administrator/language/en-GB/en-GB.plg_installer_urlinstaller*\n/administrator/language/en-GB/en-GB.plg_installer_webinstaller.ini\n/administrator/language/en-GB/en-GB.plg_installer_webinstaller.sys.ini\n/administrator/language/en-GB/en-GB.plg_quickicon_joomlaupdate.ini\n/administrator/language/en-GB/en-GB.plg_quickicon_joomlaupdate.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_tags.ini\n/administrator/language/en-GB/en-GB.plg_search_tags.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_languagecode.ini\n/administrator/language/en-GB/en-GB.plg_system_languagecode.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_stats*\n/administrator/language/en-GB/en-GB.plg_system_updatenotification*\n/administrator/language/en-GB/en-GB.plg_twofactorauth_totp.ini\n/administrator/language/en-GB/en-GB.plg_twofactorauth_totp.sys.ini\n/administrator/language/en-GB/en-GB.plg_twofactorauth_yubikey.ini\n/administrator/language/en-GB/en-GB.plg_twofactorauth_yubikey.sys.ini\n/administrator/language/en-GB/en-GB.tpl_isis.ini\n/administrator/language/en-GB/en-GB.tpl_isis.sys.ini\n/administrator/language/en-GB/install.xml\n/administrator/language/en-GB/en-GB.com_admin.ini\n/administrator/language/en-GB/en-GB.com_admin.sys.ini\n/administrator/language/en-GB/en-GB.com_banners.ini\n/administrator/language/en-GB/en-GB.com_banners.sys.ini\n/administrator/language/en-GB/en-GB.com_cache.ini\n/administrator/language/en-GB/en-GB.com_cache.sys.ini\n/administrator/language/en-GB/en-GB.com_categories.ini\n/administrator/language/en-GB/en-GB.com_categories.sys.ini\n/administrator/language/en-GB/en-GB.com_checkin.ini\n/administrator/language/en-GB/en-GB.com_checkin.sys.ini\n/administrator/language/en-GB/en-GB.com_config.ini\n/administrator/language/en-GB/en-GB.com_config.sys.ini\n/administrator/language/en-GB/en-GB.com_contact.ini\n/administrator/language/en-GB/en-GB.com_contact.sys.ini\n/administrator/language/en-GB/en-GB.com_content.ini\n/administrator/language/en-GB/en-GB.com_content.sys.ini\n/administrator/language/en-GB/en-GB.com_cpanel.ini\n/administrator/language/en-GB/en-GB.com_cpanel.sys.ini\n/administrator/language/en-GB/en-GB.com_finder.ini\n/administrator/language/en-GB/en-GB.com_finder.sys.ini\n/administrator/language/en-GB/en-GB.com_installer.ini\n/administrator/language/en-GB/en-GB.com_installer.sys.ini\n/administrator/language/en-GB/en-GB.com_languages.ini\n/administrator/language/en-GB/en-GB.com_languages.sys.ini\n/administrator/language/en-GB/en-GB.com_login.ini\n/administrator/language/en-GB/en-GB.com_login.sys.ini\n/administrator/language/en-GB/en-GB.com_mailto.sys.ini\n/administrator/language/en-GB/en-GB.com_media.ini\n/administrator/language/en-GB/en-GB.com_media.sys.ini\n/administrator/language/en-GB/en-GB.com_menus.ini\n/administrator/language/en-GB/en-GB.com_menus.sys.ini\n/administrator/language/en-GB/en-GB.com_messages.ini\n/administrator/language/en-GB/en-GB.com_messages.sys.ini\n/administrator/language/en-GB/en-GB.com_modules.ini\n/administrator/language/en-GB/en-GB.com_modules.sys.ini\n/administrator/language/en-GB/en-GB.com_newsfeeds.ini\n/administrator/language/en-GB/en-GB.com_newsfeeds.sys.ini\n/administrator/language/en-GB/en-GB.com_plugins.ini\n/administrator/language/en-GB/en-GB.com_plugins.sys.ini\n/administrator/language/en-GB/en-GB.com_redirect.ini\n/administrator/language/en-GB/en-GB.com_redirect.sys.ini\n/administrator/language/en-GB/en-GB.com_search.ini\n/administrator/language/en-GB/en-GB.com_search.sys.ini\n/administrator/language/en-GB/en-GB.com_templates.ini\n/administrator/language/en-GB/en-GB.com_templates.sys.ini\n/administrator/language/en-GB/en-GB.com_users.ini\n/administrator/language/en-GB/en-GB.com_users.sys.ini\n/administrator/language/en-GB/en-GB.com_weblinks.ini\n/administrator/language/en-GB/en-GB.com_weblinks.sys.ini\n/administrator/language/en-GB/en-GB.com_wrapper.ini\n/administrator/language/en-GB/en-GB.com_wrapper.sys.ini\n/administrator/language/en-GB/en-GB.ini\n/administrator/language/en-GB/en-GB.lib_joomla.ini\n/administrator/language/en-GB/en-GB.localise.php\n/administrator/language/en-GB/en-GB.mod_custom.ini\n/administrator/language/en-GB/en-GB.mod_custom.sys.ini\n/administrator/language/en-GB/en-GB.mod_feed.ini\n/administrator/language/en-GB/en-GB.mod_feed.sys.ini\n/administrator/language/en-GB/en-GB.mod_latest.ini\n/administrator/language/en-GB/en-GB.mod_latest.sys.ini\n/administrator/language/en-GB/en-GB.mod_logged.ini\n/administrator/language/en-GB/en-GB.mod_logged.sys.ini\n/administrator/language/en-GB/en-GB.mod_login.ini\n/administrator/language/en-GB/en-GB.mod_login.sys.ini\n/administrator/language/en-GB/en-GB.mod_menu.ini\n/administrator/language/en-GB/en-GB.mod_menu.sys.ini\n/administrator/language/en-GB/en-GB.mod_multilangstatus.ini\n/administrator/language/en-GB/en-GB.mod_multilangstatus.sys.ini\n/administrator/language/en-GB/en-GB.mod_online.ini\n/administrator/language/en-GB/en-GB.mod_online.sys.ini\n/administrator/language/en-GB/en-GB.mod_popular.ini\n/administrator/language/en-GB/en-GB.mod_popular.sys.ini\n/administrator/language/en-GB/en-GB.mod_quickicon.ini\n/administrator/language/en-GB/en-GB.mod_quickicon.sys.ini\n/administrator/language/en-GB/en-GB.mod_status.ini\n/administrator/language/en-GB/en-GB.mod_status.sys.ini\n/administrator/language/en-GB/en-GB.mod_submenu.ini\n/administrator/language/en-GB/en-GB.mod_submenu.sys.ini\n/administrator/language/en-GB/en-GB.mod_title.ini\n/administrator/language/en-GB/en-GB.mod_title.sys.ini\n/administrator/language/en-GB/en-GB.mod_toolbar.ini\n/administrator/language/en-GB/en-GB.mod_toolbar.sys.ini\n/administrator/language/en-GB/en-GB.mod_unread.ini\n/administrator/language/en-GB/en-GB.mod_unread.sys.ini\n/administrator/language/en-GB/en-GB.mod_version.ini\n/administrator/language/en-GB/en-GB.mod_version.sys.ini\n/administrator/language/en-GB/en-GB.plg_authentication_example.ini\n/administrator/language/en-GB/en-GB.plg_authentication_example.sys.ini\n/administrator/language/en-GB/en-GB.plg_authentication_gmail.ini\n/administrator/language/en-GB/en-GB.plg_authentication_gmail.sys.ini\n/administrator/language/en-GB/en-GB.plg_authentication_joomla.ini\n/administrator/language/en-GB/en-GB.plg_authentication_joomla.sys.ini\n/administrator/language/en-GB/en-GB.plg_authentication_ldap.ini\n/administrator/language/en-GB/en-GB.plg_authentication_ldap.sys.ini\n/administrator/language/en-GB/en-GB.plg_captcha_recaptcha.ini\n/administrator/language/en-GB/en-GB.plg_captcha_recaptcha.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_emailcloak.ini\n/administrator/language/en-GB/en-GB.plg_content_emailcloak.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_geshi.ini\n/administrator/language/en-GB/en-GB.plg_content_geshi.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_joomla.ini\n/administrator/language/en-GB/en-GB.plg_content_joomla.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_loadmodule.ini\n/administrator/language/en-GB/en-GB.plg_content_loadmodule.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_pagebreak.ini\n/administrator/language/en-GB/en-GB.plg_content_pagebreak.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_pagenavigation.ini\n/administrator/language/en-GB/en-GB.plg_content_pagenavigation.sys.ini\n/administrator/language/en-GB/en-GB.plg_content_vote.ini\n/administrator/language/en-GB/en-GB.plg_content_vote.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors_codemirror.ini\n/administrator/language/en-GB/en-GB.plg_editors_codemirror.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors_none.ini\n/administrator/language/en-GB/en-GB.plg_editors_none.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors_tinymce.ini\n/administrator/language/en-GB/en-GB.plg_editors_tinymce.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_article.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_article.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_image.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_image.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_pagebreak.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_pagebreak.sys.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_readmore.ini\n/administrator/language/en-GB/en-GB.plg_editors-xtd_readmore.sys.ini\n/administrator/language/en-GB/en-GB.plg_extension_joomla.ini\n/administrator/language/en-GB/en-GB.plg_extension_joomla.sys.ini\n/administrator/language/en-GB/en-GB.plg_quickicon_extensionupdate.ini\n/administrator/language/en-GB/en-GB.plg_quickicon_extensionupdate.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_categories.ini\n/administrator/language/en-GB/en-GB.plg_search_categories.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_contacts.ini\n/administrator/language/en-GB/en-GB.plg_search_contacts.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_content.ini\n/administrator/language/en-GB/en-GB.plg_search_content.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_newsfeeds.ini\n/administrator/language/en-GB/en-GB.plg_search_newsfeeds.sys.ini\n/administrator/language/en-GB/en-GB.plg_search_weblinks.ini\n/administrator/language/en-GB/en-GB.plg_search_weblinks.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_cache.ini\n/administrator/language/en-GB/en-GB.plg_system_cache.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_debug.ini\n/administrator/language/en-GB/en-GB.plg_system_debug.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_highlight.ini\n/administrator/language/en-GB/en-GB.plg_system_highlight.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_languagefilter.ini\n/administrator/language/en-GB/en-GB.plg_system_languagefilter.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_log.ini\n/administrator/language/en-GB/en-GB.plg_system_logout.ini\n/administrator/language/en-GB/en-GB.plg_system_logout.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_log.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_p3p.ini\n/administrator/language/en-GB/en-GB.plg_system_p3p.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_redirect.ini\n/administrator/language/en-GB/en-GB.plg_system_redirect.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_remember.ini\n/administrator/language/en-GB/en-GB.plg_system_remember.sys.ini\n/administrator/language/en-GB/en-GB.plg_system_sef.ini\n/administrator/language/en-GB/en-GB.plg_system_sef.sys.ini\n/administrator/language/en-GB/en-GB.plg_user_contactcreator.ini\n/administrator/language/en-GB/en-GB.plg_user_contactcreator.sys.ini\n/administrator/language/en-GB/en-GB.plg_user_joomla.ini\n/administrator/language/en-GB/en-GB.plg_user_joomla.sys.ini\n/administrator/language/en-GB/en-GB.plg_user_profile.ini\n/administrator/language/en-GB/en-GB.plg_user_profile.sys.ini\n/administrator/language/en-GB/en-GB.tpl_hathor.ini\n/administrator/language/en-GB/en-GB.tpl_hathor.sys.ini\n/administrator/language/en-GB/en-GB.xml\n/administrator/language/overrides/*\n/administrator/logs/*\n/administrator/manifests/*\n/administrator/modules/mod_custom/*\n/administrator/modules/mod_feed/*\n/administrator/modules/mod_latest/*\n/administrator/modules/mod_logged/*\n/administrator/modules/mod_login/*\n/administrator/modules/mod_menu/*\n/administrator/modules/mod_multilangstatus/*\n/administrator/modules/mod_online/*\n/administrator/modules/mod_popular/*\n/administrator/modules/mod_quickicon/*\n/administrator/modules/mod_status/*\n/administrator/modules/mod_submenu/*\n/administrator/modules/mod_title/*\n/administrator/modules/mod_toolbar/*\n/administrator/modules/mod_unread/*\n/administrator/modules/mod_version/*\n/administrator/modules/mod_stats_admin/*\n/administrator/templates/isis/*\n/administrator/templates/hathor/*\n/administrator/templates/system/*\n/administrator/index.php\n/cache/*\n/bin/*\n/cli/*\n/components/com_banners/*\n/components/com_ajax/*\n/components/com_config/*\n/components/com_contenthistory/*\n/components/com_tags/*\n/components/com_contact/*\n/components/com_content/*\n/components/com_finder/*\n/components/com_mailto/*\n/components/com_media/*\n/components/com_modules/*\n/components/com_newsfeeds/*\n/components/com_search/*\n/components/com_users/*\n/components/com_wrapper/*\n/components/index.html\n/images/banners/*\n/images/headers/*\n/images/sampledata/*\n/images/joomla*\n/images/index.html\n/images/powered_by.png\n/includes/*\n/installation/*\n/language/en-GB/en-GB.com_ajax.ini\n/language/en-GB/en-GB.com_config.ini\n/language/en-GB/en-GB.com_contact.ini\n/language/en-GB/en-GB.com_finder.ini\n/language/en-GB/en-GB.com_tags.ini\n/language/en-GB/en-GB.finder_cli.ini\n/language/en-GB/en-GB.lib_fof.sys.ini\n/language/en-GB/en-GB.lib_fof.ini\n/language/en-GB/en-GB.com_content.ini\n/language/en-GB/en-GB.lib_idna_convert.sys.ini\n/language/en-GB/en-GB.com_mailto.ini\n/language/en-GB/en-GB.lib_joomla.sys.ini\n/language/en-GB/en-GB.lib_phpass.sys.ini\n/language/en-GB/en-GB.lib_phpmailer.sys.ini\n/language/en-GB/en-GB.lib_phputf8.sys.ini\n/language/en-GB/en-GB.lib_simplepie.sys.ini\n/language/en-GB/en-GB.com_media.ini\n/language/en-GB/en-GB.mod_finder.ini\n/language/en-GB/en-GB.com_messages.ini\n/language/en-GB/en-GB.mod_tags_popular.ini\n/language/en-GB/en-GB.mod_tags_popular.sys.ini\n/language/en-GB/en-GB.mod_tags_similar.ini\n/language/en-GB/en-GB.mod_tags_similar.sys.ini\n/language/en-GB/en-GB.mod_finder.sys.ini\n/language/en-GB/en-GB.tpl_beez3.ini\n/language/en-GB/en-GB.tpl_beez3.sys.ini\n/language/en-GB/en-GB.com_newsfeeds.ini\n/language/en-GB/en-GB.tpl_protostar.ini\n/language/en-GB/en-GB.tpl_protostar.sys.ini\n/language/en-GB/en-GB.com_search.ini\n/language/en-GB/en-GB.com_users.ini\n/language/en-GB/en-GB.com_weblinks.ini\n/language/en-GB/en-GB.com_wrapper.ini\n/language/en-GB/en-GB.files_joomla.sys.ini\n/language/en-GB/en-GB.ini\n/language/en-GB/en-GB.lib_joomla.ini\n/language/en-GB/en-GB.localise.php\n/language/en-GB/en-GB.mod_articles_archive.ini\n/language/en-GB/en-GB.mod_articles_archive.sys.ini\n/language/en-GB/en-GB.mod_articles_categories.ini\n/language/en-GB/en-GB.mod_articles_categories.sys.ini\n/language/en-GB/en-GB.mod_articles_category.ini\n/language/en-GB/en-GB.mod_articles_category.sys.ini\n/language/en-GB/en-GB.mod_articles_latest.ini\n/language/en-GB/en-GB.mod_articles_latest.sys.ini\n/language/en-GB/en-GB.mod_articles_news.ini\n/language/en-GB/en-GB.mod_articles_news.sys.ini\n/language/en-GB/en-GB.mod_articles_popular.ini\n/language/en-GB/en-GB.mod_articles_popular.sys.ini\n/language/en-GB/en-GB.mod_banners.ini\n/language/en-GB/en-GB.mod_banners.sys.ini\n/language/en-GB/en-GB.mod_breadcrumbs.ini\n/language/en-GB/en-GB.mod_breadcrumbs.sys.ini\n/language/en-GB/en-GB.mod_custom.ini\n/language/en-GB/en-GB.mod_custom.sys.ini\n/language/en-GB/en-GB.mod_feed.ini\n/language/en-GB/en-GB.mod_feed.sys.ini\n/language/en-GB/en-GB.mod_footer.ini\n/language/en-GB/en-GB.mod_footer.sys.ini\n/language/en-GB/en-GB.mod_languages.ini\n/language/en-GB/en-GB.mod_languages.sys.ini\n/language/en-GB/en-GB.mod_login.ini\n/language/en-GB/en-GB.mod_login.sys.ini\n/language/en-GB/en-GB.mod_menu.ini\n/language/en-GB/en-GB.mod_menu.sys.ini\n/language/en-GB/en-GB.mod_random_image.ini\n/language/en-GB/en-GB.mod_random_image.sys.ini\n/language/en-GB/en-GB.mod_related_items.ini\n/language/en-GB/en-GB.mod_related_items.sys.ini\n/language/en-GB/en-GB.mod_search.ini\n/language/en-GB/en-GB.mod_search.sys.ini\n/language/en-GB/en-GB.mod_stats.ini\n/language/en-GB/en-GB.mod_stats.sys.ini\n/language/en-GB/en-GB.mod_syndicate.ini\n/language/en-GB/en-GB.mod_syndicate.sys.ini\n/language/en-GB/en-GB.mod_users_latest.ini\n/language/en-GB/en-GB.mod_users_latest.sys.ini\n/language/en-GB/en-GB.mod_weblinks.ini\n/language/en-GB/en-GB.mod_weblinks.sys.ini\n/language/en-GB/en-GB.mod_whosonline.ini\n/language/en-GB/en-GB.mod_whosonline.sys.ini\n/language/en-GB/en-GB.mod_wrapper.ini\n/language/en-GB/en-GB.mod_wrapper.sys.ini\n/language/en-GB/en-GB.tpl_atomic.ini\n/language/en-GB/en-GB.tpl_atomic.sys.ini\n/language/en-GB/en-GB.tpl_beez_20.ini\n/language/en-GB/en-GB.tpl_beez_20.sys.ini\n/language/en-GB/en-GB.tpl_beez5.ini\n/language/en-GB/en-GB.tpl_beez5.sys.ini\n/language/en-GB/en-GB.xml\n/language/en-GB/install.xml\n/language/overrides/*\n/language/index.html\n/layouts/joomla/*\n/layouts/libraries/*\n/layouts/plugins/*\n/layouts/index.html\n/libraries/cms.php\n/libraries/cms/*\n/libraries/fof/*\n/libraries/idna_convert/*\n/libraries/joomla/*\n/libraries/legacy/*\n/libraries/php-encryption/*\n/libraries/phpass/*\n/libraries/phpmailer/*\n/libraries/phputf8/*\n/libraries/simplepie/*\n/libraries/vendor/*\n/libraries/classmap.php\n/libraries/import.legacy.php\n/libraries/index.html\n/libraries/import.php\n/libraries/loader.php\n/media/cms/*\n/media/com_contenthistory/*\n/media/com_finder/*\n/media/com_joomlaupdate/*\n/media/com_wrapper/*\n/media/contacts/*\n/media/editors/*\n/media/jui/*\n/media/mailto/*\n/media/media/*\n/media/mod_languages/*\n/media/overrider/*\n/media/plg_captcha_recaptcha/*\n/media/plg_quickicon_extensionupdate/*\n/media/plg_quickicon_joomlaupdate/*\n/media/plg_system_highlight/*\n/media/plg_system_stats/*\n/media/system/*\n/media/index.html\n/modules/mod_articles_archive/*\n/modules/mod_articles_categories/*\n/modules/mod_articles_category/*\n/modules/mod_articles_latest/*\n/modules/mod_articles_news/*\n/modules/mod_articles_popular/*\n/modules/mod_banners/*\n/modules/mod_breadcrumbs/*\n/modules/mod_custom/*\n/modules/mod_feed/*\n/modules/mod_finder/*\n/modules/mod_footer/*\n/modules/mod_languages/*\n/modules/mod_login/*\n/modules/mod_menu/*\n/modules/mod_random_image/*\n/modules/mod_related_items/*\n/modules/mod_search/*\n/modules/mod_stats/*\n/modules/mod_syndicate/*\n/modules/mod_tags_popular/*\n/modules/mod_tags_similar/*\n/modules/mod_users_latest/*\n/modules/mod_whosonline/*\n/modules/mod_wrapper/*\n/modules/index.html\n/plugins/authentication/example/*\n/plugins/authentication/gmail/*\n/plugins/authentication/joomla/*\n/plugins/authentication/ldap/*\n/plugins/authentication/cookie/*\n/plugins/captcha/recaptcha/*\n/plugins/content/emailcloak/*\n/plugins/content/example/*\n/plugins/content/finder/*\n/plugins/content/geshi/*\n/plugins/content/joomla/*\n/plugins/content/loadmodule/*\n/plugins/content/pagebreak/*\n/plugins/content/pagenavigation/*\n/plugins/content/vote/*\n/plugins/content/contact/*\n/plugins/editors/codemirror/*\n/plugins/editors/none/*\n/plugins/editors/tinymce/*\n/plugins/editors-xtd/module/*\n/plugins/editors-xtd/article/*\n/plugins/editors-xtd/image/*\n/plugins/editors-xtd/pagebreak/*\n/plugins/editors-xtd/readmore/*\n/plugins/extension/example/*\n/plugins/extension/joomla/*\n/plugins/finder/categories/*\n/plugins/finder/contacts/*\n/plugins/finder/content/*\n/plugins/finder/newsfeeds/*\n/plugins/finder/tags/*\n/plugins/installer/*\n/plugins/quickicon/extensionupdate/*\n/plugins/quickicon/joomlaupdate/*\n/plugins/quickicon/index.html\n/plugins/search/categories/*\n/plugins/search/contacts/*\n/plugins/search/content/*\n/plugins/search/newsfeeds/*\n/plugins/search/weblinks/*\n/plugins/search/tags/*\n/plugins/search/index.html\n/plugins/system/cache/*\n/plugins/system/debug/*\n/plugins/system/highlight/*\n/plugins/system/languagecode/*\n/plugins/system/languagefilter/*\n/plugins/system/log/*\n/plugins/system/logout/*\n/plugins/system/p3p/*\n/plugins/system/redirect/*\n/plugins/system/remember/*\n/plugins/system/sef/*\n/plugins/system/stats/*\n/plugins/system/updatenotification/*\n/plugins/system/index.html\n/plugins/twofactorauth/*\n/plugins/user/contactcreator/*\n/plugins/user/example/*\n/plugins/user/joomla/*\n/plugins/user/profile/*\n/plugins/user/index.html\n/plugins/index.html\n/templates/beez3/*\n/templates/protostar/*\n/templates/system/*\n/templates/index.html\n/tmp/*\n/configuration.php\n/index.php\n/joomla.xml\n/*.txt\n/robots.txt.dist\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(175,'LemonStand','boot.php\nindex.php\ninstall.php\n/config/*\n!/config/config.php\n/controllers/*\n/init/*\n/logs/*\n/phproad/*\n/temp/*\n/uploaded/*\n/installer_files/*\n/modules/backend/*\n/modules/blog/*\n/modules/cms/*\n/modules/core/*\n/modules/session/*\n/modules/shop/*\n/modules/system/*\n/modules/users/*\n# add content_*.php if you don\'t want erase client changes to content\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(176,'AppceleratorTitanium','# Build folder and log file\nbuild/\nbuild.log\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(177,'Nanoc','# For projects using Nanoc (http://nanoc.ws/)\n\n# Default location for output (needs to match output_dir\'s value found in nanoc.yaml)\noutput/\n\n# Temporary file directory\ntmp/nanoc/\n\n# Crash Log\ncrash.log\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(178,'Ruby','*.gem\n*.rbc\n/.config\n/coverage/\n/InstalledFiles\n/pkg/\n/spec/reports/\n/spec/examples.txt\n/test/tmp/\n/test/version_tmp/\n/tmp/\n\n# Used by dotenv library to load environment variables.\n# .env\n\n## Specific to RubyMotion:\n.dat*\n.repl_history\nbuild/\n*.bridgesupport\nbuild-iPhoneOS/\nbuild-iPhoneSimulator/\n\n## Specific to RubyMotion (use of CocoaPods):\n#\n# We recommend against adding the Pods directory to your .gitignore. However\n# you should judge for yourself, the pros and cons are mentioned at:\n# https://guides.cocoapods.org/using/using-cocoapods.html#should-i-check-the-pods-directory-into-source-control\n#\n# vendor/Pods/\n\n## Documentation cache and generated files:\n/.yardoc/\n/_yardoc/\n/doc/\n/rdoc/\n\n## Environment normalization:\n/.bundle/\n/vendor/bundle\n/lib/bundler/man/\n\n# for a library or gem, you might want to ignore these files since the code is\n# intended to run in multiple environments; otherwise, check them in:\n# Gemfile.lock\n# .ruby-version\n# .ruby-gemset\n\n# unless supporting rvm < 1.11.0 or doing something fancy, ignore this:\n.rvmrc\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(179,'Actionscript','# Build and Release Folders\nbin-debug/\nbin-release/\n[Oo]bj/\n[Bb]in/\n\n# Other files and folders\n.settings/\n\n# Executables\n*.swf\n*.air\n*.ipa\n*.apk\n\n# Project files, i.e. `.project`, `.actionScriptProperties` and `.flexProperties`\n# should NOT be excluded as they contain compiler settings and other important\n# information for Eclipse / Flash Builder.\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(180,'Finale','*.bak\n*.db\n*.avi\n*.pdf\n*.ps\n*.mid\n*.midi\n*.mp3\n*.aif\n*.wav\n# Some versions of Finale have a bug and randomly save extra copies of\n# the music source as \"<Filename> copy.mus\"\n*copy.mus\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(181,'Dreamweaver','# DW Dreamweaver added files\n_notes\n_compareTemp\nconfigs/\ndwsync.xml\ndw_php_codehinting.config\n*.mno\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(182,'Espresso','*.esproj\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(183,'Godot','\n# Godot-specific ignores\n.import/\nexport.cfg\nexport_presets.cfg\n\n# Mono-specific ignores\n.mono/\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(184,'Laravel','/vendor/\nnode_modules/\nnpm-debug.log\nyarn-error.log\n\n# Laravel 4 specific\nbootstrap/compiled.php\napp/storage/\n\n# Laravel 5 & Lumen specific\npublic/storage\npublic/hot\nstorage/*.key\n.env\nHomestead.yaml\nHomestead.json\n/.vagrant\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(185,'BricxCC','# Bricx Command Center IDE\n# http://bricxcc.sourceforge.net\n*.bak\n*.sym\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(186,'TortoiseGit','# Project-level settings\n/.tgitconfig\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(187,'Rails','*.rbc\ncapybara-*.html\n.rspec\n/log\n/tmp\n/db/*.sqlite3\n/db/*.sqlite3-journal\n/public/system\n/coverage/\n/spec/tmp\n*.orig\nrerun.txt\npickle-email-*.html\n\n# TODO Comment out this rule if you are OK with secrets being uploaded to the repo\nconfig/initializers/secret_token.rb\nconfig/master.key\n\n# Only include if you have production secrets in this file, which is no longer a Rails default\n# config/secrets.yml\n\n# dotenv\n# TODO Comment out this rule if environment variables can be committed\n.env\n\n## Environment normalization:\n/.bundle\n/vendor/bundle\n\n# these should all be checked in to normalize the environment:\n# Gemfile.lock, .ruby-version, .ruby-gemset\n\n# unless supporting rvm < 1.11.0 or doing something fancy, ignore this:\n.rvmrc\n\n# if using bower-rails ignore default bower_components path bower.json files\n/vendor/assets/bower_components\n*.bowerrc\nbower.json\n\n# Ignore pow environment settings\n.powenv\n\n# Ignore Byebug command history file.\n.byebug_history\n\n# Ignore node_modules\nnode_modules/\n\n# Ignore precompiled javascript packs\n/public/packs\n/public/packs-test\n/public/assets\n\n# Ignore yarn files\n/yarn-error.log\nyarn-debug.log*\n.yarn-integrity\n\n# Ignore uploaded files in development\n/storage/*\n!/storage/.keep','2021-08-27 08:51:44','2021-08-27 08:51:44'),(188,'Packer','# Cache objects\npacker_cache/\n\n# For built boxes\n*.box\n','2021-08-27 08:51:44','2021-08-27 08:51:44'),(189,'Stata','# .gitignore file for git projects containing Stata files\n# Commercial statistical software: http://www.stata.com\n\n# Stata dataset and output files\n*.dta\n*.gph\n*.log\n*.smcl\n*.stpr\n*.stsem\n\n# Graphic export files from Stata\n# Stata command graph export: http://www.stata.com/manuals14/g-2graphexport.pdf\n#\n# You may add graphic export files to your .gitignore. However you should be\n# aware that this will exclude all image files from this main directory\n# and subdirectories.\n# *.ps\n# *.eps\n# *.wmf\n# *.emf\n# *.pdf\n# *.png\n# *.tif\n','2021-08-27 08:51:44','2021-08-27 08:51:44');
/*!40000 ALTER TABLE `ignores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `invite_lists`
--

DROP TABLE IF EXISTS `invite_lists`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invite_lists` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `mail` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `invite_lists`
--

LOCK TABLES `invite_lists` WRITE;
/*!40000 ALTER TABLE `invite_lists` DISABLE KEYS */;
/*!40000 ALTER TABLE `invite_lists` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_depends`
--

DROP TABLE IF EXISTS `issue_depends`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_depends` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `issue_id` int DEFAULT NULL,
  `depend_issue_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_depends_on_user_id_and_issue_id_and_depend_issue_id` (`user_id`,`issue_id`,`depend_issue_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_depends`
--

LOCK TABLES `issue_depends` WRITE;
/*!40000 ALTER TABLE `issue_depends` DISABLE KEYS */;
/*!40000 ALTER TABLE `issue_depends` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_priorities`
--

DROP TABLE IF EXISTS `issue_priorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_priorities` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `position` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_priorities_on_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_priorities`
--

LOCK TABLES `issue_priorities` WRITE;
/*!40000 ALTER TABLE `issue_priorities` DISABLE KEYS */;
INSERT INTO `issue_priorities` VALUES (1,'低',1,'2021-08-27 08:51:44','2021-08-27 08:51:44'),(2,'正常',2,'2021-08-27 08:51:44','2021-08-27 08:51:44'),(3,'高',3,'2021-08-27 08:51:44','2021-08-27 08:51:44'),(4,'紧急',4,'2021-08-27 08:51:44','2021-08-27 08:51:44'),(5,'立刻',5,'2021-08-27 08:51:44','2021-08-27 08:51:44');
/*!40000 ALTER TABLE `issue_priorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_relations`
--

DROP TABLE IF EXISTS `issue_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_relations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `issue_from_id` int NOT NULL,
  `issue_to_id` int NOT NULL,
  `relation_type` varchar(255) NOT NULL DEFAULT '',
  `delay` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_issue_relations_on_issue_from_id_and_issue_to_id` (`issue_from_id`,`issue_to_id`),
  KEY `index_issue_relations_on_issue_from_id` (`issue_from_id`),
  KEY `index_issue_relations_on_issue_to_id` (`issue_to_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_relations`
--

LOCK TABLES `issue_relations` WRITE;
/*!40000 ALTER TABLE `issue_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `issue_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_statuses`
--

DROP TABLE IF EXISTS `issue_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_statuses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `is_closed` tinyint(1) NOT NULL DEFAULT '0',
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `position` int DEFAULT '1',
  `default_done_ratio` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_statuses_on_position` (`position`),
  KEY `index_issue_statuses_on_is_closed` (`is_closed`),
  KEY `index_issue_statuses_on_is_default` (`is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_statuses`
--

LOCK TABLES `issue_statuses` WRITE;
/*!40000 ALTER TABLE `issue_statuses` DISABLE KEYS */;
INSERT INTO `issue_statuses` VALUES (1,'新增',0,1,1,NULL),(2,'正在解决',0,0,2,NULL),(3,'已解决',0,0,3,NULL),(4,'反馈',0,0,4,NULL),(5,'关闭',1,0,5,NULL),(6,'拒绝',0,0,6,NULL);
/*!40000 ALTER TABLE `issue_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_tags`
--

DROP TABLE IF EXISTS `issue_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_tags` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `color` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `issues_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `gid` int DEFAULT NULL,
  `gitea_url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_tags_on_user_id_and_name_and_project_id` (`user_id`,`name`,`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_tags`
--

LOCK TABLES `issue_tags` WRITE;
/*!40000 ALTER TABLE `issue_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `issue_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_tags_relates`
--

DROP TABLE IF EXISTS `issue_tags_relates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_tags_relates` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `issue_id` int DEFAULT NULL,
  `issue_tag_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_tags_relates_on_issue_id_and_issue_tag_id` (`issue_id`,`issue_tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_tags_relates`
--

LOCK TABLES `issue_tags_relates` WRITE;
/*!40000 ALTER TABLE `issue_tags_relates` DISABLE KEYS */;
/*!40000 ALTER TABLE `issue_tags_relates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue_times`
--

DROP TABLE IF EXISTS `issue_times`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issue_times` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `issue_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  `cost_time` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_issue_times_on_issue_id_and_user_id` (`issue_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue_times`
--

LOCK TABLES `issue_times` WRITE;
/*!40000 ALTER TABLE `issue_times` DISABLE KEYS */;
/*!40000 ALTER TABLE `issue_times` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issues`
--

DROP TABLE IF EXISTS `issues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issues` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tracker_id` int NOT NULL,
  `project_id` int NOT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `description` longtext,
  `due_date` date DEFAULT NULL,
  `category_id` int DEFAULT NULL,
  `status_id` int NOT NULL,
  `assigned_to_id` int DEFAULT NULL,
  `priority_id` int NOT NULL,
  `fixed_version_id` int DEFAULT NULL,
  `author_id` int NOT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `done_ratio` int NOT NULL DEFAULT '0',
  `estimated_hours` float DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `root_id` int DEFAULT NULL,
  `lft` int DEFAULT NULL,
  `rgt` int DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `closed_on` datetime DEFAULT NULL,
  `project_issues_index` int DEFAULT NULL,
  `issue_type` varchar(255) DEFAULT NULL,
  `token` int DEFAULT '0',
  `issue_tags_value` varchar(255) DEFAULT NULL,
  `is_lock` tinyint(1) DEFAULT '0',
  `issue_classify` varchar(255) DEFAULT NULL,
  `ref_name` varchar(255) DEFAULT NULL,
  `branch_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `issues_project_id` (`project_id`),
  KEY `index_issues_on_status_id` (`status_id`),
  KEY `index_issues_on_category_id` (`category_id`),
  KEY `index_issues_on_assigned_to_id` (`assigned_to_id`),
  KEY `index_issues_on_fixed_version_id` (`fixed_version_id`),
  KEY `index_issues_on_tracker_id` (`tracker_id`),
  KEY `index_issues_on_priority_id` (`priority_id`),
  KEY `index_issues_on_author_id` (`author_id`),
  KEY `index_issues_on_created_on` (`created_on`),
  KEY `index_issues_on_root_id_and_lft_and_rgt` (`root_id`,`lft`,`rgt`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issues`
--

LOCK TABLES `issues` WRITE;
/*!40000 ALTER TABLE `issues` DISABLE KEYS */;
/*!40000 ALTER TABLE `issues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `journal_details`
--

DROP TABLE IF EXISTS `journal_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `journal_details` (
  `id` int NOT NULL AUTO_INCREMENT,
  `journal_id` int NOT NULL DEFAULT '0',
  `property` varchar(30) NOT NULL DEFAULT '',
  `prop_key` varchar(30) NOT NULL DEFAULT '',
  `old_value` text,
  `value` text,
  PRIMARY KEY (`id`),
  KEY `journal_details_journal_id` (`journal_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `journal_details`
--

LOCK TABLES `journal_details` WRITE;
/*!40000 ALTER TABLE `journal_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `journal_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `journal_replies`
--

DROP TABLE IF EXISTS `journal_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `journal_replies` (
  `journal_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `reply_id` int DEFAULT NULL,
  KEY `index_journal_replies_on_user_id` (`user_id`),
  KEY `index_journal_replies_on_journal_id` (`journal_id`),
  KEY `index_journal_replies_on_reply_id` (`reply_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `journal_replies`
--

LOCK TABLES `journal_replies` WRITE;
/*!40000 ALTER TABLE `journal_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `journal_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `journals`
--

DROP TABLE IF EXISTS `journals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `journals` (
  `id` int NOT NULL AUTO_INCREMENT,
  `journalized_id` int NOT NULL DEFAULT '0',
  `journalized_type` varchar(30) NOT NULL DEFAULT '',
  `user_id` int NOT NULL DEFAULT '0',
  `notes` text,
  `created_on` datetime NOT NULL,
  `private_notes` tinyint(1) NOT NULL DEFAULT '0',
  `parent_id` int DEFAULT NULL,
  `comments_count` int DEFAULT '0',
  `reply_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `journals_journalized_id` (`journalized_id`,`journalized_type`),
  KEY `index_journals_on_user_id` (`user_id`),
  KEY `index_journals_on_journalized_id` (`journalized_id`),
  KEY `index_journals_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `journals`
--

LOCK TABLES `journals` WRITE;
/*!40000 ALTER TABLE `journals` DISABLE KEYS */;
/*!40000 ALTER TABLE `journals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `journals_for_messages`
--

DROP TABLE IF EXISTS `journals_for_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `journals_for_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `jour_id` int DEFAULT NULL,
  `jour_type` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `notes` text,
  `status` int DEFAULT NULL,
  `reply_id` int DEFAULT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  `m_parent_id` varchar(255) DEFAULT NULL,
  `is_readed` tinyint(1) DEFAULT NULL,
  `m_reply_count` int DEFAULT NULL,
  `m_reply_id` int DEFAULT NULL,
  `is_comprehensive_evaluation` int DEFAULT NULL,
  `private` int DEFAULT '0',
  `root_id` int DEFAULT NULL,
  `hidden` tinyint(1) DEFAULT '0',
  `praises_count` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_journals_for_messages_on_root_id` (`root_id`),
  KEY `index_journals_for_messages_on_jour_id` (`jour_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `journals_for_messages`
--

LOCK TABLES `journals_for_messages` WRITE;
/*!40000 ALTER TABLE `journals_for_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `journals_for_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kindeditor_assets`
--

DROP TABLE IF EXISTS `kindeditor_assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `kindeditor_assets` (
  `id` int NOT NULL AUTO_INCREMENT,
  `asset` varchar(255) DEFAULT NULL,
  `file_size` int DEFAULT NULL,
  `file_type` varchar(255) DEFAULT NULL,
  `owner_id` int DEFAULT NULL,
  `asset_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `owner_type` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kindeditor_assets`
--

LOCK TABLES `kindeditor_assets` WRITE;
/*!40000 ALTER TABLE `kindeditor_assets` DISABLE KEYS */;
/*!40000 ALTER TABLE `kindeditor_assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `laboratories`
--

DROP TABLE IF EXISTS `laboratories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratories` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `school_id` bigint DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `sync_course` tinyint(1) DEFAULT '0',
  `sync_subject` tinyint(1) DEFAULT '0',
  `sync_shixun` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_laboratories_on_identifier` (`identifier`),
  KEY `index_laboratories_on_school_id` (`school_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratories`
--

LOCK TABLES `laboratories` WRITE;
/*!40000 ALTER TABLE `laboratories` DISABLE KEYS */;
INSERT INTO `laboratories` VALUES (1,NULL,'www','2019-10-16 15:16:11','2019-10-16 15:16:11',0,0,0);
/*!40000 ALTER TABLE `laboratories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `laboratory_settings`
--

DROP TABLE IF EXISTS `laboratory_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratory_settings` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `laboratory_id` bigint DEFAULT NULL,
  `config` text,
  PRIMARY KEY (`id`),
  KEY `index_laboratory_settings_on_laboratory_id` (`laboratory_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratory_settings`
--

LOCK TABLES `laboratory_settings` WRITE;
/*!40000 ALTER TABLE `laboratory_settings` DISABLE KEYS */;
INSERT INTO `laboratory_settings` VALUES (1,1,'{\"name\":\"EduCoder\",\"navbar\":[{\"name\":\"实践课程\",\"link\":\"/paths\",\"hidden\":false},{\"name\":\"翻转课堂\",\"link\":\"/courses\",\"hidden\":false},{\"name\":\"实现项目\",\"link\":\"/shixuns\",\"hidden\":false},{\"name\":\"在线竞赛\",\"link\":\"/competitions\",\"hidden\":false},{\"name\":\"教学案例\",\"link\":\"/moop_cases\",\"hidden\":false},{\"name\":\"交流问答\",\"link\":\"/forums\",\"hidden\":false}],\"footer\":\"\\n\\u003cp class=\\\"footer_con-p inline lineh-30  font-14\\\"\\u003e\\n  \\u003cspan class=\\\"font-18 fl\\\"\\u003e©\\u003c/span\\u003e\\u0026nbsp;2019\\u0026nbsp;EduCoder\\n  \\u003ca target=\\\"_blank\\\" href=\\\"http://beian.miit.gov.cn/\\\" class=\\\"ml15 mr15\\\" style=\\\"color: rgb(136, 136, 136);\\\"\\u003e湘ICP备17009477号\\u003c/a\\u003e\\n  \\u003ca target=\\\"_blank\\\" href=\\\"http://www.beian.gov.cn/portal/registerSystemInfo?recordcode=43019002000962\\\" class=\\\"mr15\\\" style=\\\"color: rgb(136, 136, 136);\\\"\\u003e\\n    \\u003cimg class=\\\"vertical4\\\" src=\\\"https://ali-cdn.educoder.net/react/build/static/media/beian.d0289dc0.png\\\"\\u003e湘公网安备43019002000962号\\n  \\u003c/a\\u003e\\n  \\u003ca href=\\\"https://team.trustie.net\\\" target=\\\"_blank\\\" style=\\\"color: rgb(136, 136, 136);\\\"\\u003eTrustie\\u003c/a\\u003e\\n  \\u0026nbsp;\\u0026nbsp;\\u0026nbsp;\\u0026amp;\\u0026nbsp;\\u0026nbsp;\\u0026nbsp;IntelliDE inside.\\n  \\u003cspan class=\\\"mr15\\\"\\u003e版权所有 湖南智擎科技有限公司\\u003c/span\\u003e\\u003c/p\\u003e\\n    \"}');
/*!40000 ALTER TABLE `laboratory_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `laboratory_users`
--

DROP TABLE IF EXISTS `laboratory_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratory_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `laboratory_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_laboratory_users_on_laboratory_id` (`laboratory_id`),
  KEY `index_laboratory_users_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratory_users`
--

LOCK TABLES `laboratory_users` WRITE;
/*!40000 ALTER TABLE `laboratory_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `laboratory_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `licenses`
--

DROP TABLE IF EXISTS `licenses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `licenses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `content` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=361 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `licenses`
--

LOCK TABLES `licenses` WRITE;
/*!40000 ALTER TABLE `licenses` DISABLE KEYS */;
INSERT INTO `licenses` VALUES (1,'OSL-2.1','The Open Software Licensev. 2.1\n\nThis Open Software License (the \"License\") applies to any original work of\nauthorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing notice immediately following the copyright notice for the Original\nWork:\n\nLicensed under the Open Software License version 2.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public,\nwith the proviso that copies of Original Work or Derivative Works that You\ndistribute shall be licensed under the Open Software License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license, under patent claims owned\nor controlled by the Licensor that are embodied in the Original Work as furnished\nby the Licensor, to make, use, sell and offer for sale the Original Work and\nDerivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby\nagrees to provide a machine-readable copy of the Source Code of the Original\nWork along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor. Nothing in\nthis License shall be deemed to grant any rights to trademarks, copyrights,\npatents, trade secrets or any other intellectual property of Licensor except\nas expressly stated herein. No patent license is granted to make, use, sell\nor offer to sell embodiments of any patent claims other than the licensed\nclaims defined in Section 2. No right is granted to the trademarks of Licensor\neven if such marks are included in the Original Work. Nothing in this License\nshall be interpreted to prohibit Licensor from licensing under different terms\nfrom this License any Original Work that Licensor otherwise would have a right\nto license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution\nof the Original Work or Derivative Works in any way such that the Original\nWork or Derivative Works may be used by anyone other than You, whether the\nOriginal Work or Derivative Works are distributed to those persons or made\navailable as an application intended for use over a computer network. As an\nexpress condition for the grants of license hereunder, You agree that any\nExternal Deployment by You of a Derivative Work shall be deemed a distribution\nand shall be licensed to all under the terms of this License, as prescribed\nin section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately proceeding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\nPURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work\nor a Derivative Work, You must make a reasonable effort under the circumstances\nto obtain the express assent of recipients to the terms of this License. Nothing\nelse but this License (or another written agreement between Licensor and You)\ngrants You permission to create Derivative Works based upon the Original Work\nor to exercise any of the rights granted in Section 1 herein, and any attempt\nto do so except under the terms of this License (or another written agreement\nbetween Licensor and You) is expressly prohibited by U.S. copyright law, the\nequivalent laws of other countries, and by international treaty. Therefore,\nby exercising any of the rights granted to You in Section 1 herein, You indicate\nYour acceptance of this License and all of its terms and conditions. This\nLicense shall terminate immediately and you may no longer exercise any of\nthe rights granted to You by this License upon Your failure to honor the proviso\nin Section 1(c) herein.\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nagainst Licensor or any licensee alleging that the Original Work infringes\na patent. This termination provision shall not apply for an action alleging\npatent infringement by combinations of the Original Work with other software\nor hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of the U.S. Copyright Act, 17 U.S.C. § 101 et seq.,\nthe equivalent laws of other countries, and international treaty. This section\nshall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(2,'LiLiQ-P-1.1','Licence Libre du Québec – Permissive (LiLiQ-P)\n\nVersion 1.1\n\n   1. Préambule\n\nCette licence s\'applique à tout logiciel distribué dont le titulaire du droit\nd\'auteur précise qu\'il est sujet aux termes de la Licence Libre du Québec\n– Permissive (LiLiQ-P) (ci-après appelée la « licence »).\n\n   2. Définitions\n\nDans la présente licence, à moins que le contexte n\'indique un sens différent,\non entend par:\n\n« concédant » : le titulaire du droit d\'auteur sur le logiciel, ou toute personne\ndûment autorisée par ce dernier à accorder la présente licence;\n\n« contributeur » : le titulaire du droit d\'auteur ou toute personne autorisée\npar ce dernier à soumettre au concédant une contribution. Un contributeur\ndont sa contribution est incorporée au logiciel est considéré comme un concédant\nen regard de sa contribution;\n\n« contribution » : tout logiciel original, ou partie de logiciel original\nsoumis et destiné à être incorporé dans le logiciel;\n\n   « distribution » : le fait de délivrer une copie du logiciel;\n\n« licencié » : toute personne qui possède une copie du logiciel et qui exerce\nles droits concédés par la licence;\n\n« logiciel » : une œuvre protégée par le droit d\'auteur, telle qu\'un programme\nd\'ordinateur et sa documentation, pour laquelle le titulaire du droit d\'auteur\na précisé qu\'elle est sujette aux termes de la présente licence;\n\n« logiciel dérivé » : tout logiciel original réalisé par un licencié, autre\nque le logiciel ou un logiciel modifié, qui produit ou reproduit la totalité\nou une partie importante du logiciel;\n\n« logiciel modifié » : toute modification par un licencié de l\'un des fichiers\nsource du logiciel ou encore tout nouveau fichier source qui incorpore le\nlogiciel ou une partie importante de ce dernier.\n\n   3. Licence de droit d\'auteur\n\nSous réserve des termes de la licence, le concédant accorde au licencié une\nlicence non exclusive et libre de redevances lui permettant d\'exercer les\ndroits suivants sur le logiciel :\n\n      1  Produire ou reproduire la totalité ou une partie importante;\n\n2  Exécuter ou représenter la totalité ou une partie importante en public;\n\n      3  Publier la totalité ou une partie importante;\n\n4  Sous-licencier sous une autre licence libre, approuvée ou certifiée par\nla Free Software Foundation ou l\'Open Source Initiative.\n\n   \n\n   Cette licence est accordée sans limite territoriale et sans limite de temps.\n\nL\'exercice complet de ces droits est sujet à la distribution par le concédant\ndu code source du logiciel, lequel doit être sous une forme permettant d\'y\napporter des modifications. Le concédant peut aussi distribuer le logiciel\naccompagné d\'une offre de distribuer le code source du logiciel, sans frais\nsupplémentaires, autres que ceux raisonnables afin de permettre la livraison\ndu code source. Cette offre doit être valide pendant une durée raisonnable.\n\n   4. Distribution\n\nLe licencié peut distribuer des copies du logiciel, d\'un logiciel modifié\nou dérivé, sous réserve de respecter les conditions suivantes :\n\n   \n\n      1  Le logiciel doit être accompagné d\'un exemplaire de cette licence;\n\n2  Si le logiciel a été modifié, le licencié doit en faire la mention, de\npréférence dans chacun des fichiers modifiés dont la nature permet une telle\nmention;\n\n3  Les étiquettes ou mentions faisant état des droits d\'auteur, des marques\nde commerce, des garanties ou de la paternité concernant le logiciel ne doivent\npas être modifiées ou supprimées, à moins que ces étiquettes ou mentions ne\nsoient inapplicables à un logiciel modifié ou dérivé donné.\n\n   \n\n   5.\n\n   Contributions\n\nSous réserve d\'une entente distincte, toute contribution soumise par un contributeur\nau concédant pour inclusion dans le logiciel sera soumise aux termes de cette\nlicence.\n\n   6. Marques de commerce\n\nLa licence n\'accorde aucune permission particulière qui permettrait d\'utiliser\nles marques de commerce du concédant, autre que celle requise permettant d\'identifier\nla provenance du logiciel.\n\n   7. Garanties\n\nSauf mention contraire, le concédant distribue le logiciel sans aucune garantie,\naux risques et périls de l\'acquéreur de la copie du logiciel, et ce, sans\nassurer que le logiciel puisse répondre à un besoin particulier ou puisse\ndonner un résultat quelconque.\n\nSans lier le concédant d\'une quelconque manière, rien n\'empêche un licencié\nd\'offrir ou d\'exclure des garanties ou du support.\n\n   8. Responsabilité\n\nLe licencié est responsable de tout préjudice résultant de l\'exercice des\ndroits accordés par la licence.\n\nLe concédant ne saurait être tenu responsable de dommages subis par le licencié\nou par des tiers, pour quelque cause que ce soit en lien avec la licence et\nles droits qui y sont accordés.\n\n   9. Résiliation\n\nLa présente licence est automatiquement résiliée dès que les droits qui y\nsont accordés ne sont pas exercés conformément aux termes qui y sont stipulés.\n\nToutefois, si le défaut est corrigé dans un délai de 30 jours de sa prise\nde connaissance par la personne en défaut, et qu\'il s\'agit du premier défaut,\nla licence est accordée de nouveau.\n\nPour tout défaut subséquent, le consentement exprès du concédant est nécessaire\nafin que la licence soit accordée de nouveau.\n\n   10. Version de la licence\n\nLe Centre de services partagés du Québec, ses ayants cause ou toute personne\nqu\'il désigne, peuvent diffuser des versions révisées ou modifiées de cette\nlicence. Chaque version recevra un numéro unique. Si un logiciel est déjà\nsoumis aux termes d\'une version spécifique, c\'est seulement cette version\nqui liera les parties à la licence.\n\nLe concédant peut aussi choisir de concéder la licence sous la version actuelle\nou toute version ultérieure, auquel cas le licencié peut choisir sous quelle\nversion la licence lui est accordée.\n\n   11. Divers\n\nDans la mesure où le concédant est un ministère, un organisme public ou une\npersonne morale de droit public, créés en vertu d\'une loi de l\'Assemblée nationale\ndu Québec, la licence est régie par le droit applicable au Québec et en cas\nde contestation, les tribunaux du Québec seront seuls compétents.\n\nLa présente licence peut être distribuée sans conditions particulières. Toutefois,\nune version modifiée doit être distribuée sous un nom différent. Toute référence\nau Centre de services partagés du Québec, et, le cas échéant, ses ayant cause,\ndoit être retirée, autre que celle permettant d\'identifier la provenance de\nla licence.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(3,'gnu-javamail-exception','As a special exception, if you link this library with other files to produce an executable, this library does not by itself cause the resulting executable to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the executable file might be covered by the GNU General Public License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(4,'NLOD-1.0','Norwegian Licence for Open Government Data (NLOD)\n\nPreface of licence\n\nThis licence grants you the right to copy, use and distribute information,\nprovided you acknowledge the contributors and comply with the terms and conditions\nstipulated in this licence. By using information made available under this\nlicence, you accept the terms and conditions set forth in this licence. As\nset out in Section 7, the licensor disclaims any and all liability for the\nquality of the information and what the information is used for.\n\nThis licence shall not impose any limitations on the rights or freedoms of\nthe licensee under the Norwegian Freedom of Information Act or any other legislation\ngranting the general public a right of access to public sector information,\nor that follow from exemptions or limitations stipulated in the Norwegian\nCopyright Act. Further, the licence shall not impose any limitations on the\nlicensee\'s freedom of expression recognized by law.\n\n   1. Definitions\n\n«Database» shall mean a database or similar protected under Section 43 of\nthe Norwegian Copyright Act.\n\n«Information» shall mean texts, images, recordings, data sets or other works\nprotected under Section 1 of the Norwegian Copyright Act, or which are protected\nunder provisions addressing what is referred to as «neighbouring rights» in\nChapter 5 of the Norwegian Copyright Act (including databases and photographs),\nand which are distributed under this licence.\n\n   «Copy» shall mean reproduction in any form.\n\n«Licensee» and «you» shall mean natural or legal persons using information\nunder this licence.\n\n«Licensor» shall mean the natural or legal person that makes information available\nunder this licence.\n\n«Distribute» shall mean any actions whereby information is made available,\nincluding to distribute, transfer, communicate, disperse, show, perform, sell,\nlend and rent.\n\n«Use» shall mean one or more actions relevant to copyright law requiring permission\nfrom the owner of the copyright.\n\n   2. Licence\n\nThe licensee, subject to the limitations that follow from this licence, may\nuse the information for any purpose and in all contexts, by:\n\n   * copying the information and distributing the information to others,\n\n* modifying the information and/or combining the information with other information,\nand\n\n   * copying and distributing such changed or combined information.\n\n* This is a non-exclusive, free, perpetual and worldwide licence. The information\nmay be used in any medium and format known today and/or which will become\nknown in the future. The Licensee shall not sub-license or transfer this licence.\n\n   3. Exemptions\n\n   The licence does not apply to and therefore does not grant a right to use:\n\n* information which contains personal data covered by the Norwegian Personal\nData Act unless there is a legitimate basis for the disclosure and further\nprocessing of the personal data\n\n* information distributed in violation of a statutory obligation to observe\nconfidentiality\n\n* information excluded from public disclosure pursuant to law, including information\ndeemed sensitive under the Norwegian National Security Act\n\n* information subject to third party rights which the licensor is not authorised\nto license to the licensee\n\n* information protected by intellectual property rights other than copyright\nand neighbouring rights in accordance with Chapter 5 of the Norwegian Copyright\nAct, such as trademarks, patents and design rights, but this does not entail\nan impediment to use information where the licensor\'s logo has been permanently\nintegrated into the information or to attribute the origin of the information\nin accordance with the article below relating to attribution.\n\nIf the licensor has made available information not covered by the licence\naccording to the above list, the licensee must cease all use of the information\nunder the licence, and erase the information as soon as he or she becomes\naware of or should have understood that the information is not covered by\nthe licence.\n\n   4. Effects of breach of the licence\n\nThe licence is subject to the licensee\'s compliance with the terms and conditions\nof this licence. In the event that the licensee commits a breach of this licence,\nthis will entail that the licensee\'s right to use the information will be\nrevoked immediately without further notice. In case of such a breach, the\nlicensee must immediately and without further notice take measures to cause\nthe infringement to end. Because the right to use the information has been\nterminated, the licensee must cease all use of the information by virtue of\nthe licence.\n\n   5. Attribution\n\nThe licensee shall attribute the licensor as specified by the licensor and\ninclude a reference to this licence. To the extent practically possible, the\nlicensee shall provide a link to both this licence and the source of the information.\n\nIf the licensor has not specified how attributions shall be made, the licensee\nshall normally state the following: «Contains data under the Norwegian licence\nfor Open Government data (NLOD) distributed by [name of licensor]».\n\nIf the licensor has specified that the information shall only be available\nunder a specific version of this licence, cf. Section 10, the licensee shall\nalso state this.\n\nIf the information has been changed, the licensee must clearly indicate that\nchanges have been made by the licensee.\n\n   6. Proper use\n\nThe licensee shall not use the information in a manner that appears misleading\nnor present the information in a distorted or incorrect manner.\n\nNeither the licensor\'s nor other contributors\' names or trademarks must be\nused to support, recommend or market the licensee or any products or services\nusing the information.\n\n   7. Disclaimer of liability\n\nThe information is licensed «as is». The information may contain errors and\nomissions. The licensor provides no warranties, including relating to the\ncontent and relevance of the information.\n\nThe licensor disclaims any liability for errors and defects associated with\nthe information to the maximum extent permitted by law.\n\nThe licensor shall not be liable for direct or indirect losses as a result\nof use of the information or in connection with copying or further distribution\nof the information.\n\n   8. Guarantees regarding data quality and accessibility\n\nThis licence does not prevent the licensor from issuing supplementary statements\nregarding expected or intended data quality and accessibility. Such statements\nshall be regarded as indicative in nature and not binding on the part of the\nlicensor. The disclaimers in Section 7 also apply in full for such indicative\nstatements. Based on separate agreement, the licensor may provide guarantees\nand distribute the information on terms and conditions different from those\nset forth in this licence.\n\n   9. Licence compatibility\n\nIf the licensee is to distribute an adapted or combined work based on information\ncovered by this licence and some other work licensed under a licence compatible\nby contract, such distribution may be based on an appropriate licence compatible\nby contract, cf. the list below.\n\n   A licence compatible by contract shall mean the following licences:\n\n   * for all information: Open Government Licence (version 1.0),\n\n* for those parts of the information which do not constitute databases: Creative\nCommons Attribution Licence (generic version 1.0, 2.0, 2.5 and unported version\n3.0) and Creative Commons Navngivelse 3.0 Norge,\n\n* for those parts of the information which constitute databases: Open Data\nCommons Attribution License (version 1.0).\n\nThis provision does not prevent other licences from being compatible with\nthis licence based on their content.\n\n   10. New versions of the licence\n\nThe licensee may choose to use the information covered by this licence under\nany new versions of the Norwegian licence for Open Government data (NLOD)\nissued by the responsible ministry (currently the Ministry of Government Administration,\nReform and Church Affairs) when these versions are final and official, unless\nthe licensor when making the information available under this licence specifically\nhas stated that solely version 1.0 of this licence may be used.\n\n   11. Governing law and legal venue\n\nThis licence, including its formation, and any disputes and claims arising\nin connection with or relating to this licence, shall be regulated by Norwegian\nlaw. The legal venue shall be the licensor\'s ordinary legal venue. The licensor\nmay, with regard to intellectual proprietary rights, choose to pursue a claim\nat other competent legal venues and/or based on the laws of the country where\nthe intellectual property rights are sought enforced.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(5,'ZPL-2.0','Zope Public License (ZPL) Version 2.0\n\nThis software is Copyright (c) Zope Corporation (tm) and Contributors. All\nrights reserved. This license has been certified as open source. It has also\nbeen designated as GPL compatible by the Free Software Foundation (FSF).\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions in source code must retain the above copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions, and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name Zope Corporation (tm) must not be used to endorse or promote products\nderived from this software without prior written permission from Zope Corporation.\n\n4. The right to distribute this software or to use it for any purpose does\nnot give you the right to use Servicemarks (sm) or Trademarks (tm) of Zope\nCorporation. Use of them is covered in a separate agreement (see http://www.zope.com/Marks).\n\n5. If any files are modified, you must cause the modified files to carry prominent\nnotices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE. This software consists of contributions\nmade by Zope Corporation and many individuals on behalf of Zope Corporation.\nSpecific attributions are listed in the accompanying credits file.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(6,'Imlib2','Imlib2 License\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies of the Software and its Copyright notices. In addition publicly\ndocumented acknowledgment must be given that this software has been used if\nno source code of this software is made available publicly. Making the source\navailable publicly means including the source for this software with the distribution,\nor a method to get this software via some reasonable mechanism (electronic\ntransfer via a network or media) as well as making an offer to supply the\nsource on request. This Copyright notice serves as an offer to supply the\nsource on on request as well. Instead of this, supplying acknowledgments of\nuse of this software in either Copyright notices, Manuals, Publicity and Marketing\ndocuments or any documentation provided with any product containing this software.\nThis License does not apply to any software that links to the libraries provided\nby this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING-PLAIN for a plain-english explanation of this notice\nand its intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(7,'FTL','The FreeType Project LICENSE\n\n2006-Jan-27 Copyright 1996-2002, 2006 by David Turner, Robert Wilhelm, and\nWerner Lemberg\n\nIntroduction\n\nThe FreeType Project is distributed in several archive packages; some of them\nmay contain, in addition to the FreeType font engine, various tools and contributions\nwhich rely on, or relate to, the FreeType Project.\n\nThis license applies to all files found in such packages, and which do not\nfall under their own explicit license. The license affects thus the FreeType\nfont engine, the test programs, documentation and makefiles, at the very least.\n\nThis license was inspired by the BSD, Artistic, and IJG (Independent JPEG\nGroup) licenses, which all encourage inclusion and use of free software in\ncommercial and freeware products alike. As a consequence, its main points\nare that:\n\no We don\'t promise that this software works. However, we will be interested\nin any kind of bug reports. (`as is\' distribution)\n\no You can use this software for whatever you want, in parts or full form,\nwithout having to pay us. (`royalty-free\' usage)\n\no You may not pretend that you wrote this software. If you use it, or only\nparts of it, in a program, you must acknowledge somewhere in your documentation\nthat you have used the FreeType code. (`credits\')\n\nWe specifically permit and encourage the inclusion of this software, with\nor without modifications, in commercial products. We disclaim all warranties\ncovering The FreeType Project and assume no liability related to The FreeType\nProject.\n\nFinally, many people asked us for a preferred form for a credit/disclaimer\nto use in compliance with this license. We thus encourage you to use the following\ntext:\n\n\"\"\" Portions of this software are copyright © <year> The FreeType Project\n(www.freetype.org). All rights reserved. \"\"\"\n\nPlease replace <year> with the value from the FreeType version you actually\nuse.\n\nLegal Terms\n\n   0. Definitions\n\nThroughout this license, the terms `package\', `FreeType Project\', and `FreeType\narchive\' refer to the set of files originally distributed by the authors (David\nTurner, Robert Wilhelm, and Werner Lemberg) as the `FreeType Project\', be\nthey named as alpha, beta or final release.\n\n`You\' refers to the licensee, or person using the project, where `using\' is\na generic term including compiling the project\'s source code as well as linking\nit to form a `program\' or `executable\'. This program is referred to as `a\nprogram using the FreeType engine\'.\n\nThis license applies to all files distributed in the original FreeType Project,\nincluding all source code, binaries and documentation, unless otherwise stated\nin the file in its original, unmodified form as distributed in the original\narchive. If you are unsure whether or not a particular file is covered by\nthis license, you must contact us to verify this.\n\nThe FreeType Project is copyright (C) 1996-2000 by David Turner, Robert Wilhelm,\nand Werner Lemberg. All rights reserved except as specified below.\n\n   1. No Warranty\n\nTHE FREETYPE PROJECT IS PROVIDED `AS IS\' WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OR THE INABILITY\nTO USE, OF THE FREETYPE PROJECT.\n\n   2. Redistribution\n\nThis license grants a worldwide, royalty-free, perpetual and irrevocable right\nand license to use, execute, perform, compile, display, copy, create derivative\nworks of, distribute and sublicense the FreeType Project (in both source and\nobject code forms) and derivative works thereof for any purpose; and to authorize\nothers to exercise some or all of the rights granted herein, subject to the\nfollowing conditions:\n\no Redistribution of source code must retain this license file (`FTL.TXT\')\nunaltered; any additions, deletions or changes to the original files must\nbe clearly indicated in accompanying documentation. The copyright notices\nof the unaltered, original files must be preserved in all copies of source\nfiles.\n\no Redistribution in binary form must provide a disclaimer that states that\nthe software is based in part of the work of the FreeType Team, in the distribution\ndocumentation. We also encourage you to put an URL to the FreeType web page\nin your documentation, though this isn\'t mandatory.\n\nThese conditions apply to any software derived from or based on the FreeType\nProject, not just the unmodified files. If you use our work, you must acknowledge\nus. However, no fee need be paid to us.\n\n   3. Advertising\n\nNeither the FreeType authors and contributors nor you shall use the name of\nthe other for commercial, advertising, or promotional purposes without specific\nprior written permission.\n\nWe suggest, but do not require, that you use one or more of the following\nphrases to refer to this software in your documentation or advertising materials:\n`FreeType Project\', `FreeType Engine\', `FreeType library\', or `FreeType Distribution\'.\n\nAs you have not signed this license, you are not required to accept it. However,\nas the FreeType Project is copyrighted material, only this license, or another\none contracted with the authors, grants you the right to use, distribute,\nand modify it. Therefore, by using, distributing, or modifying the FreeType\nProject, you indicate that you understand and accept all the terms of this\nlicense.\n\n   4. Contacts\n\n   There are two mailing lists related to FreeType:\n\n      o freetype@nongnu.org\n\nDiscusses general use and applications of FreeType, as well as future and\nwanted additions to the library and distribution. If you are looking for support,\nstart in this list if you haven\'t found anything to help you in the documentation.\n\n      o freetype-devel@nongnu.org\n\nDiscusses bugs, as well as engine internals, design issues, specific licenses,\nporting, etc.\n\n   Our home page can be found at\n\n   http://www.freetype.org --- end of FTL.TXT ---\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(8,'YPL-1.0','Yahoo! Public License, Version 1.0 (YPL)\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes\nthe terms under which Yahoo! Inc., a Delaware corporation having its principal\nplace of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\")\nwill provide software to you via download or otherwise (\"Software\"). By using\nthe Software, you, an individual or an entity (\"You\") agree to the terms of\nthis Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions\nset forth below, the parties agree as follows:\n\n   1. Grant of Copyright License\n\n1.1 - Subject to the terms and conditions of this Agreement, Yahoo! hereby\ngrants to You, under any and all of its copyright interest in and to the Software,\na royalty-free, non-exclusive, non-transferable license to copy, modify, compile,\nexecute, and distribute the Software and Modifications. For the purposes of\nthis Agreement, any change to, addition to, or abridgement of the Software\nmade by You is a \"Modification;\" however, any file You add to the Software\nthat does not contain any part of the Software is not a \"Modification.\"\n\n1.2 - If You are an individual acting on behalf of a corporation or other\nentity, Your use of the Software or any Modification is subject to Your having\nthe authority to bind such corporation or entity to this Agreement. Providing\ncopies to persons within such corporation or entity is not considered distribution\nfor purposes of this Agreement.\n\n1.3 - For the Software or any Modification You distribute in source code format,\nYou must do so only under the terms of this Agreement, and You must include\na complete copy of this Agreement with Your distribution. With respect to\nany Modification You distribute in source code format, the terms of this Agreement\nwill apply to You in the same way those terms apply to Yahoo! with respect\nto the Software. In other words, when You are distributing Modifications under\nthis Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights\nYou grant and how the terms and conditions apply to You and the licensees\nof Your Modifications. Notwithstanding the foregoing, when You \"stand in the\nshoes\" of Yahoo!, You are not subject to the jurisdiction provision under\nSection 7, which requires all disputes under this Agreement to be subject\nto the jurisdiction of federal or state courts of northern California.\n\n1.4 - For the Software or any Modification You distribute in compiled or object\ncode format, You must also provide recipients with access to the Software\nor Modification in source code format along with a complete copy of this Agreement.\nThe distribution of the Software or Modifications in compiled or object code\nformat may be under a license of Your choice, provided that You are in compliance\nwith the terms of this Agreement. In addition, You must make absolutely clear\nthat any license terms applying to such Software or Modification that differ\nfrom this Agreement are offered by You alone and not by Yahoo!, and that such\nlicense does not restrict recipients from exercising rights in the source\ncode to the Software granted by Yahoo! under this Agreement or rights in the\nsource code to any Modification granted by You as described in Section 1.3.\n\n1.5 - This Agreement does not limit Your right to distribute files that are\nentirely Your own work (i.e., which do not incorporate any portion of the\nSoftware and are not Modifications) under any terms You choose.\n\n   2. Support\n\nYahoo! has no obligation to provide technical support or updates to You. Nothing\nin this Agreement requires Yahoo! to enter into any license with You for any\nother edition of the Software.\n\n   3. Intellectual Property Rights\n\n3.1 - Except for the license expressly granted under copyright in Section\n1.1, no rights, licenses or forbearances are granted or may arise in relation\nto this Agreement whether expressly, by implication, exhaustion, estoppel\nor otherwise. All rights, including all intellectual property rights, that\nare not expressly granted under this Agreement are hereby reserved.\n\n3.2 - In any copy of the Software or in any Modification you create, You must\nretain and reproduce, any and all copyright, patent, trademark, and attribution\nnotices that are included in the Software in the same form as they appear\nin the Software. This includes the preservation of attribution notices in\nthe form of trademarks or logos that exist within a user interface of the\nSoftware.\n\n3.3 - This license does not grant You rights to use any party\'s name, logo,\nor trademarks, except solely as necessary to comply with Section 3.2.\n\n   4. Disclaimer of Warranties\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO!\nMAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING\nTO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL\nBE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST\nEXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN\nINFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE,\nANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   5. Limitation of Liability\n\nIN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION\nLOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF\nCOVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING,\nPERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER,\nWHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE,\nAND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   6. Term and Termination\n\n6.1 - This Agreement will continue in effect unless and until terminated earlier\npursuant to this Section 6.\n\n6.2 - In the event Yahoo! determines that You have breached this Agreement,\nYahoo! may terminate this Agreement.\n\n6.3 - All licenses granted hereunder shall terminate upon the termination\nof this Agreement. Termination will be in addition to any rights and remedies\navailable to Yahoo! at law or equity or under this Agreement.\n\n6.4 - Termination of this Agreement will not affect the provisions regarding\nreservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!\'s\nliability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section\n7), which provisions will survive termination of this Agreement.\n\n   7. Miscellaneous\n\nThis Agreement contains the entire agreement of the parties with respect to\nthe subject matter of this Agreement and supersedes all previous communications,\nrepresentations, understandings and agreements, either oral or written, between\nthe parties with respect to said subject matter. The relationship of the parties\nhereunder is that of independent contractors, and this Agreement will not\nbe construed as creating an agency, partnership, joint venture or any other\nform of legal association between the parties. If any term, condition, or\nprovision in this Agreement is found to be invalid, unlawful or unenforceable\nto any extent, this Agreement will be construed in a manner that most closely\neffectuates the intent of this Agreement. Such invalid term, condition or\nprovision will be severed from the remaining terms, conditions and provisions,\nwhich will continue to be valid and enforceable to the fullest extent permitted\nby law. This Agreement will be interpreted and construed in accordance with\nthe laws of the State of California and the United States of America, without\nregard to conflict of law principles. The U.N. Convention on Contracts for\nthe International Sale of Goods shall not apply to this Agreement. All disputes\narising out of this Agreement involving Yahoo! or any of its subsidiaries\nshall be subject to the jurisdiction of the federal or state courts of northern\nCalifornia, with venue lying in Santa Clara County, California. No rights\nmay be assigned, no obligations may be delegated, and this Agreement may not\nbe transferred by You, in whole or in part, whether voluntary or by operation\nof law, including by way of sale of assets, merger or consolidation, without\nthe prior written consent of Yahoo!, and any purported assignment, delegation\nor transfer without such consent shall be void ab initio. Any waiver of the\nprovisions of this Agreement or of a party\'s rights or remedies under this\nAgreement must be in writing to be effective. Failure, neglect or delay by\na party to enforce the provisions of this Agreement or its rights or remedies\nat any time, will not be construed or be deemed to be a waiver of such party\'s\nrights under this Agreement and will not in any way affect the validity of\nthe whole or any part of this Agreement or prejudice such party\'s right to\ntake subsequent action.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(9,'Intel','Intel Open Source License\n\nCopyright (c) 1996-2000 Intel Corporation\n\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n• Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n• Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n• Neither the name of the Intel Corporation nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE INTEL OR CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nEXPORT LAWS: THIS LICENSE ADDS NO RESTRICTIONS TO THE EXPORT LAWS OF YOUR\nJURISDICTION. It is licensee\'s responsibility to comply with any export regulations\napplicable in licensee\'s jurisdiction. Under CURRENT (May 2000) U.S. export\nregulations this software is eligible for export from the U.S. and can be\ndownloaded by or otherwise exported or reexported worldwide EXCEPT to U.S.\nembargoed destinations which include Cuba, Iraq, Libya, North Korea, Iran,\nSyria, Sudan, Afghanistan and any other country to which the U.S. has embargoed\ngoods and services.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(10,'CC-BY-3.0','Creative Commons Attribution 3.0 Unported CREATIVE COMMONS CORPORATION IS\nNOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE\nDOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES\nTHIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(f) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined above) for the purposes of this License.\n\nc. \"Distribute\" means to make available to the public the original and copies\nof the Work or Adaptation, as appropriate, through sale or other transfer\nof ownership.\n\nd. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\ne. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\nf. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\ng. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\nh. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\ni. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections;\n\nb. to create and Reproduce Adaptations provided that any such Adaptation,\nincluding any translation in any medium, takes reasonable steps to clearly\nlabel, demarcate or otherwise identify that changes were made to the original\nWork. For example, a translation could be marked \"The original work was translated\nfrom English to Spanish,\" or a modification could indicate \"The original work\nhas been modified.\";\n\nc. to Distribute and Publicly Perform the Work including as incorporated in\nCollections; and,\n\n      d. to Distribute and Publicly Perform Adaptations.\n\n      e. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor waives the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License; and,\n\niii. Voluntary License Schemes. The Licensor waives the right to collect royalties,\nwhether individually or, in the event that the Licensor is a member of a collecting\nsociety that administers voluntary licensing schemes, via that society, from\nany exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nSubject to Section 8(f), all rights not expressly granted by Licensor are\nhereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(b), as requested. If You create an Adaptation,\nupon notice from any Licensor You must, to the extent practicable, remove\nfrom the Adaptation any credit as required by Section 4(b), as requested.\n\nb. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections,\nYou must, unless a request has been made pursuant to Section 4(a), keep intact\nall copyright notices for the Work and provide, reasonable to the medium or\nmeans You are utilizing: (i) the name of the Original Author (or pseudonym,\nif applicable) if supplied, and/or if the Original Author and/or Licensor\ndesignate another party or parties (e.g., a sponsor institute, publishing\nentity, journal) for attribution (\"Attribution Parties\") in Licensor\'s copyright\nnotice, terms of service or by other reasonable means, the name of such party\nor parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably\npracticable, the URI, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and (iv), consistent with Section 3(b), in the case\nof an Adaptation, a credit identifying the use of the Work in the Adaptation\n(e.g., \"French translation of the Work by Original Author,\" or \"Screenplay\nbased on original Work by Original Author\"). The credit required by this Section\n4 (b) may be implemented in any reasonable manner; provided, however, that\nin the case of a Adaptation or Collection, at a minimum such credit will appear,\nif a credit for all contributing authors of the Adaptation or Collection appears,\nthen as part of these credits and in a manner at least as prominent as the\ncredits for the other contributing authors. For the avoidance of doubt, You\nmay only use the credit required by this Section for the purpose of attribution\nin the manner set out above and, by exercising Your rights under this License,\nYou may not implicitly or explicitly assert or imply any connection with,\nsponsorship or endorsement by the Original Author, Licensor and/or Attribution\nParties, as appropriate, of You or Your use of the Work, without the separate,\nexpress prior written permission of the Original Author, Licensor and/or Attribution\nParties.\n\nc. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Adaptations or Collections, You\nmust not distort, mutilate, modify or take other derogatory action in relation\nto the Work which would be prejudicial to the Original Author\'s honor or reputation.\nLicensor agrees that in those jurisdictions (e.g. Japan), in which any exercise\nof the right granted in Section 3(b) of this License (the right to make Adaptations)\nwould be deemed to be a distortion, mutilation, modification or other derogatory\naction prejudicial to the Original Author\'s honor and reputation, the Licensor\nwill waive or not assert, as appropriate, this Section, to the fullest extent\npermitted by the applicable national law, to enable You to reasonably exercise\nYour right under Section 3(b) of this License (right to make Adaptations)\nbut not otherwise.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Adaptations or Collections from You under this License,\nhowever, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers\nto the recipient a license to the original Work on the same terms and conditions\nas the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent. This License constitutes\nthe entire agreement between the parties with respect to the Work licensed\nhere. There are no understandings, agreements or representations with respect\nto the Work not specified here. Licensor shall not be bound by any additional\nprovisions that may appear in any communication from You.\n\ne. This License may not be modified without the mutual written agreement of\nthe Licensor and You.\n\nf. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(11,'Vim','VIM LICENSE\n\nI) There are no restrictions on distributing unmodified copies of Vim except\nthat they must include this license text. You can also distribute unmodified\nparts of Vim, likewise unrestricted except that they must include this license\ntext. You are also allowed to include executables that you made from the unmodified\nVim sources, plus your own usage examples and Vim scripts.\n\nII) It is allowed to distribute a modified (or extended) version of Vim, including\nexecutables and/or source code, when the following four conditions are met:\n\n      1) This license text must be included unmodified.\n\n2) The modified Vim must be distributed in one of the following five ways:\n\na) If you make changes to Vim yourself, you must clearly describe in the distribution\nhow to contact you. When the maintainer asks you (in any way) for a copy of\nthe modified Vim you distributed, you must make your changes, including source\ncode, available to the maintainer without fee. The maintainer reserves the\nright to include your changes in the official version of Vim. What the maintainer\nwill do with your changes and under what license they will be distributed\nis negotiable. If there has been no negotiation then this license, or a later\nversion, also applies to your changes. The current maintainer is Bram Moolenaar\n<Bram@vim.org>. If this changes it will be announced in appropriate places\n(most likely vim.sf.net, www.vim.org and/or comp.editors). When it is completely\nimpossible to contact the maintainer, the obligation to send him your changes\nceases. Once the maintainer has confirmed that he has received your changes\nthey will not have to be sent again.\n\nb) If you have received a modified Vim that was distributed as mentioned under\na) you are allowed to further distribute it unmodified, as mentioned at I).\nIf you make additional changes the text under a) applies to those changes.\n\nc) Provide all the changes, including source code, with every copy of the\nmodified Vim you distribute. This may be done in the form of a context diff.\nYou can choose what license to use for new code you add. The changes and their\nlicense must not restrict others from making their own changes to the official\nversion of Vim.\n\nd) When you have a modified Vim which includes changes as mentioned under\nc), you can distribute it without the source code for the changes if the following\nthree conditions are met:\n\n- The license that applies to the changes permits you to distribute the changes\nto the Vim maintainer without fee or restriction, and permits the Vim maintainer\nto include the changes in the official version of Vim without fee or restriction.\n\n- You keep the changes for at least three years after last distributing the\ncorresponding modified Vim. When the maintainer or someone who you distributed\nthe modified Vim to asks you (in any way) for the changes within this period,\nyou must make them available to him.\n\n- You clearly describe in the distribution how to contact you. This contact\ninformation must remain valid for at least three years after last distributing\nthe corresponding modified Vim, or as long as possible.\n\ne) When the GNU General Public License (GPL) applies to the changes, you can\ndistribute the modified Vim under the GNU GPL version 2 or any later version.\n\n3) A message must be added, at least in the output of the \":version\" command\nand in the intro screen, such that the user of the modified Vim is able to\nsee that it was modified. When distributing as mentioned under 2)e) adding\nthe message is only required for as far as this does not conflict with the\nlicense used for the changes.\n\n4) The contact information as required under 2)a) and 2)d) must not be removed\nor changed, except that the person himself can make corrections.\n\nIII) If you distribute a modified version of Vim, you are encouraged to use\nthe Vim license for your changes and make them available to the maintainer,\nincluding the source code. The preferred way to do this is by e-mail or by\nuploading the files to a server and e-mailing the URL. If the number of changes\nis small (e.g., a modified Makefile) e-mailing a context diff will do. The\ne-mail address to be used is <maintainer@vim.org>\n\nIV) It is not allowed to remove this license from the distribution of the\nVim sources, parts of it or from a modified version. You may use this license\nfor previous Vim releases instead of the license that they came with, at your\noption.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(12,'libtiff','Copyright (c) 1988-1997 Sam Leffler\n\nCopyright (c) 1991-1997 Silicon Graphics, Inc.\n\nPermission to use, copy, modify, distribute, and sell this software and its\ndocumentation for any purpose is hereby granted without fee, provided that\n(i) the above copyright notices and this permission notice appear in all copies\nof the software and related documentation, and (ii) the names of Sam Leffler\nand Silicon Graphics may not be used in any advertising or publicity relating\nto the software without the specific, prior written permission of Sam Leffler\nand Silicon Graphics.\n\nTHE SOFTWARE IS PROVIDED \"AS-IS\" AND WITHOUT WARRANTY OF ANY KIND, EXPRESS,\nIMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY\nOR FITNESS FOR A PARTICULAR PURPOSE.\n\nIN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR ANY SPECIAL,\nINCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT ADVISED\nOF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY, ARISING OUT\nOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(13,'BSD-3-Clause-Clear','The Clear BSD License\n\nCopyright (c) [xxxx]-[xxxx] [Owner Organization]\n\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted (subject to the limitations in the disclaimer below) provided\nthat the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of [Owner Organization] nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nNO EXPRESS OR IMPLIED LICENSES TO ANY PARTY\'S PATENT RIGHTS ARE GRANTED BY\nTHIS LICENSE. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(14,'MITNFA','Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Software.\n\nDistributions of all or part of the Software intended to be used by the recipients\nas they would use the unmodified Software, containing modifications that substantially\nalter, remove, or disable functionality of the Software, outside of the documented\nconfiguration mechanisms provided by the Software, shall be modified such\nthat the Original Author\'s bug reporting email addresses and urls are either\nreplaced with the contact information of the parties responsible for the changes,\nor removed entirely.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(15,'GPL-3.0-only','GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright © 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and\nother kinds of works.\n\nThe licenses for most software and other practical works are designed to take\naway your freedom to share and change the works. By contrast, the GNU General\nPublic License is intended to guarantee your freedom to share and change all\nversions of a program--to make sure it remains free software for all its users.\nWe, the Free Software Foundation, use the GNU General Public License for most\nof our software; it applies also to any other work released this way by its\nauthors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for them if you wish), that\nyou receive source code or can get it if you want it, that you can change\nthe software or use pieces of it in new free programs, and that you know you\ncan do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights\nor asking you to surrender the rights. Therefore, you have certain responsibilities\nif you distribute copies of the software, or if you modify it: responsibilities\nto respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or\nfor a fee, you must pass on to the recipients the same freedoms that you received.\nYou must make sure that they, too, receive or can get the source code. And\nyou must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert\ncopyright on the software, and (2) offer you this License giving you legal\npermission to copy, distribute and/or modify it.\n\nFor the developers\' and authors\' protection, the GPL clearly explains that\nthere is no warranty for this free software. For both users\' and authors\'\nsake, the GPL requires that modified versions be marked as changed, so that\ntheir problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified\nversions of the software inside them, although the manufacturer can do so.\nThis is fundamentally incompatible with the aim of protecting users\' freedom\nto change the software. The systematic pattern of such abuse occurs in the\narea of products for individuals to use, which is precisely where it is most\nunacceptable. Therefore, we have designed this version of the GPL to prohibit\nthe practice for those products. If such problems arise substantially in other\ndomains, we stand ready to extend this provision to those domains in future\nversions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States\nshould not allow patents to restrict development and use of software on general-purpose\ncomputers, but in those that do, we wish to avoid the special danger that\npatents applied to a free program could make it effectively proprietary. To\nprevent this, the GPL assures that patents cannot be used to render the program\nnon-free.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works,\nsuch as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.\nEach licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals\nor organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in\na fashion requiring copyright permission, other than the making of an exact\ncopy. The resulting work is called a \"modified version\" of the earlier work\nor a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the\nProgram.\n\nTo \"propagate\" a work means to do anything with it that, without permission,\nwould make you directly or secondarily liable for infringement under applicable\ncopyright law, except executing it on a computer or modifying a private copy.\nPropagation includes copying, distribution (with or without modification),\nmaking available to the public, and in some countries other activities as\nwell.\n\nTo \"convey\" a work means any kind of propagation that enables other parties\nto make or receive copies. Mere interaction with a user through a computer\nnetwork, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the\nextent that it includes a convenient and prominently visible feature that\n(1) displays an appropriate copyright notice, and (2) tells the user that\nthere is no warranty for the work (except to the extent that warranties are\nprovided), that licensees may convey the work under this License, and how\nto view a copy of this License. If the interface presents a list of user commands\nor options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\nThe \"source code\" for a work means the preferred form of the work for making\nmodifications to it. \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard\ndefined by a recognized standards body, or, in the case of interfaces specified\nfor a particular programming language, one that is widely used among developers\nworking in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than\nthe work as a whole, that (a) is included in the normal form of packaging\na Major Component, but which is not part of that Major Component, and (b)\nserves only to enable use of the work with that Major Component, or to implement\na Standard Interface for which an implementation is available to the public\nin source code form. A \"Major Component\", in this context, means a major essential\ncomponent (kernel, window system, and so on) of the specific operating system\n(if any) on which the executable work runs, or a compiler used to produce\nthe work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source\ncode needed to generate, install, and (for an executable work) run the object\ncode and to modify the work, including scripts to control those activities.\nHowever, it does not include the work\'s System Libraries, or general-purpose\ntools or generally available free programs which are used unmodified in performing\nthose activities but which are not part of the work. For example, Corresponding\nSource includes interface definition files associated with source files for\nthe work, and the source code for shared libraries and dynamically linked\nsubprograms that the work is specifically designed to require, such as by\nintimate data communication or control flow between those subprograms and\nother parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate\nautomatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\nAll rights granted under this License are granted for the term of copyright\non the Program, and are irrevocable provided the stated conditions are met.\nThis License explicitly affirms your unlimited permission to run the unmodified\nProgram. The output from running a covered work is covered by this License\nonly if the output, given its content, constitutes a covered work. This License\nacknowledges your rights of fair use or other equivalent, as provided by copyright\nlaw.\n\nYou may make, run and propagate covered works that you do not convey, without\nconditions so long as your license otherwise remains in force. You may convey\ncovered works to others for the sole purpose of having them make modifications\nexclusively for you, or provide you with facilities for running those works,\nprovided that you comply with the terms of this License in conveying all material\nfor which you do not control copyright. Those thus making or running the covered\nworks for you must do so exclusively on your behalf, under your direction\nand control, on terms that prohibit them from making any copies of your copyrighted\nmaterial outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions\nstated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users\' Legal Rights From Anti-Circumvention Law.\n\nNo covered work shall be deemed part of an effective technological measure\nunder any applicable law fulfilling obligations under article 11 of the WIPO\ncopyright treaty adopted on 20 December 1996, or similar laws prohibiting\nor restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention\nof technological measures to the extent such circumvention is effected by\nexercising rights under this License with respect to the covered work, and\nyou disclaim any intention to limit operation or modification of the work\nas a means of enforcing, against the work\'s users, your or third parties\'\nlegal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\nYou may convey verbatim copies of the Program\'s source code as you receive\nit, in any medium, provided that you conspicuously and appropriately publish\non each copy an appropriate copyright notice; keep intact all notices stating\nthat this License and any non-permissive terms added in accord with section\n7 apply to the code; keep intact all notices of the absence of any warranty;\nand give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you\nmay offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\nYou may convey a work based on the Program, or the modifications to produce\nit from the Program, in the form of source code under the terms of section\n4, provided that you also meet all of these conditions:\n\na) The work must carry prominent notices stating that you modified it, and\ngiving a relevant date.\n\nb) The work must carry prominent notices stating that it is released under\nthis License and any conditions added under section 7. This requirement modifies\nthe requirement in section 4 to \"keep intact all notices\".\n\nc) You must license the entire work, as a whole, under this License to anyone\nwho comes into possession of a copy. This License will therefore apply, along\nwith any applicable section 7 additional terms, to the whole of the work,\nand all its parts, regardless of how they are packaged. This License gives\nno permission to license the work in any other way, but it does not invalidate\nsuch permission if you have separately received it.\n\nd) If the work has interactive user interfaces, each must display Appropriate\nLegal Notices; however, if the Program has interactive interfaces that do\nnot display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works,\nwhich are not by their nature extensions of the covered work, and which are\nnot combined with it such as to form a larger program, in or on a volume of\na storage or distribution medium, is called an \"aggregate\" if the compilation\nand its resulting copyright are not used to limit the access or legal rights\nof the compilation\'s users beyond what the individual works permit. Inclusion\nof a covered work in an aggregate does not cause this License to apply to\nthe other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\nYou may convey a covered work in object code form under the terms of sections\n4 and 5, provided that you also convey the machine-readable Corresponding\nSource under the terms of this License, in one of these ways:\n\na) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by the Corresponding Source fixed\non a durable physical medium customarily used for software interchange.\n\nb) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by a written offer, valid for\nat least three years and valid for as long as you offer spare parts or customer\nsupport for that product model, to give anyone who possesses the object code\neither (1) a copy of the Corresponding Source for all the software in the\nproduct that is covered by this License, on a durable physical medium customarily\nused for software interchange, for a price no more than your reasonable cost\nof physically performing this conveying of source, or (2) access to copy the\nCorresponding Source from a network server at no charge.\n\nc) Convey individual copies of the object code with a copy of the written\noffer to provide the Corresponding Source. This alternative is allowed only\noccasionally and noncommercially, and only if you received the object code\nwith such an offer, in accord with subsection 6b.\n\nd) Convey the object code by offering access from a designated place (gratis\nor for a charge), and offer equivalent access to the Corresponding Source\nin the same way through the same place at no further charge. You need not\nrequire recipients to copy the Corresponding Source along with the object\ncode. If the place to copy the object code is a network server, the Corresponding\nSource may be on a different server (operated by you or a third party) that\nsupports equivalent copying facilities, provided you maintain clear directions\nnext to the object code saying where to find the Corresponding Source. Regardless\nof what server hosts the Corresponding Source, you remain obligated to ensure\nthat it is available for as long as needed to satisfy these requirements.\n\ne) Convey the object code using peer-to-peer transmission, provided you inform\nother peers where the object code and Corresponding Source of the work are\nbeing offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from\nthe Corresponding Source as a System Library, need not be included in conveying\nthe object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible\npersonal property which is normally used for personal, family, or household\npurposes, or (2) anything designed or sold for incorporation into a dwelling.\nIn determining whether a product is a consumer product, doubtful cases shall\nbe resolved in favor of coverage. For a particular product received by a particular\nuser, \"normally used\" refers to a typical or common use of that class of product,\nregardless of the status of the particular user or of the way in which the\nparticular user actually uses, or expects or is expected to use, the product.\nA product is a consumer product regardless of whether the product has substantial\ncommercial, industrial or non-consumer uses, unless such uses represent the\nonly significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures,\nauthorization keys, or other information required to install and execute modified\nversions of a covered work in that User Product from a modified version of\nits Corresponding Source. The information must suffice to ensure that the\ncontinued functioning of the modified object code is in no case prevented\nor interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically\nfor use in, a User Product, and the conveying occurs as part of a transaction\nin which the right of possession and use of the User Product is transferred\nto the recipient in perpetuity or for a fixed term (regardless of how the\ntransaction is characterized), the Corresponding Source conveyed under this\nsection must be accompanied by the Installation Information. But this requirement\ndoes not apply if neither you nor any third party retains the ability to install\nmodified object code on the User Product (for example, the work has been installed\nin ROM).\n\nThe requirement to provide Installation Information does not include a requirement\nto continue to provide support service, warranty, or updates for a work that\nhas been modified or installed by the recipient, or for the User Product in\nwhich it has been modified or installed. Access to a network may be denied\nwhen the modification itself materially and adversely affects the operation\nof the network or violates the rules and protocols for communication across\nthe network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord\nwith this section must be in a format that is publicly documented (and with\nan implementation available to the public in source code form), and must require\nno special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n\"Additional permissions\" are terms that supplement the terms of this License\nby making exceptions from one or more of its conditions. Additional permissions\nthat are applicable to the entire Program shall be treated as though they\nwere included in this License, to the extent that they are valid under applicable\nlaw. If additional permissions apply only to part of the Program, that part\nmay be used separately under those permissions, but the entire Program remains\ngoverned by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any\nadditional permissions from that copy, or from any part of it. (Additional\npermissions may be written to require their own removal in certain cases when\nyou modify the work.) You may place additional permissions on material, added\nby you to a covered work, for which you have or can give appropriate copyright\npermission.\n\nNotwithstanding any other provision of this License, for material you add\nto a covered work, you may (if authorized by the copyright holders of that\nmaterial) supplement the terms of this License with terms:\n\na) Disclaiming warranty or limiting liability differently from the terms of\nsections 15 and 16 of this License; or\n\nb) Requiring preservation of specified reasonable legal notices or author\nattributions in that material or in the Appropriate Legal Notices displayed\nby works containing it; or\n\nc) Prohibiting misrepresentation of the origin of that material, or requiring\nthat modified versions of such material be marked in reasonable ways as different\nfrom the original version; or\n\nd) Limiting the use for publicity purposes of names of licensors or authors\nof the material; or\n\ne) Declining to grant rights under trademark law for use of some trade names,\ntrademarks, or service marks; or\n\nf) Requiring indemnification of licensors and authors of that material by\nanyone who conveys the material (or modified versions of it) with contractual\nassumptions of liability to the recipient, for any liability that these contractual\nassumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\"\nwithin the meaning of section 10. If the Program as you received it, or any\npart of it, contains a notice stating that it is governed by this License\nalong with a term that is a further restriction, you may remove that term.\nIf a license document contains a further restriction but permits relicensing\nor conveying under this License, you may add to a covered work material governed\nby the terms of that license document, provided that the further restriction\ndoes not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place,\nin the relevant source files, a statement of the additional terms that apply\nto those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form\nof a separately written license, or stated as exceptions; the above requirements\napply either way.\n\n   8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided\nunder this License. Any attempt otherwise to propagate or modify it is void,\nand will automatically terminate your rights under this License (including\nany patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, you do\nnot qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy\nof the Program. Ancillary propagation of a covered work occurring solely as\na consequence of using peer-to-peer transmission to receive a copy likewise\ndoes not require acceptance. However, nothing other than this License grants\nyou permission to propagate or modify any covered work. These actions infringe\ncopyright if you do not accept this License. Therefore, by modifying or propagating\na covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives\na license from the original licensors, to run, modify and propagate that work,\nsubject to this License. You are not responsible for enforcing compliance\nby third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization,\nor substantially all assets of one, or subdividing an organization, or merging\norganizations. If propagation of a covered work results from an entity transaction,\neach party to that transaction who receives a copy of the work also receives\nwhatever licenses to the work the party\'s predecessor in interest had or could\ngive under the previous paragraph, plus a right to possession of the Corresponding\nSource of the work from the predecessor in interest, if the predecessor has\nit or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights\ngranted or affirmed under this License. For example, you may not impose a\nlicense fee, royalty, or other charge for exercise of rights granted under\nthis License, and you may not initiate litigation (including a cross-claim\nor counterclaim in a lawsuit) alleging that any patent claim is infringed\nby making, using, selling, offering for sale, or importing the Program or\nany portion of it.\n\n   11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License\nof the Program or a work on which the Program is based. The work thus licensed\nis called the contributor\'s \"contributor version\".\n\nA contributor\'s \"essential patent claims\" are all patent claims owned or controlled\nby the contributor, whether already acquired or hereafter acquired, that would\nbe infringed by some manner, permitted by this License, of making, using,\nor selling its contributor version, but do not include claims that would be\ninfringed only as a consequence of further modification of the contributor\nversion. For purposes of this definition, \"control\" includes the right to\ngrant patent sublicenses in a manner consistent with the requirements of this\nLicense.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent\nlicense under the contributor\'s essential patent claims, to make, use, sell,\noffer for sale, import and otherwise run, modify and propagate the contents\nof its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement\nor commitment, however denominated, not to enforce a patent (such as an express\npermission to practice a patent or covenant not to sue for patent infringement).\nTo \"grant\" such a patent license to a party means to make such an agreement\nor commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the\nCorresponding Source of the work is not available for anyone to copy, free\nof charge and under the terms of this License, through a publicly available\nnetwork server or other readily accessible means, then you must either (1)\ncause the Corresponding Source to be so available, or (2) arrange to deprive\nyourself of the benefit of the patent license for this particular work, or\n(3) arrange, in a manner consistent with the requirements of this License,\nto extend the patent license to downstream recipients. \"Knowingly relying\"\nmeans you have actual knowledge that, but for the patent license, your conveying\nthe covered work in a country, or your recipient\'s use of the covered work\nin a country, would infringe one or more identifiable patents in that country\nthat you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement,\nyou convey, or propagate by procuring conveyance of, a covered work, and grant\na patent license to some of the parties receiving the covered work authorizing\nthem to use, propagate, modify or convey a specific copy of the covered work,\nthen the patent license you grant is automatically extended to all recipients\nof the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope\nof its coverage, prohibits the exercise of, or is conditioned on the non-exercise\nof one or more of the rights that are specifically granted under this License.\nYou may not convey a covered work if you are a party to an arrangement with\na third party that is in the business of distributing software, under which\nyou make payment to the third party based on the extent of your activity of\nconveying the work, and under which the third party grants, to any of the\nparties who would receive the covered work from you, a discriminatory patent\nlicense (a) in connection with copies of the covered work conveyed by you\n(or copies made from those copies), or (b) primarily for and in connection\nwith specific products or compilations that contain the covered work, unless\nyou entered into that arrangement, or that patent license was granted, prior\nto 28 March 2007.\n\nNothing in this License shall be construed as excluding or limiting any implied\nlicense or other defenses to infringement that may otherwise be available\nto you under applicable patent law.\n\n   12. No Surrender of Others\' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise)\nthat contradict the conditions of this License, they do not excuse you from\nthe conditions of this License. If you cannot convey a covered work so as\nto satisfy simultaneously your obligations under this License and any other\npertinent obligations, then as a consequence you may not convey it at all.\nFor example, if you agree to terms that obligate you to collect a royalty\nfor further conveying from those to whom you convey the Program, the only\nway you could satisfy both those terms and this License would be to refrain\nentirely from conveying the Program.\n\n   13. Use with the GNU Affero General Public License.\n\nNotwithstanding any other provision of this License, you have permission to\nlink or combine any covered work with a work licensed under version 3 of the\nGNU Affero General Public License into a single combined work, and to convey\nthe resulting work. The terms of this License will continue to apply to the\npart which is the covered work, but the special requirements of the GNU Affero\nGeneral Public License, section 13, concerning interaction through a network\nwill apply to the combination as such.\n\n   14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\nthat a certain numbered version of the GNU General Public License \"or any\nlater version\" applies to it, you have the option of following the terms and\nconditions either of that numbered version or of any later version published\nby the Free Software Foundation. If the Program does not specify a version\nnumber of the GNU General Public License, you may choose any version ever\npublished by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of\nthe GNU General Public License can be used, that proxy\'s public statement\nof acceptance of a version permanently authorizes you to choose that version\nfor the Program.\n\nLater license versions may give you additional or different permissions. However,\nno additional obligations are imposed on any author or copyright holder as\na result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE\nLAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM\nPROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR\nCORRECTION.\n\n   16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL\nANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM\nAS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,\nINCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO\nUSE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\nINACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\nPROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER\nPARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot\nbe given local legal effect according to their terms, reviewing courts shall\napply local law that most closely approximates an absolute waiver of all civil\nliability in connection with the Program, unless a warranty or assumption\nof liability accompanies a copy of the Program in return for a fee. END OF\nTERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively state the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation, either version 3 of the License, or (at your option) any later\nversion.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program. If not, see <http s ://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like\nthis when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w\'.\n\nThis is free software, and you are welcome to redistribute it under certain\nconditions; type `show c\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, your program\'s commands might\nbe different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. For\nmore information on this, and how to apply and follow the GNU GPL, see <http\ns ://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program\ninto proprietary programs. If your program is a subroutine library, you may\nconsider it more useful to permit linking proprietary applications with the\nlibrary. If this is what you want to do, use the GNU Lesser General Public\nLicense instead of this License. But first, please read <http s ://www.gnu.org/\nlicenses /why-not-lgpl.html>.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(16,'Zed','(c) Jim Davies, January 1995\n\nYou may copy and distribute this file freely. Any queries and complaints should\nbe forwarded to Jim.Davies@comlab.ox.ac.uk.\n\nIf you make any changes to this file, please do not distribute the results\nunder the name `zed-csp.sty\'.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(17,'CrystalStacker','Crystal Stacker is freeware. This means you can pass copies around freely\nprovided you include this document in it\'s original form in your distribution.\nPlease see the \"Contacting Us\" section of this document if you need to contact\nus for any reason.\n\nDisclaimer\n\nNewCreature Design makes no guarantees regarding the Crystal Stacker software.\nWe are not responsible for damages caused by it, though the software is not\nknown to cause any problems. If you have trouble with the software, see the\n\"Contacting Us\" section of this document.\n\nThe source code is provided as-is and you may do with it whatsoever you please\nprovided that you include this file in its unmodified form with any new distribution.\nNewCreature Design makes no gaurantees regarding the usability of the source\nbut are willing to help with any problems you might run into. Please see the\n\"Contacting Us\" section of this document if you need to get in touch with\nus about any issues you have regarding the source.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(18,'AAL','Attribution Assurance License\n\nCopyright (c) 2002 by AUTHOR PROFESSIONAL IDENTIFICATION * URL \"PROMOTIONAL\nSLOGAN FOR AUTHOR\'S PROFESSIONAL PRACTICE\"\n\nAll Rights Reserved ATTRIBUTION ASSURANCE LICENSE (adapted from the original\nBSD license)\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the conditions below are met. These conditions\nrequire a modest attribution to <AUTHOR> (the \"Author\"), who hopes that its\npromotional value may help justify the thousands of dollars in otherwise billable\ntime invested in writing this and other freely available, open-source software.\n\n1. Redistributions of source code, in whole or part and with or without modification\n(the \"Code\"), must prominently display this GPG-signed text in verifiable\nform.\n\n2. Redistributions of the Code in binary form must be accompanied by this\nGPG-signed text in any documentation and, each time the resulting executable\nprogram or a program dependent thereon is launched, a prominent display (e.g.,\nsplash screen or banner text) of the Author\'s attribution information, which\nincludes:\n\n      (a) Name (\"AUTHOR\"),\n\n      (b) Professional identification (\"PROFESSIONAL IDENTIFICATION\"), and\n\n      (c) URL (\"URL\").\n\n3. Neither the name nor any trademark of the Author may be used to endorse\nor promote products derived from this software without specific prior written\npermission.\n\n4. Users are entirely responsible, to the exclusion of the Author and any\nother persons, for compliance with (1) regulations set by owners or administrators\nof employed equipment, (2) licensing terms of any other software, and (3)\nlocal regulations regarding use, including those regarding import, export,\nand use of encryption software.\n\nTHIS FREE SOFTWARE IS PROVIDED BY THE AUTHOR \"AS IS\" AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\nAUTHOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nEFFECTS OF UNAUTHORIZED OR MALICIOUS NETWORK ACCESS; PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(19,'OLDAP-2.1','The OpenLDAP Public License\n\nVersion 2.1, 29 February 2000\n\nCopyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\nFor written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent license\nrevision.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(20,'PostgreSQL','PostgreSQL Database Management System\n\n(formerly known as Postgres, then as Postgres95)\n\nPortions Copyright (c) 1996-2010, The PostgreSQL Global Development Group\n\nPortions Copyright (c) 1994, The Regents of the University of California\n\nPermission to use, copy, modify, and distribute this software and its documentation\nfor any purpose, without fee, and without a written agreement is hereby granted,\nprovided that the above copyright notice and this paragraph and the following\ntwo paragraphs appear in all copies.\n\nIN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR\nDIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING\nLOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION,\nEVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n\nTHE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN \"AS IS\"\nBASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE,\nSUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(21,'YPL-1.1','Yahoo! Public License, Version 1.1 (YPL)\n\nThis Yahoo! Public License (this \"Agreement\") is a legal agreement that describes\nthe terms under which Yahoo! Inc., a Delaware corporation having its principal\nplace of business at 701 First Avenue, Sunnyvale, California 94089 (\"Yahoo!\")\nwill provide software to you via download or otherwise (\"Software\"). By using\nthe Software, you, an individual or an entity (\"You\") agree to the terms of\nthis Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions\nset forth below, the parties agree as follows:\n\n   1. Grant of Copyright License\n\n1.1 - Subject to the terms and conditions of this Agreement, Yahoo! hereby\ngrants to You, under any and all of its copyright interest in and to the Software,\na royalty-free, non-exclusive, non-transferable license to copy, modify, compile,\nexecute, and distribute the Software and Modifications. For the purposes of\nthis Agreement, any change to, addition to, or abridgement of the Software\nmade by You is a \"Modification;\" however, any file You add to the Software\nthat does not contain any part of the Software is not a \"Modification.\"\n\n1.2 - If You are an individual acting on behalf of a corporation or other\nentity, Your use of the Software or any Modification is subject to Your having\nthe authority to bind such corporation or entity to this Agreement. Providing\ncopies to persons within such corporation or entity is not considered distribution\nfor purposes of this Agreement.\n\n1.3 - For the Software or any Modification You distribute in source code format,\nYou must do so only under the terms of this Agreement, and You must include\na complete copy of this Agreement with Your distribution. With respect to\nany Modification You distribute in source code format, the terms of this Agreement\nwill apply to You in the same way those terms apply to Yahoo! with respect\nto the Software. In other words, when You are distributing Modifications under\nthis Agreement, You \"stand in the shoes\" of Yahoo! in terms of the rights\nYou grant and how the terms and conditions apply to You and the licensees\nof Your Modifications. Notwithstanding the foregoing, when You \"stand in the\nshoes\" of Yahoo!, You are not subject to the jurisdiction provision under\nSection 7, which requires all disputes under this Agreement to be subject\nto the jurisdiction of federal or state courts of northern California.\n\n1.4 - For the Software or any Modification You distribute in compiled or object\ncode format, You must also provide recipients with access to the Software\nor Modification in source code format along with a complete copy of this Agreement.\nThe distribution of the Software or Modifications in compiled or object code\nformat may be under a license of Your choice, provided that You are in compliance\nwith the terms of this Agreement. In addition, You must make absolutely clear\nthat any license terms applying to such Software or Modification that differ\nfrom this Agreement are offered by You alone and not by Yahoo!, and that such\nlicense does not restrict recipients from exercising rights in the source\ncode to the Software granted by Yahoo! under this Agreement or rights in the\nsource code to any Modification granted by You as described in Section 1.3.\n\n1.5 - This Agreement does not limit Your right to distribute files that are\nentirely Your own work (i.e., which do not incorporate any portion of the\nSoftware and are not Modifications) under any terms You choose.\n\n   2. Support\n\nYahoo! has no obligation to provide technical support or updates to You. Nothing\nin this Agreement requires Yahoo! to enter into any license with You for any\nother edition of the Software.\n\n   3. Intellectual Property Rights\n\n3.1 - Except for the license expressly granted under copyright in Section\n1.1, no rights, licenses or forbearances are granted or may arise in relation\nto this Agreement whether expressly, by implication, exhaustion, estoppel\nor otherwise. All rights, including all intellectual property rights, that\nare not expressly granted under this Agreement are hereby reserved.\n\n3.2 - In any copy of the Software or in any Modification you create, You must\nretain and reproduce, any and all copyright, patent, trademark, and attribution\nnotices that are included in the Software in the same form as they appear\nin the Software. This includes the preservation of attribution notices in\nthe form of trademarks or logos that exist within a user interface of the\nSoftware.\n\n3.3 - This license does not grant You rights to use any party\'s name, logo,\nor trademarks, except solely as necessary to comply with Section 3.2.\n\n   4. Disclaimer of Warranties\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. YAHOO!\nMAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING\nTO THE SOFTWARE. SPECIFICALLY, YAHOO! DOES NOT WARRANT THAT THE SOFTWARE WILL\nBE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST\nEXTENT ALLOWED BY LAW, YAHOO! SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF YAHOO! HAD BEEN\nINFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE,\nANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   5. Limitation of Liability\n\nIN NO EVENT WILL YAHOO! BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION\nLOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF\nCOVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING,\nPERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER,\nWHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE,\nAND EVEN IF YAHOO! HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   6. Term and Termination\n\n6.1 - This Agreement will continue in effect unless and until terminated earlier\npursuant to this Section 6.\n\n6.2 - In the event You violate the terms of this Agreement, Yahoo! may terminate\nthis Agreement.\n\n6.3 - All licenses granted hereunder shall terminate upon the termination\nof this Agreement. Termination will be in addition to any rights and remedies\navailable to Yahoo! at law or equity or under this Agreement.\n\n6.4 - Termination of this Agreement will not affect the provisions regarding\nreservation of rights (Section 3.1), provisions disclaiming or limiting Yahoo!\'s\nliability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section\n7), which provisions will survive termination of this Agreement.\n\n   7. Miscellaneous\n\nThis Agreement contains the entire agreement of the parties with respect to\nthe subject matter of this Agreement and supersedes all previous communications,\nrepresentations, understandings and agreements, either oral or written, between\nthe parties with respect to said subject matter. The relationship of the parties\nhereunder is that of independent contractors, and this Agreement will not\nbe construed as creating an agency, partnership, joint venture or any other\nform of legal association between the parties. If any term, condition, or\nprovision in this Agreement is found to be invalid, unlawful or unenforceable\nto any extent, this Agreement will be construed in a manner that most closely\neffectuates the intent of this Agreement. Such invalid term, condition or\nprovision will be severed from the remaining terms, conditions and provisions,\nwhich will continue to be valid and enforceable to the fullest extent permitted\nby law. This Agreement will be interpreted and construed in accordance with\nthe laws of the State of California and the United States of America, without\nregard to conflict of law principles. The U.N. Convention on Contracts for\nthe International Sale of Goods shall not apply to this Agreement. All disputes\narising out of this Agreement involving Yahoo! or any of its subsidiaries\nshall be subject to the jurisdiction of the federal or state courts of northern\nCalifornia, with venue lying in Santa Clara County, California. No rights\nmay be assigned, no obligations may be delegated, and this Agreement may not\nbe transferred by You, in whole or in part, whether voluntary or by operation\nof law, including by way of sale of assets, merger or consolidation, without\nthe prior written consent of Yahoo!, and any purported assignment, delegation\nor transfer without such consent shall be void ab initio. Any waiver of the\nprovisions of this Agreement or of a party\'s rights or remedies under this\nAgreement must be in writing to be effective. Failure, neglect or delay by\na party to enforce the provisions of this Agreement or its rights or remedies\nat any time, will not be construed or be deemed to be a waiver of such party\'s\nrights under this Agreement and will not in any way affect the validity of\nthe whole or any part of this Agreement or prejudice such party\'s right to\ntake subsequent action.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(22,'W3C','W3C SOFTWARE NOTICE AND LICENSE\n\nThis work (and included software, documentation such as READMEs, or other\nrelated items) is being provided by the copyright holders under the following\nlicense.\n\nLicense\n\nBy obtaining, using and/or copying this work, you (the licensee) agree that\nyou have read, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this software and its documentation,\nwith or without modification, for any purpose and without fee or royalty is\nhereby granted, provided that you include the following on ALL copies of the\nsoftware and documentation or portions thereof, including modifications:\n\nThe full text of this NOTICE in a location viewable to users of the redistributed\nor derivative work.\n\nAny pre-existing intellectual property disclaimers, notices, or terms and\nconditions. If none exist, the W3C Software Short Notice should be included\n(hypertext is preferred, text is permitted) within the body of any redistributed\nor derivative code.\n\nNotice of any changes or modifications to the files, including the date changes\nwere made. (We recommend you provide URIs to the location from which the code\nis derived.)\n\nDisclaimers\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS\nMAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT\nLIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE\nOR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD\nPARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR\nCONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising\nor publicity pertaining to the software without specific, written prior permission.\nTitle to copyright in this software and any associated documentation will\nat all times remain with copyright holders. Notes\n\nThis version: http://www.w3.org/Consortium/Legal/2002/copyright-software-20021231\n\nThis formulation of W3C\'s notice and license became active on December 31\n2002. This version removes the copyright ownership notice such that this license\ncan be used with materials other than those owned by the W3C, reflects that\nERCIM is now a host of the W3C, includes references to this specific dated\nversion of the license, and removes the ambiguous grant of \"use\". Otherwise,\nthis version is the same as the previous version and is written so as to preserve\nthe Free Software Foundation\'s assessment of GPL compatibility and OSI\'s certification\nunder the Open Source Definition.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(23,'Info-ZIP','Info-ZIP License\n\nCopyright (c) 1990-2009 Info-ZIP. All rights reserved.\n\nFor the purposes of this copyright and license, \"Info-ZIP\" is defined as the\nfollowing set of individuals:\n\nMark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup\nGailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase,\nGreg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum,\nJohnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio\nMonesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury,\nDave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen,\nPaul von Behren, Rich Wales, Mike White.\n\nThis software is provided \"as is,\" without warranty of any kind, express or\nimplied. In no event shall Info-ZIP or its contributors be held liable for\nany direct, indirect, incidental, special or consequential damages arising\nout of the use of or inability to use this software.\n\nPermission is granted to anyone to use this software for any purpose, including\ncommercial applications, and to alter it and redistribute it freely, subject\nto the above disclaimer and the following restrictions:\n\n* Redistributions of source code (in whole or in part) must retain the above\ncopyright notice, definition, disclaimer, and this list of conditions.\n\n* Redistributions in binary form (compiled executables and libraries) must\nreproduce the above copyright notice, definition, disclaimer, and this list\nof conditions in documentation and/or other materials provided with the distribution.\nAdditional documentation is not needed for executables where a command line\nlicense option provides these and a note regarding this option is in the executable\'s\nstartup banner. The sole exception to this condition is redistribution of\na standard UnZipSFX binary (including SFXWiz) as part of a self-extracting\narchive; that is permitted without inclusion of this license, as long as the\nnormal SFX banner has not been removed from the binary or disabled.\n\n* Altered versions--including, but not limited to, ports to new operating\nsystems, existing ports with new graphical interfaces, versions with modified\nor added functionality, and dynamic, shared, or static library versions not\nfrom Info-ZIP--must be plainly marked as such and must not be misrepresented\nas being the original source or, if binaries, compiled from the original source.\nSuch altered versions also must not be misrepresented as being Info-ZIP releases--including,\nbut not limited to, labeling of the altered versions with the names \"Info-ZIP\"\n(or any variation thereof, including, but not limited to, different capitalizations),\n\"Pocket UnZip,\" \"WiZ\" or \"MacZip\" without the explicit permission of Info-ZIP.\nSuch altered versions are further prohibited from misrepresentative use of\nthe Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as\nto imply Info-ZIP will provide support for the altered versions.\n\n* Info-ZIP retains the right to use the names \"Info-ZIP,\" \"Zip,\" \"UnZip,\"\n\"UnZipSFX,\" \"WiZ,\" \"Pocket UnZip,\" \"Pocket Zip,\" and \"MacZip\" for its own\nsource and binary releases.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(24,'ZPL-2.1','Zope Public License (ZPL) Version 2.1 A copyright notice accompanies this\nlicense document that identifies the copyright holders.\n\nThis license has been certified as open source. It has also been designated\nas GPL compatible by the Free Software Foundation (FSF).\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions in source code must retain the accompanying copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the accompanying copyright\nnotice, this list of conditions, and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. Names of the copyright holders must not be used to endorse or promote products\nderived from this software without prior written permission from the copyright\nholders.\n\n4. The right to distribute this software or to use it for any purpose does\nnot give you the right to use Servicemarks (sm) or Trademarks (tm) of the\ncopyright holders. Use of them is covered by separate agreement with the copyright\nholders.\n\n5. If any files are modified, you must cause the modified files to carry prominent\nnotices stating that you changed the files and the date of any change.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(25,'SCEA','SCEA Shared Source License 1.0\n\nTerms and Conditions:\n\n   1. Definitions:\n\n\"Software\" shall mean the software and related documentation, whether in Source\nor Object Form, made available under this SCEA Shared Source license (\"License\"),\nthat is indicated by a copyright notice file included in the source files\nor attached or accompanying the source files.\n\n\"Licensor\" shall mean Sony Computer Entertainment America, Inc. (herein \"SCEA\")\n\n\"Object Code\" or \"Object Form\" shall mean any form that results from translation\nor transformation of Source Code, including but not limited to compiled object\ncode or conversions to other forms intended for machine execution.\n\n\"Source Code\" or \"Source Form\" shall have the plain meaning generally accepted\nin the software industry, including but not limited to software source code,\ndocumentation source, header and configuration files.\n\n\"You\" or \"Your\" shall mean you as an individual or as a company, or whichever\nform under which you are exercising rights under this License.\n\n   2. License Grant.\n\nLicensor hereby grants to You, free of charge subject to the terms and conditions\nof this License, an irrevocable, non-exclusive, worldwide, perpetual, and\nroyalty-free license to use, modify, reproduce, distribute, publicly perform\nor display the Software in Object or Source Form .\n\n   3. No Right to File for Patent.\n\nIn exchange for the rights that are granted to You free of charge under this\nLicense, You agree that You will not file for any patent application, seek\ncopyright protection or take any other action that might otherwise impair\nthe ownership rights in and to the Software that may belong to SCEA or any\nof the other contributors/authors of the Software.\n\n   4. Contributions.\n\nSCEA welcomes contributions in form of modifications, optimizations, tools\nor documentation designed to improve or expand the performance and scope of\nthe Software (collectively \"Contributions\"). Per the terms of this License\nYou are free to modify the Software and those modifications would belong to\nYou. You may however wish to donate Your Contributions to SCEA for consideration\nfor inclusion into the Software. For the avoidance of doubt, if You elect\nto send Your Contributions to SCEA, You are doing so voluntarily and are giving\nthe Contributions to SCEA and its parent company Sony Computer Entertainment,\nInc., free of charge, to use, modify or distribute in any form or in any manner.\nSCEA acknowledges that if You make a donation of Your Contributions to SCEA,\nsuch Contributions shall not exclusively belong to SCEA or its parent company\nand such donation shall not be to Your exclusion. SCEA, in its sole discretion,\nshall determine whether or not to include Your donated Contributions into\nthe Software, in whole, in part, or as modified by SCEA. Should SCEA elect\nto include any such Contributions into the Software, it shall do so at its\nown risk and may elect to give credit or special thanks to any such contributors\nin the attached copyright notice. However, if any of Your contributions are\nincluded into the Software, they will become part of the Software and will\nbe distributed under the terms and conditions of this License. Further, if\nYour donated Contributions are integrated into the Software then Sony Computer\nEntertainment, Inc. shall become the copyright owner of the Software now containing\nYour contributions and SCEA would be the Licensor.\n\n   5. Redistribution in Source Form\n\nYou may redistribute copies of the Software, modifications or derivatives\nthereof in Source Code Form, provided that You:\n\n      a. Include a copy of this License and any copyright notices with source\n\n      b. Identify modifications if any were made to the Software\n\nc. Include a copy of all documentation accompanying the Software and modifications\nmade by You\n\n   6. Redistribution in Object Form\n\nIf You redistribute copies of the Software, modifications or derivatives thereof\nin Object Form only (as incorporated into finished goods, i.e. end user applications)\nthen You will not have a duty to include any copies of the code, this License,\ncopyright notices, other attributions or documentation.\n\n   7. No Warranty\n\nTHE SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATIONS\nOR WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR\nA PARTICULAR PURPOSE. YOU ARE SOLELY RESPONSIBLE FOR DETERMINING THE APPROPRIATENESS\nOF USING, MODIFYING OR REDISTRIBUTING THE SOFTWARE AND ASSUME ANY RISKS ASSOCIATED\nWITH YOUR EXERCISE OF PERMISSIONS UNDER THIS LICENSE.\n\n   8. Limitation of Liability\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY WILL EITHER PARTY BE LIABLE\nTO THE OTHER PARTY OR ANY THIRD PARTY FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL,\nSPECIAL, INCIDENTAL, OR EXEMPLARY DAMAGES WITH RESPECT TO ANY INJURY, LOSS,\nOR DAMAGE, ARISING UNDER OR IN CONNECTION WITH THIS LETTER AGREEMENT, WHETHER\nFORESEEABLE OR UNFORESEEABLE, EVEN IF SUCH PARTY HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH INJURY, LOSS, OR DAMAGE. THE LIMITATIONS OF LIABILITY SET FORTH IN\nTHIS SECTION SHALL APPLY TO THE FULLEST EXTENT PERMISSIBLE AT LAW OR ANY GOVERMENTAL\nREGULATIONS.\n\n   9. Governing Law and Consent to Jurisdiction\n\nThis Agreement shall be governed by and interpreted in accordance with the\nlaws of the State of California, excluding that body of law related to choice\nof laws, and of the United States of America. Any action or proceeding brought\nto enforce the terms of this Agreement or to adjudicate any dispute arising\nhereunder shall be brought in the Superior Court of the County of San Mateo,\nState of California or the United States District Court for the Northern District\nof California. Each of the parties hereby submits itself to the exclusive\njurisdiction and venue of such courts for purposes of any such action. In\naddition, each party hereby waives the right to a jury trial in any action\nor proceeding related to this Agreement.\n\n   10. Copyright Notice for Redistribution of Source Code\n\nCopyright 2005 Sony Computer Entertainment Inc.\n\nLicensed under the SCEA Shared Source License, Version 1.0 (the \"License\");\nyou may not use this file except in compliance with the License. You may obtain\na copy of the License at:\n\nhttp://research.scea.com/scea_shared_source_license.html\n\nUnless required by applicable law or agreed to in writing, software distributed\nunder the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR\nCONDITIONS OF ANY KIND, either express or implied. See the License for the\nspecific language governing permissions and limitations under the License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(26,'GFDL-1.2-only','GNU Free Documentation License\n\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St,\nFifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional\nand useful document \"free\" in the sense of freedom: to assure everyone the\neffective freedom to copy and redistribute it, with or without modifying it,\neither commercially or noncommercially. Secondarily, this License preserves\nfor the author and publisher a way to get credit for their work, while not\nbeing considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains\na notice placed by the copyright holder saying it can be distributed under\nthe terms of this License. Such a notice grants a world-wide, royalty-free\nlicense, unlimited in duration, to use that work under the conditions stated\nherein. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\". You accept the license\nif you copy, modify or distribute the work in a way requiring permission under\ncopyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(Thus, if the Document is in part a textbook of mathematics, a Secondary Section\nmay not explain any mathematics.) The relationship could be a matter of historical\nconnection with the subject or with related matters, or of legal, commercial,\nphilosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License. If a section does not fit the above definition\nof Secondary then it is not allowed to be designated as Invariant. The Document\nmay contain zero Invariant Sections. If the Document does not identify any\nInvariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License. A Front-Cover Text may be at most 5 words, and a Back-Cover\nText may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, that is\nsuitable for revising the document straightforwardly with generic text editors\nor (for images composed of pixels) generic paint programs or (for drawings)\nsome widely available drawing editor, and that is suitable for input to text\nformatters or for automatic translation to a variety of formats suitable for\ninput to text formatters. A copy made in an otherwise Transparent file format\nwhose markup, or absence of markup, has been arranged to thwart or discourage\nsubsequent modification by readers is not Transparent. An image format is\nnot Transparent if used for any substantial amount of text. A copy that is\nnot \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML, PostScript or PDF designed\nfor human modification. Examples of transparent image formats include PNG,\nXCF and JPG. Opaque formats include proprietary formats that can be read and\nedited only by proprietary word processors, SGML or XML for which the DTD\nand/or processing tools are not generally available, and the machine-generated\nHTML, PostScript or PDF produced by some word processors for output purposes\nonly.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title\neither is precisely XYZ or contains XYZ in parentheses following text that\ntranslates XYZ in another language. (Here XYZ stands for a specific section\nname mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\",\nor \"History\".) To \"Preserve the Title\" of such a section when you modify the\nDocument means that it remains a section \"Entitled XYZ\" according to this\ndefinition.\n\nThe Document may include Warranty Disclaimers next to the notice which states\nthat this License applies to the Document. These Warranty Disclaimers are\nconsidered to be included by reference in this License, but only as regards\ndisclaiming warranties: any other implication that these Warranty Disclaimers\nmay have is void and has no effect on the meaning of this License.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed\ncovers) of the Document, numbering more than 100, and the Document\'s license\nnotice requires Cover Texts, you must enclose the copies in covers that carry,\nclearly and legibly, all these Cover Texts: Front-Cover Texts on the front\ncover, and Back-Cover Texts on the back cover. Both covers must also clearly\nand legibly identify you as the publisher of these copies. The front cover\nmust present the full title with all words of the title equally prominent\nand visible. You may add other material on the covers in addition. Copying\nwith changes limited to the covers, as long as they preserve the title of\nthe Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a computer-network\nlocation from which the general network-using public has access to download\nusing public-standard network protocols a complete Transparent copy of the\nDocument, free of added material. If you use the latter option, you must take\nreasonably prudent steps, when you begin distribution of Opaque copies in\nquantity, to ensure that this Transparent copy will remain thus accessible\nat the stated location until at least one year after the last time you distribute\nan Opaque copy (directly or through your agents or retailers) of that edition\nto the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has fewer than five), unless they release you from this requirement.\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice.\n\n      H. Include an unaltered copy of this License.\n\nI. Preserve the section Entitled \"History\", Preserve its Title, and add to\nit an item stating at least the title, year, new authors, and publisher of\nthe Modified Version as given on the Title Page. If there is no section Entitled\n\"History\" in the Document, create one stating the title, year, authors, and\npublisher of the Document as given on its Title Page, then add an item describing\nthe Modified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve\nthe Title of the section, and preserve in the section all the substance and\ntone of each of the contributor acknowledgements and/or dedications given\ntherein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section Entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section to be Entitled \"Endorsements\" or to\nconflict in title with any Invariant Section.\n\n      O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice, and that you preserve all their\nWarranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections Entitled \"History\" in the\nvarious original documents, forming one section Entitled \"History\"; likewise\ncombine any sections Entitled \"Acknowledgements\", and any sections Entitled\n\"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\nis called an \"aggregate\" if the copyright resulting from the compilation is\nnot used to limit the legal rights of the compilation\'s users beyond what\nthe individual works permit. When the Document is included in an aggregate,\nthis License does not apply to the other works in the aggregate which are\nnot themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one half of the entire aggregate,\nthe Document\'s Cover Texts may be placed on covers that bracket the Document\nwithin the aggregate, or the electronic equivalent of covers if the Document\nis in electronic form. Otherwise they must appear on printed covers that bracket\nthe whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License, and all the license notices in the Document, and any Warranty\nDisclaimers, provided that you also include the original English version of\nthis License and the original versions of those notices and disclaimers. In\ncase of a disagreement between the translation and the original version of\nthis License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\",\nor \"History\", the requirement (section 4) to Preserve its Title (section 1)\nwill typically require changing the actual title.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided for under this License. Any other attempt to copy, modify,\nsublicense or distribute the Document is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.2 or any later version published by the Free Software Foundation;\nwith no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.\nA copy of the license is included in the section entitled \"GNU Free Documentation\nLicense\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace\nthe \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover\nTexts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination\nof the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(27,'SISSL','Sun Industry Standards Source License - Version 1.1\n\n   1.0 DEFINITIONS\n\n1.1 \"Commercial Use\" means distribution or otherwise making the Original Code\navailable to a third party.\n\n1.2 \"Contributor Version\" means the combination of the Original Code, and\nthe Modifications made by that particular Contributor.\n\n1.3 \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.4 \"Executable\" means Original Code in any form other than Source Code.\n\n1.5 \"Initial Developer\" means the individual or entity identified as the Initial\nDeveloper in the Source Code notice required by Exhibit A.\n\n1.6 \"Larger Work\" means a work which combines Original Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.7 \"License\" means this document.\n\n1.8 \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n1.9 \"Modifications\" means any addition to or deletion from the substance or\nstructure of either the Original Code or any previous Modifications. A Modification\nis:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10 \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code.\n\n1.11 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.12 \"Source Code\" means the preferred form of the Original Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, or scripts used to control compilation and installation\nof an Executable.\n\n      1.13 \"Standards\" means the standards identified in Exhibit B.\n\n1.14 \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\'\' includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\'\' means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2.0 SOURCE CODE LICENSE\n\n2.1 The Initial Developer Grant The Initial Developer hereby grants You a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices,\nincluding but not limited to Modifications.\n\n   3.0 DISTRIBUTION OBLIGATIONS\n\n3.1 Application of License. The Source Code version of Original Code may be\ndistributed only under the terms of this License or a future version of this\nLicense released under Section 6.1, and You must include a copy of this License\nwith every copy of the Source Code You distribute. You may not offer or impose\nany terms on any Source Code version that alters or restricts the applicable\nversion of this License or the recipients\' rights hereunder. Your license\nfor shipment of the Contributor Version is conditioned upon Your full compliance\nwith this Section. The Modifications which You create must comply with all\nrequirements set out by the Standards body in effect one hundred twenty (120)\ndays before You ship the Contributor Version. In the event that the Modifications\ndo not meet such requirements, You agree to publish either (i) any deviation\nfrom the Standards protocol resulting from implementation of Your Modifications\nand a reference implementation of Your Modifications or (ii) Your Modifications\nin Source Code form, and to make any such deviation and reference implementation\nor Modifications available to all third parties under the same terms as this\nlicense on a royalty free basis within thirty (30) days of Your first customer\nshipment of Your Modifications.\n\n3.2 Required Notices. You must duplicate the notice in Exhibit A in each file\nof the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd Your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Initial Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Your version of the\nCode. However, You may do so only on Your own behalf, and not on behalf of\nthe Initial Developer. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer for any liability incurred\nby the Initial Developer as a result of warranty, support, indemnity or liability\nterms You offer.\n\n3.3 Distribution of Executable Versions. You may distribute Original Code\nin Executable and Source form only if the requirements of Sections 3.1 and\n3.2 have been met for that Original Code, and if You include a notice stating\nthat the Source Code version of the Original Code is available under the terms\nof this License. The notice must be conspicuously included in any notice in\nan Executable or Source versions, related documentation or collateral in which\nYou describe recipients\' rights relating to the Original Code. You may distribute\nthe Executable and Source versions of Your version of the Code or ownership\nrights under a license of Your choice, which may contain terms different from\nthis License, provided that You are in compliance with the terms of this License.\nIf You distribute the Executable and Source versions under a different license\nYou must make it absolutely clear that any terms which differ from this License\nare offered by You alone, not by the Initial Developer. You hereby agree to\nindemnify the Initial Developer for any liability incurred by the Initial\nDeveloper as a result of any such terms You offer.\n\n3.4 Larger Works. You may create a Larger Work by combining Original Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Original Code.\n\n   4.0 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Original Code due to statute, judicial\norder, or regulation then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.2 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5.0 APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n   6.0 VERSIONS OF THE LICENSE\n\n6.1 New Versions. Sun may publish revised and/or new versions of the License\nfrom time to time. Each version will be given a distinguishing version number.\n\n6.2 Effect of New Versions. Once Original Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Original Code under\nthe terms of any subsequent version of the License published by Sun. No one\nother than Sun has the right to modify the terms applicable to Original Code.\n\n   7.0 DISCLAIMER OF WARRANTY\n\nORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE\nPROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE\nCOST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF\nWARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8.0 TERMINATION\n\n8.1 This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Original Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2 In the event of termination under Section 8.1 above, all end user license\nagreements (excluding distributors and resellers) which have been validly\ngranted by You or any distributor hereunder prior to termination shall survive\ntermination.\n\n   9.0 LIMIT OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF ORIGINAL CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10.0 U.S. GOVERNMENT END USERS\n\nU.S. Government: If this Software is being acquired by or on behalf of the\nU.S. Government or by a U.S. Government prime contractor or subcontractor\n(at any tier), then the Government\'s rights in the Software and accompanying\ndocumentation shall be only as set forth in this license; this is in accordance\nwith 48 C.F.R. 227.7201 through 227.7202-4 (for Department of Defense (DoD)\nacquisitions) and with 48 C.F.R. 2.101 and 12.212 (for non-DoD acquisitions).\n\n   11.0 MISCELLANEOUS\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License. EXHIBIT A -\nSun Standards License\n\n\" The contents of this file are subject to the Sun Standards License Version\n1.1 (the \"License\"); You may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at _______________________________\n.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either\n\nexpress or implied. See the License for the specific language governing rights\nand limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is: Sun Microsystems, Inc. .\n\nPortions created by: _______________________________________\n\nare Copyright (C): _______________________________________\n\nAll Rights Reserved.\n\nContributor(s): _______________________________________\n\nEXHIBIT B - Standards\n\nThe Standard is defined as the following:\n\nOpenOffice.org XML File Format Specification, located at http://xml.openoffice.org\n\nOpenOffice.org Application Programming Interface Specification, located at\n\nhttp://api.openoffice.org\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(28,'diffmark','\n\n   1. you can do what you want with it\n\n   2. I refuse any responsibility for the consequences\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(29,'CLISP-exception-2.0','Summary:\n\nThis program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation; see file GNU-GPL.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.\n\nNote:\n\nThis copyright does NOT cover user programs that run in CLISP and third-party packages not part of CLISP, if a) They only reference external symbols in CLISP\'s public packages that define API also provided by many other Common Lisp implementations (namely the packages COMMON-LISP, COMMON-LISP-USER, KEYWORD, CLOS, GRAY, EXT), i.e. if they don\'t rely on CLISP internals and would as well run in any other Common Lisp implementation. Or b) They only reference external symbols in CLISP\'s public packages that define API also provided by many other Common Lisp implementations (namely the packages COMMON-LISP, COMMON-LISP-USER, KEYWORD, CLOS, GRAY, EXT) and some external, not CLISP specific, symbols in third-party packages that are released with source code under a GPL compatible license and that run in a great number of Common Lisp implementations, i.e. if they rely on CLISP internals only to the extent needed for gaining some functionality also available in a great number of Common Lisp implementations. Such user programs are not covered by the term \"\"\"\"derived work\"\"\"\" used in the GNU GPL. Neither is their compiled code, i.e. the result of compiling them by use of the function COMPILE-FILE. We refer to such user programs as \"\"\"\"independent work\"\"\"\".\n\nYou may copy and distribute memory image files generated by the function SAVEINITMEM, if it was generated only from CLISP and independent work, and provided that you accompany them, in the sense of section 3 of the GNU GPL, with the source code of CLISP - precisely the same CLISP version that was used to build the memory image -, the source or compiled code of the user programs needed to rebuild the memory image (source code for all the parts that are not independent work, see above), and a precise description how to rebuild the memory image from these.\n\nForeign non-Lisp code that is linked with CLISP or loaded into CLISP through dynamic linking is not exempted from this copyright. I.e. such code, when distributed for use with CLISP, must be distributed under the GPL.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(30,'Newsletr','Copyright 1989--2004 by Hunter Goatley.\n\nPermission is granted to anyone to use this software for any purpose on any\ncomputer system, and to redistribute it freely, subject to the following restrictions:\n\n1. This software is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE.\n\n2. Altered versions must be plainly marked as such, and must not be misrepresented\nas being the original software.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(31,'CC-BY-ND-4.0','Creative Commons Attribution-NoDerivatives 4.0 International Creative Commons\nCorporation (\"Creative Commons\") is not a law firm and does not provide legal\nservices or legal advice. Distribution of Creative Commons public licenses\ndoes not create a lawyer-client or other relationship. Creative Commons makes\nits licenses and related information available on an \"as-is\" basis. Creative\nCommons gives no warranties regarding its licenses, any material licensed\nunder their terms and conditions, or any related information. Creative Commons\ndisclaims all liability for damages resulting from their use to the fullest\nextent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described. Although not required by our licenses, you are encouraged to\nrespect those requests where reasonable. More considerations for the public\n: wiki.creativecommons.org/Considerations_for_licensees\n\nCreative Commons Attribution-NoDerivatives 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution-NoDerivatives\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\nSection 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\nc. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\nd. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\ne. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\nf. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\ng. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\nh. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\ni. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nj. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\nSection 2 – Scope.\n\n   a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\n         A. reproduce and Share the Licensed Material, in whole or in part; and\n\n         B. produce and reproduce, but not Share, Adapted Material.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n      3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n      5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n   b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties.\n\nSection 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n   a. Attribution.\n\n      1. If You Share the Licensed Material, You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n            ii. a copyright notice;\n\n            iii. a notice that refers to this Public License;\n\n            iv. a notice that refers to the disclaimer of warranties;\n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\n2. For the avoidance of doubt, You do not have permission under this Public\nLicense to Share Adapted Material.\n\n3. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n4. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\nSection 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database, provided You do not Share Adapted Material;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material; and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\nSection 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\nSection 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n      2. upon express reinstatement by the Licensor.\n\nc. For the avoidance of doubt, this Section 6(b) does not affect any right\nthe Licensor may have to seek remedies for Your violations of this Public\nLicense.\n\nd. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n   e. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\nSection 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(32,'OSL-2.0','The Open Software License v. 2.0\n\nThis Open Software License (the \"License\") applies to any original work of\nauthorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing notice immediately following the copyright notice for the Original\nWork:\n\nLicensed under the Open Software License version 2.0\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public,\nwith the proviso that copies of Original Work or Derivative Works that You\ndistribute shall be licensed under the Open Software License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license, under patent claims owned\nor controlled by the Licensor that are embodied in the Original Work as furnished\nby the Licensor, to make, use, sell and offer for sale the Original Work and\nDerivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby\nagrees to provide a machine-readable copy of the Source Code of the Original\nWork along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor. Nothing in\nthis License shall be deemed to grant any rights to trademarks, copyrights,\npatents, trade secrets or any other intellectual property of Licensor except\nas expressly stated herein. No patent license is granted to make, use, sell\nor offer to sell embodiments of any patent claims other than the licensed\nclaims defined in Section 2. No right is granted to the trademarks of Licensor\neven if such marks are included in the Original Work. Nothing in this License\nshall be interpreted to prohibit Licensor from licensing under different terms\nfrom this License any Original Work that Licensor otherwise would have a right\nto license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution\nof the Original Work or Derivative Works in any way such that the Original\nWork or Derivative Works may be used by anyone other than You, whether the\nOriginal Work or Derivative Works are distributed to those persons or made\navailable as an application intended for use over a computer network. As an\nexpress condition for the grants of license hereunder, You agree that any\nExternal Deployment by You of a Derivative Work shall be deemed a distribution\nand shall be licensed to all under the terms of this License, as prescribed\nin section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately proceeding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\nPURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work\nor a Derivative Work, You must make a reasonable effort under the circumstances\nto obtain the express assent of recipients to the terms of this License. Nothing\nelse but this License (or another written agreement between Licensor and You)\ngrants You permission to create Derivative Works based upon the Original Work\nor to exercise any of the rights granted in Section 1 herein, and any attempt\nto do so except under the terms of this License (or another written agreement\nbetween Licensor and You) is expressly prohibited by U.S. copyright law, the\nequivalent laws of other countries, and by international treaty. Therefore,\nby exercising any of the rights granted to You in Section 1 herein, You indicate\nYour acceptance of this License and all of its terms and conditions. This\nLicense shall terminate immediately and you may no longer exercise any of\nthe rights granted to You by this License upon Your failure to honor the proviso\nin Section 1(c) herein.\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nfor patent infringement (i) against Licensor with respect to a patent applicable\nto software or (ii) against any entity with respect to a patent applicable\nto the Original Work (but excluding combinations of the Original Work with\nother software or hardware).\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of the U.S. Copyright Act, 17 U.S.C. 101 et seq.,\nthe equivalent laws of other countries, and international treaty. This section\nshall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(33,'i2p-gpl-java-exception','In addition, as a special exception, XXXX gives permission to link the code of this program with the proprietary Java implementation provided by Sun (or other vendors as well), and distribute linked combinations including the two. You must obey the GNU General Public License in all respects for all of the code used other than the proprietary Java implementation. If you modify this file, you may extend this exception to your version of the file, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(34,'eCos-exception-2.0','As a special exception, if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other works to produce a work based on this file, this file does not by itself cause the resulting work to be covered by the GNU General Public License. However the source code for this file must still be made available in accordance with section (3) of the GNU General Public License.\n\nThis exception does not invalidate any other reasons why a work based on this file might be covered by the GNU General Public License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(35,'CC-BY-NC-ND-1.0','Creative Commons Attribution-NoDerivs-NonCommercial 1.0 CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nDRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\nb. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Collective Works, You must keep intact all copyright\nnotices for the Work and give the Original Author credit reasonable to the\nmedium or means You are utilizing by conveying the name (or pseudonym if applicable)\nof the Original Author if supplied; the title of the Work if supplied. Such\ncredit may be implemented in any reasonable manner; provided, however, that\nin the case of a Collective Work, at a minimum such credit will appear where\nany other comparable authorship credit appears and in a manner at least as\nprominent as such other comparable authorship credit.\n\n   5. Representations, Warranties and Disclaimer\n\na. By offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\n\ni. Licensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments;\n\nii. The Work does not infringe the copyright, trademark, publicity rights,\ncommon law rights or any other right of any third party or constitute defamation,\ninvasion of privacy or other tortious injury to any third party.\n\nb. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING\nOR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collective Works from You under this License, however, will\nnot have their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(36,'OLDAP-2.0','The OpenLDAP Public License\n\nVersion 2.0, 7 June 1999\n\nCopyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All\nRights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\nFor written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation. OpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(37,'OLDAP-2.7','The OpenLDAP Public License\n\nVersion 2.7, 7 September 2001\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices,\n\n2. Redistributions in binary form must reproduce applicable copyright statements\nand notices, this list of conditions, and the following disclaimer in the\ndocumentation and/or other materials provided with the distribution, and\n\n   3. Redistributions must contain a verbatim copy of this document.\n\nThe OpenLDAP Foundation may revise this license from time to time. Each revision\nis distinguished by a version number. You may use this Software under terms\nof this license revision or under the terms of any subsequent revision of\nthe license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND ITS CONTRIBUTORS\n``AS IS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION, ITS CONTRIBUTORS,\nOR THE AUTHOR(S) OR OWNER(S) OF THE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe names of the authors and copyright holders must not be used in advertising\nor otherwise to promote the sale, use or other dealing in this Software without\nspecific, written prior permission. Title to copyright in this Software shall\nat all times remain with copyright holders.\n\nOpenLDAP is a registered trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2001 The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distribute verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(38,'Intel-ACPI','ACPI - Software License Agreement\n\nSoftware License Agreement IMPORTANT - READ BEFORE COPYING, INSTALLING OR\nUSING.\n\nDo not use or load this software and any associated materials (collectively,\nthe \"Software\") until you have carefully read the following terms and conditions.\nBy loading or using the Software, you agree to the terms of this Agreement.\nIf you do not wish to so agree, do not install or use the Software.\n\n1. COPYRIGHT NOTICE Some or all of this work - Copyright © 1999-2005, Intel\nCorp. All rights reserved.\n\n   2. LICENSE\n\n2.1. This is your license from Intel Corp. under its intellectual property\nrights. You may have additional license terms from the party that provided\nyou this software, covering your right to use that party\'s intellectual property\nrights.\n\n2.2. Intel grants, free of charge, to any person (\"Licensee\") obtaining a\ncopy of the source code appearing in this file (\"Covered Code\") an irrevocable,\nperpetual, worldwide license under Intel\'s copyrights in the base code distributed\noriginally by Intel (\"Original Intel Code\") to copy, make derivatives, distribute,\nuse and display any portion of the Covered Code in any form, with the right\nto sublicense such rights; and\n\n2.3. Intel grants Licensee a non-exclusive and non-transferable patent license\n(with the right to sublicense), under only those claims of Intel patents that\nare infringed by the Original Intel Code, to make, use, sell, offer to sell,\nand import the Covered Code and derivative works thereof solely to the minimum\nextent necessary to exercise the above copyright license, and in no event\nshall the patent license extend to any additions to or modifications of the\nOriginal Intel Code. No other license or right is granted directly or by implication,\nestoppel or otherwise; The above copyright and patent license is granted only\nif the following conditions are met:\n\n   3. CONDITIONS\n\n3.1. Redistribution of Source with Rights to Further Distribute Source. Redistribution\nof source code of any substantial portion of the Covered Code or modification\nwith rights to further distribute source must include the above Copyright\nNotice, the above License, this list of Conditions, and the following Disclaimer\nand Export Compliance provision. In addition, Licensee must cause all Covered\nCode to which Licensee contributes to contain a file documenting the changes\nLicensee made to create that Covered Code and the date of any change. Licensee\nmust include in that file the documentation of any changes made by any predecessor\nLicensee. Licensee must include a prominent statement that the modification\nis derived, directly or indirectly, from Original Intel Code.\n\n3.2. Redistribution of Source with no Rights to Further Distribute Source.\nRedistribution of source code of any substantial portion of the Covered Code\nor modification without rights to further distribute source must include the\nfollowing Disclaimer and Export Compliance provision in the documentation\nand/or other materials provided with distribution. In addition, Licensee may\nnot authorize further sublicense of source of any portion of the Covered Code,\nand must include terms to the effect that the license from Licensee to its\nlicensee is limited to the intellectual property embodied in the software\nLicensee provides to its licensee, and not to intellectual property embodied\nin modifications its licensee may make.\n\n3.3. Redistribution of Executable. Redistribution in executable form of any\nsubstantial portion of the Covered Code or modification must reproduce the\nabove Copyright Notice, and the following Disclaimer and Export Compliance\nprovision in the documentation and/or other materials provided with the distribution.\n\n3.4. Intel retains all right, title, and interest in and to the Original Intel\nCode.\n\n3.5. Neither the name Intel nor any other trademark owned or controlled by\nIntel shall be used in advertising or otherwise to promote the sale, use or\nother dealings in products derived from or relating to the Covered Code without\nprior written authorization from Intel.\n\n   4. DISCLAIMER AND EXPORT COMPLIANCE\n\n4.1. INTEL MAKES NO WARRANTY OF ANY KIND REGARDING ANY SOFTWARE PROVIDED HERE.\nANY SOFTWARE ORIGINATING FROM INTEL OR DERIVED FROM INTEL SOFTWARE IS PROVIDED\n\"AS IS,\" AND INTEL WILL NOT PROVIDE ANY SUPPORT, ASSISTANCE, INSTALLATION,\nTRAINING OR OTHER SERVICES. INTEL WILL NOT PROVIDE ANY UPDATES, ENHANCEMENTS\nOR EXTENSIONS. INTEL SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY,\nNONINFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.\n\n4.2. IN NO EVENT SHALL INTEL HAVE ANY LIABILITY TO LICENSEE, ITS LICENSEES\nOR ANY OTHER THIRD PARTY, FOR ANY LOST PROFITS, LOST DATA, LOSS OF USE OR\nCOSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, OR FOR ANY INDIRECT,\nSPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THIS AGREEMENT, UNDER ANY\nCAUSE OF ACTION OR THEORY OF LIABILITY, AND IRRESPECTIVE OF WHETHER INTEL\nHAS ADVANCE NOTICE OF THE POSSIBILITY OF SUCH DAMAGES. THESE LIMITATIONS SHALL\nAPPLY NOTWITHSTANDING THE FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED\nREMEDY.\n\n4.3. Licensee shall not export, either directly or indirectly, any of this\nsoftware or system incorporating such software without first obtaining any\nrequired license or other approval from the U. S. Department of Commerce or\nany other agency or department of the United States Government. In the event\nLicensee exports any such software from the United States or re-exports any\nsuch software from a foreign destination, Licensee shall ensure that the distribution\nand export/re-export of the software is in compliance with all laws, regulations,\norders, or other restrictions of the U.S. Export Administration Regulations.\nLicensee agrees that neither it nor any of its subsidiaries will export/re-export\nany technical data, process, software, or service, directly or indirectly,\nto any country for which the United States government or any agency thereof\nrequires an export license, other governmental approval, or letter of assurance,\nwithout first obtaining such license, approval or letter.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(39,'NRL','NRL License COPYRIGHT NOTICE\n\nAll of the documentation and software included in this software distribution\nfrom the US Naval Research Laboratory (NRL) are copyrighted by their respective\ndevelopers.\n\nPortions of the software are derived from the Net/2 and 4.4-Lite Berkeley\nSoftware Distributions (BSD) of the University of California at Berkeley and\nthose portions are copyright by The Regents of the University of California.\nAll Rights Reserved. The UC Berkeley Copyright and License agreement is binding\non those portions of the software. In all cases, the NRL developers have retained\nthe original UC Berkeley copyright and license notices in the respective files\nin accordance with the UC Berkeley copyrights and license.\n\nPortions of this software and documentation were developed at NRL by various\npeople. Those developers have each copyrighted the portions that they developed\nat NRL and have assigned All Rights for those portions to NRL. Outside the\nUSA, NRL has copyright on some of the software developed at NRL. The affected\nfiles all contain specific copyright notices and those notices must be retained\nin any derived work. NRL LICENSE\n\nNRL grants permission for redistribution and use in source and binary forms,\nwith or without modification, of the software and documentation created at\nNRL provided that the following conditions are met:\n\n   1. All terms of the UC Berkeley copyright and license must be followed.\n\n2. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n3. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n4. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgements:\n\n      \n\nThis product includes software developed by the University of California,\nBerkeley and its contributors.\n\n      \n\nThis product includes software developed at the Information Technology Division,\nUS Naval Research Laboratory.\n\n5. Neither the name of the NRL nor the names of its contributors may be used\nto endorse or promote products derived from this software without specific\nprior written permission.\n\nTHE SOFTWARE PROVIDED BY NRL IS PROVIDED BY NRL AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL NRL OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are\nthose of the authors and should not be interpreted as representing official\npolicies, either expressed or implied, of the US Naval Research Laboratory\n(NRL).\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(40,'Rdisc','Rdisc (this program) was developed by Sun Microsystems, Inc. and is provided\nfor unrestricted use provided that this legend is included on all tape media\nand as a part of the software program in whole or part. Users may copy or\nmodify Rdisc without charge, and they may freely distribute it.\n\nRDISC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE WARRANTIES\nOF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE, OR ARISING\nFROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.\n\nRdisc is provided with no support and without any obligation on the part of\nSun Microsystems, Inc. to assist in its use, correction, modification or enhancement.\n\nSUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE INFRINGEMENT\nOF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY RDISC OR ANY PART THEREOF.\n\nIn no event will Sun Microsystems, Inc. be liable for any lost revenue or\nprofits or other special, indirect and consequential damages, even if Sun\nhas been advised of the possibility of such damages.\n\nSun Microsystems, Inc.\n\n2550 Garcia Avenue\n\nMountain View, California 94043\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(41,'Artistic-1.0','The Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as ftp.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C or perl subroutines supplied by you and linked into this Package shall\nnot be considered part of this Package.\n\n8. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(42,'CUA-OPL-1.0','CUA Office Public License Version 1.0\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant. Subject to third party intellectual property claims,\neach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"LEGAL\" which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has knowledge of patent licenses which\nare reasonably necessary to implement that API, Contributor must also include\nthis information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Covered Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Code. However,\nYou may do so only on Your own behalf, and not on behalf of the Initial Developer\nor any Contributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code or ownership rights under a license of Your choice,\nwhich may contain terms different from this License, provided that You are\nin compliance with the terms of this License and that the license for the\nExecutable version does not attempt to limit or alter the recipient\'s rights\nin the Source Code version from the rights set forth in this License. If You\ndistribute the Executable version under a different license You must make\nit absolutely clear that any terms which differ from this License are offered\nby You alone, not by the Initial Developer or any Contributor. You hereby\nagree to indemnify the Initial Developer and every Contributor for any liability\nincurred by the Initial Developer or such Contributor as a result of any such\nterms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n6.1. New Versions. CUA Office Project may publish revised and/or new versions\nof the License from time to time. Each version will be given a distinguishing\nversion number.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by CUA Office\nProject. No one other than CUA Office Project has the right to modify the\nterms applicable to Covered Code created under this License.\n\n6.3. Derivative Works. If You create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), You must (a) rename Your license so that the\nphrases \"CUA Office\", \"CUA\", \"CUAPL\", or any confusingly similar phrase do\nnot appear in your license (except to note that your license differs from\nthis License) and (b) otherwise make it clear that Your version of the license\ncontains terms which differ from the CUA Office Public License. (Filling in\nthe name of the Initial Developer, Original Code or Contributor in the notice\ndescribed in Exhibit A shall not of themselves be deemed to be modifications\nof this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the NPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A. EXHIBIT A - CUA Office Public License.\n\n\" The contents of this file are subject to the CUA Office Public License Version\n1.0 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://cuaoffice.sourceforge.net/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is ________________________ . Portions\ncreated by ______________________ are Copyright (C) ______ _______________________\n. All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the \" [___] License\"), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the CUAPL, indicate\nyour decision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe CUAPL or the [___] License. \"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(43,'LiLiQ-R-1.1','Licence Libre du Québec – Réciprocité (LiLiQ-R)\n\nVersion 1.1\n\n   1. Préambule\n\nCette licence s\'applique à tout logiciel distribué dont le titulaire du droit\nd\'auteur précise qu\'il est sujet aux termes de la Licence Libre du Québec\n– Réciprocité (LiLiQ-R) (ci-après appelée la « licence »).\n\n   2. Définitions\n\nDans la présente licence, à moins que le contexte n\'indique un sens différent,\non entend par:\n\n« concédant » : le titulaire du droit d\'auteur sur le logiciel, ou toute personne\ndûment autorisée par ce dernier à accorder la présente licence;\n\n« contributeur » : le titulaire du droit d\'auteur ou toute personne autorisée\npar ce dernier à soumettre au concédant une contribution. Un contributeur\ndont sa contribution est incorporée au logiciel est considéré comme un concédant\nen regard de sa contribution;\n\n« contribution » : tout logiciel original, ou partie de logiciel original\nsoumis et destiné à être incorporé dans le logiciel;\n\n   « distribution » : le fait de délivrer une copie du logiciel;\n\n« licencié » : toute personne qui possède une copie du logiciel et qui exerce\nles droits concédés par la licence;\n\n« logiciel » : une œuvre protégée par le droit d\'auteur, telle qu\'un programme\nd\'ordinateur et sa documentation, pour laquelle le titulaire du droit d\'auteur\na précisé qu\'elle est sujette aux termes de la présente licence;\n\n« logiciel dérivé » : tout logiciel original réalisé par un licencié, autre\nque le logiciel ou un logiciel modifié, qui produit ou reproduit la totalité\nou une partie importante du logiciel;\n\n« logiciel modifié » : toute modification par un licencié de l\'un des fichiers\nsource du logiciel ou encore tout nouveau fichier source qui incorpore le\nlogiciel ou une partie importante de ce dernier.\n\n   3. Licence de droit d\'auteur\n\nSous réserve des termes de la licence, le concédant accorde au licencié une\nlicence non exclusive et libre de redevances lui permettant d\'exercer les\ndroits suivants sur le logiciel :\n\n      1  Produire ou reproduire la totalité ou une partie importante;\n\n2  Exécuter ou représenter la totalité ou une partie importante en public;\n\n      3  Publier la totalité ou une partie importante.\n\n   \n\n   Cette licence est accordée sans limite territoriale et sans limite de temps.\n\nL\'exercice complet de ces droits est sujet à la distribution par le concédant\ndu code source du logiciel, lequel doit être sous une forme permettant d\'y\napporter des modifications. Le concédant peut aussi distribuer le logiciel\naccompagné d\'une offre de distribuer le code source du logiciel, sans frais\nsupplémentaires, autres que ceux raisonnables afin de permettre la livraison\ndu code source. Cette offre doit être valide pendant une durée raisonnable.\n\n   4. Distribution\n\nLe licencié peut distribuer des copies du logiciel, d\'un logiciel modifié\nou dérivé, sous réserve de respecter les conditions suivantes :\n\n      1  Le logiciel doit être accompagné d\'un exemplaire de cette licence;\n\n2  Si le logiciel a été modifié, le licencié doit en faire la mention, de\npréférence dans chacun des fichiers modifiés dont la nature permet une telle\nmention;\n\n3  Les étiquettes ou mentions faisant état des droits d\'auteur, des marques\nde commerce, des garanties ou de la paternité concernant le logiciel ne doivent\npas être modifiées ou supprimées, à moins que ces étiquettes ou mentions ne\nsoient inapplicables à un logiciel modifié ou dérivé donné.\n\n   4.1. Réciprocité\n\nChaque fois que le licencié distribue le logiciel, le concédant offre au récipiendaire\nune concession sur le logiciel selon les termes de la présente licence. Le\nlicencié doit offrir une concession selon les termes de la présente licence\npour tout logiciel modifié qu\'il distribue.\n\nChaque fois que le licencié distribue le logiciel ou un logiciel modifié,\nce dernier doit assumer l\'obligation d\'en distribuer le code source, de la\nmanière prévue au troisième alinéa de l\'article 3.\n\n   4.2. Compatibilité\n\nDans la mesure où le licencié souhaite distribuer un logiciel modifié combiné\nà un logiciel assujetti à une licence compatible, mais dont il ne serait pas\npossible d\'en respecter les termes, le concédant offre, en plus de la présente\nconcession, une concession selon les termes de cette licence compatible.\n\nUn licencié qui est titulaire exclusif du droit d\'auteur sur le logiciel assujetti\nà une licence compatible ne peut pas se prévaloir de cette offre. Il en est\nde même pour toute autre personne dûment autorisée à sous-licencier par le\ntitulaire exclusif du droit d\'auteur sur le logiciel assujetti à une licence\ncompatible.\n\nEst considérée comme une licence compatible toute licence libre approuvée\nou certifiée par la Free Software Foundation ou l\'Open Source Initiative,\ndont le niveau de réciprocité est comparable ou supérieur à celui de la présente\nlicence, sans toutefois être moindre, notamment :\n\n      1  Common Development and Distribution License (CDDL-1.0)\n\n      2  Common Public License Version 1.0 (CPL-1.0)\n\n      3  Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n\n      4  Contrat de licence de logiciel libre CeCILL-C (CECILL-C)\n\n      5  Eclipse Public License - v 1.0 (EPL-1.0)\n\n      6  European Union Public License, version 1.1 (EUPL v. 1.1)\n\n      7  Licence Libre du Québec – Réciprocité forte version 1.1 (LiLiQ-R+ 1.1)\n\n      8  GNU General Public License Version 2 (GNU GPLv2)\n\n      9  GNU General Public License Version 3 (GNU GPLv3)\n\n      10  GNU Lesser General Public License Version 2.1 (GNU LGPLv2.1)\n\n      11  GNU Lesser General Public License Version 3 (GNU LGPLv3)\n\n      12  Mozilla Public License Version 2.0 (MPL-2.0)\n\n   5. Contributions\n\nSous réserve d\'une entente distincte, toute contribution soumise par un contributeur\nau concédant pour inclusion dans le logiciel sera soumise aux termes de cette\nlicence.\n\n   6. Marques de commerce\n\nLa licence n\'accorde aucune permission particulière qui permettrait d\'utiliser\nles marques de commerce du concédant, autre que celle requise permettant d\'identifier\nla provenance du logiciel.\n\n   7. Garanties\n\nSauf mention contraire, le concédant distribue le logiciel sans aucune garantie,\naux risques et périls de l\'acquéreur de la copie du logiciel, et ce, sans\nassurer que le logiciel puisse répondre à un besoin particulier ou puisse\ndonner un résultat quelconque.\n\nSans lier le concédant d\'une quelconque manière, rien n\'empêche un licencié\nd\'offrir ou d\'exclure des garanties ou du support.\n\n   8. Responsabilité\n\nLe licencié est responsable de tout préjudice résultant de l\'exercice des\ndroits accordés par la licence.\n\nLe concédant ne saurait être tenu responsable du préjudice subi par le licencié\nou par des tiers, pour quelque cause que ce soit en lien avec la licence et\nles droits qui y sont accordés.\n\n   9. Résiliation\n\nLa présente licence est résiliée de plein droit dès que les droits qui y sont\naccordés ne sont pas exercés conformément aux termes qui y sont stipulés.\n\nToutefois, si le défaut est corrigé dans un délai de 30 jours de sa prise\nde connaissance par la personne en défaut, et qu\'il s\'agit du premier défaut,\nla licence est accordée de nouveau.\n\nPour tout défaut subséquent, le consentement exprès du concédant est nécessaire\nafin que la licence soit accordée de nouveau.\n\n   10. Version de la licence\n\nLe Centre de services partagés du Québec, ses ayants cause ou toute personne\nqu\'il désigne, peuvent diffuser des versions révisées ou modifiées de cette\nlicence. Chaque version recevra un numéro unique. Si un logiciel est déjà\nsoumis aux termes d\'une version spécifique, c\'est seulement cette version\nqui liera les parties à la licence.\n\nLe concédant peut aussi choisir de concéder la licence sous la version actuelle\nou toute version ultérieure, auquel cas le licencié peut choisir sous quelle\nversion la licence lui est accordée.\n\n   11. Divers\n\nDans la mesure où le concédant est un ministère, un organisme public ou une\npersonne morale de droit public, créés en vertu d\'une loi de l\'Assemblée nationale\ndu Québec, la licence est régie par le droit applicable au Québec et en cas\nde contestation, les tribunaux du Québec seront seuls compétents.\n\nLa présente licence peut être distribuée sans conditions particulières. Toutefois,\nune version modifiée doit être distribuée sous un nom différent. Toute référence\nau Centre de services partagés du Québec, et, le cas échéant, ses ayant droit,\ndoit être retirée, autre que celle permettant d\'identifier la provenance de\nla licence.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(44,'Interbase-1.0','INTERBASE PUBLIC LICENSE\n\nVersion 1.0\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \'\'Contributor\'\' means each entity that creates or contributes to the\ncreation of Modifications.\n\n1.2. \'\'Contributor Version\'\' means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \'\'Covered Code\'\' means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \'\'Electronic Distribution Mechanism\'\' means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n1.5. \'\'Executable\'\' means Covered Code in any form other than Source Code.\n\n1.6. \'\'Initial Developer\'\' means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \'\'Larger Work\'\' means a work which combines Covered Code or portions\nthereof with code not governed by the terms of this License.\n\n      1.8. \'\'License\'\' means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \'\'Modifications\'\' means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \'\'Original Code\'\' means Source Code of computer software code which\nis described in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \'\'Source Code\'\' means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\'\' (or \"Your\") means an individual or a legal entity exercising\nrights under, and complying with all of the terms of, this License or a future\nversion of this License issued under Section 6.1. For legal entities, \"You\'\'\nincludes any entity which controls, is controlled by, or is under common control\nwith You. For purposes of this definition, \"control\'\' means (a) the power,\ndirect or indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n      2.1. The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n      2.2. Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby\ngrants You a world-wide, royalty-free, non-exclusive license\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n      3.1. Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n      3.2. Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made\navailable in Source Code form under the terms of this License either on the\nsame media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n      3.3. Description of Modifications.\n\nYou must cause all Covered Code to which You contribute to contain a file\ndocumenting the changes You made to create that Covered Code and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the Source\nCode, and (b) in any notice in an Executable version or related documentation\nin which You describe the origin or ownership of the Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims.\n\nIf Contributor has knowledge that a license under a third party\'s intellectual\nproperty rights is required to exercise the rights granted by such Contributor\nunder Sections 2.1 or 2.2, Contributor must include a text file with the Source\nCode distribution titled \"LEGAL\'\' which describes the claim and the party\nmaking the claim in sufficient detail that a recipient will know whom to contact.\nIf Contributor obtains such knowledge after the Modification is made available\nas described in Section 3.2, Contributor shall promptly modify the LEGAL file\nin all copies Contributor makes available thereafter and shall take other\nsteps (such as notifying appropriate mailing lists or newsgroups) reasonably\ncalculated to inform those who received the Covered Code that new knowledge\nhas been obtained.\n\n         (b) Contributor APIs.\n\nIf Contributor\'s Modifications include an application programming interface\nand Contributor has knowledge of patent licenses which are reasonably necessary\nto implement that API, Contributor must also include this information in the\nLEGAL file.\n\n         (c) Representations.\n\nContributor represents that, except as disclosed pursuant to Section 3.4(a)\nabove, Contributor believes that Contributor\'s Modifications are Contributor\'s\noriginal creation(s) and/or Contributor has sufficient rights to grant the\nrights conveyed by this License.\n\n      3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code.\nIf it is not possible to put such notice in a particular Source Code file\ndue to its structure, then You must include such notice in a location (such\nas a relevant directory) where a user would be likely to look for such a notice.\nIf You created one or more Modification(s) You may add your name as a Contributor\nto the notice described in Exhibit A. You must also duplicate this License\nin any documentation for the Source Code where You describe recipients\' rights\nor ownership rights relating to Covered Code. You may choose to offer, and\nto charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Covered Code. However, You may do so only on\nYour own behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear than any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n      3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code, and if You include\na notice stating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You describe recipients\' rights relating to the Covered\nCode. You may distribute the Executable version of Covered Code or ownership\nrights under a license of Your choice, which may contain terms different from\nthis License, provided that You are in compliance with the terms of this License\nand that the license for the Executable version does not attempt to limit\nor alter the recipient\'s rights in the Source Code version from the rights\nset forth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms which\ndiffer from this License are offered by You alone, not by the Initial Developer\nor any Contributor. You hereby agree to indemnify the Initial Developer and\nevery Contributor for any liability incurred by the Initial Developer or such\nContributor as a result of any such terms You offer.\n\n      3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions.\n\nBorland Software Corporation (\'\'Interbase\'\') may publish revised and/or new\nversions of the License from time to time. Each version will be given a distinguishing\nversion number.\n\n      6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Interbase. No one other than Interbase has the\nright to modify the terms applicable to Covered Code created under this License.\n\n      6.3. Derivative Works.\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrases \'\'Mozilla\'\',\n\'\'MOZILLAPL\'\', \'\'MOZPL\'\', \'\'Netscape\'\', \"MPL\", \'\'NPL\", \"Interbase\", \"ISC\",\n\"IB\'\' or any confusingly similar phrase do not appear in your license (except\nto note that your license differs from this License) and (b) otherwise make\nit clear that Your version of the license contains terms which differ from\nthe Mozilla Public License and Netscape Public License. (Filling in the name\nof the Initial Developer, Original Code or Contributor in the notice described\nin Exhibit A shall not of themselves be deemed to be modifications of this\nLicense.)\n\n      6.4 Origin of the Interbase Public License.\n\nThe Interbase public license is based on the Mozilla Public License V 1.1\nwith the following changes:\n\nThe license is published by Borland Software Corporation. Only Borland Software\nCorporation can modify the terms applicable to Covered Code.\n\nThe license can be modified used for code which is not already governed by\nthis license. Modified versions of the license must be renamed to avoid confusion\nwith Netscape?s or Interbase Software?s license and must include a description\nof changes from the Interbase Public License.\n\n      The name of the license in Exhibit A is the \"Interbase Public License\".\n\n      The reference to an alternative license in Exhibit A has been removed.\n\n      Amendments I, II, III, V, and VI have been deleted.\n\n      Exhibit A, Netscape Public License has been deleted\n\nA new amendment (II) has been added, describing the required and restricted\nrights to use the trademarks of Borland Software Corporation\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\'\' BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE\nDEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\nASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \'\'commercial item,\'\' as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \'\'commercial computer software\'\' and \'\'commercial\ncomputer software documentation,\'\' as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the NPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A.\n\n   EXHIBIT A - InterBase Public License.\n\n\" The contents of this file are subject to the Interbase Public License Version\n1.0 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.Interbase.com/IPL.html\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\n   The Original Code was created by InterBase Software Corp and its successors.\n\nPortions created by Borland/Inprise are Copyright (C) Borland/Inprise. All\nRights Reserved.\n\n   Contributor(s): ______________________________________ .\n\nAMENDMENTS\n\nI. InterBase and logo. This License does not grant any rights to use the trademarks\n\"Interbase\'\', \"Java\" or \"JavaScript\" even if such marks are included in the\nOriginal Code or Modifications.\n\n   II. Trademark Usage.\n\nII.1. Advertising Materials. All advertising materials mentioning features\nor use of the covered Code must display the following acknowledgement: \"This\nproduct includes software developed by Borland Software Corp. \"\n\nII.2. Endorsements. The names \"InterBase,\" \"ISC,\" and \"IB\" must not be used\nto endorse or promote Contributor Versions or Larger Works without the prior\nwritten permission of Interbase.\n\nII.3. Product Names. Contributor Versions and Larger Works may not be called\n\"InterBase\" or \"Interbase\" nor may the word \"InterBase\" appear in their names\nwithout the prior written permission of Interbase.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(45,'LPL-1.02','Lucent Public License Version 1.02\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE\n(\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES\nRECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT.\n\n   1. DEFINITIONS\n\n   \"Contribution\" means:\n\na. in the case of Lucent Technologies Inc. (\"LUCENT\"), the Original Program,\nand\n\n      b. in the case of each Contributor,\n\n         i. changes to the Program, and\n\n         ii. additions to the Program;\n\nwhere such changes and/or additions to the Program were added to the Program\nby such Contributor itself or anyone acting on such Contributor\'s behalf,\nand the Contributor explicitly consents, in accordance with Section 3C, to\ncharacterization of the changes and/or additions as Contributions.\n\n\"Contributor\" means LUCENT and any other entity that has Contributed a Contribution\nto the Program.\n\n\"Distributor\" means a Recipient that distributes the Program, modifications\nto the Program, or any part thereof.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Original Program\" means the original version of the software accompanying\nthis Agreement as released by LUCENT, including source code, object code and\ndocumentation, if any.\n\n\"Program\" means the Original Program and Contributions or any part thereof\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including\nall Contributors.\n\n   2. GRANT OF RIGHTS\n\na. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form.\n\nb. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in source code and object code form.\nThe patent license granted by a Contributor shall also apply to the combination\nof the Contribution of that Contributor and the Program if, at the time the\nContribution is added by the Contributor, such addition of the Contribution\ncauses such combination to be covered by the Licensed Patents. The patent\nlicense granted by a Contributor shall not apply to (i) any other combinations\nwhich include the Contribution, nor to (ii) Contributions of other Contributors.\nNo hardware per se is licensed hereunder.\n\nc. Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, no assurances are provided by any Contributor\nthat the Program does not infringe the patent or other intellectual property\nrights of any other entity. Each Contributor disclaims any liability to Recipient\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, each Recipient hereby assumes sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow Recipient to distribute\nthe Program, it is Recipient\'s responsibility to acquire that license before\ndistributing the Program.\n\nd. Each Contributor represents that to its knowledge it has sufficient copyright\nrights in its Contribution, if any, to grant the copyright license set forth\nin this Agreement.\n\n   3. REQUIREMENTS\n\nA. Distributor may choose to distribute the Program in any form under this\nAgreement or under its own license agreement, provided that:\n\n         1. it complies with the terms and conditions of this Agreement;\n\n2. if the Program is distributed in source code or other tangible form, a\ncopy of this Agreement or Distributor\'s own license agreement is included\nwith each copy of the Program; and\n\n3. if distributed under Distributor\'s own license agreement, such license\nagreement:\n\na. effectively disclaims on behalf of all Contributors all warranties and\nconditions, express and implied, including warranties or conditions of title\nand non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nb. effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits; and\n\nc. states that any provisions which differ from this Agreement are offered\nby that Contributor alone and not by any other party.\n\nB. Each Distributor must include the following in a conspicuous location in\nthe Program:\n\nCopyright (C) 2003, Lucent Technologies Inc. and others. All Rights Reserved.\n\nC. In addition, each Contributor must identify itself as the originator of\nits Contribution in a manner that reasonably allows subsequent Recipients\nto identify the originator of the Contribution. Also, each Contributor must\nagree that the additions and/or changes are intended to be a Contribution.\nOnce a Contribution is contributed, it may not thereafter be revoked.\n\n   4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Distributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for Contributors. Therefore,\nif a Distributor includes the Program in a commercial product offering, such\nDistributor (\"Commercial Distributor\") hereby agrees to defend and indemnify\nevery Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Distributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nDistributor in writing of such claim, and b) allow the Commercial Distributor\nto control, and cooperate with the Commercial Distributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Distributor might include the Program in a commercial product\noffering, Product X. That Distributor is then a Commercial Distributor. If\nthat Commercial Distributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nDistributor\'s responsibility alone. Under this section, the Commercial Distributor\nwould have to defend claims against the Contributors related to those performance\nclaims and warranties, and if a court requires any Contributor to pay any\ndamages as a result, the Commercial Distributor must pay those damages.\n\n   5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\nOR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF\nTITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n   6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY\nCONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION\nLOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. EXPORT CONTROL\n\nRecipient agrees that Recipient alone is responsible for compliance with the\nUnited States export administration regulations (and the export control laws\nand regulation of any other countries).\n\n   8. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect\nto a patent applicable to software (including a cross-claim or counterclaim\nin a lawsuit), then any patent licenses granted by that Contributor to such\nRecipient under this Agreement shall terminate as of the date such litigation\nis filed. In addition, if Recipient institutes patent litigation against any\nentity (including a cross-claim or counterclaim in a lawsuit) alleging that\nthe Program itself (excluding combinations of the Program with other software\nor hardware) infringes such Recipient\'s patent(s), then such Recipient\'s rights\ngranted under Section 2(b) shall terminate as of the date such litigation\nis filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\nLUCENT may publish new versions (including revisions) of this Agreement from\ntime to time. Each new version of the Agreement will be given a distinguishing\nversion number. The Program (including Contributions) may always be distributed\nsubject to the version of the Agreement under which it was received. In addition,\nafter a new version of the Agreement is published, Contributor may elect to\ndistribute the Program (including its Contributions) under the new version.\nNo one other than LUCENT has the right to modify this Agreement. Except as\nexpressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights\nor licenses to the intellectual property of any Contributor under this Agreement,\nwhether expressly, by implication, estoppel or otherwise. All rights in the\nProgram not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual\nproperty laws of the United States of America. No party to this Agreement\nwill bring a legal action under this Agreement more than one year after the\ncause of action arose. Each party waives its rights to a jury trial in any\nresulting litigation.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(46,'SimPL-2.0','Simple Public License (SimPL) Preamble\n\nThis Simple Public License 2.0 (SimPL 2.0 for short) is a plain language implementation\nof GPL 2.0. The words are different, but the goal is the same - to guarantee\nfor all users the freedom to share and change software. If anyone wonders\nabout the meaning of the SimPL, they should interpret it as consistent with\nGPL 2.0. Simple Public License (SimPL) 2.0\n\nThe SimPL applies to the software\'s source and object code and comes with\nany rights that I have in it (other than trademarks). You agree to the SimPL\nby copying, distributing, or making a derivative work of the software.\n\nYou get the royalty free right to:\n\n   - Use the software for any purpose;\n\n   - Make derivative works of it (this is called a \"Derived Work\");\n\n   - Copy and distribute it and any Derived Work.\n\nIf you distribute the software or a Derived Work, you must give back to the\ncommunity by:\n\n   - Prominently noting the date of any changes you make;\n\n- Leaving other people\'s copyright notices, warranty disclaimers, and license\nterms in place;\n\n- Providing the source code, build scripts, installation scripts, and interface\ndefinitions in a form that is easy to get and best to modify;\n\n- Licensing it to everyone under SimPL, or substantially similar terms (such\nas GPL 2.0), without adding further restrictions to the rights provided;\n\n   - Conspicuously announcing that it is available under that license.\n\nThere are some things that you must shoulder:\n\n   - You get NO WARRANTIES. None of any kind;\n\n- If the software damages you in any way, you may only recover direct damages\nup to the amount you paid for it (that is zero if you did not pay anything).\nYou may not recover any other damages, including those called \"consequential\ndamages.\" (The state or country where you live may not allow you to limit\nyour liability in this way, so this may not apply to you);\n\nThe SimPL continues perpetually, except that your license rights end automatically\nif:\n\n- You do not abide by the \"give back to the community\" terms (your licensees\nget to keep their rights if they abide);\n\n- Anyone prevents you from distributing the software under the terms of the\nSimPL.\n\nLicense for the License\n\nYou may do anything that you want with the SimPL text; it\'s a license form\nto use in any way that you find helpful. To avoid confusion, however, if you\nchange the terms in any way then you may not call your license the Simple\nPublic License or the SimPL (but feel free to acknowledge that your license\nis \"based on the Simple Public License\").\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(47,'IPA','IPA Font License Agreement v1.0\n\nThe Licensor provides the Licensed Program (as defined in Article 1 below)\nunder the terms of this license agreement (\"Agreement\"). Any use, reproduction\nor distribution of the Licensed Program, or any exercise of rights under this\nAgreement by a Recipient (as defined in Article 1 below) constitutes the Recipient\'s\nacceptance of this Agreement.\n\nArticle 1 (Definitions)\n\n1. \"Digital Font Program\" shall mean a computer program containing, or used\nto render or display fonts.\n\n2. \"Licensed Program\" shall mean a Digital Font Program licensed by the Licensor\nunder this Agreement.\n\n3. \"Derived Program\" shall mean a Digital Font Program created as a result\nof a modification, addition, deletion, replacement or any other adaptation\nto or of a part or all of the Licensed Program, and includes a case where\na Digital Font Program newly created by retrieving font information from a\npart or all of the Licensed Program or Embedded Fonts from a Digital Document\nFile with or without modification of the retrieved font information.\n\n4. \"Digital Content\" shall mean products provided to end users in the form\nof digital data, including video content, motion and/or still pictures, TV\nprograms or other broadcasting content and products consisting of character\ntext, pictures, photographic images, graphic symbols and/or the like.\n\n5. \"Digital Document File\" shall mean a PDF file or other Digital Content\ncreated by various software programs in which a part or all of the Licensed\nProgram becomes embedded or contained in the file for the display of the font\n(\"Embedded Fonts\"). Embedded Fonts are used only in the display of characters\nin the particular Digital Document File within which they are embedded, and\nshall be distinguished from those in any Digital Font Program, which may be\nused for display of characters outside that particular Digital Document File.\n\n   6. \"Computer\" shall include a server in this Agreement.\n\n7. \"Reproduction and Other Exploitation\" shall mean reproduction, transfer,\ndistribution, lease, public transmission, presentation, exhibition, adaptation\nand any other exploitation.\n\n8. \"Recipient\" shall mean anyone who receives the Licensed Program under this\nAgreement, including one that receives the Licensed Program from a Recipient.\n\nArticle 2 (Grant of License)\n\nThe Licensor grants to the Recipient a license to use the Licensed Program\nin any and all countries in accordance with each of the provisions set forth\nin this Agreement. However, any and all rights underlying in the Licensed\nProgram shall be held by the Licensor. In no sense is this Agreement intended\nto transfer any right relating to the Licensed Program held by the Licensor\nexcept as specifically set forth herein or any right relating to any trademark,\ntrade name, or service mark to the Recipient.\n\n1. The Recipient may install the Licensed Program on any number of Computers\nand use the same in accordance with the provisions set forth in this Agreement.\n\n2. The Recipient may use the Licensed Program, with or without modification\nin printed materials or in Digital Content as an expression of character texts\nor the like.\n\n3. The Recipient may conduct Reproduction and Other Exploitation of the printed\nmaterials and Digital Content created in accordance with the preceding Paragraph,\nfor commercial or non-commercial purposes and in any form of media including\nbut not limited to broadcasting, communication and various recording media.\n\n4. If any Recipient extracts Embedded Fonts from a Digital Document File to\ncreate a Derived Program, such Derived Program shall be subject to the terms\nof this agreement.\n\n5. If any Recipient performs Reproduction or Other Exploitation of a Digital\nDocument File in which Embedded Fonts of the Licensed Program are used only\nfor rendering the Digital Content within such Digital Document File then such\nRecipient shall have no further obligations under this Agreement in relation\nto such actions.\n\n6. The Recipient may reproduce the Licensed Program as is without modification\nand transfer such copies, publicly transmit or otherwise redistribute the\nLicensed Program to a third party for commercial or non-commercial purposes\n(\"Redistribute\"), in accordance with the provisions set forth in Article 3\nParagraph 2.\n\n7. The Recipient may create, use, reproduce and/or Redistribute a Derived\nProgram under the terms stated above for the Licensed Program: provided, that\nthe Recipient shall follow the provisions set forth in Article 3 Paragraph\n1 when Redistributing the Derived Program.\n\nArticle 3 (Restriction)\n\nThe license granted in the preceding Article shall be subject to the following\nrestrictions:\n\n1. If a Derived Program is Redistributed pursuant to Paragraph 4 and 7 of\nthe preceding Article, the following conditions must be met :\n\n(1) The following must be also Redistributed together with the Derived Program,\nor be made available online or by means of mailing mechanisms in exchange\nfor a cost which does not exceed the total costs of postage, storage medium\nand handling fees:\n\n         (a) a copy of the Derived Program; and\n\n(b) any additional file created by the font developing program in the course\nof creating the Derived Program that can be used for further modification\nof the Derived Program, if any.\n\n(2) It is required to also Redistribute means to enable recipients of the\nDerived Program to replace the Derived Program with the Licensed Program first\nreleased under this License (the \"Original Program\"). Such means may be to\nprovide a difference file from the Original Program, or instructions setting\nout a method to replace the Derived Program with the Original Program.\n\n(3) The Recipient must license the Derived Program under the terms and conditions\nof this Agreement.\n\n(4) No one may use or include the name of the Licensed Program as a program\nname, font name or file name of the Derived Program.\n\n(5) Any material to be made available online or by means of mailing a medium\nto satisfy the requirements of this paragraph may be provided, verbatim, by\nany party wishing to do so.\n\n2. If the Recipient Redistributes the Licensed Program pursuant to Paragraph\n6 of the preceding Article, the Recipient shall meet all of the following\nconditions:\n\n      (1) The Recipient may not change the name of the Licensed Program.\n\n      (2) The Recipient may not alter or otherwise modify the Licensed Program.\n\n(3) The Recipient must attach a copy of this Agreement to the Licensed Program.\n\n3. THIS LICENSED PROGRAM IS PROVIDED BY THE LICENSOR \"AS IS\" AND ANY EXPRESSED\nOR IMPLIED WARRANTY AS TO THE LICENSED PROGRAM OR ANY DERIVED PROGRAM, INCLUDING,\nBUT NOT LIMITED TO, WARRANTIES OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY,\nOR FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED. IN NO EVENT SHALL THE\nLICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXTENDED,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO; PROCUREMENT\nOF SUBSTITUTED GOODS OR SERVICE; DAMAGES ARISING FROM SYSTEM FAILURE; LOSS\nOR CORRUPTION OF EXISTING DATA OR PROGRAM; LOST PROFITS), HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE INSTALLATION,\nUSE, THE REPRODUCTION OR OTHER EXPLOITATION OF THE LICENSED PROGRAM OR ANY\nDERIVED PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES.\n\n4. The Licensor is under no obligation to respond to any technical questions\nor inquiries, or provide any other user support in connection with the installation,\nuse or the Reproduction and Other Exploitation of the Licensed Program or\nDerived Programs thereof.\n\nArticle 4 (Termination of Agreement)\n\n1. The term of this Agreement shall begin from the time of receipt of the\nLicensed Program by the Recipient and shall continue as long as the Recipient\nretains any such Licensed Program in any way.\n\n2. Notwithstanding the provision set forth in the preceding Paragraph, in\nthe event of the breach of any of the provisions set forth in this Agreement\nby the Recipient, this Agreement shall automatically terminate without any\nnotice. In the case of such termination, the Recipient may not use or conduct\nReproduction and Other Exploitation of the Licensed Program or a Derived Program:\nprovided that such termination shall not affect any rights of any other Recipient\nreceiving the Licensed Program or the Derived Program from such Recipient\nwho breached this Agreement.\n\nArticle 5 (Governing Law)\n\n1. IPA may publish revised and/or new versions of this License. In such an\nevent, the Recipient may select either this Agreement or any subsequent version\nof the Agreement in using, conducting the Reproduction and Other Exploitation\nof, or Redistributing the Licensed Program or a Derived Program. Other matters\nnot specified above shall be subject to the Copyright Law of Japan and other\nrelated laws and regulations of Japan.\n\n   2. This Agreement shall be construed under the laws of Japan.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(48,'PDDL-1.0','Open Data Commons - Public Domain Dedication & License (PDDL)\n\nPreamble\n\nThe Open Data Commons - Public Domain Dedication & Licence is a document intended\nto allow you to freely share, modify, and use this work for any purpose and\nwithout any restrictions. This licence is intended for use on databases or\ntheir contents (\"data\"), either together or individually.\n\nMany databases are covered by copyright. Some jurisdictions, mainly in Europe,\nhave specific special rights that cover databases called the \"sui generis\"\ndatabase right. Both of these sets of rights, as well as other legal rights\nused to protect databases and data, can create uncertainty or practical difficulty\nfor those wishing to share databases and their underlying data but retain\na limited amount of rights under a \"some rights reserved\" approach to licensing\nas outlined in the Science Commons Protocol for Implementing Open Access Data.\nAs a result, this waiver and licence tries to the fullest extent possible\nto eliminate or fully license any rights that cover this database and data.\nAny Community Norms or similar statements of use of the database or data do\nnot form a part of this document, and do not act as a contract for access\nor other terms of use for the database or data.\n\nThe position of the recipient of the work\n\nBecause this document places the database and its contents in or as close\nas possible within the public domain, there are no restrictions or requirements\nplaced on the recipient by this document. Recipients may use this work commercially,\nuse technical protection measures, combine this data or database with other\ndatabases or data, and share their changes and additions or keep them secret.\nIt is not a requirement that recipients provide further users with a copy\nof this licence or attribute the original creator of the data or database\nas a source. The goal is to eliminate restrictions held by the original creator\nof the data and database on the use of it by others.\n\nThe position of the dedicator of the work\n\nCopyright law, as with most other law under the banner of \"intellectual property\",\nis inherently national law. This means that there exists several differences\nin how copyright and other IP rights can be relinquished, waived or licensed\nin the many legal jurisdictions of the world. This is despite much harmonisation\nof minimum levels of protection. The internet and other communication technologies\nspan these many disparate legal jurisdictions and thus pose special difficulties\nfor a document relinquishing and waiving intellectual property rights, including\ncopyright and database rights, for use by the global community. Because of\nthis feature of intellectual property law, this document first relinquishes\nthe rights and waives the relevant rights and claims. It then goes on to license\nthese same rights for jurisdictions or areas of law that may make it difficult\nto relinquish or waive rights or claims.\n\nThe purpose of this document is to enable rightsholders to place their work\ninto the public domain. Unlike licences for free and open source software,\nfree cultural works, or open content licences, rightsholders will not be able\nto \"dual license\" their work by releasing the same work under different licences.\nThis is because they have allowed anyone to use the work in whatever way they\nchoose. Rightsholders therefore can\'t re-license it under copyright or database\nrights on different terms because they have nothing left to license. Doing\nso creates truly accessible data to build rich applications and advance the\nprogress of science and the arts.\n\nThis document can cover either or both of the database and its contents (the\ndata). Because databases can have a wide variety of content - not just factual\ndata - rightsholders should use the Open Data Commons - Public Domain Dedication\n& Licence for an entire database and its contents only if everything can be\nplaced under the terms of this document. Because even factual data can sometimes\nhave intellectual property rights, rightsholders should use this licence to\ncover both the database and its factual data when making material available\nunder this document; even if it is likely that the data would not be covered\nby copyright or database rights.\n\nRightsholders can also use this document to cover any copyright or database\nrights claims over only a database, and leave the contents to be covered by\nother licences or documents. They can do this because this document refers\nto the \"Work\", which can be either - or both - the database and its contents.\nAs a result, rightsholders need to clearly state what they are dedicating\nunder this document when they dedicate it.\n\nJust like any licence or other document dealing with intellectual property,\nrightsholders should be aware that one can only license what one owns. Please\nensure that the rights have been cleared to make this material available under\nthis document.\n\nThis document permanently and irrevocably makes the Work available to the\npublic for any use of any kind, and it should not be used unless the rightsholder\nis prepared for this to happen.\n\nPart I: Introduction\n\nThe Rightsholder (the Person holding rights or claims over the Work) agrees\nas follows:\n\n   1.0 Definitions of Capitalised Words\n\n\"Copyright\" - Includes rights under copyright and under neighbouring rights\nand similarly related sets of rights under the law of the relevant jurisdiction\nunder Section 6.4.\n\n\"Data\" - The contents of the Database, which includes the information, independent\nworks, or other material collected into the Database offered under the terms\nof this Document.\n\n\"Database\" - A collection of Data arranged in a systematic or methodical way\nand individually accessible by electronic or other means offered under the\nterms of this Document.\n\n\"Database Right\" - Means rights over Data resulting from the Chapter III (\"sui\ngeneris\") rights in the Database Directive (Directive 96/9/EC of the European\nParliament and of the Council of 11 March 1996 on the legal protection of\ndatabases) and any future updates as well as any similar rights available\nin the relevant jurisdiction under Section 6.4.\n\n\"Document\" - means this relinquishment and waiver of rights and claims and\nback up licence agreement.\n\n\"Person\" - Means a natural or legal person or a body of persons corporate\nor incorporate.\n\n\"Use\" - As a verb, means doing any act that is restricted by Copyright or\nDatabase Rights whether in the original medium or any other; and includes\nmodifying the Work as may be technically necessary to use it in a different\nmode or format. This includes the right to sublicense the Work.\n\n\"Work\" - Means either or both of the Database and Data offered under the terms\nof this Document.\n\n\"You\" - the Person acquiring rights under the licence elements of this Document.\n\n   Words in the singular include the plural and vice versa.\n\n   2.0 What this document covers\n\n   2.1. Legal effect of this Document. This Document is:\n\na. A dedication to the public domain and waiver of Copyright and Database\nRights over the Work; and\n\nb. A licence of Copyright and Database Rights over the Work in jurisdictions\nthat do not allow for relinquishment or waiver.\n\n   2.2. Legal rights covered.\n\na. Copyright. Any copyright or neighbouring rights in the Work. Copyright\nlaw varies between jurisdictions, but is likely to cover: the Database model\nor schema, which is the structure, arrangement, and organisation of the Database,\nand can also include the Database tables and table indexes; the data entry\nand output sheets; and the Field names of Data stored in the Database. Copyright\nmay also cover the Data depending on the jurisdiction and type of Data; and\n\nb. Database Rights. Database Rights only extend to the extraction and re-utilisation\nof the whole or a substantial part of the Data. Database Rights can apply\neven when there is no copyright over the Database. Database Rights can also\napply when the Data is removed from the Database and is selected and arranged\nin a way that would not infringe any applicable copyright.\n\n   2.2 Rights not covered.\n\na. This Document does not apply to computer programs used in the making or\noperation of the Database;\n\nb. This Document does not cover any patents over the Data or the Database.\nPlease see Section 4.2 later in this Document for further details; and\n\nc. This Document does not cover any trade marks associated with the Database.\nPlease see Section 4.3 later in this Document for further details.\n\nUsers of this Database are cautioned that they may have to clear other rights\nor consult other licences.\n\n2.3 Facts are free. The Rightsholder takes the position that factual information\nis not covered by Copyright. This Document however covers the Work in jurisdictions\nthat may protect the factual information in the Work by Copyright, and to\ncover any information protected by Copyright that is contained in the Work.\n\nPart II: Dedication to the public domain\n\n   3.0 Dedication, waiver, and licence of Copyright and Database Rights\n\n3.1 Dedication of Copyright and Database Rights to the public domain. The\nRightsholder by using this Document, dedicates the Work to the public domain\nfor the benefit of the public and relinquishes all rights in Copyright and\nDatabase Rights over the Work.\n\na. The Rightsholder realises that once these rights are relinquished, that\nthe Rightsholder has no further rights in Copyright and Database Rights over\nthe Work, and that the Work is free and open for others to Use.\n\nb. The Rightsholder intends for their relinquishment to cover all present\nand future rights in the Work under Copyright and Database Rights, whether\nthey are vested or contingent rights, and that this relinquishment of rights\ncovers all their heirs and successors.\n\nThe above relinquishment of rights applies worldwide and includes media and\nformats now known or created in the future.\n\n3.2 Waiver of rights and claims in Copyright and Database Rights when Section\n3.1 dedication inapplicable. If the dedication in Section 3.1 does not apply\nin the relevant jurisdiction under Section 6.4, the Rightsholder waives any\nrights and claims that the Rightsholder may have or acquire in the future\nover the Work in:\n\n      a. Copyright; and\n\n      b. Database Rights.\n\nTo the extent possible in the relevant jurisdiction, the above waiver of rights\nand claims applies worldwide and includes media and formats now known or created\nin the future. The Rightsholder agrees not to assert the above rights and\nwaives the right to enforce them over the Work.\n\n3.3 Licence of Copyright and Database Rights when Sections 3.1 and 3.2 inapplicable.\nIf the dedication and waiver in Sections 3.1 and 3.2 does not apply in the\nrelevant jurisdiction under Section 6.4, the Rightsholder and You agree as\nfollows:\n\na. The Licensor grants to You a worldwide, royalty-free, non-exclusive, licence\nto Use the Work for the duration of any applicable Copyright and Database\nRights. These rights explicitly include commercial use, and do not exclude\nany field of endeavour. To the extent possible in the relevant jurisdiction,\nthese rights may be exercised in all media and formats whether now known or\ncreated in the future.\n\n3.4 Moral rights. This section covers moral rights, including the right to\nbe identified as the author of the Work or to object to treatment that would\notherwise prejudice the author\'s honour and reputation, or any other derogatory\ntreatment:\n\na. For jurisdictions allowing waiver of moral rights, Licensor waives all\nmoral rights that Licensor may have in the Work to the fullest extent possible\nby the law of the relevant jurisdiction under Section 6.4;\n\nb. If waiver of moral rights under Section 3.4 a in the relevant jurisdiction\nis not possible, Licensor agrees not to assert any moral rights over the Work\nand waives all claims in moral rights to the fullest extent possible by the\nlaw of the relevant jurisdiction under Section 6.4; and\n\nc. For jurisdictions not allowing waiver or an agreement not to assert moral\nrights under Section 3.4 a and b, the author may retain their moral rights\nover the copyrighted aspects of the Work.\n\nPlease note that some jurisdictions do not allow for the waiver of moral rights,\nand so moral rights may still subsist over the work in some jurisdictions.\n\n   4.0 Relationship to other rights\n\n4.1 No other contractual conditions. The Rightsholder makes this Work available\nto You without any other contractual obligations, either express or implied.\nAny Community Norms statement associated with the Work is not a contract and\ndoes not form part of this Document.\n\n4.2 Relationship to patents. This Document does not grant You a licence for\nany patents that the Rightsholder may own. Users of this Database are cautioned\nthat they may have to clear other rights or consult other licences.\n\n4.3 Relationship to trade marks. This Document does not grant You a licence\nfor any trade marks that the Rightsholder may own or that the Rightsholder\nmay use to cover the Work. Users of this Database are cautioned that they\nmay have to clear other rights or consult other licences.\n\nPart III: General provisions\n\n   5.0 Warranties, disclaimer, and limitation of liability\n\n5.1 The Work is provided by the Rightsholder \"as is\" and without any warranty\nof any kind, either express or implied, whether of title, of accuracy or completeness,\nof the presence of absence of errors, of fitness for purpose, or otherwise.\nSome jurisdictions do not allow the exclusion of implied warranties, so this\nexclusion may not apply to You.\n\n5.2 Subject to any liability that may not be excluded or limited by law, the\nRightsholder is not liable for, and expressly excludes, all liability for\nloss or damage however and whenever caused to anyone by any use under this\nDocument, whether by You or by anyone else, and whether caused by any fault\non the part of the Rightsholder or not. This exclusion of liability includes,\nbut is not limited to, any special, incidental, consequential, punitive, or\nexemplary damages. This exclusion applies even if the Rightsholder has been\nadvised of the possibility of such damages.\n\n5.3 If liability may not be excluded by law, it is limited to actual and direct\nfinancial loss to the extent it is caused by proved negligence on the part\nof the Rightsholder.\n\n   6.0 General\n\n6.1 If any provision of this Document is held to be invalid or unenforceable,\nthat must not affect the cvalidity or enforceability of the remainder of the\nterms of this Document.\n\n6.2 This Document is the entire agreement between the parties with respect\nto the Work covered here. It replaces any earlier understandings, agreements\nor representations with respect to the Work not specified here.\n\n6.3 This Document does not affect any rights that You or anyone else may independently\nhave under any applicable law to make any use of this Work, including (for\njurisdictions where this Document is a licence) fair dealing, fair use, database\nexceptions, or any other legally recognised limitation or exception to infringement\nof copyright or other applicable laws.\n\n6.4 This Document takes effect in the relevant jurisdiction in which the Document\nterms are sought to be enforced. If the rights waived or granted under applicable\nlaw in the relevant jurisdiction includes additional rights not waived or\ngranted under this Document, these additional rights are included in this\nDocument in order to meet the intent of this Document.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(49,'CC-BY-NC-SA-3.0','Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported CREATIVE\nCOMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES.\nDISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP.\nCREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS\nMAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY\nFOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(g) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined above) for the purposes of this License.\n\nc. \"Distribute\" means to make available to the public the original and copies\nof the Work or Adaptation, as appropriate, through sale or other transfer\nof ownership.\n\nd. \"License Elements\" means the following high-level license attributes as\nselected by Licensor and indicated in the title of this License: Attribution,\nNoncommercial, ShareAlike.\n\ne. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\nf. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\ng. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\nh. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\ni. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\nj. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections;\n\nb. to create and Reproduce Adaptations provided that any such Adaptation,\nincluding any translation in any medium, takes reasonable steps to clearly\nlabel, demarcate or otherwise identify that changes were made to the original\nWork. For example, a translation could be marked \"The original work was translated\nfrom English to Spanish,\" or a modification could indicate \"The original work\nhas been modified.\";\n\nc. to Distribute and Publicly Perform the Work including as incorporated in\nCollections; and,\n\n      d. to Distribute and Publicly Perform Adaptations.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nSubject to Section 8(f), all rights not expressly granted by Licensor are\nhereby reserved, including but not limited to the rights described in Section\n4(e).\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(d), as requested. If You create an Adaptation,\nupon notice from any Licensor You must, to the extent practicable, remove\nfrom the Adaptation any credit as required by Section 4(d), as requested.\n\nb. You may Distribute or Publicly Perform an Adaptation only under: (i) the\nterms of this License; (ii) a later version of this License with the same\nLicense Elements as this License; (iii) a Creative Commons jurisdiction license\n(either this or a later license version) that contains the same License Elements\nas this License (e.g., Attribution-NonCommercial-ShareAlike 3.0 US) (\"Applicable\nLicense\"). You must include a copy of, or the URI, for Applicable License\nwith every copy of each Adaptation You Distribute or Publicly Perform. You\nmay not offer or impose any terms on the Adaptation that restrict the terms\nof the Applicable License or the ability of the recipient of the Adaptation\nto exercise the rights granted to that recipient under the terms of the Applicable\nLicense. You must keep intact all notices that refer to the Applicable License\nand to the disclaimer of warranties with every copy of the Work as included\nin the Adaptation You Distribute or Publicly Perform. When You Distribute\nor Publicly Perform the Adaptation, You may not impose any effective technological\nmeasures on the Adaptation that restrict the ability of a recipient of the\nAdaptation from You to exercise the rights granted to that recipient under\nthe terms of the Applicable License. This Section 4(b) applies to the Adaptation\nas incorporated in a Collection, but this does not require the Collection\napart from the Adaptation itself to be made subject to the terms of the Applicable\nLicense.\n\nc. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in con-nection with the exchange of copyrighted works.\n\nd. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections,\nYou must, unless a request has been made pursuant to Section 4(a), keep intact\nall copyright notices for the Work and provide, reasonable to the medium or\nmeans You are utilizing: (i) the name of the Original Author (or pseudonym,\nif applicable) if supplied, and/or if the Original Author and/or Licensor\ndesignate another party or parties (e.g., a sponsor institute, publishing\nentity, journal) for attribution (\"Attribution Parties\") in Licensor\'s copyright\nnotice, terms of service or by other reasonable means, the name of such party\nor parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably\npracticable, the URI, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and, (iv) consistent with Section 3(b), in the case\nof an Adaptation, a credit identifying the use of the Work in the Adaptation\n(e.g., \"French translation of the Work by Original Author,\" or \"Screenplay\nbased on original Work by Original Author\"). The credit required by this Section\n4(d) may be implemented in any reasonable manner; provided, however, that\nin the case of a Adaptation or Collection, at a minimum such credit will appear,\nif a credit for all contributing authors of the Adaptation or Collection appears,\nthen as part of these credits and in a manner at least as prominent as the\ncredits for the other contributing authors. For the avoidance of doubt, You\nmay only use the credit required by this Section for the purpose of attribution\nin the manner set out above and, by exercising Your rights under this License,\nYou may not implicitly or explicitly assert or imply any connection with,\nsponsorship or endorsement by the Original Author, Licensor and/or Attribution\nParties, as appropriate, of You or Your use of the Work, without the separate,\nexpress prior written permission of the Original Author, Licensor and/or Attribution\nParties.\n\n      e. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor reserves the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License if Your exercise\nof such rights is for a purpose or use which is otherwise than noncommercial\nas permitted under Section 4(c) and otherwise waives the right to collect\nroyalties through any statutory or compulsory licensing scheme; and,\n\niii. Voluntary License Schemes. The Licensor reserves the right to collect\nroyalties, whether individually or, in the event that the Licensor is a member\nof a collecting society that administers voluntary licensing schemes, via\nthat society, from any exercise by You of the rights granted under this License\nthat is for a purpose or use which is otherwise than noncommercial as permitted\nunder Section 4(c).\n\nf. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Adaptations or Collections, You\nmust not distort, mutilate, modify or take other derogatory action in relation\nto the Work which would be prejudicial to the Original Author\'s honor or reputation.\nLicensor agrees that in those jurisdictions (e.g. Japan), in which any exercise\nof the right granted in Section 3(b) of this License (the right to make Adaptations)\nwould be deemed to be a distortion, mutilation, modification or other derogatory\naction prejudicial to the Original Author\'s honor and reputation, the Licensor\nwill waive or not assert, as appropriate, this Section, to the fullest extent\npermitted by the applicable national law, to enable You to reasonably exercise\nYour right under Section 3(b) of this License (right to make Adaptations)\nbut not otherwise.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING AND TO THE FULLEST\nEXTENT PERMITTED BY APPLICABLE LAW, LICENSOR OFFERS THE WORK AS-IS AND MAKES\nNO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS,\nIMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nOF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO THIS EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Adaptations or Collections from You under this License,\nhowever, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers\nto the recipient a license to the original Work on the same terms and conditions\nas the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nf. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(50,'ANTLR-PD','ANTLR 2 License\n\nWe reserve no legal rights to the ANTLR--it is fully in the public domain.\nAn individual or company may do whatever they wish with source code distributed\nwith ANTLR or the code generated by ANTLR, including the incorporation of\nANTLR, or its output, into commerical software.\n\nWe encourage users to develop software with ANTLR. However, we do ask that\ncredit is given to us for developing ANTLR. By \"credit\", we mean that if you\nuse ANTLR or incorporate any source code into one of your programs (commercial\nproduct, research project, or otherwise) that you acknowledge this fact somewhere\nin the documentation, research report, etc... If you like ANTLR and have developed\na nice tool with the output, please mention that you developed it using ANTLR.\nIn addition, we ask that the headers remain intact in our source code. As\nlong as these guidelines are kept, we expect to continue enhancing this system\nand expect to make other tools available as they are completed.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(51,'LGPL-3.0-or-later','GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms\nand conditions of version 3 of the GNU General Public License, supplemented\nby the additional permissions listed below.\n\n   0. Additional Definitions.\n\n      \n\nAs used herein, \"this License\" refers to version 3 of the GNU Lesser General\nPublic License, and the \"GNU GPL\" refers to version 3 of the GNU General Public\nLicense.\n\n      \n\n\"The Library\" refers to a covered work governed by this License, other than\nan Application or a Combined Work as defined below.\n\n      \n\nAn \"Application\" is any work that makes use of an interface provided by the\nLibrary, but which is not otherwise based on the Library. Defining a subclass\nof a class defined by the Library is deemed a mode of using an interface provided\nby the Library.\n\n      \n\nA \"Combined Work\" is a work produced by combining or linking an Application\nwith the Library. The particular version of the Library with which the Combined\nWork was made is also called the \"Linked Version\".\n\n      \n\nThe \"Minimal Corresponding Source\" for a Combined Work means the Corresponding\nSource for the Combined Work, excluding any source code for portions of the\nCombined Work that, considered in isolation, are based on the Application,\nand not on the Linked Version.\n\n      \n\nThe \"Corresponding Application Code\" for a Combined Work means the object\ncode and/or source code for the Application, including any data and utility\nprograms needed for reproducing the Combined Work from the Application, but\nexcluding the System Libraries of the Combined Work.\n\n   1. Exception to Section 3 of the GNU GPL.\n\nYou may convey a covered work under sections 3 and 4 of this License without\nbeing bound by section 3 of the GNU GPL.\n\n   2. Conveying Modified Versions.\n\nIf you modify a copy of the Library, and, in your modifications, a facility\nrefers to a function or data to be supplied by an Application that uses the\nfacility (other than as an argument passed when the facility is invoked),\nthen you may convey a copy of the modified version:\n\na) under this License, provided that you make a good faith effort to ensure\nthat, in the event an Application does not supply the function or data, the\nfacility still operates, and performs whatever part of its purpose remains\nmeaningful, or\n\nb) under the GNU GPL, with none of the additional permissions of this License\napplicable to that copy.\n\n   3. Object Code Incorporating Material from Library Header Files.\n\nThe object code form of an Application may incorporate material from a header\nfile that is part of the Library. You may convey such object code under terms\nof your choice, provided that, if the incorporated material is not limited\nto numerical parameters, data structure layouts and accessors, or small macros,\ninline functions and templates (ten or fewer lines in length), you do both\nof the following:\n\na) Give prominent notice with each copy of the object code that the Library\nis used in it and that the Library and its use are covered by this License.\n\nb) Accompany the object code with a copy of the GNU GPL and this license document.\n\n   4. Combined Works.\n\nYou may convey a Combined Work under terms of your choice that, taken together,\neffectively do not restrict modification of the portions of the Library contained\nin the Combined Work and reverse engineering for debugging such modifications,\nif you also do each of the following:\n\na) Give prominent notice with each copy of the Combined Work that the Library\nis used in it and that the Library and its use are covered by this License.\n\nb) Accompany the Combined Work with a copy of the GNU GPL and this license\ndocument.\n\nc) For a Combined Work that displays copyright notices during execution, include\nthe copyright notice for the Library among these notices, as well as a reference\ndirecting the user to the copies of the GNU GPL and this license document.\n\n      d) Do one of the following:\n\n0) Convey the Minimal Corresponding Source under the terms of this License,\nand the Corresponding Application Code in a form suitable for, and under terms\nthat permit, the user to recombine or relink the Application with a modified\nversion of the Linked Version to produce a modified Combined Work, in the\nmanner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n1) Use a suitable shared library mechanism for linking with the Library. A\nsuitable mechanism is one that (a) uses at run time a copy of the Library\nalready present on the user\'s computer system, and (b) will operate properly\nwith a modified version of the Library that is interface-compatible with the\nLinked Version.\n\ne) Provide Installation Information, but only if you would otherwise be required\nto provide such information under section 6 of the GNU GPL, and only to the\nextent that such information is necessary to install and execute a modified\nversion of the Combined Work produced by recombining or relinking the Application\nwith a modified version of the Linked Version. (If you use option 4d0, the\nInstallation Information must accompany the Minimal Corresponding Source and\nCorresponding Application Code. If you use option 4d1, you must provide the\nInstallation Information in the manner specified by section 6 of the GNU GPL\nfor conveying Corresponding Source.)\n\n   5. Combined Libraries.\n\nYou may place library facilities that are a work based on the Library side\nby side in a single library together with other library facilities that are\nnot Applications and are not covered by this License, and convey such a combined\nlibrary under terms of your choice, if you do both of the following:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities, conveyed under the\nterms of this License.\n\nb) Give prominent notice with the combined library that part of it is a work\nbased on the Library, and explaining where to find the accompanying uncombined\nform of the same work.\n\n   6. Revised Versions of the GNU Lesser General Public License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU Lesser General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library as you\nreceived it specifies that a certain numbered version of the GNU Lesser General\nPublic License \"or any later version\" applies to it, you have the option of\nfollowing the terms and conditions either of that published version or of\nany later version published by the Free Software Foundation. If the Library\nas you received it does not specify a version number of the GNU Lesser General\nPublic License, you may choose any version of the GNU Lesser General Public\nLicense ever published by the Free Software Foundation.\n\nIf the Library as you received it specifies that a proxy can decide whether\nfuture versions of the GNU Lesser General Public License shall apply, that\nproxy\'s public statement of acceptance of any version is permanent authorization\nfor you to choose that version for the Library.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(52,'ECL-1.0','The Educational Community License\n\nThis Educational Community License (the \"License\") applies to any original\nwork of authorship (the \"Original Work\") whose owner (the \"Licensor\") has\nplaced the following notice immediately following the copyright notice for\nthe Original Work:\n\nCopyright (c) <year> <copyright holders>\n\nLicensed under the Educational Community License version 1.0\n\nThis Original Work, including software, source code, documents, or other related\nitems, is being provided by the copyright holder(s) subject to the terms of\nthe Educational Community License. By obtaining, using and/or copying this\nOriginal Work, you agree that you have read, understand, and will comply with\nthe following terms and conditions of the Educational Community License:\n\nPermission to use, copy, modify, merge, publish, distribute, and sublicense\nthis Original Work and its documentation, with or without modification, for\nany purpose, and without fee or royalty to the copyright holder(s) is hereby\ngranted, provided that you include the following on ALL copies of the Original\nWork or portions thereof, including modifications or derivatives, that you\nmake:\n\nThe full text of the Educational Community License in a location viewable\nto users of the redistributed or derivative work.\n\nAny pre-existing intellectual property disclaimers, notices, or terms and\nconditions.\n\nNotice of any changes or modifications to the Original Work, including the\ndate the changes were made.\n\nAny modifications of the Original Work must be distributed in such a manner\nas to avoid any confusion with the Original Work of the copyright holders.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThe name and trademarks of copyright holder(s) may NOT be used in advertising\nor publicity pertaining to the Original or Derivative Works without specific,\nwritten prior permission. Title to copyright in the Original Work and any\nassociated documentation will at all times remain with the copyright holders.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(53,'Libpng','This copy of the libpng notices is provided for your convenience. In case\nof any discrepancy between this copy and the notices in the file png.h that\nis included in the libpng distribution, the latter shall prevail.\n\nCOPYRIGHT NOTICE, DISCLAIMER, and LICENSE:\n\nIf you modify libpng you may insert additional notices immediately following\nthis sentence.\n\nThis code is released under the libpng license.\n\nlibpng versions 1.2.6, August 15, 2004, through 1.4.5, December 9, 2010, are\nCopyright (c) 2004, 2006-2010 Glenn Randers-Pehrson, and are distributed according\nto the same disclaimer and license as libpng-1.2.5 with the following individual\nadded to the list of Contributing Authors\n\nCosmin Truta\n\nlibpng versions 1.0.7, July 1, 2000, through 1.2.5 - October 3, 2002, are\n\nCopyright (c) 2000-2002 Glenn Randers-Pehrson, and are distributed according\nto the same disclaimer and license as libpng-1.0.6 with the following individuals\nadded to the list of Contributing Authors\n\nSimon-Pierre Cadieux\n\nEric S. Raymond\n\nGilles Vollant\n\nand with the following additions to the disclaimer:\n\nThere is no warranty against interference with your enjoyment of the library\nor against infringement. There is no warranty that our efforts or the library\nwill fulfill any of your particular purposes or needs. This library is provided\nwith all faults, and the entire risk of satisfactory quality, performance,\naccuracy, and effort is with the user.\n\nlibpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are\n\nCopyright (c) 1998, 1999 Glenn Randers-Pehrson, and are distributed according\nto the same disclaimer and license as libpng-0.96, with the following individuals\nadded to the list of Contributing Authors:\n\nTom Lane\n\nGlenn Randers-Pehrson\n\nWillem van Schaik\n\nlibpng versions 0.89, June 1996, through 0.96, May 1997, are\n\nCopyright (c) 1996, 1997 Andreas Digger\n\nDistributed according to the same disclaimer and license as libpng-0.88, with\nthe following individuals added to the list of Contributing Authors:\n\nJohn Bowler\n\nKevin Bracey\n\nSam Bushell\n\nMagnus Holmgren\n\nGreg Roelofs\n\nTom Tanner\n\nlibpng versions 0.5, May 1995, through 0.88, January 1996, are\n\nCopyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.\n\nFor the purposes of this copyright and license, \"Contributing Authors\" is\ndefined as the following set of individuals:\n\nAndreas Dilger\n\nDave Martindale\n\nGuy Eric Schalnat\n\nPaul Schmidt\n\nTim Wegner\n\nThe PNG Reference Library is supplied \"AS IS\". The Contributing Authors and\nGroup 42, Inc. disclaim all warranties, expressed or implied, including, without\nlimitation, the warranties of merchantability and of fitness for any purpose.\nThe Contributing Authors and Group 42, Inc. assume no liability for direct,\nindirect, incidental, special, exemplary, or consequential damages, which\nmay result from the use of the PNG Reference Library, even if advised of the\npossibility of such damage.\n\nPermission is hereby granted to use, copy, modify, and distribute this source\ncode, or portions hereof, for any purpose, without fee, subject to the following\nrestrictions:\n\n   1. The origin of this source code must not be misrepresented.\n\n2. Altered versions must be plainly marked as such and must not be misrepresented\nas being the original source.\n\n3. This Copyright notice may not be removed or altered from any source or\naltered source distribution.\n\nThe Contributing Authors and Group 42, Inc. specifically permit, without fee,\nand encourage the use of this source code as a component to supporting the\nPNG file format in commercial products. If you use this source code in a product,\nacknowledgment is not required but would be appreciated.\n\nA \"png_get_copyright\" function is available, for convenient use in \"about\"\nboxes and the like:\n\nprintf(\"%s\",png_get_copyright(NULL));\n\nAlso, the PNG logo (in PNG format, of course) is supplied in the files \"pngbar.png\"\nand \"pngbar.jpg (88x31) and \"pngnow.png\" (98x31).\n\nLibpng is OSI Certified Open Source Software. OSI Certified Open Source is\na certification mark of the Open Source Initiative.\n\nGlenn Randers-Pehrson\n\nglennrp at users.sourceforge.net\n\nDecember 9, 2010\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(54,'GFDL-1.1-or-later','GNU Free Documentation License\n\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor,\nBoston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written\ndocument \"free\" in the sense of freedom: to assure everyone the effective\nfreedom to copy and redistribute it, with or without modifying it, either\ncommercially or noncommercially. Secondarily, this License preserves for the\nauthor and publisher a way to get credit for their work, while not being considered\nresponsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed\nby the copyright holder saying it can be distributed under the terms of this\nLicense. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(For example, if the Document is in part a textbook of mathematics, a Secondary\nSection may not explain any mathematics.) The relationship could be a matter\nof historical connection with the subject or with related matters, or of legal,\ncommercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, whose\ncontents can be viewed and edited directly and straightforwardly with generic\ntext editors or (for images composed of pixels) generic paint programs or\n(for drawings) some widely available drawing editor, and that is suitable\nfor input to text formatters or for automatic translation to a variety of\nformats suitable for input to text formatters. A copy made in an otherwise\nTransparent file format whose markup has been designed to thwart or discourage\nsubsequent modification by readers is not Transparent. A copy that is not\n\"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML designed for human modification.\nOpaque formats include PostScript, PDF, proprietary formats that can be read\nand edited only by proprietary word processors, SGML or XML for which the\nDTD and/or processing tools are not generally available, and the machine-generated\nHTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and\nthe Document\'s license notice requires Cover Texts, you must enclose the copies\nin covers that carry, clearly and legibly, all these Cover Texts: Front-Cover\nTexts on the front cover, and Back-Cover Texts on the back cover. Both covers\nmust also clearly and legibly identify you as the publisher of these copies.\nThe front cover must present the full title with all words of the title equally\nprominent and visible. You may add other material on the covers in addition.\nCopying with changes limited to the covers, as long as they preserve the title\nof the Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a publicly-accessible\ncomputer-network location containing a complete Transparent copy of the Document,\nfree of added material, which the general network-using public has access\nto download anonymously at no charge using public-standard network protocols.\nIf you use the latter option, you must take reasonably prudent steps, when\nyou begin distribution of Opaque copies in quantity, to ensure that this Transparent\ncopy will remain thus accessible at the stated location until at least one\nyear after the last time you distribute an Opaque copy (directly or through\nyour agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has less than five).\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice.\n\n      H. Include an unaltered copy of this License.\n\nI. Preserve the section entitled \"History\", and its title, and add to it an\nitem stating at least the title, year, new authors, and publisher of the Modified\nVersion as given on the Title Page. If there is no section entitled \"History\"\nin the Document, create one stating the title, year, authors, and publisher\nof the Document as given on its Title Page, then add an item describing the\nModified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the\nsection\'s title, and preserve in the section all the substance and tone of\neach of the contributor acknowledgements and/or dedications given therein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section as \"Endorsements\" or to conflict in\ntitle with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections entitled \"History\" in the\nvarious original documents, forming one section entitled \"History\"; likewise\ncombine any sections entitled \"Acknowledgements\", and any sections entitled\n\"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\ndoes not as a whole count as a Modified Version of the Document, provided\nno compilation copyright is claimed for the compilation. Such a compilation\nis called an \"aggregate\", and this License does not apply to the other self-contained\nworks thus compiled with the Document, on account of their being thus compiled,\nif they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one quarter of the entire\naggregate, the Document\'s Cover Texts may be placed on covers that surround\nonly the Document within the aggregate. Otherwise they must appear on covers\naround the whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License provided that you also include the original English version\nof this License. In case of a disagreement between the translation and the\noriginal English version of this License, the original English version will\nprevail.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided for under this License. Any other attempt to copy, modify,\nsublicense or distribute the Document is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.1 or any later version published by the Free Software Foundation;\nwith the Invariant Sections being LIST THEIR TITLES , with the Front-Cover\nTexts being LIST , and with the Back-Cover Texts being LIST . A copy of the\nlicense is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead\nof saying which ones are invariant. If you have no Front-Cover Texts, write\n\"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise\nfor Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(55,'GFDL-1.3-only','GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc.\n<http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional\nand useful document \"free\" in the sense of freedom: to assure everyone the\neffective freedom to copy and redistribute it, with or without modifying it,\neither commercially or noncommercially. Secondarily, this License preserves\nfor the author and publisher a way to get credit for their work, while not\nbeing considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains\na notice placed by the copyright holder saying it can be distributed under\nthe terms of this License. Such a notice grants a world-wide, royalty-free\nlicense, unlimited in duration, to use that work under the conditions stated\nherein. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\". You accept the license\nif you copy, modify or distribute the work in a way requiring permission under\ncopyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(Thus, if the Document is in part a textbook of mathematics, a Secondary Section\nmay not explain any mathematics.) The relationship could be a matter of historical\nconnection with the subject or with related matters, or of legal, commercial,\nphilosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License. If a section does not fit the above definition\nof Secondary then it is not allowed to be designated as Invariant. The Document\nmay contain zero Invariant Sections. If the Document does not identify any\nInvariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License. A Front-Cover Text may be at most 5 words, and a Back-Cover\nText may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, that is\nsuitable for revising the document straightforwardly with generic text editors\nor (for images composed of pixels) generic paint programs or (for drawings)\nsome widely available drawing editor, and that is suitable for input to text\nformatters or for automatic translation to a variety of formats suitable for\ninput to text formatters. A copy made in an otherwise Transparent file format\nwhose markup, or absence of markup, has been arranged to thwart or discourage\nsubsequent modification by readers is not Transparent. An image format is\nnot Transparent if used for any substantial amount of text. A copy that is\nnot \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML, PostScript or PDF designed\nfor human modification. Examples of transparent image formats include PNG,\nXCF and JPG. Opaque formats include proprietary formats that can be read and\nedited only by proprietary word processors, SGML or XML for which the DTD\nand/or processing tools are not generally available, and the machine-generated\nHTML, PostScript or PDF produced by some word processors for output purposes\nonly.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\nThe \"publisher\" means any person or entity that distributes copies of the\nDocument to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title\neither is precisely XYZ or contains XYZ in parentheses following text that\ntranslates XYZ in another language. (Here XYZ stands for a specific section\nname mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\",\nor \"History\".) To \"Preserve the Title\" of such a section when you modify the\nDocument means that it remains a section \"Entitled XYZ\" according to this\ndefinition.\n\nThe Document may include Warranty Disclaimers next to the notice which states\nthat this License applies to the Document. These Warranty Disclaimers are\nconsidered to be included by reference in this License, but only as regards\ndisclaiming warranties: any other implication that these Warranty Disclaimers\nmay have is void and has no effect on the meaning of this License.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed\ncovers) of the Document, numbering more than 100, and the Document\'s license\nnotice requires Cover Texts, you must enclose the copies in covers that carry,\nclearly and legibly, all these Cover Texts: Front-Cover Texts on the front\ncover, and Back-Cover Texts on the back cover. Both covers must also clearly\nand legibly identify you as the publisher of these copies. The front cover\nmust present the full title with all words of the title equally prominent\nand visible. You may add other material on the covers in addition. Copying\nwith changes limited to the covers, as long as they preserve the title of\nthe Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a computer-network\nlocation from which the general network-using public has access to download\nusing public-standard network protocols a complete Transparent copy of the\nDocument, free of added material. If you use the latter option, you must take\nreasonably prudent steps, when you begin distribution of Opaque copies in\nquantity, to ensure that this Transparent copy will remain thus accessible\nat the stated location until at least one year after the last time you distribute\nan Opaque copy (directly or through your agents or retailers) of that edition\nto the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has fewer than five), unless they release you from this requirement.\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice. H. Include an\nunaltered copy of this License.\n\nI. Preserve the section Entitled \"History\", Preserve its Title, and add to\nit an item stating at least the title, year, new authors, and publisher of\nthe Modified Version as given on the Title Page. If there is no section Entitled\n\"History\" in the Document, create one stating the title, year, authors, and\npublisher of the Document as given on its Title Page, then add an item describing\nthe Modified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve\nthe Title of the section, and preserve in the section all the substance and\ntone of each of the contributor acknowledgements and/or dedications given\ntherein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section Entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section to be Entitled \"Endorsements\" or to\nconflict in title with any Invariant Section.\n\n      O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice, and that you preserve all their\nWarranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections Entitled \"History\" in the\nvarious original documents, forming one section Entitled \"History\"; likewise\ncombine any sections Entitled \"Acknowledgements\", and any sections Entitled\n\"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\nis called an \"aggregate\" if the copyright resulting from the compilation is\nnot used to limit the legal rights of the compilation\'s users beyond what\nthe individual works permit. When the Document is included in an aggregate,\nthis License does not apply to the other works in the aggregate which are\nnot themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one half of the entire aggregate,\nthe Document\'s Cover Texts may be placed on covers that bracket the Document\nwithin the aggregate, or the electronic equivalent of covers if the Document\nis in electronic form. Otherwise they must appear on printed covers that bracket\nthe whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License, and all the license notices in the Document, and any Warranty\nDisclaimers, provided that you also include the original English version of\nthis License and the original versions of those notices and disclaimers. In\ncase of a disagreement between the translation and the original version of\nthis License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\",\nor \"History\", the requirement (section 4) to Preserve its Title (section 1)\nwill typically require changing the actual title.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided under this License. Any attempt otherwise to copy, modify,\nsublicense, or distribute it is void, and will automatically terminate your\nrights under this License.\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, receipt\nof a copy of some or all of the same material does not give you any rights\nto use it.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nIf the Document specifies that a proxy can decide which future versions of\nthis License can be used, that proxy\'s public statement of acceptance of a\nversion permanently authorizes you to choose that version for the Document.\n\n   11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide\nWeb server that publishes copyrightable works and also provides prominent\nfacilities for anybody to edit those works. A public wiki that anybody can\nedit is an example of such a server. A \"Massive Multiauthor Collaboration\"\n(or \"MMC\") contained in the site means any set of copyrightable works thus\npublished on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license\npublished by Creative Commons Corporation, a not-for-profit corporation with\na principal place of business in San Francisco, California, as well as future\ncopyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part,\nas part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License,\nand if all works that were first published under this License somewhere other\nthan this MMC, and subsequently incorporated in whole or in part into the\nMMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated\nprior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under\nCC-BY-SA on the same site at any time before August 1, 2009, provided the\nMMC is eligible for relicensing. ADDENDUM: How to use this License for your\ndocuments\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.3 or any later version published by the Free Software Foundation;\nwith no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.\nA copy of the license is included in the section entitled \"GNU Free Documentation\nLicense\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace\nthe \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover\nTexts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination\nof the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(56,'Unicode-DFS-2016','UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\nUnicode Data Files include all data files under the directories http://www.unicode.org/Public/,\nhttp://www.unicode.org/reports/, http://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/,\nand http://www.unicode.org/utility/trac/browser/.\n\nUnicode Data Files do not include PDF online code charts under the directory\nhttp://www.unicode.org/Public/.\n\nSoftware includes any source code published in the Unicode Standard or under\nthe directories http://www.unicode.org/Public/, http://www.unicode.org/reports/,\nhttp://www.unicode.org/cldr/data/, http://source.icu-project.org/repos/icu/,\nand http://www.unicode.org/utility/trac/browser/.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING,\nINSTALLING, COPYING OR OTHERWISE USING UNICODE INC.\'S DATA FILES (\"DATA FILES\"),\nAND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND\nBY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE,\nDO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright © 1991-2016 Unicode, Inc. All rights reserved. Distributed under\nthe Terms of Use in http://www.unicode.org/copyright.html.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof the Unicode data files and any associated documentation (the \"Data Files\")\nor Unicode software and any associated documentation (the \"Software\") to deal\nin the Data Files or Software without restriction, including without limitation\nthe rights to use, copy, modify, merge, publish, distribute, and/or sell copies\nof the Data Files or Software, and to permit persons to whom the Data Files\nor Software are furnished to do so, provided that either\n\n(a) this copyright and permission notice appear with all copies of the Data\nFiles or Software, or\n\n   (b) this copyright and permission notice appear in associated Documentation.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY\nKIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\nIN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE\nBE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,\nOR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER\nIN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT\nOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not\nbe used in advertising or otherwise to promote the sale, use or other dealings\nin these Data Files or Software without prior written authorization of the\ncopyright holder.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(57,'AFL-1.2','Academic Free License\n\nVersion 1.2 This Academic Free License applies to any original work of authorship\n(the \"Original Work\") whose owner (the \"Licensor\") has placed the following\nnotice immediately following the copyright notice for the Original Work:\n\nLicensed under the Academic Free License version 1.2\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of\nthe Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual,\nnon-sublicenseable license (1) to use, copy, modify, merge, publish, perform,\ndistribute and/or sell copies of the Original Work and derivative works thereof,\nand (2) under patent claims owned or controlled by the Licensor that are embodied\nin the Original Work as furnished by the Licensor, to make, use, sell and\noffer for sale the Original Work and derivative works thereof, subject to\nthe following conditions.\n\nAttribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\nExclusions from License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor.\n\nWarranty and Disclaimer of Warranty. Licensor warrants that the copyright\nin and to the Original Work is owned by the Licensor or that the Original\nWork is distributed by Licensor under a valid current license from the copyright\nowner. Except as expressly stated in the immediately proceeding sentence,\nthe Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT\nWARRANTY, either express or implied, including, without limitation, the warranties\nof NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\nTHE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\nOF WARRANTY constitutes an essential part of this License. No license to Original\nWork is granted hereunder except under this disclaimer.\n\nLimitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of\nthe Original Work for making modifications to it and all available documentation\ndescribing how to modify the Original Work. Licensor hereby agrees to provide\na machine-readable copy of the Source Code of the Original Work along with\neach copy of the Original Work that Licensor distributes. Licensor reserves\nthe right to satisfy this obligation by placing a machine-readable copy of\nthe Source Code in an information repository reasonably calculated to permit\ninexpensive and convenient access by You for as long as Licensor continues\nto distribute the Original Work, and by publishing the address of that information\nrepository in a notice immediately following the copyright notice that applies\nto the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nif You file a lawsuit in any court alleging that any OSI Certified open source\nsoftware that is licensed under any license containing this \"Mutual Termination\nfor Patent Action\" clause infringes any patent claims that are essential to\nuse that software.\n\nRight to Use. You may use the Original Work in all ways not otherwise restricted\nor conditioned by this License or by law, and Licensor promises not to interfere\nwith or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(58,'Unicode-TOU','Unicode Terms of Use\n\nFor the general privacy policy governing access to this site, see the Unicode\nPrivacy Policy. For trademark usage, see the Unicode® Consortium Name and\nTrademark Usage Policy.\n\n   A. Unicode Copyright.\n\n      1. Copyright © 1991-2014 Unicode, Inc. All rights reserved.\n\n2. Certain documents and files on this website contain a legend indicating\nthat \"Modification is permitted.\" Any person is hereby authorized, without\nfee, to modify such documents and files to create derivative works conforming\nto the Unicode® Standard, subject to Terms and Conditions herein.\n\n3. Any person is hereby authorized, without fee, to view, use, reproduce,\nand distribute all documents and files solely for informational purposes in\nthe creation of products supporting the Unicode Standard, subject to the Terms\nand Conditions herein.\n\n4. Further specifications of rights and restrictions pertaining to the use\nof the particular set of data files known as the \"Unicode Character Database\"\ncan be found in Exhibit 1.\n\n5. Each version of the Unicode Standard has further specifications of rights\nand restrictions of use. For the book editions (Unicode 5.0 and earlier),\nthese are found on the back of the title page. The online code charts carry\nspecific restrictions. All other files, including online documentation of\nthe core specification for Unicode 6.0 and later, are covered under these\ngeneral Terms of Use.\n\n6. No license is granted to \"mirror\" the Unicode website where a fee is charged\nfor access to the \"mirror\" site.\n\n7. Modification is not permitted with respect to this document. All copies\nof this document must be verbatim.\n\nB. Restricted Rights Legend. Any technical data or software which is licensed\nto the United States of America, its agencies and/or instrumentalities under\nthis Agreement is commercial technical data or commercial computer software\ndeveloped exclusively at private expense as defined in FAR 2.101, or DFARS\n252.227-7014 (June 1995), as applicable. For technical data, use, duplication,\nor disclosure by the Government is subject to restrictions as set forth in\nDFARS 202.227-7015 Technical Data, Commercial and Items (Nov 1995) and this\nAgreement. For Software, in accordance with FAR 12-212 or DFARS 227-7202,\nas applicable, use, duplication or disclosure by the Government is subject\nto the restrictions set forth in this Agreement.\n\n   C. Warranties and Disclaimers.\n\n1. This publication and/or website may include technical or typographical\nerrors or other inaccuracies . Changes are periodically added to the information\nherein; these changes will be incorporated in new editions of the publication\nand/or website. Unicode may make improvements and/or changes in the product(s)\nand/or program(s) described in this publication and/or website at any time.\n\n2. If this file has been purchased on magnetic or optical media from Unicode,\nInc. the sole and exclusive remedy for any claim will be exchange of the defective\nmedia within ninety (90) days of original purchase.\n\n3. EXCEPT AS PROVIDED IN SECTION C.2, THIS PUBLICATION AND/OR SOFTWARE IS\nPROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED, OR\nSTATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. UNICODE AND ITS LICENSORS\nASSUME NO RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS PUBLICATION AND/OR\nSOFTWARE OR OTHER DOCUMENTS WHICH ARE REFERENCED BY OR LINKED TO THIS PUBLICATION\nOR THE UNICODE WEBSITE.\n\nD. Waiver of Damages. In no event shall Unicode or its licensors be liable\nfor any special, incidental, indirect or consequential damages of any kind,\nor any damages whatsoever, whether or not Unicode was advised of the possibility\nof the damage, including, without limitation, those resulting from the following:\nloss of use, data or profits, in connection with the use, modification or\ndistribution of this information or its derivatives.\n\n   E. Trademarks & Logos.\n\n1. The Unicode Word Mark and the Unicode Logo are trademarks of Unicode, Inc.\n\"The Unicode Consortium\" and \"Unicode, Inc.\" are trade names of Unicode, Inc.\nUse of the information and materials found on this website indicates your\nacknowledgement of Unicode, Inc.\'s exclusive worldwide rights in the Unicode\nWord Mark, the Unicode Logo, and the Unicode trade names.\n\n2. The Unicode Consortium Name and Trademark Usage Policy (\"Trademark Policy\")\nare incorporated herein by reference and you agree to abide by the provisions\nof the Trademark Policy, which may be changed from time to time in the sole\ndiscretion of Unicode, Inc.\n\n3. All third party trademarks referenced herein are the property of their\nrespective owners.\n\n   F. Miscellaneous.\n\n1. Jurisdiction and Venue. This server is operated from a location in the\nState of California, United States of America. Unicode makes no representation\nthat the materials are appropriate for use in other locations. If you access\nthis server from other locations, you are responsible for compliance with\nlocal laws. This Agreement, all use of this site and any claims and damages\nresulting from use of this site are governed solely by the laws of the State\nof California without regard to any principles which would apply the laws\nof a different jurisdiction. The user agrees that any disputes regarding this\nsite shall be resolved solely in the courts located in Santa Clara County,\nCalifornia. The user agrees said courts have personal jurisdiction and agree\nto waive any right to transfer the dispute to any other forum.\n\n2. Modification by Unicode Unicode shall have the right to modify this Agreement\nat any time by posting it to this site. The user may not assign any part of\nthis Agreement without Unicode\'s prior written consent.\n\n3. Taxes. The user agrees to pay any taxes arising from access to this website\nor use of the information herein, except for those based on Unicode\'s net\nincome.\n\n4. Severability. If any provision of this Agreement is declared invalid or\nunenforceable, the remaining provisions of this Agreement shall remain in\neffect.\n\n5. Entire Agreement. This Agreement constitutes the entire agreement between\nthe parties.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(59,'gnuplot','Copyright 1986 - 1993, 1998, 2004 Thomas Williams, Colin Kelley\n\nPermission to use, copy, and distribute this software and its documentation\nfor any purpose with or without fee is hereby granted, provided that the above\ncopyright notice appear in all copies and that both that copyright notice\nand this permission notice appear in supporting documentation.\n\nPermission to modify the software is granted, but not the right to distribute\nthe complete modified source code. Modifications are to be distributed as\npatches to the released version. Permission to distribute binaries produced\nby compiling modified sources is granted, provided you\n\n1. distribute the corresponding source modifications from the released version\nin the form of a patch file along with the binaries,\n\n2. add special version identification to distinguish your version in addition\nto the base release version number,\n\n3. provide your name and address as the primary contact for the support of\nyour modified version, and\n\n   4. retain our contact information in regard to use of the base software.\n\nPermission to distribute the released version of the source code along with\ncorresponding source modifications in the form of a patch file is granted\nwith same provisions 2 through 4 for binary distributions.\n\nThis software is provided \"as is\" without express or implied warranty to the\nextent permitted by applicable law.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(60,'Wsuipa','This file was added by Clea F. Rees on 2008/11/30 with the permission of Dean\nGuenther and pointers to this file were added to all source files.\n\nUnlimited copying and redistribution of each of the files is permitted as\nlong as the file is not modified. Modifications, and redistribution of modified\nversions, are also permitted, but only if the resulting file is renamed.\n\nThe copyright holder is Washington State University. The original author of\nthe fonts is Janene Winter. The primary contact (as of 2008) is Dean Guenther.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(61,'NLPL','NO LIMIT PUBLIC LICENSE\n\nVersion 0, June 2012 Gilles LAMIRAL\n\nLa Billais\n\n35580 Baulon\n\nFrance NO LIMIT PUBLIC LICENSE\n\nTerms and conditions for copying, distribution, modification or anything else.\n\n   0. No limit to do anything with this work and this license.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(62,'OLDAP-2.0.1','The OpenLDAP Public License\n\nVersion 2.0.1, 21 December 1999\n\nCopyright 1999, The OpenLDAP Foundation, Redwood City, California, USA. All\nRights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\nFor written permission, please contact foundation@openldap.org.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation. OpenLDAP is a trademark of the OpenLDAP Foundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(63,'BSD-Protection','BSD Protection License\n\nFebruary 2002 Preamble\n\n--------\n\nThe Berkeley Software Distribution (\"BSD\") license has proven very effective\nover the years at allowing for a wide spread of work throughout both commercial\nand non-commercial products. For programmers whose primary intention is to\nimprove the general quality of available software, it is arguable that there\nis no better license than the BSD license, as it permits improvements to be\nused wherever they will help, without idealogical or metallic constraint.\n\nThis is of particular value to those who produce reference implementations\nof proposed standards: The case of TCP/IP clearly illustrates that freely\nand universally available implementations leads the rapid acceptance of standards\n-- often even being used instead of a de jure standard (eg, OSI network models).\n\nWith the rapid proliferation of software licensed under the GNU General Public\nLicense, however, the continued success of this role is called into question.\nGiven that the inclusion of a few lines of \"GPL-tainted\" work into a larger\nbody of work will result in restricted distribution -- and given that further\nwork will likely build upon the \"tainted\" portions, making them difficult\nto remove at a future date -- there are inevitable circumstances where authors\nwould, in order to protect their goal of providing for the widespread usage\nof their work, wish to guard against such \"GPL-taint\".\n\nIn addition, one can imagine that companies which operate by producing and\nselling (possibly closed-source) code would wish to protect themselves against\nthe rise of a GPL-licensed competitor. While under existing licenses this\nwould mean not releasing their code under any form of open license, if a license\nexisted under which they could incorporate any improvements back into their\nown (commercial) products then they might be far more willing to provide for\nnon-closed distribution.\n\nFor the above reasons, we put forth this \"BSD Protection License\": A license\ndesigned to retain the freedom granted by the BSD license to use licensed\nworks in a wide variety of settings, both non-commercial and commercial, while\nprotecting the work from having future contributors restrict that freedom.\n\nThe precise terms and conditions for copying, distribution, and modification\nfollow.\n\nBSD PROTECTION LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION, AND\nMODIFICATION ----------------------------------------------------------------\n\n   0. Definitions.\n\na) \"Program\", below, refers to any program or work distributed under the terms\nof this license.\n\nb) A \"work based on the Program\", below, refers to either the Program or any\nderivative work under copyright law.\n\n      c) \"Modification\", below, refers to the act of creating derivative works.\n\n      d) \"You\", below, refers to each licensee.\n\n   1. Scope.\n\nThis license governs the copying, distribution, and modification of the Program.\nOther activities are outside the scope of this license; The act of running\nthe Program is not restricted, and the output from the Program is covered\nonly if its contents constitute a work based on the Program.\n\n   2. Verbatim copies.\n\nYou may copy and distribute verbatim copies of the Program as you receive\nit, in any medium, provided that you conspicuously and appropriately publish\non each copy an appropriate copyright notice; keep intact all the notices\nthat refer to this License and to the absence of any warranty; and give any\nother recipients of the Program a copy of this License along with the Program.\n\n   3. Modification and redistribution under closed license.\n\nYou may modify your copy or copies of the Program, and distribute the resulting\nderivative works, provided that you meet the following conditions:\n\na) The copyright notice and disclaimer on the Program must be reproduced and\nincluded in the source code, documentation, and/or other materials provided\nin a manner in which such notices are normally distributed.\n\nb) The derivative work must be clearly identified as such, in order that it\nmay not be confused with the original work.\n\nc) The license under which the derivative work is distributed must expressly\nprohibit the distribution of further derivative works.\n\n   4. Modification and redistribution under open license.\n\nYou may modify your copy or copies of the Program, and distribute the resulting\nderivative works, provided that you meet the following conditions:\n\na) The copyright notice and disclaimer on the Program must be reproduced and\nincluded in the source code, documentation, and/or other materials provided\nin a manner in which such notices are normally distributed.\n\nb) You must clearly indicate the nature and date of any changes made to the\nProgram. The full details need not necessarily be included in the individual\nmodified files, provided that each modified file is clearly marked as such\nand instructions are included on where the full details of the modifications\nmay be found.\n\nc) You must cause any work that you distribute or publish, that in whole or\nin part contains or is derived from the Program or any part thereof, to be\nlicensed as a whole at no charge to all third parties under the terms of this\nLicense.\n\n   5. Implied acceptance.\n\nYou may not copy or distribute the Program or any derivative works except\nas expressly provided under this license. Consequently, any such action will\nbe taken as implied acceptance of the terms of this license.\n\n   6. NO WARRANTY.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER,\nOR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED\nABOVE, BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\nOR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT,\nEVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGES.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(64,'CC-BY-SA-2.0','Creative Commons Attribution-ShareAlike 2.0 CREATIVE COMMONS CORPORATION IS\nNOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE\nDOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES\nTHIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\ng. \"License Elements\" means the following high-level license attributes as\nselected by Licensor and indicated in the title of this License: Attribution,\nShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works.\n\n      e. For the avoidance of doubt, where the work is a musical composition:\n\ni. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work.\n\nii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive\nright to collect, whether individually or via a music rights society or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions).\n\nf. Webcasting Rights and Statutory Royalties. For the avoidance of doubt,\nwhere the Work is a sound recording, Licensor waives the exclusive right to\ncollect, whether individually or via a performance-rights society (e.g. SoundExchange),\nroyalties for the public digital performance (e.g. webcast) of the Work, subject\nto the compulsory license created by 17 USC Section 114 of the US Copyright\nAct (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may distribute, publicly display, publicly perform, or publicly digitally\nperform a Derivative Work only under the terms of this License, a later version\nof this License with the same License Elements as this License, or a Creative\nCommons iCommons license that contains the same License Elements as this License\n(e.g. Attribution-ShareAlike 2.0 Japan). You must include a copy of, or the\nUniform Resource Identifier for, this License or other license specified in\nthe previous sentence with every copy or phonorecord of each Derivative Work\nYou distribute, publicly display, publicly perform, or publicly digitally\nperform. You may not offer or impose any terms on the Derivative Works that\nalter or restrict the terms of this License or the recipients\' exercise of\nthe rights granted hereunder, and You must keep intact all notices that refer\nto this License and to the disclaimer of warranties. You may not distribute,\npublicly display, publicly perform, or publicly digitally perform the Derivative\nWork with any technological measures that control access or use of the Work\nin a manner inconsistent with the terms of this License Agreement. The above\napplies to the Derivative Work as incorporated in a Collective Work, but this\ndoes not require the Collective Work apart from the Derivative Work itself\nto be made subject to the terms of this License.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; to the extent reasonably practicable, the Uniform\nResource Identifier, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE\nWORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT\nLIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR\nPURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY,\nOR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS\nDO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\nAPPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(65,'APSL-1.2','Apple Public Source License Ver. 1.2\n\n1. General; Definitions. This License applies to any program or other work\nwhich Apple Computer, Inc. (\"Apple\") makes publicly available and which contains\na notice placed by Apple identifying such program or work as \"Original Code\"\nand stating that it is subject to the terms of this Apple Public Source License\nversion 1.2 (or subsequent version thereof) (\"License\"). As used in this License:\n\n1.1 \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor\nof rights, (i) claims of patents that are now or hereafter acquired, owned\nby or assigned to Apple and (ii) that cover subject matter contained in the\nOriginal Code, but only to the extent necessary to use, reproduce and/or distribute\nthe Original Code without infringement; and (b) in the case where You are\nthe grantor of rights, (i) claims of patents that are now or hereafter acquired,\nowned by or assigned to You and (ii) that cover subject matter in Your Modifications,\ntaken alone or in combination with Original Code.\n\n1.2 \"Contributor\" means any person or entity that creates or contributes to\nthe creation of Modifications.\n\n1.3 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than\nfor Your internal research and development (R&D) and/or Personal Use, and\nincludes without limitation, any and all internal use or distribution of Covered\nCode within Your business or organization except for R&D use and/or Personal\nUse, as well as direct or indirect sublicensing or distribution of Covered\nCode by You to any third party in any form or manner.\n\n1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.6 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of the Original Code, any previous Modifications,\nthe combination of Original Code and any previous Modifications, and/or any\nrespective portions thereof. When code is released as a series of files, a\nModification is: (a) any addition to or deletion from the contents of a file\ncontaining Covered Code; and/or (b) any new file or other representation of\ncomputer program statements that contains any part of Covered Code.\n\n1.7 \"Original Code\" means (a) the Source Code of a program or other work as\noriginally made available by Apple under this License, including the Source\nCode of any updates or upgrades to such programs or works made available by\nApple under this License, and that has been expressly identified by Apple\nas such in the header file(s) of such work; and (b) the object code compiled\nfrom such Source Code and originally made available by Apple under this License.\n\n1.8 \"Personal Use\" means use of Covered Code by an individual solely for his\nor her personal, private and non-commercial purposes. An individual\'s use\nof Covered Code in his or her capacity as an officer, employee, member, independent\ncontractor or agent of a corporation, business or organization (commercial\nor non-commercial) does not qualify as Personal Use.\n\n1.9 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.10 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions\nof this License, Apple hereby grants You, effective on the date You accept\nthis License and download the Original Code, a world-wide, royalty-free, non-exclusive\nlicense, to the extent of Apple\'s Applicable Patent Rights and copyrights\ncovering the Original Code, to do the following:\n\n2.1 You may use, reproduce, display, perform, modify and distribute Original\nCode, with or without Modifications, solely for Your internal research and\ndevelopment and/or Personal Use, provided that in each instance:\n\n(a) You must retain and reproduce in all copies of Original Code the copyright\nand other proprietary notices and disclaimers of Apple as they appear in the\nOriginal Code, and keep intact all notices in the Original Code that refer\nto this License; and\n\n(b) You must include a copy of this License with every copy of Source Code\nof Covered Code and documentation You distribute, and You may not offer or\nimpose any terms on such Source Code that alter or restrict this License or\nthe recipients\' rights hereunder, except as permitted under Section 6.\n\n2.2 You may use, reproduce, display, perform, modify and Deploy Covered Code,\nprovided that in each instance:\n\n(a) You must satisfy all the conditions of Section 2.1 with respect to the\nSource Code of the Covered Code;\n\n(b) You must duplicate, to the extent it does not already exist, the notice\nin Exhibit A in each file of the Source Code of all Your Modifications, and\ncause the modified files to carry prominent notices stating that You changed\nthe files and the date of any change;\n\n(c) You must make Source Code of all Your Deployed Modifications publicly\navailable under the terms of this License, including the license grants set\nforth in Section 3 below, for as long as you Deploy the Covered Code or twelve\n(12) months from the date of initial Deployment, whichever is longer. You\nshould preferably distribute the Source Code of Your Deployed Modifications\nelectronically (e.g. download from a web site); and\n\n(d) if You Deploy Covered Code in object code, executable form only, You must\ninclude a prominent notice, in the code itself as well as in related documentation,\nstating that Source Code of the Covered Code is available under the terms\nof this License with information on how and where to obtain such Source Code.\n\n2.3 You expressly acknowledge and agree that although Apple and each Contributor\ngrants the licenses to their respective portions of the Covered Code set forth\nherein, no assurances are provided by Apple or any Contributor that the Covered\nCode does not infringe the patent or other intellectual property rights of\nany other entity. Apple and each Contributor disclaim any liability to You\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, You hereby assume sole responsibility to secure\nany other intellectual property rights needed, if any. For example, if a third\nparty patent license is required to allow You to distribute the Covered Code,\nit is Your responsibility to acquire that license before distributing the\nCovered Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License:\n\n(a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free\nlicense, under Your Applicable Patent Rights and other intellectual property\nrights (other than patent) owned or controlled by You, to use, reproduce,\ndisplay, perform, modify, distribute and Deploy Your Modifications of the\nsame scope and extent as Apple\'s licenses under Sections 2.1 and 2.2; and\n\n(b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide,\nroyalty-free, perpetual and irrevocable license, under Your Applicable Patent\nRights and other intellectual property rights (other than patent) owned or\ncontrolled by You, to use, reproduce, display, perform, modify or have modified\n(for Apple and/or its subsidiaries), sublicense and distribute Your Modifications,\nin any form, through multiple tiers of distribution.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In each such instance, You must make sure the requirements\nof this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2,\nno other patent rights, express or implied, are granted by Apple herein. Modifications\nand/or Larger Works may require additional patent licenses from Apple which\nApple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith the scope of the license granted herein (\"Additional Terms\") to one or\nmore recipients of Covered Code. However, You may do so only on Your own behalf\nand as Your sole responsibility, and not on behalf of Apple or any Contributor.\nYou must obtain the recipient\'s agreement that any such Additional Terms are\noffered by You alone, and You hereby agree to indemnify, defend and hold Apple\nand every Contributor harmless for any liability incurred by or claims asserted\nagainst Apple or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Apple. No one other than Apple has the\nright to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Covered Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nCovered Code, or any portion thereof, is at Your sole and entire risk. THE\nCOVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND APPLE AND APPLE\'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS\n\"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY\nDISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY,\nOF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY,\nOF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND EACH\nCONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE\nCOVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR\nREQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED\nOR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL\nOR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE\nOR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered\nCode is not intended for use in the operation of nuclear facilities, aircraft\nnavigation, communication systems, or air traffic control machines in which\ncase the failure of the Covered Code could lead to death, personal injury,\nor severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT\nSHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT\nOR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR\nUSE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER\nUNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS\nLIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL\nPURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY\nOF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO\nYOU. In no event shall Apple\'s total liability to You for all damages (other\nthan as may be required by applicable law) under this License exceed the amount\nof fifty dollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks\nor trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\", \"QuickTime\",\n\"QuickTime Streaming Server\" or any other trademarks or trade names belonging\nto Apple (collectively \"Apple Marks\") or to any trademark or trade name belonging\nto any Contributor. No Apple Marks may be used to endorse or promote products\nderived from the Original Code other than as permitted by and in strict compliance\nat all times with Apple\'s third party trademark usage guidelines which are\nposted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor\nretains all rights, title and interest in and to any Modifications made by\nsuch Contributor. Apple retains all rights, title and interest in and to the\nOriginal Code and any Modifications made by or on behalf of Apple (\"Apple\nModifications\"), and such Apple Modifications will not be automatically subject\nto this License. Apple may, at its sole discretion, choose to license such\nApple Modifications under this License, or on different terms from those contained\nin this License or may choose not to license them at all.\n\n   12. Termination.\n\n12.1 Termination. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice from Apple if You fail to comply with any\nterm(s) of this License and fail to cure such breach within 30 days of becoming\naware of such breach;\n\n(b) immediately in the event of the circumstances described in Section 13.5(b);\nor\n\n(c) automatically without notice from Apple if You, at any time during the\nterm of this License, commence an action for patent infringement against Apple.\n\n12.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification, sublicensing and distribution\nof the Covered Code and to destroy all copies of the Covered Code that are\nin your possession or control. All sublicenses to the Covered Code which have\nbeen properly granted prior to termination shall survive any termination of\nthis License. Provisions which, by their nature, should remain in effect beyond\nthe termination of this License shall survive, including but not limited to\nSections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other\nfor compensation, indemnity or damages of any sort solely as a result of terminating\nthis License in accordance with its terms, and termination of this License\nwill be without prejudice to any other right or remedy of any party.\n\n   13. Miscellaneous.\n\n13.1 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer\nSoftware) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical\nData -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n13.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween or amongYou, Apple or any Contributor, and You will not represent\nto the contrary, whether expressly, by implication, appearance or otherwise.\n\n13.3 Independent Development. Nothing in this License will impair Apple\'s\nright to acquire, license, develop, have others develop for it, market and/or\ndistribute technology or products that perform the same or similar functions\nas, or otherwise compete with, Modifications, Larger Works, technology or\nproducts that You may develop, produce, market or distribute.\n\n13.4 Waiver; Construction. Failure by Apple or any Contributor to enforce\nany provision of this License will not be deemed a waiver of future enforcement\nof that or any other provision. Any law or regulation which provides that\nthe language of a contract shall be construed against the drafter will not\napply to this License.\n\n13.5 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n13.6 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Apple relating to this License shall take place in the Northern District\nof California, and You and Apple hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n13.7 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nCalifornia, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exigé que\nle présent contrat et tous les documents connexes soient rédigés en anglais.\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2001 Apple Computer, Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as\ndefined in and that are subject to the Apple Public Source License Version\n1.2 (the \'License\'). You may not use this file except in compliance with the\nLicense. Please obtain a copy of the License at http://www.apple.com/publicsource\nand read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed\non an \'AS IS\' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nAND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,\nANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET\nENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language\ngoverning rights and limitations under the License.\"\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(66,'SAX-PD','Copyright Status\n\nSAX is free!\n\nIn fact, it\'s not possible to own a license to SAX, since it\'s been placed\nin the public domain.\n\nNo Warranty\n\nBecause SAX is released to the public domain, there is no warranty for the\ndesign or for the software implementation, to the extent permitted by applicable\nlaw. Except when otherwise stated in writing the copyright holders and/or\nother parties provide SAX \"as is\" without warranty of any kind, either expressed\nor implied, including, but not limited to, the implied warranties of merchantability\nand fitness for a particular purpose. The entire risk as to the quality and\nperformance of SAX is with you. Should SAX prove defective, you assume the\ncost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will\nany copyright holder, or any other party who may modify and/or redistribute\nSAX, be liable to you for damages, including any general, special, incidental\nor consequential damages arising out of the use or inability to use SAX (including\nbut not limited to loss of data or data being rendered inaccurate or losses\nsustained by you or third parties or a failure of the SAX to operate with\nany other programs), even if such holder or other party has been advised of\nthe possibility of such damages.\n\nCopyright Disclaimers\n\nThis page includes statements to that effect by David Megginson, who would\nhave been able to claim copyright for the original work.\n\nSAX 1.0\n\nVersion 1.0 of the Simple API for XML (SAX), created collectively by the membership\nof the XML-DEV mailing list, is hereby released into the public domain.\n\nNo one owns SAX: you may use it freely in both commercial and non-commercial\napplications, bundle it with your software distribution, include it on a CD-ROM,\nlist the source code in a book, mirror the documentation at your own web site,\nor use it in any other way you see fit.\n\nDavid Megginson, Megginson Technologies Ltd.\n\n1998-05-11\n\nSAX 2.0\n\nI hereby abandon any property rights to SAX 2.0 (the Simple API for XML),\nand release all of the SAX 2.0 source code, compiled code, and documentation\ncontained in this distribution into the Public Domain. SAX comes with NO WARRANTY\nor guarantee of fitness for any purpose.\n\nDavid Megginson, Megginson Technologies Ltd.\n\n2000-05-05\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(67,'OLDAP-2.2.2','The OpenLDAP Public License\n\nVersion 2.2.2, 28 July 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements\nand notices, this list of conditions, and the following disclaimer in the\ndocumentation and/or other materials provided with the distribution.\n\n   3. Redistributions must contain a verbatim copy of this document.\n\n4. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\n\n5. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation.\n\n6. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n7. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent revision\nof the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distributed verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(68,'FLTK-exception','The FLTK library and included programs are provided under the terms of the GNU Library General Public License (LGPL) with the following exceptions:\n\nModifications to the FLTK configure script, config header file, and makefiles by themselves to support a specific platform do not constitute a modified or derivative work.\n\nThe authors do request that such modifications be contributed to the FLTK project - send all contributions to \"fltk-bugs@fltk.org\".\n\nWidgets that are subclassed from FLTK widgets do not constitute a derivative work.\n\nStatic linking of applications and widgets to the FLTK library does not constitute a derivative work and does not require the author to provide source code for the application or widget, use the shared FLTK libraries, or link their applications or widgets against a user-supplied version of FLTK.\n\nIf you link the application or widget to a modified version of FLTK, then the changes to FLTK must be provided under the terms of the LGPL in sections 1, 2, and 4.\n\nYou do not have to provide a copy of the FLTK license with programs that are linked to the FLTK library, nor do you have to identify the FLTK license in your program or documentation as required by section 6 of the LGPL.\n\nHowever, programs must still identify their use of FLTK. The following example statement can be included in user documentation to satisfy this requirement:\n\n[program/widget] is based in part on the work of the FLTK project (http://www.fltk.org).\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(69,'Borceux','Copyright 1993 Francis Borceux\n\nYou may freely use, modify, and/or distribute each of the files in this package\nwithout limitation. The package consists of the following files:\n\nREADME\n\ncompatibility/OldDiagram\n\ncompatibility/OldMaxiDiagram\n\ncompatibility/OldMicroDiagram\n\ncompatibility/OldMiniDiagram\n\ncompatibility/OldMultipleArrows\n\ndiagram/Diagram\n\ndiagram/MaxiDiagram\n\ndiagram/MicroDiagram\n\ndiagram/MiniDiagram\n\ndiagram/MultipleArrows\n\nuser-guides/Diagram_Mode_d_Emploi\n\nuser-guides/Diagram_Read_Me\n\nOf course no support is guaranteed, but the author will attempt to assist\nwith problems. Current email address:\n\nfrancis dot borceux at uclouvain dot be.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(70,'Glide','3DFX GLIDE Source Code General Public License\n\n   1. PREAMBLE\n\nThis license is for software that provides a 3D graphics application program\ninterface (API).The license is intended to offer terms similar to some standard\nGeneral Public Licenses designed to foster open standards and unrestricted\naccessibility to source code. Some of these licenses require that, as a condition\nof the license of the software, any derivative works (that is, new software\nwhich is a work containing the original program or a portion of it) must be\navailable for general use, without restriction other than for a minor transfer\nfee, and that the source code for such derivative works must likewise be made\navailable. The only restriction is that such derivative works must be subject\nto the same General Public License terms as the original work.\n\nThis 3dfx GLIDE Source Code General Public License differs from the standard\nlicenses of this type in that it does not require the entire derivative work\nto be made available under the terms of this license nor is the recipient\nrequired to make available the source code for the entire derivative work.\nRather, the license is limited to only the identifiable portion of the derivative\nwork that is derived from the licensed software. The precise terms and conditions\nfor copying, distribution and modification follow.\n\n   2. DEFINITIONS\n\n2.1 This License applies to any program (or other \"work\") which contains a\nnotice placed by the copyright holder saying it may be distributed under the\nterms of this 3dfx GLIDE Source Code General Public License.\n\n2.2 The term \"Program\" as used in this Agreement refers to 3DFX\'s GLIDE source\ncode and object code and any Derivative Work.\n\n2.3 \"Derivative Work\" means, for the purpose of the License, that portion\nof any work that contains the Program or the identifiable portion of a work\nthat is derived from the Program, either verbatim or with modifications and/or\ntranslated into another language, and that performs 3D graphics API operations.\nIt does not include any other portions of a work.\n\n2.4 \"Modifications of the Program\" means any work, which includes a Derivative\nWork, and includes the whole of such work.\n\n      2.5 \"License\" means this 3dfx GLIDE Source Code General Public License.\n\n2.6 The \"Source Code\" for a work means the preferred form of the work for\nmaking modifications to it. For an executable work, complete source code means\nall the source code for all modules it contains, any associated interface\ndefinition files, and the scripts used to control compilation and installation\nof the executable work.\n\n      2.7 \"3dfx\" means 3dfx Interactive, Inc.\n\n   3. LICENSED ACTIVITIES\n\n3.1 COPYING - You may copy and distribute verbatim copies of the Program\'s\nSource Code as you receive it, in any medium, subject to the provision of\nsection 3.3 and provided also that:\n\n(a) you conspicuously and appropriately publish on each copy an appropriate\ncopyright notice (3dfx Interactive, Inc. 1999), a notice that recipients who\nwish to copy, distribute or modify the Program can only do so subject to this\nLicense, and a disclaimer of warranty as set forth in section 5;\n\n(b) keep intact all the notices that refer to this License and to the absence\nof any warranty; and\n\n(c) do not make any use of the GLIDE trademark without the prior written permission\nof 3dfx, and\n\n(d) give all recipients of the Program a copy of this License along with the\nProgram or instructions on how to easily receive a copy of this License.\n\n3.2 MODIFICATION OF THE PROGRAM/DERIVATIVE WORKS - You may modify your copy\nor copies of the Program or any portion of it, and copy and distribute such\nmodifications subject to the provisions of section 3.3 and provided that you\nalso meet all of the following conditions:\n\n(a) you conspicuously and appropriately publish on each copy of a Derivative\nWork an appropriate copyright notice, a notice that recipients who wish to\ncopy, distribute or modify the Derivative Work can only do so subject to this\nLicense, and a disclaimer of warranty as set forth in section 5;\n\n(b) keep intact all the notices that refer to this License and to the absence\nof any warranty; and (c) give all recipients of the Derivative Work a copy\nof this License along with the Derivative Work or instructions on how to easily\nreceive a copy of this License.\n\n(d) You must cause the modified files of the Derivative Work to carry prominent\nnotices stating that you changed the files and the date of any change.\n\n(e) You must cause any Derivative Work that you distribute or publish to be\nlicensed at no charge to all third parties under the terms of this License.\n\n(f) You do not make any use of the GLIDE trademark without the prior written\npermission of 3dfx.\n\n(g) If the Derivative Work normally reads commands interactively when run,\nyou must cause it, when started running for such interactive use, to print\nor display an announcement as follows:\n\n\"COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED THIS SOFTWARE\nIS FREE AND PROVIDED \"AS IS,\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED\nOR IMPLIED. THERE IS NO RIGHT TO USE THE GLIDE TRADEMARK WITHOUT PRIOR WRITTEN\nPERMISSION OF 3DFX INTERACTIVE, INC. SEE THE 3DFX GLIDE GENERAL PUBLIC LICENSE\nFOR A FULL TEXT OF THE DISTRIBUTION AND NON-WARRANTY PROVISIONS (REQUEST COPY\nFROM INFO@3DFX.COM).\"\n\n(h) The requirements of this section 3.2 do not apply to the modified work\nas a whole but only to the Derivative Work. It is not the intent of this License\nto claim rights or contest your rights to work written entirely by you; rather,\nthe intent is to exercise the right to control the distribution of Derivative\nWorks.\n\n      3.3 DISTRIBUTION\n\n(a) All copies of the Program or Derivative Works which are distributed must\ninclude in the file headers the following language verbatim:\n\n\"THIS SOFTWARE IS SUBJECT TO COPYRIGHT PROTECTION AND IS OFFERED ONLY PURSUANT\nTO THE 3DFX GLIDE GENERAL PUBLIC LICENSE. THERE IS NO RIGHT TO USE THE GLIDE\nTRADEMARK WITHOUT PRIOR WRITTEN PERMISSION OF 3DFX INTERACTIVE, INC. A COPY\nOF THIS LICENSE MAY BE OBTAINED FROM THE DISTRIBUTOR OR BY CONTACTING 3DFX\nINTERACTIVE INC (info@3dfx.com). THIS PROGRAM. IS PROVIDED \"AS IS\" WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED. SEE THE 3DFX GLIDE GENERAL\nPUBLIC LICENSE FOR A FULL TEXT OF THE NON-WARRANTY PROVISIONS.\n\nUSE, DUPLICATION OR DISCLOSURE BY THE GOVERNMENT IS SUBJECT TO RESTRICTIONS\nAS SET FORTH IN SUBDIVISION (C)(1)(II) OF THE RIGHTS IN TECHNICAL DATA AND\nCOMPUTER SOFTWARE CLAUSE AT DFARS 252.227-7013, AND/OR IN SIMILAR OR SUCCESSOR\nCLAUSES IN THE FAR, DOD OR NASA FAR SUPPLEMENT. UNPUBLISHED RIGHTS RESERVED\nUNDER THE COPYRIGHT LAWS OF THE UNITED STATES.\n\n         COPYRIGHT 3DFX INTERACTIVE, INC. 1999, ALL RIGHTS RESERVED\"\n\n(b) You may distribute the Program or a Derivative Work in object code or\nexecutable form under the terms of Sections 3.1 and 3.2 provided that you\nalso do one of the following:\n\n(1) Accompany it with the complete corresponding machine-readable source code,\nwhich must be distributed under the terms of Sections 3.1 and 3.2; or,\n\n(2) Accompany it with a written offer, valid for at least three years, to\ngive any third party, for a charge no more than your cost of physically performing\nsource distribution, a complete machine-readable copy of the corresponding\nsource code, to be distributed under the terms of Sections 3.1 and 3.2 on\na medium customarily used for software interchange; or,\n\n(3) Accompany it with the information you received as to the offer to distribute\ncorresponding source code. (This alternative is allowed only for noncommercial\ndistribution and only if you received the program in object code or executable\nform with such an offer, in accord with Subsection 3.3(b)(2) above.)\n\n(c) The source code distributed need not include anything that is normally\ndistributed (in either source or binary form) with the major components (compiler,\nkernel, and so on) of the operating system on which the executable runs, unless\nthat component itself accompanies the executable code.\n\n(d) If distribution of executable code or object code is made by offering\naccess to copy from a designated place, then offering equivalent access to\ncopy the source code from the same place counts as distribution of the source\ncode, even though third parties are not compelled to copy the source along\nwith the object code.\n\n(e) Each time you redistribute the Program or any Derivative Work, the recipient\nautomatically receives a license from 3dfx and successor licensors to copy,\ndistribute or modify the Program and Derivative Works subject to the terms\nand conditions of the License. You may not impose any further restrictions\non the recipients\' exercise of the rights granted herein. You are not responsible\nfor enforcing compliance by third parties to this License.\n\n(f) You may not make any use of the GLIDE trademark without the prior written\npermission of 3dfx.\n\n(g) You may not copy, modify, sublicense, or distribute the Program or any\nDerivative Works except as expressly provided under this License. Any attempt\notherwise to copy, modify, sublicense or distribute the Program or any Derivative\nWorks is void, and will automatically terminate your rights under this License.\nHowever, parties who have received copies, or rights, from you under this\nLicense will not have their licenses terminated so long as such parties remain\nin full compliance.\n\n   4. MISCELLANEOUS\n\n4.1 Acceptance of this License is voluntary. By using, modifying or distributing\nthe Program or any Derivative Work, you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Program or works based on it. Nothing else grants you permission to modify\nor distribute the Program or Derivative Works and doing so without acceptance\nof this License is in violation of the U.S. and international copyright laws.\n\n4.2 If the distribution and/or use of the Program or Derivative Works is restricted\nin certain countries either by patents or by copyrighted interfaces, the original\ncopyright holder who places the Program under this License may add an explicit\ngeographical distribution limitation excluding those countries, so that distribution\nis permitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n4.3 This License is to be construed according to the laws of the State of\nCalifornia and you consent to personal jurisdiction in the State of California\nin the event it is necessary to enforce the provisions of this License.\n\n   5. NO WARRANTIES\n\n5.1 TO THE EXTENT PERMITTED BY APPLICABLE LAW, THERE IS NO WARRANTY FOR THE\nPROGRAM. OR DERIVATIVE WORKS THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE\nTHE PROGRAM AND ANY DERIVATIVE WORKS\"AS IS\" WITHOUT WARRANTY OF ANY KIND,\nEITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM AND ANY DERIVATIVE WORK IS WITH\nYOU. SHOULD THE PROGRAM OR ANY DERIVATIVE WORK PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n5.2 IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL 3DFX INTERACTIVE, INC.,\nOR ANY OTHER COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE PROGRAM OR DERIVATIVE WORKS AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\nINCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\nOUT OF THE USE OR INABILITY TO USE THE PROGRAM OR DERIVATIVE WORKS (INCLUDING\nBUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES\nSUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM OR DERIVATIVE\nWORKS TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY\nHAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(71,'BSD-4-Clause','Copyright (c) <year> <owner> . All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgement:\n\n   This product includes software developed by the organization .\n\n4. Neither the name of the copyright holder nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY COPYRIGHT HOLDER \"AS IS\" AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL COPYRIGHT\nHOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\nOR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(72,'MulanPublicLicense-1.0','木兰公共许可证， 第1版\n\n2020年12月 http://license.coscl.org.cn/MulanPublicLicenseV1\n\n您对\"贡献\"的复制、使用、修改及分发受木兰公共许可证, 第1版（\"本许可证\"）的如下条款的约束：\n\n0. 定义\n   \"贡献\"是指由\"贡献者\"许可在\"本许可证\"下的受版权法保护的作品，包括最初\"贡献者\"许可在\"本许可证\"下的作品及后续\"贡献者\"许可在\"本许可证\"下的\"衍生作品\"。\n   \"贡献者\"是指将受版权法保护的作品许可在\"本许可证\"下的自然人或\"法人实体\"。\n   \"法人实体\"是指提交贡献的机构及其\"关联实体\"。\n   \"关联实体\"是指，对\"本许可证\"下的行为方而言，控制、受控制或与其共同受控制的机构，此处的控制是指有受控方或共同受控方至少50%直接或间接的投票权、资金或其他有价证券。\n   \"衍生作品\"是指基于\"贡献\"创作的作品，具体包括对全部或部分\"贡献\"进行修改、重写、翻译、注释、组合或与之链接（包括动态链接或静态链接）而形成的作品。仅与\"贡献\"进行进程间通信或系统调用的作品是独立作品，不属于\"衍生作品\"。\n   \"对应源代码\"是指生成、安装和(对于可执行作品)运行目标代码所需的所有源文件和与之关联的接口定义文件，以及控制这些活动的脚本，但不包括编译环境、编译工具、云服务平台（如果有）。\n   \"分发\"是指通过任何媒介向他人提供\"贡献\"或\"衍生作品\"的行为，以及利用\"贡献\"或\"衍生作品\"通过网络远程给用户提供服务的行为，例如通过利用\"贡献\"或\"衍生作品\"搭建的云服务平台提供在线服务的行为。\n\n1. 授予版权许可\n   每个\"贡献者\"根据\"本许可证\"授予您永久性的、全球性的、免费的、非独占的、不可撤销的版权许可，您可以复制、使用、修改、\"分发\"其\"贡献\"或\"衍生作品\"，不论修改与否。\n\n2. 授予专利许可\n   每个\"贡献者\"根据\"本许可证\"授予您永久性的、全球性的、免费的、非独占的、不可撤销的（根据本条规定撤销除外）专利许可，供您制造、委托制造、使用、许诺销售、销售、进口其\"贡献\"或以其他方式转移其\"贡献\"。前述专利许可仅限于\"贡献者\"现在或将来拥有或控制的其\"贡献\"中的专利权利要求，不包括仅因您或他人修改\"贡献\"而将必然会侵犯到的专利权利要求。如果您或您的\"关联实体\"直接或间接地，就\"贡献\"对任何人发起专利侵权诉讼（包括反诉或交叉诉讼）或其他专利维权行动，指控其侵犯专利权，则本许可证授予您对\"贡献\"的专利许可自您提起诉讼或发起维权行动之日终止。\n\n3. 无商标许可\n   \"本许可证\"不提供对\"贡献者\"的商品名称、商标、服务标志或产品名称的商标许可，但您为满足第4条规定的声明义务而必须使用除外。\n\n4. 分发限制\n   您可以在任何媒介中将您接收到的\"贡献\"或您的\"衍生作品\"以源程序形式或可执行形式重新\"分发\"，但必须满足下列条件：\n    （1）您必须向接收者提供\"本许可证\"的副本，并保留\"贡献\"中的版权、商标、专利及免责声明；并且，\n    （2）如果您\"分发\"您接收到的\"贡献\"，您必须使用\"本许可证\"提供该\"贡献\"的源代码副本；如果您 \"分发\"您的\"衍生作品\"，您必须：\n      （i）随\"衍生作品\"向接收者提供使用\"本许可证\"\"分发\"的您的\"衍生作品\"的\"对应源代码\"。如果您通过下载链接提供前述\"对应源代码\"，则您应将下载链接地址置于\"衍生作品\"或其随附文档中的明显位置，有效期不少于自该\"衍生作品\"\"分发\"之日起三年，并确保接收者可以获得\"对应源代码\"；或者，\n      （ii）随\"衍生作品\"向接收者提供一个书面要约，表明您愿意提供使用\"本许可证\"\"分发\"的您\"衍生作品\"的\"对应源代码\"。书面要约应放在\"衍生作品\"中的明显位置，并确保接收者根据书面要约可获取\"对应源代码\"的时间从您接到该请求之日起不得超过三个月，且有效期不少于自该\"衍生作品\"\"分发\"之日起三年。\n\n5. 违约与终止\n   如果您违反\"本许可证\"，任何\"贡献者\"有权书面通知您终止其依据\"本许可证\"授予您的许可。该\"贡献者\"授予您的许可从您接到其终止通知之日起终止。但在如下两种情形下，即使您收到\"贡献者\"的通知也并不终止您的许可：\n    （1）您在接到终止通知之前已停止所有违反行为；\n    （2）您是首次收到该\"贡献者\"根据\"本许可证\"发出的书面终止通知，您在收到该通知后30天内停止所有违反行为。\n\n        只要下游接收者遵守\"本许可证\"的相关规定，您在\"本许可证\"下的许可终止，不影响下游接收者根据\"本许可证\"享有的权利。\n\n6. 例外\n   如果您将\"贡献\"或您的\"衍生作品\"与采用GPLv3、AGPLv3、或前述许可证的后续版本（以下简称\"GPL类许可证\"）的作品结合，且根据\"GPL类许可证\"的要求您有义务将形成的结合作品以对应的\"GPL类许可证\"许可的，您可以根据对应的\"GPL类许可证\"许可结合作品，只要您在分发该结合作品的同时向接收者提供\"本许可证\"的副本，并保留\"贡献\"中的版权、商标、专利及免责声明。任何\"贡献者\"不会因您根据前述原因选择\"GPL类许可证\"许可而授予该结合作品的接收者更多权利。\n\n7. 免责声明与责任限制\n   \"贡献\"在提供时不带任何明示或默示的担保。在任何情况下，\"贡献者\"或版权所有者不对任何人因使用\"贡献\"而引发的任何直接或间接损失承担责任，不论因何种原因导致或者基于何种法律理论,即使其曾被建议有此种损失的可能性。\n\n8. 语言\n   \"本许可证\"以中英文双语表述，中英文版本具有同等法律效力。如果中英文版本存在任何冲突不一致，以中文版为准。\n\n条款结束\n\n如何将木兰公共许可证，第1版，应用到您的软件\n\n如果您希望将木兰公共许可证，第1版，应用到您的新软件，为了方便接收者查阅，建议您完成如下三步：\n\n1， 请您补充如下声明中的空白，包括软件名、软件的首次发表年份以及您作为版权人的名字；\n\n2， 请您在软件包的一级目录下创建以“LICENSE”为名的文件，将整个许可证文本放入该文件中；\n\n3， 请将如下声明文本放入每个源文件的头部注释中。\n\n    Copyright (c) [Year] [name of copyright holder]\n    [Software Name] is licensed under Mulan Public License v1.\n    You can use this software according to the terms and conditions of the Mulan Public License v1.\n    You may obtain a copy of Mulan Public License v1 at:\n             http://license.coscl.org.cn/MulanPublicLicenseV1\n    THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\n    EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\n    MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n    See the Mulan Public License v1 for more details.\n\n\n\n\n\nYour reproduction, use, modification and Distribution of the Contribution shall be subject to Mulan Public License, Version 1 (this License) with following terms and conditions:\n\n0. Definitions\n\n   Contribution means the copyrightable work licensed by a particular Contributor under this License, including the work licensed by the initial Contributor under this License and its Derivative Work licensed by any subsequent Contributor under this License.\n\n   Contributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\n   Legal Entity means the entity making a Contribution and all its Affiliates.\n\n   Affiliates means entities that control, are controlled by, or are under common control with the acting entity under this License, ‘control’ means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\n   Derivative Work means works created based on Contribution, specifically including works formed by modifying, rewriting, translating, annotating, combining or linking to all or part of Contribution (including dynamic linking or static linking). Works which only communicate with Contribution through inter-process communication or system call, are independent works, rather than Derivative Work.\n\n   Corresponding Source Code means all the source code needed to generate, install, and (for an executable work) run the object code including the interface definition files associated with source files for the work, and scripts to control those activities, excluding of compilation environment and compilation tools, cloud services platform (if any).\n\n   Distribute (or Distribution) means the act of making the Contribution or Derivative Work available to others through any medium, and using the Contribution or Derivative Work to provide online services to users, such as the act of providing online services through a cloud service platform built using Contributions or Derivative Works.\n\n1. Grant of copyright license\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or Distribute its Contribution or Derivative Work, with modification or not.\n\n2. Grant of patent license\n\n   Subject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution, where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, excluding of any patent claims solely be infringed by your modification. If you or your Affiliates directly or indirectly institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that any Contribution infringes patents, then any patent license granted to you under this License for the Contribution shall terminate as of the date such litigation or activity is filed or taken.\n\n3. No Trademark License\n\n   No trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in Section 4.\n\n4. Distribution Restriction\n\n   You may Distribute the Contribution you received or your Derivative Work through any medium with or without modification, whether in source or executable forms, provided that you meet the following conditions:\n\n   1) You must provide recipients with a copy of this License and retain copyright, trademark, patent and disclaimer statements in the Contribution; and,\n\n   2) If you Distribute the Contribution you received, you must provide copies of the Contribution’s source code under this License;\n\n   If you Distribute your Derivative Work, you have to:\n\n     (i) accompanying the Derivative work, provide recipients with Corresponding Source Code of your Derivative Work under this License. If you provide the Corresponding Source Code through a download link, you should place such link address prominently in the Derivative Work or its accompanying documents, and be valid no less than three years from your Distribution of the particular Derivative Work, and ensure that the recipients can acquire the Corresponding Source Code through the link; or,\n\n     (ii) accompanying the Derivative Work, provide recipients with a written offer indicating your willingness to provide the Corresponding Source Code of the Derivative Work licensed under this License. Such written offer shall be placed prominently in the Derivative Work or its accompanying documents. Without reasonable excuse, the recipient shall be able to acquire the Corresponding Source code of the Derivative work for no more than three months from your receipt of a valid request, and be valid no less than three years from your Distribution of the particular Derivative Work.\n\n5. Breach and Termination\n\n   If you breach this License, any Contributor has the right to notify you in writing to terminate its license granted to you under this License. The license granted to you by such Contributor terminates upon your receipt of such notice of termination. Notwithstanding the foregoing, your license will not be terminated even if you receive a notice of termination from Contributor, provided that:\n\n     1) you have cured all the breaches prior to receiving such notice of termination; or,\n\n     2) it’s your first time to receive a notice of termination from such Contributor pursuant to this License, and you cured all the breaches within 30 days of receipt of such notice.\n\n     Termination of your license under this License shall not affect the downstream recipient\'s rights under this License, provided that the downstream recipient complies with this License.\n\n6. Exceptions\n\n   If you combine Contribution or your Derivative Work with a work licensed under the GPLv3, AGPLv3 or subsequent versions of those licenses (hereinafter referred to as “GPL Style License”), and according to the GPL Style License, you have an obligation to make the combined work to be licensed under the corresponding GPL Style License, you can license such combined work under the GPL Style License, provided that when you Distribute the combined work, you also provide a copy of this License to the recipients, and retain copyright, trademarks, patents, and disclaimer statements in the Contribution. No Contributor will grant additional rights to the recipients of the combined work for your license under GPL Style License.\n\n7. Disclaimer of Warranty and Limitation of liability\n\n   CONTRIBUTION ARE PROVIDED WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL ANY CONTRIBUTOR OR COPYRIGHT HOLDER BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO ANY DIRECT, OR INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING FROM YOUR USE OR INABILITY TO USE THE CONTRIBUTION, NO MATTER HOW IT’S CAUSED OR BASED ON WHICH LEGAL THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n8. Language\n\n   THIS LICENSE IS WRITTEN IN BOTH CHINESE AND ENGLISH, AND THE CHINESE VERSION AND ENGLISH VERSION SHALL HAVE THE SAME LEGAL EFFECT. IN THE CASE OF DIVERGENCE BETWEEN THE CHINESE AND ENGLISH VERSIONS, THE CHINESE VERSION SHALL PREVAIL.\n\nEnd of the Terms and Conditions\n\nHow to apply the Mulan Public License，Version 1 (Mulan PublicLicense v1), to your software\n\nTo apply the Mulan Public License，Version 1 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\nFill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\nCreate a file named “LICENSE” which contains the whole context of this License in the first directory of your software package;\nAttach the statement to the appropriate annotated syntax at the beginning of each source file.\nCopyright (c) [Year] [name of copyright holder]\n[Software Name] is licensed under Mulan Public License v1.\nYou can use this software according to the terms and conditions of the Mulan Public License v1.\nYou may obtain a copy of Mulan Public License v1 at:\n         http://license.coscl.org.cn/MulanPublicLicenseV1\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan Public License v1 for more details.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(73,'FSFUL','Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.\n\nThis configure script is free software; the Free Software Foundation gives\nunlimited permission to copy, distribute and modify it.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(74,'CC-BY-NC-4.0','Creative Commons Attribution-NonCommercial 4.0 International Creative Commons\nCorporation (\"Creative Commons\") is not a law firm and does not provide legal\nservices or legal advice. Distribution of Creative Commons public licenses\ndoes not create a lawyer-client or other relationship. Creative Commons makes\nits licenses and related information available on an \"as-is\" basis. Creative\nCommons gives no warranties regarding its licenses, any material licensed\nunder their terms and conditions, or any related information. Creative Commons\ndisclaims all liability for damages resulting from their use to the fullest\nextent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\n   \n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\n   \n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described. Although not required by our licenses, you are encouraged to\nrespect those requests where reasonable. More considerations for the public\n: wiki.creativecommons.org/Considerations_for_licensees Creative Commons Attribution-NonCommercial\n4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution-NonCommercial\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\n   \n\n   Section 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Adapter\'s License means the license You apply to Your Copyright and Similar\nRights in Your contributions to Adapted Material in accordance with the terms\nand conditions of this Public License.\n\nc. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\nd. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\ne. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\nf. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\ng. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\nh. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\ni. NonCommercial means not primarily intended for or directed towards commercial\nadvantage or monetary compensation. For purposes of this Public License, the\nexchange of the Licensed Material for other material subject to Copyright\nand Similar Rights by digital file-sharing or similar means is NonCommercial\nprovided there is no payment of monetary compensation in connection with the\nexchange.\n\nj. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\nk. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nl. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\n   \n\n   Section 2 – Scope.\n\n      a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\nA. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\npurposes only; and\n\nB. produce, reproduce, and Share Adapted Material for NonCommercial purposes\nonly.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n         3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n         5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n      b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties, including when the Licensed Material is used other\nthan for NonCommercial purposes.\n\n   \n\n   Section 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n      a. Attribution.\n\n1. If You Share the Licensed Material (including in modified form), You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n               ii. a copyright notice;\n\n               iii. a notice that refers to this Public License;\n\n               iv. a notice that refers to the disclaimer of warranties;\n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\n2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n3. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\n4. If You Share Adapted Material You produce, the Adapter\'s License You apply\nmust not prevent recipients of the Adapted Material from complying with this\nPublic License.\n\n   \n\n   Section 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database for NonCommercial purposes only;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material; and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\n   \n\n   Section 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\n   \n\n   Section 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n         2. upon express reinstatement by the Licensor.\n\nFor the avoidance of doubt, this Section 6(b) does not affect any right the\nLicensor may have to seek remedies for Your violations of this Public License.\n\nc. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n      d. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\n   \n\n   Section 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\n   \n\n   Section 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(75,'MulanPSL-2.0','木兰宽松许可证， 第2版\n\n2020年1月 http://license.coscl.org.cn/MulanPSL2\n\n您对“软件”的复制、使用、修改及分发受木兰宽松许可证，第2版（“本许可证”）的如下条款的约束：\n\n0.   定义\n\n“软件” 是指由“贡献”构成的许可在“本许可证”下的程序和相关文档的集合。\n\n“贡献” 是指由任一“贡献者”许可在“本许可证”下的受版权法保护的作品。\n\n“贡献者” 是指将受版权法保护的作品许可在“本许可证”下的自然人或“法人实体”。\n\n“法人实体” 是指提交贡献的机构及其“关联实体”。\n\n“关联实体” 是指，对“本许可证”下的行为方而言，控制、受控制或与其共同受控制的机构，此处的控制是指有受控方或共同受控方至少50%直接或间接的投票权、资金或其他有价证券。\n\n1.   授予版权许可\n\n每个“贡献者”根据“本许可证”授予您永久性的、全球性的、免费的、非独占的、不可撤销的版权许可，您可以复制、使用、修改、分发其“贡献”，不论修改与否。\n\n2.   授予专利许可\n\n每个“贡献者”根据“本许可证”授予您永久性的、全球性的、免费的、非独占的、不可撤销的（根据本条规定撤销除外）专利许可，供您制造、委托制造、使用、许诺销售、销售、进口其“贡献”或以其他方式转移其“贡献”。前述专利许可仅限于“贡献者”现在或将来拥有或控制的其“贡献”本身或其“贡献”与许可“贡献”时的“软件”结合而将必然会侵犯的专利权利要求，不包括对“贡献”的修改或包含“贡献”的其他结合。如果您或您的“关联实体”直接或间接地，就“软件”或其中的“贡献”对任何人发起专利侵权诉讼（包括反诉或交叉诉讼）或其他专利维权行动，指控其侵犯专利权，则“本许可证”授予您对“软件”的专利许可自您提起诉讼或发起维权行动之日终止。\n\n3.   无商标许可\n\n“本许可证”不提供对“贡献者”的商品名称、商标、服务标志或产品名称的商标许可，但您为满足第4条规定的声明义务而必须使用除外。\n\n4.   分发限制\n\n您可以在任何媒介中将“软件”以源程序形式或可执行形式重新分发，不论修改与否，但您必须向接收者提供“本许可证”的副本，并保留“软件”中的版权、商标、专利及免责声明。\n\n5.   免责声明与责任限制\n\n“软件”及其中的“贡献”在提供时不带任何明示或默示的担保。在任何情况下，“贡献者”或版权所有者不对任何人因使用“软件”或其中的“贡献”而引发的任何直接或间接损失承担责任，不论因何种原因导致或者基于何种法律理论，即使其曾被建议有此种损失的可能性。\n\n6.   语言\n\n“本许可证”以中英文双语表述，中英文版本具有同等法律效力。如果中英文版本存在任何冲突不一致，以中文版为准。\n\n条款结束\n\n如何将木兰宽松许可证，第2版，应用到您的软件\n\n如果您希望将木兰宽松许可证，第2版，应用到您的新软件，为了方便接收者查阅，建议您完成如下三步：\n\n1， 请您补充如下声明中的空白，包括软件名、软件的首次发表年份以及您作为版权人的名字；\n\n2， 请您在软件包的一级目录下创建以“LICENSE”为名的文件，将整个许可证文本放入该文件中；\n\n3， 请将如下声明文本放入每个源文件的头部注释中。\n\nCopyright (c) [Year] [name of copyright holder]\n[Software Name] is licensed under Mulan PSL v2.\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\nYou may obtain a copy of Mulan PSL v2 at:\n         http://license.coscl.org.cn/MulanPSL2\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v2 for more details.\nMulan Permissive Software License，Version 2\nMulan Permissive Software License，Version 2 (Mulan PSL v2)\n\nJanuary 2020 http://license.coscl.org.cn/MulanPSL2\n\nYour reproduction, use, modification and distribution of the Software shall be subject to Mulan PSL v2 (this License) with the following terms and conditions:\n\n0. Definition\n\nSoftware means the program and related documents which are licensed under this License and comprise all Contribution(s).\n\nContribution means the copyrightable work licensed by a particular Contributor under this License.\n\nContributor means the Individual or Legal Entity who licenses its copyrightable work under this License.\n\nLegal Entity means the entity making a Contribution and all its Affiliates.\n\nAffiliates means entities that control, are controlled by, or are under common control with the acting entity under this License, ‘control’ means direct or indirect ownership of at least fifty percent (50%) of the voting power, capital or other securities of controlled or commonly controlled entity.\n\n1. Grant of Copyright License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable copyright license to reproduce, use, modify, or distribute its Contribution, with modification or not.\n\n2. Grant of Patent License\n\nSubject to the terms and conditions of this License, each Contributor hereby grants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable (except for revocation under this Section) patent license to make, have made, use, offer for sale, sell, import or otherwise transfer its Contribution, where such patent license is only limited to the patent claims owned or controlled by such Contributor now or in future which will be necessarily infringed by its Contribution alone, or by combination of the Contribution with the Software to which the Contribution was contributed. The patent license shall not apply to any modification of the Contribution, and any other combination which includes the Contribution. If you or your Affiliates directly or indirectly institute patent litigation (including a cross claim or counterclaim in a litigation) or other patent enforcement activities against any individual or entity by alleging that the Software or any Contribution in it infringes patents, then any patent license granted to you under this License for the Software shall terminate as of the date such litigation or activity is filed or taken.\n\n3. No Trademark License\n\nNo trademark license is granted to use the trade names, trademarks, service marks, or product names of Contributor, except as required to fulfill notice requirements in section 4.\n\n4. Distribution Restriction\n\nYou may distribute the Software in any medium with or without modification, whether in source or executable forms, provided that you provide recipients with a copy of this License and retain copyright, patent, trademark and disclaimer statements in the Software.\n\n5. Disclaimer of Warranty and Limitation of Liability\n\nTHE SOFTWARE AND CONTRIBUTION IN IT ARE PROVIDED WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED. IN NO EVENT SHALL ANY CONTRIBUTOR OR COPYRIGHT HOLDER BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING, BUT NOT LIMITED TO ANY DIRECT, OR INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING FROM YOUR USE OR INABILITY TO USE THE SOFTWARE OR THE CONTRIBUTION IN IT, NO MATTER HOW IT’S CAUSED OR BASED ON WHICH LEGAL THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n6. Language\n\nTHIS LICENSE IS WRITTEN IN BOTH CHINESE AND ENGLISH, AND THE CHINESE VERSION AND ENGLISH VERSION SHALL HAVE THE SAME LEGAL EFFECT. IN THE CASE OF DIVERGENCE BETWEEN THE CHINESE AND ENGLISH VERSIONS, THE CHINESE VERSION SHALL PREVAIL.\n\nEND OF THE TERMS AND CONDITIONS\n\nHow to Apply the Mulan Permissive Software License，Version 2 (Mulan PSL v2) to Your Software\n\nTo apply the Mulan PSL v2 to your work, for easy identification by recipients, you are suggested to complete following three steps:\n\nFill in the blanks in following statement, including insert your software name, the year of the first publication of your software, and your name identified as the copyright owner;\nCreate a file named \"LICENSE\" which contains the whole context of this License in the first directory of your software package;\nAttach the statement to the appropriate annotated syntax at the beginning of each source file.\nCopyright (c) [Year] [name of copyright holder]\n[Software Name] is licensed under Mulan PSL v2.\nYou can use this software according to the terms and conditions of the Mulan PSL v2.\nYou may obtain a copy of Mulan PSL v2 at:\n         http://license.coscl.org.cn/MulanPSL2\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\nSee the Mulan PSL v2 for more details.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(76,'Xnet','The X.Net, Inc. License\n\nCopyright (c) 2000-2001 X.Net, Inc. Lafayette, California, USA\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nThis agreement shall be governed in all respects by the laws of the State\nof California and by the laws of the United States of America.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(77,'EPL-2.0','Eclipse Public License - v 2.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC\nLICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM\nCONSTITUTES RECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT.\n\n   1. DEFINITIONS\n\n   \"Contribution\" means:\n\na) in the case of the initial Contributor, the initial content Distributed\nunder this Agreement, and\n\n      b) in the case of each subsequent Contributor:\n\n         i) changes to the Program, and\n\n         ii) additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are\nDistributed by that particular Contributor. A Contribution \"originates\" from\na Contributor if it was added to the Program by such Contributor itself or\nanyone acting on such Contributor\'s behalf. Contributions do not include changes\nor additions to the Program that are not Modified Works.\n\n   \"Contributor\" means any person or entity that Distributes the Program.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Program\" means the Contributions Distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement or\nany Secondary License (as applicable), including Contributors.\n\n\"Derivative Works\" shall mean any work, whether in Source Code or other form,\nthat is based on (or derived from) the Program and for which the editorial\nrevisions, annotations, elaborations, or other modifications represent, as\na whole, an original work of authorship.\n\n\"Modified Works\" shall mean any work in Source Code or other form that results\nfrom an addition to, deletion from, or modification of the contents of the\nProgram, including, for purposes of clarity any new file in Source Code form\nthat contains any contents of the Program. Modified Works shall not include\nworks that contain only declarations, interfaces, types, classes, structures,\nor files of the Program solely in each case in order to link to, bind by name,\nor subclass the Program or Modified Works thereof.\n\n\"Distribute\" means the acts of a) distributing or b) making available in any\nmanner that enables the transfer of a copy.\n\n\"Source Code\" means the form of a Program preferred for making modifications,\nincluding but not limited to software source code, documentation source, and\nconfiguration files.\n\n\"Secondary License\" means either the GNU General Public License, Version 2.0,\nor any later versions of that license, including any exceptions or additional\npermissions as identified by the initial Contributor.\n\n   2. GRANT OF RIGHTS\n\na) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare Derivative Works of, publicly display, publicly perform, Distribute\nand sublicense the Contribution of such Contributor, if any, and such Derivative\nWorks.\n\nb) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in Source Code or other form. This\npatent license shall apply to the combination of the Contribution and the\nProgram if, at the time the Contribution is added by the Contributor, such\naddition of the Contribution causes such combination to be covered by the\nLicensed Patents. The patent license shall not apply to any other combinations\nwhich include the Contribution. No hardware per se is licensed hereunder.\n\nc) Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, no assurances are provided by any Contributor\nthat the Program does not infringe the patent or other intellectual property\nrights of any other entity. Each Contributor disclaims any liability to Recipient\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, each Recipient hereby assumes sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow Recipient to Distribute\nthe Program, it is Recipient\'s responsibility to acquire that license before\ndistributing the Program.\n\nd) Each Contributor represents that to its knowledge it has sufficient copyright\nrights in its Contribution, if any, to grant the copyright license set forth\nin this Agreement.\n\ne) Notwithstanding the terms of any Secondary License, no Contributor makes\nadditional grants to any Recipient (other than those set forth in this Agreement)\nas a result of such Recipient\'s receipt of the Program under the terms of\na Secondary License (if permitted under the terms of Section 3).\n\n   3. REQUIREMENTS\n\n      3.1 If a Contributor Distributes the Program in any form, then:\n\na) the Program must also be made available as Source Code, in accordance with\nsection 3.2, and the Contributor must accompany the Program with a statement\nthat the Source Code for the Program is available under this Agreement, and\ninforms Recipients how to obtain it in a reasonable manner on or through a\nmedium customarily used for software exchange; and\n\nb) the Contributor may Distribute the Program under a license different than\nthis Agreement, provided that such license:\n\ni) effectively disclaims on behalf of all other Contributors all warranties\nand conditions, express and implied, including warranties or conditions of\ntitle and non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nii) effectively excludes on behalf of all other Contributors all liability\nfor damages, including direct, indirect, special, incidental and consequential\ndamages, such as lost profits;\n\niii) does not attempt to limit or alter the recipients\' rights in the Source\nCode under section 3.2; and\n\niv) requires any subsequent distribution of the Program by any party to be\nunder a license that satisfies the requirements of this section 3.\n\n      3.2 When the Program is Distributed as Source Code:\n\na) it must be made available under this Agreement, or if the Program (i) is\ncombined with other material in a separate file or files made available under\na Secondary License, and (ii) the initial Contributor attached to the Source\nCode the notice described in Exhibit A of this Agreement, then the Program\nmay be made available under the terms of such Secondary Licenses, and\n\nb) a copy of this Agreement must be included with each copy of the Program.\n\n3.3 Contributors may not remove or alter any copyright, patent, trademark,\nattribution notices, disclaimers of warranty, or limitations of liability\n(\"notices\") contained within the Program from any copy of the Program which\nthey Distribute, provided that Contributors may add their own appropriate\nnotices.\n\n   4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Contributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for other Contributors.\nTherefore, if a Contributor includes the Program in a commercial product offering,\nsuch Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify\nevery other Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Contributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nContributor in writing of such claim, and b) allow the Commercial Contributor\nto control, and cooperate with the Commercial Contributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product\noffering, Product X. That Contributor is then a Commercial Contributor. If\nthat Commercial Contributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nContributor\'s responsibility alone. Under this section, the Commercial Contributor\nwould have to defend claims against the other Contributors related to those\nperformance claims and warranties, and if a court requires any other Contributor\nto pay any damages as a result, the Commercial Contributor must pay those\ndamages.\n\n   5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED\nBY APPLICABLE LAW, THE PROGRAM IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES\nOR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR\nFITNESS FOR A PARTICULAR PURPOSE. Each Recipient is solely responsible for\ndetermining the appropriateness of using and distributing the Program and\nassumes all risks associated with its exercise of rights under this Agreement,\nincluding but not limited to the risks and costs of program errors, compliance\nwith applicable laws, damage to or loss of data, programs or equipment, and\nunavailability or interruption of operations.\n\n   6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, AND TO THE EXTENT PERMITTED\nBY APPLICABLE LAW, NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY\nFOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON\nANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING\nNEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION\nOF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against any entity (including a\ncross-claim or counterclaim in a lawsuit) alleging that the Program itself\n(excluding combinations of the Program with other software or hardware) infringes\nsuch Recipient\'s patent(s), then such Recipient\'s rights granted under Section\n2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but\nin order to avoid inconsistency the Agreement is copyrighted and may only\nbe modified in the following manner. The Agreement Steward reserves the right\nto publish new versions (including revisions) of this Agreement from time\nto time. No one other than the Agreement Steward has the right to modify this\nAgreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse\nFoundation may assign the responsibility to serve as the Agreement Steward\nto a suitable separate entity. Each new version of the Agreement will be given\na distinguishing version number. The Program (including Contributions) may\nalways be Distributed subject to the version of the Agreement under which\nit was received. In addition, after a new version of the Agreement is published,\nContributor may elect to Distribute the Program (including its Contributions)\nunder the new version.\n\nExcept as expressly stated in Sections 2(a) and 2(b) above, Recipient receives\nno rights or licenses to the intellectual property of any Contributor under\nthis Agreement, whether expressly, by implication, estoppel or otherwise.\nAll rights in the Program not expressly granted under this Agreement are reserved.\nNothing in this Agreement is intended to be enforceable by any entity that\nis not a Contributor or Recipient. No third-party beneficiary rights are created\nunder this Agreement.\n\n   Exhibit A - Form of Secondary Licenses Notice\n\n\"This Source Code may also be made available under the following Secondary\nLicenses when the conditions for such availability set forth in the Eclipse\nPublic License, v. 2.0 are satisfied: {name license(s), version(s), and exceptions\nor additional permissions here}.\"\n\nSimply including a copy of this Agreement, including this Exhibit A is not\nsufficient to license the Source Code under Secondary Licenses.\n\nIf it is not possible or desirable to put the notice in a particular file,\nthen You may include the notice in a location (such as a LICENSE file in a\nrelevant directory) where a recipient would be likely to look for such a notice.\n\n   You may add additional accurate notices of copyright ownership.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(78,'AFL-3.0','Academic Free License (\"AFL\") v. 3.0 This Academic Free License (the \"License\")\napplies to any original work of authorship (the \"Original Work\") whose owner\n(the \"Licensor\") has placed the following licensing notice adjacent to the\ncopyright notice for the Original Work:\n\nLicensed under the Academic Free License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, for the duration of the copyright, to\ndo the following:\n\na) to reproduce the Original Work in copies, either alone or as part of a\ncollective work;\n\nb) to translate, adapt, alter, transform, modify, or arrange the Original\nWork, thereby creating derivative works (\"Derivative Works\") based upon the\nOriginal Work;\n\nc) to distribute or communicate copies of the Original Work and Derivative\nWorks to the public, under any license of your choice that does not contradict\nthe terms and conditions, including Licensor\'s reserved rights and remedies,\nin this Academic Free License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, under patent claims owned or controlled\nby the Licensor that are embodied in the Original Work as furnished by the\nLicensor, for the duration of the patents, to make, use, sell, offer for sale,\nhave made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor agrees\nto provide a machine-readable copy of the Source Code of the Original Work\nalong with each copy of the Original Work that Licensor distributes. Licensor\nreserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior permission of the Licensor. Except as expressly\nstated herein, nothing in this License grants any license to Licensor\'s trademarks,\ncopyrights, patents, trade secrets or any other intellectual property. No\npatent license is granted to make, use, sell, offer for sale, have made, or\nimport embodiments of any patent claims other than the licensed claims defined\nin Section 2. No license is granted to the trademarks of Licensor even if\nsuch marks are included in the Original Work. Nothing in this License shall\nbe interpreted to prohibit Licensor from licensing under terms different from\nthis License any Original Work that Licensor otherwise would have a right\nto license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution,\nor communication of the Original Work or Derivative Works in any way such\nthat the Original Work or Derivative Works may be used by anyone other than\nYou, whether those works are distributed or communicated to those persons\nor made available as an application intended for use over a network. As an\nexpress condition for the grants of license hereunder, You must treat any\nExternal Deployment by You of the Original Work or a Derivative Work as a\ndistribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent, or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately preceding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of non-infringement, merchantability or fitness for a particular\npurpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to the Original Work is granted by this License except under this\ndisclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to anyone for any indirect, special, incidental, or consequential\ndamages of any character arising as a result of this License or the use of\nthe Original Work including, without limitation, damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses. This limitation of liability shall not apply to the extent\napplicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to\nthis License, that assent indicates your clear and irrevocable acceptance\nof this License and all of its terms and conditions. If You distribute or\ncommunicate copies of the Original Work or a Derivative Work, You must make\na reasonable effort under the circumstances to obtain the express assent of\nrecipients to the terms of this License. This License conditions your rights\nto undertake the activities listed in Section 1, including your right to create\nDerivative Works based upon the Original Work, and doing so without honoring\nthese terms and conditions is prohibited by copyright law and international\ntreaty. Nothing in this License is intended to affect copyright exceptions\nand limitations (including \"fair use\" or \"fair dealing\"). This License shall\nterminate immediately and You may no longer exercise any of the rights granted\nto You by this License upon your failure to honor the conditions in Section\n1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nagainst Licensor or any licensee alleging that the Original Work infringes\na patent. This termination provision shall not apply for an action alleging\npatent infringement by combinations of the Original Work with other software\nor hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of copyright or patent law in the appropriate jurisdiction.\nThis section shall survive the termination of this License.\n\n12) Attorneys\' Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright © 2005 Lawrence\nRosen. Permission is granted to copy, distribute, or communicate this License\nwithout modification. Nothing in this License permits You to modify this License\nas applied to the Original Work or to Derivative Works. However, You may modify\nthe text of this License and copy, distribute or communicate your modified\nversion (the \"Modified License\") and apply it to other original works of authorship\nsubject to the following conditions: (i) You may not indicate in any way that\nyour Modified License is the \"Academic Free License\" or \"AFL\" and you may\nnot use those names in the name of your Modified License; (ii) You must replace\nthe notice specified in the first paragraph above with the notice \"Licensed\nunder <insert your license name here>\" or with a notice of your own that is\nnot confusingly similar to the notice in this License; and (iii) You may not\nclaim that your original works are open source software unless your Modified\nLicense has been approved by Open Source Initiative (OSI) and You comply with\nits license review and certification process.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(79,'Spencer-99','Copyright (c) 1998, 1999 Henry Spencer. All rights reserved.\n\nDevelopment of this software was funded, in part, by Cray Research Inc., UUNET\nCommunications Services Inc., Sun Microsystems Inc., and Scriptics Corporation,\nnone of whom are responsible for the results. The author thanks all of them.\n\nRedistribution and use in source and binary forms - with or without modification\n- are permitted for any purpose, provided that redistributions in source form\nretain this entire copyright notice and indicate the origin and nature of\nany modifications.\n\nI\'d appreciate being given credit for this package in the documentation of\nsoftware which uses it, but that is not a requirement.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS\'\' AND ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL HENRY SPENCER\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(80,'GPL-1.0-only','GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor,\nBoston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the\nmercy of those companies. By contrast, our General Public License is intended\nto guarantee your freedom to share and change free software--to make sure\nthe software is free for all its users. The General Public License applies\nto the Free Software Foundation\'s software and to any other program whose\nauthors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically,\nthe General Public License is designed to make sure that you have the freedom\nto give away or sell copies of free software, that you receive source code\nor can get it if you want it, that you can change the software or use pieces\nof it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis\nor for a fee, you must give the recipients all the rights that you have. You\nmust make sure that they, too, receive or can get the source code. And you\nmust tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2)\noffer you this license which gives you legal permission to copy, distribute\nand/or modify the software.\n\nAlso, for each author\'s protection and ours, we want to make certain that\neveryone understands that there is no warranty for this free software. If\nthe software is modified by someone else and passed on, we want its recipients\nto know that what they have is not the original, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION\nAND MODIFICATION\n\n   \n\n0. This License Agreement applies to any program or other work which contains\na notice placed by the copyright holder saying it may be distributed under\nthe terms of this General Public License. The \"Program\", below, refers to\nany such program or work, and a \"work based on the Program\" means either the\nProgram or any work containing the Program or a portion of it, either verbatim\nor with modifications. Each licensee is addressed as \"you\".\n\n   \n\n1. You may copy and distribute verbatim copies of the Program\'s source code\nas you receive it, in any medium, provided that you conspicuously and appropriately\npublish on each copy an appropriate copyright notice and disclaimer of warranty;\nkeep intact all the notices that refer to this General Public License and\nto the absence of any warranty; and give any other recipients of the Program\na copy of this General Public License along with the Program. You may charge\na fee for the physical act of transferring a copy.\n\n   \n\n2. You may modify your copy or copies of the Program or any portion of it,\nand copy and distribute such modifications under the terms of Paragraph 1\nabove, provided that you also do the following:\n\na) cause the modified files to carry prominent notices stating that you changed\nthe files and the date of any change; and\n\nb) cause the whole of any work that you distribute or publish, that in whole\nor in part contains the Program or any part thereof, either with or without\nmodifications, to be licensed at no charge to all third parties under the\nterms of this General Public License (except that you may choose to grant\nwarranty protection to some or all third parties, at your option).\n\nc) If the modified program normally reads commands interactively when run,\nyou must cause it, when started running for such interactive use in the simplest\nand most usual way, to print or display an announcement including an appropriate\ncopyright notice and a notice that there is no warranty (or else, saying that\nyou provide a warranty) and that users may redistribute the program under\nthese conditions, and telling the user how to view a copy of this General\nPublic License.\n\nd) You may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\nMere aggregation of another independent work with the Program (or its derivative)\non a volume of a storage or distribution medium does not bring the other work\nunder the scope of these terms.\n\n   \n\n3. You may copy and distribute the Program (or a portion or derivative of\nit, under Paragraph 2) in object code or executable form under the terms of\nParagraphs 1 and 2 above provided that you also do one of the following:\n\na) accompany it with the complete corresponding machine-readable source code,\nwhich must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\nb) accompany it with a written offer, valid for at least three years, to give\nany third party free (except for a nominal charge for the cost of distribution)\na complete machine-readable copy of the corresponding source code, to be distributed\nunder the terms of Paragraphs 1 and 2 above; or,\n\nc) accompany it with the information you received as to where the corresponding\nsource code may be obtained. (This alternative is allowed only for noncommercial\ndistribution and only if you received the program in object code or executable\nform alone.)\n\nSource code for a work means the preferred form of the work for making modifications\nto it. For an executable file, complete source code means all the source code\nfor all modules it contains; but, as a special exception, it need not include\nsource code for modules which are standard libraries that accompany the operating\nsystem on which the executable file runs, or for standard header files or\ndefinitions files that accompany that operating system.\n\n   \n\n4. You may not copy, modify, sublicense, distribute or transfer the Program\nexcept as expressly provided under this General Public License. Any attempt\notherwise to copy, modify, sublicense, distribute or transfer the Program\nis void, and will automatically terminate your rights to use the Program under\nthis License. However, parties who have received copies, or rights to use\ncopies, from you under this General Public License will not have their licenses\nterminated so long as such parties remain in full compliance.\n\n   \n\n5. By copying, distributing or modifying the Program (or any work based on\nthe Program) you indicate your acceptance of this license to do so, and all\nits terms and conditions.\n\n   \n\n6. Each time you redistribute the Program (or any work based on the Program),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute or modify the Program subject to these terms and conditions.\nYou may not impose any further restrictions on the recipients\' exercise of\nthe rights granted herein.\n\n   \n\n7. The Free Software Foundation may publish revised and/or new versions of\nthe General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\na version number of the license which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nProgram does not specify a version number of the license, you may choose any\nversion ever published by the Free Software Foundation.\n\n   \n\n8. If you wish to incorporate parts of the Program into other free programs\nwhose distribution conditions are different, write to the author to ask for\npermission. For software which is copyrighted by the Free Software Foundation,\nwrite to the Free Software Foundation; we sometimes make exceptions for this.\nOur decision will be guided by the two goals of preserving the free status\nof all derivatives of our free software and of promoting the sharing and reuse\nof software generally.\n\n   \n\n   NO WARRANTY\n\n9. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n   \n\n10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to humanity, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively convey the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.> Copyright\n(C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program; if not, write to the Free Software Foundation, Inc., 675 Mass\nAve, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when\nit starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes\nwith ABSOLUTELY NO WARRANTY; for details type `show w\'. This is free software,\nand you are welcome to redistribute it under certain conditions; type `show\nc\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, the commands you use may be\ncalled something other than `show w\' and `show c\'; they could even be mouse-clicks\nor menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. Here\na sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision\'\n(a program to direct compilers to make passes at assemblers) written by James\nHacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(81,'Mup','Copyright (c) 1995-2012 by Arkkra Enterprises. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following DISCLAIMER.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following DISCLAIMER in the documentation\nand/or other materials provided with the distribution.\n\n3. Any additions, deletions, or changes to the original files must be clearly\nindicated in accompanying documentation. including the reasons for the changes,\nand the names of those who made the modifications.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(82,'MS-PL','Microsoft Public License (Ms-PL)\n\nThis license governs use of the accompanying software. If you use the software,\nyou accept this license. If you do not accept the license, do not use the\nsoftware.\n\n   1. Definitions\n\nThe terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\"\nhave the same meaning here as under U.S. copyright law. A \"contribution\" is\nthe original software, or any additions or changes to the software. A \"contributor\"\nis any person that distributes its contribution under this license. \"Licensed\npatents\" are a contributor\'s patent claims that read directly on its contribution.\n\n   2. Grant of Rights\n\n(A) Copyright Grant- Subject to the terms of this license, including the license\nconditions and limitations in section 3, each contributor grants you a non-exclusive,\nworldwide, royalty-free copyright license to reproduce its contribution, prepare\nderivative works of its contribution, and distribute its contribution or any\nderivative works that you create.\n\n(B) Patent Grant- Subject to the terms of this license, including the license\nconditions and limitations in section 3, each contributor grants you a non-exclusive,\nworldwide, royalty-free license under its licensed patents to make, have made,\nuse, sell, offer for sale, import, and/or otherwise dispose of its contribution\nin the software or derivative works of the contribution in the software.\n\n   3. Conditions and Limitations\n\n(A) No Trademark License- This license does not grant you rights to use any\ncontributors\' name, logo, or trademarks.\n\n(B) If you bring a patent claim against any contributor over patents that\nyou claim are infringed by the software, your patent license from such contributor\nto the software ends automatically.\n\n(C) If you distribute any portion of the software, you must retain all copyright,\npatent, trademark, and attribution notices that are present in the software.\n\n(D) If you distribute any portion of the software in source code form, you\nmay do so only under this license by including a complete copy of this license\nwith your distribution. If you distribute any portion of the software in compiled\nor object code form, you may only do so under a license that complies with\nthis license.\n\n(E) The software is licensed \"as-is.\" You bear the risk of using it. The contributors\ngive no express warranties, guarantees, or conditions. You may have additional\nconsumer rights under your local laws which this license cannot change. To\nthe extent permitted under your local laws, the contributors exclude the implied\nwarranties of merchantability, fitness for a particular purpose and non-infringement.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(83,'Autoconf-exception-2.0','As a special exception, the Free Software Foundation gives unlimited permission to copy, distribute and modify the configure scripts that are the output of Autoconf. You need not follow the terms of the GNU General Public License when using or distributing such scripts, even though portions of the text of Autoconf appear in them. The GNU General Public License (GPL) does govern all other use of the material that constitutes the Autoconf program.\n\nCertain portions of the Autoconf source text are designed to be copied (in certain cases, depending on the input) into the output of Autoconf. We call these the \"data\" portions. The rest of the Autoconf source text consists of comments plus executable code that decides which of the data portions to output in any given case. We call these comments and executable code the \"non-data\" portions. Autoconf never copies any of the non-data portions into its output.\n\nThis special exception to the GPL applies to versions of Autoconf released by the Free Software Foundation. When you make and distribute a modified version of Autoconf, you may extend this special exception to the GPL to apply to your modified version as well, *unless* your modified version has the potential to copy into its output some of the text that was the non-data portion of the version that you started with. (In other words, unless your change moves or copies text from the non-data portions to the data portions.) If your modification has such potential, you must delete any notice of this special exception to the GPL from your modified version.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(84,'VSL-1.0','Vovida Software License v. 1.0 This license applies to all software incorporated\nin the \"Vovida Open Communication Application Library\" except for those portions\nincorporating third party software specifically identified as being licensed\nunder separate license. The Vovida Software License, Version 1.0\n\nCopyright (c) 2000 Vovida Networks, Inc. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The names \"VOCAL\", \"Vovida Open Communication Application Library\", and\n\"Vovida Open Communication Application Library (VOCAL)\" must not be used to\nendorse or promote products derived from this software without prior written\npermission. For written permission, please contact vocal@vovida.org.\n\n4. Products derived from this software may not be called \"VOCAL\", nor may\n\"VOCAL\" appear in their name, without prior written permission.\n\nTHIS SOFTWARE IS PROVIDED \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT ARE DISCLAIMED.\nIN NO EVENT SHALL VOVIDA NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR\nANY DAMAGES IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\nOF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\nINTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(85,'CC-BY-ND-3.0','Creative Commons Attribution-NoDerivs 3.0 Unported CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(f) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined above) for the purposes of this License.\n\nc. \"Distribute\" means to make available to the public the original and copies\nof the Work through sale or other transfer of ownership.\n\nd. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\ne. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\nf. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\ng. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\nh. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\ni. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections; and,\n\nb. to Distribute and Publicly Perform the Work including as incorporated in\nCollections.\n\n      c. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor waives the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License; and,\n\niii. Voluntary License Schemes. The Licensor waives the right to collect royalties,\nwhether individually or, in the event that the Licensor is a member of a collecting\nsociety that administers voluntary licensing schemes, via that society, from\nany exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats,\nbut otherwise you have no rights to make Adaptations. Subject to Section 8(f),\nall rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(b), as requested.\n\nb. If You Distribute, or Publicly Perform the Work or Collections, You must,\nunless a request has been made pursuant to Section 4(a), keep intact all copyright\nnotices for the Work and provide, reasonable to the medium or means You are\nutilizing: (i) the name of the Original Author (or pseudonym, if applicable)\nif supplied, and/or if the Original Author and/or Licensor designate another\nparty or parties (e.g., a sponsor institute, publishing entity, journal) for\nattribution (\"Attribution Parties\") in Licensor\'s copyright notice, terms\nof service or by other reasonable means, the name of such party or parties;\n(ii) the title of the Work if supplied; (iii) to the extent reasonably practicable,\nthe URI, if any, that Licensor specifies to be associated with the Work, unless\nsuch URI does not refer to the copyright notice or licensing information for\nthe Work. The credit required by this Section 4(b) may be implemented in any\nreasonable manner; provided, however, that in the case of a Collection, at\na minimum such credit will appear, if a credit for all contributing authors\nof the Collection appears, then as part of these credits and in a manner at\nleast as prominent as the credits for the other contributing authors. For\nthe avoidance of doubt, You may only use the credit required by this Section\nfor the purpose of attribution in the manner set out above and, by exercising\nYour rights under this License, You may not implicitly or explicitly assert\nor imply any connection with, sponsorship or endorsement by the Original Author,\nLicensor and/or Attribution Parties, as appropriate, of You or Your use of\nthe Work, without the separate, express prior written permission of the Original\nAuthor, Licensor and/or Attribution Parties.\n\nc. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Collections, You must not distort,\nmutilate, modify or take other derogatory action in relation to the Work which\nwould be prejudicial to the Original Author\'s honor or reputation.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collections from You under this License, however, will not\nhave their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\ne. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(86,'OSET-PL-2.1','OSET Public License\n\n(c) 2015 ALL RIGHTS RESERVED VERSION 2.1 THIS LICENSE DEFINES THE RIGHTS OF\nUSE, REPRODUCTION, DISTRIBUTION, MODIFICATION, AND REDISTRIBUTION OF CERTAIN\nCOVERED SOFTWARE (AS DEFINED BELOW) ORIGINALLY RELEASED BY THE OPEN SOURCE\nELECTION TECHNOLOGY FOUNDATION (FORMERLY \"THE OSDV FOUNDATION\").\n\nANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES, OR REDISTRIBUTES THE COVERED\nSOFTWARE, OR ANY PART THEREOF, IS BY THAT ACTION, ACCEPTING IN FULL THE TERMS\nCONTAINED IN THIS AGREEMENT. IF YOU DO NOT AGREE TO SUCH TERMS, YOU ARE NOT\nPERMITTED TO USE THE COVERED SOFTWARE. This license was prepared based on\nthe Mozilla Public License (\"MPL\"), version 2.0. For annotation of the differences\nbetween this license and MPL 2.0, please see the OSET Foundation web site\nat www.OSETFoundation.org/public-license.\n\nThe text of the license begins here:\n\n   1. Definitions\n\n1.1 \"Contributor\" means each individual or legal entity that creates, contributes\nto the creation of, or owns Covered Software.\n\n1.2 \"Contributor Version\" means the combination of the Contributions of others\n(if any) used by a Contributor and that particular Contributor\'s Contribution.\n\n      1.3 \"Contribution\" means Covered Software of a particular Contributor.\n\n1.4 \"Covered Software\" means Source Code Form to which the initial Contributor\nhas attached the notice in Exhibit A, the Executable Form of such Source Code\nForm, and Modifications of such Source Code Form, in each case including portions\nthereof.\n\n      1.5 \"Incompatible With Secondary Licenses\" means:\n\na. That the initial Contributor has attached the notice described in Exhibit\nB to the Covered Software; or\n\nb. that the Covered Software was made available under the terms of version\n1.x or earlier of the License, but not also under the terms of a Secondary\nLicense.\n\n1.6 \"Executable Form\" means any form of the work other than Source Code Form.\n\n1.7 \"Larger Work\" means a work that combines Covered Software with other material,\nin a separate file (or files) that is not Covered Software.\n\n      1.8 \"License\" means this document.\n\n1.9 \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently, any and all of the\nrights conveyed by this License.\n\n      1.10 \"Modifications\" means any of the following:\n\na. any file in Source Code Form that results from an addition to, deletion\nfrom, or modification of the contents of Covered Software; or\n\nb. any new file in Source Code Form that contains any Covered Software.\n\n1.11 \"Patent Claims\" of a Contributor means any patent claim(s), including\nwithout limitation, method, process, and apparatus claims, in any patent Licensable\nby such Contributor that would be infringed, but for the grant of the License,\nby the making, using, selling, offering for sale, having made, import, or\ntransfer of either its Contributions or its Contributor Version.\n\n1.12 \"Secondary License\" means one of: the GNU General Public License, Version\n2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General\nPublic License, Version 3.0, or any later versions of those licenses.\n\n1.13 \"Source Code Form\" means the form of the work preferred for making modifications.\n\n1.14 \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" includes any entity that controls,\nis controlled by, or is under common control with You. For purposes of this\ndefinition, \"control\" means:\n\n(a) the power, direct or indirect, to cause the direction or management of\nsuch entity, whether by contract or otherwise, or\n\n(b) ownership of more than fifty percent (50%) of the outstanding shares or\nbeneficial ownership of such entity.\n\n   2. License Grants and Conditions\n\n      2.1 Grants\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense:\n\na. under intellectual property rights (other than patent or trademark) Licensable\nby such Contributor to use, reproduce, make available, modify, display, perform,\ndistribute, and otherwise exploit its Contributions, either on an unmodified\nbasis, with Modifications, or as part of a Larger Work; and\n\nb. under Patent Claims of such Contributor to make, use, sell, offer for sale,\nhave made, import, and otherwise transfer either its Contributions or its\nContributor Version.\n\n      2.2 Effective Date\n\nThe licenses granted in Section 2.1 with respect to any Contribution become\neffective for each Contribution on the date the Contributor first distributes\nsuch Contribution.\n\n      2.3 Limitations on Grant Scope\n\nThe licenses granted in this Section 2 are the only rights granted under this\nLicense. No additional rights or licenses will be implied from the distribution\nor licensing of Covered Software under this License. Notwithstanding Section\n2.1(b) above, no patent license is granted by a Contributor:\n\na. for any code that a Contributor has removed from Covered Software; or\n\nb. for infringements caused by: (i) Your and any other third party\'s modifications\nof Covered Software, or (ii) the combination of its Contributions with other\nsoftware (except as part of its Contributor Version); or\n\nc. under Patent Claims infringed by Covered Software in the absence of its\nContributions.\n\nThis License does not grant any rights in the trademarks, service marks, or\nlogos of any Contributor (except as may be necessary to comply with the notice\nrequirements in Section 3.4).\n\n      2.4 Subsequent Licenses\n\nNo Contributor makes additional grants as a result of Your choice to distribute\nthe Covered Software under a subsequent version of this License (see Section\n10.2) or under the terms of a Secondary License (if permitted under the terms\nof Section 3.3).\n\n      2.5 Representation\n\nEach Contributor represents that the Contributor believes its Contributions\nare its original creation(s) or it has sufficient rights to grant the rights\nto its Contributions conveyed by this License.\n\n      2.6 Fair Use\n\nThis License is not intended to limit any rights You have under applicable\ncopyright doctrines of fair use, fair dealing, or other equivalents.\n\n      2.7 Conditions\n\nSections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in\nSection 2.1.\n\n   3. Responsibilities\n\n      3.1 Distribution of Source Form\n\nAll distribution of Covered Software in Source Code Form, including any Modifications\nthat You create or to which You contribute, must be under the terms of this\nLicense. You must inform recipients that the Source Code Form of the Covered\nSoftware is governed by the terms of this License, and how they can obtain\na copy of this License. You must cause any of Your Modifications to carry\nprominent notices stating that You changed the files. You may not attempt\nto alter or restrict the recipients\' rights in the Source Code Form.\n\n      3.2 Distribution of Executable Form\n\n      If You distribute Covered Software in Executable Form then:\n\na. such Covered Software must also be made available in Source Code Form,\nas described in Section 3.1, and You must inform recipients of the Executable\nForm how they can obtain a copy of such Source Code Form by reasonable means\nin a timely manner, at a charge no more than the cost of distribution to the\nrecipient; and\n\nb. You may distribute such Executable Form under the terms of this License,\nor sublicense it under different terms, provided that the license for the\nExecutable Form does not attempt to limit or alter the recipients\' rights\nin the Source Code Form under this License.\n\n      3.3 Distribution of a Larger Work\n\nYou may create and distribute a Larger Work under terms of Your choice, provided\nthat You also comply with the requirements of this License for the Covered\nSoftware. If the Larger Work is a combination of Covered Software with a work\ngoverned by one or more Secondary Licenses, and the Covered Software is not\nIncompatible With Secondary Licenses, this License permits You to additionally\ndistribute such Covered Software under the terms of such Secondary License(s),\nso that the recipient of the Larger Work may, at their option, further distribute\nthe Covered Software under the terms of either this License or such Secondary\nLicense(s).\n\n      3.4 Notices\n\nYou may not remove or alter the substance of any license notices (including\ncopyright notices, patent notices, disclaimers of warranty, or limitations\nof liability) contained within the Source Code Form of the Covered Software,\nexcept that You may alter any license notices to the extent required to remedy\nknown factual inaccuracies.\n\n      3.5 Application of Additional Terms\n\n3.5.1 You may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered Software.\nHowever, You may do so only on Your own behalf, and not on behalf of any Contributor.\nYou must make it absolutely clear that any such warranty, support, indemnity,\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nevery Contributor for any liability incurred by such Contributor as a result\nof warranty, support, indemnity or liability terms You offer. You may include\nadditional disclaimers of warranty and limitations of liability specific to\nany jurisdiction.\n\n3.5.2 You may place additional conditions upon the rights granted in this\nLicense to the extent necessary due to statute, judicial order, regulation\n(including without limitation state and federal procurement regulation), national\nsecurity, or public interest. Any such additional conditions must be clearly\ndescribed in the notice provisions required under Section 3.4. Any alteration\nof the terms of this License will apply to all copies of the Covered Software\ndistributed by You or by any downstream recipients that receive the Covered\nSoftware from You.\n\n   4. Inability to Comply Due to Statute or Regulation\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Software due to statute, judicial\norder, or regulation, then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the notices required under\nSection 3.4. Except to the extent prohibited by statute or regulation, such\ndescription must be sufficiently detailed for a recipient of ordinary skill\nto be able to understand it.\n\n   5. Termination\n\n      5.1 Failure to Comply\n\nThe rights granted under this License will terminate automatically if You\nfail to comply with any of its terms. However, if You become compliant, then\nthe rights granted under this License from a particular Contributor are reinstated\n(a) provisionally, unless and until such Contributor explicitly and finally\nterminates Your grants, and (b) on an ongoing basis, if such Contributor fails\nto notify You of the non-compliance by some reasonable means prior to 60-days\nafter You have come back into compliance. Moreover, Your grants from a particular\nContributor are reinstated on an ongoing basis if such Contributor notifies\nYou of the non-compliance by some reasonable means, this is the first time\nYou have received notice of non-compliance with this License from such Contributor,\nand You become compliant prior to 30-days after Your receipt of the notice.\n\n      5.2 Patent Infringement Claims\n\nIf You initiate litigation against any entity by asserting a patent infringement\nclaim (excluding declaratory judgment actions, counter-claims, and cross-claims\n) alleging that a Contributor Version directly or indirectly infringes any\npatent, then the rights granted to You by any and all Contributors for the\nCovered Software under Section 2.1 of this License shall terminate.\n\n      5.3 Additional Compliance Terms\n\nNotwithstanding the foregoing in this Section 5, for purposes of this Section,\nif You breach Section 3.1 (Distribution of Source Form), Section 3.2 (Distribution\nof Executable Form), Section 3.3 (Distribution of a Larger Work), or Section\n3.4 (Notices), then becoming compliant as described in Section 5.1 must also\ninclude, no later than 30 days after receipt by You of notice of such violation\nby a Contributor, making the Covered Software available in Source Code Form\nas required by this License on a publicly available computer network for a\nperiod of no less than three (3) years.\n\n      5.4 Contributor Remedies\n\nIf You fail to comply with the terms of this License and do not thereafter\nbecome compliant in accordance with Section 5.1 and, if applicable, Section\n5.3, then each Contributor reserves its right, in addition to any other rights\nit may have in law or in equity, to bring an action seeking injunctive relief,\nor damages for willful copyright or patent infringement (including without\nlimitation damages for unjust enrichment, where available under law), for\nall actions in violation of rights that would otherwise have been granted\nunder the terms of this License.\n\n      5.5 End User License Agreements\n\nIn the event of termination under this Section 5, all end user license agreements\n(excluding distributors and resellers), which have been validly granted by\nYou or Your distributors under this License prior to termination shall survive\ntermination.\n\n   6. Disclaimer of Warranty\n\nCovered Software is provided under this License on an \"as is\" basis, without\nwarranty of any kind, either expressed, implied, or statutory, including,\nwithout limitation, warranties that the Covered Software is free of defects,\nmerchantable, fit for a particular purpose or non-infringing. The entire risk\nas to the quality and performance of the Covered Software is with You. Should\nany Covered Software prove defective in any respect, You (not any Contributor)\nassume the cost of any necessary servicing, repair, or correction. This disclaimer\nof warranty constitutes an essential part of this License. No use of any Covered\nSoftware is authorized under this License except under this disclaimer.\n\n   7. Limitation of Liability\n\nUnder no circumstances and under no legal theory, whether tort (including\nnegligence), contract, or otherwise, shall any Contributor, or anyone who\ndistributes Covered Software as permitted above, be liable to You for any\ndirect, indirect, special, incidental, or consequential damages of any character\nincluding, without limitation, damages for lost profits, loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses, even if such party shall have been informed of the possibility\nof such damages. This limitation of liability shall not apply to liability\nfor death or personal injury resulting from such party\'s negligence to the\nextent applicable law prohibits such limitation. Some jurisdictions do not\nallow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n   8. Litigation\n\nAny litigation relating to this License may be brought only in the courts\nof a jurisdiction where the defendant maintains its principal place of business\nand such litigation shall be governed by laws of that jurisdiction, without\nreference to its conflict-of-law provisions. Nothing in this Section shall\nprevent a party\'s ability to bring cross-claims or counter-claims.\n\n   9. Government Terms\n\n      9.1 Commercial Item\n\nThe Covered Software is a \"commercial item,\" as that term is defined in 48\nC.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" and\n\"commercial computer software documentation,\" as such terms are used in 48\nC.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R.\n227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire\nCovered Software with only those rights set forth herein.\n\n      9.2 No Sovereign Immunity\n\nThe U.S. federal government and states that use or distribute Covered Software\nhereby waive their sovereign immunity with respect to enforcement of the provisions\nof this License.\n\n      9.3 Choice of Law and Venue\n\n9.3.1 If You are a government of a state of the United States, or Your use\nof the Covered Software is pursuant to a procurement contract with such a\nstate government, this License shall be governed by the law of such state,\nexcluding its conflict-of-law provisions, and the adjudication of disputes\nrelating to this License will be subject to the exclusive jurisdiction of\nthe state and federal courts located in such state.\n\n9.3.2 If You are an agency of the United States federal government, or Your\nuse of the Covered Software is pursuant to a procurement contract with such\nan agency, this License shall be governed by federal law for all purposes,\nand the adjudication of disputes relating to this License will be subject\nto the exclusive jurisdiction of the federal courts located in Washington,\nD.C.\n\n9.3.3 You may alter the terms of this Section 9.3 for this License as described\nin Section 3.5.2.\n\n      9.4 Supremacy\n\nThis Section 9 is in lieu of, and supersedes, any other Federal Acquisition\nRegulation, Defense Federal Acquisition Regulation, or other clause or provision\nthat addresses government rights in computer software under this License.\n\n   10. Miscellaneous\n\nThis License represents the complete agreement concerning the subject matter\nhereof. If any provision of this License is held to be unenforceable, such\nprovision shall be reformed only to the extent necessary to make it enforceable.\nAny law or regulation, which provides that the language of a contract shall\nbe construed against the drafter, shall not be used to construe this License\nagainst a Contributor.\n\n   11. Versions of the License\n\n      11.1 New Versions\n\nThe Open Source Election Technology Foundation (\"OSET\") (formerly known as\nthe Open Source Digital Voting Foundation) is the steward of this License.\nExcept as provided in Section 11.3, no one other than the license steward\nhas the right to modify or publish new versions of this License. Each version\nwill be given a distinguishing version number.\n\n      11.2 Effects of New Versions\n\nYou may distribute the Covered Software under the terms of the version of\nthe License under which You originally received the Covered Software, or under\nthe terms of any subsequent version published by the license steward.\n\n      11.3 Modified Versions\n\nIf You create software not governed by this License, and You want to create\na new license for such software, You may create and use a modified version\nof this License if You rename the license and remove any references to the\nname of the license steward (except to note that such modified license differs\nfrom this License).\n\n11.4 Distributing Source Code Form That is Incompatible With Secondary Licenses\n\nIf You choose to distribute Source Code Form that is Incompatible With Secondary\nLicenses under the terms of this version of the License, the notice described\nin Exhibit B of this License must be attached. EXHIBIT A - Source Code Form\nLicense Notice\n\nThis Source Code Form is subject to the terms of the OSET Public License,\nv.2.1 (\"OPL\"). If a copy of the OPL was not distributed with this file, You\ncan obtain one at: www.OSETFoundation.org/public-license.\n\nIf it is not possible or desirable to put the Notice in a particular file,\nthen You may include the Notice in a location (e.g., such as a LICENSE file\nin a relevant directory) where a recipient would be likely to look for such\na notice. You may add additional accurate notices of copyright ownership.\nEXHIBIT B - \"Incompatible With Secondary License\" Notice\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined\nby the OSET Public License, v.2.1.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(87,'Aladdin','Aladdin Free Public License\n\n(Version 8, November 18, 1999)\n\nCopyright (C) 1994, 1995, 1997, 1998, 1999 Aladdin Enterprises,\n\nMenlo Park, California, U.S.A. All rights reserved. NOTE: This License is\nnot the same as any of the GNU Licenses published by the Free Software Foundation.\nIts terms are substantially different from those of the GNU Licenses. If you\nare familiar with the GNU Licenses, please read this license with extra care.\n\nAladdin Enterprises hereby grants to anyone the permission to apply this License\nto their own work, as long as the entire License (including the above notices\nand this paragraph) is copied with no changes, additions, or deletions except\nfor changing the first paragraph of Section 0 to include a suitable description\nof the work to which the license is being applied and of the person or entity\nthat holds the copyright in the work, and, if the License is being applied\nto a work created in a country other than the United States, replacing the\nfirst paragraph of Section 6 with an appropriate reference to the laws of\nthe appropriate country.\n\n   0. Subject Matter\n\nThis License applies to the computer program known as \"Aladdin Ghostscript.\"\nThe \"Program\", below, refers to such program. The Program is a copyrighted\nwork whose copyright is held by Aladdin Enterprises (the \"Licensor\"). Please\nnote that Aladdin Ghostscript is neither the program known as \"GNU Ghostscript\"\nnor the version of Ghostscript available for commercial licensing from Artifex\nSoftware Inc.\n\nA \"work based on the Program\" means either the Program or any derivative work\nof the Program, as defined in the United States Copyright Act of 1976, such\nas a translation or a modification.\n\nBY MODIFYING OR DISTRIBUTING THE PROGRAM (OR ANY WORK BASED ON THE PROGRAM),\nYOU INDICATE YOUR ACCEPTANCE OF THIS LICENSE TO DO SO, AND ALL ITS TERMS AND\nCONDITIONS FOR COPYING, DISTRIBUTING OR MODIFYING THE PROGRAM OR WORKS BASED\nON IT. NOTHING OTHER THAN THIS LICENSE GRANTS YOU PERMISSION TO MODIFY OR\nDISTRIBUTE THE PROGRAM OR ITS DERIVATIVE WORKS. THESE ACTIONS ARE PROHIBITED\nBY LAW. IF YOU DO NOT ACCEPT THESE TERMS AND CONDITIONS, DO NOT MODIFY OR\nDISTRIBUTE THE PROGRAM.\n\n   1. Licenses.\n\nLicensor hereby grants you the following rights, provided that you comply\nwith all of the restrictions set forth in this License and provided, further,\nthat you distribute an unmodified copy of this License with the Program:\n\n(a) You may copy and distribute literal (i.e., verbatim) copies of the Program\'s\nsource code as you receive it throughout the world, in any medium.\n\n(b) You may modify the Program, create works based on the Program and distribute\ncopies of such throughout the world, in any medium.\n\n   2. Restrictions.\n\n   This license is subject to the following restrictions:\n\n(a) Distribution of the Program or any work based on the Program by a commercial\norganization to any third party is prohibited if any payment is made in connection\nwith such distribution, whether directly (as in payment for a copy of the\nProgram) or indirectly (as in payment for some service related to the Program,\nor payment for some product or service that includes a copy of the Program\n\"without charge\"; these are only examples, and not an exhaustive enumeration\nof prohibited activities). The following methods of distribution involving\npayment shall not in and of themselves be a violation of this restriction:\n\n(i) Posting the Program on a public access information storage and retrieval\nservice for which a fee is received for retrieving information (such as an\non-line service), provided that the fee is not content-dependent (i.e., the\nfee would be the same for retrieving the same volume of information consisting\nof random data) and that access to the service and to the Program is available\nindependent of any other product or service. An example of a service that\ndoes not fall under this section is an on-line service that is operated by\na company and that is only available to customers of that company. (This is\nnot an exhaustive enumeration.)\n\n(ii) Distributing the Program on removable computer-readable media, provided\nthat the files containing the Program are reproduced entirely and verbatim\non such media, that all information on such media be redistributable for non-commercial\npurposes without charge, and that such media are distributed by themselves\n(except for accompanying documentation) independent of any other product or\nservice. Examples of such media include CD-ROM, magnetic tape, and optical\nstorage media. (This is not intended to be an exhaustive list.) An example\nof a distribution that does not fall under this section is a CD-ROM included\nin a book or magazine. (This is not an exhaustive enumeration.)\n\n(b) Activities other than copying, distribution and modification of the Program\nare not subject to this License and they are outside its scope. Functional\nuse (running) of the Program is not restricted, and any output produced through\nthe use of the Program is subject to this license only if its contents constitute\na work based on the Program (independent of having been made by running the\nProgram).\n\n(c) You must meet all of the following conditions with respect to any work\nthat you distribute or publish that in whole or in part contains or is derived\nfrom the Program or any part thereof (\"the Work\"):\n\n(i) If you have modified the Program, you must cause the Work to carry prominent\nnotices stating that you have modified the Program\'s files and the date of\nany change. In each source file that you have modified, you must include a\nprominent notice that you have modified the file, including your name, your\ne-mail address (if any), and the date and purpose of the change;\n\n(ii) You must cause the Work to be licensed as a whole and at no charge to\nall third parties under the terms of this License;\n\n(iii) If the Work normally reads commands interactively when run, you must\ncause it, at each time the Work commences operation, to print or display an\nannouncement including an appropriate copyright notice and a notice that there\nis no warranty (or else, saying that you provide a warranty). Such notice\nmust also state that users may redistribute the Work only under the conditions\nof this License and tell the user how to view the copy of this License included\nwith the Work. (Exceptions: if the Program is interactive but normally prints\nor displays such an announcement only at the request of a user, such as in\nan \"About box\", the Work is required to print or display the notice only under\nthe same circumstances; if the Program itself is interactive but does not\nnormally print such an announcement, the Work is not required to print an\nannouncement.);\n\n(iv) You must accompany the Work with the complete corresponding machine-readable\nsource code, delivered on a medium customarily used for software interchange.\nThe source code for a work means the preferred form of the work for making\nmodifications to it. For an executable work, complete source code means all\nthe source code for all modules it contains, plus any associated interface\ndefinition files, plus the scripts used to control compilation and installation\nof the executable code. If you distribute with the Work any component that\nis normally distributed (in either source or binary form) with the major components\n(compiler, kernel, and so on) of the operating system on which the executable\nruns, you must also distribute the source code of that component if you have\nit and are allowed to do so;\n\n(v) If you distribute any written or printed material at all with the Work,\nsuch material must include either a written copy of this License, or a prominent\nwritten indication that the Work is covered by this License and written instructions\nfor printing and/or displaying the copy of the License on the distribution\nmedium;\n\n(vi) You may not impose any further restrictions on the recipient\'s exercise\nof the rights granted herein.\n\nIf distribution of executable or object code is made by offering the equivalent\nability to copy from a designated place, then offering equivalent ability\nto copy the source code from the same place counts as distribution of the\nsource code, even though third parties are not compelled to copy the source\ncode along with the object code.\n\n   3. Reservation of Rights.\n\nNo rights are granted to the Program except as expressly set forth herein.\nYou may not copy, modify, sublicense, or distribute the Program except as\nexpressly provided under this License. Any attempt otherwise to copy, modify,\nsublicense or distribute the Program is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n   4. Other Restrictions.\n\nIf the distribution and/or use of the Program is restricted in certain countries\nfor any reason, Licensor may add an explicit geographical distribution limitation\nexcluding those countries, so that distribution is permitted only in or among\ncountries not thus excluded. In such case, this License incorporates the limitation\nas if written in the body of this License.\n\n   5. Limitations.\n\nTHE PROGRAM IS PROVIDED TO YOU \"AS IS,\" WITHOUT WARRANTY. THERE IS NO WARRANTY\nFOR THE PROGRAM, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nAND NONINFRINGEMENT OF THIRD PARTY RIGHTS. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE,\nYOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL\nLICENSOR, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM\nAS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,\nINCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO\nUSE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\nINACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\nPROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER\nPARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   6. General.\n\nThis License is governed by the laws of the State of California, U.S.A., excluding\nchoice of law rules.\n\nIf any part of this License is found to be in conflict with the law, that\npart shall be interpreted in its broadest meaning consistent with the law,\nand no other parts of the License shall be affected.\n\nFor United States Government users, the Program is provided with RESTRICTED\nRIGHTS. If you are a unit or agency of the United States Government or are\nacquiring the Program for any such unit or agency, the following apply:\n\nIf the unit or agency is the Department of Defense (\"DOD\"), the Program and\nits documentation are classified as \"commercial computer software\" and \"commercial\ncomputer software documentation\" respectively and, pursuant to DFAR Section\n227.7202, the Government is acquiring the Program and its documentation in\naccordance with the terms of this License. If the unit or agency is other\nthan DOD, the Program and its documentation are classified as \"commercial\ncomputer software\" and \"commercial computer software documentation\" respectively\nand, pursuant to FAR Section 12.212, the Government is acquiring the Program\nand its documentation in accordance with the terms of this License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(88,'OFL-1.1','Copyright (c) <dates>, <Copyright Holder> (<URL|email>),\n\nwith Reserved Font Name <Reserved Font Name>. This Font Software is licensed\nunder the SIL Open Font License, Version 1.1.\n\nThis license is copied below, and is also available with a FAQ at: http://scripts.sil.org/OFL\nSIL OPEN FONT LICENSE\n\nVersion 1.1 - 26 February 2007\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development\nof collaborative font projects, to support the font creation efforts of academic\nand linguistic communities, and to provide a free and open framework in which\nfonts may be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed\nfreely as long as they are not sold by themselves. The fonts, including any\nderivative works, can be bundled, embedded, redistributed and/or sold with\nany software provided that any reserved names are not used by derivative works.\nThe fonts and derivatives, however, cannot be released under any other type\nof license. The requirement for fonts to remain under this license does not\napply to any document created using the fonts or their derivatives.\n\nDEFINITIONS\n\n\"Font Software\" refers to the set of files released by the Copyright Holder(s)\nunder this license and clearly marked as such. This may include source files,\nbuild scripts and documentation.\n\n\"Reserved Font Name\" refers to any names specified as such after the copyright\nstatement(s).\n\n\"Original Version\" refers to the collection of Font Software components as\ndistributed by the Copyright Holder(s).\n\n\"Modified Version\" refers to any derivative made by adding to, deleting, or\nsubstituting — in part or in whole — any of the components of the Original\nVersion, by changing formats or by porting the Font Software to a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or\nother person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof the Font Software, to use, study, copy, merge, embed, modify, redistribute,\nand sell modified and unmodified copies of the Font Software, subject to the\nfollowing conditions:\n\n1) Neither the Font Software nor any of its individual components, in Original\nor Modified Versions, may be sold by itself.\n\n2) Original or Modified Versions of the Font Software may be bundled, redistributed\nand/or sold with any software, provided that each copy contains the above\ncopyright notice and this license. These can be included either as stand-alone\ntext files, human-readable headers or in the appropriate machine-readable\nmetadata fields within text or binary files as long as those fields can be\neasily viewed by the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s)\nunless explicit written permission is granted by the corresponding Copyright\nHolder. This restriction only applies to the primary font name as presented\nto the users.\n\n4) The name(s) of the Copyright Holder(s) or the Author(s) of the Font Software\nshall not be used to promote, endorse or advertise any Modified Version, except\nto acknowledge the contribution(s) of the Copyright Holder(s) and the Author(s)\nor with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be\ndistributed entirely under this license, and must not be distributed under\nany other license. The requirement for fonts to remain under this license\ndoes not apply to any document created using the Font Software.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,\nTRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE\nFOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL,\nINDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT,\nTORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT\nSOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(89,'OLDAP-1.1','The OpenLDAP Public License\n\nVersion 1.1, 25 August 1998\n\nCopyright 1998, The OpenLDAP Foundation. All Rights Reserved. Note: This license\nis derived from the \"Artistic License\" as distributed with the Perl Programming\nLanguage. Its terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to\nemulate subroutines and variables of the language defined by this Package\nshall not be considered part of this Package, but are the equivalent of input\nas in Paragraph 6, provided these subroutines do not change the language in\nany way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(90,'OSL-1.1','The Open Software License v. 1.1\n\nThis Open Software License (the \"License\") applies to any original work of\nauthorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing notice immediately following the copyright notice for the Original\nWork:\n\nLicensed under the Open Software License version 1.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public,\nwith the proviso that copies of Original Work or Derivative Works that You\ndistribute shall be licensed under the Open Software License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license, under patent claims\nowned or controlled by the Licensor that are embodied in the Original Work\nas furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer\nfor sale the Original Work. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license under the Licensed Claims\nto make, use, sell and offer for sale Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby\nagrees to provide a machine-readable copy of the Source Code of the Original\nWork along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor except as expressly stated herein.\nNo patent license is granted to make, use, sell or offer to sell embodiments\nof any patent claims other than the Licensed Claims defined in Section 2.\nNo right is granted to the trademarks of Licensor even if such marks are included\nin the Original Work. Nothing in this License shall be interpreted to prohibit\nLicensor from licensing under different terms from this License any Original\nWork that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution\nof the Original Work or Derivative Works in any way such that the Original\nWork or Derivative Works may be used by anyone other than You, whether the\nOriginal Work or Derivative Works are distributed to those persons or made\navailable as an application intended for use over a computer network. As an\nexpress condition for the grants of license hereunder, You agree that any\nExternal Deployment by You of a Derivative Work shall be deemed a distribution\nand shall be licensed to all under the terms of this License, as prescribed\nin section 1(c) herein.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty and Disclaimer of Warranty. Licensor warrants that the copyright\nin and to the Original Work is owned by the Licensor or that the Original\nWork is distributed by Licensor under a valid current license from the copyright\nowner. Except as expressly stated in the immediately proceeding sentence,\nthe Original Work is provided under this License on an \"AS IS\" BASIS and WITHOUT\nWARRANTY, either express or implied, including, without limitation, the warranties\nof NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\nTHE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER\nOF WARRANTY constitutes an essential part of this License. No license to Original\nWork is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work\nor a Derivative Work, You must make a reasonable effort under the circumstances\nto obtain the express and volitional assent of recipients to the terms of\nthis License. Nothing else but this License (or another written agreement\nbetween Licensor and You) grants You permission to create Derivative Works\nbased upon the Original Work or to exercise any of the rights granted in Sections\n1 herein, and any attempt to do so except under the terms of this License\n(or another written agreement between Licensor and You) is expressly prohibited\nby U.S. copyright law, the equivalent laws of other countries, and by international\ntreaty. Therefore, by exercising any of the rights granted to You in Sections\n1 herein, You indicate Your acceptance of this License and all of its terms\nand conditions. This License shall terminate immediately and you may no longer\nexercise any of the rights granted to You by this License upon Your failure\nto honor the proviso in Section 1(c) herein.\n\n10) Mutual Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nif You file a lawsuit in any court alleging that any OSI Certified open source\nsoftware that is licensed under any license containing this \"Mutual Termination\nfor Patent Action\" clause infringes any patent claims that are essential to\nuse that software.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of the U.S. Copyright Act, 17 U.S.C. å¤ 101 et\nseq., the equivalent laws of other countries, and international treaty. This\nsection shall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(91,'AGPL-3.0-only','GNU AFFERO GENERAL PUBLIC LICENSE\n\nVersion 3, 19 November 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe GNU Affero General Public License is a free, copyleft license for software\nand other kinds of works, specifically designed to ensure cooperation with\nthe community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take\naway your freedom to share and change the works. By contrast, our General\nPublic Licenses are intended to guarantee your freedom to share and change\nall versions of a program--to make sure it remains free software for all its\nusers.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for them if you wish), that\nyou receive source code or can get it if you want it, that you can change\nthe software or use pieces of it in new free programs, and that you know you\ncan do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two\nsteps: (1) assert copyright on the software, and (2) offer you this License\nwhich gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users\' freedom is that improvements made\nin alternate versions of the program, if they receive widespread use, become\navailable for other developers to incorporate. Many developers of free software\nare heartened and encouraged by the resulting cooperation. However, in the\ncase of software used on network servers, this result may fail to come about.\nThe GNU General Public License permits making a modified version and letting\nthe public access it on a server without ever releasing its source code to\nthe public.\n\nThe GNU Affero General Public License is designed specifically to ensure that,\nin such cases, the modified source code becomes available to the community.\nIt requires the operator of a network server to provide the source code of\nthe modified version running there to the users of that server. Therefore,\npublic use of a modified version, on a publicly accessible server, gives the\npublic access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by\nAffero, was designed to accomplish similar goals. This is a different license,\nnot a version of the Affero GPL, but Affero has released a new version of\nthe Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU Affero General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works,\nsuch as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.\nEach licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals\nor organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in\na fashion requiring copyright permission, other than the making of an exact\ncopy. The resulting work is called a \"modified version\" of the earlier work\nor a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the\nProgram.\n\nTo \"propagate\" a work means to do anything with it that, without permission,\nwould make you directly or secondarily liable for infringement under applicable\ncopyright law, except executing it on a computer or modifying a private copy.\nPropagation includes copying, distribution (with or without modification),\nmaking available to the public, and in some countries other activities as\nwell.\n\nTo \"convey\" a work means any kind of propagation that enables other parties\nto make or receive copies. Mere interaction with a user through a computer\nnetwork, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the\nextent that it includes a convenient and prominently visible feature that\n(1) displays an appropriate copyright notice, and (2) tells the user that\nthere is no warranty for the work (except to the extent that warranties are\nprovided), that licensees may convey the work under this License, and how\nto view a copy of this License. If the interface presents a list of user commands\nor options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\nThe \"source code\" for a work means the preferred form of the work for making\nmodifications to it. \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard\ndefined by a recognized standards body, or, in the case of interfaces specified\nfor a particular programming language, one that is widely used among developers\nworking in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than\nthe work as a whole, that (a) is included in the normal form of packaging\na Major Component, but which is not part of that Major Component, and (b)\nserves only to enable use of the work with that Major Component, or to implement\na Standard Interface for which an implementation is available to the public\nin source code form. A \"Major Component\", in this context, means a major essential\ncomponent (kernel, window system, and so on) of the specific operating system\n(if any) on which the executable work runs, or a compiler used to produce\nthe work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source\ncode needed to generate, install, and (for an executable work) run the object\ncode and to modify the work, including scripts to control those activities.\nHowever, it does not include the work\'s System Libraries, or general-purpose\ntools or generally available free programs which are used unmodified in performing\nthose activities but which are not part of the work. For example, Corresponding\nSource includes interface definition files associated with source files for\nthe work, and the source code for shared libraries and dynamically linked\nsubprograms that the work is specifically designed to require, such as by\nintimate data communication or control flow between those\n\n   subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate\nautomatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\nAll rights granted under this License are granted for the term of copyright\non the Program, and are irrevocable provided the stated conditions are met.\nThis License explicitly affirms your unlimited permission to run the unmodified\nProgram. The output from running a covered work is covered by this License\nonly if the output, given its content, constitutes a covered work. This License\nacknowledges your rights of fair use or other equivalent, as provided by copyright\nlaw.\n\nYou may make, run and propagate covered works that you do not convey, without\nconditions so long as your license otherwise remains in force. You may convey\ncovered works to others for the sole purpose of having them make modifications\nexclusively for you, or provide you with facilities for running those works,\nprovided that you comply with the terms of this License in conveying all material\nfor which you do not control copyright. Those thus making or running the covered\nworks for you must do so exclusively on your behalf, under your direction\nand control, on terms that prohibit them from making any copies of your copyrighted\nmaterial outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions\nstated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users\' Legal Rights From Anti-Circumvention Law.\n\nNo covered work shall be deemed part of an effective technological measure\nunder any applicable law fulfilling obligations under article 11 of the WIPO\ncopyright treaty adopted on 20 December 1996, or similar laws prohibiting\nor restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention\nof technological measures to the extent such circumvention is effected by\nexercising rights under this License with respect to the covered work, and\nyou disclaim any intention to limit operation or modification of the work\nas a means of enforcing, against the work\'s users, your or third parties\'\nlegal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\nYou may convey verbatim copies of the Program\'s source code as you receive\nit, in any medium, provided that you conspicuously and appropriately publish\non each copy an appropriate copyright notice; keep intact all notices stating\nthat this License and any non-permissive terms added in accord with section\n7 apply to the code; keep intact all notices of the absence of any warranty;\nand give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you\nmay offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\nYou may convey a work based on the Program, or the modifications to produce\nit from the Program, in the form of source code under the terms of section\n4, provided that you also meet all of these conditions:\n\na) The work must carry prominent notices stating that you modified it, and\ngiving a relevant date.\n\nb) The work must carry prominent notices stating that it is released under\nthis License and any conditions added under section 7. This requirement modifies\nthe requirement in section 4 to \"keep intact all notices\".\n\nc) You must license the entire work, as a whole, under this License to anyone\nwho comes into possession of a copy. This License will therefore apply, along\nwith any applicable section 7 additional terms, to the whole of the work,\nand all its parts, regardless of how they are packaged. This License gives\nno permission to license the work in any other way, but it does not invalidate\nsuch permission if you have separately received it.\n\nd) If the work has interactive user interfaces, each must display Appropriate\nLegal Notices; however, if the Program has interactive interfaces that do\nnot display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works,\nwhich are not by their nature extensions of the covered work, and which are\nnot combined with it such as to form a larger program, in or on a volume of\na storage or distribution medium, is called an \"aggregate\" if the compilation\nand its resulting copyright are not used to limit the access or legal rights\nof the compilation\'s users beyond what the individual works permit. Inclusion\nof a covered work in an aggregate does not cause this License to apply to\nthe other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\nYou may convey a covered work in object code form under the terms of sections\n4 and 5, provided that you also convey the machine-readable Corresponding\nSource under the terms of this License, in one of these ways:\n\na) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by the Corresponding Source fixed\non a durable physical medium customarily used for software interchange.\n\nb) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by a written offer, valid for\nat least three years and valid for as long as you offer spare parts or customer\nsupport for that product model, to give anyone who possesses the object code\neither (1) a copy of the Corresponding Source for all the software in the\nproduct that is covered by this License, on a durable physical medium customarily\nused for software interchange, for a price no more than your reasonable cost\nof physically performing this conveying of source, or (2) access to copy the\nCorresponding Source from a network server at no charge.\n\nc) Convey individual copies of the object code with a copy of the written\noffer to provide the Corresponding Source. This alternative is allowed only\noccasionally and noncommercially, and only if you received the object code\nwith such an offer, in accord with subsection 6b.\n\nd) Convey the object code by offering access from a designated place (gratis\nor for a charge), and offer equivalent access to the Corresponding Source\nin the same way through the same place at no further charge. You need not\nrequire recipients to copy the Corresponding Source along with the object\ncode. If the place to copy the object code is a network server, the Corresponding\nSource may be on a different server (operated by you or a third party) that\nsupports equivalent copying facilities, provided you maintain clear directions\nnext to the object code saying where to find the Corresponding Source. Regardless\nof what server hosts the Corresponding Source, you remain obligated to ensure\nthat it is available for as long as needed to satisfy these requirements.\n\ne) Convey the object code using peer-to-peer transmission, provided you inform\nother peers where the object code and Corresponding Source of the work are\nbeing offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from\nthe Corresponding Source as a System Library, need not be included in conveying\nthe object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible\npersonal property which is normally used for personal, family, or household\npurposes, or (2) anything designed or sold for incorporation into a dwelling.\nIn determining whether a product is a consumer product, doubtful cases shall\nbe resolved in favor of coverage. For a particular product received by a particular\nuser, \"normally used\" refers to a typical or common use of that class of product,\nregardless of the status of the particular user or of the way in which the\nparticular user actually uses, or expects or is expected to use, the product.\nA product is a consumer product regardless of whether the product has substantial\ncommercial, industrial or non-consumer uses, unless such uses represent the\nonly significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures,\nauthorization keys, or other information required to install and execute modified\nversions of a covered work in that User Product from a modified version of\nits Corresponding Source. The information must suffice to ensure that the\ncontinued functioning of the modified object code is in no case prevented\nor interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically\nfor use in, a User Product, and the conveying occurs as part of a transaction\nin which the right of possession and use of the User Product is transferred\nto the recipient in perpetuity or for a fixed term (regardless of how the\ntransaction is characterized), the Corresponding Source conveyed under this\nsection must be accompanied by the Installation Information. But this requirement\ndoes not apply if neither you nor any third party retains the ability to install\nmodified object code on the User Product (for example, the work has been installed\nin ROM).\n\nThe requirement to provide Installation Information does not include a requirement\nto continue to provide support service, warranty, or updates for a work that\nhas been modified or installed by the recipient, or for the User Product in\nwhich it has been modified or installed. Access to a network may be denied\nwhen the modification itself materially and adversely affects the operation\nof the network or violates the rules and protocols for communication across\nthe network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord\nwith this section must be in a format that is publicly documented (and with\nan implementation available to the public in source code form), and must require\nno special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n\"Additional permissions\" are terms that supplement the terms of this License\nby making exceptions from one or more of its conditions. Additional permissions\nthat are applicable to the entire Program shall be treated as though they\nwere included in this License, to the extent that they are valid under applicable\nlaw. If additional permissions apply only to part of the Program, that part\nmay be used separately under those permissions, but the entire Program remains\ngoverned by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any\nadditional permissions from that copy, or from any part of it. (Additional\npermissions may be written to require their own removal in certain cases when\nyou modify the work.) You may place additional permissions on material, added\nby you to a covered work, for which you have or can give appropriate copyright\npermission.\n\nNotwithstanding any other provision of this License, for material you add\nto a covered work, you may (if authorized by the copyright holders of that\nmaterial) supplement the terms of this License with terms:\n\na) Disclaiming warranty or limiting liability differently from the terms of\nsections 15 and 16 of this License; or\n\nb) Requiring preservation of specified reasonable legal notices or author\nattributions in that material or in the Appropriate Legal Notices displayed\nby works containing it; or\n\nc) Prohibiting misrepresentation of the origin of that material, or requiring\nthat modified versions of such material be marked in reasonable ways as different\nfrom the original version; or\n\nd) Limiting the use for publicity purposes of names of licensors or authors\nof the material; or\n\ne) Declining to grant rights under trademark law for use of some trade names,\ntrademarks, or service marks; or\n\nf) Requiring indemnification of licensors and authors of that material by\nanyone who conveys the material (or modified versions of it) with contractual\nassumptions of liability to the recipient, for any liability that these contractual\nassumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\"\nwithin the meaning of section 10. If the Program as you received it, or any\npart of it, contains a notice stating that it is governed by this License\nalong with a term that is a further restriction, you may remove that term.\nIf a license document contains a further restriction but permits relicensing\nor conveying under this License, you may add to a covered work material governed\nby the terms of that license document, provided that the further restriction\ndoes not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place,\nin the relevant source files, a statement of the additional terms that apply\nto those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form\nof a separately written license, or stated as exceptions; the above requirements\napply either way.\n\n   8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided\nunder this License. Any attempt otherwise to propagate or modify it is void,\nand will automatically terminate your rights under this License (including\nany patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, you do\nnot qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy\nof the Program. Ancillary propagation of a covered work occurring solely as\na consequence of using peer-to-peer transmission to receive a copy likewise\ndoes not require acceptance. However, nothing other than this License grants\nyou permission to propagate or modify any covered work. These actions infringe\ncopyright if you do not accept this License. Therefore, by modifying or propagating\na covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives\na license from the original licensors, to run, modify and propagate that work,\nsubject to this License. You are not responsible for enforcing compliance\nby third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization,\nor substantially all assets of one, or subdividing an organization, or merging\norganizations. If propagation of a covered work results from an entity transaction,\neach party to that transaction who receives a copy of the work also receives\nwhatever licenses to the work the party\'s predecessor in interest had or could\ngive under the previous paragraph, plus a right to possession of the Corresponding\nSource of the work from the predecessor in interest, if the predecessor has\nit or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights\ngranted or affirmed under this License. For example, you may not impose a\nlicense fee, royalty, or other charge for exercise of rights granted under\nthis License, and you may not initiate litigation (including a cross-claim\nor counterclaim in a lawsuit) alleging that any patent claim is infringed\nby making, using, selling, offering for sale, or importing the Program or\nany portion of it.\n\n   11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License\nof the Program or a work on which the Program is based. The work thus licensed\nis called the contributor\'s \"contributor version\".\n\nA contributor\'s \"essential patent claims\" are all patent claims owned or controlled\nby the contributor, whether already acquired or hereafter acquired, that would\nbe infringed by some manner, permitted by this License, of making, using,\nor selling its contributor version, but do not include claims that would be\ninfringed only as a consequence of further modification of the contributor\nversion. For purposes of this definition, \"control\" includes the right to\ngrant patent sublicenses in a manner consistent with the requirements of this\nLicense.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent\nlicense under the contributor\'s essential patent claims, to make, use, sell,\noffer for sale, import and otherwise run, modify and propagate the contents\nof its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement\nor commitment, however denominated, not to enforce a patent (such as an express\npermission to practice a patent or covenant not to s ue for patent infringement).\nTo \"grant\" such a patent license to a party means to make such an agreement\nor commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the\nCorresponding Source of the work is not available for anyone to copy, free\nof charge and under the terms of this License, through a publicly available\nnetwork server or other readily accessible means, then you must either (1)\ncause the Corresponding Source to be so available, or (2) arrange to deprive\nyourself of the benefit of the patent license for this particular work, or\n(3) arrange, in a manner consistent with the requirements of this License,\nto extend the patent\n\nlicense to downstream recipients. \"Knowingly relying\" means you have actual\nknowledge that, but for the patent license, your conveying the covered work\nin a country, or your recipient\'s use of the covered work in a country, would\ninfringe one or more identifiable patents in that country that you have reason\nto believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement,\nyou convey, or propagate by procuring conveyance of, a covered work, and grant\na patent license to some of the parties receiving the covered work authorizing\nthem to use, propagate, modify or convey a specific copy of the covered work,\nthen the patent license you grant is automatically extended to all recipients\nof the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope\nof its coverage, prohibits the exercise of, or is conditioned on the non-exercise\nof one or more of the rights that are specifically granted under this License.\nYou may not convey a covered work if you are a party to an arrangement with\na third party that is in the business of distributing software, under which\nyou make payment to the third party based on the extent of your activity of\nconveying the work, and under which the third party grants, to any of the\nparties who would receive the covered work from you, a discriminatory patent\nlicense (a) in connection with copies of the covered work conveyed by you\n(or copies made from those copies), or (b) primarily for and in connection\nwith specific products or compilations that contain the covered work, unless\nyou entered into that arrangement, or that patent license was granted, prior\nto 28 March 2007.\n\nNothing in this License shall be construed as excluding or limiting any implied\nlicense or other defenses to infringement that may otherwise be available\nto you under applicable patent law.\n\n   12. No Surrender of Others\' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise)\nthat contradict the conditions of this License, they do not excuse you from\nthe conditions of this License. If you cannot convey a covered work so as\nto satisfy simultaneously your obligations under this License and any other\npertinent obligations, then as a consequence you may\n\nnot convey it at all. For example, if you agree to terms that obligate you\nto collect a royalty for further conveying from those to whom you convey the\nProgram, the only way you could satisfy both those terms and this License\nwould be to refrain entirely from conveying the Program.\n\n   13. Remote Network Interaction; Use with the GNU General Public License.\n\nNotwithstanding any other provision of this License, if you modify the Program,\nyour modified version must prominently offer all users interacting with it\nremotely through a computer network (if your version supports such interaction)\nan opportunity to receive the Corresponding Source of your version by providing\naccess to the Corresponding Source from a network server at no charge, through\nsome standard or customary means of facilitating copying of software. This\nCorresponding Source shall include the Corresponding Source for any work covered\nby version 3 of the GNU General Public License that is incorporated pursuant\nto the following paragraph.\n\nNotwithstanding any other provision of this License, you have permission to\nlink or combine any covered work with a work licensed under version 3 of the\nGNU General Public License into a single combined work, and to convey the\nresulting work. The terms of this License will continue to apply to the part\nwhich is the covered work, but the work with which it is combined will remain\ngoverned by version 3 of the GNU General Public License.\n\n   14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU Affero General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\nthat a certain numbered version of the GNU Affero General Public License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that numbered version or of any later version published\nby the Free Software Foundation. If the Program does not specify a version\nnumber of the GNU Affero General Public License, you may choose any version\never published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of\nthe GNU Affero General Public License can be used, that proxy\'s public statement\nof acceptance of a version permanently authorizes you to choose that version\nfor the Program.\n\nLater license versions may give you additional or different permissions. However,\nno additional obligations are imposed on any author or copyright holder as\na result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE\nLAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM\nPROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR\nCORRECTION.\n\n   16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL\nANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM\nAS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,\nINCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO\nUSE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\nINACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\nPROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER\nPARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot\nbe given local legal effect according to their terms, reviewing courts shall\napply local law that most closely approximates an absolute waiver of all civil\nliability in connection with the Program, unless a warranty or assumption\nof liability accompanies a copy of the Program in return for a fee. END OF\nTERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively state the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under\nthe terms of the GNU Affero General Public License as published by the Free\nSoftware Foundation, either version 3 of the License, or (at your option)\nany later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Affero General Public License along\nwith this program. If not, see <http s ://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network,\nyou should also make sure that it provides a way for users to get its source.\nFor example, if your program is a web application, its interface could display\na \"Source\" link that leads users to an archive of the code. There are many\nways you could offer source, and different solutions will be better for different\nprograms; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. For\nmore information on this, and how to apply and follow the GNU AGPL, see <http\ns ://www.gnu.org/licenses/>.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(92,'Crossword','Copyright (C) 1995-2009 Gerd Neugebauer\n\ncwpuzzle.dtx is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY. No author or distributor accepts responsibility to anyone for\nthe consequences of using it or for whether it serves any particular purpose\nor works at all, unless he says so in writing.\n\n.\n\nEveryone is granted permission to copy, modify and redistribute cwpuzzle.dtx,\nprovided this copyright notice is preserved and any modifications are indicated.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(93,'CECILL-C','CeCILL-C FREE SOFTWARE LICENSE AGREEMENT Notice\n\nThis Agreement is a Free Software license agreement that is the result of\ndiscussions between its authors in order to ensure compliance with the two\nmain principles guiding its drafting:\n\n* firstly, compliance with the principles governing the distribution of Free\nSoftware: access to source code, broad rights granted to users,\n\n* secondly, the election of a governing law, French law, with which it is\nconformant, both as regards the law of torts and intellectual property law,\nand the protection that it offers to both authors and holders of the economic\nrights over software.\n\nThe authors of the CeCILL¹ license are:\n\n   \n\nCommissariat à l\'Energie Atomique - CEA, a public scientific, technical and\nindustrial research establishment, having its principal place of business\nat 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   \n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and\ntechnological establishment, having its principal place of business at 3 rue\nMichel-Ange, 75794 Paris cedex 16, France.\n\n   \n\nInstitut National de Recherche en Informatique et en Automatique - INRIA,\na public scientific and technological establishment, having its principal\nplace of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay\ncedex, France.\n\nPreamble The purpose of this Free Software license agreement is to grant users\nthe right to modify and re-use the software governed by this license.\n\nThe exercising of this right is conditional upon the obligation to make available\nto the community the modifications made to the source code of the software\nso as to contribute to its evolution.\n\nIn consideration of access to the source code and the rights to copy, modify\nand redistribute granted by the license, users are provided only with a limited\nwarranty and the software\'s author, the holder of the economic rights, and\nthe successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying and/or\ndeveloping or reproducing the software by the user are brought to the user\'s\nattention, given its Free Software status, which may make it complicated to\nuse, with the result that its use is reserved for developers and experienced\nprofessionals having in-depth computer knowledge. Users are therefore encouraged\nto load and test the suitability of the software as regards their requirements\nin conditions enabling the security of their systems and/or data to be ensured\nand, more generally, to use and operate it in the same conditions of security.\nThis Agreement may be freely reproduced and published, provided it is not\naltered, and that no provisions are either added or removed herefrom.\n\nThis Agreement may apply to any or all software for which the holder of the\neconomic rights decides to submit the use thereof to its provisions.\n\n   Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions commence\nwith a capital letter, they shall have the following meaning:\n\n      \n\nAgreement: means this license agreement, and its possible subsequent versions\nand annexes.\n\n      \n\nSoftware: means the software in its Object Code and/or Source Code form and,\nwhere applicable, its documentation, \"as is\" when the Licensee accepts the\nAgreement.\n\n      \n\nInitial Software: means the Software in its Source Code and possibly its Object\nCode form and, where applicable, its documentation, \"as is\" when it is first\ndistributed under the terms and conditions of the Agreement.\n\n      \n\nModified Software: means the Software modified by at least one Integrated\nContribution.\n\n      \n\nSource Code: means all the Software\'s instructions and program lines to which\naccess is required so as to modify the Software.\n\n      \n\nObject Code: means the binary files originating from the compilation of the\nSource Code.\n\n      \n\nHolder: means the holder(s) of the economic rights over the Initial Software.\n\n      \n\n      Licensee: means the Software user(s) having accepted the Agreement.\n\n      \n\nContributor: means a Licensee having made at least one Integrated Contribution.\n\n      \n\nLicensor: means the Holder, or any other individual or legal entity, who distributes\nthe Software under the Agreement.\n\n      \n\nIntegrated Contribution: means any or all modifications, corrections, translations,\nadaptations and/or new functions integrated into the Source Code by any or\nall Contributors.\n\n      \n\nRelated Module: means a set of sources files including their documentation\nthat, without modification to the Source Code, enables supplementary functions\nor services in addition to those offered by the Software.\n\n      \n\nDerivative Software: means any combination of the Software, modified or not,\nand of a Related Module.\n\n      \n\n      Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the Licensee\nof a non-exclusive, transferable and worldwide license for the Software as\nset forth in Article 5 hereinafter for the whole term of the protection granted\nby the rights over said Software.\n\n   Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and conditions\nof this Agreement upon the occurrence of the first of the following events:\n\n(i) loading the Software by any or all means, notably, by downloading from\na remote server, or by loading from a physical medium;\n\n(ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the characteristics\nof the Software, to the limited warranty, and to the fact that its use is\nrestricted to experienced users has been provided to the Licensee prior to\nits acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby\nacknowledges that it has read and understood it.\n\n   Article 4 - EFFECTIVE DATE AND TERM\n\n      4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the\nLicensee as set forth in Article 3.1.\n\n      4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of protection\nof the economic rights over the Software.\n\n   Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following rights\nover the Software for any or all use, and for the term of the Agreement, on\nthe basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents protecting\nall or part of the functions of the Software or of its components, the Licensor\nundertakes not to enforce the rights granted by these patents against successive\nLicensees using, exploiting or modifying the Software. If these patents are\ntransferred, the Licensor undertakes to have the transferees subscribe to\nthe obligations set forth in this paragraph.\n\n      5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation as\nto its fields of application, with it being hereinafter specified that this\ncomprises:\n\n1. permanent or temporary reproduction of all or part of the Software by any\nor all means and in any or all form.\n\n2. loading, displaying, running, or storing the Software on any or all medium.\n\n3. entitlement to observe, study or test its operation so as to determine\nthe ideas and principles behind any or all constituent elements of said Software.\nThis shall apply when the Licensee carries out any or all loading, displaying,\nrunning, transmission or storage operation as regards the Software, that it\nis entitled to carry out hereunder.\n\n      5.2 RIGHT OF MODIFICATION\n\nThe right of modification includes the right to translate, adapt, arrange,\nor make any or all modifications to the Software, and the right to reproduce\nthe resulting software. It includes, in particular, the right to create a\nDerivative Software.\n\nThe Licensee is authorized to make any or all modification to the Software\nprovided that it includes an explicit notice that it is the author of said\nmodification and indicates the date of the creation thereof.\n\n      5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish, transmit\nand communicate the Software to the general public on any or all medium, and\nby any or all means, and the right to market, either in consideration of a\nfee, or free of charge, one or more copies of the Software by any means.\n\nThe Licensee is further authorized to distribute copies of the modified or\nunmodified Software to third parties according to the terms and conditions\nset forth hereinafter.\n\n         5.3.1. DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute true copies of the Software in Source\nCode or Object Code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is redistributed,\nthe Licensee allows effective access to the full Source Code of the Software\nat a minimum during the entire period of its distribution of the Software,\nit being understood that the additional cost of acquiring the Source Code\nshall not exceed the cost of transferring the data.\n\n         5.3.2. DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes an Integrated Contribution to the Software, the terms\nand conditions for the distribution of the resulting Modified Software become\nsubject to all the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in source\ncode or object code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the object code of the Modified Software\nis redistributed, the Licensee allows effective access to the full source\ncode of the Modified Software at a minimum during the entire period of its\ndistribution of the Modified Software, it being understood that the additional\ncost of acquiring the source code shall not exceed the cost of transferring\nthe data.\n\n         5.3.3. DISTRIBUTION OF DERIVATIVE SOFTWARE\n\nWhen the Licensee creates Derivative Software, this Derivative Software may\nbe distributed under a license agreement other than this Agreement, subject\nto compliance with the requirement to include a notice concerning the rights\nover the Software as defined in Article 6.4. In the event the creation of\nthe Derivative Software required modification of the Source Code, the Licensee\nundertakes that:\n\n1. the resulting Modified Software will be governed by this Agreement,\n\n2. the Integrated Contributions in the resulting Modified Software will be\nclearly identified and documented,\n\n3. the Licensee will allow effective access to the source code of the Modified\nSoftware, at a minimum during the entire period of distribution of the Derivative\nSoftware, such that such modifications may be carried over in a subsequent\nversion of the Software; it being understood that the additional cost of purchasing\nthe source code of the Modified Software shall not exceed the cost of transferring\nthe data.\n\n         5.3.4. COMPATIBILITY WITH THE CeCILL LICENSE\n\nWhen a Modified Software contains an Integrated Contribution subject to the\nCeCILL license agreement, or when a Derivative Software contains a Related\nModule subject to the CeCILL license agreement, the provisions set forth in\nthe third item of Article 6.4 are optional.\n\n   Article 6 - INTELLECTUAL PROPERTY\n\n      6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all\nuse of the Initial Software is subject to compliance with the terms and conditions\nunder which the Holder has elected to distribute its work and no one shall\nbe entitled to modify the terms and conditions for the distribution of said\nInitial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at least\nby this Agreement, for the duration set forth in Article 4.2.\n\n      6.2 OVER THE INTEGRATED CONTRIBUTIONS\n\nThe Licensee who develops an Integrated Contribution is the owner of the intellectual\nproperty rights over this Contribution as defined by applicable law.\n\n      6.3 OVER THE RELATED MODULES\n\nThe Licensee who develops a Related Module is the owner of the intellectual\nproperty rights over this Related Module as defined by applicable law and\nis free to choose the type of agreement that shall govern its distribution\nunder the conditions defined in Article 5.3.3.\n\n      6.4 NOTICE OF RIGHTS\n\n      The Licensee expressly undertakes:\n\n1. not to remove, or modify, in any manner, the intellectual property notices\nattached to the Software;\n\n2. to reproduce said notices, in an identical manner, in the copies of the\nSoftware modified or not;\n\n3. to ensure that use of the Software, its intellectual property notices and\nthe fact that it is governed by the Agreement is indicated in a text that\nis easily accessible, specifically from the interface of any Derivative Software.\n\nThe Licensee undertakes not to directly or indirectly infringe the intellectual\nproperty rights of the Holder and/or Contributors on the Software and to take,\nwhere applicable, vis-à-vis its staff, any and all measures required to ensure\nrespect of said intellectual property rights of the Holder and/or Contributors.\n\n   Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to provide\ntechnical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The terms\nand conditions of such technical assistance, and/or such maintenance, shall\nbe set forth in a separate instrument. Only the Licensor offering said maintenance\nand/or technical assistance services shall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under its\nsole responsibility, a warranty, that shall only be binding upon itself, for\nthe redistribution of the Software and/or the Modified Software, under terms\nand conditions that it is free to decide. Said warranty, and the financial\nterms and conditions of its application, shall be subject of a separate instrument\nexecuted between the Licensor and the Licensee.\n\n   Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be entitled\nto claim compensation for any direct loss it may have suffered from the Software\nas a result of a fault on the part of the relevant Licensor, subject to providing\nevidence thereof.\n\n8.2 The Licensor\'s liability is limited to the commitments made under this\nAgreement and shall not be incurred as a result of in particular: (i) loss\ndue the Licensee\'s total or partial failure to fulfill its obligations, (ii)\ndirect or consequential loss that is suffered by the Licensee due to the use\nor performance of the Software, and (iii) more generally, any consequential\nloss. In particular the Parties expressly agree that any or all pecuniary\nor business loss (i.e. loss of data, loss of profits, operating loss, loss\nof customers or orders, opportunity cost, any disturbance to business activities)\nor any or all legal proceedings instituted against the Licensee by a third\nparty, shall constitute consequential loss and shall not provide entitlement\nto any or all compensation from the Licensor.\n\n   Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical state-of-the-art\nwhen the Software was distributed did not enable all possible uses to be tested\nand verified, nor for the presence of possible defects to be detected. In\nthis respect, the Licensee\'s attention has been drawn to the risks associated\nwith loading, using, modifying and/or developing and reproducing the Software\nwhich are reserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means, the\nsuitability of the product for its requirements, its good working order, and\nfor ensuring that it shall not cause damage to either persons or properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled to\ngrant all the rights over the Software (including in particular the rights\nset forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by the\nLicensor without any other express or tacit warranty, other than that provided\nfor in Article 9.2 and, in particular, without any warranty as to its commercial\nvalue, its secured, safe, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from\nany error, that it will operate without interruption, that it will be compatible\nwith the Licensee\'s own equipment and software configuration, nor that it\nwill meet the Licensee\'s requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the Software\ndoes not infringe any third party intellectual property right relating to\na patent, software or any other property right. Therefore, the Licensor disclaims\nany and all liability towards the Licensee arising out of any or all proceedings\nfor infringement that may be instituted in respect of the use, modification\nand redistribution of the Software. Nevertheless, should such proceedings\nbe instituted against the Licensee, the Licensor shall provide it with technical\nand legal assistance for its defense. Such technical and legal assistance\nshall be decided on a case-by-case basis between the relevant Licensor and\nthe Licensee pursuant to a memorandum of understanding. The Licensor disclaims\nany and all liability as regards the Licensee\'s use of the name of the Software.\nNo warranty is given as regards the existence of prior rights over the name\nof the Software or as regards the existence of a trademark.\n\n   Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations hereunder,\nthe Licensor may automatically terminate this Agreement thirty (30) days after\nnotice has been sent to the Licensee and has remained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be authorized\nto use, modify or distribute the Software. However, any licenses that it may\nhave granted prior to termination of the Agreement shall remain valid subject\nto their having been granted in compliance with the terms and conditions hereof.\n\n   Article 11 - MISCELLANEOUS\n\n      11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform\nthe Agreement, that may be attributable to an event of force majeure, an act\nof God or an outside cause, such as defective functioning or interruptions\nof the electricity or telecommunications networks, network paralysis following\na virus attack, intervention by government authorities, natural disasters,\nwater damage, earthquakes, fire, explosions, strikes and labor unrest, war,\netc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke one\nor more of the provisions hereof, shall under no circumstances be interpreted\nas being a waiver by the interested Party of its right to invoke said provision(s)\nsubsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements, whether\nwritten or oral, between the Parties and having the same purpose, and constitutes\nthe entirety of the agreement between said Parties concerning said purpose.\nNo supplement or modification to the terms and conditions hereof shall be\neffective as between the Parties unless it is made in writing and signed by\ntheir duly authorized representatives.\n\n11.4 In the event that one or more of the provisions hereof were to conflict\nwith a current or future applicable act or legislative text, said act or legislative\ntext shall prevail, and the Parties shall make the necessary amendments so\nas to comply with said act or legislative text. All other provisions shall\nremain effective. Similarly, invalidity of a provision of the Agreement, for\nany reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n      11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions are\ndeemed authentic.\n\n   Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this Agreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is protected\nand may only be modified by the authors of the License, who reserve the right\nto periodically publish updates or new versions of the Agreement, each with\na separate number. These subsequent versions may address new issues encountered\nby Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may only\nbe subsequently distributed under the same version of the Agreement or a subsequent\nversion.\n\n   Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to endeavor\nto seek an amicable solution to any disagreements or disputes that may arise\nduring the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their occurrence,\nand unless emergency proceedings are necessary, the disagreements or disputes\nshall be referred to the Paris Courts having jurisdiction, by the more diligent\nParty.\n\nVersion 1.0 dated 2006-09-05. 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel)\nL(ibre)\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(94,'OCCT-PL','Open CASCADE Technology Public License\n\nVersion 6.6, April 2013\n\nOPEN CASCADE releases and makes publicly available the source code of the\nsoftware Open CASCADE Technology to the free software development community\nunder the terms and conditions of this license.\n\nIt is not the purpose of this license to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis license has the sole purpose of protecting the integrity of the free\nsoftware distribution system, which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nPlease read this license carefully and completely before downloading this\nsoftware. By downloading, using, modifying, distributing and sublicensing\nthis software, you indicate your acceptance to be bound by the terms and conditions\nof this license. If you do not want to accept or cannot accept for any reasons\nthe terms and conditions of this license, please do not download or use in\nany manner this software.\n\n   1. Definitions\n\nUnless there is something in the subject matter or in the context inconsistent\ntherewith, the capitalized terms used in this License shall have the following\nmeaning.\n\n\"Applicable Intellectual Property Rights\" means (a) with respect to the Initial\nDeveloper, any rights under patents or patents applications or other intellectual\nproperty rights that are now or hereafter acquired, owned by or assigned to\nthe Initial Developer and that cover subject matter contained in the Original\nCode, but only to the extent necessary to use, reproduce, modify, distribute\nor sublicense the Original Code without infringement; and (b) with respect\nto You or any Contributor, any rights under patents or patents applications\nor other intellectual property rights that are now or hereafter acquired,\nowned by or assigned to You or to such Contributor and that cover subject\nmatter contained in Your Modifications or in such Contributor\'s Modifications,\ntaken alone or in combination with Original Code.\n\n\"Contributor\" means each individual or legal entity that creates or contributes\nto the creation of any Modification, including the Initial Developer.\n\n\"Derivative Program\": means a new program combining the Software or portions\nthereof with other source code not governed by the terms of this License.\n\n\"Initial Developer\": means OPEN CASCADE, with main offices at 1, place des\nFrères Montgolfier, 78280, Guyancourt, France.\n\n\"Modifications\": mean any addition to, deletion from or change to the substance\nor the structure of the Software. When source code of the Software is released\nas a series of files, a Modification is: (a) any addition to, deletion from\nor change to the contents of a file containing the Software or (b) any new\nfile or other representation of computer program statements that contains\nany part of the Software. By way of example, Modifications include any debug\nof, or improvement to, the Original Code or any of its components or portions\nas well as its next versions or releases thereof.\n\n\"Original Code\": means (a) the source code of the software Open CASCADE Technology\noriginally made available by the Initial Developer under this License, including\nthe source code of any updates or upgrades of the Original Code and (b) the\nobject code compiled from such source code and originally made available by\nInitial Developer under this License.\n\n\"Software\": means the Original Code, the Modifications, the combination of\nOriginal Code and any Modifications or any respective portions thereof.\n\n\"You\" or \"Your\": means an individual or a legal entity exercising rights under\nthis License\n\n   2. Acceptance of license\n\nBy using, reproducing, modifying, distributing or sublicensing the Software\nor any portion thereof, You expressly indicate Your acceptance of the terms\nand conditions of this License and undertake to act in accordance with all\nthe provisions of this License applicable to You.\n\n   3. Scope and purpose\n\nThis License applies to the Software and You may not use, reproduce, modify,\ndistribute, sublicense or circulate the Software, or any portion thereof,\nexcept as expressly provided under this License. Any attempt to otherwise\nuse, reproduce, modify, distribute or sublicense the Software is void and\nwill automatically terminate Your rights under this License.\n\n   4. Contributor license\n\nSubject to the terms and conditions of this License, the Initial Developer\nand each of the Contributors hereby grant You a world-wide, royalty-free,\nirrevocable and non-exclusive license under the Applicable Intellectual Property\nRights they own or control, to use, reproduce, modify, distribute and sublicense\nthe Software provided that:\n\nYou reproduce in all copies of the Software the copyright and other proprietary\nnotices and disclaimers of the Initial Developer as they appear in the Original\nCode and attached hereto as Schedule \"A\" and any other notices or disclaimers\nattached to the Software and keep intact all notices in the Original Code\nthat refer to this License and to the absence of any warranty;\n\nYou include a copy of this License with every copy of the Software You distribute;\n\nIf you distribute or sublicense the Software (as modified by You or on Your\nbehalf as the case may be), You cause such Software to be licensed as a whole,\nat no charge, to all third parties, under the terms and conditions of the\nLicense, making in particular available to all third parties the source code\nof the Software;\n\nYou document all Your Modifications, indicate the date of each such Modification,\ndesignate the version of the Software You used, prominently include a file\ncarrying such information with respect to the Modifications and duplicate\nthe copyright and other proprietary notices and disclaimers attached hereto\nas Schedule \"B\" or any other notices or disclaimers attached to the Software\nwith your Modifications.\n\nFor greater certainty, it is expressly understood that You may freely create\nDerivative Programs (without any obligation to publish such Derivative Program)\nand distribute same as a single product. In such case, You must ensure that\nall the requirements of this License are fulfilled for the Software or any\nportion thereof.\n\n   5. Your license\n\nYou hereby grant all Contributors and anyone who becomes a party under this\nLicense a world-wide, non-exclusive, royalty-free and irrevocable license\nunder the Applicable Intellectual Property Rights owned or controlled by You,\nto use, reproduce, modify, distribute and sublicense all Your Modifications\nunder the terms and conditions of this License.\n\n   6. Software subject to license\n\nYour Modifications shall be governed by the terms and conditions of this License.\nYou are not authorized to impose any other terms or conditions than those\nprevailing under this License when You distribute and/or sublicense the Software,\nsave and except as permitted under Section 7 hereof.\n\n   7. Additional terms\n\nYou may choose to offer, on a non-exclusive basis, and to charge a fee for\nany warranty, support, maintenance, liability obligations or other rights\nconsistent with the scope of this License with respect to the Software (the\n\"Additional Terms\") to the recipients of the Software. However, You may do\nso only on Your own behalf and on Your sole and exclusive responsibility.\nYou must obtain the recipient\'s agreement that any such Additional Terms are\noffered by You alone, and You hereby agree to indemnify, defend and hold the\nInitial Developer and any Contributor harmless for any liability incurred\nby or claims asserted against the Initial Developer or any Contributors with\nrespect to any such Additional Terms.\n\n   8. Disclaimer of warranty\n\nThe Software is provided under this License on an \"as is\" basis, without warranty\nof any kind, including without limitation, warranties that the Software is\nfree of defects, merchantable, fit for a particular purpose or non-infringing.\nThe entire risk as to the quality and performance of the Software is with\nYou.\n\n   9. Liability\n\nUnder no circumstances shall You, the Initial Developer or any Contributor\nbe liable to any person for any direct or indirect damages of any kind including,\nwithout limitation, damages for loss of goodwill, loss of data, work stoppage,\ncomputer failure or malfunction or any and all other commercial damages or\nlosses resulting from or relating to this License or indirectly to the use\nof the Software.\n\n   10. Trademark\n\nThis License does not grant any rights to use the trademarks, trade names\nand domain names \"MATRA\", \"EADS Matra Datavision\", \"CAS.CADE\", \"Open CASCADE\",\n\"opencascade.com\" and \"opencascade.org\" or any other trademarks, trade names\nor domain names used or owned by the Initial Developer.\n\n   11. Copyright\n\nThe Initial Developer retains all rights, title and interest in and to the\nOriginal Code. You may not remove the copyright © notice which appears when\nYou download the Software.\n\n   12. Term\n\nThis License is granted to You for a term equal to the remaining period of\nprotection covered by the intellectual property rights applicable to the Original\nCode.\n\n   13. Termination\n\nIn case of termination, as provided in Section 3 above, You agree to immediately\nstop any further use, reproduction, modification, distribution and sublicensing\nof the Software and to destroy all copies of the Software that are in Your\npossession or control. All sublicenses of the Software which have been properly\ngranted prior to termination shall survive any termination of this License.\nIn addition, Sections 5, 8 to 11, 13.2 and 15.2 of this License, in reason\nof their nature, shall survive the termination of this License for a period\nof fifteen (15) years.\n\n   14. Versions of the license\n\nThe Initial Developer may publish new versions of this License from time to\ntime. Once Original Code has been published under a particular version of\nthis License, You may choose to continue to use it under the terms and conditions\nof that version or use the Original Code under the terms of any subsequent\nversion of this License published by the Initial Developer.\n\n   15. Miscellaneous\n\n15.1 Relationship of the Parties This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween You and the Initial Developer, and You will not represent to the contrary,\nwhether expressly, by implication or otherwise.\n\n15.2 Independent Development Nothing in this License will impair the Initial\nDeveloper\'s right to acquire, license, develop, have others develop for it,\nmarket or distribute technology or products that perform the same or similar\nfunctions as, or otherwise compete with, Modifications, Derivative Programs,\ntechnology or products that You may develop, produce, market or distribute.\n\n15.3 Severability If for any reason a court of competent jurisdiction finds\nany provision of this License, or portion thereof, to be unenforceable, that\nprovision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and extent. END OF THE TERMS AND\nCONDITIONS OF THIS LICENSE\n\nOPEN CASCADE is a French société par actions simplifiée having its registered\nhead office at 1, place des Frères Montgolfier, 78280, Guyancourt, France\nand main offices at 1, place des Frères Montgolfier, 78280, Guyancourt, France.\nIts web site is located at the following address opencascade.com\n\nOpen CASCADE Technology Public License\n\nSchedule \"A\"\n\nThe content of this file is subject to the Open CASCADE Technology Public\nLicense (the \"License\"). You may not use the content of this file except in\ncompliance with the License. Please obtain a copy of the License at opencascade.com\nand read it completely before using this file.\n\nThe Initial Developer of the Original Code is OPEN CASCADE, with main offices\nat 1, place des Frères Montgolfier, 78280, Guyancourt, France. The Original\nCode is copyright © OPEN CASCADE SAS, 2001. All rights reserved. \"The Original\nCode and all software distributed under the License are distributed on an\n\"AS IS\" basis, without warranty of any kind, and the Initial Developer hereby\ndisclaims all such warranties, including without limitation, any warranties\nof merchantability, fitness for a particular purpose or non-infringement.\n\nPlease see the License for the specific terms and conditions governing rights\nand limitations under the License\".\n\nEnd of Schedule \"A\"\n\nOpen CASCADE Technology Public License\n\nSchedule \"B\"\n\n\"The content of this file is subject to the Open CASCADE Technology Public\nLicense (the \"License\"). You may not use the content of this file except in\ncompliance with the License. Please obtain a copy of the License at opencascade.com\nand read it completely before using this file.\n\nThe Initial Developer of the Original Code is OPEN CASCADE, with main offices\nat 1, place des Frères Montgolfier, 78280, Guyancourt, France. The Original\nCode is copyright © Open CASCADE SAS, 2001. All rights reserved.\n\nModifications to the Original Code have been made by ________________________.\nModifications are copyright © [Year to be included]. All rights reserved.\n\nThe software Open CASCADE Technology and all software distributed under the\nLicense are distributed on an \"AS IS\" basis, without warranty of any kind,\nand the Initial Developer hereby disclaims all such warranties, including\nwithout limitation, any warranties of merchantability, fitness for a particular\npurpose or non-infringement.\n\nPlease see the License for the specific terms and conditions governing rights\nand limitations under the License\"\n\nEnd of Schedule \"B\"\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(95,'Naumen','NAUMEN Public License\n\nThis software is Copyright (c) NAUMEN (tm) and Contributors. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions in source code must retain the above copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions, and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name NAUMEN (tm) must not be used to endorse or promote products derived\nfrom this software without prior written permission from NAUMEN.\n\n4. The right to distribute this software or to use it for any purpose does\nnot give you the right to use Servicemarks (sm) or Trademarks (tm) of NAUMEN.\n\n5. If any files originating from NAUMEN or Contributors are modified, you\nmust cause the modified files to carry prominent notices stating that you\nchanged the files and the date of any change.\n\nDisclaimer:\n\nTHIS SOFTWARE IS PROVIDED BY NAUMEN \"AS IS\" AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL NAUMEN\nOR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\nOF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\nINTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n\nThis software consists of contributions made by NAUMEN and Contributors. Specific\nattributions are listed in the accompanying credits file.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(96,'LGPL-2.0-only','GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because\nit goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public Licenses are intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users.\n\nThis license, the Library General Public License, applies to some specially\ndesignated Free Software Foundation software, and to any other libraries whose\nauthors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish), that you receive source code or can get it if you want it, that you\ncan change the software or use pieces of it in new free programs; and that\nyou know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for\na fee, you must give the recipients all the rights that we gave you. You must\nmake sure that they, too, receive or can get the source code. If you link\na program with the library, you must provide complete object files to the\nrecipients so that they can relink them with the library, after making changes\nto the library and recompiling it. And you must show them these terms so they\nknow their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library,\nand (2) offer you this license which gives you legal permission to copy, distribute\nand/or modify the library.\n\nAlso, for each distributor\'s protection, we want to make certain that everyone\nunderstands that there is no warranty for this free library. If the library\nis modified by someone else and passed on, we want its recipients to know\nthat what they have is not the original version, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nFinally, any free program is threatened constantly by software patents. We\nwish to avoid the danger that companies distributing free software will individually\nobtain patent licenses, thus in effect transforming the program into proprietary\nsoftware. To prevent this, we have made it clear that any patent must be licensed\nfor everyone\'s free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU\nGeneral Public License, which was designed for utility programs. This license,\nthe GNU Library General Public License, applies to certain designated libraries.\nThis license is quite different from the ordinary one; be sure to read it\nin full, and don\'t assume that anything in it is the same as in the ordinary\nlicense.\n\nThe reason we have a separate public license for some libraries is that they\nblur the distinction we usually make between modifying or adding to a program\nand simply using it. Linking a program with a library, without changing the\nlibrary, is in some sense simply using the library, and is analogous to running\na utility program or application program. However, in a textual and legal\nsense, the linked executable is a combined work, a derivative of the original\nlibrary, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License\nfor libraries did not effectively promote software sharing, because most developers\ndid not use the libraries. We concluded that weaker conditions might promote\nsharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users\nof those programs of all benefit from the free status of the libraries themselves.\nThis Library General Public License is intended to permit developers of non-free\nprograms to use free libraries, while preserving your freedom as a user of\nsuch programs to change the free libraries that are incorporated in them.\n(We have not seen how to achieve this as regards changes in header files,\nbut we have achieved it as regards changes in the actual functions of the\nLibrary.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow. Pay close attention to the difference between a \"work based on the\nlibrary\" and a \"work that uses the library\". The former contains code derived\nfrom the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General\nPublic License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library which contains a\nnotice placed by the copyright holder or other authorized party saying it\nmay be distributed under the terms of this Library General Public License\n(also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared\nso as to be conveniently linked with application programs (which use some\nof those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has\nbeen distributed under these terms. A \"work based on the Library\" means either\nthe Library or any derivative work under copyright law: that is to say, a\nwork containing the Library or a portion of it, either verbatim or with modifications\nand/or translated straightforwardly into another language. (Hereinafter, translation\nis included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications\nto it. For a library, complete source code means all the source code for all\nmodules it contains, plus any associated interface definition files, plus\nthe scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running a program\nusing the Library is not restricted, and output from such a program is covered\nonly if its contents constitute a work based on the Library (independent of\nthe use of the Library in a tool for writing it). Whether that is true depends\non what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library\'s complete source\ncode as you receive it, in any medium, provided that you conspicuously and\nappropriately publish on each copy an appropriate copyright notice and disclaimer\nof warranty; keep intact all the notices that refer to this License and to\nthe absence of any warranty; and distribute a copy of this License along with\nthe Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it,\nthus forming a work based on the Library, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\n      a) The modified work must itself be a software library.\n\nb) You must cause the files modified to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nc) You must cause the whole of the work to be licensed at no charge to all\nthird parties under the terms of this License.\n\nd) If a facility in the modified Library refers to a function or a table of\ndata to be supplied by an application program that uses the facility, other\nthan as an argument passed when the facility is invoked, then you must make\na good faith effort to ensure that, in the event an application does not supply\nsuch function or table, the facility still operates, and performs whatever\npart of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose\nthat is entirely well-defined independent of the application. Therefore, Subsection\n2d requires that any application-supplied function or table used by this function\nmust be optional: if the application does not supply it, the square root function\nmust still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Library, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Library, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Library.\n\nIn addition, mere aggregation of another work not based on the Library with\nthe Library (or with a work based on the Library) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License\ninstead of this License to a given copy of the Library. To do this, you must\nalter all the notices that refer to this License, so that they refer to the\nordinary GNU General Public License, version 2, instead of to this License.\n(If a newer version than version 2 of the ordinary GNU General Public License\nhas appeared, then you can specify that version instead if you wish.) Do not\nmake any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy,\nso the ordinary GNU General Public License applies to all subsequent copies\nand derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library\ninto a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of\nit, under Section 2) in object code or executable form under the terms of\nSections 1 and 2 above provided that you accompany it with the complete corresponding\nmachine-readable source code, which must be distributed under the terms of\nSections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated\nplace, then offering equivalent access to copy the source code from the same\nplace satisfies the requirement to distribute the source code, even though\nthird parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but\nis designed to work with the Library by being compiled or linked with it,\nis called a \"work that uses the Library\". Such a work, in isolation, is not\na derivative work of the Library, and therefore falls outside the scope of\nthis License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an\nexecutable that is a derivative of the Library (because it contains portions\nof the Library), rather than a \"work that uses the library\". The executable\nis therefore covered by this License. Section 6 states terms for distribution\nof such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that\nis part of the Library, the object code for the work may be a derivative work\nof the Library even though the source code is not. Whether this is true is\nespecially significant if the work can be linked without the Library, or if\nthe work is itself a library. The threshold for this to be true is not precisely\ndefined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts\nand accessors, and small macros and small inline functions (ten lines or less\nin length), then the use of the object file is unrestricted, regardless of\nwhether it is legally a derivative work. (Executables containing this object\ncode plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute\nthe object code for the work under the terms of Section 6. Any executables\ncontaining that work also fall under Section 6, whether or not they are linked\ndirectly with the Library itself.\n\n6. As an exception to the Sections above, you may also compile or link a \"work\nthat uses the Library\" with the Library to produce a work containing portions\nof the Library, and distribute that work under terms of your choice, provided\nthat the terms permit modification of the work for the customer\'s own use\nand reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library\nis used in it and that the Library and its use are covered by this License.\nYou must supply a copy of this License. If the work during execution displays\ncopyright notices, you must include the copyright notice for the Library among\nthem, as well as a reference directing the user to the copy of this License.\nAlso, you must do one of these things:\n\na) Accompany the work with the complete corresponding machine-readable source\ncode for the Library including whatever changes were used in the work (which\nmust be distributed under Sections 1 and 2 above); and, if the work is an\nexecutable linked with the Library, with the complete machine-readable \"work\nthat uses the Library\", as object code and/or source code, so that the user\ncan modify the Library and then relink to produce a modified executable containing\nthe modified Library. (It is understood that the user who changes the contents\nof definitions files in the Library will not necessarily be able to recompile\nthe application to use the modified definitions.)\n\nb) Accompany the work with a written offer, valid for at least three years,\nto give the same user the materials specified in Subsection 6a, above, for\na charge no more than the cost of performing this distribution.\n\nc) If distribution of the work is made by offering access to copy from a designated\nplace, offer equivalent access to copy the above specified materials from\nthe same place.\n\nd) Verify that the user has already received a copy of these materials or\nthat you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must\ninclude any data and utility programs needed for reproducing the executable\nfrom it. However, as a special exception, the source code distributed need\nnot include anything that is normally distributed (in either source or binary\nform) with the major components (compiler, kernel, and so on) of the operating\nsystem on which the executable runs, unless that component itself accompanies\nthe executable.\n\nIt may happen that this requirement contradicts the license restrictions of\nother proprietary libraries that do not normally accompany the operating system.\nSuch a contradiction means you cannot use both them and the Library together\nin an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side\nin a single library together with other library facilities not covered by\nthis License, and distribute such a combined library, provided that the separate\ndistribution of the work based on the Library and of the other library facilities\nis otherwise permitted, and provided that you do these two things:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities. This must be distributed\nunder the terms of the Sections above.\n\nb) Give prominent notice with the combined library of the fact that part of\nit is a work based on the Library, and explaining where to find the accompanying\nuncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library\nexcept as expressly provided under this License. Any attempt otherwise to\ncopy, modify, sublicense, link with, or distribute the Library is void, and\nwill automatically terminate your rights under this License. However, parties\nwho have received copies, or rights, from you under this License will not\nhave their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nLibrary or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Library\n(or any work based on the Library), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute, link with or modify the Library subject to these terms\nand conditions. You may not impose any further restrictions on the recipients\'\nexercise of the rights granted herein. You are not responsible for enforcing\ncompliance by third parties to this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Library at all. For example, if a\npatent license would not permit royalty-free redistribution of the Library\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply,\nand the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Library under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of\nthe Library General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nLibrary does not specify a license version number, you may choose any version\never published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs\nwhose distribution conditions are incompatible with these, write to the author\nto ask for permission. For software which is copyrighted by the Free Software\nFoundation, write to the Free Software Foundation; we sometimes make exceptions\nfor this. Our decision will be guided by the two goals of preserving the free\nstatus of all derivatives of our free software and of promoting the sharing\nand reuse of software generally.\n\n   NO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible\nuse to the public, we recommend making it free software that everyone can\nredistribute and change. You can do so by permitting redistribution under\nthese terms (or, alternatively, under the terms of the ordinary General Public\nLicense).\n\nTo apply these terms, attach the following notices to the library. It is safest\nto attach them to the start of each source file to most effectively convey\nthe exclusion of warranty; and each file should have at least the \"copyright\"\nline and a pointer to where the full notice is found.\n\none line to give the library\'s name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under\nthe terms of the GNU Library General Public License as published by the Free\nSoftware Foundation; either version 2 of the License, or (at your option)\nany later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Library General Public License\nalong with this library; if not, write to the Free Software Foundation, Inc.,\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the library, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob\' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(97,'APL-1.0','ADAPTIVE PUBLIC LICENSE\n\nVersion 1.0\n\nTHE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THIS ADAPTIVE PUBLIC LICENSE\n(\"LICENSE\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE LICENSED WORK CONSTITUTES\nRECIPIENT\'S ACCEPTANCE OF THIS LICENSE AND ITS TERMS, WHETHER OR NOT SUCH\nRECIPIENT READS THE TERMS OF THIS LICENSE. \"LICENSED WORK\" AND \"RECIPIENT\"\nARE DEFINED BELOW.\n\nIMPORTANT NOTE: This License is \"adaptive\", and the generic version or another\nversion of an Adaptive Public License should not be relied upon to determine\nyour rights and obligations under this License. You must read the specific\nAdaptive Public License that you receive with the Licensed Work, as certain\nterms are defined at the outset by the Initial Contributor.\n\nSee Section 2.2 below, Exhibit A attached, and any Suppfile.txt accompanying\nthis License to determine the specific adaptive features applicable to this\nLicense. For example, without limiting the foregoing, (a) for selected choice\nof law and jurisdiction see Part 3 of Exhibit A; (b) for the selected definition\nof Third Party see Part 4 of Exhibit A; and (c) for selected patent licensing\nterms (if any) see Section 2.2 below and Part 6 of Exhibit A.\n\n   1. DEFINITIONS.\n\n      1.1. \"CONTRIBUTION\" means:\n\n(a) In the case of the Initial Contributor, the Initial Work distributed under\nthis License by the Initial Contributor; and\n\n(b) In the case of each Subsequent Contributor, the Subsequent Work originating\nfrom and distributed by such Subsequent Contributor.\n\n1.2. \"DESIGNATED WEB SITE\" means the web site having the URL identified in\nPart 1 of Exhibit A, which URL may be changed by the Initial Contributor by\nposting on the current Designated Web Site the new URL for at least sixty\n(60) days.\n\n1.3. \"DISTRIBUTOR\" means any Person that distributes the Licensed Work or\nany portion thereof to at least one Third Party.\n\n1.4. \"ELECTRONIC DISTRIBUTION MECHANISM\" means any mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n1.5. \"EXECUTABLE\" means the Licensed Work in any form other than Source Code.\n\n1.6. \"GOVERNING JURISDICTION\" means the state, province or other legal jurisdiction\nidentified in Part 3 of Exhibit A.\n\n1.7. \"INDEPENDENT MODULE\" means a separate module of software and/or data\nthat is not a derivative work of or copied from the Licensed Work or any portion\nthereof. In addition, a module does not qualify as an Independent Module but\ninstead forms part of the Licensed Work if the module: (a) is embedded in\nthe Licensed Work; (b) is included by reference in the Licensed Work other\nthan by a function call or a class reference; or (c) must be included or contained,\nin whole or in part, within a file directory or subdirectory actually containing\nfiles making up the Licensed Work.\n\n1.8. \"INITIAL CONTRIBUTOR\" means the Person or entity identified as the Initial\nContributor in the notice required by Part 1 of Exhibit A.\n\n1.9. \"INITIAL WORK\" means the initial Source Code, object code (if any) and\ndocumentation for the computer program identified in Part 2 of Exhibit A,\nas such Source Code, object code and documentation is distributed under this\nLicense by the Initial Contributor.\n\n1.10. \"LARGER WORK\" means a work that combines the Licensed Work or portions\nthereof with code not governed by this License.\n\n1.11. \"LICENSED WORK\" means the Initial Work and/or any Subsequent Work, in\neach case including portions thereof.\n\n      1.12. \"LICENSE NOTICE\" has the meaning assigned in Part 5 of Exhibit A.\n\n1.13. \"MODIFICATION\" or \"MODIFICATIONS\" means any change to and/or addition\nto the Licensed Work.\n\n1.14. \"PERSON\" means an individual or other legal entity, including a corporation,\npartnership or other body.\n\n1.15. \"RECIPIENT\" means any Person who receives or obtains the Licensed Work\nunder this License (by way of example, without limiting the foregoing, any\nSubsequent Contributor or Distributor).\n\n1.16. \"SOURCE CODE\" means the source code for a computer program, including\nthe source code for all modules and components of the computer program, plus\nany associated interface definition files, and scripts used to control compilation\nand installation of an executable.\n\n1.17. \"SUBSEQUENT CONTRIBUTOR\" means any Person that makes or contributes\nto the making of any Subsequent Work and that distributes that Subsequent\nWork to at least one Third Party.\n\n1.18. \"SUBSEQUENT WORK\" means a work that has resulted or arises from changes\nto and/or additions to:\n\n         (a) the Initial Work;\n\n         (b) any other Subsequent Work; or\n\n(c) to any combination of the Initial Work and any such other Subsequent Work;\n\nwhere such changes and/or additions originate from a Subsequent Contributor.\nA Subsequent Work will \"originate\" from a Subsequent Contributor if the Subsequent\nWork was a result of efforts by such Subsequent Contributor (or anyone acting\non such Subsequent Contributor\'s behalf, such as, a contractor or other entity\nthat is engaged by or under the direction of the Subsequent Contributor).\nFor greater certainty, a Subsequent Work expressly excludes and shall not\ncapture within its meaning any Independent Module.\n\n1.19. \"SUPPLEMENT FILE\" means a file distributed with the Licensed Work having\na file name \"suppfile.txt\".\n\n      1.20. \"THIRD PARTY\" has the meaning assigned in Part 4 of Exhibit A.\n\n   2. LICENSE.\n\n      2.1. COPYRIGHT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n(a) Subject to the terms of this License, the Initial Contributor hereby grants\neach Recipient a world-wide, royalty-free, non-exclusive copyright license\nto:\n\n(i) reproduce, prepare derivative works of, publicly display, publicly perform,\ndistribute and sublicense the Initial Work; and\n\n(ii) reproduce, publicly display, publicly perform, distribute, and sublicense\nany derivative works (if any) prepared by Recipient;\n\nin Source Code and Executable form, either with other Modifications, on an\nunmodified basis, or as part of a Larger Work.\n\n(b) Subject to the terms of this License, each Subsequent Contributor hereby\ngrants each Recipient a world-wide, royalty-free, non-exclusive copyright\nlicense to:\n\n(i) reproduce, prepare derivative works of, publicly display, publicly perform,\ndistribute and sublicense the Subsequent Work of such Subsequent Contributor;\nand\n\n(ii) reproduce, publicly display, publicly perform, distribute, and sublicense\nany derivative works (if any) prepared by Recipient;\n\nin Source Code and Executable form, either with other Modifications, on an\nunmodified basis, or as part of a Larger Work.\n\n      2.2. PATENT LICENSE FROM INITIAL AND SUBSEQUENT CONTRIBUTORS.\n\n(a) This License does not include or grant any patent license whatsoever from\nthe Initial Contributor, Subsequent Contributor, or any Distributor unless,\nat the time the Initial Work is first distributed or made available under\nthis License (as the case may be), the Initial Contributor has selected pursuant\nto Part 6 of Exhibit A the patent terms in paragraphs A, B, C, D and E from\nPart 6 of Exhibit A. If this is not done then the Initial Work and any other\nSubsequent Work is made available under the License without any patent license\n(the \"PATENTS-EXCLUDED LICENSE\").\n\n(b) However, the Initial Contributor may subsequently distribute or make available\n(as the case may be) future copies of: (1) the Initial Work; or (2) any Licensed\nWork distributed by the Initial Contributor which includes the Initial Work\n(or any portion thereof) and/or any Modification made by the Initial Contributor;\navailable under a License which includes a patent license (the \"PATENTS-INCLUDED\nLICENSE\") by selecting pursuant to Part 6 of Exhibit A the patent terms in\nparagraphs A, B, C, D and E from Part 6 of Exhibit A, when the Initial Contributor\ndistributes or makes available (as the case may be) such future copies under\nthis License.\n\n(c) If any Recipient receives or obtains one or more copies of the Initial\nWork or any other portion of the Licensed Work under the Patents-Included\nLicense, then all licensing of such copies under this License shall include\nthe terms in paragraphs A, B, C, D and E from Part 6 of Exhibit A and that\nRecipient shall not be able to rely upon the Patents-Excluded License for\nany such copies. However, all Recipients that receive one or more copies of\nthe Initial Work or any other portion of the Licensed Work under a copy of\nthe License which includes the Patents-Excluded License shall have no patent\nlicense with respect to such copies received under the Patents-Excluded License\nand availability and distribution of such copies, including Modifications\nmade by such Recipient to such copies, shall be under a copy of the License\nwithout any patent license.\n\n(d) Where a Recipient uses in combination or combines any copy of the Licensed\nWork (or portion thereof) licensed under a copy of the License having a Patents-Excluded\nLicense with any copy of the Licensed Work (or portion thereof) licensed under\na copy of the License having a Patents-Included License, the combination (and\nany portion thereof) shall, from the first time such Recipient uses, makes\navailable or distributes the combination (as the case may be), be subject\nto only the terms of the License having the Patents-Included License which\nshall include the terms in paragraphs A, B, C, D and E from Part 6 of Exhibit\nA.\n\n      2.3. ACKNOWLEDGEMENT AND DISCLAIMER.\n\nRecipient understands and agrees that although Initial Contributor and each\nSubsequent Contributor grants the licenses to its Contributions set forth\nherein, no representation, warranty, guarantee or assurance is provided by\nany Initial Contributor, Subsequent Contributor, or Distributor that the Licensed\nWork does not infringe the patent or other intellectual property rights of\nany other entity. Initial Contributor, Subsequent Contributor, and each Distributor\ndisclaims any liability to Recipient for claims brought by any other entity\nbased on infringement of intellectual property rights or otherwise, in relation\nto the Licensed Works. As a condition to exercising the rights and licenses\ngranted hereunder, each Recipient hereby assumes sole responsibility to secure\nany other intellectual property rights needed, if any. For example, without\nlimiting the foregoing disclaimers, if a third party patent license is required\nto allow Recipient to distribute the Licensed Work, it is Recipient\'s responsibility\nto acquire that license before distributing the Licensed Work.\n\n      2.4. RESERVATION.\n\nNothing in this License shall be deemed to grant any rights to trademarks,\ncopyrights, patents, trade secrets or any other intellectual property of Initial\nContributor, Subsequent Contributor, or Distributor except as expressly stated\nherein.\n\n   3. DISTRIBUTION OBLIGATIONS.\n\n      3.1. DISTRIBUTION GENERALLY.\n\n(a) A Subsequent Contributor shall make that Subsequent Contributor\'s Subsequent\nWork(s) available to the public via an Electronic Distribution Mechanism for\na period of at least twelve (12) months. The aforesaid twelve (12) month period\nshall begin within a reasonable time after the creation of the Subsequent\nWork and no later than sixty (60) days after first distribution of that Subsequent\nContributor\'s Subsequent Work.\n\n(b) All Distributors must distribute the Licensed Work in accordance with\nthe terms of the License, and must include a copy of this License (including\nwithout limitation Exhibit A and the accompanying Supplement File) with each\ncopy of the Licensed Work distributed. In particular, this License must be\nprominently distributed with the Licensed Work in a file called \"license.txt.\"\nIn addition, the License Notice in Part 5 of Exhibit A must be included at\nthe beginning of all Source Code files, and viewable to a user in any executable\nsuch that the License Notice is reasonably brought to the attention of any\nparty using the Licensed Work.\n\n      3.2. EXECUTABLE DISTRIBUTIONS OF THE LICENSED WORK.\n\nA Distributor may choose to distribute the Licensed Work, or any portion thereof,\nin Executable form (an \"EXECUTABLE DISTRIBUTION\") to any third party, under\nthe terms of Section 2 of this License, provided the Executable Distribution\nis made available under and accompanied by a copy of this License, AND provided\nat least ONE of the following conditions is fulfilled:\n\n(a) The Executable Distribution must be accompanied by the Source Code for\nthe Licensed Work making up the Executable Distribution, and the Source Code\nmust be distributed on the same media as the Executable Distribution or using\nan Electronic Distribution Mechanism; or\n\n(b) The Executable Distribution must be accompanied with a written offer,\nvalid for at least thirty six (36) months, to give any third party under the\nterms of this License, for a charge no more than the cost of physically performing\nsource distribution, a complete machine-readable copy of the Source Code for\nthe Licensed Work making up the Executable Distribution, to be available and\ndistributed using an Electronic Distribution Mechanism, and such Executable\nDistribution must remain available in Source Code form to any third party\nvia the Electronic Distribution Mechanism (or any replacement Electronic Distribution\nMechanism the particular Distributor may reasonably need to turn to as a substitute)\nfor said at least thirty six (36) months.\n\nFor greater certainty, the above-noted requirements apply to any Licensed\nWork or portion thereof distributed to any third party in Executable form,\nwhether such distribution is made alone, in combination with a Larger Work\nor Independent Modules, or in some other combination.\n\n      3.3. SOURCE CODE DISTRIBUTIONS.\n\nWhen a Distributor makes the Licensed Work, or any portion thereof, available\nto any Person in Source Code form, it must be made available under this License\nand a copy of this License must be included with each copy of the Source Code,\nsituated so that the copy of the License is conspicuously brought to the attention\nof that Person. For greater clarification, this Section 3.3 applies to all\ndistribution of the Licensed Work in any Source Code form. A Distributor may\ncharge a fee for the physical act of transferring a copy, which charge shall\nbe no more than the cost of physically performing source distribution.\n\n      3.4. REQUIRED NOTICES IN SOURCE CODE.\n\nEach Subsequent Contributor must ensure that the notice set out in Part 5\nof Exhibit A is included in each file of the Source Code for each Subsequent\nWork originating from that particular Subsequent Contributor, if such notice\nis not already included in each such file. If it is not possible to put such\nnotice in a particular Source Code file due to its structure, then the Subsequent\nContributor must include such notice in a location (such as a relevant directory\nin which the file is stored) where a user would be likely to look for such\na notice.\n\n      3.5. NO DISTRIBUTION REQUIREMENTS FOR INTERNALLY USED MODIFICATIONS.\n\nNotwithstanding Sections 3.2, 3.3 and 3.4, Recipient may, internally within\nits own corporation or organization use the Licensed Work, including the Initial\nWork and Subsequent Works, and make Modifications for internal use within\nRecipient\'s own corporation or organization (collectively, \"INTERNAL USE MODIFICATIONS\").\nThe Recipient shall have no obligation to distribute, in either Source Code\nor Executable form, any such Internal Use Modifications made by Recipient\nin the course of such internal use, except where required below in this Section\n3.5. All Internal Use Modifications distributed to any Person, whether or\nnot a Third Party, shall be distributed pursuant to and be accompanied by\nthe terms of this License. If the Recipient chooses to distribute any such\nInternal Use Modifications to any Third Party, then the Recipient shall be\ndeemed a Subsequent Contributor, and any such Internal Use Modifications distributed\nto any Third Party shall be deemed a Subsequent Work originating from that\nSubsequent Contributor, and shall from the first such instance become part\nof the Licensed Work that must thereafter be distributed and made available\nto third parties in accordance with the terms of Sections 3.1 to 3.4 inclusive.\n\n      3.6. INDEPENDENT MODULES.\n\nThis License shall not apply to Independent Modules of any Initial Contributor,\nSubsequent Contributor, Distributor or any Recipient, and such Independent\nModules may be licensed or made available under one or more separate license\nagreements.\n\n      3.7. LARGER WORKS.\n\nAny Distributor or Recipient may create or contribute to a Larger Work by\ncombining any of the Licensed Work with other code not governed by the terms\nof this License, and may distribute the Larger Work as one or more products.\nHowever, in any such case, Distributor or Recipient (as the case may be) must\nmake sure that the requirements of this License are fulfilled for the Licensed\nWork portion of the Larger Work.\n\n      3.8. DESCRIPTION OF DISTRIBUTED MODIFICATIONS.\n\n(a) Each Subsequent Contributor (including the Initial Contributor where the\nInitial Contributor also qualifies as a Subsequent Contributor) must cause\neach Subsequent Work created or contributed to by that Subsequent Contributor\nto contain a file documenting the changes, in accordance with the requirements\nof Part 1 of the Supplement File, that such Subsequent Contributor made in\nthe creation or contribution to that Subsequent Work. If no Supplement File\nexists or no requirements are set out in Part 1 of the Supplement File, then\nthere are no requirements for Subsequent Contributors to document changes\nthat they make resulting in Subsequent Works.\n\n(b) The Initial Contributor may at any time introduce requirements or add\nto or change earlier requirements (in each case, the \"EARLIER DESCRIPTION\nREQUIREMENTS\") for documenting changes resulting in Subsequent Works by revising\nPart 1 of each copy of the Supplement File distributed by the Initial Contributor\nwith future copies of the Licensed Work so that Part 1 then contains new requirements\n(the \"NEW DESCRIPTION REQUIREMENTS\") for documenting such changes.\n\n(c) Any Recipient receiving at any time any copy of an Initial Work or any\nSubsequent Work under a copy of this License (in each case, an \"Earlier LICENSED\nCOPY\") having the Earlier Description Requirements may choose, with respect\nto each such Earlier Licensed Copy, to comply with the Earlier Description\nRequirements or the New Description Requirements. Where a Recipient chooses\nto comply with the New Description Requirements, that Recipient will, when\nthereafter distributing any copies of any such Earlier Licensed Copy, include\na Supplement File having a section entitled Part 1 that contains a copy of\nthe New Description Requirements.\n\n(d) For greater certainty, the intent of Part 1 of the Supplement File is\nto provide a mechanism (if any) by which Subsequent Contributors must document\nchanges that they make to the Licensed Work resulting in Subsequent Works.\nPart 1 of any Supplement File shall not be used to increase or reduce the\nscope of the license granted in Article 2 of this License or in any other\nway increase or decrease the rights and obligations of any Recipient, and\nshall at no time serve as the basis for terminating the License. Further,\na Recipient can be required to correct and change its documentation procedures\nto comply with Part 1 of the Supplement File, but cannot be penalised with\ndamages. Part 1 of any Supplement File is only binding on each Recipient of\nany Licensed Work to the extent Part 1 sets out the requirements for documenting\nchanges to the Initial Work or any Subsequent Work.\n\n(e) An example of a set of requirements for documenting changes and contributions\nmade by Subsequent Contributor is set out in Part 7 of Exhibit A of this License.\nPart 7 is a sample only and is not binding on Recipients, unless (subject\nto the earlier paragraphs of this Section 3.8) those are the requirements\nthat the Initial Contributor includes in Part 1 of the Supplement File with\nthe copies of the Initial Work distributed under this License.\n\n      3.9. USE OF DISTRIBUTOR NAME.\n\nThe name of a Distributor may not be used by any other Distributor to endorse\nor promote the Licensed Work or products derived from the Licensed Work, without\nprior written permission.\n\n      3.10. LIMITED RECOGNITION OF INITIAL CONTRIBUTOR.\n\n(a) As a modest attribution to the Initial Contributor, in the hope that its\npromotional value may help justify the time, money and effort invested in\nwriting the Initial Work, the Initial Contributor may include in Part 2 of\nthe Supplement File a requirement that each time an executable program resulting\nfrom the Initial Work or any Subsequent Work, or a program dependent thereon,\nis launched or run, a prominent display of the Initial Contributor\'s attribution\ninformation must occur (the \"ATTRIBUTION INFORMATION\"). The Attribution Information\nmust be included at the beginning of each Source Code file. For greater certainty,\nthe Initial Contributor may specify in the Supplement File that the above\nattribution requirement only applies to an executable program resulting from\nthe Initial Work or any Subsequent Work, but not a program dependent thereon.\nThe intent is to provide for reasonably modest attribution, therefore the\nInitial Contributor may not require Recipients to display, at any time, more\nthan the following Attribution Information: (a) a copyright notice including\nthe name of the Initial Contributor; (b) a word or one phrase (not exceeding\n10 words); (c) one digital image or graphic provided with the Initial Work;\nand (d) a URL (collectively, the \"ATTRIBUTION LIMITS\").\n\n(b) If no Supplement File exists, or no Attribution Information is set out\nin Part 2 of the Supplement File, then there are no requirements for Recipients\nto display any Attribution Information of the Initial Contributor.\n\n(c) Each Recipient acknowledges that all trademarks, service marks and/or\ntrade names contained within Part 2 of the Supplement File distributed with\nthe Licensed Work are the exclusive property of the Initial Contributor and\nmay only be used with the permission of the Initial Contributor, or under\ncircumstances otherwise permitted by law, or as expressly set out in this\nLicense.\n\n3.11. For greater certainty, any description or attribution provisions contained\nwithin a Supplement File may only be used to specify the nature of the description\nor attribution requirements, as the case may be. Any provision in a Supplement\nFile that otherwise purports to modify, vary, nullify or amend any right,\nobligation or representation contained herein shall be deemed void to that\nextent, and shall be of no force or effect.\n\n   4. COMMERCIAL USE AND INDEMNITY.\n\n      4.1. COMMERCIAL SERVICES.\n\nA Recipient (\"COMMERCIAL RECIPIENT\") may choose to offer, and to charge a\nfee for, warranty, support, indemnity or liability obligations (collectively,\n\"SERVICES\") to one or more other Recipients or Distributors. However, such\nCommercial Recipient may do so only on that Commercial Recipient\'s own behalf,\nand not on behalf of any other Distributor or Recipient, and Commercial Recipient\nmust make it clear than any such warranty, support, indemnity or liability\nobligation(s) is/are offered by Commercial Recipient alone. At no time may\nCommercial Recipient use any Services to deny any party the Licensed Work\nin Source Code or Executable form when so required under any of the other\nterms of this License. For greater certainty, this Section 4.1 does not diminish\nany of the other terms of this License, including without limitation the obligation\nof the Commercial Recipient as a Distributor, when distributing any of the\nLicensed Work in Source Code or Executable form, to make such distribution\nroyalty-free (subject to the right to charge a fee of no more than the cost\nof physically performing Source Code or Executable distribution (as the case\nmay be)).\n\n      4.2. INDEMNITY.\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this License is\nintended to facilitate the commercial use of the Licensed Work, the Distributor\nwho includes any of the Licensed Work in a commercial product offering should\ndo so in a manner which does not create potential liability for other Distributors.\nTherefore, if a Distributor includes the Licensed Work in a commercial product\noffering or offers any Services, such Distributor (\"COMMERCIAL DISTRIBUTOR\")\nhereby agrees to defend and indemnify every other Distributor or Subsequent\nContributor (in each case an \"INDEMNIFIED PARTY\") against any losses, damages\nand costs (collectively \"LOSSES\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Party to the\nextent caused by the acts or omissions of such Commercial Distributor in connection\nwith its distribution of any of the Licensed Work in a commercial product\noffering or in connection with any Services. The obligations in this section\ndo not apply to any claims or Losses relating to any actual or alleged intellectual\nproperty infringement. In order to qualify, an Indemnified Party must: (a)\npromptly notify the Commercial Distributor in writing of such claim; and (b)\nallow the Commercial Distributor to control, and co-operate with the Commercial\nDistributor in, the defense and any related settlement negotiations. The Indemnified\nParty may participate in any such claim at its own expense.\n\n   5. VERSIONS OF THE LICENSE.\n\n      5.1. NEW VERSIONS.\n\nThe Initial Contributor may publish revised and/or new versions of the License\nfrom time to time. Each version will be given a distinguishing version number.\n\n      5.2. EFFECT OF NEW VERSIONS.\n\nOnce the Licensed Work or any portion thereof has been published by Initial\nContributor under a particular version of the License, Recipient may choose\nto continue to use it under the terms of that version. However, if a Recipient\nchooses to use the Licensed Work under the terms of any subsequent version\nof the License published by the Initial Contributor, then from the date of\nmaking this choice, the Recipient must comply with the terms of that subsequent\nversion with respect to all further reproduction, preparation of derivative\nworks, public display of, public performance of, distribution and sublicensing\nby the Recipient in connection with the Licensed Work. No one other than the\nInitial Contributor has the right to modify the terms applicable to the Licensed\nWork\n\n   6. DISCLAIMER OF WARRANTY.\n\n      6.1. GENERAL DISCLAIMER.\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE LICENSED WORK IS PROVIDED\nUNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT ANY REPRESENTATION, WARRANTY,\nGUARANTEE, ASSURANCE OR CONDITION OF ANY KIND, EITHER EXPRESSED OR IMPLIED,\nINCLUDING, WITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,\nMERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO\nTHE QUALITY AND PERFORMANCE OF THE LICENSED WORK IS WITH RECIPIENT. SHOULD\nANY LICENSED WORK PROVE DEFECTIVE IN ANY RESPECT, RECIPIENT (NOT THE INITIAL\nCONTRIBUTOR OR ANY SUBSEQUENT CONTRIBUTOR) ASSUMES THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. THIS CLAUSE CONSTITUTES AN ESSENTIAL PART\nOF THIS LICENSE. NO USE OF ANY LICENSED WORK IS AUTHORIZED HEREUNDER EXCEPT\nUNDER THIS LICENSE INCLUDING WITHOUT LIMITATION THIS DISCLAIMER.\n\n      6.2. RESPONSIBILITY OF RECIPIENTS.\n\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Licensed Work and assumes all risks associated\nwith its exercise of rights under this License, including but not limited\nto the risks and costs of program errors, compliance with applicable laws,\ndamage to or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n   7. TERMINATION.\n\n7.1. This License shall continue until terminated in accordance with the express\nterms herein.\n\n7.2. Recipient may choose to terminate this License automatically at any time.\n\n7.3. This License, including without limitation the rights granted hereunder\nto a particular Recipient, will terminate automatically if such Recipient\nis in material breach of any of the terms of this License and fails to cure\nsuch breach within sixty (60) days of becoming aware of the breach. Without\nlimiting the foregoing, any material breach by such Recipient of any term\nof any other License under which such Recipient is granted any rights to the\nLicensed Work shall constitute a material breach of this License.\n\n7.4. Upon termination of this License by or with respect to a particular Recipient\nfor any reason, all rights granted hereunder and under any other License to\nthat Recipient shall terminate. However, all sublicenses to the Licensed Work\nwhich were previously properly granted by such Recipient under a copy of this\nLicense (in each case, an \"Other License\" and in plural, \"Other Licenses\")\nshall survive any such termination of this License, including without limitation\nthe rights and obligations under such Other Licenses as set out in their respective\nSections 2, 3, 4, 5, 6, 7 and 8, mutatis mutandis, for so long as the respective\nsublicensees (i.e. other Recipients) remain in compliance with the terms of\nthe copy of this License under which such sublicensees received rights to\nthe Licensed Work. Any termination of such Other Licenses shall be pursuant\nto their respective Section 7, mutatis mutandis. Provisions which, by their\nnature, must remain in effect beyond the termination of this License shall\nsurvive.\n\n7.5. Upon any termination of this License by or with respect to a particular\nRecipient, Sections 4.1, 4.2, 6.1, 6.2, 7.4, 7.5, 8.1, and 8.2, together with\nall provisions of this License necessary for the interpretation and enforcement\nof same, shall expressly survive such termination.\n\n   8. LIMITATION OF LIABILITY.\n\n8.1. IN NO EVENT SHALL ANY OF INITIAL CONTRIBUTOR, ITS SUBSIDIARIES, OR AFFILIATES,\nOR ANY OF ITS OR THEIR RESPECTIVE OFFICERS, DIRECTORS, EMPLOYEES, AND/OR AGENTS\n(AS THE CASE MAY BE), HAVE ANY LIABILITY FOR ANY DIRECT DAMAGES, INDIRECT\nDAMAGES, PUNITIVE DAMAGES, INCIDENTAL DAMAGES, SPECIAL DAMAGES, EXEMPLARY\nDAMAGES, CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHATSOEVER (INCLUDING\nWITHOUT LIMITATION LOSS OF USE, DATA OR PROFITS, OR ANY OTHER LOSS ARISING\nOUT OF OR IN ANY WAY RELATED TO THE USE, INABILITY TO USE, UNAUTHORIZED USE,\nPERFORMANCE, OR NON-PERFORMANCE OF THE LICENSED WORK OR ANY PART THEREOF OR\nTHE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, OR THAT RESULT FROM\nERRORS, DEFECTS, OMISSIONS, DELAYS IN OPERATION OR TRANSMISSION, OR ANY OTHER\nFAILURE OF PERFORMANCE), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nIN RELATION TO OR ARISING IN ANY WAY OUT OF THIS LICENSE OR THE USE OR DISTRIBUTION\nOF THE LICENSED WORK OR THE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN\nIF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nTHIS CLAUSE CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY LICENSED\nWORK IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS LICENSE INCLUDING WITHOUT LIMITATION\nTHE LIMITATIONS SET FORTH IN THIS SECTION 8.1.\n\n8.2. EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, EACH RECIPIENT SHALL NOT\nHAVE ANY LIABILITY FOR ANY EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING\nWITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\nWHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE LICENSED WORK OR\nTHE EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY\nFOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\'S NEGLIGENCE TO THE\nEXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\n\n   9. GOVERNING LAW AND LEGAL ACTION.\n\n9.1. This License shall be governed by and construed in accordance with the\nlaws of the Governing Jurisdiction assigned in Part 3 of Exhibit A, without\nregard to its conflict of law provisions. No party may bring a legal action\nunder this License more than one year after the cause of the action arose.\nEach party waives its rights (if any) to a jury trial in any litigation arising\nunder this License. Note that if the Governing Jurisdiction is not assigned\nin Part 3 of Exhibit A, then the Governing Jurisdiction shall be the State\nof New York.\n\n9.2. The courts of the Governing Jurisdiction shall have jurisdiction, but\nnot exclusive jurisdiction, to entertain and determine all disputes and claims,\nwhether for specific performance, injunction, damages or otherwise, both at\nlaw and in equity, arising out of or in any way relating to this License,\nincluding without limitation, the legality, validity, existence and enforceability\nof this License. Each party to this License hereby irrevocably attorns to\nand accepts the jurisdiction of the courts of the Governing Jurisdiction for\nsuch purposes.\n\n9.3. Except as expressly set forth elsewhere herein, in the event of any action\nor proceeding brought by any party against another under this License the\nprevailing party shall be entitled to recover all costs and expenses including\nthe fees of its attorneys in such action or proceeding in such amount as the\ncourt may adjudge reasonable.\n\n   10. MISCELLANEOUS.\n\n10.1. The obligations imposed by this License are for the benefit of the Initial\nContributor and any Recipient, and each Recipient acknowledges and agrees\nthat the Initial Contributor and/or any other Recipient may enforce the terms\nand conditions of this License against any Recipient.\n\n10.2. This License represents the complete agreement concerning subject matter\nhereof, and supersedes and cancels all previous oral and written communications,\nrepresentations, agreements and understandings between the parties with respect\nto the subject matter hereof.\n\n10.3. The application of the United Nations Convention on Contracts for the\nInternational Sale of Goods is expressly excluded.\n\n10.4. The language in all parts of this License shall be in all cases construed\nsimply according to its fair meaning, and not strictly for or against any\nof the parties hereto. Any law or regulation which provides that the language\nof a contract shall be construed against the drafter shall not apply to this\nLicense.\n\n10.5. If any provision of this License is invalid or unenforceable under the\nlaws of the Governing Jurisdiction, it shall not affect the validity or enforceability\nof the remainder of the terms of this License, and without further action\nby the parties hereto, such provision shall be reformed to the minimum extent\nnecessary to make such provision valid and enforceable.\n\n10.6. The paragraph headings of this License are for reference and convenience\nonly and are not a part of this License, and they shall have no effect upon\nthe construction or interpretation of any part hereof.\n\n10.7. Each of the terms \"including\", \"include\" and \"includes\", when used in\nthis License, is not limiting whether or not non-limiting language (such as\n\"without limitation\" or \"but not limited to\" or words of similar import) is\nused with reference thereto.\n\n10.8. The parties hereto acknowledge they have expressly required that this\nLicense and notices relating thereto be drafted in the English language. //***THE\nLICENSE TERMS END HERE (OTHER THAN AS SET OUT IN EXHIBIT A).***//\n\nEXHIBIT A (to the Adaptive Public License)\n\n   PART 1: INITIAL CONTRIBUTOR AND DESIGNATED WEB SITE\n\n   The Initial Contributor is:\n\n   ________________________________________________\n\n   [Enter full name of Initial Contributor]\n\n   \n\n   Address of Initial Contributor:\n\n   ________________________________________________\n\n   ________________________________________________\n\n   ________________________________________________\n\n   [Enter address above]\n\n   \n\n   The Designated Web Site is:\n\n   ________________________________________________\n\n   [Enter URL for Designated Web Site of Initial Contributor]\n\n   \n\nNOTE: The Initial Contributor is to complete this Part 1, along with Parts\n2, 3, and 5, and, if applicable, Parts 4 and 6.\n\n   PART 2: INITIAL WORK\n\nThe Initial Work comprises the computer program(s) distributed by the Initial\nContributor having the following title(s): _______________________________________________.\n\nThe date on which the Initial Work was first available under this License:\n_________________\n\n   PART 3: GOVERNING JURISDICTION\n\nFor the purposes of this License, the Governing Jurisdiction is _________________________________________________.\n[Initial Contributor to Enter Governing Jurisdiction here]\n\n   PART 4: THIRD PARTIES\n\nFor the purposes of this License, \"Third Party\" has the definition set forth\nbelow in the ONE paragraph selected by the Initial Contributor from paragraphs\nA, B, C, D and E when the Initial Work is distributed or otherwise made available\nby the Initial Contributor. To select one of the following paragraphs, the\nInitial Contributor must place an \"X\" or \"x\" in the selection box alongside\nthe one respective paragraph selected.\n\n   SELECTION\n\n   BOX PARAGRAPH\n\n      \n\n      [ ] A. \"THIRD PARTY\" means any third party.\n\n      \n\n[ ] B. \"THIRD PARTY\" means any third party except for any of the following:\n(a) a wholly owned subsidiary of the Subsequent Contributor in question; (b)\na legal entity (the \"PARENT\") that wholly owns the Subsequent Contributor\nin question; or (c) a wholly owned subsidiary of the wholly owned subsidiary\nin (a) or of the Parent in (b).\n\n      \n\n[ ] C. \"THIRD PARTY\" means any third party except for any of the following:\n(a) any Person directly or indirectly owning a majority of the voting interest\nin the Subsequent Contributor or (b) any Person in which the Subsequent Contributor\ndirectly or indirectly owns a majority voting interest.\n\n      \n\n[ ] D. \"THIRD PARTY\" means any third party except for any Person directly\nor indirectly controlled by the Subsequent Contributor. For purposes of this\ndefinition, \"control\" shall mean the power to direct or cause the direction\nof, the management and policies of such Person whether through the ownership\nof voting interests, by contract, or otherwise.\n\n      \n\n[ ] E. \"THIRD PARTY\" means any third party except for any Person directly\nor indirectly controlling, controlled by, or under common control with the\nSubsequent Contributor. For purposes of this definition, \"control\" shall mean\nthe power to direct or cause the direction of, the management and policies\nof such Person whether through the ownership of voting interests, by contract,\nor otherwise.\n\nThe default definition of \"THIRD PARTY\" is the definition set forth in paragraph\nA, if NONE OR MORE THAN ONE of paragraphs A, B, C, D or E in this Part 4 are\nselected by the Initial Contributor.\n\n   PART 5: NOTICE\n\nTHE LICENSED WORK IS PROVIDED UNDER THE TERMS OF THE ADAPTIVE PUBLIC LICENSE\n(\"LICENSE\") AS FIRST COMPLETED BY: ______________________ [Insert the name\nof the Initial Contributor here]. ANY USE, PUBLIC DISPLAY, PUBLIC PERFORMANCE,\nREPRODUCTION OR DISTRIBUTION OF, OR PREPARATION OF DERIVATIVE WORKS BASED\nON, THE LICENSED WORK CONSTITUTES RECIPIENT\'S ACCEPTANCE OF THIS LICENSE AND\nITS TERMS, WHETHER OR NOT SUCH RECIPIENT READS THE TERMS OF THE LICENSE. \"LICENSED\nWORK\" AND \"RECIPIENT\" ARE DEFINED IN THE LICENSE. A COPY OF THE LICENSE IS\nLOCATED IN THE TEXT FILE ENTITLED \"LICENSE.TXT\" ACCOMPANYING THE CONTENTS\nOF THIS FILE. IF A COPY OF THE LICENSE DOES NOT ACCOMPANY THIS FILE, A COPY\nOF THE LICENSE MAY ALSO BE OBTAINED AT THE FOLLOWING WEB SITE: ___________________________________________________[Insert\nInitial Contributor\'s Designated Web Site here]\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\n   PART 6: PATENT LICENSING TERMS\n\nFor the purposes of this License, paragraphs A, B, C, D and E of this Part\n6 of Exhibit A are only incorporated and form part of the terms of the License\nif the Initial Contributor places an \"X\" or \"x\" in the selection box alongside\nthe YES answer to the question immediately below.\n\n   Is this a Patents-Included License pursuant to Section 2.2 of the License?\n\n      \n\n      YES [ ]\n\n      \n\n      NO [ ]\n\nBy default, if YES is not selected by the Initial Contributor, the answer\nis NO.\n\nA. For the purposes of the paragraphs in this Part 6 of Exhibit A, \"LICENSABLE\"\nmeans having the right to grant, to the maximum extent possible, whether at\nthe time of the initial grant or subsequently acquired, any and all of the\nrights granted herein.\n\nB. The Initial Contributor hereby grants all Recipients a world-wide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims,\nunder patent claim(s) Licensable by the Initial Contributor that are or would\nbe infringed by the making, using, selling, offering for sale, having made,\nimporting, exporting, transfer or disposal of such Initial Work or any portion\nthereof. Notwithstanding the foregoing, no patent license is granted under\nthis Paragraph B by the Initial Contributor: (1) for any code that the Initial\nContributor deletes from the Initial Work (or any portion thereof) distributed\nby the Initial Contributor prior to such distribution; (2) for any Modifications\nmade to the Initial Work (or any portion thereof) by any other Person; or\n(3) separate from the Initial Work (or portions thereof) distributed or made\navailable by the Initial Contributor.\n\nC. Effective upon distribution by a Subsequent Contributor to a Third Party\nof any Modifications made by that Subsequent Contributor, such Subsequent\nContributor hereby grants all Recipients a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims, under patent\nclaim(s) Licensable by such Subsequent Contributor that are or would be infringed\nby the making, using, selling, offering for sale, having made, importing,\nexporting, transfer or disposal of any such Modifications made by that Subsequent\nContributor alone and/or in combination with its Subsequent Work (or portions\nof such combination) to make, use, sell, offer for sale, have made, import,\nexport, transfer and otherwise dispose of:\n\n(1) Modifications made by that Subsequent Contributor (or portions thereof);\nand\n\n(2) the combination of Modifications made by that Subsequent Contributor with\nits Subsequent Work (or portions of such combination);\n\n         (collectively and in each case, the \"SUBSEQUENT CONTRIBUTOR VERSION\").\n\nNotwithstanding the foregoing, no patent license is granted under this Paragraph\nC by such Subsequent Contributor: (1) for any code that such Subsequent Contributor\ndeletes from the Subsequent Contributor Version (or any portion thereof) distributed\nby the Subsequent Contributor prior to such distribution; (2) for any Modifications\nmade to the Subsequent Contributor Version (or any portion thereof) by any\nother Person; or (3) separate from the Subsequent Contributor Version (or\nportions thereof) distributed or made available by the Subsequent Contributor.\n\nD. Effective upon distribution of any Licensed Work by a Distributor to a\nThird Party, such Distributor hereby grants all Recipients a world-wide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims,\nunder patent claim(s) Licensable by such Distributor that are or would be\ninfringed by the making, using, selling, offering for sale, having made, importing,\nexporting, transfer or disposal of any such Licensed Work distributed by such\nDistributor, to make, use, sell, offer for sale, have made, import, export,\ntransfer and otherwise dispose of such Licensed Work or portions thereof (collectively\nand in each case, the \"DISTRIBUTOR VERSION\"). Notwithstanding the foregoing,\nno patent license is granted under this Paragraph D by such Distributor: (1)\nfor any code that such Distributor deletes from the Distributor Version (or\nany portion thereof) distributed by the Distributor prior to such distribution;\n(2) for any Modifications made to the Distributor Version (or any portion\nthereof) by any other Person; or (3) separate from the Distributor Version\n(or portions thereof) distributed or made available by the Distributor.\n\nE. If Recipient institutes patent litigation against another Recipient (a\n\"USER\") with respect to a patent applicable to a computer program or software\n(including a cross-claim or counterclaim in a lawsuit, and whether or not\nany of the patent claims are directed to a system, method, process, apparatus,\ndevice, product, article of manufacture or any other form of patent claim),\nthen any patent or copyright license granted by that User to such Recipient\nunder this License or any other copy of this License shall terminate. The\ntermination shall be effective ninety (90) days after notice of termination\nfrom User to Recipient, unless the Recipient withdraws the patent litigation\nclaim before the end of the ninety (90) day period. To be effective, any such\nnotice of license termination must include a specific list of applicable patents\nand/or a copy of the copyrighted work of User that User alleges will be infringed\nby Recipient upon License termination. License termination is only effective\nwith respect to patents and/or copyrights for which proper notice has been\ngiven.\n\n   PART 7: SAMPLE REQUIREMENTS FOR THE DESCRIPTION OF DISTRIBUTED MODIFICATIONS\n\nEach Subsequent Contributor (including the Initial Contributor where the Initial\nContributor qualifies as a Subsequent Contributor) is invited (but not required)\nto cause each Subsequent Work created or contributed to by that Subsequent\nContributor to contain a file documenting the changes such Subsequent Contributor\nmade to create that Subsequent Work and the date of any change.\n\n//***EXHIBIT A ENDS HERE.***//\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(98,'EUPL-1.1','European Union Public Licence V. 1.1\n\nEUPL (c) the European Community 2007\n\nThis European Union Public Licence (the \"EUPL\") applies to the Work or Software\n(as defined below) which is provided under the terms of this Licence. Any\nuse of the Work, other than as authorised under this Licence is prohibited\n(to the extent such use is covered by a right of the copyright holder of the\nWork).\n\nThe Original Work is provided under the terms of this Licence when the Licensor\n(as defined below) has placed the following notice immediately following the\ncopyright notice for the Original Work:\n\n   \n\n   Licensed under the EUPL V.1.1\n\n   \n\nor has expressed by any other mean his willingness to license under the EUPL.\n\n   1. Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n      - The Licence: this Licence.\n\n- The Original Work or the Software: the software distributed and/or communicated\nby the Licensor under this Licence, available as Source Code and also as Executable\nCode as the case may be.\n\n- Derivative Works: the works or software that could be created by the Licensee,\nbased upon the Original Work or modifications thereof. This Licence does not\ndefine the extent of modification or dependence on the Original Work required\nin order to classify a work as a Derivative Work; this extent is determined\nby copyright law applicable in the country mentioned in Article 15.\n\n      - The Work: the Original Work and/or its Derivative Works.\n\n- The Source Code: the human-readable form of the Work which is the most convenient\nfor people to study and modify.\n\n- The Executable Code: any code which has generally been compiled and which\nis meant to be interpreted by a computer as a program.\n\n- The Licensor: the natural or legal person that distributes and/or communicates\nthe Work under the Licence.\n\n- Contributor(s): any natural or legal person who modifies the Work under\nthe Licence, or otherwise contributes to the creation of a Derivative Work.\n\n- The Licensee or \"You\": any natural or legal person who makes any usage of\nthe Software under the terms of the Licence.\n\n- Distribution and/or Communication: any act of selling, giving, lending,\nrenting, distributing, communicating, transmitting, or otherwise making available,\non-line or off-line, copies of the Work or providing access to its essential\nfunctionalities at the disposal of any other natural or legal person.\n\n   2. Scope of the rights granted by the Licence\n\nThe Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\nsublicensable licence to do the following, for the duration of copyright vested\nin the Original Work:\n\n      - use the Work in any circumstance and for all usage,\n\n      - reproduce the Work,\n\n- modify the Original Work, and make Derivative Works based upon the Work,\n\n- communicate to the public, including the right to make available or display\nthe Work or copies thereof to the public and perform publicly, as the case\nmay be, the Work,\n\n      - distribute the Work or copies thereof,\n\n      - lend and rent the Work or copies thereof,\n\n      - sub-license rights in the Work or copies thereof.\n\nThose rights can be exercised on any media, supports and formats, whether\nnow known or later invented, as far as the applicable law permits so.\n\nIn the countries where moral rights apply, the Licensor waives his right to\nexercise his moral right to the extent allowed by law in order to make effective\nthe licence of the economic rights here above listed.\n\nThe Licensor grants to the Licensee royalty-free, non exclusive usage rights\nto any patents held by the Licensor, to the extent necessary to make use of\nthe rights granted on the Work under this Licence.\n\n   3. Communication of the Source Code\n\nThe Licensor may provide the Work either in its Source Code form, or as Executable\nCode. If the Work is provided as Executable Code, the Licensor provides in\naddition a machine-readable copy of the Source Code of the Work along with\neach copy of the Work that the Licensor distributes or indicates, in a notice\nfollowing the copyright notice attached to the Work, a repository where the\nSource Code is easily and freely accessible for as long as the Licensor continues\nto distribute and/or communicate the Work.\n\n   4. Limitations on copyright\n\nNothing in this Licence is intended to deprive the Licensee of the benefits\nfrom any exception or limitation to the exclusive rights of the rights owners\nin the Original Work or Software, of the exhaustion of those rights or of\nother applicable limitations thereto.\n\n   5. Obligations of the Licensee\n\nThe grant of the rights mentioned above is subject to some restrictions and\nobligations imposed on the Licensee. Those obligations are the following:\n\nAttribution right: the Licensee shall keep intact all copyright, patent or\ntrademarks notices and all notices that refer to the Licence and to the disclaimer\nof warranties. The Licensee must include a copy of such notices and a copy\nof the Licence with every copy of the Work he/she distributes and/or communicates.\nThe Licensee must cause any Derivative Work to carry prominent notices stating\nthat the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes and/or communicates copies of\nthe Original Works or Derivative Works based upon the Original Work, this\nDistribution and/or Communication will be done under the terms of this Licence\nor of a later version of this Licence unless the Original Work is expressly\ndistributed only under this version of the Licence. The Licensee (becoming\nLicensor) cannot offer or impose any additional terms or conditions on the\nWork or Derivative Work that alter or restrict the terms of the Licence.\n\nCompatibility clause: If the Licensee Distributes and/or Communicates Derivative\nWorks or copies thereof based upon both the Original Work and another work\nlicensed under a Compatible Licence, this Distribution and/or Communication\ncan be done under the terms of this Compatible Licence. For the sake of this\nclause, \"Compatible Licence,\" refers to the licences listed in the appendix\nattached to this Licence. Should the Licensee\'s obligations under the Compatible\nLicence conflict with his/her obligations under this Licence, the obligations\nof the Compatible Licence shall prevail.\n\nProvision of Source Code: When distributing and/or communicating copies of\nthe Work, the Licensee will provide a machine-readable copy of the Source\nCode or indicate a repository where this Source will be easily and freely\navailable for as long as the Licensee continues to distribute and/or communicate\nthe Work.\n\nLegal Protection: This Licence does not grant permission to use the trade\nnames, trademarks, service marks, or names of the Licensor, except as required\nfor reasonable and customary use in describing the origin of the Work and\nreproducing the content of the copyright notice.\n\n   6. Chain of Authorship\n\nThe original Licensor warrants that the copyright in the Original Work granted\nhereunder is owned by him/her or licensed to him/her and that he/she has the\npower and authority to grant the Licence.\n\nEach Contributor warrants that the copyright in the modifications he/she brings\nto the Work are owned by him/her or licensed to him/her and that he/she has\nthe power and authority to grant the Licence.\n\nEach time You accept the Licence, the original Licensor and subsequent Contributors\ngrant You a licence to their contributions to the Work, under the terms of\nthis Licence.\n\n   7. Disclaimer of Warranty\n\nThe Work is a work in progress, which is continuously improved by numerous\ncontributors. It is not a finished work and may therefore contain defects\nor \"bugs\" inherent to this type of software development.\n\nFor the above reason, the Work is provided under the Licence on an \"as is\"\nbasis and without warranties of any kind concerning the Work, including without\nlimitation merchantability, fitness for a particular purpose, absence of defects\nor errors, accuracy, non-infringement of intellectual property rights other\nthan copyright as stated in Article 6 of this Licence.\n\nThis disclaimer of warranty is an essential part of the Licence and a condition\nfor the grant of any rights to the Work.\n\n   8. Disclaimer of Liability\n\nExcept in the cases of wilful misconduct or damages directly caused to natural\npersons, the Licensor will in no event be liable for any direct or indirect,\nmaterial or moral, damages of any kind, arising out of the Licence or of the\nuse of the Work, including without limitation, damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, loss of data or any commercial\ndamage, even if the Licensor has been advised of the possibility of such damage.\nHowever, the Licensor will be liable under statutory product liability laws\nas far such laws apply to the Work.\n\n   9. Additional agreements\n\nWhile distributing the Original Work or Derivative Works, You may choose to\nconclude an additional agreement to offer, and charge a fee for, acceptance\nof support, warranty, indemnity, or other liability obligations and/or services\nconsistent with this Licence. However, in accepting such obligations, You\nmay act only on your own behalf and on your sole responsibility, not on behalf\nof the original Licensor or any other Contributor, and only if You agree to\nindemnify, defend, and hold each Contributor harmless for any liability incurred\nby, or claims asserted against such Contributor by the fact You have accepted\nany such warranty or additional liability.\n\n   10. Acceptance of the Licence\n\nThe provisions of this Licence can be accepted by clicking on an icon \"I agree\"\nplaced under the bottom of a window displaying the text of this Licence or\nby affirming consent in any other similar way, in accordance with the rules\nof applicable law. Clicking on that icon indicates your clear and irrevocable\nacceptance of this Licence and all of its terms and conditions.\n\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions\nby exercising any rights granted to You by Article 2 of this Licence, such\nas the use of the Work, the creation by You of a Derivative Work or the Distribution\nand/or Communication by You of the Work or copies thereof.\n\n   11. Information to the public\n\nIn case of any Distribution and/or Communication of the Work by means of electronic\ncommunication by You (for example, by offering to download the Work from a\nremote location) the distribution channel or media (for example, a website)\nmust at least provide to the public the information requested by the applicable\nlaw regarding the Licensor, the Licence and the way it may be accessible,\nconcluded, stored and reproduced by the Licensee.\n\n   12. Termination of the Licence\n\nThe Licence and the rights granted hereunder will terminate automatically\nupon any breach by the Licensee of the terms of the Licence. Such a termination\nwill not terminate the licences of any person who has received the Work from\nthe Licensee under the Licence, provided such persons remain in full compliance\nwith the Licence.\n\n   13. Miscellaneous\n\nWithout prejudice of Article 9 above, the Licence represents the complete\nagreement between the Parties as to the Work licensed hereunder.\n\nIf any provision of the Licence is invalid or unenforceable under applicable\nlaw, this will not affect the validity or enforceability of the Licence as\na whole. Such provision will be construed and/or reformed so as necessary\nto make it valid and enforceable.\n\nThe European Commission may publish other linguistic versions and/or new versions\nof this Licence, so far this is required and reasonable, without reducing\nthe scope of the rights granted by the Licence. New versions of the Licence\nwill be published with a unique version number.\n\nAll linguistic versions of this Licence, approved by the European Commission,\nhave identical value. Parties can take advantage of the linguistic version\nof their choice.\n\n   14. Jurisdiction\n\nAny litigation resulting from the interpretation of this License, arising\nbetween the European Commission, as a Licensor, and any Licensee, will be\nsubject to the jurisdiction of the Court of Justice of the European Communities,\nas laid down in article 238 of the Treaty establishing the European Community.\n\nAny litigation arising between Parties, other than the European Commission,\nand resulting from the interpretation of this License, will be subject to\nthe exclusive jurisdiction of the competent court where the Licensor resides\nor conducts its primary business.\n\n   15. Applicable Law\n\nThis Licence shall be governed by the law of the European Union country where\nthe Licensor resides or has his registered office.\n\n   This licence shall be governed by the Belgian law if:\n\n- a litigation arises between the European Commission, as a Licensor, and\nany Licensee;\n\n- the Licensor, other than the European Commission, has no residence or registered\noffice inside a European Union country.\n\nAppendix\n\n\"Compatible Licences\" according to article 5 EUPL are:\n\n   - GNU General Public License (GNU GPL) v. 2\n\n   - Open Software License (OSL) v. 2.1, v. 3.0\n\n   - Common Public License v. 1.0\n\n   - Eclipse Public License v. 1.0\n\n   - Cecill v. 2.0\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(99,'openvpn-openssl-exception','Special exception for linking OpenVPN with OpenSSL:\n\nIn addition, as a special exception, OpenVPN Technologies, Inc. gives permission to link the code of this program with the OpenSSL Library (or with modified versions of OpenSSL that use the same license as OpenSSL), and distribute linked combinations including the two. You must obey the GNU General Public License in all respects for all of the code used other than OpenSSL. If you modify this file, you may extend this exception to your version of the file, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(100,'Net-SNMP','---- Part 1: CMU/UCD copyright notice: (BSD like) -----\n\nCopyright 1989, 1991, 1992 by Carnegie Mellon University\n\nDerivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The Regents of\nthe University of California\n\nAll Rights Reserved\n\nPermission to use, copy, modify and distribute this software and its documentation\nfor any purpose and without fee is hereby granted, provided that the above\ncopyright notice appears in all copies and that both that copyright notice\nand this permission notice appear in supporting documentation, and that the\nname of CMU and The Regents of the University of California not be used in\nadvertising or publicity pertaining to distribution of the software without\nspecific written permission.\n\nCMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES\nWITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA\nBE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\nACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR\nIN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\n---- Part 2: Networks Associates Technology, Inc copyright notice (BSD) -----\n\nCopyright (c) 2001-2003, Networks Associates Technology, Inc All rights reserved.\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of the Networks Associates Technology, Inc nor the names\nof its contributors may be used to endorse or promote products derived from\nthis software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 3: Cambridge Broadband Ltd. copyright notice (BSD) -----\n\nPortions of this code are copyright (c) 2001-2003, Cambridge Broadband Ltd.\nAll rights reserved. Redistribution and use in source and binary forms, with\nor without modification, are permitted provided that the following conditions\nare met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* The name of Cambridge Broadband Ltd. may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS\'\' AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n\n---- Part 4: Sun Microsystems, Inc. copyright notice (BSD) -----\n\nCopyright © 2003 Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,\nCalifornia 95054, U.S.A. All rights reserved.\n\nUse is subject to license terms below.\n\nThis distribution may include materials developed by third parties.\n\nSun, Sun Microsystems, the Sun logo and Solaris are trademarks or registered\ntrademarks of Sun Microsystems, Inc. in the U.S. and other countries.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of the Sun Microsystems, Inc. nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 5: Sparta, Inc copyright notice (BSD) -----\n\nCopyright (c) 2003-2009, Sparta, Inc All rights reserved. Redistribution and\nuse in source and binary forms, with or without modification, are permitted\nprovided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of Sparta, Inc nor the names of its contributors may be\nused to endorse or promote products derived from this software without specific\nprior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 6: Cisco/BUPTNIC copyright notice (BSD) -----\n\nCopyright (c) 2004, Cisco, Inc and Information Network Center of Beijing University\nof Posts and Telecommunications. All rights reserved. Redistribution and use\nin source and binary forms, with or without modification, are permitted provided\nthat the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of Cisco, Inc, Beijing University of Posts and Telecommunications,\nnor the names of their contributors may be used to endorse or promote products\nderived from this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n---- Part 7: Fabasoft R&D Software GmbH & Co KG copyright notice (BSD) -----\n\nCopyright (c) Fabasoft R&D Software GmbH & Co KG, 2003 oss@fabasoft.com Author:\nBernhard Penz\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* The name of Fabasoft R&D Software GmbH & Co KG or any of its subsidiaries,\nbrand or product names may not be used to endorse or promote products derived\nfrom this software without specific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER ``AS IS\'\' AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n\n---- Part 8: Apple Inc. copyright notice (BSD) -----\n\nCopyright (c) 2007 Apple Inc. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. Neither the name of Apple Inc. (\"Apple\") nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY APPLE AND ITS CONTRIBUTORS \"AS IS\" AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL APPLE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n   ---- Part 9: ScienceLogic, LLC copyright notice (BSD) -----\n\nCopyright (c) 2009, ScienceLogic, LLC All rights reserved. Redistribution\nand use in source and binary forms, with or without modification, are permitted\nprovided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of ScienceLogic, LLC nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS\'\'\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(101,'Sleepycat','The Sleepycat License Copyright (c) 1990-1999 Sleepycat Software. All rights\nreserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n- Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n- Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n- Redistributions in any form must be accompanied by information on how to\nobtain complete source code for the DB software and any accompanying software\nthat uses the DB software. The source code must either be included in the\ndistribution or be available for no more than the cost of distribution plus\na nominal fee, and must be freely redistributable under reasonable conditions.\nFor an executable file, complete source code means the source code for all\nmodules it contains. It does not include source code for modules or files\nthat typically accompany the major components of the operating system on which\nthe executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY SLEEPYCAT SOFTWARE ``AS IS\'\' AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT,\nARE DISCLAIMED. IN NO EVENT SHALL SLEEPYCAT SOFTWARE BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nCopyright (c) 1990, 1993, 1994, 1995 The Regents of the University of California.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n- Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n- Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n- Neither the name of the University nor the names of its contributors may\nbe used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS\'\' AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nCopyright (c) 1995, 1996 The President and Fellows of Harvard University.\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n- Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n- Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n- Neither the name of the University nor the names of its contributors may\nbe used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY HARVARD AND ITS CONTRIBUTORS ``AS IS\'\' AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL HARVARD OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(102,'u-boot-exception-2.0','GPL License Exception:\n\nEven though U-Boot in general is covered by the GPL-2.0/GPL-2.0+, this does *not* cover the so-called \"standalone\" applications that use U-Boot services by means of the jump table provided by U-Boot exactly for this purpose - this is merely considered normal use of U-Boot, and does *not* fall under the heading of \"derived work\".\n\nThe header files \"include/image.h\" and \"arch/*/include/asm/u-boot.h\" define interfaces to U-Boot. Including these (unmodified) header files in another file is considered normal use of U-Boot, and does *not* fall under the heading of \"derived work\".\n\n-- Wolfgang Denk\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(103,'LGPLLR','Lesser General Public License For Linguistic Resources\n\nPreamble\n\nThe licenses for most data are designed to take away your freedom to share\nand change it. By contrast, this License is intended to guarantee your freedom\nto share and change free data--to make sure the data are free for all their\nusers.\n\nThis License, the Lesser General Public License for Linguistic Resources,\napplies to some specially designated linguistic resources -- typically lexicons\nand grammars.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any Linguistic Resource which contains\na notice placed by the copyright holder or other authorized party saying it\nmay be distributed under the terms of this Lesser General Public License for\nLinguistic Resources (also called \"this License\"). Each licensee is addressed\nas \"you\".\n\nA \"linguistic resource\" means a collection of data about language prepared\nso as to be used with application programs.\n\nThe \"Linguistic Resource\", below, refers to any such work which has been distributed\nunder these terms. A \"work based on the Linguistic Resource\" means either\nthe Linguistic Resource or any derivative work under copyright law: that is\nto say, a work containing the Linguistic Resource or a portion of it, either\nverbatim or with modifications and/or translated straightforwardly into another\nlanguage. (Hereinafter, translation is included without limitation in the\nterm \"modification\".)\n\n\"Legible form\" for a linguistic resource means the preferred form of the resource\nfor making modifications to it.\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running a program\nusing the Linguistic Resource is not restricted, and output from such a program\nis covered only if its contents constitute a work based on the Linguistic\nResource (independent of the use of the Linguistic Resource in a tool for\nwriting it). Whether that is true depends on what the program that uses the\nLinguistic Resource does.\n\n1. You may copy and distribute verbatim copies of the Linguistic Resource\nas you receive it, in any medium, provided that you conspicuously and appropriately\npublish on each copy an appropriate copyright notice and disclaimer of warranty;\nkeep intact all the notices that refer to this License and to the absence\nof any warranty; and distribute a copy of this License along with the Linguistic\nResource.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Linguistic Resource or any portion\nof it, thus forming a work based on the Linguistic Resource, and copy and\ndistribute such modifications or work under the terms of Section 1 above,\nprovided that you also meet all of these conditions:\n\n      a) The modified work must itself be a linguistic resource.\n\nb) You must cause the files modified to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nc) You must cause the whole of the work to be licensed at no charge to all\nthird parties under the terms of this License.\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Linguistic Resource, and can\nbe reasonably considered independent and separate works in themselves, then\nthis License, and its terms, do not apply to those sections when you distribute\nthem as separate works. But when you distribute the same sections as part\nof a whole which is a work based on the Linguistic Resource, the distribution\nof the whole must be on the terms of this License, whose permissions for other\nlicensees extend to the entire whole, and thus to each and every part regardless\nof who wrote it.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Linguistic Resource.\n\nIn addition, mere aggregation of another work not based on the Linguistic\nResource with the Linguistic Resource (or with a work based on the Linguistic\nResource) on a volume of a storage or distribution medium does not bring the\nother work under the scope of this License.\n\n3. A program that contains no derivative of any portion of the Linguistic\nResource, but is designed to work with the Linguistic Resource (or an encrypted\nform of the Linguistic Resource) by reading it or being compiled or linked\nwith it, is called a \"work that uses the Linguistic Resource\". Such a work,\nin isolation, is not a derivative work of the Linguistic Resource, and therefore\nfalls outside the scope of this License.\n\nHowever, combining a \"work that uses the Linguistic Resource\" with the Linguistic\nResource (or an encrypted form of the Linguistic Resource) creates a package\nthat is a derivative of the Linguistic Resource (because it contains portions\nof the Linguistic Resource), rather than a \"work that uses the Linguistic\nResource\". If the package is a derivative of the Linguistic Resource, you\nmay distribute the package under the terms of Section 4. Any works containing\nthat package also fall under Section 4.\n\n4. As an exception to the Sections above, you may also combine a \"work that\nuses the Linguistic Resource\" with the Linguistic Resource (or an encrypted\nform of the Linguistic Resource) to produce a package containing portions\nof the Linguistic Resource, and distribute that package under terms of your\nchoice, provided that the terms permit modification of the package for the\ncustomer\'s own use and reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the package that the Linguistic\nResource is used in it and that the Linguistic Resource and its use are covered\nby this License. You must supply a copy of this License. If the package during\nexecution displays copyright notices, you must include the copyright notice\nfor the Linguistic Resource among them, as well as a reference directing the\nuser to the copy of this License. Also, you must do one of these things:\n\na) Accompany the package with the complete corresponding machine-readable\nlegible form of the Linguistic Resource including whatever changes were used\nin the package (which must be distributed under Sections 1 and 2 above); and,\nif the package contains an encrypted form of the Linguistic Resource, with\nthe complete machine-readable \"work that uses the Linguistic Resource\", as\nobject code and/or source code, so that the user can modify the Linguistic\nResource and then encrypt it to produce a modified package containing the\nmodified Linguistic Resource.\n\nb) Use a suitable mechanism for combining with the Linguistic Resource. A\nsuitable mechanism is one that will operate properly with a modified version\nof the Linguistic Resource, if the user installs one, as long as the modified\nversion is interface-compatible with the version that the package was made\nwith.\n\nc) Accompany the package with a written offer, valid for at least three years,\nto give the same user the materials specified in Subsection 4a, above, for\na charge no more than the cost of performing this distribution.\n\nd) If distribution of the package is made by offering access to copy from\na designated place, offer equivalent access to copy the above specified materials\nfrom the same place.\n\ne) Verify that the user has already received a copy of these materials or\nthat you have already sent this user a copy.\n\nIf the package includes an encrypted form of the Linguistic Resource, the\nrequired form of the \"work that uses the Linguistic Resource\" must include\nany data and utility programs needed for reproducing the package from it.\nHowever, as a special exception, the materials to be distributed need not\ninclude anything that is normally distributed (in either source or binary\nform) with the major components (compiler, kernel, and so on) of the operating\nsystem on which the executable runs, unless that component itself accompanies\nthe executable.\n\nIt may happen that this requirement contradicts the license restrictions of\nproprietary libraries that do not normally accompany the operating system.\nSuch a contradiction means you cannot use both them and the Linguistic Resource\ntogether in a package that you distribute.\n\n5. You may not copy, modify, sublicense, link with, or distribute the Linguistic\nResource except as expressly provided under this License. Any attempt otherwise\nto copy, modify, sublicense, link with, or distribute the Linguistic Resource\nis void, and will automatically terminate your rights under this License.\nHowever, parties who have received copies, or rights, from you under this\nLicense will not have their licenses terminated so long as such parties remain\nin full compliance.\n\n6. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nLinguistic Resource or its derivative works. These actions are prohibited\nby law if you do not accept this License. Therefore, by modifying or distributing\nthe Linguistic Resource (or any work based on the Linguistic Resource), you\nindicate your acceptance of this License to do so, and all its terms and conditions\nfor copying, distributing or modifying the Linguistic Resource or works based\non it.\n\n7. Each time you redistribute the Linguistic Resource (or any work based on\nthe Linguistic Resource), the recipient automatically receives a license from\nthe original licensor to copy, distribute, link with or modify the Linguistic\nResource subject to these terms and conditions. You may not impose any further\nrestrictions on the recipients\' exercise of the rights granted herein. You\nare not responsible for enforcing compliance by third parties with this License.\n\n8. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Linguistic Resource at all. For example,\nif a patent license would not permit royalty-free redistribution of the Linguistic\nResource by all those who receive copies directly or indirectly through you,\nthen the only way you could satisfy both it and this License would be to refrain\nentirely from distribution of the Linguistic Resource.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply,\nand the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nresource distribution system which is implemented by public license practices.\nMany people have made generous contributions to the wide range of data distributed\nthrough that system in reliance on consistent application of that system;\nit is up to the author/donor to decide if he or she is willing to distribute\nresources through any other system and a licensee cannot impose that choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n9. If the distribution and/or use of the Linguistic Resource is restricted\nin certain countries either by patents or by copyrighted interfaces, the original\ncopyright holder who places the Linguistic Resource under this License may\nadd an explicit geographical distribution limitation excluding those countries,\nso that distribution is permitted only in or among countries not thus excluded.\nIn such case, this License incorporates the limitation as if written in the\nbody of this License.\n\n10. The Free Software Foundation may publish revised and/or new versions of\nthe Lesser General Public License for Linguistic Resources from time to time.\nSuch new versions will be similar in spirit to the present version, but may\ndiffer in detail to address new problems or concerns.\n\nEach version is given a distinguishing version number. If the Linguistic Resource\nspecifies a version number of this License which applies to it and \"any later\nversion\", you have the option of following the terms and conditions either\nof that version or of any later version published by the Free Software Foundation.\nIf the Linguistic Resource does not specify a license version number, you\nmay choose any version ever published by the Free Software Foundation.\n\n11. If you wish to incorporate parts of the Linguistic Resource into other\nfree programs whose distribution conditions are incompatible with these, write\nto the author to ask for permission.\n\n   NO WARRANTY\n\n12. BECAUSE THE LINGUISTIC RESOURCE IS LICENSED FREE OF CHARGE, THERE IS NO\nWARRANTY FOR THE LINGUISTIC RESOURCE, TO THE EXTENT PERMITTED BY APPLICABLE\nLAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE LINGUISTIC RESOURCE \"AS IS\" WITHOUT WARRANTY OF\nANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.\nTHE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LINGUISTIC RESOURCE\nIS WITH YOU. SHOULD THE LINGUISTIC RESOURCE PROVE DEFECTIVE, YOU ASSUME THE\nCOST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n13. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE LINGUISTIC RESOURCE AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,\nINCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING\nOUT OF THE USE OR INABILITY TO USE THE LINGUISTIC RESOURCE (INCLUDING BUT\nNOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED\nBY YOU OR THIRD PARTIES OR A FAILURE OF THE LINGUISTIC RESOURCE TO OPERATE\nWITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES.\n\nEND OF TERMS AND CONDITIONS\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(104,'CC-BY-NC-ND-2.0','Creative Commons Attribution-NonCommercial-NoDerivs 2.0 CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\nb. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats,\nbut otherwise you have no rights to make Derivative Works. All rights not\nexpressly granted by Licensor are hereby reserved, including but not limited\nto the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject\nto and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work, You must keep intact all copyright notices for the Work\nand give the Original Author credit reasonable to the medium or means You\nare utilizing by conveying the name (or pseudonym if applicable) of the Original\nAuthor if supplied; the title of the Work if supplied; and to the extent reasonably\npracticable, the Uniform Resource Identifier, if any, that Licensor specifies\nto be associated with the Work, unless such URI does not refer to the copyright\nnotice or licensing information for the Work. Such credit may be implemented\nin any reasonable manner; provided, however, that in the case of a Collective\nWork, at a minimum such credit will appear where any other comparable authorship\ncredit appears and in a manner at least as prominent as such other comparable\nauthorship credit.\n\n      d. For the avoidance of doubt, where the Work is a musical composition:\n\ni. Performancf Royalties Under Blanket Licenses. Licensor reserves the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work if that performance is primarily intended\nfor or directed toward commercial advantage or private monetary compensation.\n\nii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive\nright to collect, whether individually or via a music rights agency or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions), if Your distribution of such cover version is primarily\nintended for or directed toward commercial advantage or private monetary compensation.\n\ne. Webcasting Rights and Statutory Royalties. For the avoidance of doubt,\nwhere the Work is a sound recording, Licensor reserves the exclusive right\nto collect, whether individually or via a performance-rights society (e.g.\nSoundExchange), royalties for the public digital performance (e.g. webcast)\nof the Work, subject to the compulsory license created by 17 USC Section 114\nof the US Copyright Act (or the equivalent in other jurisdictions), if Your\npublic digital performance is primarily intended for or directed toward commercial\nadvantage or private monetary compensation.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collective Works from You under this License, however, will\nnot have their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(105,'D-FSL-1.0','Deutsche Freie Software Lizenz\n\n(c) Ministerium für Wissenschaft und Forschung Nordrhein-Westfalen 2004 Erstellt\nvon Axel Metzger und Till Jaeger, Institut für Rechtsfragen der Freien und\nOpen Source Software - ( http://www.ifross.de ) .\n\nPräambel\n\nSoftware ist mehr als ein Wirtschaftsgut. Sie ist die technische Grundlage\nder Informationsgesellschaft. Die Frage der Teilhabe der Allgemeinheit ist\ndeswegen von besonderer Bedeutung. Herkömmlich lizenzierte Programme werden\nnur im Object Code vertrieben, der Nutzer darf das Programm weder verändern\nnoch weitergeben. Das Lizenzmodell der Freien Software (synonym \"Open Source\nSoftware\") gewährt Ihnen dagegen umfassende Freiheiten im Umgang mit dem Programm.\nDie Deutsche Freie Software Lizenz folgt diesem Lizenzmodell. Sie gewährt\nIhnen das Recht, das Programm in umfassender Weise zu nutzen. Es ist Ihnen\ngestattet, das Programm nach Ihren Vorstellungen zu verändern, in veränderter\noder unveränderter Form zu vervielfältigen, zu verbreiten und öffentlich zugänglich\nzu machen. Diese Rechte werden unentgeltlich eingeräumt.\n\nDie Deutsche Freie Software Lizenz verbindet die Rechtseinräumung allerdings\nmit Pflichten, die dem Zweck dienen, das freie Zirkulieren des Programms und\naller veröffentlichten Fortentwicklungen zu sichern. Wenn Sie das Programm\nverbreiten oder öffentlich zugänglich machen, dann müssen Sie jedem, der das\nProgramm von Ihnen erhält, eine Kopie dieser Lizenz mitliefern und den Zugriff\nauf den Source Code ermöglichen. Eine weitere Pflicht betrifft Fortentwicklungen\ndes Programms. Änderungen am Programm, die Sie öffentlich verbreiten oder\nzugänglich machen, müssen nach den Bestimmungen dieser Lizenz frei gegeben\nwerden.\n\nDie Deutsche Freie Software Lizenz nimmt auf die besonderen Anforderungen\ndes deutschen und europäischen Rechts Rücksicht. Sie ist zweisprachig gestaltet\nund damit auch auf den internationalen Vertrieb ausgerichtet.\n\n   \n\n   § 0 Definitionen\n\n      \n\nDokumentation: Die Beschreibung des Aufbaus und/oder der Struktur der Programmierung\nund/oder der Funktionalitäten des Programms, unabhängig davon, ob sie im Source\nCode oder gesondert vorgenommen wird.\n\n      \n\nLizenz: Die zwischen dem Lizenzgeber und Ihnen geschlossene Vereinbarung mit\ndem Inhalt der \"Deutschen Freien Software Lizenz\" bzw. das Angebot hierzu.\n\n      \n\nLizenznehmer: Jede natürliche oder juristische Person, die die Lizenz angenommen\nhat.\n\n      \n\nProgramm: Jedes Computerprogramm, das von den Rechtsinhabern nach den Bestimmungen\ndieser Lizenz verbreitet oder öffentlich zugänglich gemacht worden ist.\n\n      \n\n      Object Code: Die maschinenlesbare, übersetzte Form des Programms.\n\n      \n\nÖffentlich: Nicht nur an einen bestimmten Personenkreis gerichtet, der persönlich\noder durch die Zugehörigkeit zu einer juristischen Person oder einem öffentlichen\nTräger miteinander verbunden ist.\n\n      \n\nÖffentlich zugänglich machen: Die öffentliche Weitergabe des Programms in\nunkörperlicher Form, insbesondere das Bereithalten zum Download in Datennetzen.\n\n      \n\nRechtsinhaber: Der bzw. die Urheber oder sonstigen Inhaber der ausschließlichen\nNutzungsrechte an dem Programm.\n\n      \n\nSource Code: Die für Menschen lesbare, in Programmiersprache dargestellte\nForm des Programms.\n\n      \n\nVerändern: Jede Erweiterung, Kürzung und Bearbeitung des Programms, insbesondere\nWeiterentwicklungen.\n\n      \n\nVerbreiten: Die öffentliche Weitergabe körperlicher Vervielfältigungsstücke,\ninsbesondere auf Datenträgern oder in Verbindung mit Hardware.\n\n      \n\nVollständiger Source Code: Der Source Code in der für die Erstellung bzw.\ndie Bearbeitung benutzten Form zusammen mit den zur Übersetzung und Installation\nerforderlichen Konfigurationsdateien und Software-Werkzeugen, sofern diese\nin der benötigten Form nicht allgemein gebräuchlich (z.B. Standard-Kompiler)\noder für jedermann lizenzgebührenfrei im Internet abrufbar sind.\n\n   \n\n   § 1 Rechte\n\n(1) Sie dürfen das Programm in unveränderter Form vervielfältigen, verbreiten\nund öffentlich zugänglich machen.\n\n(2) Sie dürfen das Programm verändern und entsprechend veränderte Versionen\nvervielfältigen, verbreiten und öffentlich zugänglich machen. Gestattet ist\nauch die Kombination des Programms oder Teilen hiervon mit anderen Programmen.\n\n      (3) Sie erhalten die Rechte unentgeltlich.\n\n   \n\n   § 2 Pflichten beim Vertrieb\n\n(1) Wenn Sie das Programm verbreiten oder öffentlich zugänglich machen, sei\nes in unveränderter oder veränderter Form, sei es in einer Kombination mit\nanderen Programmen oder in Verbindung mit Hardware, dann müssen sie mitliefern:\n\n1. alle Vermerke im Source Code und/oder Object Code, die auf diese Lizenz\nhinweisen;\n\n2. alle Vermerke im Source Code und/oder Object Code, die über die Urheber\ndes Programms Auskunft geben;\n\n3. einen für den Empfänger deutlich wahrnehmbaren Hinweis auf diese Lizenz\nund die Internetadresse < http://www.d-fsl.de > ;\n\n      4. den vollständigen Text dieser Lizenz in deutlich wahrnehmbarer Weise.\n\n(2) Wenn bei der Installation des Programms und/oder beim Programmstart Lizenz-\nund/oder Vertragsbedingungen angezeigt werden, dann müssen\n\n      1. diese Lizenz,\n\n      2. ein Hinweis auf diese Lizenz und\n\n3. ein Hinweis auf den oder die Rechtsinhaber an den ersten unter dieser Lizenz\nnutzbaren Programmbestandteilen\n\n      ebenfalls angezeigt werden.\n\n(3) Sie dürfen die Nutzung des Programms nicht von Pflichten oder Bedingungen\nabhängig machen, die nicht in dieser Lizenz vorgesehen sind.\n\n(4) Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese\nDokumentation entsprechend mitgeliefert werden, es sei denn, die freie Mitlieferung\nder Dokumentation ist Ihnen aufgrund der Lizenz für die Dokumentation nicht\ngestattet.\n\n   \n\n   § 3 Weitere Pflichten beim Vertrieb veränderter Versionen\n\n(1) Veränderte Versionen des Programms dürfen Sie nur unter den Bedingungen\ndieser Lizenz verbreiten oder öffentlich zugänglich machen, so dass Dritte\ndas veränderte Programm insgesamt unter dieser Lizenz nutzen können.\n\n(2) Wird das Programm oder ein Teil hiervon mit einem anderen Programm kombiniert,\ngilt auch die Kombination insgesamt als eine veränderte Version des Programms,\nes sei denn, das andere Programm ist formal und inhaltlich eigenständig. Ein\nanderes Programm ist dann als eigenständig anzusehen, wenn es die folgenden\nVoraussetzungen alle erfüllt:\n\n1. Der Source Code der kombinierten Programme muss jeweils in eigenen Dateien\nvorhanden sein, die keine Bestandteile des anderen Teils enthalten, die über\ndie zur Programmkombination üblichen und erforderlichen Informationen über\nden anderen Teil hinausgehen, wobei der Source Code des anderen Programms\nnicht mitgeliefert werden muss.\n\n2. Der mit dem Programm kombinierte Teil muss auch dann sinnvoll nutzbar sein,\nwenn er nicht mit dem Programm kombiniert wird, und zwar entweder alleine\noder mit sonstigen Programmen. Was als \"sinnvoll nutzbar\" anzusehen ist, richtet\nsich nach der Auffassung der betroffenen Fachkreise. Zu den betroffenen Fachkreisen\ngehören alle Personen, die das Programm oder Programme mit vergleichbarer\nFunktionalität entwickeln, benutzen, verbreiten oder öffentlich zugänglich\nmachen.\n\n(3) Wenn Sie das Programm oder einen Teil hiervon - verändert oder unverändert\n- zusammen mit einem anderen Programm verbreiten oder öffentlich zugänglich\nmachen, das unter der GNU General Public License (GPL) lizenziert wird, darf\ndas Programm auch unter den Bedingungen der GPL genutzt werden, sofern es\nmit dem anderen Programm ein \"derivative work\" im Sinne der GPL bildet. Dabei\nsollen die Hinweise auf diese Lizenz entfernt und durch einen Hinweis auf\ndie GPL ersetzt werden. Ob bei der Zusammenstellung ein \"derivate work\" im\nSinne der GPL entsteht, beurteilt sich nach Ziffer 2 b) der GPL. Diese Bestimmung\nlautet: \"You must cause any work that you distribute or publish, that in whole\nor in part contains or is derived from the Program or any part thereof, to\nbe licensed as a whole at no charge to all third parties under the terms of\nthis License.\" Die GPL kann abgerufen werden unter http://www.fsf.org/licenses/gpl.\n\n(4) Wenn Sie das Programm in einer veränderten Form verbreiten oder öffentlich\nzugänglich machen, müssen Sie im Source Code einen Hinweis mit den Änderungen\naufnehmen und mit dem Datum der Änderung versehen. Der Hinweis muss erkennen\nlassen, welche Änderungen vorgenommen wurden und bestehende Vermerke, die\nüber die Urheber des Programms Auskunft geben, übernehmen. Dies gilt unabhängig\ndavon, ob Sie einen eigenen Urhebervermerk hinzufügen. Anstelle eines Hinweises\nim Source Code können Sie auch ein Versionskontrollsystem verwenden oder weiterführen,\nsofern dieses mitverbreitet wird oder öffentlich zugänglich ist.\n\n(5) Sie dürfen von Dritten für die Einräumung eines einfachen Nutzungsrechts\nan veränderten Versionen des Programms kein Entgelt verlangen.\n\n(6) Wenn Sie an der veränderten Version des Programms ein anderes Schutzrecht\nals ein Urheberrecht erwerben, insbesondere ein Patent oder Gebrauchsmuster,\nlizenzieren Sie dieses Schutzrecht für veränderte und unveränderte Versionen\ndes Programms in dem Umfang, der erforderlich ist, um die Rechte aus dieser\nLizenz wahrnehmen zu können.\n\n   \n\n   § 4 Weitere Pflichten beim Vertrieb im Object Code\n\n(1) Wenn Sie das Programm nur im Object Code verbreiten, dann müssen Sie zusätzlich\nzu den in § 2 und § 3 geregelten Pflichten entweder\n\n1. den vollständigen Source Code im Internet öffentlich zugänglich machen\nund bei der Verbreitung des Object Codes deutlich auf die vollständige Internetadresse\nhinweisen, unter der der Source Code abgerufen werden kann oder\n\n2. den vollständigen Source Code auf einem hierfür üblichen Datenträger unter\nBeachtung der §§ 2 und 3 mitverbreiten.\n\n(2) Wenn Sie das Programm im Object Code öffentlich zugänglich machen, dann\nmüssen Sie zusätzlich zu den in § 2 und § 3 geregelten Pflichten den vollständigen\nSource Code im Internet öffentlich zugänglich machen und dabei deutlich auf\ndie vollständige Internetadresse hinweisen.\n\n(3) Sofern Sie mit dem Programm eine Dokumentation erhalten haben, muss diese\nDokumentation entsprechend der Absätze 1 und 2 mitgeliefert werden, es sei\ndenn, die freie Mitlieferung der Dokumentation ist Ihnen aufgrund der Lizenz\nfür die Dokumentation nicht gestattet.\n\n   \n\n   § 5 Vertragsschluss\n\n(1) Mit dieser Lizenz wird Ihnen und jeder anderen Person ein Angebot auf\nAbschluss eines Vertrages über die Nutzung des Programms unter den Bedingungen\nder Deutschen Freien Softwarelizenz unterbreitet.\n\n(2) Sie dürfen das Programm nach den jeweils anwendbaren gesetzlichen Vorschriften\nbestimmungsgemäß benutzen, ohne dass es der Annahme dieser Lizenz bedarf.\nDieses Recht umfasst in der Europäischen Union und in den meisten anderen\nRechtsordnungen insbesondere die folgenden Befugnisse:\n\n1. das Programm ablaufen zu lassen sowie die Erstellung von hierfür erforderlichen\nVervielfältigungen im Haupt- und Arbeitsspeicher;\n\n         2. das Erstellen einer Sicherungskopie;\n\n         3. die Fehlerberichtigung;\n\n4. die Weitergabe einer rechtmäßig erworbenen körperlichen Kopie des Programms.\n\n(3) Sie erklären Ihre Zustimmung zum Abschluss dieser Lizenz, indem Sie das\nProgramm verbreiten, öffentlich zugänglich machen, verändern oder in einer\nWeise vervielfältigen, die über die bestimmungsgemäße Nutzung im Sinne von\nAbsatz 2 hinausgeht. Ab diesem Zeitpunkt ist diese Lizenz als rechtlich verbindlicher\nVertrag zwischen den Rechtsinhabern und Ihnen geschlossen, ohne dass es eines\nZugangs der Annahmeerklärung bei den Rechtsinhabern bedarf.\n\n(4) Sie und jeder andere Lizenznehmer erhalten die Rechte aus dieser Lizenz\ndirekt von den Rechtsinhabern. Eine Unterlizenzierung oder Übertragung der\nRechte ist nicht gestattet.\n\n   \n\n   § 6 Beendigung der Rechte bei Zuwiderhandlung\n\n(1) Jede Verletzung Ihrer Verpflichtungen aus dieser Lizenz führt zu einer\nautomatischen Beendigung Ihrer Rechte aus dieser Lizenz.\n\n(2) Die Rechte Dritter, die das Programm oder Rechte an dem Programm von Ihnen\nerhalten haben, bleiben hiervon unberührt.\n\n   \n\n   § 7 Haftung und Gewährleistung\n\n(1) Für entgegenstehende Rechte Dritter haften die Rechtsinhaber nur, sofern\nsie Kenntnis von diesen Rechten hatten, ohne Sie zu informieren.\n\n(2) Die Haftung für Fehler und sonstige Mängel des Programms richtet sich\nnach den außerhalb dieser Lizenz getroffenen Vereinbarungen zwischen Ihnen\nund den Rechtsinhabern oder, wenn eine solche Vereinbarung nicht existiert,\nnach den gesetzlichen Regelungen.\n\n   \n\n   § 8 Verträge mit Dritten\n\n(1) Diese Lizenz regelt nur die Beziehung zwischen Ihnen und den Rechtsinhabern.\nSie ist nicht Bestandteil der Verträge zwischen Ihnen und Dritten.\n\n(2) Die Lizenz beschränkt Sie nicht in der Freiheit, mit Dritten, die von\nIhnen Kopien des Programms erhalten oder Leistungen in Anspruch nehmen, die\nim Zusammenhang mit dem Programm stehen, Verträge beliebigen Inhalts zu schließen,\nsofern Sie dabei Ihren Verpflichtungen aus dieser Lizenz nachkommen und die\nRechte der Dritten aus dieser Lizenz nicht beeinträchtigt werden. Insbesondere\ndürfen Sie für die Überlassung des Programms oder sonstige Leistungen ein\nEntgelt verlangen.\n\n(3) Diese Lizenz verpflichtet Sie nicht, das Programm an Dritte weiterzugeben.\nEs steht Ihnen frei zu entscheiden, wem Sie das Programm zugänglich machen.\nSie dürfen aber die weitere Nutzung durch Dritte nicht durch den Einsatz technischer\nSchutzmaßnahmen, insbesondere durch den Einsatz von Kopierschutzvorrichtungen\njeglicher Art, verhindern oder erschweren. Eine passwortgeschützte Zugangsbeschränkung\noder die Nutzung in einem Intranet wird nicht als technische Schutzmaßnahme\nangesehen.\n\n   \n\n   § 9 Text der Lizenz\n\n(1) Diese Lizenz ist in deutscher und englischer Sprache abgefasst. Beide\nFassungen sind gleich verbindlich. Es wird unterstellt, dass die in der Lizenz\nverwandten Begriffe in beiden Fassungen dieselbe Bedeutung haben. Ergeben\nsich dennoch Unterschiede, so ist die Bedeutung maßgeblich, welche die Fassungen\nunter Berücksichtigung des Ziels und Zwecks der Lizenz am besten miteinander\nin Einklang bringt.\n\n(2) Der Lizenzrat der Deutschen Freien Software Lizenz kann mit verbindlicher\nWirkung neue Versionen der Lizenz in Kraft setzen, soweit dies erforderlich\nund zumutbar ist. Neue Versionen der Lizenz werden auf der Internetseite http://www.d-fsl.de\nmit einer eindeutigen Versionsnummer veröffentlicht. Die neue Version der\nLizenz erlangt für Sie verbindliche Wirkung, wenn Sie von deren Veröffentlichung\nKenntnis genommen haben. Gesetzliche Rechtsbehelfe gegen die Änderung der\nLizenz werden durch die vorstehenden Bestimmungen nicht beschränkt.\n\n(3) Sie dürfen diese Lizenz in unveränderter Form vervielfältigen, verbreiten\nund öffentlich zugänglich machen.\n\n   \n\n   § 10 Anwendbares Recht\n\n   Auf diese Lizenz findet deutsches Recht Anwendung.\n\nAnhang: Wie unterstellen Sie ein Programm der Deutschen Freien Software Lizenz?\n\nUm jedermann den Abschluss dieser Lizenz zu ermöglichen, wird empfohlen, das\nProgramm mit folgendem Hinweis auf die Lizenz zu versehen:\n\n   \"Copyright (C) 20[jj] [Name des Rechtsinhabers].\n\nDieses Programm kann durch jedermann gemäß den Bestimmungen der Deutschen\nFreien Software Lizenz genutzt werden.\n\n   Die Lizenz kann unter http://www.d-fsl.de abgerufen werden.\"\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(106,'Giftware','Allegro 4 (the giftware license)\n\nAllegro is gift-ware. It was created by a number of people working in cooperation,\nand is given to you freely as a gift. You may use, modify, redistribute, and\ngenerally hack it about in any way you like, and you do not have to give us\nanything in return.\n\nHowever, if you like this product you are encouraged to thank us by making\na return gift to the Allegro community. This could be by writing an add-on\npackage, providing a useful bug report, making an improvement to the library,\nor perhaps just releasing the sources of your program so that other people\ncan learn from them. If you redistribute parts of this code or make a game\nusing it, it would be nice if you mentioned Allegro somewhere in the credits,\nbut you are not required to do this. We trust you not to abuse our generosity.\n\nBy Shawn Hargreaves, 18 October 1998.\n\nDISCLAIMER: THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT\nSHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE\nFOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,\nARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\nDEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(107,'CC-BY-4.0','Creative Commons Attribution 4.0 International Creative Commons Corporation\n(\"Creative Commons\") is not a law firm and does not provide legal services\nor legal advice. Distribution of Creative Commons public licenses does not\ncreate a lawyer-client or other relationship. Creative Commons makes its licenses\nand related information available on an \"as-is\" basis. Creative Commons gives\nno warranties regarding its licenses, any material licensed under their terms\nand conditions, or any related information. Creative Commons disclaims all\nliability for damages resulting from their use to the fullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described. Although not required by our licenses, you are encouraged to\nrespect those requests where reasonable. More considerations for the public\n: wiki.creativecommons.org/Considerations_for_licensees Creative Commons Attribution\n4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\nSection 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Adapter\'s License means the license You apply to Your Copyright and Similar\nRights in Your contributions to Adapted Material in accordance with the terms\nand conditions of this Public License.\n\nc. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\nd. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\ne. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\nf. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\ng. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\nh. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\ni. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\nj. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nk. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\nSection 2 – Scope.\n\n   a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\n         A. reproduce and Share the Licensed Material, in whole or in part; and\n\n         B. produce, reproduce, and Share Adapted Material.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n      3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n      5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n   b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties.\n\nSection 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n   a. Attribution.\n\n1. If You Share the Licensed Material (including in modified form), You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n            ii. a copyright notice;\n\n            iii. a notice that refers to this Public License;\n\n            iv. a notice that refers to the disclaimer of warranties;\n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\n2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n3. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\n4. If You Share Adapted Material You produce, the Adapter\'s License You apply\nmust not prevent recipients of the Adapted Material from complying with this\nPublic License.\n\nSection 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material; and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\nSection 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\nSection 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n      2. upon express reinstatement by the Licensor.\n\nc. For the avoidance of doubt, this Section 6(b) does not affect any right\nthe Licensor may have to seek remedies for Your violations of this Public\nLicense.\n\nd. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n   e. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\nSection 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(108,'RHeCos-1.1','Red Hat eCos Public License v1.1\n\n   1. DEFINITIONS\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. \"You\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n1.13. \"Red Hat Branded Code\" is code that Red Hat distributes and/or permits\nothers to distribute under different terms than the Red Hat eCos Public License.\nRed Hat\'s Branded Code may contain part or all of the Covered Code.\n\n   2. SOURCE CODE LICENSE\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Original Code (or portions thereof) with or without Modifications, or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (\"Utilize\") the Original Code (or portions\nthereof), but solely to the extent that any such patent is reasonably necessary\nto enable You to Utilize the Original Code (or portions thereof) and not to\nany greater extent that may be necessary to Utilize further Modifications\nor combinations.\n\n2.2. Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Modifications created by such Contributor (or portions thereof) either\non an unmodified basis, with other Modifications, as Covered Code or as part\nof a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nUtilize the Contributor Version (or portions thereof), but solely to the extent\nthat any such patent is reasonably necessary to enable You to Utilize the\nContributor Version (or portions thereof), and not to any greater extent that\nmay be necessary to Utilize further Modifications or combinations.\n\n   3. DISTRIBUTION OBLIGATIONS\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License via an accepted Electronic Distribution Mechanism to\nanyone to whom you made an Executable version available and to the Initial\nDeveloper; and if made available via Electronic Distribution Mechanism, must\nremain available for at least twelve (12) months after the date it initially\nbecame available, or at least six (6) months after a subsequent version of\nthat particular Modification has been made available to such recipients. You\nare responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\nYou are responsible for notifying the Initial Developer of the Modification\nand the location of the Source if a contact means is provided. Red Hat will\nbe acting as maintainer of the Source and may provide an Electronic Distribution\nmechanism for the Modification to be made available. You can contact Red Hat\nto make the Modification available and to notify the Initial Developer. (http://sourceware.cygnus.com/ecos/)\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nyou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(a) Third Party Claims. If You have knowledge that a party claims an intellectual\nproperty right in particular functionality or code (or its utilization under\nthis License), you must include a text file with the source code distribution\ntitled \"LEGAL\" which describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after You make Your Modification available as described in\nSection 3.2, You shall promptly modify the LEGAL file in all copies You make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Covered Code that new knowledge has been obtained.\n\n(b) Contributor APIs. If Your Modification is an application programming interface\nand You own or control patents which are reasonably necessary to implement\nthat API, you must also include this information in the LEGAL file.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code, and this License in any documentation for the Source\nCode, where You describe recipients\' rights relating to Covered Code. If You\ncreated one or more Modification(s), You may add your name as a Contributor\nto the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then you must include such notice in\na location (such as a relevant directory file) where a user would be likely\nto look for such a notice. You may choose to offer, and to charge a fee for,\nwarranty, support, indemnity or liability obligations to one or more recipients\nof Covered Code.\n\nHowever, You may do so only on Your own behalf, and not on behalf of the Initial\nDeveloper or any Contributor. You must make it absolutely clear that any such\nwarranty, support, indemnity or liability obligation is offered by You alone,\nand You hereby agree to indemnify the Initial Developer and every Contributor\nfor any liability incurred by the Initial Developer or such Contributor as\na result of warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code under a license of Your choice, which may contain\nterms different from this License, provided that You are in compliance with\nthe terms of this License and that the license for the Executable version\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nversion from the rights set forth in this License. If You distribute the Executable\nversion under a different license You must make it absolutely clear that any\nterms which differ from this License are offered by You alone, not by the\nInitial Developer or any Contributor. You hereby agree to indemnify the Initial\nDeveloper and every Contributor for any liability incurred by the Initial\nDeveloper or such Contributor as a result of any such terms You offer.\n\nIf you distribute executable versions containing Covered Code, you must reproduce\nthe notice in Exhibit B in the documentation and/or other materials provided\nwith the product.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; (b) cite the statute or regulation that prohibits you from adhering\nto the license; and (c) describe the limitations and the code they affect.\nSuch description must be included in the LEGAL file described in Section 3.4\nand must be included with all distributions of the Source Code. Except to\nthe extent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it. You\nmust submit this LEGAL file to Red Hat for review, and You will not be able\nuse the covered code in any means until permission is granted from Red Hat\nto allow for the inability to comply due to statute or regulation.\n\n   5. APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\nRed Hat may include Covered Code in products without such additional products\nbecoming subject to the terms of this License, and may license such additional\nproducts on different terms from those contained in this License.\n\nRed Hat may license the Source Code of Red Hat Branded Code without Red Hat\nBranded Code becoming subject to the terms of this License, and may license\nRed Hat Branded Code on different terms from those contained in this License.\nContact Red Hat for details of alternate licensing terms available.\n\n   6. VERSIONS OF THE LICENSE\n\n6.1. New Versions. Red Hat may publish revised and/or new versions of the\nLicense from time to time. Each version will be given a distinguishing version\nnumber.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by Red Hat. No\none other than Red Hat has the right to modify the terms applicable to Covered\nCode beyond what is granted under this and subsequent Licenses.\n\n6.3. Derivative Works. If you create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), you must (a) rename Your license so that the\nphrases \"ECOS\", \"eCos\", \"Red Hat\", \"RHEPL\" or any confusingly similar phrase\ndo not appear anywhere in your license and (b) otherwise make it clear that\nyour version of the license contains terms which differ from the Red Hat eCos\nPublic License. (Filling in the name of the Initial Developer, Original Code\nor Contributor in the notice described in Exhibit A shall not of themselves\nbe deemed to be modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n   9. LIMITATION OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER\nCONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF\nSUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in, the United States\nof America: (a) unless otherwise agreed in writing, all disputes relating\nto this License (excepting any dispute relating to intellectual property rights)\nshall be subject to final and binding arbitration, with the losing party paying\nall costs of arbitration; (b) any arbitration relating to this Agreement shall\nbe held in Santa Clara County, California, under the auspices of JAMS/EndDispute;\nand (c) any litigation relating to this Agreement shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Covered Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute responsibility on an equitable basis.\n\n   13. ADDITIONAL TERMS APPLICABLE TO THE RED HAT ECOS PUBLIC LICENSE\n\nNothing in this License shall be interpreted to prohibit Red Hat from licensing\nunder different terms than this License any code which Red Hat otherwise would\nhave a right to license.\n\nRed Hat and logo - This License does not grant any rights to use the trademark\nRed Hat, the Red Hat logo, eCos logo, even if such marks are included in the\nOriginal Code. You may contact Red Hat for permission to display the Red Hat\nand eCos marks in either the documentation or the Executable version beyond\nthat required in Exhibit B.\n\nInability to Comply Due to Contractual Obligation - To the extent that Red\nHat is limited contractually from making third party code available under\nthis License, Red Hat may choose to integrate such third party code into Covered\nCode without being required to distribute such third party code in Source\nCode form, even if such third party code would otherwise be considered \"Modifications\"\nunder this License. EXHIBIT A\n\n\"The contents of this file are subject to the Red Hat eCos Public License\nVersion 1.1 (the \"License\"); you may not use this file except in compliance\nwith the License. You may obtain a copy of the License at http://www.redhat.com/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is eCos - Embedded Configurable Operating System, released\nSeptember 30, 1998. The Initial Developer of the Original Code is Red Hat.\nPortions created by Red Hat are Copyright (C) 1998, 1999, 2000 Red Hat, Inc.\nAll Rights Reserved.\"\n\nEXHIBIT B\n\nPart of the software embedded in this product is eCos - Embedded Configurable\nOperating System, a trademark of Red Hat. Portions created by Red Hat are\nCopyright (C) 1998, 1999, 2000 Red Hat, Inc. (http://www.redhat.com/). All\nRights Reserved.\n\nTHE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY RED HAT AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(109,'GPL-2.0-or-later','GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc. \n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 , USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public License is intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users. This General Public License applies to\nmost of the Free Software Foundation\'s software and to any other program whose\nauthors commit to using it. (Some other Free Software Foundation software\nis covered by the GNU Lesser General Public License instead.) You can apply\nit to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish), that you receive source code or can get it if you want it, that you\ncan change the software or use pieces of it in new free programs; and that\nyou know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or\nfor a fee, you must give the recipients all the rights that you have. You\nmust make sure that they, too, receive or can get the source code. And you\nmust show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2)\noffer you this license which gives you legal permission to copy, distribute\nand/or modify the software.\n\nAlso, for each author\'s protection and ours, we want to make certain that\neveryone understands that there is no warranty for this free software. If\nthe software is modified by someone else and passed on, we want its recipients\nto know that what they have is not the original, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nFinally, any free program is threatened constantly by software patents. We\nwish to avoid the danger that redistributors of a free program will individually\nobtain patent licenses, in effect making the program proprietary. To prevent\nthis, we have made it clear that any patent must be licensed for everyone\'s\nfree use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice\nplaced by the copyright holder saying it may be distributed under the terms\nof this General Public License. The \"Program\", below, refers to any such program\nor work, and a \"work based on the Program\" means either the Program or any\nderivative work under copyright law: that is to say, a work containing the\nProgram or a portion of it, either verbatim or with modifications and/or translated\ninto another language. (Hereinafter, translation is included without limitation\nin the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running the Program\nis not restricted, and the output from the Program is covered only if its\ncontents constitute a work based on the Program (independent of having been\nmade by running the Program). Whether that is true depends on what the Program\ndoes.\n\n1. You may copy and distribute verbatim copies of the Program\'s source code\nas you receive it, in any medium, provided that you conspicuously and appropriately\npublish on each copy an appropriate copyright notice and disclaimer of warranty;\nkeep intact all the notices that refer to this License and to the absence\nof any warranty; and give any other recipients of the Program a copy of this\nLicense along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it,\nthus forming a work based on the Program, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\na) You must cause the modified files to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nb) You must cause any work that you distribute or publish, that in whole or\nin part contains or is derived from the Program or any part thereof, to be\nlicensed as a whole at no charge to all third parties under the terms of this\nLicense.\n\nc) If the modified program normally reads commands interactively when run,\nyou must cause it, when started running for such interactive use in the most\nordinary way, to print or display an announcement including an appropriate\ncopyright notice and a notice that there is no warranty (or else, saying that\nyou provide a warranty) and that users may redistribute the program under\nthese conditions, and telling the user how to view a copy of this License.\n(Exception: if the Program itself is interactive but does not normally print\nsuch an announcement, your work based on the Program is not required to print\nan announcement.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Program, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Program, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Program.\n\nIn addition, mere aggregation of another work not based on the Program with\nthe Program (or with a work based on the Program) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may copy and distribute the Program (or a work based on it, under Section\n2) in object code or executable form under the terms of Sections 1 and 2 above\nprovided that you also do one of the following:\n\na) Accompany it with the complete corresponding machine-readable source code,\nwhich must be distributed under the terms of Sections 1 and 2 above on a medium\ncustomarily used for software interchange; or,\n\nb) Accompany it with a written offer, valid for at least three years, to give\nany third party, for a charge no more than your cost of physically performing\nsource distribution, a complete machine-readable copy of the corresponding\nsource code, to be distributed under the terms of Sections 1 and 2 above on\na medium customarily used for software interchange; or,\n\nc) Accompany it with the information you received as to the offer to distribute\ncorresponding source code. (This alternative is allowed only for noncommercial\ndistribution and only if you received the program in object code or executable\nform with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making\nmodifications to it. For an executable work, complete source code means all\nthe source code for all modules it contains, plus any associated interface\ndefinition files, plus the scripts used to control compilation and installation\nof the executable. However, as a special exception, the source code distributed\nneed not include anything that is normally distributed (in either source or\nbinary form) with the major components (compiler, kernel, and so on) of the\noperating system on which the executable runs, unless that component itself\naccompanies the executable.\n\nIf distribution of executable or object code is made by offering access to\ncopy from a designated place, then offering equivalent access to copy the\nsource code from the same place counts as distribution of the source code,\neven though third parties are not compelled to copy the source along with\nthe object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except\nas expressly provided under this License. Any attempt otherwise to copy, modify,\nsublicense or distribute the Program is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nProgram or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Program\n(or any work based on the Program), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute or modify the Program subject to these terms and conditions.\nYou may not impose any further restrictions on the recipients\' exercise of\nthe rights granted herein. You are not responsible for enforcing compliance\nby third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Program at all. For example, if a\npatent license would not permit royalty-free redistribution of the Program\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply and\nthe section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system, which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Program under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n9. The Free Software Foundation may publish revised and/or new versions of\nthe General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nProgram does not specify a version number of this License, you may choose\nany version ever published by the Free Software Foundation.\n\n10. If you wish to incorporate parts of the Program into other free programs\nwhose distribution conditions are different, write to the author to ask for\npermission. For software which is copyrighted by the Free Software Foundation,\nwrite to the Free Software Foundation; we sometimes make exceptions for this.\nOur decision will be guided by the two goals of preserving the free status\nof all derivatives of our free software and of promoting the sharing and reuse\nof software generally.\n\n   NO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively convey the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and an idea of what it does.>\n\nCopyright (C) <yyyy> <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation; either version 2 of the License, or (at your option) any later\nversion.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program; if not, write to the Free Software Foundation, Inc., 51 Franklin\nStreet, Fifth Floor, Boston, MA 02110-1301 , USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when\nit starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes\nwith ABSOLUTELY NO WARRANTY; for details type `show w\'. This is free software,\nand you are welcome to redistribute it under certain conditions; type `show\nc\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, the commands you use may be\ncalled something other than `show w\' and `show c\'; they could even be mouse-clicks\nor menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision\'\n(which makes passes at compilers) written by James Hacker.\n\n< signature of Ty Coon > , 1 April 1989 Ty Coon, President of Vice This General\nPublic License does not permit incorporating your program into proprietary\nprograms. If your program is a subroutine library, you may consider it more\nuseful to permit linking proprietary applications with the library. If this\nis what you want to do, use the GNU Lesser General Public License instead\nof this License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(110,'CPL-1.0','Common Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC\nLICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM\nCONSTITUTES RECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT. 1.\n\nDEFINITIONS\n\n\"Contribution\" means:\n\na) in the case of the initial Contributor, the initial code and documentation\ndistributed under this Agreement, and\n\n   b) in the case of each subsequent Contributor:\n\n      i) changes to the Program, and\n\n      ii) additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are\ndistributed by that particular Contributor. A Contribution \'originates\' from\na Contributor if it was added to the Program by such Contributor itself or\nanyone acting on such Contributor\'s behalf. Contributions do not include additions\nto the Program which: (i) are separate modules of software distributed in\nconjunction with the Program under their own license agreement, and (ii) are\nnot derivative works of the Program.\n\n\"Contributor\" means any person or entity that distributes the Program.\n\n\"Licensed Patents \" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Program\" means the Contributions distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including\nall Contributors. 2.\n\nGRANT OF RIGHTS\n\na) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form.\n\nb) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in source code and object code form.\nThis patent license shall apply to the combination of the Contribution and\nthe Program if, at the time the Contribution is added by the Contributor,\nsuch addition of the Contribution causes such combination to be covered by\nthe Licensed Patents. The patent license shall not apply to any other combinations\nwhich include the Contribution. No hardware per se is licensed hereunder.\n\nc) Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, no assurances are provided by any Contributor\nthat the Program does not infringe the patent or other intellectual property\nrights of any other entity. Each Contributor disclaims any liability to Recipient\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, each Recipient hereby assumes sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow Recipient to distribute\nthe Program, it is Recipient\'s responsibility to acquire that license before\ndistributing the Program.\n\nd) Each Contributor represents that to its knowledge it has sufficient copyright\nrights in its Contribution, if any, to grant the copyright license set forth\nin this Agreement. 3.\n\nREQUIREMENTS\n\nA Contributor may choose to distribute the Program in object code form under\nits own license agreement, provided that:\n\n   a) it complies with the terms and conditions of this Agreement; and\n\n   b) its license agreement:\n\ni) effectively disclaims on behalf of all Contributors all warranties and\nconditions, express and implied, including warranties or conditions of title\nand non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nii) effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits;\n\niii) states that any provisions which differ from this Agreement are offered\nby that Contributor alone and not by any other party; and\n\niv) states that source code for the Program is available from such Contributor,\nand informs licensees how to obtain it in a reasonable manner on or through\na medium customarily used for software exchange.\n\nWhen the Program is made available in source code form:\n\n   a) it must be made available under this Agreement; and\n\n   b) a copy of this Agreement must be included with each copy of the Program.\n\nContributors may not remove or alter any copyright notices contained within\nthe Program.\n\nEach Contributor must identify itself as the originator of its Contribution,\nif any, in a manner that reasonably allows subsequent Recipients to identify\nthe originator of the Contribution. 4.\n\nCOMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Contributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for other Contributors.\nTherefore, if a Contributor includes the Program in a commercial product offering,\nsuch Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify\nevery other Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Contributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nContributor in writing of such claim, and b) allow the Commercial Contributor\nto control, and cooperate with the Commercial Contributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product\noffering, Product X. That Contributor is then a Commercial Contributor. If\nthat Commercial Contributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nContributor\'s responsibility alone. Under this section, the Commercial Contributor\nwould have to defend claims against the other Contributors related to those\nperformance claims and warranties, and if a court requires any other Contributor\nto pay any damages as a result, the Commercial Contributor must pay those\ndamages. 5.\n\nNO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\nOR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF\nTITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations. 6.\n\nDISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY\nCONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION\nLOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. 7.\n\nGENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect\nto a patent applicable to software (including a cross-claim or counterclaim\nin a lawsuit), then any patent licenses granted by that Contributor to such\nRecipient under this Agreement shall terminate as of the date such litigation\nis filed. In addition, if Recipient institutes patent litigation against any\nentity (including a cross-claim or counterclaim in a lawsuit) alleging that\nthe Program itself (excluding combinations of the Program with other software\nor hardware) infringes such Recipient\'s patent(s), then such Recipient\'s rights\ngranted under Section 2(b) shall terminate as of the date such litigation\nis filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but\nin order to avoid inconsistency the Agreement is copyrighted and may only\nbe modified in the following manner. The Agreement Steward reserves the right\nto publish new versions (including revisions) of this Agreement from time\nto time. No one other than the Agreement Steward has the right to modify this\nAgreement. IBM is the initial Agreement Steward. IBM may assign the responsibility\nto serve as the Agreement Steward to a suitable separate entity. Each new\nversion of the Agreement will be given a distinguishing version number. The\nProgram (including Contributions) may always be distributed subject to the\nversion of the Agreement under which it was received. In addition, after a\nnew version of the Agreement is published, Contributor may elect to distribute\nthe Program (including its Contributions) under the new version. Except as\nexpressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights\nor licenses to the intellectual property of any Contributor under this Agreement,\nwhether expressly, by implication, estoppel or otherwise. All rights in the\nProgram not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual\nproperty laws of the United States of America. No party to this Agreement\nwill bring a legal action under this Agreement more than one year after the\ncause of action arose. Each party waives its rights to a jury trial in any\nresulting litigation.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(111,'OFL-1.0','SIL OPEN FONT LICENSE\n\nVersion 1.0 - 22 November 2005\n\nPREAMBLE\n\nThe goals of the Open Font License (OFL) are to stimulate worldwide development\nof cooperative font projects, to support the font creation efforts of academic\nand linguistic communities, and to provide an open framework in which fonts\nmay be shared and improved in partnership with others.\n\nThe OFL allows the licensed fonts to be used, studied, modified and redistributed\nfreely as long as they are not sold by themselves. The fonts, including any\nderivative works, can be bundled, embedded, redistributed and sold with any\nsoftware provided that the font names of derivative works are changed. The\nfonts and derivatives, however, cannot be released under any other type of\nlicense.\n\nDEFINITIONS\n\n\"Font Software\" refers to any and all of the following:\n\n   - font files\n\n   - data files\n\n   - source code\n\n   - build scripts\n\n   - documentation\n\n\"Reserved Font Name\" refers to the Font Software name as seen by users and\nany other names as specified after the copyright statement.\n\n\"Standard Version\" refers to the collection of Font Software components as\ndistributed by the Copyright Holder.\n\n\"Modified Version\" refers to any derivative font software made by adding to,\ndeleting, or substituting — in part or in whole -- any of the components of\nthe Standard Version, by changing formats or by porting the Font Software\nto a new environment.\n\n\"Author\" refers to any designer, engineer, programmer, technical writer or\nother person who contributed to the Font Software.\n\nPERMISSION & CONDITIONS\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof the Font Software, to use, study, copy, merge, embed, modify, redistribute,\nand sell modified and unmodified copies of the Font Software, subject to the\nfollowing conditions:\n\n1) Neither the Font Software nor any of its individual components, in Standard\nor Modified Versions, may be sold by itself.\n\n2) Standard or Modified Versions of the Font Software may be bundled, redistributed\nand sold with any software, provided that each copy contains the above copyright\nnotice and this license. These can be included either as stand-alone text\nfiles, human-readable headers or in the appropriate machine-readable metadata\nfields within text or binary files as long as those fields can be easily viewed\nby the user.\n\n3) No Modified Version of the Font Software may use the Reserved Font Name(s),\nin part or in whole, unless explicit written permission is granted by the\nCopyright Holder. This restriction applies to all references stored in the\nFont Software, such as the font menu name and other font description fields,\nwhich are used to differentiate the font from others.\n\n4) The name(s) of the Copyright Holder or the Author(s) of the Font Software\nshall not be used to promote, endorse or advertise any Modified Version, except\nto acknowledge the contribution(s) of the Copyright Holder and the Author(s)\nor with their explicit written permission.\n\n5) The Font Software, modified or unmodified, in part or in whole, must be\ndistributed using this license, and may not be distributed under any other\nlicense.\n\nTERMINATION\n\nThis license becomes null and void if any of the above conditions are not met.\n\nDISCLAIMER\n\nTHE FONT SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS\nOR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,\nTRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE\nFOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL,\nINDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT,\nTORT OR OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT\nSOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(112,'Cube','Cube game engine source code, 20 dec 2003 release.\n\nCopyright (C) 2001-2003 Wouter van Oortmerssen.\n\nThis software is provided \'as-is\', without any express or implied warranty.\nIn no event will the authors be held liable for any damages arising from the\nuse of this software.\n\nPermission is granted to anyone to use this software for any purpose, including\ncommercial applications, and to alter it and redistribute it freely, subject\nto the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim\nthat you wrote the original software. If you use this software in a product,\nan acknowledgment in the product documentation would be appreciated but is\nnot required.\n\n2. Altered source versions must be plainly marked as such, and must not be\nmisrepresented as being the original software.\n\n   3. This notice may not be removed or altered from any source distribution.\n\nadditional clause specific to Cube:\n\n4. Source versions may not be \"relicensed\" under a different license without\nmy explicitly written permission.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(113,'SugarCRM-1.1.3','SUGARCRM PUBLIC LICENSE Applies to Sugar Open Source Edition v1 through v4.\nPlease note that these releases are no longer supported or distributed.\n\nVersion 1.1.3\n\nThe SugarCRM Public License Version (\"SPL\") consists of the Mozilla Public\nLicense Version 1.1, modified to be specific to SugarCRM, with the Additional\nTerms in Exhibit B. The original Mozilla Public License 1.1 can be found at:\nhttp://www.mozilla.org/MPL/MPL-1.1.html\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n      2.2. Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby\ngrants You a world-wide, royalty-free, non-exclusive license\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n   3. Distribution Obligations.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has knowledge of patent licenses which\nare reasonably necessary to implement that API, Contributor must also include\nthis information in the LEGAL file.\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"LEGAL\" which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Covered Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Code. However,\nYou may do so only on Your own behalf, and not on behalf of the Initial Developer\nor any Contributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code or ownership rights under a license of Your choice,\nwhich may contain terms different from this License, provided that You are\nin compliance with the terms of this License and that the license for the\nExecutable version does not attempt to limit or alter the recipient\'s rights\nin the Source Code version from the rights set forth in this License. If You\ndistribute the Executable version under a different license You must make\nit absolutely clear that any terms which differ from this License are offered\nby You alone, not by the Initial Developer or any Contributor. You hereby\nagree to indemnify the Initial Developer and every Contributor for any liability\nincurred by the Initial Developer or such Contributor as a result of any such\nterms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by SugarCRM.\nNo one other than SugarCRM has the right to modify the terms applicable to\nCovered Code created under this License.\n\n6.3. Derivative Works. If You create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), You must (a) rename Your license so that the\nphrases \"SugarCRM\", \"SPL\" or any confusingly similar phrase do not appear\nin your license (except to note that your license differs from this License)\nand (b) otherwise make it clear that Your version of the license contains\nterms which differ from the SugarCRM Public License. (Filling in the name\nof the Initial Developer, Original Code or Contributor in the notice described\nin Exhibit A shall not of themselves be deemed to be modifications of this\nLicense.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the SPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A. SugarCRM Public License 1.1.3 - Exhibit A\n\nThe contents of this file are subject to the SugarCRM Public License Version\n1.1.3 (\"License\"); You may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.sugarcrm.com/SPL\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is: SugarCRM Open Source\n\nThe Initial Developer of the Original Code is SugarCRM, Inc.\n\nPortions created by SugarCRM are Copyright (C) 2004 SugarCRM, Inc.;\n\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n\nSugarCRM Public License 1.1.3 - Exhibit B\n\nAdditional Terms applicable to the SugarCRM Public License.\n\n   I. Effect.,\n\nThese additional terms described in this SugarCRM Public License - Additional\nTerms shall apply to the Covered Code under this License.\n\n   II. SugarCRM and logo.\n\nThis License does not grant any rights to use the trademarks \"SugarCRM\" and\nthe \"SugarCRM\" logos even if such marks are included in the Original Code\nor Modifications.\n\nHowever, in addition to the other notice obligations, all copies of the Covered\nCode in Executable and Source Code form distributed must, as a form of attribution\nof the original author, include on each user interface screen (i) the \"Powered\nby SugarCRM\" logo and (ii) the copyright notice in the same form as the latest\nversion of the Covered Code distributed by SugarCRM, Inc. at the time of distribution\nof such copy. In addition, the \"Powered by SugarCRM\" logo must be visible\nto all users and be located at the very bottom center of each user interface\nscreen. Notwithstanding the above, the dimensions of the \"Powered By SugarCRM\"\nlogo must be at least 106 x 23 pixels. When users click on the \"Powered by\nSugarCRM\" logo it must direct them back to http://www.sugarforge.org. In addition,\nthe copyright notice must remain visible to all users at all times at the\nbottom of the user interface screen. When users click on the copyright notice,\nit must direct them back to http://www.sugarcrm.com\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(114,'Noweb','Noweb is copyright 1989-2000 by Norman Ramsey. All rights reserved.\n\nNoweb is protected by copyright. It is not public-domain software or shareware,\nand it is not protected by a ``copyleft\'\' agreement like the one used by the\nFree Software Foundation.\n\nNoweb is available free for any use in any field of endeavor. You may redistribute\nnoweb in whole or in part provided you acknowledge its source and include\nthis COPYRIGHT file. You may modify noweb and create derived works, provided\nyou retain this copyright notice, but the result may not be called noweb without\nmy written consent.\n\nYou may sell noweb if you wish. For example, you may sell a CD-ROM including\nnoweb.\n\nYou may sell a derived work, provided that all source code for your derived\nwork is available, at no additional charge, to anyone who buys your derived\nwork in any form. You must give permisson for said source code to be used\nand modified under the terms of this license. You must state clearly that\nyour work uses or is based on noweb and that noweb is available free of change.\nYou must also request that bug reports on your work be reported to you.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(115,'IBM-pibs','This source code has been made available to you by IBM on an AS-IS basis.\nAnyone receiving this source is licensed under IBM copyrights to use it in\nany way he or she deems fit, including copying it, modifying it, compiling\nit, and redistributing it either with or without modifications. No license\nunder IBM patents or patent applications is to be implied by the copyright\nlicense.\n\nAny user of this software should understand that IBM cannot provide technical\nsupport for this software and will not be responsible for any consequences\nresulting from the use of this software.\n\nAny person who transfers this source code or any derivative work must include\nthe IBM copyright notice, this paragraph, and the preceding two paragraphs\nin the transferred software.\n\nCOPYRIGHT I B M CORPORATION 2002\n\nLICENSED MATERIAL - PROGRAM PROPERTY OF I B M\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(116,'Artistic-2.0','The Artistic License 2.0\n\nCopyright (c) 2000-2006, The Perl Foundation.\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThis license establishes the terms under which a given free software Package\nmay be copied, modified, distributed, and/or redistributed. The intent is\nthat the Copyright Holder maintains some artistic control over the development\nof that Package while still keeping the Package available as open source and\nfree software.\n\nYou are always permitted to make arrangements wholly outside of this license\ndirectly with the Copyright Holder of a given Package. If the terms of this\nlicense do not permit the full use that you propose to make of the Package,\nyou should contact the Copyright Holder and seek a different licensing arrangement.\n\nDefinitions\n\n   \n\n\"Copyright Holder\" means the individual(s) or organization(s) named in the\ncopyright notice for the entire Package.\n\n   \n\n\"Contributor\" means any party that has contributed code or other material\nto the Package, in accordance with the Copyright Holder\'s procedures.\n\n   \n\n\"You\" and \"your\" means any person who would like to copy, distribute, or modify\nthe Package.\n\n   \n\n\"Package\" means the collection of files distributed by the Copyright Holder,\nand derivatives of that collection and/or of those files. A given Package\nmay consist of either the Standard Version, or a Modified Version.\n\n   \n\n\"Distribute\" means providing a copy of the Package or making it accessible\nto anyone else, or in the case of a company or organization, to others outside\nof your company or organization.\n\n   \n\n\"Distributor Fee\" means any fee that you charge for Distributing this Package\nor providing support for this Package to another party. It does not mean licensing\nfees.\n\n   \n\n\"Standard Version\" refers to the Package if it has not been modified, or has\nbeen modified only in ways explicitly requested by the Copyright Holder.\n\n   \n\n\"Modified Version\" means the Package, if it has been changed, and such changes\nwere not explicitly requested by the Copyright Holder.\n\n   \n\n\"Original License\" means this Artistic License as Distributed with the Standard\nVersion of the Package, in its current version or as it may be modified by\nThe Perl Foundation in the future.\n\n   \n\n\"Source\" form means the source code, documentation source, and configuration\nfiles for the Package.\n\n   \n\n\"Compiled\" form means the compiled bytecode, object code, binary, or any other\nform resulting from mechanical transformation or translation of the Source\nform.\n\nPermission for Use and Modification Without Distribution\n\n(1) You are permitted to use the Standard Version and create and use Modified\nVersions for any purpose without restriction, provided that you do not Distribute\nthe Modified Version.\n\nPermissions for Redistribution of the Standard Version\n\n(2) You may Distribute verbatim copies of the Source form of the Standard\nVersion of this Package in any medium without restriction, either gratis or\nfor a Distributor Fee, provided that you duplicate all of the original copyright\nnotices and associated disclaimers. At your discretion, such verbatim copies\nmay or may not include a Compiled form of the Package.\n\n(3) You may apply any bug fixes, portability changes, and other modifications\nmade available from the Copyright Holder. The resulting Package will still\nbe considered the Standard Version, and as such will be subject to the Original\nLicense.\n\nDistribution of Modified Versions of the Package as Source\n\n(4) You may Distribute your Modified Version as Source (either gratis or for\na Distributor Fee, and with or without a Compiled form of the Modified Version)\nprovided that you clearly document how it differs from the Standard Version,\nincluding, but not limited to, documenting any non-standard features, executables,\nor modules, and provided that you do at least ONE of the following:\n\n(a) make the Modified Version available to the Copyright Holder of the Standard\nVersion, under the Original License, so that the Copyright Holder may include\nyour modifications in the Standard Version.\n\n(b) ensure that installation of your Modified Version does not prevent the\nuser installing or running the Standard Version. In addition, the Modified\nVersion must bear a name that is different from the name of the Standard Version.\n\n(c) allow anyone who receives a copy of the Modified Version to make the Source\nform of the Modified Version available to others under\n\n         (i) the Original License or\n\n(ii) a license that permits the licensee to freely copy, modify and redistribute\nthe Modified Version using the same licensing terms that apply to the copy\nthat the licensee received, and requires that the Source form of the Modified\nVersion, and of any works derived from it, be made freely available in that\nlicense fees are prohibited but Distributor Fees are allowed.\n\nDistribution of Compiled Forms of the Standard Version or Modified Versions\nwithout the Source\n\n(5) You may Distribute Compiled forms of the Standard Version without the\nSource, provided that you include complete instructions on how to get the\nSource of the Standard Version. Such instructions must be valid at the time\nof your distribution. If these instructions, at any time while you are carrying\nout such distribution, become invalid, you must provide new instructions on\ndemand or cease further distribution. If you provide valid instructions or\ncease distribution within thirty days after you become aware that the instructions\nare invalid, then you do not forfeit any of your rights under this license.\n\n(6) You may Distribute a Modified Version in Compiled form without the Source,\nprovided that you comply with Section 4 with respect to the Source of the\nModified Version.\n\nAggregating or Linking the Package\n\n(7) You may aggregate the Package (either the Standard Version or Modified\nVersion) with other packages and Distribute the resulting aggregation provided\nthat you do not charge a licensing fee for the Package. Distributor Fees are\npermitted, and licensing fees for other components in the aggregation are\npermitted. The terms of this license apply to the use and Distribution of\nthe Standard or Modified Versions as included in the aggregation.\n\n(8) You are permitted to link Modified and Standard Versions with other works,\nto embed the Package in a larger work of your own, or to build stand-alone\nbinary or bytecode versions of applications that include the Package, and\nDistribute the result without restriction, provided the result does not expose\na direct interface to the Package.\n\nItems That are Not Considered Part of a Modified Version\n\n(9) Works (including, but not limited to, modules and scripts) that merely\nextend or make use of the Package, do not, by themselves, cause the Package\nto be a Modified Version. In addition, such works are not considered parts\nof the Package itself, and are not subject to the terms of this license.\n\nGeneral Provisions\n\n(10) Any use, modification, and distribution of the Standard or Modified Versions\nis governed by this Artistic License. By using, modifying or distributing\nthe Package, you accept this license. Do not use, modify, or distribute the\nPackage, if you do not accept this license.\n\n(11) If your Modified Version has been derived from a Modified Version made\nby someone other than you, you are nevertheless required to ensure that your\nModified Version complies with the requirements of this license.\n\n(12) This license does not grant you the right to use any trademark, service\nmark, tradename, or logo of the Copyright Holder.\n\n(13) This license includes the non-exclusive, worldwide, free-of-charge patent\nlicense to make, have made, use, offer to sell, sell, import and otherwise\ntransfer the Package with respect to any patent claims licensable by the Copyright\nHolder that are necessarily infringed by the Package. If you institute patent\nlitigation (including a cross-claim or counterclaim) against any party alleging\nthat the Package constitutes direct or contributory patent infringement, then\nthis Artistic License to you shall terminate on the date that such litigation\nis filed.\n\n   (14) Disclaimer of Warranty:\n\nTHE PACKAGE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS \"AS IS\" AND\nWITHOUT ANY EXPRESS OR IMPLIED WARRANTIES. THE IMPLIED WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT ARE DISCLAIMED TO THE\nEXTENT PERMITTED BY YOUR LOCAL LAW. UNLESS REQUIRED BY LAW, NO COPYRIGHT HOLDER\nOR CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL\nDAMAGES ARISING IN ANY WAY OUT OF THE USE OF THE PACKAGE, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(117,'LZMA-exception','I.6 Special exception for LZMA compression module LZMA exception\n\nIgor Pavlov and Amir Szekely, the authors of the LZMA compression module for NSIS, expressly permit you to statically or dynamically link your code (or bind by name) to the files from the LZMA compression module for NSIS without subjecting your linked code to the terms of the Common Public license version 1.0. Any modifications or additions to files from the LZMA compression module for NSIS, however, are subject to the terms of the Common Public License version 1.0.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(118,'LPPL-1.2','The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.2 1999-09-03\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document,\nbut modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base\nLaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to\ndistribute. This license may be particularly suitable if your program is TeX-related\n(such as a LaTeX package), but you may use it even if your program is unrelated\nto TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\',\nbelow, gives instructions, examples, and recommendations for authors who are\nconsidering distributing their programs under this license.\n\nIn this license document, `The Program\' refers to any program distributed\nunder this license.\n\nThis license gives conditions under which The Program may be distributed and\nconditions under which modified versions of The Program may be distributed.\nIndividual files of The Program may bear supplementary and/or superseding\nconditions on modification of themselves and on the distribution of modified\nversions of themselves, but *no* file of The Program may bear supplementary\nor superseding conditions on the distribution of an unmodified copy of the\nfile. A distributor wishing to distribute a complete, unmodified copy of The\nProgram therefore needs to check the conditions only in this license and nowhere\nelse.\n\nActivities other than distribution and/or modification of The Program are\nnot covered by this license; they are outside its scope. In particular, the\nact of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom\nto make and distribute modified versions of The Program that conform with\nwhatever technical specifications you wish while maintaining the availability,\nintegrity, and reliability of The Program. If you do not see how to achieve\nyour goal while meeting these conditions, then read the document `cfgguide.tex\'\nin the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution\nof only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice\nforbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following\neight conditions are met:\n\n1. You must meet any additional conditions borne by the file on the distribution\nof a modified version of the file as described below in the subsection `Additional\nConditions on Individual Files of The Program\'.\n\n2. If the file is a LaTeX software file, then you must meet any applicable\nadditional conditions on the distribution of a modified version of the file\nthat are described below in the subsection `Additional Conditions on LaTeX\nSoftware Files\'.\n\n3. You must not distribute the modified file with the filename of the original\nfile.\n\n4. In the modified file, you must acknowledge the authorship and name of the\noriginal file, and the name (if any) of the program which contains it.\n\n5. You must change any identification string in the file to indicate clearly\nthat the modified file is not part of The Program.\n\n6. You must change any addresses in the modified file for the reporting of\nerrors in the file or in The Program generally to ensure that reports for\nfiles no longer maintained by the original maintainers will be directed to\nthe maintainers of the modified files.\n\n7. You must distribute the modified file under a license that forbids distribution\nboth of the modified file and of any files derived from the modified file\nwith the filename of the original file.\n\n   8. You must do either (A) or (B):\n\n(A) distribute a copy of The Program (that is, a complete, unmodified copy\nof The Program) together with the modified file; if your distribution of the\nmodified file is made by offering access to copy the modified file from a\ndesignated place, then offering equivalent access to copy The Program from\nthe same place meets this condition, even though third parties are not compelled\nto copy The Program along with the modified file;\n\n(B) provide to those who receive the modified file information that is sufficient\nfor them to obtain a copy of The Program; for example, you may provide a Uniform\nResource Locator (URL) for a site that you expect will provide them with a\ncopy of The Program free of charge (either the version from which your modification\nis derived, or perhaps a later version).\n\nNote that in the above, `distribution\' of a file means making the file available\nto others by any means. This includes, for instance, installing the file on\nany machine in such a way that the file is accessible by users other than\nyourself. `Modification\' of a file means any procedure that produces a derivative\nfile under any applicable law -- that is, a file containing the original file\nor a significant portion of it, either verbatim or with modifications and/or\ntranslated into another language.\n\nChanging the name of a file (other than as necessitated by the file conventions\nof the target file systems) is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files\nthat have been modified in accordance with the above conditions. Note, however,\nthat Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply\nto, the updating, by any method, of a file so that it becomes identical to\nthe latest version of that file of The Program.\n\nA Recommendation on Modification Without Distribution -----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal\nuse, without also meeting the above eight conditions for distributing the\nmodified file. While you might intend that such modified files will never\nbe distributed, often this will happen by accident -- you may forget that\nyou have modified the file; or it may not occur to you when allowing others\nto access the modified file that you are thus distributing it and violating\nthe conditions of this license. It is usually in your best interest to keep\nyour copy of The Program identical with the public one. Many programs provide\nways to control the behavior of that program without altering its licensed\nfiles.\n\nAdditional Conditions on Individual Files of The Program --------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement\nand/or supersede the conditions in this license if, and only if, such additional\nconditions exclusively concern modification of the file or distribution of\na modified version of the file. The conditions on individual files of The\nProgram therefore may differ only with respect to the kind and extent of modification\nof those files that is allowed, and with respect to the distribution of modified\nversions of those files.\n\nAdditional Conditions on LaTeX Software Files\n\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it\nis a LaTeX software file), then the following additional conditions, which\nsupplement and/or supersede the conditions above, apply to the file according\nto its filename extension:\n\n- You may not modify any file with filename extension `.ins\' since these are\ninstallation files containing the legal notices that are placed in the files\nthey generate.\n\n- You may distribute modified versions of files with filename extension `.fd\'\n(LaTeX font definition files) under the standard conditions of the LPPL as\ndescribed above. You may also distribute such modified LaTeX font definition\nfiles with their original names provided that:\n\n(1) the only changes to the original files either enable use of available\nfonts or prevent attempts to access unavailable fonts;\n\n(2) you also distribute the original, unmodified files (TeX input paths can\nbe used to control which set of LaTeX font definition files is actually used\nby TeX).\n\n- You may distribute modified versions of files with filename extension `.cfg\'\n(configuration files) with their original names. The Program may (and usually\nwill) specify the range of commands that are allowed in a particular configuration\nfile.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3\nProject deprecates the distribution of modified versions of components of\nLaTeX or of generally available contributed code for them, but such distribution\ncan meet the conditions of this license.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing,\nThe Copyright Holder provides The Program `as is\', without warranty of any\nkind, either expressed or implied, including, but not limited to, the implied\nwarranties of merchantability and fitness for a particular purpose. The entire\nrisk as to the quality and performance of The Program is with you. Should\nThe Program prove defective, you assume the cost of all necessary servicing,\nrepair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any\nauthor named in the files of The Program, or any other party who may distribute\nand/or modify The Program as permitted above, be liable to you for damages,\nincluding any general, special, incidental or consequential damages arising\nout of any use of The Program or out of inability to use The Program (including,\nbut not limited to, loss of data, data being rendered inaccurate, or losses\nsustained by anyone as a result of any failure of The Program to operate with\nany other programs), even if The Copyright Holder or said author or said other\nparty has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE =========================================================\n\nThis section contains important instructions, examples, and recommendations\nfor authors who are considering distributing their programs under this license.\nThese authors are addressed as `you\' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions\nthat differ from those in this license, then do not refer to this license\nanywhere in your program but instead distribute your program under a different\nlicense. You may use the text of this license as a model for your own license,\nbut your license should not refer to the LPPL or otherwise give the impression\nthat your program is distributed under the LPPL.\n\nThe document `modguide.tex\' in the base LaTeX distribution explains the motivation\nbehind the conditions of this license. It explains, for example, why distributing\nLaTeX under the GNU General Public License (GPL) was considered inappropriate.\nEven if your program is unrelated to LaTeX, the discussion in `modguide.tex\'\nmay still be relevant, and authors intending to distribute their programs\nunder any license are encouraged to read it.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit\ncopyright notice including your name and the year and also a statement that\nthe distribution and/or modification of the file is constrained by the conditions\nin this license.\n\nHere is an example of such a notice and statement:\n\n%% pig.dtx\n\n%% Copyright 2001 M. Y. Name\n\n%\n\n% This program may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.2\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.2 or later is part of all distributions of LaTeX\n\n% version 1999/12/01 or later.\n\n%\n\n% This program consists of the files pig.dtx and pig.ins\n\nGiven such a notice and statement in a file, the conditions given in this\nlicense document would apply, with `The Program\' referring to the two files\n`pig.dtx\' and `pig.ins\', and `The Copyright Holder\' referring to the person\n`M. Y. Name\'.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files\nof The Program. It is therefore important that you provide a way for the licensee\nto determine which files constitute The Program. This could, for example,\nbe achieved by explicitly listing all the files of The Program near the copyright\nnotice of each file or by using a line like\n\n% This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible\nfor the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files If The Program contains any files bearing additional\nconditions on modification, or on distribution of modified versions, of those\nfiles (other than those listed in `Additional Conditions on LaTeX Software\nFiles\'), then it is recommended that The Program contain a prominent file\nthat defines the exceptional conditions, and either lists the exceptional\nfiles or defines one or more categories of exceptional files.\n\nFiles containing the text of a license (such as this file) are often examples\nof files bearing more restrictive conditions on modification. LaTeX configuration\nfiles (with filename extension `.cfg\') are examples of files bearing less\nrestrictive conditions on the distribution of a modified version of the file.\nThe additional conditions on LaTeX software given above are examples of declaring\na category of files bearing exceptional additional conditions.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(119,'389-exception','This Program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.\n\nThis Program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this Program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.\n\nIn addition, as a special exception, Red Hat, Inc. gives You the additional right to link the code of this Program with code not covered under the GNU General Public License (\"Non-GPL Code\") and to distribute linked combinations including the two, subject to the limitations in this paragraph. Non-GPL Code permitted under this exception must only link to the code of this Program through those well defined interfaces identified in the file named EXCEPTION found in the source code files (the \"Approved Interfaces\"). The files of Non-GPL Code may instantiate templates or use macros or inline functions from the Approved Interfaces without causing the resulting work to be covered by the GNU General Public License. Only Red Hat, Inc. may make changes or additions to the list of Approved Interfaces. You must obey the GNU General Public License in all respects for all of the Program code and other code used in conjunction with the Program except the Non-GPL Code covered by this exception. If you modify this file, you may extend this exception to your version of the file, but you are not obligated to do so. If you do not wish to provide this exception without modification, you must delete this exception statement from your version and license this file solely under the GPL without exception.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(120,'Dotseqn','Copyright (C) 1995 by Donald Arseneau\n\nThis file may be freely transmitted and reproduced, but it may not be changed\nunless the name is changed also (except that you may freely change the paper-size\noption for \\documentclass).\n\nThis notice must be left intact.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(121,'EUPL-1.0','European Union Public Licence V.1.0\n\nEUPL (c) the European Community 2007 This European Union Public Licence (the\n\"EUPL\") applies to the Work or Software (as defined below) which is provided\nunder the terms of this Licence. Any use of the Work, other than as authorised\nunder this Licence is prohibited (to the extent such use is covered by a right\nof the copyright holder of the Work).\n\nThe Original Work is provided under the terms of this Licence when the Licensor\n(as defined below) has placed the following notice immediately following the\ncopyright notice for the Original Work:\n\nLicensed under the EUPL V.1.0\n\nor has expressed by any other mean his willingness to license under the EUPL.\n\n   1. Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n      − The Licence: this Licence.\n\n− The Original Work or the Software: the software distributed and/or communicated\nby the Licensor under this Licence, available as Source Code and also as Executable\nCode as the case may be.\n\n− Derivative Works: the works or software that could be created by the Licensee,\nbased upon the Original Work or modifications thereof. This Licence does not\ndefine the extent of modification or dependence on the Original Work required\nin order to classify a work as a Derivative Work; this extent is determined\nby copyright law applicable in the country mentioned in Article 15.\n\n      − The Work: the Original Work and/or its Derivative Works.\n\n− The Source Code: the human-readable form of the Work which is the most convenient\nfor people to study and modify.\n\n− The Executable Code: any code which has generally been compiled and which\nis meant to be interpreted by a computer as a program.\n\n− The Licensor: the natural or legal person that distributes and/or communicates\nthe Work under the Licence.\n\n− Contributor(s): any natural or legal person who modifies the Work under\nthe Licence, or otherwise contributes to the creation of a Derivative Work.\n\n− The Licensee or \"You\": any natural or legal person who makes any usage of\nthe Software under the terms of the Licence. − Distribution and/or Communication:\nany act of selling, giving, lending, renting, distributing, communicating,\ntransmitting, or otherwise making available, on-line or off-line, copies of\nthe Work at the disposal of any other natural or legal person.\n\n   2. Scope of the rights granted by the Licence\n\nThe Licensor hereby grants You a world-wide, royalty-free, non-exclusive,\nsub-licensable licence to do the following, for the duration of copyright\nvested in the Original Work:\n\n      − use the Work in any circumstance and for all usage,\n\n      − reproduce the Work,\n\n− modify the Original Work, and make Derivative Works based upon the Work,\n\n− communicate to the public, including the right to make available or display\nthe Work or copies thereof to the public and perform publicly, as the case\nmay be, the Work,\n\n      − distribute the Work or copies thereof,\n\n      − lend and rent the Work or copies thereof,\n\n      − sub-license rights in the Work or copies thereof.\n\nThose rights can be exercised on any media, supports and formats, whether\nnow known or later invented, as far as the applicable law permits so.\n\nIn the countries where moral rights apply, the Licensor waives his right to\nexercise his moral right to the extent allowed by law in order to make effective\nthe licence of the economic rights here above listed.\n\nThe Licensor grants to the Licensee royalty-free, non exclusive usage rights\nto any patents held by the Licensor, to the extent necessary to make use of\nthe rights granted on the Work under this Licence.\n\n   3. Communication of the Source Code\n\nThe Licensor may provide the Work either in its Source Code form, or as Executable\nCode. If the Work is provided as Executable Code, the Licensor provides in\naddition a machinereadable copy of the Source Code of the Work along with\neach copy of the Work that the Licensor distributes or indicates, in a notice\nfollowing the copyright notice attached to the Work, a repository where the\nSource Code is easily and freely accessible for as long as the Licensor continues\nto distribute and/or communicate the Work.\n\n   4. Limitations on copyright\n\nNothing in this Licence is intended to deprive the Licensee of the benefits\nfrom any exception or limitation to the exclusive rights of the rights owners\nin the Original Work or Software, of the exhaustion of those rights or of\nother applicable limitations thereto.\n\n   5. Obligations of the Licensee\n\nThe grant of the rights mentioned above is subject to some restrictions and\nobligations imposed on the Licensee. Those obligations are the following:\n\nAttribution right: the Licensee shall keep intact all copyright, patent or\ntrademarks notices and all notices that refer to the Licence and to the disclaimer\nof warranties. The Licensee must include a copy of such notices and a copy\nof the Licence with every copy of the Work he/she distributes and/or communicates.\nThe Licensee must cause any Derivative Work to carry prominent notices stating\nthat the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes and/or communicates copies of\nthe Original Works or Derivative Works based upon the Original Work, this\nDistribution and/or Communication will be done under the terms of this Licence.\nThe Licensee (becoming Licensor) cannot offer or impose any additional terms\nor conditions on the Work or Derivative Work that alter or restrict the terms\nof the Licence.\n\nCompatibility clause: If the Licensee Distributes and/or Communicates Derivative\nWorks or copies thereof based upon both the Original Work and another work\nlicensed under a Compatible Licence, this Distribution and/or Communication\ncan be done under the terms of this Compatible Licence. For the sake of this\nclause, \"Compatible Licence\" refers to the licences listed in the appendix\nattached to this Licence. Should the Licensee\'s obligations under the Compatible\nLicence conflict with his/her obligations under this Licence, the obligations\nof the Compatible Licence shall prevail.\n\nProvision of Source Code: When distributing and/or communicating copies of\nthe Work, the Licensee will provide a machine-readable copy of the Source\nCode or indicate a repository where this Source will be easily and freely\navailable for as long as the Licensee continues to distribute and/or communicate\nthe Work.\n\nLegal Protection: This Licence does not grant permission to use the trade\nnames, trademarks, service marks, or names of the Licensor, except as required\nfor reasonable and customary use in describing the origin of the Work and\nreproducing the content of the copyright notice.\n\n   6. Chain of Authorship\n\nThe original Licensor warrants that the copyright in the Original Work granted\nhereunder is owned by him/her or licensed to him/her and that he/she has the\npower and authority to grant the Licence.\n\nEach Contributor warrants that the copyright in the modifications he/she brings\nto the Work are owned by him/her or licensed to him/her and that he/she has\nthe power and authority to grant the Licence.\n\nEach time You, as a Licensee, receive the Work, the original Licensor and\nsubsequent Contributors grant You a licence to their contributions to the\nWork, under the terms of this Licence.\n\n   7. Disclaimer of Warranty\n\nThe Work is a work in progress, which is continuously improved by numerous\ncontributors. It is not a finished work and may therefore contain defects\nor \"bugs\" inherent to this type of software development.\n\nFor the above reason, the Work is provided under the Licence on an \"as is\"\nbasis and without warranties of any kind concerning the Work, including without\nlimitation merchantability, fitness for a particular purpose, absence of defects\nor errors, accuracy, non-infringement of intellectual property rights other\nthan copyright as stated in Article 6 of this Licence.\n\nThis disclaimer of warranty is an essential part of the Licence and a condition\nfor the grant of any rights to the Work.\n\n   8. Disclaimer of Liability\n\nExcept in the cases of wilful misconduct or damages directly caused to natural\npersons, the Licensor will in no event be liable for any direct or indirect,\nmaterial or moral, damages of any kind, arising out of the Licence or of the\nuse of the Work, including without limitation, damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, loss of data or any commercial\ndamage, even if the Licensor has been advised of the possibility of such damage.\nHowever, the Licensor will be liable under statutory product liability laws\nas far such laws apply to the Work.\n\n   9. Additional agreements\n\nWhile distributing the Original Work or Derivative Works, You may choose to\nconclude an additional agreement to offer, and charge a fee for, acceptance\nof support, warranty, indemnity, or other liability obligations and/or services\nconsistent with this Licence. However, in accepting such obligations, You\nmay act only on your own behalf and on your sole responsibility, not on behalf\nof the original Licensor or any other Contributor, and only if You agree to\nindemnify, defend, and hold each Contributor harmless for any liability incurred\nby, or claims asserted against such Contributor by the fact You have accepted\nany such warranty or additional liability.\n\n   10. Acceptance of the Licence\n\nThe provisions of this Licence can be accepted by clicking on an icon \"I agree\"\nplaced under the bottom of a window displaying the text of this Licence or\nby affirming consent in any other similar way, in accordance with the rules\nof applicable law. Clicking on that icon indicates your clear and irrevocable\nacceptance of this Licence and all of its terms and conditions.\n\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions\nby exercising any rights granted to You by Article 2 of this Licence, such\nas the use of the Work, the creation by You of a Derivative Work or the Distribution\nand/or Communication by You of the Work or copies thereof.\n\n   11. Information to the public\n\nIn case of any Distribution and/or Communication of the Work by means of electronic\ncommunication by You (for example, by offering to download the Work from a\nremote location) the distribution channel or media (for example, a website)\nmust at least provide to the public the information requested by the applicable\nlaw regarding the identification and address of the Licensor, the Licence\nand the way it may be accessible, concluded, stored and reproduced by the\nLicensee.\n\n   12. Termination of the Licence\n\nThe Licence and the rights granted hereunder will terminate automatically\nupon any breach by the Licensee of the terms of the Licence.\n\nSuch a termination will not terminate the licences of any person who has received\nthe Work from the Licensee under the Licence, provided such persons remain\nin full compliance with the Licence.\n\n   13. Miscellaneous\n\nWithout prejudice of Article 9 above, the Licence represents the complete\nagreement between the Parties as to the Work licensed hereunder.\n\nIf any provision of the Licence is invalid or unenforceable under applicable\nlaw, this will not affect the validity or enforceability of the Licence as\na whole. Such provision will be construed and/or reformed so as necessary\nto make it valid and enforceable.\n\nThe European Commission may put into force translations and/or binding new\nversions of this Licence, so far this is required and reasonable. New versions\nof the Licence will be published with a unique version number. The new version\nof the Licence becomes binding for You as soon as You become aware of its\npublication.\n\n   14. Jurisdiction\n\nAny litigation resulting from the interpretation of this License, arising\nbetween the European Commission, as a Licensor, and any Licensee, will be\nsubject to the jurisdiction of the Court of Justice of the European Communities,\nas laid down in article 238 of the Treaty establishing the European Community.\n\nAny litigation arising between Parties, other than the European Commission,\nand resulting from the interpretation of this License, will be subject to\nthe exclusive jurisdiction of the competent court where the Licensor resides\nor conducts its primary business.\n\n   15. Applicable Law\n\nThis Licence shall be governed by the law of the European Union country where\nthe Licensor resides or has his registered office.\n\n   This licence shall be governed by the Belgian law if:\n\n− a litigation arises between the European Commission, as a Licensor, and\nany Licensee;\n\n− the Licensor, other than the European Commission, has no residence or registered\noffice inside a European Union country.\n\nAppendix\n\n\"Compatible Licences\" according to article 5 EUPL are:\n\n   − General Public License (GPL) v. 2\n\n   − Open Software License (OSL) v. 2.1, v. 3.0\n\n   − Common Public License v. 1.0\n\n   − Eclipse Public License v. 1.0\n\n   − Cecill v. 2.0\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(122,'SMPPL','Secure Messaging Protocol (SMP) Libraries [ACL, CML, SFL]\n\nDistribution Rights\n\nAll source code for the SMP is being provided at no cost and with no financial\nlimitations regarding its use and distribution. Organizations can use the\nSMP without paying any royalties or licensing fees. The SMP was originally\ndeveloped by the U.S. Government. BAE Systems is enhancing and supporting\nthe SMP under contract to the U.S. Government. The U.S. Government is furnishing\nthe SMP software at no cost to the vendor subject to the conditions of the\nSMP Public License provided with the SMP software.\n\n29 May 2002\n\nSecure Messaging Protocol (SMP) Public License\n\nThe United States Government/Department of Defense/National Security Agency/Office\nof Network Security (collectively \"the U.S. Government\") hereby grants permission\nto any person obtaining a copy of the SMP source and object files (the \"SMP\nSoftware\") and associated documentation files (the \"SMP Documentation\"), or\nany portions thereof, to do the following, subject to the following license\nconditions:\n\nYou may, free of charge and without additional permission from the U.S. Government,\nuse, copy, modify, sublicense and otherwise distribute the SMP Software or\ncomponents of the SMP Software, with or without modifications developed by\nyou and/or by others.\n\nYou may, free of charge and without additional permission from the U.S. Government,\ndistribute copies of the SMP Documentation, with or without modifications\ndeveloped by you and/or by others, at no charge or at a charge that covers\nthe cost of reproducing such copies, provided that this SMP Public License\nis retained.\n\nFurthermore, if you distribute the SMP Software or parts of the SMP Software,\nwith or without modifications developed by you and/or others, then you must\neither make available the source code to all portions of the SMP Software\n(exclusive of any modifications made by you and/or by others) upon request,\nor instead you may notify anyone requesting the SMP Software source code that\nit is freely available from the U.S. Government.\n\nTransmission of this SMP Public License must accompany whatever portions of\nthe SMP Software you redistribute.\n\nThe SMP Software is provided without warranty or guarantee of any nature,\nexpress or implied, including without limitation the warranties of merchantability\nand fitness for a particular purpose.\n\nThe U.S. Government cannot be held liable for any damages either directly\nor indirectly caused by the use of the SMP Software.\n\nIt is not permitted to copy, sublicense, distribute or transfer any of the\nSMP Software except as expressly indicated herein. Any attempts to do otherwise\nwill be considered a violation of this License and your rights to the SMP\nSoftware will be voided.\n\nThe SMP uses the Enhanced SNACC (eSNACC) Abstract Syntax Notation One (ASN.1)\nC++ Library to ASN.1 encode and decode security-related data objects. The\neSNACC ASN.1 C++ Library is covered by the ENHANCED SNACC SOFTWARE PUBLIC\nLICENSE. None of the GNU public licenses apply to the eSNACC ASN.1 C++ Library.\nThe eSNACC Compiler is not distributed as part of the SMP.\n\nCopyright © 1997-2002 National Security Agency\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(123,'ZPL-1.1','Zope Public License (ZPL) Version 1.1\n\nCopyright (c) Zope Corporation. All rights reserved. This license has been\ncertified as open source.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions in source code must retain the above copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions, and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials and documentation mentioning features derived\nfrom or use of this software must display the following acknowledgement:\n\n\"This product includes software developed by Zope Corporation for use in the\nZ Object Publishing Environment (http://www.zope.com/).\"\n\nIn the event that the product being advertised includes an intact Zope distribution\n(with copyright and license included) then this clause is waived.\n\n4. Names associated with Zope or Zope Corporation must not be used to endorse\nor promote products derived from this software without prior written permission\nfrom Zope Corporation.\n\n5. Modified redistributions of any form whatsoever must retain the following\nacknowledgment:\n\n\"This product includes software developed by Zope Corporation for use in the\nZ Object Publishing Environment (http://www.zope.com/).\"\n\nIntact (re-)distributions of any official Zope release do not require an external\nacknowledgement.\n\n6. Modifications are encouraged but must be packaged separately as patches\nto official Zope releases. Distributions that do not clearly separate the\npatches from the original work must be clearly labeled as unofficial distributions.\nModifications which do not carry the name Zope may be packaged in any form,\nas long as they conform to all of the clauses above.\n\nDisclaimer\n\nTHIS SOFTWARE IS PROVIDED BY ZOPE CORPORATION ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL ZOPE CORPORATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE. This software consists of contributions\nmade by Zope Corporation and many individuals on behalf of Zope Corporation.\nSpecific attributions are listed in the accompanying credits file.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(124,'TCP-wrappers','Copyright 1995 by Wietse Venema. All rights reserved. Some individual files\nmay be covered by other copyrights.\n\nThis material was originally written and compiled by Wietse Venema at Eindhoven\nUniversity of Technology, The Netherlands, in 1990, 1991, 1992, 1993, 1994\nand 1995.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that this entire copyright notice is duplicated in\nall such copies.\n\nThis software is provided \"as is\" and without any expressed or implied warranties,\nincluding, without limitation, the implied warranties of merchantibility and\nfitness for any particular purpose.\n','2021-08-27 08:51:41','2021-08-27 08:51:41');
INSERT INTO `licenses` VALUES (125,'CECILL-B','CeCILL-B FREE SOFTWARE LICENSE AGREEMENT Notice\n\nThis Agreement is a Free Software license agreement that is the result of\ndiscussions between its authors in order to ensure compliance with the two\nmain principles guiding its drafting:\n\n* firstly, compliance with the principles governing the distribution of Free\nSoftware: access to source code, broad rights granted to users,\n\n* secondly, the election of a governing law, French law, with which it is\nconformant, both as regards the law of torts and intellectual property law,\nand the protection that it offers to both authors and holders of the economic\nrights over software.\n\nThe authors of the CeCILL¹ license are:\n\n   \n\nCommissariat à l\'Energie Atomique - CEA, a public scientific, technical and\nindustrial research establishment, having its principal place of business\nat 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   \n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and\ntechnological establishment, having its principal place of business at 3 rue\nMichel-Ange, 75794 Paris cedex 16, France.\n\n   \n\nInstitut National de Recherche en Informatique et en Automatique - INRIA,\na public scientific and technological establishment, having its principal\nplace of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay\ncedex, France.\n\nPreamble This Agreement is an open source software license intended to give\nusers significant freedom to modify and redistribute the software licensed\nhereunder.\n\nThe exercising of this freedom is conditional upon a strong obligation of\ngiving credits for everybody that distributes a software incorporating a software\nruled by the current license so as all contributions to be properly identified\nand acknowledged.\n\nIn consideration of access to the source code and the rights to copy, modify\nand redistribute granted by the license, users are provided only with a limited\nwarranty and the software\'s author, the holder of the economic rights, and\nthe successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying and/or\ndeveloping or reproducing the software by the user are brought to the user\'s\nattention, given its Free Software status, which may make it complicated to\nuse, with the result that its use is reserved for developers and experienced\nprofessionals having in-depth computer knowledge. Users are therefore encouraged\nto load and test the suitability of the software as regards their requirements\nin conditions enabling the security of their systems and/or data to be ensured\nand, more generally, to use and operate it in the same conditions of security.\nThis Agreement may be freely reproduced and published, provided it is not\naltered, and that no provisions are either added or removed herefrom.\n\nThis Agreement may apply to any or all software for which the holder of the\neconomic rights decides to submit the use thereof to its provisions.\n\n   Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions commence\nwith a capital letter, they shall have the following meaning:\n\n      \n\nAgreement: means this license agreement, and its possible subsequent versions\nand annexes.\n\n      \n\nSoftware: means the software in its Object Code and/or Source Code form and,\nwhere applicable, its documentation, \"as is\" when the Licensee accepts the\nAgreement.\n\n      \n\nInitial Software: means the Software in its Source Code and possibly its Object\nCode form and, where applicable, its documentation, \"as is\" when it is first\ndistributed under the terms and conditions of the Agreement.\n\n      \n\nModified Software: means the Software modified by at least one Contribution.\n\n      \n\nSource Code: means all the Software\'s instructions and program lines to which\naccess is required so as to modify the Software.\n\n      \n\nObject Code: means the binary files originating from the compilation of the\nSource Code.\n\n      \n\nHolder: means the holder(s) of the economic rights over the Initial Software.\n\n      \n\n      Licensee: means the Software user(s) having accepted the Agreement.\n\n      \n\n      Contributor: means a Licensee having made at least one Contribution.\n\n      \n\nLicensor: means the Holder, or any other individual or legal entity, who distributes\nthe Software under the Agreement.\n\n      \n\nContribution: means any or all modifications, corrections, translations, adaptations\nand/or new functions integrated into the Software by any or all Contributors,\nas well as any or all Internal Modules.\n\n      \n\nModule: means a set of sources files including their documentation that enables\nsupplementary functions or services in addition to those offered by the Software.\n\n      \n\nExternal Module: means any or all Modules, not derived from the Software,\nso that this Module and the Software run in separate address spaces, with\none calling the other when they are run.\n\n      \n\nInternal Module: means any or all Module, connected to the Software so that\nthey both execute in the same address space.\n\n      \n\n      Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the Licensee\nof a non-exclusive, transferable and worldwide license for the Software as\nset forth in Article 5 hereinafter for the whole term of the protection granted\nby the rights over said Software.\n\n   Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and conditions\nof this Agreement upon the occurrence of the first of the following events:\n\n(i) loading the Software by any or all means, notably, by downloading from\na remote server, or by loading from a physical medium;\n\n(ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the characteristics\nof the Software, to the limited warranty, and to the fact that its use is\nrestricted to experienced users has been provided to the Licensee prior to\nits acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby\nacknowledges that it has read and understood it.\n\n   Article 4 - EFFECTIVE DATE AND TERM\n\n      4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the\nLicensee as set forth in Article 3.1.\n\n      4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of protection\nof the economic rights over the Software.\n\n   Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following rights\nover the Software for any or all use, and for the term of the Agreement, on\nthe basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents protecting\nall or part of the functions of the Software or of its components, the Licensor\nundertakes not to enforce the rights granted by these patents against successive\nLicensees using, exploiting or modifying the Software. If these patents are\ntransferred, the Licensor undertakes to have the transferees subscribe to\nthe obligations set forth in this paragraph.\n\n      5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation as\nto its fields of application, with it being hereinafter specified that this\ncomprises:\n\n1. permanent or temporary reproduction of all or part of the Software by any\nor all means and in any or all form.\n\n2. loading, displaying, running, or storing the Software on any or all medium.\n\n3. entitlement to observe, study or test its operation so as to determine\nthe ideas and principles behind any or all constituent elements of said Software.\nThis shall apply when the Licensee carries out any or all loading, displaying,\nrunning, transmission or storage operation as regards the Software, that it\nis entitled to carry out hereunder.\n\n      5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt, arrange,\nor make any or all modifications to the Software, and the right to reproduce\nthe resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the Software\nprovided that it includes an explicit notice that it is the author of said\nContribution and indicates the date of the creation thereof.\n\n      5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish, transmit\nand communicate the Software to the general public on any or all medium, and\nby any or all means, and the right to market, either in consideration of a\nfee, or free of charge, one or more copies of the Software by any means.\n\nThe Licensee is further authorized to distribute copies of the modified or\nunmodified Software to third parties according to the terms and conditions\nset forth hereinafter.\n\n         5.3.1. DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute true copies of the Software in Source\nCode or Object Code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is redistributed,\nthe Licensee allows effective access to the full Source Code of the Software\nat a minimum during the entire period of its distribution of the Software,\nit being understood that the additional cost of acquiring the Source Code\nshall not exceed the cost of transferring the data.\n\n         5.3.2. DISTRIBUTION OF MODIFIED SOFTWARE\n\nIf the Licensee makes any Contribution to the Software, the resulting Modified\nSoftware may be distributed under a license agreement other than this Agreement\nsubject to compliance with the provisions of Article 5.3.4.\n\n         5.3.3. DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and conditions\nof this Agreement do not apply to said External Module, that may be distributed\nunder a separate license agreement.\n\n         5.3.4. CREDITS\n\nAny Licensee who may distribute a Modified Software hereby expressly agrees\nto:\n\n1. indicate in the related documentation that it is based on the Software\nlicensed hereunder, and reproduce the intellectual property notice for the\nSoftware,\n\n2. ensure that written indications of the Software intended use, intellectual\nproperty notice and license hereunder are included in easily accessible format\nfrom the Modified Software interface,\n\n3. mention, on a freely accessible website describing the Modified Software,\nat least throughout the distribution term thereof, that it is based on the\nSoftware licensed hereunder, and reproduce the Software intellectual property\nnotice,\n\n4. where it is distributed to a third party that may distribute a Modified\nSoftware without having to make its source code available, make its best efforts\nto ensure that said third party agrees to comply with the obligations set\nforth in this Article .\n\nIf the Software, whether or not modified, is distributed with an External\nModule designed for use in connection with the Software, the Licensee shall\nsubmit said External Module to the foregoing obligations.\n\n         5.3.5. COMPATIBILITY WITH THE CeCILL AND CeCILL-C LICENSES\n\nWhere a Modified Software contains a Contribution subject to the CeCILL license,\nthe provisions set forth in Article 5.3.4 shall be optional.\n\nA Modified Software may be distributed under the CeCILL-C license. In such\na case the provisions set forth in Article 5.3.4 shall be optional.\n\n   Article 6 - INTELLECTUAL PROPERTY\n\n      6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all\nuse of the Initial Software is subject to compliance with the terms and conditions\nunder which the Holder has elected to distribute its work and no one shall\nbe entitled to modify the terms and conditions for the distribution of said\nInitial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at least\nby this Agreement, for the duration set forth in Article 4.2.\n\n      6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the intellectual\nproperty rights over this Contribution as defined by applicable law.\n\n      6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the intellectual\nproperty rights over this External Module as defined by applicable law and\nis free to choose the type of agreement that shall govern its distribution.\n\n      6.4 JOINT PROVISIONS\n\n      The Licensee expressly undertakes:\n\n1. not to remove, or modify, in any manner, the intellectual property notices\nattached to the Software;\n\n2. to reproduce said notices, in an identical manner, in the copies of the\nSoftware modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the intellectual\nproperty rights of the Holder and/or Contributors on the Software and to take,\nwhere applicable, vis-à-vis its staff, any and all measures required to ensure\nrespect of said intellectual property rights of the Holder and/or Contributors.\n\n   Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to provide\ntechnical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The terms\nand conditions of such technical assistance, and/or such maintenance, shall\nbe set forth in a separate instrument. Only the Licensor offering said maintenance\nand/or technical assistance services shall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under its\nsole responsibility, a warranty, that shall only be binding upon itself, for\nthe redistribution of the Software and/or the Modified Software, under terms\nand conditions that it is free to decide. Said warranty, and the financial\nterms and conditions of its application, shall be subject of a separate instrument\nexecuted between the Licensor and the Licensee.\n\n   Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be entitled\nto claim compensation for any direct loss it may have suffered from the Software\nas a result of a fault on the part of the relevant Licensor, subject to providing\nevidence thereof.\n\n8.2 The Licensor\'s liability is limited to the commitments made under this\nAgreement and shall not be incurred as a result of in particular: (i) loss\ndue the Licensee\'s total or partial failure to fulfill its obligations, (ii)\ndirect or consequential loss that is suffered by the Licensee due to the use\nor performance of the Software, and (iii) more generally, any consequential\nloss. In particular the Parties expressly agree that any or all pecuniary\nor business loss (i.e. loss of data, loss of profits, operating loss, loss\nof customers or orders, opportunity cost, any disturbance to business activities)\nor any or all legal proceedings instituted against the Licensee by a third\nparty, shall constitute consequential loss and shall not provide entitlement\nto any or all compensation from the Licensor.\n\n   Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical state-of-the-art\nwhen the Software was distributed did not enable all possible uses to be tested\nand verified, nor for the presence of possible defects to be detected. In\nthis respect, the Licensee\'s attention has been drawn to the risks associated\nwith loading, using, modifying and/or developing and reproducing the Software\nwhich are reserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means, the\nsuitability of the product for its requirements, its good working order, and\nfor ensuring that it shall not cause damage to either persons or properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled to\ngrant all the rights over the Software (including in particular the rights\nset forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by the\nLicensor without any other express or tacit warranty, other than that provided\nfor in Article 9.2 and, in particular, without any warranty as to its commercial\nvalue, its secured, safe, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from\nany error, that it will operate without interruption, that it will be compatible\nwith the Licensee\'s own equipment and software configuration, nor that it\nwill meet the Licensee\'s requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the Software\ndoes not infringe any third party intellectual property right relating to\na patent, software or any other property right. Therefore, the Licensor disclaims\nany and all liability towards the Licensee arising out of any or all proceedings\nfor infringement that may be instituted in respect of the use, modification\nand redistribution of the Software. Nevertheless, should such proceedings\nbe instituted against the Licensee, the Licensor shall provide it with technical\nand legal assistance for its defense. Such technical and legal assistance\nshall be decided on a case-by-case basis between the relevant Licensor and\nthe Licensee pursuant to a memorandum of understanding. The Licensor disclaims\nany and all liability as regards the Licensee\'s use of the name of the Software.\nNo warranty is given as regards the existence of prior rights over the name\nof the Software or as regards the existence of a trademark.\n\n   Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations hereunder,\nthe Licensor may automatically terminate this Agreement thirty (30) days after\nnotice has been sent to the Licensee and has remained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be authorized\nto use, modify or distribute the Software. However, any licenses that it may\nhave granted prior to termination of the Agreement shall remain valid subject\nto their having been granted in compliance with the terms and conditions hereof.\n\n   Article 11 - MISCELLANEOUS\n\n      11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform\nthe Agreement, that may be attributable to an event of force majeure, an act\nof God or an outside cause, such as defective functioning or interruptions\nof the electricity or telecommunications networks, network paralysis following\na virus attack, intervention by government authorities, natural disasters,\nwater damage, earthquakes, fire, explosions, strikes and labor unrest, war,\netc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke one\nor more of the provisions hereof, shall under no circumstances be interpreted\nas being a waiver by the interested Party of its right to invoke said provision(s)\nsubsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements, whether\nwritten or oral, between the Parties and having the same purpose, and constitutes\nthe entirety of the agreement between said Parties concerning said purpose.\nNo supplement or modification to the terms and conditions hereof shall be\neffective as between the Parties unless it is made in writing and signed by\ntheir duly authorized representatives.\n\n11.4 In the event that one or more of the provisions hereof were to conflict\nwith a current or future applicable act or legislative text, said act or legislative\ntext shall prevail, and the Parties shall make the necessary amendments so\nas to comply with said act or legislative text. All other provisions shall\nremain effective. Similarly, invalidity of a provision of the Agreement, for\nany reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n      11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions are\ndeemed authentic.\n\n   Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this Agreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is protected\nand may only be modified by the authors of the License, who reserve the right\nto periodically publish updates or new versions of the Agreement, each with\na separate number. These subsequent versions may address new issues encountered\nby Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may only\nbe subsequently distributed under the same version of the Agreement or a subsequent\nversion.\n\n   Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to endeavor\nto seek an amicable solution to any disagreements or disputes that may arise\nduring the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their occurrence,\nand unless emergency proceedings are necessary, the disagreements or disputes\nshall be referred to the Paris Courts having jurisdiction, by the more diligent\nParty.\n\nVersion 1.0 dated 2006-09-05. 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel)\nL(ibre)\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(126,'Bootloader-exception','Bootloader Exception \n\nIn addition to the permissions in the GNU General Public License, the authors give you unlimited permission to link or embed compiled bootloader and related files into combinations with other programs, and to distribute those combinations without any restriction coming from the use of those files. (The General Public License restrictions do apply in other respects; for example, they cover modification of the files, and distribution when not linked into a combined executable.)\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(127,'OSL-1.0','The Open Software License v. 1.0\n\nThis Open Software License (the \"License\") applies to any original work of\nauthorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing notice immediately following the copyright notice for the Original\nWork:\n\n\" Licensed under the Open Software License version 1.0 \"\n\nLicense Terms\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public,\nwith the proviso that copies of Original Work or Derivative Works that You\ndistribute shall be licensed under the Open Software License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license, under patent claims\nowned or controlled by the Licensor that are embodied in the Original Work\nas furnished by the Licensor (\"Licensed Claims\") to make, use, sell and offer\nfor sale the Original Work. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, non-sublicenseable license under the Licensed Claims\nto make, use, sell and offer for sale Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to access and modify the Original Work. Licensor\nhereby agrees to provide a machine-readable copy of the Source Code of the\nOriginal Work along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor except as expressly stated herein.\nNo patent license is granted to make, use, sell or offer to sell embodiments\nof any patent claims other than the Licensed Claims defined in Section 2.\nNo right is granted to the trademarks of Licensor even if such marks are included\nin the Original Work. Nothing in this License shall be interpreted to prohibit\nLicensor from licensing under different terms from this License any Original\nWork that Licensor otherwise would have a right to license.\n\n5) External Deployment. The term \"External Deployment\" means the use or distribution\nof the Original Work or Derivative Works in any way such that the Original\nWork or Derivative Works may be accessed or used by anyone other than You,\nwhether the Original Work or Derivative Works are distributed to those persons,\nmade available as an application intended for use over a computer network,\nor used to provide services or otherwise deliver content to anyone other than\nYou. As an express condition for the grants of license hereunder, You agree\nthat any External Deployment by You shall be deemed a distribution and shall\nbe licensed to all under the terms of this License, as prescribed in section\n1(c) herein.\n\n6) Warranty and Disclaimer of Warranty. LICENSOR WARRANTS THAT THE COPYRIGHT\nIN AND TO THE ORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL\nWORK IS DISTRIBUTED BY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT\nOWNER. EXCEPT AS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE,\nTHE ORIGINAL WORK IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY\nOF NON-INFRINGEMENT AND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE\nOR FIT FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE\nORIGINAL WORK IS WITH YOU. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL\nPART OF THIS LICENSE. NO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT\nUNDER THIS DISCLAIMER.\n\n7) Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR\nBE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR\nCONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE\nOR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR\nLOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND\nALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN\nINFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n8) Acceptance and Termination. Nothing else but this License (or another written\nagreement between Licensor and You) grants You permission to create Derivative\nWorks based upon the Original Work, and any attempt to do so except under\nthe terms of this License (or another written agreement between Licensor and\nYou) is expressly prohibited by U.S. copyright law, the equivalent laws of\nother countries, and by international treaty. Therefore, by exercising any\nof the rights granted to You in Sections 1 and 2 herein, You indicate Your\nacceptance of this License and all of its terms and conditions. This license\nshall terminate immediately and you may no longer exercise any of the rights\ngranted to You by this License upon Your failure to honor the proviso in Section\n1(c) herein.\n\n9) Mutual Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nif You file a lawsuit in any court alleging that any OSI Certified open source\nsoftware that is licensed under any license containing this \"Mutual Termination\nfor Patent Action\" clause infringes any patent claims that are essential to\nuse that software.\n\n10) Jurisdiction, Venue and Governing Law. You agree that any lawsuit arising\nunder or relating to this License shall be maintained in the courts of the\njurisdiction wherein the Licensor resides or in which Licensor conducts its\nprimary business, and under the laws of that jurisdiction excluding its conflict-of-law\nprovisions. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded. Any use of the\nOriginal Work outside the scope of this License or after its termination shall\nbe subject to the requirements and penalties of the U.S. Copyright Act, 17\nU.S.C. § 101 et seq., the equivalent laws of other countries, and international\ntreaty. This section shall survive the termination of this License.\n\n11) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n12) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n13) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(128,'NBPL-1.0','The Net Boolean Public License\n\nVersion 1, 22 August 1998 Copyright 1998, Net Boolean Incorporated, Redwood\nCity, California, USA All Rights Reserved. Note: This license is derived from\nthe \"Artistic License\" as distributed with the Perl Programming Language.\nIts terms are different from those of the \"Artistic License.\"\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to\nemulate subroutines and variables of the language defined by this Package\nshall not be considered part of this Package, but are the equivalent of input\nas in Paragraph 6, provided these subroutines do not change the language in\nany way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(129,'ECL-2.0','Educational Community License\n\nVersion 2.0, April 2007 http://www.osedu.org/licenses/\n\nThe Educational Community License version 2.0 (\"ECL\") consists of the Apache\n2.0 license, modified to change the scope of the patent grant in section 3\nto be specific to the needs of the education communities using this license.\nThe original Apache 2.0 license can be found at: http://www.apache.org/licenses/LICENSE-2.0\n\nTERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n\n      \n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution\nas defined by Sections 1 through 9 of this document.\n\n      \n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright\nowner that is granting the License.\n\n      \n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities\nthat control, are controlled by, or are under common control with that entity.\nFor the purposes of this definition, \"control\" means (i) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (ii) ownership of fifty percent (50%) or more\nof the outstanding shares, or (iii) beneficial ownership of such entity.\n\n      \n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions\ngranted by this License.\n\n      \n\n\"Source\" form shall mean the preferred form for making modifications, including\nbut not limited to software source code, documentation source, and configuration\nfiles.\n\n      \n\n\"Object\" form shall mean any form resulting from mechanical transformation\nor translation of a Source form, including but not limited to compiled object\ncode, generated documentation, and conversions to other media types.\n\n      \n\n\"Work\" shall mean the work of authorship, whether in Source or Object form,\nmade available under the License, as indicated by a copyright notice that\nis included in or attached to the work (an example is provided in the Appendix\nbelow).\n\n      \n\n\"Derivative Works\" shall mean any work, whether in Source or Object form,\nthat is based on (or derived from) the Work and for which the editorial revisions,\nannotations, elaborations, or other modifications represent, as a whole, an\noriginal work of authorship. For the purposes of this License, Derivative\nWorks shall not include works that remain separable from, or merely link (or\nbind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n      \n\n\"Contribution\" shall mean any work of authorship, including the original version\nof the Work and any modifications or additions to that Work or Derivative\nWorks thereof, that is intentionally submitted to Licensor for inclusion in\nthe Work by the copyright owner or by an individual or Legal Entity authorized\nto submit on behalf of the copyright owner. For the purposes of this definition,\n\"submitted\" means any form of electronic, verbal, or written communication\nsent to the Licensor or its representatives, including but not limited to\ncommunication on electronic mailing lists, source code control systems, and\nissue tracking systems that are managed by, or on behalf of, the Licensor\nfor the purpose of discussing and improving the Work, but excluding communication\nthat is conspicuously marked or otherwise designated in writing by the copyright\nowner as \"Not a Contribution.\"\n\n      \n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf\nof whom a Contribution has been received by Licensor and subsequently incorporated\nwithin the Work.\n\n   2. Grant of Copyright License.\n\nSubject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable copyright license to reproduce, prepare Derivative Works of, publicly\ndisplay, publicly perform, sublicense, and distribute the Work and such Derivative\nWorks in Source or Object form.\n\n   3. Grant of Patent License.\n\nSubject to the terms and conditions of this License, each Contributor hereby\ngrants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\nirrevocable (except as stated in this section) patent license to make, have\nmade, use, offer to sell, sell, import, and otherwise transfer the Work, where\nsuch license applies only to those patent claims licensable by such Contributor\nthat are necessarily infringed by their Contribution(s) alone or by combination\nof their Contribution(s) with the Work to which such Contribution(s) was submitted.\nIf You institute patent litigation against any entity (including a cross-claim\nor counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated\nwithin the Work constitutes direct or contributory patent infringement, then\nany patent licenses granted to You under this License for that Work shall\nterminate as of the date such litigation is filed. Any patent license granted\nhereby with respect to contributions by an individual employed by an institution\nor organization is limited to patent claims where the individual that is the\nauthor of the Work is also the inventor of the patent claims licensed, and\nwhere the organization or institution has the right to grant such license\nunder applicable grant and research funding agreements. No other express or\nimplied licenses are granted.\n\n   4. Redistribution.\n\nYou may reproduce and distribute copies of the Work or Derivative Works thereof\nin any medium, with or without modifications, and in Source or Object form,\nprovided that You meet the following conditions:\n\na. You must give any other recipients of the Work or Derivative Works a copy\nof this License; and\n\nb. You must cause any modified files to carry prominent notices stating that\nYou changed the files; and\n\nc. You must retain, in the Source form of any Derivative Works that You distribute,\nall copyright, patent, trademark, and attribution notices from the Source\nform of the Work, excluding those notices that do not pertain to any part\nof the Derivative Works; and\n\nd. If the Work includes a \"NOTICE\" text file as part of its distribution,\nthen any Derivative Works that You distribute must include a readable copy\nof the attribution notices contained within such NOTICE file, excluding those\nnotices that do not pertain to any part of the Derivative Works, in at least\none of the following places: within a NOTICE text file distributed as part\nof the Derivative Works; within the Source form or documentation, if provided\nalong with the Derivative Works; or, within a display generated by the Derivative\nWorks, if and wherever such third-party notices normally appear. The contents\nof the NOTICE file are for informational purposes only and do not modify the\nLicense. You may add Your own attribution notices within Derivative Works\nthat You distribute, alongside or as an addendum to the NOTICE text from the\nWork, provided that such additional attribution notices cannot be construed\nas modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide\nadditional or different license terms and conditions for use, reproduction,\nor distribution of Your modifications, or for any such Derivative Works as\na whole, provided Your use, reproduction, and distribution of the Work otherwise\ncomplies with the conditions stated in this License.\n\n   5. Submission of Contributions.\n\nUnless You explicitly state otherwise, any Contribution intentionally submitted\nfor inclusion in the Work by You to the Licensor shall be under the terms\nand conditions of this License, without any additional terms or conditions.\nNotwithstanding the above, nothing herein shall supersede or modify the terms\nof any separate license agreement you may have executed with Licensor regarding\nsuch Contributions.\n\n   6. Trademarks.\n\nThis License does not grant permission to use the trade names, trademarks,\nservice marks, or product names of the Licensor, except as required for reasonable\nand customary use in describing the origin of the Work and reproducing the\ncontent of the NOTICE file.\n\n   7. Disclaimer of Warranty.\n\nUnless required by applicable law or agreed to in writing, Licensor provides\nthe Work (and each Contributor provides its Contributions) on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including,\nwithout limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT,\nMERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible\nfor determining the appropriateness of using or redistributing the Work and\nassume any risks associated with Your exercise of permissions under this License.\n\n   8. Limitation of Liability.\n\nIn no event and under no legal theory, whether in tort (including negligence),\ncontract, or otherwise, unless required by applicable law (such as deliberate\nand grossly negligent acts) or agreed to in writing, shall any Contributor\nbe liable to You for damages, including any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor out of the use or inability to use the Work (including but not limited\nto damages for loss of goodwill, work stoppage, computer failure or malfunction,\nor any and all other commercial damages or losses), even if such Contributor\nhas been advised of the possibility of such damages.\n\n   9. Accepting Warranty or Additional Liability.\n\nWhile redistributing the Work or Derivative Works thereof, You may choose\nto offer, and charge a fee for, acceptance of support, warranty, indemnity,\nor other liability obligations and/or rights consistent with this License.\nHowever, in accepting such obligations, You may act only on Your own behalf\nand on Your sole responsibility, not on behalf of any other Contributor, and\nonly if You agree to indemnify, defend, and hold each Contributor harmless\nfor any liability incurred by, or claims asserted against, such Contributor\nby reason of your accepting any such warranty or additional liability. END\nOF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Educational Community License to your work\n\nTo apply the Educational Community License to your work, attach\n\nthe following boilerplate notice, with the fields enclosed by\n\nbrackets \"[]\" replaced with your own identifying information.\n\n(Don\'t include the brackets!) The text should be enclosed in the\n\nappropriate comment syntax for the file format. We also recommend\n\nthat a file or class name and description of purpose be included on\n\nthe same \"printed page\" as the copyright notice for easier\n\nidentification within third-party archives.\n\nCopyright [yyyy] [name of copyright owner] Licensed under the\n\nEducational Community License, Version 2.0 (the \"License\"); you may\n\nnot use this file except in compliance with the License. You may\n\nobtain a copy of the License at\n\nhttp://www.osedu.org/licenses/ECL-2.0\n\nUnless required by applicable law or agreed to in writing,\n\nsoftware distributed under the License is distributed on an \"AS IS\"\n\nBASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express\n\nor implied. See the License for the specific language governing\n\npermissions and limitations under the License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(130,'mpich2','COPYRIGHT\n\nThe following is a notice of limited availability of the code, and disclaimer\nwhich must be included in the prologue of the code and in all source listings\nof the code.\n\nCopyright Notice\n\n+ 2002 University of Chicago\n\nPermission is hereby granted to use, reproduce, prepare derivative works,\nand to redistribute to others. This software was authored by:\n\nArgonne National Laboratory Group W. Gropp: (630) 252-4318; FAX: (630) 252-5986;\ne-mail: gropp@mcs.anl.gov E. Lusk: (630) 252-7852; FAX: (630) 252-5986; e-mail:\nlusk@mcs.anl.gov Mathematics and Computer Science Division Argonne National\nLaboratory, Argonne IL 60439\n\nGOVERNMENT LICENSE\n\nPortions of this material resulted from work developed under a U.S. Government\nContract and are subject to the following license: the Government is granted\nfor itself and others acting on its behalf a paid-up, nonexclusive, irrevocable\nworldwide license in this computer software to reproduce, prepare derivative\nworks, and perform publicly and display publicly.\n\nDISCLAIMER\n\nThis computer code material was prepared, in part, as an account of work sponsored\nby an agency of the United States Government. Neither the United States, nor\nthe University of Chicago, nor any of their employees, makes any warranty\nexpress or implied, or assumes any legal liability or responsibility for the\naccuracy, completeness, or usefulness of any information, apparatus, product,\nor process disclosed, or represents that its use would not infringe privately\nowned rights.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(131,'RPSL-1.0','RealNetworks Public Source License Version 1.0\n\n(Rev. Date October 28, 2002)\n\n1. General Definitions. This License applies to any program or other work\nwhich RealNetworks, Inc., or any other entity that elects to use this license,\n(\"Licensor\") makes publicly available and which contains a notice placed by\nLicensor identifying such program or work as \"Original Code\" and stating that\nit is subject to the terms of this RealNetworks Public Source License version\n1.0 (or subsequent version thereof) (\"License\"). You are not required to accept\nthis License. However, nothing else grants You permission to use, copy, modify\nor distribute the software or its derivative works. These actions are prohibited\nby law if You do not accept this License. Therefore, by modifying, copying\nor distributing the software (or any work based on the software), You indicate\nyour acceptance of this License to do so, and all its terms and conditions.\nIn addition, you agree to the terms of this License by clicking the Accept\nbutton or downloading the software. As used in this License:\n\n1.1 \"Applicable Patent Rights\" mean: (a) in the case where Licensor is the\ngrantor of rights, claims of patents that (i) are now or hereafter acquired,\nowned by or assigned to Licensor and (ii) are necessarily infringed by using\nor making the Original Code alone and not in combination with other software\nor hardware; and (b) in the case where You are the grantor of rights, claims\nof patents that (i) are now or hereafter acquired, owned by or assigned to\nYou and (ii) are infringed (directly or indirectly) by using or making Your\nModifications, taken alone or in combination with Original Code.\n\n1.2 \"Compatible Source License\" means any one of the licenses listed on Exhibit\nB or at https://www.helixcommunity.org/content/complicense or other licenses\nspecifically identified by Licensor in writing. Notwithstanding any term to\nthe contrary in any Compatible Source License, any code covered by any Compatible\nSource License that is used with Covered Code must be made readily available\nin Source Code format for royalty-free use under the terms of the Compatible\nSource License or this License.\n\n1.3 \"Contributor\" means any person or entity that creates or contributes to\nthe creation of Modifications.\n\n1.4 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.5 \"Deploy\" means to use, sublicense or distribute Covered Code other than\nfor Your internal research and development (R&D) and/or Personal Use, and\nincludes without limitation, any and all internal use or distribution of Covered\nCode within Your business or organization except for R&D use and/or Personal\nUse, as well as direct or indirect sublicensing or distribution of Covered\nCode by You to any third party in any form or manner.\n\n1.6 \"Derivative Work\" means either the Covered Code or any derivative work\nunder United States copyright law, and including any work containing or including\nany portion of the Covered Code or Modifications, either verbatim or with\nmodifications and/or translated into another language. Derivative Work also\nincludes any work which combines any portion of Covered Code or Modifications\nwith code not otherwise governed by the terms of this License.\n\n1.7 \"Externally Deploy\" means to Deploy the Covered Code in any way that may\nbe accessed or used by anyone other than You, used to provide any services\nto anyone other than You, or used in any way to deliver any content to anyone\nother than You, whether the Covered Code is distributed to those parties,\nmade available as an application intended for use over a computer network,\nor used to provide services or otherwise deliver content to anyone other than\nYou.\n\n1.8. \"Interface\" means interfaces, functions, properties, class definitions,\nAPIs, header files, GUIDs, V-Tables, and/or protocols allowing one piece of\nsoftware, firmware or hardware to communicate or interoperate with another\npiece of software, firmware or hardware.\n\n1.9 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of the Original Code, any previous Modifications,\nthe combination of Original Code and any previous Modifications, and/or any\nrespective portions thereof. When code is released as a series of files, a\nModification is: (a) any addition to or deletion from the contents of a file\ncontaining Covered Code; and/or (b) any new file or other representation of\ncomputer program statements that contains any part of Covered Code.\n\n1.10 \"Original Code\" means (a) the Source Code of a program or other work\nas originally made available by Licensor under this License, including the\nSource Code of any updates or upgrades to such programs or works made available\nby Licensor under this License, and that has been expressly identified by\nLicensor as such in the header file(s) of such work; and (b) the object code\ncompiled from such Source Code and originally made available by Licensor under\nthis License.\n\n1.11 \"Personal Use\" means use of Covered Code by an individual solely for\nhis or her personal, private and non-commercial purposes. An individual\'s\nuse of Covered Code in his or her capacity as an officer, employee, member,\nindependent contractor or agent of a corporation, business or organization\n(commercial or non-commercial) does not qualify as Personal Use.\n\n1.12 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.13 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions\nof this License, Licensor hereby grants You, effective on the date You accept\nthis License (via downloading or using Covered Code or otherwise indicating\nyour acceptance of this License), a worldwide, royalty-free, non-exclusive\ncopyright license, to the extent of Licensor\'s copyrights cover the Original\nCode, to do the following:\n\n2.1 You may reproduce, display, perform, modify and Deploy Covered Code, provided\nthat in each instance:\n\n(a) You must retain and reproduce in all copies of Original Code the copyright\nand other proprietary notices and disclaimers of Licensor as they appear in\nthe Original Code, and keep intact all notices in the Original Code that refer\nto this License;\n\n(b) You must include a copy of this License with every copy of Source Code\nof Covered Code and documentation You distribute, and You may not offer or\nimpose any terms on such Source Code that alter or restrict this License or\nthe recipients\' rights hereunder, except as permitted under Section 6;\n\n(c) You must duplicate, to the extent it does not already exist, the notice\nin Exhibit A in each file of the Source Code of all Your Modifications, and\ncause the modified files to carry prominent notices stating that You changed\nthe files and the date of any change;\n\n(d) You must make Source Code of all Your Externally Deployed Modifications\npublicly available under the terms of this License, including the license\ngrants set forth in Section 3 below, for as long as you Deploy the Covered\nCode or twelve (12) months from the date of initial Deployment, whichever\nis longer. You should preferably distribute the Source Code of Your Deployed\nModifications electronically (e.g. download from a web site); and\n\n(e) if You Deploy Covered Code in object code, executable form only, You must\ninclude a prominent notice, in the code itself as well as in related documentation,\nstating that Source Code of the Covered Code is available under the terms\nof this License with information on how and where to obtain such Source Code.\nYou must also include the Object Code Notice set forth in Exhibit A in the\n\"about\" box or other appropriate place where other copyright notices are placed,\nincluding any packaging materials.\n\n2.2 You expressly acknowledge and agree that although Licensor and each Contributor\ngrants the licenses to their respective portions of the Covered Code set forth\nherein, no assurances are provided by Licensor or any Contributor that the\nCovered Code does not infringe the patent or other intellectual property rights\nof any other entity. Licensor and each Contributor disclaim any liability\nto You for claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, You hereby assume sole responsibility to secure\nany other intellectual property rights needed, if any. For example, if a third\nparty patent license is required to allow You to make, use, sell, import or\noffer for sale the Covered Code, it is Your responsibility to acquire such\nlicense(s).\n\n2.3 Subject to the terms and conditions of this License, Licensor hereby grants\nYou, effective on the date You accept this License (via downloading or using\nCovered Code or otherwise indicating your acceptance of this License), a worldwide,\nroyalty-free, perpetual, non-exclusive patent license under Licensor\'s Applicable\nPatent Rights to make, use, sell, offer for sale and import the Covered Code,\nprovided that in each instance you comply with the terms of this License.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License:\n\n(a) You grant to Licensor and all third parties a non-exclusive, perpetual,\nirrevocable, royalty free license under Your Applicable Patent Rights and\nother intellectual property rights owned or controlled by You, to make, sell,\noffer for sale, use, import, reproduce, display, perform, modify, distribute\nand Deploy Your Modifications of the same scope and extent as Licensor\'s licenses\nunder Sections 2.1 and 2.2; and\n\n(b) You grant to Licensor and its subsidiaries a non-exclusive, worldwide,\nroyalty-free, perpetual and irrevocable license, under Your Applicable Patent\nRights and other intellectual property rights owned or controlled by You,\nto make, use, sell, offer for sale, import, reproduce, display, perform, distribute,\nmodify or have modified (for Licensor and/or its subsidiaries), sublicense\nand distribute Your Modifications, in any form and for any purpose, through\nmultiple tiers of distribution.\n\n(c) You agree not use any information derived from Your use and review of\nthe Covered Code, including but not limited to any algorithms or inventions\nthat may be contained in the Covered Code, for the purpose of asserting any\nof Your patent rights, or assisting a third party to assert any of its patent\nrights, against Licensor or any Contributor.\n\n4. Derivative Works. You may create a Derivative Work by combining Covered\nCode with other code not otherwise governed by the terms of this License and\ndistribute the Derivative Work as an integrated product. In each such instance,\nYou must make sure the requirements of this License are fulfilled for the\nCovered Code or any portion thereof, including all Modifications.\n\n4.1 You must cause any Derivative Work that you distribute, publish or Externally\nDeploy, that in whole or in part contains or is derived from the Covered Code\nor any part thereof, to be licensed as a whole at no charge to all third parties\nunder the terms of this License and no other license except as provided in\nSection 4.2. You also must make Source Code available for the Derivative Work\nunder the same terms as Modifications, described in Sections 2 and 3, above.\n\n4.2 Compatible Source Licenses. Software modules that have been independently\ndeveloped without any use of Covered Code and which contain no portion of\nthe Covered Code, Modifications or other Derivative Works, but are used or\ncombined in any way with the Covered Code or any Derivative Work to form a\nlarger Derivative Work, are exempt from the conditions described in Section\n4.1 but only to the extent that: the software module, including any software\nthat is linked to, integrated with, or part of the same applications as, the\nsoftware module by any method must be wholly subject to one of the Compatible\nSource Licenses. Notwithstanding the foregoing, all Covered Code must be subject\nto the terms of this License. Thus, the entire Derivative Work must be licensed\nunder a combination of the RPSL (for Covered Code) and a Compatible Source\nLicense for any independently developed software modules within the Derivative\nWork. The foregoing requirement applies even if the Compatible Source License\nwould ordinarily allow the software module to link with, or form larger works\nwith, other software that is not subject to the Compatible Source License.\nFor example, although the Mozilla Public License v1.1 allows Mozilla code\nto be combined with proprietary software that is not subject to the MPL, if\nMPL-licensed code is used with Covered Code the MPL-licensed code could not\nbe combined or linked with any code not governed by the MPL. The general intent\nof this section 4.2 is to enable use of Covered Code with applications that\nare wholly subject to an acceptable open source license. You are responsible\nfor determining whether your use of software with Covered Code is allowed\nunder Your license to such software.\n\n4.3 Mere aggregation of another work not based on the Covered Code with the\nCovered Code (or with a work based on the Covered Code) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense. If You deliver the Covered Code for combination and/or integration\nwith an application previously provided by You (for example, via automatic\nupdating technology), such combination and/or integration constitutes a Derivative\nWork subject to the terms of this License.\n\n5. Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor or any Contributor except as expressly\nstated herein. No right is granted to the trademarks of Licensor or any Contributor\neven if such marks are included in the Covered Code. Nothing in this License\nshall be interpreted to prohibit Licensor from licensing under different terms\nfrom this License any code that Licensor otherwise would have a right to license.\nModifications, Derivative Works and/or any use or combination of Covered Code\nwith other technology provided by Licensor or third parties may require additional\npatent licenses from Licensor which Licensor may grant in its sole discretion.\nNo patent license is granted separate from the Original Code or combinations\nof the Original Code with other software or hardware.\n\n5.1. Trademarks. This License does not grant any rights to use the trademarks\nor trade names owned by Licensor (\"Licensor Marks\" defined in Exhibit C) or\nto any trademark or trade name belonging to any Contributor. No Licensor Marks\nmay be used to endorse or promote products derived from the Original Code\nother than as permitted by the Licensor Trademark Policy defined in Exhibit\nC.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith the scope of the license granted herein (\"Additional Terms\") to one or\nmore recipients of Covered Code. However, You may do so only on Your own behalf\nand as Your sole responsibility, and not on behalf of Licensor or any Contributor.\nYou must obtain the recipient\'s agreement that any such Additional Terms are\noffered by You alone, and You hereby agree to indemnify, defend and hold Licensor\nand every Contributor harmless for any liability incurred by or claims asserted\nagainst Licensor or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Licensor may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Licensor. No one other than Licensor\nhas the right to modify the terms applicable to Covered Code created under\nthis License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Covered Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nCovered Code, or any portion thereof, is at Your sole and entire risk. THE\nCOVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND LICENSOR AND LICENSOR\'S LICENSOR(S) (COLLECTIVELY REFERRED\nTO AS \"LICENSOR\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS\nEXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY,\nOF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY,\nOF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. LICENSOR AND\nEACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT\nOF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL\nMEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED\nOR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL\nOR WRITTEN DOCUMENTATION, INFORMATION OR ADVICE GIVEN BY LICENSOR, A LICENSOR\nAUTHORIZED REPRESENTATIVE OR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You\nacknowledge that the Covered Code is not intended for use in high risk activities,\nincluding, but not limited to, the design, construction, operation or maintenance\nof nuclear facilities, aircraft navigation, aircraft communication systems,\nor air traffic control machines in which case the failure of the Covered Code\ncould lead to death, personal injury, or severe physical or environmental\ndamage. Licensor disclaims any express or implied warranty of fitness for\nsuch uses.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT\nSHALL LICENSOR OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT\nOR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR\nUSE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER\nUNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR STRICT\nLIABILITY), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF LICENSOR OR SUCH CONTRIBUTOR\nHAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE\nFAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW\nTHE LIMITATION OF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS\nLIMITATION MAY NOT APPLY TO YOU. In no event shall Licensor\'s total liability\nto You for all damages (other than as may be required by applicable law) under\nthis License exceed the amount of ten dollars ($10.00).\n\n10. Ownership. Subject to the licenses granted under this License, each Contributor\nretains all rights, title and interest in and to any Modifications made by\nsuch Contributor. Licensor retains all rights, title and interest in and to\nthe Original Code and any Modifications made by or on behalf of Licensor (\"Licensor\nModifications\"), and such Licensor Modifications will not be automatically\nsubject to this License. Licensor may, at its sole discretion, choose to license\nsuch Licensor Modifications under this License, or on different terms from\nthose contained in this License or may choose not to license them at all.\n\n   11. Termination.\n\n11.1 Term and Termination. The term of this License is perpetual unless terminated\nas provided below. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice from Licensor if You fail to comply with\nany term(s) of this License and fail to cure such breach within 30 days of\nbecoming aware of such breach;\n\n(b) immediately in the event of the circumstances described in Section 12.5(b);\nor\n\n(c) automatically without notice from Licensor if You, at any time during\nthe term of this License, commence an action for patent infringement against\nLicensor (including by cross-claim or counter claim in a lawsuit);\n\n(d) upon written notice from Licensor if You, at any time during the term\nof this License, commence an action for patent infringement against any third\nparty alleging that the Covered Code itself (excluding combinations with other\nsoftware or hardware) infringes any patent (including by cross-claim or counter\nclaim in a lawsuit).\n\n11.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification, sublicensing and distribution\nof the Covered Code and to destroy all copies of the Covered Code that are\nin your possession or control. All sublicenses to the Covered Code which have\nbeen properly granted prior to termination shall survive any termination of\nthis License. Provisions which, by their nature, should remain in effect beyond\nthe termination of this License shall survive, including but not limited to\nSections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other\nfor compensation, indemnity or damages of any sort solely as a result of terminating\nthis License in accordance with its terms, and termination of this License\nwill be without prejudice to any other right or remedy of any party.\n\n   12. Miscellaneous.\n\n12.1 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer\nSoftware) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical\nData -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n12.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween or among You, Licensor or any Contributor, and You will not represent\nto the contrary, whether expressly, by implication, appearance or otherwise.\n\n12.3 Independent Development. Nothing in this License will impair Licensor\'s\nright to acquire, license, develop, have others develop for it, market and/or\ndistribute technology or products that perform the same or similar functions\nas, or otherwise compete with, Modifications, Derivative Works, technology\nor products that You may develop, produce, market or distribute.\n\n12.4 Waiver; Construction. Failure by Licensor or any Contributor to enforce\nany provision of this License will not be deemed a waiver of future enforcement\nof that or any other provision. Any law or regulation which provides that\nthe language of a contract shall be construed against the drafter will not\napply to this License.\n\n12.5 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n12.6 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Licensor relating to this License shall take place in the Seattle,\nWashington, and You and Licensor hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n12.7 Export/Import Laws. This software is subject to all export and import\nlaws and restrictions and regulations of the country in which you receive\nthe Covered Code and You are solely responsible for ensuring that You do not\nexport, re-export or import the Covered Code or any direct product thereof\nin violation of any such restrictions, laws or regulations, or without all\nnecessary authorizations.\n\n12.8 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nWashington.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exigé que\nle présent contrat et tous les documents connexes soient rédigés en anglais.\nEXHIBIT A.\n\n\" Copyright (c) 1995-2002 RealNetworks, Inc. and/or its licensors. All Rights\nReserved.\n\nThe contents of this file, and the files included with this file, are subject\nto the current version of the RealNetworks Public Source License Version 1.0\n(the \"RPSL\") available at https://www.helixcommunity.org/content/rpsl unless\nyou have licensed the file under the RealNetworks Community Source License\nVersion 1.0 (the \"RCSL\") available at https://www.helixcommunity.org/content/rcsl,\nin which case the RCSL will apply. You may also obtain the license terms directly\nfrom RealNetworks. You may not use this file except in compliance with the\nRPSL or, if you have a valid RCSL with RealNetworks applicable to this file,\nthe RCSL. Please see the applicable RPSL or RCSL for the rights, obligations\nand limitations governing use of the contents of the file.\n\nThis file is part of the Helix DNA Technology. RealNetworks is the developer\nof the Original code and owns the copyrights in the portions it created.\n\nThis file, and the files included with this file, is distributed and made\navailable on an \'AS IS\' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS\nOR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING\nWITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\nPURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.\n\nContributor(s): ____________________________________\n\nTechnology Compatibility Kit Test Suite(s) Location (if licensed under the\nRCSL): _____ \"\n\nObject Code Notice: Helix DNA Client technology included. Copyright (c) RealNetworks,\nInc., 1995-2002. All rights reserved.\n\nEXHIBIT B\n\nCompatible Source Licenses for the RealNetworks Public Source License. The\nfollowing list applies to the most recent version of the license as of October\n25, 2002, unless otherwise indicated.\n\nAcademic Free License\n\nApache Software License\n\nApple Public Source License\n\nArtistic license\n\nAttribution Assurance Licenses\n\nBSD license\n\nCommon Public License1\n\nEiffel Forum License\n\nGNU General Public License (GPL)1\n\nGNU Library or \"Lesser\" General Public License (LGPL)1\n\nIBM Public License\n\nIntel Open Source License\n\nJabber Open Source License\n\nMIT license\n\nMITRE Collaborative Virtual Workspace License (CVW License)\n\nMotosoto License\n\nMozilla Public License 1.0 (MPL)\n\nMozilla Public License 1.1 (MPL)\n\nNokia Open Source License\n\nOpen Group Test Suite License\n\nPython Software Foundation License\n\nRicoh Source Code Public License\n\nSun Industry Standards Source License (SISSL)\n\nSun Public License\n\nUniversity of Illinois/NCSA Open Source License\n\nVovida Software License v. 1.0\n\nW3C License\n\nX.Net License\n\nZope Public License\n\nzlib/libpng license\n\n1Note: because this license contains certain reciprocal licensing terms that\npurport to extend to independently developed code, You may be prohibited under\nthe terms of this otherwise compatible license from using code licensed under\nits terms with Covered Code because Covered Code may only be licensed under\nthe RealNetworks Public Source License. Any attempt to apply non RPSL license\nterms, including without limitation the GPL, to Covered Code is expressly\nforbidden. You are responsible for ensuring that Your use of Compatible Source\nLicensed code does not violate either the RPSL or the Compatible Source License.\n\nThe latest version of this list can be found at: https://www.helixcommunity.org/content/complicense\n\nEXHIBIT C\n\nRealNetworks\' Trademark policy.\n\nRealNetworks defines the following trademarks collectively as \"Licensor Trademarks\":\n\"RealNetworks\", \"RealPlayer\", \"RealJukebox\", \"RealSystem\", \"RealAudio\", \"RealVideo\",\n\"RealOne Player\", \"RealMedia\", \"Helix\" or any other trademarks or trade names\nbelonging to RealNetworks.\n\nRealNetworks \"Licensor Trademark Policy\" forbids any use of Licensor Trademarks\nexcept as permitted by and in strict compliance at all times with RealNetworks\'\nthird party trademark usage guidelines which are posted at www.realnetworks.com/info/helixlogo.html.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(132,'BSD-2-Clause','Copyright (c) <year> <owner> . All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(133,'TMate','The TMate Open Source License. This license applies to all portions of TMate\nSVNKit library, which are not externally-maintained libraries (e.g. Ganymed\nSSH library).\n\nAll the source code and compiled classes in package org.tigris.subversion.javahl\nexcept SvnClient class are covered by the license in JAVAHL-LICENSE file\n\nCopyright (c) 2004-2012 TMate Software. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Redistributions in any form must be accompanied by information on how to\nobtain complete source code for the software that uses SVNKit and any accompanying\nsoftware that uses the software that uses SVNKit. The source code must either\nbe included in the distribution or be available for no more than the cost\nof distribution plus a nominal fee, and must be freely redistributable under\nreasonable conditions. For an executable file, complete source code means\nthe source code for all modules it contains. It does not include source code\nfor modules or files that typically accompany the major components of the\noperating system on which the executable file runs.\n\n* Redistribution in any form without redistributing source code for software\nthat uses SVNKit is possible only when such redistribution is explictly permitted\nby TMate Software. Please, contact TMate Software at support@svnkit.com to\nget such permission.\n\nTHIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS\'\' AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED.\n\nIN NO EVENT SHALL TMATE SOFTWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(134,'Artistic-1.0-Perl','The \"Artistic License\"\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder as\nspecified below.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) give non-standard executables non-standard names, and clearly document\nthe differences in manual pages (or equivalent), together with instructions\non where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own. You may embed this Package\'s interpreter\nwithin an executable of yours (by linking); this shall be construed as a mere\nform of aggregation, provided that the complete Standard Version of the interpreter\nis so embedded.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whoever generated them, and may be sold commercially,\nand may be aggregated with this Package. If such scripts or library files\nare aggregated with this Package via the so-called \"undump\" or \"unexec\" methods\nof producing a binary executable image, then distribution of such an image\nshall neither be construed as a distribution of this Package nor shall it\nfall under the restrictions of Paragraphs 3 and 4, provided that you do not\nrepresent such an executable image as a Standard Version of this Package.\n\n7. C subroutines (or comparably compiled subroutines in other languages) supplied\nby you and linked into this Package in order to emulate subroutines and variables\nof the language defined by this Package shall not be considered part of this\nPackage, but are the equivalent of input as in Paragraph 6, provided these\nsubroutines do not change the language in any way that would cause it to fail\nthe regression tests for the language.\n\n8. Aggregation of this Package with a commercial distribution is always permitted\nprovided that the use of this Package is embedded; that is, when no overt\nattempt is made to make this Package\'s interfaces visible to the end user\nof the commercial distribution. Such use shall not be construed as a distribution\nof this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(135,'BitTorrent-1.0','BitTorrent Open Source License\n\nVersion 1.0\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent\nclient and related software products as well as any updates or maintenance\nreleases of that software (\"BitTorrent Products\") that are distributed by\nBitTorrent, Inc. (\"Licensor\"). Any BitTorrent Product licensed pursuant to\nthis License is a Licensed Product. Licensed Product, in its entirety, is\nprotected by U.S. copyright law. This License identifies the terms under which\nyou may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope\nof this License. However, this Preamble is not a part of this license. The\nlegal effect of this License is dependent only upon the terms of the License\nand not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from\nthe Jabber Open Source License 1.0 (the \"JOSL\"), which has been approved by\nOpen Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been\ndropped.\n\nThis License provides that:\n\n1. You may use, sell or give away the Licensed Product, alone or as a component\nof an aggregate software distribution containing programs from several different\nsources. No royalty or other fee is required.\n\n2. Both Source Code and executable versions of the Licensed Product, including\nModifications made by previous Contributors, are available for your use. (The\nterms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\"\nare defined in the License.)\n\n3. You are allowed to make Modifications to the Licensed Product, and you\ncan create Derivative Works from it. (The term \"Derivative Works\" is defined\nin the License.)\n\n4. By accepting the Licensed Product under the provisions of this License,\nyou agree that any Modifications you make to the Licensed Product and then\ndistribute are governed by the provisions of this License. In particular,\nyou must make the Source Code of your Modifications available to others.\n\n5. You may use the Licensed Product for any purpose, but the Licensor is not\nproviding you any warranty whatsoever, nor is the Licensor accepting any liability\nin the event that the Licensed Product doesn\'t work properly or causes you\nany injury or damages.\n\n6. If you sublicense the Licensed Product or Derivative Works, you may charge\nfees for warranty or support, or for accepting indemnity or liability obligations\nto your customers. You cannot charge for the Source Code.\n\n7. If you assert any patent claims against the Licensor relating to the Licensed\nProduct, or if you breach any terms of the License, your rights to the Licensed\nProduct under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which\ncase the provisions of this License will apply to your Derivative Works just\nas they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved\nOpen Source license, or under a proprietary license of your choice. If you\nuse any license other than this License, however, you must continue to fulfill\nthe requirements of this License (including the provisions relating to publishing\nthe Source Code) for those portions of your Derivative Works that consist\nof the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time. You may choose\nto continue to use the license terms in this version of the License or those\nfrom the new version. However, only the Licensor has the right to change the\nLicense terms as they apply to the Licensed Product.\n\nThis License relies on precise definitions for certain terms. Those terms\nare defined when they are first used, and the definitions are repeated for\nyour convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n1. Grant of License From Licensor. Licensor hereby grants you a world-wide,\nroyalty-free, non-exclusive license, subject to third party intellectual property\nclaims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute any\nModifications created by such Contributor or portions thereof, in both Source\nCode or as an executable program, either on an unmodified basis or as part\nof Derivative Works.\n\nb. Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Modifications or portions thereof or Derivative\nWorks thereof.\n\n2. Grant of License to Modifications From Contributor. \"Modifications\" means\nany additions to or deletions from the substance or structure of (i) a file\ncontaining Licensed Product, or (ii) any new file that contains any part of\nLicensed Product. Hereinafter in this License, the term \"Licensed Product\"\nshall include all previous Modifications that you receive from any Contributor.\nBy application of the provisions in Section 4(a) below, each person or entity\nwho created or contributed to the creation of, and distributed, a Modification\n(a \"Contributor\") hereby grants you a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute any\nModifications created by such Contributor or portions thereof, in both Source\nCode or as an executable program, either on an unmodified basis or as part\nof Derivative Works.\n\nb. Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Modifications or portions thereof or Derivative\nWorks thereof.\n\n3. Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor or any Contributor except as expressly\nstated herein. No patent license is granted separate from the Licensed Product,\nfor code that you delete from the Licensed Product, or for combinations of\nthe Licensed Product with other software or hardware. No right is granted\nto the trademarks of Licensor or any Contributor even if such marks are included\nin the Licensed Product. Nothing in this License shall be interpreted to prohibit\nLicensor from licensing under different terms from this License any code that\nLicensor otherwise would have a right to license.\n\n   4. Your Obligations Regarding Distribution.\n\na. Application of This License to Your Modifications. As an express condition\nfor your use of the Licensed Product, you hereby agree that any Modifications\nthat you create or to which you contribute, and which you distribute, are\ngoverned by the terms of this License including, without limitation, Section\n2. Any Modifications that you create or to which you contribute may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 7. You must include a copy of this License with every copy of\nthe Modifications you distribute. You agree not to offer or impose any terms\non any Source Code or executable version of the Licensed Product or Modifications\nthat alter or restrict the applicable version of this License or the recipients\'\nrights hereunder. However, you may include an additional document offering\nthe additional rights described in Section 4(d).\n\nb. Availability of Source Code. You must make available, under the terms of\nthis License, the Source Code of the Licensed Product and any Modifications\nthat you distribute, either on the same media as you distribute any executable\nor other form of the Licensed Product, or via a mechanism generally accepted\nin the software development community for the electronic transfer of data\n(an \"Electronic Distribution Mechanism\"). The Source Code for any version\nof Licensed Product or Modifications that you distribute must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of said Licensed Product\nor Modifications has been made available. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n      c. Intellectual Property Matters.\n\ni. Third Party Claims. If you have knowledge that a license to a third party\'s\nintellectual property right is required to exercise the rights granted by\nthis License, you must include a text file with the Source Code distribution\ntitled \"LEGAL\" that describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after you make any Modifications available as described in\nSection 4(b), you shall promptly modify the LEGAL file in all copies you make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Licensed Product from you that new knowledge has been obtained.\n\nii. Contributor APIs. If your Modifications include an application programming\ninterface (\"API\") and you have knowledge of patent licenses that are reasonably\nnecessary to implement that API, you must also include this information in\nthe LEGAL file.\n\niii. Representations. You represent that, except as disclosed pursuant to\n4(c)(i) above, you believe that any Modifications you distribute are your\noriginal creations and that you have sufficient rights to grant the rights\nconveyed by this License.\n\nd. Required Notices. You must duplicate this License in any documentation\nyou provide along with the Source Code of any Modifications you create or\nto which you contribute, and which you distribute, wherever you describe recipients\'\nrights relating to Licensed Product. You must duplicate the notice contained\nin Exhibit A (the \"Notice\") in each file of the Source Code of any copy you\ndistribute of the Licensed Product. If you created a Modification, you may\nadd your name as a Contributor to the Notice. If it is not possible to put\nthe Notice in a particular Source Code file due to its structure, then you\nmust include such Notice in a location (such as a relevant directory file)\nwhere a user would be likely to look for such a notice. You may choose to\noffer, and charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Licensed Product. However, you may do so only\non your own behalf, and not on behalf of the Licensor or any Contributor.\nYou must make it clear that any such warranty, support, indemnity or liability\nobligation is offered by you alone, and you hereby agree to indemnify the\nLicensor and every Contributor for any liability incurred by the Licensor\nor such Contributor as a result of warranty, support, indemnity or liability\nterms you offer.\n\ne. Distribution of Executable Versions. You may distribute Licensed Product\nas an executable program under a license of your choice that may contain terms\ndifferent from this License provided (i) you have satisfied the requirements\nof Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous\nnotice in the executable version, related documentation and collateral materials\nstating that the Source Code version of the Licensed Product is available\nunder the terms of this License, including a description of how and where\nyou have fulfilled the obligations of Section 4(b), and (iii) you make it\nclear that any terms that differ from this License are offered by you alone,\nnot by Licensor or any Contributor. You hereby agree to indemnify the Licensor\nand every Contributor for any liability incurred by Licensor or such Contributor\nas a result of any terms you offer.\n\nf. Distribution of Derivative Works. You may create Derivative Works (e.g.,\ncombinations of some or all of the Licensed Product with other code) and distribute\nthe Derivative Works as products under any other license you select, with\nthe proviso that the requirements of this License are fulfilled for those\nportions of the Derivative Works that consist of the Licensed Product or any\nModifications thereto.\n\n5. Inability to Comply Due to Statute or Regulation. If it is impossible for\nyou to comply with any of the terms of this License with respect to some or\nall of the Licensed Product due to statute, judicial order, or regulation,\nthen you must (i) comply with the terms of this License to the maximum extent\npossible, (ii) cite the statute or regulation that prohibits you from adhering\nto the License, and (iii) describe the limitations and the code they affect.\nSuch description must be included in the LEGAL file described in Section 4(d),\nand must be included with all distributions of the Source Code. Except to\nthe extent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill at computer programming to be able\nto understand it.\n\n6. Application of This License. This License applies to code to which Licensor\nor Contributor has attached the Notice in Exhibit A, which is incorporated\nherein by this reference.\n\n   7. Versions of This License.\n\na. New Versions. Licensor may publish from time to time revised and/or new\nversions of the License.\n\nb. Effect of New Versions. Once Licensed Product has been published under\na particular version of the License, you may always continue to use it under\nthe terms of that version. You may also choose to use such Licensed Product\nunder the terms of any subsequent version of the License published by Licensor.\nNo one other than Licensor has the right to modify the terms applicable to\nLicensed Product created under this License.\n\nc. Derivative Works of this License. If you create or use a modified version\nof this License, which you may do only in order to apply it to software that\nis not already a Licensed Product under this License, you must rename your\nlicense so that it is not confusingly similar to this License, and must make\nit clear that your license contains terms that differ from this License. In\nso naming your license, you may not use any trademark of Licensor or any Contributor.\n\n8. Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE\nON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nINCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE\nOF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\nTHE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT\nIS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND\nNOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN\nESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER\nEXCEPT UNDER THIS DISCLAIMER.\n\n   9. Termination.\n\na. Automatic Termination Upon Breach. This license and the rights granted\nhereunder will terminate automatically if you fail to comply with the terms\nherein and fail to cure such breach within thirty (30) days of becoming aware\nof the breach. All sublicenses to the Licensed Product that are properly granted\nshall survive any termination of this license. Provisions that, by their nature,\nmust remain in effect beyond the termination of this License, shall survive.\n\nb. Termination Upon Assertion of Patent Infringement. If you initiate litigation\nby asserting a patent infringement claim (excluding declaratory judgment actions)\nagainst Licensor or a Contributor (Licensor or Contributor against whom you\nfile such an action is referred to herein as Respondent) alleging that Licensed\nProduct directly or indirectly infringes any patent, then any and all rights\ngranted by such Respondent to you under Sections 1 or 2 of this License shall\nterminate prospectively upon sixty (60) days notice from Respondent (the \"Notice\nPeriod\") unless within that Notice Period you either agree in writing (i)\nto pay Respondent a mutually agreeable reasonably royalty for your past or\nfuture use of Licensed Product made by such Respondent, or (ii) withdraw your\nlitigation claim with respect to Licensed Product against such Respondent.\nIf within said Notice Period a reasonable royalty and payment arrangement\nare not mutually agreed upon in writing by the parties or the litigation claim\nis not withdrawn, the rights granted by Licensor to you under Sections 1 and\n2 automatically terminate at the expiration of said Notice Period.\n\nc. Reasonable Value of This License. If you assert a patent infringement claim\nagainst Respondent alleging that Licensed Product directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by said Respondent under Sections 1 and 2 shall\nbe taken into account in determining the amount or value of any payment or\nlicense.\n\nd. No Retroactive Effect of Termination. In the event of termination under\nSections 9(a) or 9(b) above, all end user license agreements (excluding licenses\nto distributors and resellers) that have been validly granted by you or any\ndistributor hereunder prior to termination shall survive termination.\n\n10. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR,\nANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY\n\nRESULTING FROM SUCH PARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS\nSUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION\nOF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY\nNOT APPLY TO YOU.\n\n11. Responsibility for Claims. As between Licensor and Contributors, each\nparty is responsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License. You agree to work with\nLicensor and Contributors to distribute such responsibility on an equitable\nbasis. Nothing herein is intended or\n\n   shall be deemed to constitute any admission of liability.\n\n12. U.S. Government End Users. The Licensed Product is a commercial item,\nas that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial\ncomputer software and commercial computer software documentation, as such\nterms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R.\n12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\nEnd Users acquire Licensed Product with only those rights set forth herein.\n\n13. Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable. This License shall be governed by California law provisions\n(except to the extent applicable law, if any, provides otherwise), excluding\nits conflict-of-law provisions. You expressly agree that any litigation relating\nto this license shall be subject to the jurisdiction of the Federal Courts\nof the Northern District of California or the Superior Court of the County\nof Santa Clara, California (as appropriate), with venue lying in Santa Clara\nCounty, California, with the losing party responsible for costs including,\nwithout limitation, court costs and reasonable attorneys fees and expenses.\nThe application of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. You and Licensor expressly waive any\nrights to a jury trial in any litigation concerning Licensed Product or this\nLicense. Any law or regulation that provides that the language of a contract\nshall be construed against the drafter shall not apply to this License.\n\n14. Definition of You in This License. You throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 7. For legal entities, you includes any\nentity that controls, is controlled by, or is under common control with you.\nFor purposes of this definition, control means (i) the power, direct or indirect,\nto cause the direction or management of such entity, whether by contract or\notherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding\nshares, or (iii) beneficial ownership of such entity.\n\n15. Glossary. All defined terms in this License that are used in more than\none Section of this License are repeated here, in alphabetical order, for\nthe convenience of the reader. The Section of this License in which each defined\nterm is first used is shown in parentheses.\n\nContributor: Each person or entity who created or contributed to the creation\nof, and distributed, a Modification. (See Section 2)\n\nDerivative Works: That term as used in this License is defined under U.S.\ncopyright law. (See Section 1(b))\n\nLicense: This BitTorrent Open Source License. (See first paragraph of License)\n\nLicensed Product: Any BitTorrent Product licensed pursuant to this License.\nThe term \"Licensed Product\" includes all previous Modifications from any Contributor\nthat you receive. (See first paragraph of License and Section 2)\n\n   Licensor: BitTorrent, Inc. (See first paragraph of License)\n\nModifications: Any additions to or deletions from the substance or structure\nof (i) a file containing Licensed Product, or (ii) any new file that contains\nany part of Licensed Product. (See Section 2)\n\n   Notice: The notice contained in Exhibit A. (See Section 4(e))\n\nSource Code: The preferred form for making modifications to the Licensed Product,\nincluding all modules contained therein, plus any associated interface definition\nfiles, scripts used to control compilation and installation of an executable\nprogram, or a list of differential comparisons against the Source Code of\nthe Licensed Product. (See\n\n   Section 1(a))\n\n   You: This term is defined in Section 14 of this License. EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you\ndistribute of the Licensed Product or any hereto. Contributors to any Modifications\nmay add their own copyright notices to identify their own contributions.\n\nLicense:\n\nThe contents of this file are subject to the BitTorrent Open Source License\nVersion 1.0 (the License). You may not copy or use this file, in either source\ncode or executable form, except in compliance with the License. You may obtain\na copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT\nWARRANTY OF ANY KIND, either express or implied. See the License for the specific\nlanguage governing rights and limitations under the License.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(136,'GCC-exception-3.1','GCC RUNTIME LIBRARY EXCEPTION\n\nVersion 3.1, 31 March 2009\n\nGeneral information: http://www.gnu.org/licenses/gcc-exception.html\n\nCopyright (C) 2009 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis GCC Runtime Library Exception (\"Exception\") is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file (the \"Runtime Library\") that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nWhen you use GCC to compile a program, GCC may combine portions of certain GCC header files and runtime libraries with the compiled program. The purpose of this Exception is to allow compilation of non-GPL (including proprietary) programs to use, in this way, the header files and runtime libraries covered by this Exception.\n\n   0. Definitions.\n\n   A file is an \"Independent Module\" if it either requires the Runtime Library for execution after a Compilation Process, or makes use of an interface provided by the Runtime Library, but is not otherwise based on the Runtime Library.\n\n   \"GCC\" means a version of the GNU Compiler Collection, with or without modifications, governed by version 3 (or a specified later version) of the GNU General Public License (GPL) with the option of using any subsequent versions published by the FSF.\n\n   \"GPL-compatible Software\" is software whose conditions of propagation, modification and use would permit combination with GCC in accord with the license of GCC.\n\n   \"Target Code\" refers to output from any compiler for a real or virtual target processor architecture, in executable form or suitable for input to an assembler, loader, linker and/or execution phase. Notwithstanding that, Target Code does not include data in any format that is used as a compiler intermediate representation, or used for producing a compiler intermediate representation.\n\n   The \"Compilation Process\" transforms code entirely represented in non-intermediate languages designed for human-written code, and/or in Java Virtual Machine byte code, into Target Code. Thus, for example, use of source code generators and preprocessors need not be considered part of the Compilation Process, since the Compilation Process can be understood as starting with the output of the generators or preprocessors.\n\n   A Compilation Process is \"Eligible\" if it is done using GCC, alone or with other GPL-compatible software, or if it is done without using any work based on GCC. For example, using non-GPL-compatible Software to optimize any GCC intermediate representations would not qualify as an Eligible Compilation Process.\n\n   1. Grant of Additional Permission.\n\n   You have permission to propagate a work of Target Code formed by combining the Runtime Library with Independent Modules, even if such propagation would otherwise violate the terms of GPLv3, provided that all Target Code was generated by Eligible Compilation Processes. You may then convey such a combination under terms of your choice, consistent with the licensing of the Independent Modules.\n\n   2. No Weakening of GCC Copyleft.\n\nThe availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of GCC.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(137,'gSOAP-1.3b','gSOAP Public License\n\nVersion 1.3b The gSOAP public license is derived from the Mozilla Public License\n(MPL1.1). The sections that were deleted from the original MPL1.1 text are\n1.0.1, 2.1.(c),(d), 2.2.(c),(d), 8.2.(b), 10, and 11. Section 3.8 was added.\nThe modified sections are 2.1.(b), 2.2.(b), 3.2 (simplified), 3.5 (deleted\nthe last sentence), and 3.6 (simplified).\n\nThis license applies to the gSOAP software package, with the exception of\nthe soapcpp2 and wsdl2h source code located in gsoap/src and gsoap/wsdl, all\ncode generated by soapcpp2 and wsdl2h, the UDDI source code gsoap/uddi2, and\nthe Web server sample source code samples/webserver. To use any of these software\ntools and components commercially, a commercial license is required and can\nbe obtained from www.genivia.com.\n\n   1 DEFINITIONS.\n\n      1.0.1.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code, or Modifications or the combination\nof the Original Code, and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code, or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2 SOURCE CODE LICENSE.\n\n      2.1. The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (\"offer to sell and import\") the Original\nCode, Modifications, or portions thereof, but solely to the extent that any\nsuch patent is reasonably necessary to enable You to utilize, alone or in\ncombination with other software, the Original Code, Modifications, or any\ncombination or portions thereof.\n\n         (c)\n\n         (d)\n\n      2.2. Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby\ngrants You a world-wide, royalty-free, non-exclusive license\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nmake, have made, use and sell (\"offer to sell and import\") the Contributor\nVersion (or portions thereof), but solely to the extent that any such patent\nis reasonably necessary to enable You to utilize, alone or in combination\nwith other software, the Contributor Version (or portions thereof).\n\n         (c)\n\n         (d)\n\n   3 DISTRIBUTION OBLIGATIONS.\n\n      3.1. Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n      3.2. Availability of Source Code.\n\nAny Modification created by You shall be provided to the Initial Developer\nin Source Code form and are subject to the terms of the License.\n\n      3.3. Description of Modifications.\n\nYou must cause all Covered Code to which You contribute to contain a file\ndocumenting the changes You made to create that Covered Code and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the Source\nCode, and (b) in any notice in an Executable version or related documentation\nin which You describe the origin or ownership of the Covered Code.\n\n      3.4. Intellectual Property Matters.\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"LEGAL\" which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has knowledge of patent licenses which\nare reasonably necessary to implement that API, Contributor must also include\nthis information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n      3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code.\nIf it is not possible to put such notice in a particular Source Code file\ndue to its structure, then You must include such notice in a location (such\nas a relevant directory) where a user would be likely to look for such a notice.\nIf You created one or more Modification(s) You may add your name as a Contributor\nto the notice described in Exhibit A. You must also duplicate this License\nin any documentation for the Source Code where You describe recipients\' rights\nor ownership rights relating to Covered Code. You may choose to offer, and\nto charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Covered Code. However, You may do so only on\nYour own behalf, and not on behalf of the Initial Developer or any Contributor.\n\n      3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code. You may distribute\nthe Executable version of Covered Code or ownership rights under a license\nof Your choice, which may contain terms different from this License, provided\nthat You are in compliance with the terms of this License and that the license\nfor the Executable version does not attempt to limit or alter the recipient\'s\nrights in the Source Code version from the rights set forth in this License.\nIf You distribute the Executable version under a different license You must\nmake it absolutely clear that any terms which differ from this License are\noffered by You alone, not by the Initial Developer or any Contributor. If\nyou distribute executable versions containing Covered Code as part of a product,\nyou must reproduce the notice in Exhibit B in the documentation and/or other\nmaterials provided with the product.\n\n      3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Code.\n\n      3.8. Restrictions.\n\nYou may not remove any product identification, copyright, proprietary notices\nor labels from gSOAP.\n\n   4 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5 APPLICATION OF THIS LICENSE.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6 VERSIONS OF THE LICENSE.\n\n      6.1. New Versions.\n\nGrantor may publish revised and/or new versions of the License from time to\ntime. Each version will be given a distinguishing version number.\n\n      6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License.\n\n      6.3. Derivative Works.\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrase \"gSOAP\"\nor any confusingly similar phrase do not appear in your license (except to\nnote that you license differs from this License) and (b) otherwise make it\nclear that Your version of the license contains terms which differ from the\ngSOAP Public License. (Filling in the name of the Initial Developer, Original\nCode or Contributor in the notice described in Exhibit A shall not of themselves\nbe deemed to be modifications of this License.)\n\n   7 DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, WITHOUT LIMITATION,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE,\nNONINFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS, AND ANY WARRANTY\nTHAT MAY ARISE BY REASON OF TRADE USAGE, CUSTOM, OR COURSE OF DEALING. WITHOUT\nLIMITING THE FOREGOING, YOU ACKNOWLEDGE THAT THE SOFTWARE IS PROVIDED \"AS\nIS\" AND THAT THE AUTHORS DO NOT WARRANT THE SOFTWARE WILL RUN UNINTERRUPTED\nOR ERROR FREE. LIMITED LIABILITY THE ENTIRE RISK AS TO RESULTS AND PERFORMANCE\nOF THE SOFTWARE IS ASSUMED BY YOU. UNDER NO CIRCUMSTANCES WILL THE AUTHORS\nBE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, EXEMPLARY OR CONSEQUENTIAL\nDAMAGES OF ANY KIND OR NATURE WHATSOEVER, WHETHER BASED ON CONTRACT, WARRANTY,\nTORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, ARISING OUT OF\nOR IN ANY WAY RELATED TO THE SOFTWARE, EVEN IF THE AUTHORS HAVE BEEN ADVISED\nON THE POSSIBILITY OF SUCH DAMAGE OR IF SUCH DAMAGE COULD HAVE BEEN REASONABLY\nFORESEEN, AND NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY EXCLUSIVE\nREMEDY PROVIDED. SUCH LIMITATION ON DAMAGES INCLUDES, BUT IS NOT LIMITED TO,\nDAMAGES FOR LOSS OF GOODWILL, LOST PROFITS, LOSS OF DATA OR SOFTWARE, WORK\nSTOPPAGE, COMPUTER FAILURE OR MALFUNCTION OR IMPAIRMENT OF OTHER GOODS. IN\nNO EVENT WILL THE AUTHORS BE LIABLE FOR THE COSTS OF PROCUREMENT OF SUBSTITUTE\nSOFTWARE OR SERVICES. YOU ACKNOWLEDGE THAT THIS SOFTWARE IS NOT DESIGNED FOR\nUSE IN ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS SUCH AS OPERATION OF NUCLEAR\nFACILITIES, AIRCRAFT NAVIGATION OR CONTROL, OR LIFE-CRITICAL APPLICATIONS.\nTHE AUTHORS EXPRESSLY DISCLAIM ANY LIABILITY RESULTING FROM USE OF THE SOFTWARE\nIN ANY SUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS AND ACCEPTS NO LIABILITY\nIN RESPECT OF ANY ACTIONS OR CLAIMS BASED ON THE USE OF THE SOFTWARE IN ANY\nSUCH ON-LINE EQUIPMENT IN HAZARDOUS ENVIRONMENTS BY YOU. FOR PURPOSES OF THIS\nPARAGRAPH, THE TERM \"LIFE-CRITICAL APPLICATION\" MEANS AN APPLICATION IN WHICH\nTHE FUNCTIONING OR MALFUNCTIONING OF THE SOFTWARE MAY RESULT DIRECTLY OR INDIRECTLY\nIN PHYSICAL INJURY OR LOSS OF HUMAN LIFE. THIS DISCLAIMER OF WARRANTY CONSTITUTES\nAN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED\nHEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8 TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n      8.2.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9 LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10 U.S. GOVERNMENT END USERS.\n\n   11 MISCELLANEOUS.\n\n   12 RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   \n\n   EXHIBIT A.\n\n\"The contents of this file are subject to the gSOAP Public License Version\n1.3 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at\n\n   http://www.cs.fsu.edu/ engelen/soaplicense.html\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code of the gSOAP Software is: stdsoap.h, stdsoap2.h, stdsoap.c,\nstdsoap2.c, stdsoap.cpp, stdsoap2.cpp, soapcpp2.h, soapcpp2.c, soapcpp2_lex.l,\nsoapcpp2_yacc.y, error2.h, error2.c, symbol2.c, init2.c, soapdoc2.html, and\nsoapdoc2.pdf, httpget.h, httpget.c, stl.h, stldeque.h, stllist.h, stlvector.h,\nstlset.h.\n\nThe Initial Developer of the Original Code is Robert A. van Engelen. Portions\ncreated by Robert A. van Engelen are Copyright (C) 2001-2004 Robert A. van\nEngelen, Genivia inc. All Rights Reserved.\n\n   Contributor(s):\n\n   \"________________________.\"\n\n[Note: The text of this Exhibit A may differ slightly form the text of the\nnotices in the Source Code files of the Original code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n\n   \n\n   EXHIBIT B.\n\n   \"Part of the software embedded in this product is gSOAP software.\n\nPortions created by gSOAP are Copyright (C) 2001-2009 Robert A. van Engelen,\nGenivia inc. All Rights Reserved.\n\nTHE SOFTWARE IN THIS PRODUCT WAS IN PART PROVIDED BY GENIVIA INC AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\"\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(138,'Latex2e','Copyright (C) 2007, 2008, 2009, 2010 Karl Berry.\n\nCopyright (C) 1988, 1994, 2007 Stephen Gilmore.\n\nCopyright (C) 1994, 1995, 1996 Torsten Martinsen.\n\nPermission is granted to make and distribute verbatim copies of this manual\nprovided the copyright notice and this permission notice are preserved on\nall copies.\n\nPermission is granted to copy and distribute modified versions of this manual\nunder the conditions for verbatim copying, provided that the entire resulting\nderived work is distributed under the terms of a permission notice identical\nto this one.\n\nPermission is granted to copy and distribute translations of this manual into\nanother language, under the above conditions for modified versions.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(139,'SISSL-1.2','\n\nSUN INDUSTRY STANDARDS SOURCE LICENSE\n\nVersion 1.2\n\n   1.0 DEFINITIONS\n\n1.1 Commercial Use means distribution or otherwise making the Original Code\navailable to a third party.\n\n1.2 Contributor Version means the combination of the Original Code, and the\nModifications made by that particular Contributor.\n\n1.3 Electronic Distribution Mechanism means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.4 Executable means Original Code in any form other than Source Code.\n\n1.5 Initial Developer means the individual or entity identified as the Initial\nDeveloper in the Source Code notice required by Exhibit A.\n\n1.6 Larger Work means a work which combines Original Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.7 License means this document.\n\n1.8 Licensable means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n1.9 Modifications means any addition to or deletion from the substance or\nstructure of either the Original Code or any previous Modifications. A Modification\nis:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10 Original Code means Source Code of computer software code which is described\nin the Source Code notice required by Exhibit A as Original Code.\n\n1.11 Patent Claims means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.12 Source Code means the preferred form of the Original Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, or scripts used to control compilation and installation\nof an Executable.\n\n      1.13 Standards means the standards identified in Exhibit B.\n\n1.14 You (or Your) means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, You includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, control means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2.0 SOURCE CODE LICENSE\n\n2.1 The Initial Developer Grant The Initial Developer hereby grants You a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims:\n\n         \n\n(a)under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices,\nincluding but not limited to Modifications.\n\n   3.0 DISTRIBUTION OBLIGATIONS\n\n3.1 Application of License. The Source Code version of Original Code may be\ndistributed only under the terms of this License or a future version of this\nLicense released under Section 6.1, and You must include a copy of this License\nwith every copy of the Source Code You distribute. You may not offer or impose\nany terms on any Source Code version that alters or restricts the applicable\nversion of this License or the recipients rights hereunder. Your license for\nshipment of the Contributor Version is conditioned upon Your full compliance\nwith this Section. The Modifications which You create must comply with all\nrequirements set out by the Standards body in effect one hundred twenty (120)\ndays before You ship the Contributor Version. In the event that the Modifications\ndo not meet such requirements, You agree to publish either (i) any deviation\nfrom the Standards protocol resulting from implementation of Your Modifications\nand a reference implementation of Your Modifications or (ii) Your Modifications\nin Source Code form, and to make any such deviation and reference implementation\nor Modifications available to all third parties under the same terms a this\nlicense on a royalty free basis within thirty (30) days of Your first customer\nshipment of Your Modifications. Additionally, in the event that the Modifications\nyou create do not meet the requirements set out in this Section, You agree\nto comply with the Standards requirements set out in Exhibit B.\n\n3.2 Required Notices. You must duplicate the notice in Exhibit A in each file\nof the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd Your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients rights or ownership rights relating to Initial Code.\n\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Your version of the\nCode. However, You may do so only on Your own behalf, and not on behalf of\nthe Initial Developer. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer for any liability incurred\nby the Initial Developer as a result of warranty, support, indemnity or liability\nterms You offer.\n\n3.3 Distribution of Executable Versions. You may distribute Original Code\nin Executable and Source form only if the requirements of Sections 3.1 and\n3.2 have been met for that Original Code, and if You include a notice stating\nthat the Source Code version of the Original Code is available under the terms\nof this License. The notice must be conspicuously included in any notice in\nan Executable or Source versions, related documentation or collateral in which\nYou describe recipients rights relating to the Original Code. You may distribute\nthe Executable and Source versions of Your version of the Code or ownership\nrights under a license of Your choice, which may contain terms different from\nthis License, provided that You are in compliance with the terms of this License.\nIf You distribute the Executable and Source versions under a different license\nYou must make it absolutely clear that any terms which differ from this License\nare offered by You alone, not by the Initial Developer. You hereby agree to\nindemnify the Initial Developer for any liability incurred by the Initial\nDeveloper as a result of any such terms You offer.\n\n3.4 Larger Works. You may create a Larger Work by combining Original Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Original Code.\n\n   4.0 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Original Code due to statute, judicial\norder, or regulation then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.2 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5.0 APPLICATION OF THIS LICENSE\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Modifications as set out in Section 3.1.\n\n   6.0 VERSIONS OF THE LICENSE\n\n6.1 New Versions. Sun may publish revised and/or new versions of the License\nfrom time to time. Each version will be given a distinguishing version number.\n\n6.2 Effect of New Versions. Once Original Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Original Code under\nthe terms of any subsequent version of the License published by Sun. No one\nother than Sun has the right to modify the terms applicable to Original Code.\n\n   7.0 DISCLAIMER OF WARRANTY\n\nORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN AS IS BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE ORIGINAL CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE ORIGINAL CODE IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE\nIN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN\nESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL CODE IS AUTHORIZED\nHEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8.0 TERMINATION\n\n8.1 This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Original Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive. 8.2 In the event of termination under Section\n8.1 above, all end user license agreements (excluding distributors and resellers)\nwhich have been validly granted by You or any distributor hereunder prior\nto termination shall survive termination. EXHIBIT A - Sun Industry Standards\nSource License\n\n\" The contents of this file are subject to the Sun Industry Standards Source\nLicense Version 1.2 (the License); You\n\nmay not use this file except in compliance with the License. \"\n\n\" You may obtain a copy of the License at gridengine.sunsource.net/license.html\n\"\n\n\" Software distributed under the License is distributed on an AS IS basis,\nWITHOUT WARRANTY OF ANY KIND, either express or\n\nimplied. See the License for the specific language governing rights and limitations\nunder the License. \"\n\n\" The Original Code is Grid Engine. \"\n\n\" The Initial Developer of the Original Code is:\n\nSun Microsystems, Inc. \"\n\n\" Portions created by: Sun Microsystems, Inc. are Copyright (C) 2001 Sun Microsystems,\nInc. \"\n\n\" All Rights Reserved. \"\n\n\" Contributor(s): __________________________________\"\n\nEXHIBIT B - Standards\n\n1.0 Requirements for project Standards. The requirements for project Standards\nare version-dependent and are defined at: Grid Engine standards.\n\n2.0 Additional requirements. The additional requirements pursuant to Section\n3.1 are defined as:\n\n2.1 Naming Conventions. If any of your Modifications do not meet the requirements\nof the Standard, then you must change the product name so that Grid Engine,\ngridengine, gridengine.sunsource, and similar naming conventions are not used.\n\n2.2 Compliance Claims. If any of your Modifications do not meet the requirements\nof the Standards you may not claim, directly or indirectly, that your implementation\nof the Standards is compliant.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(140,'NOSL','NETIZEN OPEN SOURCE LICENSE\n\nVersion 1.0\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n      2.2. Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby\ngrants You a world-wide, royalty-free, non-exclusive license\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims.\n\nIf Contributor has knowledge that a license under a third party\'s intellectual\nproperty rights is required to exercise the rights granted by such Contributor\nunder Sections 2.1 or 2.2, Contributor must include a text file with the Source\nCode distribution titled \"LEGAL\" which describes the claim and the party making\nthe claim in sufficient detail that a recipient will know whom to contact.\nIf Contributor obtains such knowledge after the Modification is made available\nas described in Section 3.2, Contributor shall promptly modify the LEGAL file\nin all copies Contributor makes available thereafter and shall take other\nsteps (such as notifying appropriate mailing lists or newsgroups) reasonably\ncalculated to inform those who received the Covered Code that new knowledge\nhas been obtained.\n\n         (b) Contributor APIs.\n\nIf Contributor\'s Modifications include an application programming interface\nand Contributor has knowledge of patent licenses which are reasonably necessary\nto implement that API, Contributor must also include this information in the\nLEGAL file.\n\n         (c) Representations.\n\nContributor represents that, except as disclosed pursuant to Section 3.4(a)\nabove, Contributor believes that Contributor\'s Modifications are Contributor\'s\noriginal creation(s) and/or Contributor has sufficient rights to grant the\nrights conveyed by this License.\n\n      3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code.\nIf it is not possible to put such notice in a particular Source Code file\ndue to its structure, then You must include such notice in a location (such\nas a relevant directory) where a user would be likely to look for such a notice.\nIf You created one or more Modification(s) You may add your name as a Contributor\nto the notice described in Exhibit A. You must also duplicate this License\nin any documentation for the Source Code where You describe recipients\' rights\nor ownership rights relating to Covered Code. You may choose to offer, and\nto charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Covered Code. However, You may do so only on\nYour own behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear than any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n      3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code, and if You include\na notice stating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You describe recipients\' rights relating to the Covered\nCode. You may distribute the Executable version of Covered Code or ownership\nrights under a license of Your choice, which may contain terms different from\nthis License, provided that You are in compliance with the terms of this License\nand that the license for the Executable version does not attempt to limit\nor alter the recipient\'s rights in the Source Code version from the rights\nset forth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms which\ndiffer from this License are offered by You alone, not by the Initial Developer\nor any Contributor. You hereby agree to indemnify the Initial Developer and\nevery Contributor for any liability incurred by the Initial Developer or such\nContributor as a result of any such terms You offer.\n\n      3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle LEDs product. In such a case, You must make sure the requirements of\nthis License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions.\n\nNetizen Pty Ltd (\"Netizen \") may publish revised and/or new versions of the\nLicense from time to time. Each version will be given a distinguishing version\nnumber.\n\n      6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Netizen. No one other than Netizen has the right\nto modify the terms applicable to Covered Code created under this License.\n\n      6.3. Derivative Works.\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrases \"Netizen\",\n\"NOSL\" or any confusingly similar phrase do not appear in your license (except\nto note that your license differs from this License) and (b) otherwise make\nit clear that Your version of the license contains terms which differ from\nthe Netizen Open Source License and Xen Open Source License. (Filling in the\nname of the Initial Developer, Original Code or Contributor in the notice\ndescribed in Exhibit A shall not of themselves be deemed to be modifications\nof this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n7.1 To the extent permitted by law and except as expressly provided to the\ncontrary in this Agreement, all warranties whether express, implied, statutory\nor otherwise, relating in any way to the subject matter of this Agreement\nor to this Agreement generally, are excluded. Where legislation implies in\nthis Agreement any condition or warranty and that legislation avoids or prohibits\nprovisions in a contract excluding or modifying the application of or the\nexercise of or liability under such term, such term shall be deemed to be\nincluded in this Agreement. However, the liability of Supplier for any breach\nof such term shall be limited, at the option of Supplier, to any one or more\nof the following: if the breach related to goods: the replacement of the goods\nor the supply of equivalent goods; the repair of such goods; the payment of\nthe cost of replacing the goods or of acquiring equivalent goods; or the payment\nof the cost of having the goods repaired; and if the breach relates to services\nthe supplying of the services again; or the payment of the cost of having\nthe services supplied again.\n\n   8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable.\n\nThis Agreement shall be governed by and construed according to the law of\nthe State of Victoria. The parties irrevocably submit to the exclusive jurisdiction\nof the Courts of Victoria and Australia and any Courts hearing appeals from\nsuch Courts. This Agreement is deemed to have been made in Victoria.\n\nThe application of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any law or regulation which provides\nthat the language of a contract shall be construed against the drafter shall\nnot apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the NPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A. EXHIBIT A - Netizen Open Source License\n\n``The contents of this file are subject to the Netizen Open Source License\nVersion 1.0 (the \"License\"); you may not use this file except in compliance\nwith the License. You may obtain a copy of the License at http://netizen.com.au/licenses/NOPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________. Portions\ncreated by ______________________ are Copyright (C) ______ _______________________.\nAll Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the \"[___] License\"), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the NOSL, indicate\nyour decision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe NOSL or the [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(141,'SWL','The authors hereby grant permission to use, copy, modify, distribute, and\nlicense this software and its documentation for any purpose, provided that\nexisting copyright notices are retained in all copies and that this notice\nis included verbatim in any distributions. No written agreement, license,\nor royalty fee is required for any of the authorized uses. Modifications to\nthis software may be copyrighted by their authors and need not follow the\nlicensing terms described here, provided that the new terms are clearly indicated\non the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT,\nINDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE\nUSE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN\nIF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE AUTHORS\nAND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\nPURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS,\nAND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE MAINTENANCE,\nSUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government,\nthe Government shall have only \"Restricted Rights\" in the software and related\ndocumentation as defined in the Federal Acquisition Regulations (FARs) in\nClause 52.227.19 (c) (2). If you are acquiring the software on behalf of the\nDepartment of Defense, the software shall be classified as \"Commercial Computer\nSoftware\" and the Government shall have only \"Restricted Rights\" as defined\nin Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the\nauthors grant the U.S. Government and others acting in its behalf permission\nto use and distribute the software in accordance with the terms specified\nin this license.\n\nBY INSTALLING THIS SOFTWARE, YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT,\nTHAT YOU UNDERSTAND IT, AND THAT YOU AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(142,'BSD-4-Clause-UC','BSD-4-Clause (University of California-Specific)\n\nCopyright [various years] The Regents of the University of California. All\nrights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgement: This product includes software developed\nby the University of California, Berkeley and its contributors.\n\n4. Neither the name of the University nor the names of its contributors may\nbe used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS \'\'AS IS\'\' AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(143,'Qwt-exception-1.0','Qwt License Version 1.0,\n\nJanuary 1, 2003\n\nThe Qwt library and included programs are provided under the terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL) with the following exceptions:\n\n   1. Widgets that are subclassed from Qwt widgets do not constitute a derivative work.\n\n   2. Static linking of applications and widgets to the Qwt library does not constitute a derivative work and does not require the author to provide source code for the application or widget, use the shared Qwt libraries, or link their applications or widgets against a user-supplied version of Qwt. If you link the application or widget to a modified version of Qwt, then the changes to Qwt must be provided under the terms of the LGPL in sections 1, 2, and 4.\n\n   3. You do not have to provide a copy of the Qwt license with programs that are linked to the Qwt library, nor do you have to identify the Qwt license in your program or documentation as required by section 6 of the LGPL.\n\nHowever, programs must still identify their use of Qwt. The following example statement can be included in user documentation to satisfy this requirement: [program/widget] is based in part on the work of the Qwt project (http://qwt.sf.net).\"\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(144,'OCCT-exception-1.0','Open CASCADE Exception (version 1.0) to GNU LGPL version 2.1.\n\nThe object code (i.e. not a source) form of a \"work that uses the Library\" can incorporate material from a header file that is part of the Library. As a special exception to the GNU Lesser General Public License version 2.1, you may distribute such object code incorporating material from header files provided with the Open CASCADE Technology libraries (including code of CDL generic classes) under terms of your choice, provided that you give prominent notice in supporting documentation to this code that it makes use of or is based on facilities provided by the Open CASCADE Technology software.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(145,'WTFPL','DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n\nVersion 2, December 2004\n\nCopyright (C) 2004 Sam Hocevar <sam@hocevar.net>\n\nEveryone is permitted to copy and distribute verbatim or modified copies of\nthis license document, and changing it is allowed as long as the name is changed.\n\nDO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n   0. You just DO WHAT THE FUCK YOU WANT TO.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(146,'freertos-exception-2.0','Any FreeRTOS source code, whether modified or in its original release form, or whether in whole or in part, can only be distributed by you under the terms of the GNU General Public License plus this exception. An independent module is a module which is not derived from or based on FreeRTOS.\n\nEXCEPTION TEXT:\n\n   \n\n   Clause 1\n\n   Linking FreeRTOS statically or dynamically with other modules is making a combined work based on FreeRTOS. Thus, the terms and conditions of the GNU General Public License cover the whole combination.\n\n   As a special exception, the copyright holder of FreeRTOS gives you permission to link FreeRTOS with independent modules that communicate with FreeRTOS solely through the FreeRTOS API interface, regardless of the license terms of these independent modules, and to copy and distribute the resulting combined work under terms of your choice, provided that\n\n      + Every copy of the combined work is accompanied by a written statement that details to the recipient the version of FreeRTOS used and an offer by yourself to provide the FreeRTOS source code (including any modifications you may have made) should the recipient request it.\n\n      + The combined work is not itself an RTOS, scheduler, kernel or related product.\n\n      + The independent modules add significant and primary functionality to FreeRTOS and do not merely extend the existing functionality already present in FreeRTOS.\n\n   \n\n   Clause 2\n\n   FreeRTOS may not be used for any competitive or comparative purpose, including the publication of any form of run time or compile time metric, without the express permission of Real Time Engineers Ltd. (this is the norm within the industry and is intended to ensure information accuracy).\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(147,'CC-BY-NC-3.0','Creative Commons Attribution-NonCommercial 3.0 Unported CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(f) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined above) for the purposes of this License.\n\nc. \"Distribute\" means to make available to the public the original and copies\nof the Work or Adaptation, as appropriate, through sale or other transfer\nof ownership.\n\nd. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\ne. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\nf. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\ng. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\nh. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\ni. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections;\n\nb. to create and Reproduce Adaptations provided that any such Adaptation,\nincluding any translation in any medium, takes reasonable steps to clearly\nlabel, demarcate or otherwise identify that changes were made to the original\nWork. For example, a translation could be marked \"The original work was translated\nfrom English to Spanish,\" or a modification could indicate \"The original work\nhas been modified.\";\n\nc. to Distribute and Publicly Perform the Work including as incorporated in\nCollections; and,\n\n      d. to Distribute and Publicly Perform Adaptations.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nSubject to Section 8(f), all rights not expressly granted by Licensor are\nhereby reserved, including but not limited to the rights set forth in Section\n4(d).\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(c), as requested. If You create an Adaptation,\nupon notice from any Licensor You must, to the extent practicable, remove\nfrom the Adaptation any credit as required by Section 4(c), as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections,\nYou must, unless a request has been made pursuant to Section 4(a), keep intact\nall copyright notices for the Work and provide, reasonable to the medium or\nmeans You are utilizing: (i) the name of the Original Author (or pseudonym,\nif applicable) if supplied, and/or if the Original Author and/or Licensor\ndesignate another party or parties (e.g., a sponsor institute, publishing\nentity, journal) for attribution (\"Attribution Parties\") in Licensor\'s copyright\nnotice, terms of service or by other reasonable means, the name of such party\nor parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably\npracticable, the URI, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and, (iv) consistent with Section 3(b), in the case\nof an Adaptation, a credit identifying the use of the Work in the Adaptation\n(e.g., \"French translation of the Work by Original Author,\" or \"Screenplay\nbased on original Work by Original Author\"). The credit required by this Section\n4(c) may be implemented in any reasonable manner; provided, however, that\nin the case of a Adaptation or Collection, at a minimum such credit will appear,\nif a credit for all contributing authors of the Adaptation or Collection appears,\nthen as part of these credits and in a manner at least as prominent as the\ncredits for the other contributing authors. For the avoidance of doubt, You\nmay only use the credit required by this Section for the purpose of attribution\nin the manner set out above and, by exercising Your rights under this License,\nYou may not implicitly or explicitly assert or imply any connection with,\nsponsorship or endorsement by the Original Author, Licensor and/or Attribution\nParties, as appropriate, of You or Your use of the Work, without the separate,\nexpress prior written permission of the Original Author, Licensor and/or Attribution\nParties.\n\n      d. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor reserves the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License if Your exercise\nof such rights is for a purpose or use which is otherwise than noncommercial\nas permitted under Section 4(b) and otherwise waives the right to collect\nroyalties through any statutory or compulsory licensing scheme; and,\n\niii. Voluntary License Schemes. The Licensor reserves the right to collect\nroyalties, whether individually or, in the event that the Licensor is a member\nof a collecting society that administers voluntary licensing schemes, via\nthat society, from any exercise by You of the rights granted under this License\nthat is for a purpose or use which is otherwise than noncommercial as permitted\nunder Section 4(c).\n\ne. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Adaptations or Collections, You\nmust not distort, mutilate, modify or take other derogatory action in relation\nto the Work which would be prejudicial to the Original Author\'s honor or reputation.\nLicensor agrees that in those jurisdictions (e.g. Japan), in which any exercise\nof the right granted in Section 3(b) of this License (the right to make Adaptations)\nwould be deemed to be a distortion, mutilation, modification or other derogatory\naction prejudicial to the Original Author\'s honor and reputation, the Licensor\nwill waive or not assert, as appropriate, this Section, to the fullest extent\npermitted by the applicable national law, to enable You to reasonably exercise\nYour right under Section 3(b) of this License (right to make Adaptations)\nbut not otherwise.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Adaptations or Collections from You under this License,\nhowever, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers\nto the recipient a license to the original Work on the same terms and conditions\nas the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nf. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(148,'Frameworx-1.0','THE FRAMEWORX OPEN LICENSE 1.0\n\nThis License Agreement, The Frameworx Open License 1.0, has been entered into\nbetween The Frameworx Company and you, the licensee hereunder, effective as\nof Your acceptance of the Frameworx Code Base or an Downstream Distribution\n(each as defined below).\n\nAGREEMENT BACKGROUND\n\nThe Frameworx Company is committed to the belief that open source software\nresults in better quality, greater technical and product innovation in the\nmarket place and a more empowered and productive developer and end-user community.\nOur objective is to ensure that the Frameworx Code Base, and the source code\nfor improvements and innovations to it, remain free and open to the community.To\nfurther these beliefs and objectives, we are distributing the Frameworx Code\nBase, without royalties and in source code form, to the community pursuant\nto this License Agreement.\n\nAGREEMENT TERMS\n\nThe Frameworx Company and You have agreed as follows:\n\n   1. Definitions.The following terms have the following respective meanings:\n\n(a) Frameworx Code Base means the software developed by The Frameworx Company\nand made available under this License Agreement\n\n(b) Downstream Distribution means any direct or indirect release, distribution\nor remote availability of software (i) that directly or indirectly contains,\nor depends for its intended functioning on, the Frameworx Code Base or any\nportion or element thereof and (ii) in which rights to use and distribute\nsuch Frameworx Code Base software depend, directly or indirectly, on the License\nprovided in Section 2 below.\n\n(c) \"Source Code\" to any software means the preferred form for making modifications\nto that software, including any associated documentation, interface definition\nfiles and compilation or installation scripts, or any version thereof that\nhas been compressed or archived, and can be reconstituted, using an appropriate\nand generally available archival or compression technology.\n\n(d) Value-Added Services means any commercial or fee-based software-related\nservice, including without limitation: system or application development or\nconsulting; technical or end-user support or training; distribution maintenance,\nconfiguration or versioning; or outsourced, hosted or network-based application\nservices.\n\n2. License Grant. Subject to the terms and conditions hereof, The Frameworx\nCompany hereby grants You a non-exclusive license (the License), subject to\nthird party intellectual property claims, and for no fee other than a nominal\ncharge reflecting the costs of physical distribution, to:\n\n(a) use the Frameworx Code Base, in either Source Code or machine-readable\nform;\n\n(b) make modifications, additions and deletions to the content or structure\nof the Frameworx Code Base; or\n\n(c) create larger works or derivative works including the Frameworx Code Base\nor any portion or element thereof; and\n\n(d) release, distribute or make available, either generally or to any specific\nthird-party, any of the foregoing in Source Code or binary form.\n\n3. License Conditions. The grant of the License under Section 1 hereof, and\nyour exercise of all rights in connection with this License Agreement, will\nremain subject to the following terms and conditions, as well as to the other\nprovisions hereof:\n\n(a) Complete Source Code for any Downstream Distribution directly or indirectly\nmade by You that contains, or depends for its intended functionality on, the\nFrameworx Code Base, or any portion or element thereof, shall be made freely\navailable to all users thereof on terms and conditions no more restrictive,\nand no less favorable for any user (including, without limitation, with regard\nto Source Code availability and royalty-free use) than those terms and conditions\nprovided in this License Agreement.\n\n(b) Any Value-Added Services that you offer or provide, directly or indirectly,\nin relation to any Downstream Distribution shall be offered and provided on\ncommercial terms that are reasonably commensurate to the fair market value\nof such Value-Added Services. In addition, the terms and conditions on which\nany such Value Added Services are so offered or provided shall be consistent\nwith, and shall fully support, the intent and purpose of this License Agreement.\n\n      (c) All Downstream Distributions shall:\n\n(i) include all portions and elements of the Frameworx Code Base required\nto build the Source Code of such Downstream Distribution into a fully functional\nmachine-executable system, or additional build scripts or comparable software\nnecessary and sufficient for such purposes;\n\n(ii) include, in each file containing any portion or element of the Frameworx\nCode Base, the following identifying legend: This file contains software that\nhas been made available under The Frameworx Open License 1.0. Use and distribution\nhereof are subject to the restrictions set forth therein.\n\n(iii) include all other copyright notices, authorship credits, warranty disclaimers\n(including that provided in Section 6 below), legends, documentation, annotations\nand comments contained in the Frameworx Code Base as provided to You hereunder;\n\n(iv) contain an unaltered copy of the html file named frameworx_community_invitation.html\nincluded within the Frameworx Code Base that acknowledges new users and provides\nthem with information on the Frameworx Code Base community;\n\n(v) contain an unaltered copy of the text file named the_frameworx_license.txt\nincluded within the Frameworx Code Base that includes a text copy of the form\nof this License Agreement; and\n\n(vi) prominently display to any viewer or user of the Source Code of such\nOpen Downstream Distribution, in the place and manner normally used for such\ndisplays, the following legend:\n\nSource code licensed under from The Frameworx Company is contained herein,\nand such source code has been obtained either under The Frameworx Open License,\nor another license granted by The Frameworx Company. Use and distribution\nhereof is subject to the restrictions provided in the relevant such license\nand to the copyrights of the licensor thereunder. A copy of The Frameworx\nOpen License is provided in a file named the_frameworx_license.txt and included\nherein, and may also be available for inspection at http://www.frameworx.com.\n\n4. Restrictions on Open Downstream Distributions. Each Downstream Distribution\nmade by You, and by any party directly or indirectly obtaining rights to the\nFrameworx Code Base through You, shall be made subject to a license grant\nor agreement to the extent necessary so that each distributee under that Downstream\nDistribution will be subject to the same restrictions on re-distribution and\nuse as are binding on You hereunder. You may satisfy this licensing requirement\neither by:\n\n(a) requiring as a condition to any Downstream Distribution made by you, or\nby any direct or indirect distributee of Your Downstream Distribution (or\nany portion or element thereof), that each distributee under the relevant\nDownstream Distribution obtain a direct license (on the same terms and conditions\nas those in this License Agreement) from The Frameworx Company; or\n\n(b) sub-licensing all (and not less than all) of Your rights and obligations\nhereunder to that distributee, including (without limitation) Your obligation\nto require distributees to be bound by license restrictions as contemplated\nby this Section 4 above.\n\nThe Frameworx Company hereby grants to you all rights to sub-license your\nrights hereunder as necessary to fully effect the intent and purpose of this\nSection 4 above, provided, however, that your rights and obligations hereunder\nshall be unaffected by any such sublicensing. In addition, The Frameworx Company\nexpressly retains all rights to take all appropriate action (including legal\naction) against any such direct or indirect sub-licensee to ensure its full\ncompliance with the intent and purposes of this License Agreement.\n\n5. Intellectual Property. Except as expressly provided herein, this License\nAgreement preserves and respects Your and The Frameworx Companys respective\nintellectual property rights, including, in the case of The Frameworx Company,\nits copyrights and patent rights relating to the Frameworx Code Base.\n\n6. Warranty Disclaimer. THE SOFTWARE LICENSED HEREUNDER IS PROVIDED ``AS IS.\'\'\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT,\nARE HEREBY DISCLAIMED. IN NO EVENT SHALL THE LICENSOR OF THIS SOFTWARE, BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES INCLUDING (BUT NOT LIMITED TO) PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\n7. License Violation. The License, and all of your rights thereunder, shall\nbe deemed automatically terminated and void as of any Downstream Distribution\ndirectly or indirectly made or facilitated by You that violates the provisions\nof this License Agreement, provided, however, that this License Agreement\nshall survive any such termination in order to remedy the effects of such\nviolation. This License Agreement shall be binding on the legal successors\nand assigns of the parties hereto.\n\nYour agreement to the foregoing as of the date hereof has been evidenced by\nyour acceptance of the relevant software distribution hereunder. (C) THE FRAMEWORX\nCOMPANY 2003\n','2021-08-27 08:51:41','2021-08-27 08:51:41'),(149,'XFree86-1.1','XFree86 License (version 1.1)\n\nCopyright (C) 1994-2006 The XFree86 Project, Inc.\n\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution, and in the same place\nand form as other copyright, license and disclaimer information.\n\n3. The end-user documentation included with the redistribution, if any, must\ninclude the following acknowledgment: \"This product includes software developed\nby The XFree86 Project, Inc (http://www.xfree86.org/) and its contributors\",\nin the same place and form as other third-party acknowledgments. Alternately,\nthis acknowledgment may appear in the software itself, in the same form and\nlocation as other such third-party acknowledgments.\n\n4. Except as contained in this notice, the name of The XFree86 Project, Inc\nshall not be used in advertising or otherwise to promote the sale, use or\nother dealings in this Software without prior written authorization from The\nXFree86 Project, Inc.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE XFREE86\nPROJECT, INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(150,'CC-BY-NC-SA-4.0','Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Creative\nCommons Corporation (\"Creative Commons\") is not a law firm and does not provide\nlegal services or legal advice. Distribution of Creative Commons public licenses\ndoes not create a lawyer-client or other relationship. Creative Commons makes\nits licenses and related information available on an \"as-is\" basis. Creative\nCommons gives no warranties regarding its licenses, any material licensed\nunder their terms and conditions, or any related information. Creative Commons\ndisclaims all liability for damages resulting from their use to the fullest\nextent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described. Although not required by our licenses, you are encouraged to\nrespect those requests where reasonable. More considerations for the public\n: wiki.creativecommons.org/Considerations_for_licensees\n\nCreative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public\nLicense\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-ShareAlike\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\nSection 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Adapter\'s License means the license You apply to Your Copyright and Similar\nRights in Your contributions to Adapted Material in accordance with the terms\nand conditions of this Public License.\n\nc. BY-NC-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses,\napproved by Creative Commons as essentially the equivalent of this Public\nLicense.\n\nd. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\ne. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\nf. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\ng. License Elements means the license attributes listed in the name of a Creative\nCommons Public License. The License Elements of this Public License are Attribution,\nNonCommercial, and ShareAlike.\n\nh. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\ni. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\nj. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\nk. NonCommercial means not primarily intended for or directed towards commercial\nadvantage or monetary compensation. For purposes of this Public License, the\nexchange of the Licensed Material for other material subject to Copyright\nand Similar Rights by digital file-sharing or similar means is NonCommercial\nprovided there is no payment of monetary compensation in connection with the\nexchange.\n\nl. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\nm. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nn. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\nSection 2 – Scope.\n\n   a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\nA. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\npurposes only; and\n\nB. produce, reproduce, and Share Adapted Material for NonCommercial purposes\nonly.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n      3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n      5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. Additional offer from the Licensor – Adapted Material. Every recipient\nof Adapted Material from You automatically receives an offer from the Licensor\nto exercise the Licensed Rights in the Adapted Material under the conditions\nof the Adapter\'s License You apply.\n\nC. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n   b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties, including when the Licensed Material is used other\nthan for NonCommercial purposes.\n\nSection 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n   a. Attribution.\n\n1. If You Share the Licensed Material (including in modified form), You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n            ii. a copyright notice;\n\n            iii. a notice that refers to this Public License;\n\n            iv. a notice that refers to the disclaimer of warranties;\n\n            \n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\n2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n3. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\nb. ShareAlike.In addition to the conditions in Section 3(a), if You Share\nAdapted Material You produce, the following conditions also apply.\n\n1. The Adapter\'s License You apply must be a Creative Commons license with\nthe same License Elements, this version or later, or a BY-NC-SA Compatible\nLicense.\n\n2. You must include the text of, or the URI or hyperlink to, the Adapter\'s\nLicense You apply. You may satisfy this condition in any reasonable manner\nbased on the medium, means, and context in which You Share Adapted Material.\n\n3. You may not offer or impose any additional or different terms or conditions\non, or apply any Effective Technological Measures to, Adapted Material that\nrestrict exercise of the rights granted under the Adapter\'s License You apply.\n\nSection 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database for NonCommercial purposes only;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material, including for purposes of Section 3(b); and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\nSection 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\nSection 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n      2. upon express reinstatement by the Licensor.\n\nFor the avoidance of doubt, this Section 6(b) does not affect any right the\nLicensor may have to seek remedies for Your violations of this Public License.\n\nc. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n   d. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\nSection 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(151,'NCSA','University of Illinois/NCSA Open Source License\n\nCopyright (c) <Year> <Owner Organization Name> . All rights reserved.\n\nDeveloped by: \n\n<Name of Development Group>\n\n<Name of Institution>\n\n<URL for Development Group/Institution>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nwith the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimers.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimers in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the names of <Name of Development Group, Name of Institution> ,\nnor the names of its contributors may be used to endorse or promote products\nderived from this Software without specific prior written permission.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE CONTRIBUTORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(152,'HPND','Historical Permission Notice and Disclaimer\n\n<copyright notice>\n\nPermission to use, copy, modify and distribute this software and its documentation\nfor any purpose and without fee is hereby granted, provided that the above\ncopyright notice appear in all copies , and that both that the copyright notice\nand this permission notice appear in supporting documentation , and that the\nname of <copyright holder> <or related entities> not be used in advertising\nor publicity pertaining to distribution of the software without specific,\nwritten prior permission . <copyright holder> makes no representations about\nthe suitability of this software for any purpose. It is provided \"as is\" without\nexpress or implied warranty. <copyright holder> DISCLAIMS ALL WARRANTIES WITH\nREGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS . IN NO EVENT SHALL <copyright holder> BE LIABLE FOR ANY SPECIAL,\nINDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM\nLOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE\nOR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR\nPERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(153,'LGPL-2.1-only','GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the\nsuccessor of the GNU Library Public License, version 2, hence the version\nnumber 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public Licenses are intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially\ndesignated software packages--typically libraries--of the Free Software Foundation\nand other authors who decide to use it. You can use it too, but we suggest\nyou first think carefully about whether this license or the ordinary General\nPublic License is the better strategy to use in any particular case, based\non the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price.\nOur General Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish); that you receive source code or can get it if you want it; that you\ncan change the software and use pieces of it in new free programs; and that\nyou are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors\nto deny you these rights or to ask you to surrender these rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for\na fee, you must give the recipients all the rights that we gave you. You must\nmake sure that they, too, receive or can get the source code. If you link\nother code with the library, you must provide complete object files to the\nrecipients, so that they can relink them with the library after making changes\nto the library and recompiling it. And you must show them these terms so they\nknow their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library,\nand (2) we offer you this license, which gives you legal permission to copy,\ndistribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no\nwarranty for the free library. Also, if the library is modified by someone\nelse and passed on, the recipients should know that what they have is not\nthe original version, so that the original author\'s reputation will not be\naffected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free\nprogram. We wish to make sure that a company cannot effectively restrict the\nusers of a free program by obtaining a restrictive license from a patent holder.\nTherefore, we insist that any patent license obtained for a version of the\nlibrary must be consistent with the full freedom of use specified in this\nlicense.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU\nGeneral Public License. This license, the GNU Lesser General Public License,\napplies to certain designated libraries, and is quite different from the ordinary\nGeneral Public License. We use this license for certain libraries in order\nto permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared\nlibrary, the combination of the two is legally speaking a combined work, a\nderivative of the original library. The ordinary General Public License therefore\npermits such linking only if the entire combination fits its criteria of freedom.\nThe Lesser General Public License permits more lax criteria for linking other\ncode with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less\nto protect the user\'s freedom than the ordinary General Public License. It\nalso provides other free software developers Less of an advantage over competing\nnon-free programs. These disadvantages are the reason we use the ordinary\nGeneral Public License for many libraries. However, the Lesser license provides\nadvantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the\nwidest possible use of a certain library, so that it becomes a de-facto standard.\nTo achieve this, non-free programs must be allowed to use the library. A more\nfrequent case is that a free library does the same job as widely used non-free\nlibraries. In this case, there is little to gain by limiting the free library\nto free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs\nenables a greater number of people to use a large body of free software. For\nexample, permission to use the GNU C Library in non-free programs enables\nmany more people to use the whole GNU operating system, as well as its variant,\nthe GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users\'\nfreedom, it does ensure that the user of a program that is linked with the\nLibrary has the freedom and the wherewithal to run that program using a modified\nversion of the Library.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow. Pay close attention to the difference between a \"work based on the\nlibrary\" and a \"work that uses the library\". The former contains code derived\nfrom the library, whereas the latter must be combined with the library in\norder to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library or other program\nwhich contains a notice placed by the copyright holder or other authorized\nparty saying it may be distributed under the terms of this Lesser General\nPublic License (also called \"this License\"). Each licensee is addressed as\n\"you\".\n\nA \"library\" means a collection of software functions and/or data prepared\nso as to be conveniently linked with application programs (which use some\nof those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has\nbeen distributed under these terms. A \"work based on the Library\" means either\nthe Library or any derivative work under copyright law: that is to say, a\nwork containing the Library or a portion of it, either verbatim or with modifications\nand/or translated straightforwardly into another language. (Hereinafter, translation\nis included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications\nto it. For a library, complete source code means all the source code for all\nmodules it contains, plus any associated interface definition files, plus\nthe scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running a program\nusing the Library is not restricted, and output from such a program is covered\nonly if its contents constitute a work based on the Library (independent of\nthe use of the Library in a tool for writing it). Whether that is true depends\non what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library\'s complete source\ncode as you receive it, in any medium, provided that you conspicuously and\nappropriately publish on each copy an appropriate copyright notice and disclaimer\nof warranty; keep intact all the notices that refer to this License and to\nthe absence of any warranty; and distribute a copy of this License along with\nthe Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it,\nthus forming a work based on the Library, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\n      a) The modified work must itself be a software library.\n\nb) You must cause the files modified to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nc) You must cause the whole of the work to be licensed at no charge to all\nthird parties under the terms of this License.\n\nd) If a facility in the modified Library refers to a function or a table of\ndata to be supplied by an application program that uses the facility, other\nthan as an argument passed when the facility is invoked, then you must make\na good faith effort to ensure that, in the event an application does not supply\nsuch function or table, the facility still operates, and performs whatever\npart of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose\nthat is entirely well-defined independent of the application. Therefore, Subsection\n2d requires that any application-supplied function or table used by this function\nmust be optional: if the application does not supply it, the square root function\nmust still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Library, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Library, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Library.\n\nIn addition, mere aggregation of another work not based on the Library with\nthe Library (or with a work based on the Library) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License\ninstead of this License to a given copy of the Library. To do this, you must\nalter all the notices that refer to this License, so that they refer to the\nordinary GNU General Public License, version 2, instead of to this License.\n(If a newer version than version 2 of the ordinary GNU General Public License\nhas appeared, then you can specify that version instead if you wish.) Do not\nmake any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy,\nso the ordinary GNU General Public License applies to all subsequent copies\nand derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library\ninto a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of\nit, under Section 2) in object code or executable form under the terms of\nSections 1 and 2 above provided that you accompany it with the complete corresponding\nmachine-readable source code, which must be distributed under the terms of\nSections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated\nplace, then offering equivalent access to copy the source code from the same\nplace satisfies the requirement to distribute the source code, even though\nthird parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but\nis designed to work with the Library by being compiled or linked with it,\nis called a \"work that uses the Library\". Such a work, in isolation, is not\na derivative work of the Library, and therefore falls outside the scope of\nthis License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an\nexecutable that is a derivative of the Library (because it contains portions\nof the Library), rather than a \"work that uses the library\". The executable\nis therefore covered by this License. Section 6 states terms for distribution\nof such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that\nis part of the Library, the object code for the work may be a derivative work\nof the Library even though the source code is not. Whether this is true is\nespecially significant if the work can be linked without the Library, or if\nthe work is itself a library. The threshold for this to be true is not precisely\ndefined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts\nand accessors, and small macros and small inline functions (ten lines or less\nin length), then the use of the object file is unrestricted, regardless of\nwhether it is legally a derivative work. (Executables containing this object\ncode plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute\nthe object code for the work under the terms of Section 6. Any executables\ncontaining that work also fall under Section 6, whether or not they are linked\ndirectly with the Library itself.\n\n6. As an exception to the Sections above, you may also combine or link a \"work\nthat uses the Library\" with the Library to produce a work containing portions\nof the Library, and distribute that work under terms of your choice, provided\nthat the terms permit modification of the work for the customer\'s own use\nand reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library\nis used in it and that the Library and its use are covered by this License.\nYou must supply a copy of this License. If the work during execution displays\ncopyright notices, you must include the copyright notice for the Library among\nthem, as well as a reference directing the user to the copy of this License.\nAlso, you must do one of these things:\n\na) Accompany the work with the complete corresponding machine-readable source\ncode for the Library including whatever changes were used in the work (which\nmust be distributed under Sections 1 and 2 above); and, if the work is an\nexecutable linked with the Library, with the complete machine-readable \"work\nthat uses the Library\", as object code and/or source code, so that the user\ncan modify the Library and then relink to produce a modified executable containing\nthe modified Library. (It is understood that the user who changes the contents\nof definitions files in the Library will not necessarily be able to recompile\nthe application to use the modified definitions.)\n\nb) Use a suitable shared library mechanism for linking with the Library. A\nsuitable mechanism is one that (1) uses at run time a copy of the library\nalready present on the user\'s computer system, rather than copying library\nfunctions into the executable, and (2) will operate properly with a modified\nversion of the library, if the user installs one, as long as the modified\nversion is interface-compatible with the version that the work was made with.\n\nc) Accompany the work with a written offer, valid for at least three years,\nto give the same user the materials specified in Subsection 6a, above, for\na charge no more than the cost of performing this distribution.\n\nd) If distribution of the work is made by offering access to copy from a designated\nplace, offer equivalent access to copy the above specified materials from\nthe same place.\n\ne) Verify that the user has already received a copy of these materials or\nthat you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must\ninclude any data and utility programs needed for reproducing the executable\nfrom it. However, as a special exception, the materials to be distributed\nneed not include anything that is normally distributed (in either source or\nbinary form) with the major components (compiler, kernel, and so on) of the\noperating system on which the executable runs, unless that component itself\naccompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of\nother proprietary libraries that do not normally accompany the operating system.\nSuch a contradiction means you cannot use both them and the Library together\nin an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side\nin a single library together with other library facilities not covered by\nthis License, and distribute such a combined library, provided that the separate\ndistribution of the work based on the Library and of the other library facilities\nis otherwise permitted, and provided that you do these two things:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities. This must be distributed\nunder the terms of the Sections above.\n\nb) Give prominent notice with the combined library of the fact that part of\nit is a work based on the Library, and explaining where to find the accompanying\nuncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library\nexcept as expressly provided under this License. Any attempt otherwise to\ncopy, modify, sublicense, link with, or distribute the Library is void, and\nwill automatically terminate your rights under this License. However, parties\nwho have received copies, or rights, from you under this License will not\nhave their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nLibrary or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Library\n(or any work based on the Library), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute, link with or modify the Library subject to these terms\nand conditions. You may not impose any further restrictions on the recipients\'\nexercise of the rights granted herein. You are not responsible for enforcing\ncompliance by third parties with this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Library at all. For example, if a\npatent license would not permit royalty-free redistribution of the Library\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply,\nand the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Library under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of\nthe Lesser General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nLibrary does not specify a license version number, you may choose any version\never published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs\nwhose distribution conditions are incompatible with these, write to the author\nto ask for permission. For software which is copyrighted by the Free Software\nFoundation, write to the Free Software Foundation; we sometimes make exceptions\nfor this. Our decision will be guided by the two goals of preserving the free\nstatus of all derivatives of our free software and of promoting the sharing\nand reuse of software generally.\n\n   NO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible\nuse to the public, we recommend making it free software that everyone can\nredistribute and change. You can do so by permitting redistribution under\nthese terms (or, alternatively, under the terms of the ordinary General Public\nLicense).\n\nTo apply these terms, attach the following notices to the library. It is safest\nto attach them to the start of each source file to most effectively convey\nthe exclusion of warranty; and each file should have at least the \"copyright\"\nline and a pointer to where the full notice is found.\n\n< one line to give the library\'s name and an idea of what it does. >\n\nCopyright (C) < year > < name of author >\n\nThis library is free software; you can redistribute it and/or modify it under\nthe terms of the GNU Lesser General Public License as published by the Free\nSoftware Foundation; either version 2.1 of the License, or (at your option)\nany later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Lesser General Public License along\nwith this library; if not, write to the Free Software Foundation, Inc., 51\nFranklin Street, Fifth Floor, Boston, MA 02110-1301 USA Also add information\non how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the library, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob\' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n< signature of Ty Coon > , 1 April 1990\n\nTy Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(154,'Font-exception-2.0','As a special exception, if you create a document which uses this font, and embed this font or unaltered portions of this font into the document, this font does not by itself cause the resulting document to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the document might be covered by the GNU General Public License. If you modify this font, you may extend this exception to your version of the font, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(155,'MulanPSL-1.0','木兰宽松许可证, 第1版 木兰宽松许可证， 第1版\n\n2019年8月 http://license.coscl.org.cn/MulanPSL\n\n您对\"软件\"的复制、使用、修改及分发受木兰宽松许可证，第1版（\"本许可证\"）的如下条款的约束：\n\n   0. 定义\n\n   \"软件\"是指由\"贡献\"构成的许可在\"本许可证\"下的程序和相关文档的集合。\n\n   \"贡献者\"是指将受版权法保护的作品许可在\"本许可证\"下的自然人或\"法人实体\"。\n\n   \"法人实体\"是指提交贡献的机构及其\"关联实体\"。\n\n\"关联实体\"是指，对\"本许可证\"下的一方而言，控制、受控制或与其共同受控制的机构，此处的控制是指有受控方或共同受控方至少50%直接或间接的投票权、资金或其他有价证券。\n\n   \"贡献\"是指由任一\"贡献者\"许可在\"本许可证\"下的受版权法保护的作品。\n\n   1. 授予版权许可\n\n   每个\"贡献者\"根据\"本许可证\"授予您永久性的、全球性的、免费的、非独占的、不可撤销的版权许可，您可以复制、使用、修改、分发其\"贡献\"，不论修改与否。\n\n   2. 授予专利许可\n\n每个\"贡献者\"根据\"本许可证\"授予您永久性的、全球性的、免费的、非独占的、不可撤销的（根据本条规定撤销除外）专利许可，供您制造、委托制造、使用、许诺销售、销售、进口其\"贡献\"或以其他方式转移其\"贡献\"。前述专利许可仅限于\"贡献者\"现在或将来拥有或控制的其\"贡献\"本身或其\"贡献\"与许可\"贡献\"时的\"软件\"结合而将必然会侵犯的专利权利要求，不包括仅因您或他人修改\"贡献\"或其他结合而将必然会侵犯到的专利权利要求。如您或您的\"关联实体\"直接或间接地（包括通过代理、专利被许可人或受让人），就\"软件\"或其中的\"贡献\"对任何人发起专利侵权诉讼（包括反诉或交叉诉讼）或其他专利维权行动，指控其侵犯专利权，则\"本许可证\"授予您对\"软件\"的专利许可自您提起诉讼或发起维权行动之日终止。\n\n   3. 无商标许可\n\n   \"本许可证\"不提供对\"贡献者\"的商品名称、商标、服务标志或产品名称的商标许可，但您为满足第4条规定的声明义务而必须使用除外。\n\n   4. 分发限制\n\n您可以在任何媒介中将\"软件\"以源程序形式或可执行形式重新分发，不论修改与否，但您必须向接收者提供\"本许可证\"的副本，并保留\"软件\"中的版权、商标、专利及免责声明。\n\n   5. 免责声明与责任限制\n\n\"软件\"及其中的\"贡献\"在提供时不带任何明示或默示的担保。在任何情况下，\"贡献者\"或版权所有者不对任何人因使用\"软件\"或其中的\"贡献\"而引发的任何直接或间接损失承担责任，不论因何种原因导致或者基于何种法律理论,即使其曾被建议有此种损失的可能性。\n\n条款结束\n\n如何将木兰宽松许可证，第1版，应用到您的软件\n\n如果您希望将木兰宽松许可证，第1版，应用到您的新软件，为了方便接收者查阅，建议您完成如下三步：\n\n   1， 请您补充如下声明中的空白，包括软件名、软件的首次发表年份以及您作为版权人的名字；\n\n   2， 请您在软件包的一级目录下创建以\"LICENSE\"为名的文件，将整个许可证文本放入该文件中；\n\n   3， 请将如下声明文本放入每个源文件的头部注释中。\n\nCopyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan\nPSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details. Mulan Permissive Software License，Version\n1 Mulan Permissive Software License，Version 1 (Mulan PSL v1)\n\nAugust 2019 http://license.coscl.org.cn/MulanPSL\n\nYour reproduction, use, modification and distribution of the Software shall\nbe subject to Mulan PSL v1 (this License) with following terms and conditions:\n\n   0. Definition\n\nSoftware means the program and related documents which are comprised of those\nContribution and licensed under this License.\n\nContributor means the Individual or Legal Entity who licenses its copyrightable\nwork under this License.\n\n   Legal Entity means the entity making a Contribution and all its Affiliates.\n\nAffiliates means entities that control, or are controlled by, or are under\ncommon control with a party to this License, \'control\' means direct or indirect\nownership of at least fifty percent (50%) of the voting power, capital or\nother securities of controlled or commonly controlled entity.\n\nContribution means the copyrightable work licensed by a particular Contributor\nunder this License.\n\n   1. Grant of Copyright License\n\nSubject to the terms and conditions of this License, each Contributor hereby\ngrants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable\ncopyright license to reproduce, use, modify, or distribute its Contribution,\nwith modification or not.\n\n   2. Grant of Patent License\n\nSubject to the terms and conditions of this License, each Contributor hereby\ngrants to you a perpetual, worldwide, royalty-free, non-exclusive, irrevocable\n(except for revocation under this Section) patent license to make, have made,\nuse, offer for sale, sell, import or otherwise transfer its Contribution where\nsuch patent license is only limited to the patent claims owned or controlled\nby such Contributor now or in future which will be necessarily infringed by\nits Contribution alone, or by combination of the Contribution with the Software\nto which the Contribution was contributed, excluding of any patent claims\nsolely be infringed by your or others\' modification or other combinations.\nIf you or your Affiliates directly or indirectly (including through an agent,\npatent licensee or assignee）, institute patent litigation (including a cross\nclaim or counterclaim in a litigation) or other patent enforcement activities\nagainst any individual or entity by alleging that the Software or any Contribution\nin it infringes patents, then any patent license granted to you under this\nLicense for the Software shall terminate as of the date such litigation or\nactivity is filed or taken.\n\n   3. No Trademark License\n\nNo trademark license is granted to use the trade names, trademarks, service\nmarks, or product names of Contributor, except as required to fulfill notice\nrequirements in section 4.\n\n   4. Distribution Restriction\n\nYou may distribute the Software in any medium with or without modification,\nwhether in source or executable forms, provided that you provide recipients\nwith a copy of this License and retain copyright, patent, trademark and disclaimer\nstatements in the Software.\n\n   5. Disclaimer of Warranty and Limitation of Liability\n\nThe Software and Contribution in it are provided without warranties of any\nkind, either express or implied. In no event shall any Contributor or copyright\nholder be liable to you for any damages,including, but not limited to any\ndirect, or indirect, special or consequential damages arising from your use\nor inability to use the Software or the Contribution in it, no matter how\nit\'s caused or based on which legal theory, even if advised of the possibility\nof such damages.\n\nEnd of the Terms and Conditions\n\nHow to apply the Mulan Permissive Software License，Version 1 (Mulan PSL v1)\nto your software\n\nTo apply the Mulan PSL v1 to your work, for easy identification by recipients,\nyou are suggested to complete following three steps:\n\ni. Fill in the blanks in following statement, including insert your software\nname, the year of the first publication of your software, and your name identified\nas the copyright owner;\n\nii. Create a file named \"LICENSE\" which contains the whole context of this\nLicense in the first directory of your software package;\n\niii. Attach the statement to the appropriate annotated syntax at the beginning\nof each source file.\n\nCopyright (c) [2019] [name of copyright holder]\n\n[Software Name] is licensed under the Mulan PSL v1.\n\nYou can use this software according to the terms and conditions of the Mulan\nPSL v1.\n\nYou may obtain a copy of Mulan PSL v1 at:\n\nhttp://license.coscl.org.cn/MulanPSL\n\nTHIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND,\nEITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,\nMERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.\n\nSee the Mulan PSL v1 for more details.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(156,'BitTorrent-1.1','BitTorrent Open Source License\n\nVersion 1.1\n\nThis BitTorrent Open Source License (the \"License\") applies to the BitTorrent\nclient and related software products as well as any updates or maintenance\nreleases of that software (\"BitTorrent Products\") that are distributed by\nBitTorrent, Inc. (\"Licensor\"). Any BitTorrent Product licensed pursuant to\nthis License is a Licensed Product. Licensed Product, in its entirety, is\nprotected by U.S. copyright law. This License identifies the terms under which\nyou may use, copy, distribute or modify Licensed Product.\n\nPreamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope\nof this License. However, this Preamble is not a part of this license. The\nlegal effect of this License is dependent only upon the terms of the License\nand not this Preamble.\n\nThis License complies with the Open Source Definition and is derived from\nthe Jabber Open Source License 1.0 (the \"JOSL\"), which has been approved by\nOpen Source Initiative. Sections 4(c) and 4(f)(iii) from the JOSL have been\ndeleted.\n\nThis License provides that:\n\n1. You may use or give away the Licensed Product, alone or as a component\nof an aggregate software distribution containing programs from several different\nsources. No royalty or other fee is required.\n\n2. Both Source Code and executable versions of the Licensed Product, including\nModifications made by previous Contributors, are available for your use. (The\nterms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\"\nare defined in the License.)\n\n3. You are allowed to make Modifications to the Licensed Product, and you\ncan create Derivative Works from it. (The term \"Derivative Works\" is defined\nin the License.)\n\n4. By accepting the Licensed Product under the provisions of this License,\nyou agree that any Modifications you make to the Licensed Product and then\ndistribute are governed by the provisions of this License. In particular,\nyou must make the Source Code of your Modifications available to others free\nof charge and without a royalty.\n\n5. You may sell, accept donations or otherwise receive compensation for executable\nversions of a Licensed Product, without paying a royalty or other fee to the\nLicensor or any Contributor, provided that such executable versions contain\nyour or another Contributor\'s material Modifications. For the avoidance of\ndoubt, to the extent your executable version of a Licensed Product does not\ncontain your or another Contributor\'s material Modifications, you may not\nsell, accept donations or otherwise receive compensation for such executable.\n\nYou may use the Licensed Product for any purpose, but the Licensor is not\nproviding you any warranty whatsoever, nor is the Licensor accepting any liability\nin the event that the Licensed Product doesn\'t work properly or causes you\nany injury or damages.\n\n6. If you sublicense the Licensed Product or Derivative Works, you may charge\nfees for warranty or support, or for accepting indemnity or liability obligations\nto your customers. You cannot charge for, sell, accept donations or otherwise\nreceive compensation for the Source Code.\n\n7. If you assert any patent claims against the Licensor relating to the Licensed\nProduct, or if you breach any terms of the License, your rights to the Licensed\nProduct under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which\ncase the provisions of this License will apply to your Derivative Works just\nas they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved\nOpen Source license, or under a proprietary license of your choice. If you\nuse any license other than this License, however, you must continue to fulfill\nthe requirements of this License (including the provisions relating to publishing\nthe Source Code) for those portions of your Derivative Works that consist\nof the Licensed Product, including the files containing\n\nModifications.\n\nNew versions of this License may be published from time to time in connection\nwith new versions of a Licensed Product or otherwise. You may choose to continue\nto use the license terms in this version of the License for the Licensed Product\nthat was originally licensed hereunder, however, the new versions of this\nLicense will at all times apply to new versions of the Licensed Product released\nby Licensor after the release of the new version of this License. Only the\nLicensor has the right to change the License terms as they apply to the Licensed\nProduct.\n\nThis License relies on precise definitions for certain terms. Those terms\nare defined when they are first used, and the definitions are repeated for\nyour convenience in a Glossary at the end of the License.\n\nLicense Terms\n\n1. Grant of License From Licensor. Subject to the terms and conditions of\nthis License, Licensor hereby grants you a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute any\nModifications created by a Contributor or portions thereof, in both Source\nCode or as an executable program, either on an unmodified basis or as part\nof Derivative Works.\n\nb. Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Modifications or portions thereof or Derivative\nWorks thereof.\n\n2. Grant of License to Modifications From Contributor. \"Modifications\" means\nany additions to or deletions from the substance or structure of (i) a file\ncontaining a Licensed Product, or (ii) any new file that contains any part\nof a Licensed Product. Hereinafter in this License, the term \"Licensed Product\"\nshall include all previous Modifications that you receive from any Contributor.\nSubject to the terms and conditions of this License, By application of the\nprovisions in Section 4(a) below, each person or entity who created or contributed\nto the creation of, and distributed, a Modification (a \"Contributor\") hereby\ngrants you a world-wide, royalty-free, non-exclusive license, subject to third\nparty intellectual property claims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute any\nModifications created by such Contributor or portions thereof, in both Source\nCode or as an executable program, either on an unmodified basis or as part\nof Derivative Works.\n\nb. Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Modifications or portions thereof or Derivative\nWorks thereof.\n\n3. Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor or any Contributor except as expressly\nstated herein. No patent license is granted separate from the Licensed Product,\nfor code that you delete from the Licensed Product, or for combinations of\nthe Licensed Product with other software or hardware. No right is granted\nto the trademarks of Licensor or any Contributor even if such marks are included\nin the Licensed Product. Nothing in this License shall be interpreted to prohibit\nLicensor from licensing under different terms from this License any code that\nLicensor otherwise would have a right to license. As an express condition\nfor your use of the Licensed Product, you hereby agree that you will not,\nwithout the prior written consent of Licensor, use any trademarks, copyrights,\npatents, trade secrets or any other intellectual property of Licensor or any\nContributor except as expressly stated herein. For the avoidance of doubt\nand without limiting the foregoing, you hereby agree that you will not use\nor display any trademark of Licensor or any Contributor in any domain name,\ndirectory filepath, advertisement, link or other reference to you in any manner\nor in any media.\n\n   4. Your Obligations Regarding Distribution.\n\na. Application of This License to Your Modifications. As an express condition\nfor your use of the Licensed Product, you hereby agree that any Modifications\nthat you create or to which you contribute, and which you distribute, are\ngoverned by the terms of this License including, without limitation, Section\n2. Any Modifications that you create or to which you contribute may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 7. You must include a copy of this License with every copy of\nthe Modifications you distribute. You agree not to offer or impose any terms\non any Source Code or executable version of the Licensed Product or Modifications\nthat alter or restrict the applicable version of this License or the recipients\'\nrights hereunder. However, you may include an additional document offering\nthe additional rights described in Section 4(d).\n\nb. Availability of Source Code. You must make available, without charge, under\nthe terms of this License, the Source Code of the Licensed Product and any\nModifications that you distribute, either on the same media as you distribute\nany executable or other form of the Licensed Product, or via a mechanism generally\naccepted in the software development community for the electronic transfer\nof data (an \"Electronic Distribution Mechanism\"). The Source Code for any\nversion of Licensed Product or Modifications that you distribute must remain\navailable for as long as any executable or other form of the Licensed Product\nis distributed by you. You are responsible for ensuring that the Source Code\nversion remains available even if the Electronic Distribution Mechanism is\nmaintained by a third party.\n\n      c. Intellectual Property Matters.\n\ni. Third Party Claims. If you have knowledge that a license to a third party\'s\nintellectual property right is required to exercise the rights granted by\nthis License, you must include a text file with the Source Code distribution\ntitled \"LEGAL\" that describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after you make any Modifications available as described in\nSection 4(b), you shall promptly modify the LEGAL file in all copies you make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Licensed Product from you that new knowledge has been obtained.\n\nii. Contributor APIs. If your Modifications include an application programming\ninterface (\"API\") and you have knowledge of patent licenses that are reasonably\nnecessary to implement that API, you must also include this information in\nthe LEGAL file.\n\niii. Representations. You represent that, except as disclosed pursuant to\n4(c)(i) above, you believe that any Modifications you distribute are your\noriginal creations and that you have sufficient rights to grant the rights\nconveyed by this License.\n\nd. Required Notices. You must duplicate this License in any documentation\nyou provide along with the Source Code of any Modifications you create or\nto which you contribute, and which you distribute, wherever you describe recipients\'\nrights relating to Licensed Product. You must duplicate the notice contained\nin Exhibit A (the \"Notice\") in each file of the Source Code of any copy you\ndistribute of the Licensed Product. If you created a Modification, you may\nadd your name as a Contributor to the Notice. If it is not possible to put\nthe Notice in a particular Source Code file due to its structure, then you\nmust include such Notice in a location (such as a relevant directory file)\nwhere a user would be likely to look for such a notice. You may choose to\noffer, and charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Licensed Product. However, you may do so only\non your own behalf, and not on behalf of the Licensor or any Contributor.\nYou must make it clear that any such warranty, support, indemnity or liability\nobligation is offered by you alone, and you hereby agree to indemnify the\nLicensor and every Contributor for any liability incurred by the Licensor\nor such Contributor as a result of warranty, support, indemnity or liability\nterms you offer.\n\ne. Distribution of Executable Versions. You may distribute Licensed Product\nas an executable program under a license of your choice that may contain terms\ndifferent from this License provided (i) you have satisfied the requirements\nof Sections 4(a) through 4(d) for that distribution, (ii) you include a conspicuous\nnotice in the executable version, related documentation and collateral materials\nstating that the Source Code version of the Licensed Product is available\nunder the terms of this License, including a description of how and where\nyou have fulfilled the obligations of Section 4(b), and (iii) you make it\nclear that any terms that differ from this License are offered by you alone,\nnot by Licensor or any Contributor. You hereby agree to indemnify the Licensor\nand every Contributor for any liability incurred by Licensor or such Contributor\nas a result of any terms you offer.\n\nf. Distribution of Derivative Works. You may create Derivative Works (e.g.,\ncombinations of some or all of the Licensed Product with other code) and distribute\nthe Derivative Works as products under any other license you select, with\nthe proviso that the requirements of this License are fulfilled for those\nportions of the Derivative Works that consist of the Licensed Product or any\nModifications thereto.\n\ng. Compensation for Distribution of Executable Versions of Licensed Products,\nModifications or Derivative Works. Notwithstanding any provision of this License\nto the contrary, by distributing, selling, licensing, sublicensing or otherwise\nmaking available any Licensed Product, or Modification or Derivative Work\nthereof, you and Licensor hereby acknowledge and agree that you may sell,\nlicense or sublicense for a fee, accept donations or otherwise receive compensation\nfor executable versions of a Licensed Product, without paying a royalty or\nother fee to the Licensor or any other Contributor, provided that such executable\nversions (i) contain your or another Contributor\'s material Modifications,\nor (ii) are otherwise material Derivative Works. For purposes of this License,\nan executable version of the Licensed Product will be deemed to contain a\nmaterial Modification, or will otherwise be deemed a material Derivative Work,\nif (a) the Licensed Product is modified with your own or a third party\'s software\nprograms or other code, and/or the Licensed Product is combined with a number\nof your own or a third party\'s software programs or code, respectively, and\n(b) such software programs or code add or contribute material value, functionality\nor features to the License Product. For the avoidance of doubt, to the extent\nyour executable version of a Licensed Product does not contain your or another\nContributor\'s material Modifications or is otherwise not a material Derivative\nWork, in each case as contemplated herein, you may not sell, license or sublicense\nfor a fee, accept donations or otherwise receive compensation for such executable.\nAdditionally, without limitation of the foregoing and notwithstanding any\nprovision of this License to the contrary, you cannot charge for, sell, license\nor sublicense for a fee, accept donations or otherwise receive compensation\nfor the Source Code.\n\n5. Inability to Comply Due to Statute or Regulation. If it is impossible for\nyou to comply with any of the terms of this License with respect to some or\nall of the Licensed Product due to statute, judicial order, or regulation,\nthen you must (i) comply with the terms of this License to the maximum extent\npossible, (ii) cite the statute or regulation that prohibits you from adhering\nto the License, and (iii) describe the limitations and the code they affect.\nSuch description must be included in the LEGAL file described in Section 4(d),\nand must be included with all distributions of the Source Code. Except to\nthe extent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill at computer programming to be able\nto understand it.\n\n6. Application of This License. This License applies to code to which Licensor\nor Contributor has attached the Notice in Exhibit A, which is incorporated\nherein by this reference.\n\n   7. Versions of This License.\n\na. New Versions. Licensor may publish from time to time revised and/or new\nversions of the License.\n\nb. Effect of New Versions. Once Licensed Product has been published under\na particular version of the License, you may always continue to use it under\nthe terms of that version, provided that any such license be in full force\nand effect at the time, and has not been revoked or otherwise terminated.\nYou may also choose to use such Licensed Product under the terms of any subsequent\nversion (but not any prior version) of the License published by Licensor.\nNo one other than Licensor has the right to modify the terms applicable to\nLicensed Product created under this License.\n\nc. Derivative Works of this License. If you create or use a modified version\nof this License, which you may do only in order to apply it to software that\nis not already a Licensed Product under this License, you must rename your\nlicense so that it is not confusingly similar to this License, and must make\nit clear that your license contains terms that differ from this License. In\nso naming your license, you may not use any trademark of Licensor or any Contributor.\n\n8. Disclaimer of Warranty. LICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE\nON AN AS IS BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nINCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED PRODUCT IS FREE\nOF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\nTHE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED PRODUCT\nIS WITH YOU. SHOULD LICENSED PRODUCT PROVE DEFECTIVE IN ANY RESPECT, YOU (AND\nNOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN\nESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED PRODUCT IS AUTHORIZED HEREUNDER\nEXCEPT UNDER THIS DISCLAIMER.\n\n   9. Termination.\n\na. Automatic Termination Upon Breach. This license and the rights granted\nhereunder will terminate automatically if you fail to comply with the terms\nherein and fail to cure such breach within ten (10) days of being notified\nof the breach by the Licensor. For purposes of this provision, proof of delivery\nvia email to the address listed in the \'WHOIS\' database of the registrar for\nany website through which you distribute or market any Licensed Product, or\nto any alternate email address which you designate in writing to the Licensor,\nshall constitute sufficient notification. All sublicenses to the Licensed\nProduct that are properly granted shall survive any termination of this license\nso long as they continue to complye with the terms of this License. Provisions\nthat, by their nature, must remain in effect beyond the termination of this\nLicense, shall survive.\n\nb. Termination Upon Assertion of Patent Infringement. If you initiate litigation\nby asserting a patent infringement claim (excluding declaratory judgment actions)\nagainst Licensor or a Contributor (Licensor or Contributor against whom you\nfile such an action is referred to herein as Respondent) alleging that Licensed\nProduct directly or indirectly infringes any patent, then any and all rights\ngranted by such Respondent to you under Sections 1 or 2 of this License shall\nterminate prospectively upon sixty (60) days notice from Respondent (the \"Notice\nPeriod\") unless within that Notice Period you either agree in writing (i)\nto pay Respondent a mutually agreeable reasonably royalty for your past or\nfuture use of Licensed Product made by such Respondent, or (ii) withdraw your\nlitigation claim with respect to Licensed Product against such Respondent.\nIf within said Notice Period a reasonable royalty and payment arrangement\nare not mutually agreed upon in writing by the parties or the litigation claim\nis not withdrawn, the rights granted by Licensor to you under Sections 1 and\n2 automatically terminate at the expiration of said Notice Period.\n\nc. Reasonable Value of This License. If you assert a patent infringement claim\nagainst Respondent alleging that Licensed Product directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by said Respondent under Sections 1 and 2 shall\nbe taken into account in determining the amount or value of any payment or\nlicense.\n\nd. No Retroactive Effect of Termination. In the event of termination under\nSections 9(a) or 9(b) above, all end user license agreements (excluding licenses\nto distributors and resellers) that have been validly granted by you or any\ndistributor hereunder prior to termination shall survive termination.\n\n10. Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR,\nANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTYS NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n11. Responsibility for Claims. As between Licensor and Contributors, each\nparty is responsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License. You agree to work with\nLicensor and Contributors to distribute such responsibility on an equitable\nbasis. Nothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n12. U.S. Government End Users. The Licensed Product is a commercial item,\nas that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of commercial\ncomputer software and commercial computer software documentation, as such\nterms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R.\n12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\nEnd Users acquire Licensed Product with only those rights set forth herein.\n\n13. Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable. This License shall be governed by California law provisions\n(except to the extent applicable law, if any, provides otherwise), excluding\nits conflict-of-law provisions. You expressly agree that in any litigation\nrelating to this license the losing party shall be responsible for costs including,\nwithout limitation, court costs and reasonable attorneys fees and expenses.\nThe application of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any law or regulation that provides that\nthe language of a contract shall be construed against the drafter shall not\napply to this License.\n\n14. Definition of You in This License. You throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 7. For legal entities, you includes any\nentity that controls, is controlled by, is under common control with, or affiliated\nwith, you. For purposes of this definition, control means (i) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (ii) ownership of fifty percent (50%) or more\nof the outstanding shares, or (iii) beneficial ownership of such entity. You\nare responsible for advising any affiliated entity of the terms of this License,\nand that any rights or privileges derived from or obtained by way of this\nLicense are subject to the restrictions outlined herein.\n\n15. Glossary. All defined terms in this License that are used in more than\none Section of this License are repeated here, in alphabetical order, for\nthe convenience of the reader. The Section of this License in which each defined\nterm is first used is shown in parentheses.\n\nContributor: Each person or entity who created or contributed to the creation\nof, and distributed, a Modification. (See Section 2)\n\nDerivative Works: That term as used in this License is defined under U.S.\ncopyright law. (See Section 1(b))\n\nLicense: This BitTorrent Open Source License. (See first paragraph of License)\n\nLicensed Product: Any BitTorrent Product licensed pursuant to this License.\nThe term \"Licensed Product\" includes all previous Modifications from any Contributor\nthat you receive. (See first paragraph of License and Section 2)\n\n   Licensor: BitTorrent, Inc. (See first paragraph of License)\n\nModifications: Any additions to or deletions from the substance or structure\nof (i) a file containing Licensed\n\nProduct, or (ii) any new file that contains any part of Licensed Product.\n(See Section 2)\n\n   Notice: The notice contained in Exhibit A. (See Section 4(e))\n\nSource Code: The preferred form for making modifications to the Licensed Product,\nincluding all modules contained therein, plus any associated interface definition\nfiles, scripts used to control compilation and installation of an executable\nprogram, or a list of differential comparisons against the Source Code of\nthe Licensed Product. (See Section 1(a))\n\n   You: This term is defined in Section 14 of this License. EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy you\ndistribute of the Licensed Product or any hereto. Contributors to any Modifications\nmay add their own copyright notices to identify their own contributions.\n\nLicense:\n\nThe contents of this file are subject to the BitTorrent Open Source License\nVersion 1.1 (the License). You may not copy or use this file, in either source\ncode or executable form, except in compliance with the License. You may obtain\na copy of the License at http://www.bittorrent.com/license/.\n\nSoftware distributed under the License is distributed on an AS IS basis, WITHOUT\nWARRANTY OF ANY KIND, either express or implied. See the License for the specific\nlanguage governing rights and limitations under the License.\n\nBitTorrent, Inc.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(157,'Nokia','Nokia Open Source License (NOKOS License)\n\nVersion 1.0a 1. DEFINITIONS.\n\n\"Affiliates\" of a party shall mean an entity\n\n   a) which is directly or indirectly controlling such party;\n\nb) which is under the same direct or indirect ownership or control as such\nparty; or\n\n   c) which is directly or indirectly owned or controlled by such party.\n\nFor these purposes, an entity shall be treated as being controlled by another\nif that other entity has fifty percent (50%) or more of the votes in such\nentity, is able to direct its affairs and/or to control the composition of\nits board of directors or equivalent body.\n\n\"Commercial Use\" shall mean distribution or otherwise making the Covered Software\navailable to a third party.\n\n\"Contributor\" shall mean each entity that creates or contributes to the creation\nof Modifications.\n\n\"Contributor Version\" shall mean in case of any Contributor the combination\nof the Original Software, prior Modifications used by a Contributor, and the\nModifications made by that particular Contributor and in case of Nokia in\naddition the Original Software in any form, including the form as Exceutable.\n\n\"Covered Software\" shall mean the Original Software or Modifications or the\ncombination of the Original Software and Modifications, in each case including\nportions thereof.\n\n\"Electronic Distribution Mechanism\" shall mean a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n\"Executable\" shall mean Covered Software in any form other than Source Code.\n\n\"Nokia\" shall mean Nokia Corporation and its Affiliates.\n\n\"Larger Work\" shall mean a work, which combines Covered Software or portions\nthereof with code not governed by the terms of this License.\n\n\"License\" shall mean this document.\n\n\"Licensable\" shall mean having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n\"Modifications\" shall mean any addition to or deletion from the substance\nor structure of either the Original Software or any previous Modifications.\nWhen Covered Software is released as a series of files, a Modification is:\n\na) Any addition to or deletion from the contents of a file containing Original\nSoftware or previous Modifications.\n\nb) Any new file that contains any part of the Original Software or previous\nModifications.\n\n\"Original Software\" shall mean the Source Code of computer software code which\nis described in the Source Code notice required by Exhibit A as Original Software,\nand which, at the time of its release under this License is not already Covered\nSoftware governed by this License.\n\n\"Patent Claims\" shall mean any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n\"Source Code\" shall mean the preferred form of the Covered Software for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Software or another well known, available Covered Software of the\nContributor\'s choice. The Source Code can be in a compressed or archival form,\nprovided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n\"You\" (or \"Your\") shall mean an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nAffiliates of such entity. 2. SOURCE CODE LICENSE.\n\n   2.1 Nokia Grant.\n\nSubject to the terms of this License, Nokia hereby grants You a world-wide,\nroyalty-free, non-exclusive license, subject to third party intellectual property\nclaims:\n\na) under copyrights Licensable by Nokia to use, reproduce, modify, display,\nperform, sublicense and distribute the Original Software (or portions thereof)\nwith or without Modifications, and/or as part of a Larger Work;\n\nb) and under Patents Claims necessarily infringed by the making, using or\nselling of Original Software, to make, have made, use, practice, sell, and\noffer for sale, and/or otherwise dispose of the Original Software (or portions\nthereof).\n\nc) The licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Nokia first distributes Original Software under the terms of this License.\n\nd) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Software; 2) separate from the\nOriginal Software; or 3) for infringements caused by: i) the modification\nof the Original Software or ii) the combination of the Original Software with\nother software or devices.\n\n   2.2 Contributor Grant.\n\nSubject to the terms of this License and subject to third party intellectual\nproperty claims, each Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license\n\na) under copyrights Licensable by Contributor, to use, reproduce, modify,\ndisplay, perform, sublicense and distribute the Modifications created by such\nContributor (or portions thereof) either on an unmodified basis, with other\nModifications, as Covered Software and/or as part of a Larger Work; and\n\nb) under Patent Claims necessarily infringed by the making, using, or selling\nof Modifications made by that Contributor either alone and/or in combination\nwith its Contributor Version (or portions of such combination), to make, use,\nsell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications\nmade by that Contributor (or portions thereof); and 2) the combination of\nModifications made by that Contributor with its Contributor Version (or portions\nof such combination).\n\nc) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Software.\n\nd) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Software in the absence of Modifications made by that Contributor.\n3. DISTRIBUTION OBLIGATIONS.\n\n   3.1 Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Software may be distributed only under the\nterms of this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n   3.2 Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made\navailable in Source Code form under the terms of this License either on the\nsame media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n   3.3 Description of Modifications.\n\nYou must cause all Covered Software to which You contribute to contain a file\ndocumenting the changes You made to create that Covered Software and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Software provided by Nokia\nand including the name of Nokia in (a) the Source Code, and (b) in any notice\nin an Executable version or related documentation in which You describe the\norigin or ownership of the Covered Software.\n\n   3.4 Intellectual Property Matters\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"LEGAL\" which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nSoftware that new knowledge has been obtained.\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has knowledge of patent licenses which\nare reasonably necessary to implement that API, Contributor must also include\nthis information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n   3.5 Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code.\nIf it is not possible to put such notice in a particular Source Code file\ndue to its structure, then You must include such notice in a location (such\nas a relevant directory) where a user would be likely to look for such a notice.\nIf You created one or more Modification(s) You may add your name as a Contributor\nto the notice described in Exhibit A. You must also duplicate this License\nin any documentation for the Source Code where You describe recipients\' rights\nor ownership rights relating to Covered Software. You may choose to offer,\nand to charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Covered Software. However, You may do so only\non Your own behalf, and not on behalf of Nokia or any Contributor. You must\nmake it absolutely clear that any such warranty, support, indemnity or liability\nobligation is offered by You alone, and You hereby agree to indemnify Nokia\nand every Contributor for any liability incurred by Nokia or such Contributor\nas a result of warranty, support, indemnity or liability terms You offer.\n\n   3.6 Distribution of Executable Versions.\n\nYou may distribute Covered Software in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Software, and if You include\na notice stating that the Source Code version of the Covered Software is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You describe recipients\' rights relating to the Covered\nSoftware. You may distribute the Executable version of Covered Software or\nownership rights under a license of Your choice, which may contain terms different\nfrom this License, provided that You are in compliance with the terms of this\nLicense and that the license for the Executable version does not attempt to\nlimit or alter the recipient\'s rights in the Source Code version from the\nrights set forth in this License. If You distribute the Executable version\nunder a different license You must make it absolutely clear that any terms\nwhich differ from this License are offered by You alone, not by Nokia or any\nContributor. You hereby agree to indemnify Nokia and every Contributor for\nany liability incurred by Nokia or such Contributor as a result of any such\nterms You offer.\n\n   3.7 Larger Works.\n\nYou may create a Larger Work by combining Covered Software with other software\nnot governed by the terms of this License and distribute the Larger Work as\na single product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Software. 4. INABILITY TO COMPLY DUE\nTO STATUTE OR REGULATION.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Software due to statute, judicial\norder, or regulation then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\n\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it. 5. APPLICATION OF THIS LICENSE.\n\nThis License applies to code to which Nokia has attached the notice in Exhibit\nA and to related Covered Software. 6. VERSIONS OF THE LICENSE.\n\n   6.1 New Versions.\n\nNokia may publish revised and/or new versions of the License from time to\ntime. Each version will be given a distinguishing version number.\n\n   6.2 Effect of New Versions.\n\nOnce Covered Software has been published under a particular version of the\nLicense, You may always continue to use it under the terms of that version.\nYou may also choose to use such Covered Software under the terms of any subsequent\nversion of the License published by Nokia. No one other than Nokia has the\nright to modify the terms applicable to Covered Software created under this\nLicense. 7. DISCLAIMER OF WARRANTY.\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT\nFOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE\nPROVE DEFECTIVE IN ANY RESPECT, YOU (NOT NOKIA, ITS LICENSORS OR AFFILIATES\nOR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR\nOR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF\nTHIS LICENSE. NO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT\nUNDER THIS DISCLAIMER. 8. TERMINATION.\n\n8.1 This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Software\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2 If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Nokia or a Contributor (Nokia or Contributor\nagainst whom You file such action is referred to as \"Participant\") alleging\nthat:\n\na) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\nb) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3 If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user\nlicense agreements (excluding distributors and resellers) which have been\nvalidly granted by You or any distributor hereunder prior to termination shall\nsurvive termination. 9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, NOKIA, ANY OTHER CONTRIBUTOR,\nOR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES,\nBE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL\nDAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF\nGOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER\nCOMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED\nOF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\nAPPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\'S\nNEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS\nDO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,\nBUT MAY ALLOW LIABILITY TO BE LIMITED; IN SUCH CASES, A PARTY\'s, ITS EMPLOYEES,\nLICENSORS OR AFFILIATES\' LIABILITY SHALL BE LIMITED TO U.S. $50. Nothing contained\nin this License shall prejudice the statutory rights of any party dealing\nas a consumer. 10. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nAll rights in the Covered Software not expressly granted under this License\nare reserved. Nothing in this License shall grant You any rights to use any\nof the trademarks of Nokia or any of its Affiliates, even if any of such trademarks\nare included in any part of Covered Software and/or documentation to it.\n\nThis License is governed by the laws of Finland excluding its conflict-of-law\nprovisions. All disputes arising from or relating to this Agreement shall\nbe settled by a single arbitrator appointed by the Central Chamber of Commerce\nof Finland. The arbitration procedure shall take place in Helsinki, Finland\nin the English language. If any part of this Agreement is found void and unenforceable,\nit will not affect the validity of the balance of the Agreement, which shall\nremain valid and enforceable according to its terms. 11. RESPONSIBILITY FOR\nCLAIMS.\n\nAs between Nokia and the Contributors, each party is responsible for claims\nand damages arising, directly or indirectly, out of its utilization of rights\nunder this License and You agree to work with Nokia and Contributors to distribute\nsuch responsibility on an equitable basis. Nothing herein is intended or shall\nbe deemed to constitute any admission of liability. EXHIBIT A\n\nThe contents of this file are subject to the NOKOS License Version 1.0 (the\n\"License\"); you may not use this file except in compliance with the License.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Software is\n\n______________________________________.\n\nCopyright © <year> Nokia and others. All Rights Reserved.\n\nContributor(s): ______________________________________.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(158,'RSCPL','Ricoh Source Code Public License\n\nVersion 1.0\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Electronic Distribution Mechanism\" means a website or any other mechanism\ngenerally accepted in the software development community for the electronic\ntransfer of data.\n\n1.4. \"Executable Code\" means Governed Code in any form other than Source Code.\n\n1.5. \"Governed Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.6. \"Larger Work\" means a work which combines Governed Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.7. \"Licensable\" means the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nGoverned Code is released as a series of files, a Modification is:\n\n(a) Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\n(b) Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means the \"Platform for Information Applications\" Source\nCode as released under this License by RSV.\n\n1.11 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by the grantor of a license thereto.\n\n1.12. \"RSV\" means Ricoh Silicon Valley, Inc., a California corporation with\noffices at 2882 Sand Hill Road, Suite 115, Menlo Park, CA 94025-7022.\n\n1.13. \"Source Code\" means the preferred form of the Governed Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof Executable Code, or a list of source code differential comparisons against\neither the Original Code or another well known, available Governed Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.14. \"You\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. Grant from RSV. RSV hereby grants You a worldwide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, create derivative works of, display, perform,\nsublicense and distribute the Original Code (or portions thereof) with or\nwithout Modifications, or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n2.2. Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, create derivative works of, display, perform,\nsublicense and distribute the Modifications created by such Contributor (or\nportions thereof) either on an unmodified basis, with other Modifications,\nas Governed Code or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: (i) Modifications made by that Contributor\n(or portions thereof); and (ii) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Governed Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable Code version\nor via an Electronic Distribution Mechanism to anyone to whom you made an\nExecutable Code version available; and if made available via an Electronic\nDistribution Mechanism, must remain available for at least twelve (12) months\nafter the date it initially became available, or at least six (6) months after\na subsequent version of that particular Modification has been made available\nto such recipients. You are responsible for ensuring that the Source Code\nversion remains available even if the Electronic Distribution Mechanism is\nmaintained by a third party.\n\n3.3. Description of Modifications. You must cause all Governed Code to which\nyou contribute to contain a file documenting the changes You made to create\nthat Governed Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by RSV and including the name of RSV in (a) the Source Code,\nand (b) in any notice in an Executable Code version or related documentation\nin which You describe the origin or ownership of the Governed Code.\n\n      3.4. Intellectual Property Matters.\n\n3.4.1. Third Party Claims. If You have knowledge that a party claims an intellectual\nproperty right in particular functionality or code (or its utilization under\nthis License), you must include a text file with the source code distribution\ntitled \"LEGAL\" which describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after You make Your Modification available as described in\nSection 3.2, You shall promptly modify the LEGAL file in all copies You make\navailable thereafter and shall take other steps (such as notifying RSV and\nappropriate mailing lists or newsgroups) reasonably calculated to inform those\nwho received the Governed Code that new knowledge has been obtained. In the\nevent that You are a Contributor, You represent that, except as disclosed\nin the LEGAL file, your Modifications are your original creations and, to\nthe best of your knowledge, no third party has any claim (including but not\nlimited to intellectual property claims) relating to your Modifications. You\nrepresent that the LEGAL file includes complete details of any license or\nother restriction associated with any part of your Modifications.\n\n3.4.2. Contributor APIs. If Your Modification is an application programming\ninterface and You own or control patents which are reasonably necessary to\nimplement that API, you must also include this information in the LEGAL file.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code, and this License in any documentation for the Source\nCode, where You describe recipients\' rights relating to Governed Code. If\nYou created one or more Modification(s), You may add your name as a Contributor\nto the notice described in Exhibit A. If it is not possible to put such notice\nin a particular Source Code file due to its structure, then you must include\nsuch notice in a location (such as a relevant directory file) where a user\nwould be likely to look for such a notice. You may choose to offer, and to\ncharge a fee for, warranty, support, indemnity or liability obligations to\none or more recipients of Governed Code. However, You may do so only on Your\nown behalf, and not on behalf of RSV or any Contributor. You must make it\nabsolutely clear than any such warranty, support, indemnity or liability obligation\nis offered by You alone, and You hereby agree to indemnify RSV and every Contributor\nfor any liability incurred by RSV or such Contributor as a result of warranty,\nsupport, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Code Versions. You may distribute Governed\nCode in Executable Code form only if the requirements of Section 3.1-3.5 have\nbeen met for that Governed Code, and if You include a prominent notice stating\nthat the Source Code version of the Governed Code is available under the terms\nof this License, including a description of how and where You have fulfilled\nthe obligations of Section 3.2. The notice must be conspicuously included\nin any notice in an Executable Code version, related documentation or collateral\nin which You describe recipients\' rights relating to the Governed Code. You\nmay distribute the Executable Code version of Governed Code under a license\nof Your choice, which may contain terms different from this License, provided\nthat You are in compliance with the terms of this License and that the license\nfor the Executable Code version does not attempt to limit or alter the recipient\'s\nrights in the Source Code version from the rights set forth in this License.\nIf You distribute the Executable Code version under a different license You\nmust make it absolutely clear that any terms which differ from this License\nare offered by You alone, not by RSV or any Contributor. You hereby agree\nto indemnify RSV and every Contributor for any liability incurred by RSV or\nsuch Contributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Governed Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Governed Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of theterms of this License\nwith respect to some or all of the Governed Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) describe the limitations and the code they affect. Such\ndescription must be included in the LEGAL file described in Section 3.4 and\nmust be included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Trademark Usage.\n\n5.1. Advertising Materials. All advertising materials mentioning features\nor use of the Governed Code must display the following acknowledgement: \"This\nproduct includes software developed by Ricoh Silicon Valley, Inc.\"\n\n5.2. Endorsements. The names \"Ricoh,\" \"Ricoh Silicon Valley,\" and \"RSV\" must\nnot be used to endorse or promote Contributor Versions or Larger Works without\nthe prior written permission of RSV.\n\n5.3. Product Names. Contributor Versions and Larger Works may not be called\n\"Ricoh\" nor may the word \"Ricoh\" appear in their names without the prior written\npermission of RSV.\n\n   6. Versions of the License.\n\n6.1. New Versions. RSV may publish revised and/or new versions of the License\nfrom time to time. Each version will be given a distinguishing version number.\n\n6.2. Effect of New Versions. Once Governed Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Governed Code under\nthe terms of any subsequent version of the License published by RSV. No one\nother than RSV has the right to modify the terms applicable to Governed Code\ncreated under this License.\n\n   7. Disclaimer of Warranty.\n\nGOVERNED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE GOVERNED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE GOVERNED CODE IS WITH YOU. SHOULD ANY GOVERNED CODE\nPROVE DEFECTIVE IN ANY RESPECT, YOU (NOT RSV OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY GOVERNED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. Termination.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Governed Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate patent infringement litigation against RSV or a Contributor\n(RSV or the Contributor against whom You file such action is referred to as\n\"Participant\") alleging that:\n\n(a) such Participant\'s Original Code or Contributor Version directly or indirectly\ninfringes any patent, then any and all rights granted by such Participant\nto You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice\nfrom Participant terminate prospectively, unless if within 60 days after receipt\nof notice You either: (i) agree in writing to pay Participant a mutually agreeable\nreasonable royalty for Your past and future use of the Original Code or the\nModifications made by such Participant, or (ii) withdraw Your litigation claim\nwith respect to the Original Code or the Contributor Version against such\nParticipant. If within 60 days of notice, a reasonable royalty and payment\narrangement are not mutually agreed upon in writing by the parties or the\nlitigation claim is not withdrawn, the rights granted by Participant to You\nunder Sections 2.1 and/or 2.2 automatically terminate at the expiration of\nthe 60 day notice period specified above.\n\n(b) any software, hardware, or device provided to You by the Participant,\nother than such Participant\'s Original Code or Contributor Version, directly\nor indirectly infringes any patent, then any rights granted to You by such\nParticipant under Sections 2.1(b) and 2.2(b) are revoked effective as of the\ndate You first made, used, sold, distributed, or had made, Original Code or\nthe Modifications made by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Original Code or Contributor Version directly or indirectly\ninfringes any patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. Limitation of Liability.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL RSV, ANY CONTRIBUTOR, OR ANY DISTRIBUTOR\nOF GOVERNED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU\nOR ANY OTHER PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL\nDAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF\nGOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER\nCOMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED\nOF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\nAPPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\'S\nNEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS\nDO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES,\nSO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU. TO THE EXTENT THAT\nANY EXCLUSION OF DAMAGES ABOVE IS NOT VALID, YOU AGREE THAT IN NO EVENT WILL\nRSV \' S LIABILITY UNDER OR RELATED TO THIS AGREEMENT EXCEED FIVE THOUSAND\nDOLLARS ($5,000). THE GOVERNED CODE IS NOT INTENDED FOR USE IN CONNECTION\nWITH ANY NUCLER, AVIATION, MASS TRANSIT OR MEDICAL APPLICATION OR ANY OTHER\nINHERENTLY DANGEROUS APPLICATION THAT COULD RESULT IN DEATH, PERSONAL INJURY,\nCATASTROPHIC DAMAGE OR MASS DESTRUCTION, AND YOU AGREE THAT NEITHER RSV NOR\nANY CONTRIBUTOR SHALL HAVE ANY LIABILITY OF ANY NATURE AS A RESULT OF ANY\nSUCH USE OF THE GOVERNED CODE.\n\n   10. U.S. Government End Users.\n\nThe Governed Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Governed Code\nwith only those rights set forth herein.\n\n   11. Miscellaneous.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. The parties submit to personal jurisdiction in California and\nfurther agree that any cause of action arising under or related to this Agreement\nshall be brought in the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California. The losing party shall\nbe responsible for costs, including without limitation, court costs and reasonable\nattorney \' s fees and expenses. Notwithstanding anything to the contrary herein,\nRSV may seek injunctive relief related to a breach of this Agreement in any\ncourt of competent jurisdiction. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. Responsibility for Claims.\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Governed Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute responsibility on an equitable basis. EXHIBIT A\n\n\"The contents of this file are subject to the Ricoh Source Code Public License\nVersion 1.0 (the \"License\"); you may not use this file except in compliance\nwith the License. You may obtain a copy of the License at http://www.risource.org/RPL\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThis code was initially developed by Ricoh Silicon Valley, Inc. Portions created\nby Ricoh Silicon Valley, Inc. are Copyright (C) 1995-1999. All Rights Reserved.\n\nContributor(s): ______________________________________.\"\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(159,'EPL-1.0','Eclipse Public License - v 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE PUBLIC\nLICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM\nCONSTITUTES RECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT.\n\n   1. DEFINITIONS\n\n   \"Contribution\" means:\n\na) in the case of the initial Contributor, the initial code and documentation\ndistributed under this Agreement, and\n\n      b) in the case of each subsequent Contributor:\n\n         i) changes to the Program, and\n\n         ii) additions to the Program;\n\nwhere such changes and/or additions to the Program originate from and are\ndistributed by that particular Contributor. A Contribution \'originates\' from\na Contributor if it was added to the Program by such Contributor itself or\nanyone acting on such Contributor\'s behalf. Contributions do not include additions\nto the Program which: (i) are separate modules of software distributed in\nconjunction with the Program under their own license agreement, and (ii) are\nnot derivative works of the Program.\n\n   \"Contributor\" means any person or entity that distributes the Program.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Program\" means the Contributions distributed in accordance with this Agreement.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including\nall Contributors.\n\n   2. GRANT OF RIGHTS\n\na) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form.\n\nb) Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in source code and object code form.\nThis patent license shall apply to the combination of the Contribution and\nthe Program if, at the time the Contribution is added by the Contributor,\nsuch addition of the Contribution causes such combination to be covered by\nthe Licensed Patents. The patent license shall not apply to any other combinations\nwhich include the Contribution. No hardware per se is licensed hereunder.\n\nc) Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, no assurances are provided by any Contributor\nthat the Program does not infringe the patent or other intellectual property\nrights of any other entity. Each Contributor disclaims any liability to Recipient\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, each Recipient hereby assumes sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow Recipient to distribute\nthe Program, it is Recipient\'s responsibility to acquire that license before\ndistributing the Program.\n\nd) Each Contributor represents that to its knowledge it has sufficient copyright\nrights in its Contribution, if any, to grant the copyright license set forth\nin this Agreement.\n\n   3. REQUIREMENTS\n\nA Contributor may choose to distribute the Program in object code form under\nits own license agreement, provided that:\n\n      a) it complies with the terms and conditions of this Agreement; and\n\n      b) its license agreement:\n\ni) effectively disclaims on behalf of all Contributors all warranties and\nconditions, express and implied, including warranties or conditions of title\nand non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nii) effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits;\n\niii) states that any provisions which differ from this Agreement are offered\nby that Contributor alone and not by any other party; and\n\niv) states that source code for the Program is available from such Contributor,\nand informs licensees how to obtain it in a reasonable manner on or through\na medium customarily used for software exchange.\n\n   When the Program is made available in source code form:\n\n      a) it must be made available under this Agreement; and\n\nb) a copy of this Agreement must be included with each copy of the Program.\n\nContributors may not remove or alter any copyright notices contained within\nthe Program.\n\nEach Contributor must identify itself as the originator of its Contribution,\nif any, in a manner that reasonably allows subsequent Recipients to identify\nthe originator of the Contribution.\n\n   4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Contributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for other Contributors.\nTherefore, if a Contributor includes the Program in a commercial product offering,\nsuch Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify\nevery other Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Contributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nContributor in writing of such claim, and b) allow the Commercial Contributor\nto control, and cooperate with the Commercial Contributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product\noffering, Product X. That Contributor is then a Commercial Contributor. If\nthat Commercial Contributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nContributor\'s responsibility alone. Under this section, the Commercial Contributor\nwould have to defend claims against the other Contributors related to those\nperformance claims and warranties, and if a court requires any other Contributor\nto pay any damages as a result, the Commercial Contributor must pay those\ndamages.\n\n   5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\nOR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF\nTITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n   6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY\nCONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION\nLOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against any entity (including a\ncross-claim or counterclaim in a lawsuit) alleging that the Program itself\n(excluding combinations of the Program with other software or hardware) infringes\nsuch Recipient\'s patent(s), then such Recipient\'s rights granted under Section\n2(b) shall terminate as of the date such litigation is filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\nEveryone is permitted to copy and distribute copies of this Agreement, but\nin order to avoid inconsistency the Agreement is copyrighted and may only\nbe modified in the following manner. The Agreement Steward reserves the right\nto publish new versions (including revisions) of this Agreement from time\nto time. No one other than the Agreement Steward has the right to modify this\nAgreement. The Eclipse Foundation is the initial Agreement Steward. The Eclipse\nFoundation may assign the responsibility to serve as the Agreement Steward\nto a suitable separate entity. Each new version of the Agreement will be given\na distinguishing version number. The Program (including Contributions) may\nalways be distributed subject to the version of the Agreement under which\nit was received. In addition, after a new version of the Agreement is published,\nContributor may elect to distribute the Program (including its Contributions)\nunder the new version. Except as expressly stated in Sections 2(a) and 2(b)\nabove, Recipient receives no rights or licenses to the intellectual property\nof any Contributor under this Agreement, whether expressly, by implication,\nestoppel or otherwise. All rights in the Program not expressly granted under\nthis Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual\nproperty laws of the United States of America. No party to this Agreement\nwill bring a legal action under this Agreement more than one year after the\ncause of action arose. Each party waives its rights to a jury trial in any\nresulting litigation.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(160,'Artistic-1.0-cl8','The Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as ftp.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C or perl subroutines supplied by you and linked into this Package shall\nnot be considered part of this Package.\n\n8.Aggregation of this Package with a commercial distribution is always permitted\nprovided that the use of this Package is embedded; that is, when no overt\nattempt is made to make this Package\'s interfaces visible to the end user\nof the commercial distribution. Such use shall not be construed as a distribution\nof this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(161,'LPPL-1.3c','The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3c 2008-05-04\n\nCopyright 1999 2002-2008 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document,\nbut modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which\nthe LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and\nwhich you wish to distribute. This license may be particularly suitable if\nyour work is TeX-related (such as a LaTeX package), but it is written in such\na way that you can use it even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\', below,\ngives instructions, examples, and recommendations for authors who are considering\ndistributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified,\nas well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom\nto make and distribute modified versions of your work that conform with whatever\ntechnical specifications you wish while maintaining the availability, integrity,\nand reliability of that work. If you do not see how to achieve your goal while\nmeeting these conditions, then read the document `cfgguide.tex\' and `modguide.tex\'\nin the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n\n===========\n\nIn this license document the following terms are used:\n\n`Work\' Any work being distributed under this License. `Derived Work\' Any work\nthat under any applicable law is derived from the Work.\n\n`Modification\' Any procedure that produces a Derived Work under any applicable\nlaw -- for example, the production of a file containing an original file associated\nwith the Work or a significant portion of such a file, either verbatim or\nwith modifications and/or translated into another language.\n\n`Modify\' To apply any procedure that produces a Derived Work under any applicable\nlaw. `Distribution\' Making copies of the Work available from one person to\nanother, in whole or in part. Distribution includes (but is not limited to)\nmaking any electronic components of the Work accessible by file transfer protocols\nsuch as FTP or HTTP or by shared file systems such as Sun\'s Network File System\n(NFS).\n\n`Compiled Work\' A version of the Work that has been processed into a form\nwhere it is directly usable on a computer system. This processing may include\nusing installation facilities provided by the Work, transformations of the\nWork, copying of components of the Work, or other activities. Note that modification\nof any installation facilities provided by the Work constitutes modification\nof the Work.\n\n`Current Maintainer\' A person or persons nominated as such within the Work.\nIf there is no such explicit nomination then it is the `Copyright Holder\'\nunder any applicable law.\n\n`Base Interpreter\' A program or process that is normally needed for running\nor interpreting a part or the whole of the Work.\n\nA Base Interpreter may depend on external components but these are not considered\npart of the Base Interpreter provided that each external component clearly\nidentifies itself whenever it is used interactively. Unless explicitly specified\nwhen applying the license to the Work, the only applicable Base Interpreter\nis a `LaTeX-Format\' or in the case of files belonging to the `LaTeX-format\'\na program implementing the `TeX language\'.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\n1. Activities other than distribution and/or modification of the Work are\nnot covered by this license; they are outside its scope. In particular, the\nact of running the Work is not restricted and no requirements are made concerning\nany offers of support for the Work.\n\n2. You may distribute a complete, unmodified copy of the Work as you received\nit. Distribution of only part of the Work is considered modification of the\nWork, and no right to distribute such a Derived Work may be assumed under\nthe terms of this clause.\n\n3. You may distribute a Compiled Work that has been generated from a complete,\nunmodified copy of the Work as distributed under Clause 2 above, as long as\nthat Compiled Work is distributed in such a way that the recipients may install\nthe Compiled Work on their system exactly as it would have been installed\nif they generated a Compiled Work directly from the Work.\n\n4. If you are the Current Maintainer of the Work, you may, without restriction,\nmodify the Work, thus creating a Derived Work. You may also distribute the\nDerived Work without restriction, including Compiled Works generated from\nthe Derived Work. Derived Works distributed in this manner by the Current\nMaintainer are considered to be updated versions of the Work.\n\n5. If you are not the Current Maintainer of the Work, you may modify your\ncopy of the Work, thus creating a Derived Work based on the Work, and compile\nthis Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n6. If you are not the Current Maintainer of the Work, you may distribute a\nDerived Work provided the following conditions are met for every component\nof the Work unless that component clearly states in the copyright notice that\nit is exempt from that condition. Only the Current Maintainer is allowed to\nadd such statements of exemption to a component of the Work.\n\na. If a component of this Derived Work can be a direct replacement for a component\nof the Work when that component is used with the Base Interpreter, then, wherever\nthis component of the Work identifies itself to the user when used interactively\nwith that Base Interpreter, the replacement component of this Derived Work\nclearly and unambiguously identifies itself as a modified version of this\ncomponent to the user when used interactively with that Base Interpreter.\n\nb. Every component of the Derived Work contains prominent notices detailing\nthe nature of the changes to that component, or a prominent reference to another\nfile that is distributed as part of the Derived Work and that contains a complete\nand accurate log of the changes.\n\nc. No information in the Derived Work implies that any persons, including\n(but not limited to) the authors of the original version of the Work, provide\nany support, including (but not limited to) the reporting and handling of\nerrors, to recipients of the Derived Work unless those persons have stated\nexplicitly that they do provide such support for the Derived Work.\n\n      d. You distribute at least one of the following with the Derived Work:\n\n1. A complete, unmodified copy of the Work; if your distribution of a modified\ncomponent is made by offering access to copy the modified component from a\ndesignated place, then offering equivalent access to copy the Work from the\nsame or some similar place meets this condition, even though third parties\nare not compelled to copy the Work along with the modified component;\n\n2. Information that is sufficient to obtain a complete, unmodified copy of\nthe Work.\n\n7. If you are not the Current Maintainer of the Work, you may distribute a\nCompiled Work generated from a Derived Work, as long as the Derived Work is\ndistributed to all recipients of the Compiled Work, and as long as the conditions\nof Clause 6, above, are met with regard to the Derived Work.\n\n8. The conditions above are not intended to prohibit, and hence do not apply\nto, the modification, by any method, of any component so that it becomes identical\nto an updated version of that component of the Work as it is distributed by\nthe Current Maintainer under Clause 4, above.\n\n9. Distribution of the Work or any Derived Work in an alternative format,\nwhere the Work or that Derived Work (in whole or in part) is then produced\nby applying some process to that format, does not relax or nullify any sections\nof this license as they pertain to the results of applying that process.\n\n   10.\n\na. A Derived Work may be distributed under a different license provided that\nlicense itself honors the conditions listed in Clause 6 above, in regard to\nthe Work, though it does not have to honor the rest of the conditions in this\nlicense.\n\nb. If a Derived Work is distributed under a different license, that Derived\nWork must provide sufficient documentation as part of itself to allow each\nrecipient of that Derived Work to honor the restrictions in Clause 6 above,\nconcerning changes from the Work.\n\n11. This license places no restrictions on works that are unrelated to the\nWork, nor does this license place any restrictions on aggregating such works\nwith the Work by any means.\n\n12. Nothing in this license is intended to, or may be used to, prevent complete\ncompliance by all parties with all applicable laws.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing,\nthe Copyright Holder provides the Work `as is\', without warranty of any kind,\neither expressed or implied, including, but not limited to, the implied warranties\nof merchantability and fitness for a particular purpose. The entire risk as\nto the quality and performance of the Work is with you. Should the Work prove\ndefective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will\nThe Copyright Holder, or any author named in the components of the Work, or\nany other party who may distribute and/or modify the Work as permitted above,\nbe liable to you for damages, including any general, special, incidental or\nconsequential damages arising out of any use of the Work or out of inability\nto use the Work (including, but not limited to, loss of data, data being rendered\ninaccurate, or losses sustained by anyone as a result of any failure of the\nWork to operate with any other programs), even if the Copyright Holder or\nsaid author or said other party has been advised of the possibility of such\ndamages.\n\nMAINTENANCE OF THE WORK\n\n=======================\n\nThe Work has the status `author-maintained\' if the Copyright Holder explicitly\nand prominently states near the primary copyright notice in the Work that\nthe Work can only be maintained by the Copyright Holder or simply that it\nis `author-maintained\'.\n\nThe Work has the status `maintained\' if there is a Current Maintainer who\nhas indicated in the Work that they are willing to receive error reports for\nthe Work (for example, by supplying a valid e-mail address). It is not required\nfor the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained\' to `unmaintained\' if there is no\nCurrent Maintainer, or the person stated to be Current Maintainer of the work\ncannot be reached through the indicated means of communication for a period\nof six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing\nCurrent Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the\nWork through the following steps:\n\n1. Make a reasonable attempt to trace the Current Maintainer (and the Copyright\nHolder, if the two differ) through the means of an Internet or similar search.\n\n2. If this search is successful, then enquire whether the Work is still maintained.\n\na. If it is being maintained, then ask the Current Maintainer to update their\ncommunication data within one month.\n\nb. If the search is unsuccessful or no action to resume active maintenance\nis taken by the Current Maintainer, then announce within the pertinent community\nyour intention to take over maintenance. (If the Work is a LaTeX work, this\ncould be done, for example, by posting to comp.text.tex.)\n\n3a. If the Current Maintainer is reachable and agrees to pass maintenance\nof the Work to you, then this takes effect immediately upon announcement.\n\nb. If the Current Maintainer is not reachable and the Copyright Holder agrees\nthat maintenance of the Work be passed to you, then this takes effect immediately\nupon announcement.\n\n4. If you make an `intention announcement\' as described in 2b. above and after\nthree months your intention is challenged neither by the Current Maintainer\nnor by the Copyright Holder nor by other people, then you may arrange for\nthe Work to be changed so as to name you as the (new) Current Maintainer.\n\n5. If the previously unreachable Current Maintainer becomes reachable once\nmore within three months of a change completed under the terms of 3b) or 4),\nthen that Current Maintainer must become or remain the Current Maintainer\nupon request provided they then update their communication data within one\nmonth.\n\nA change in the Current Maintainer does not, of itself, alter the fact that\nthe Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide,\nwithin the Work, a prominent and unambiguous statement of your status as Current\nMaintainer. You should also announce your new status to the same pertinent\ncommunity as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n\n======================================================\n\nThis section contains important instructions, examples, and recommendations\nfor authors who are considering distributing their works under this license.\nThese authors are addressed as `you\' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions\nthat differ significantly from those in this license, then do not refer to\nthis license anywhere in your work but, instead, distribute your work under\na different license. You may use the text of this license as a model for your\nown license, but your license should not refer to the LPPL or otherwise give\nthe impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex\' in the base LaTeX distribution explains the motivation\nbehind the conditions of this license. It explains, for example, why distributing\nLaTeX under the GNU General Public License (GPL) was considered inappropriate.\nEven if your work is unrelated to LaTeX, the discussion in `modguide.tex\'\nmay still be relevant, and authors intending to distribute their works under\nany license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal\nuse, without also meeting the above conditions for distributing the modified\ncomponent. While you might intend that such modifications will never be distributed,\noften this will happen by accident -- you may forget that you have modified\nthat component; or it may not occur to you when allowing others to access\nthe modified version that you are thus distributing it and violating the conditions\nof this license in ways that could have legal implications and, worse, cause\nproblems for the community. It is therefore usually in your best interest\nto keep your copy of the Work identical with the public one. Many works provide\nways to control the behavior of that work without altering any of its licensed\ncomponents.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the components of your work both an\nexplicit copyright notice including your name and the year the work was authored\nand/or last substantially modified. Include also a statement that the distribution\nand/or modification of that component is constrained by the conditions in\nthis license.\n\nHere is an example of such a notice and statement:\n\n%% pig.dtx\n\n%% Copyright 2005 M. Y. Name\n\n%\n\n% This work may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.3\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.3 or later is part of all distributions of LaTeX\n\n% version 2005/12/01 or later.\n\n%\n\n% This work has the LPPL maintenance status \" maintained \".\n\n%\n\n% The Current Maintainer of this work is M. Y. Name .\n\n%\n\n% This work consists of the files pig.dtx and pig.ins\n\n% and the derived file pig.sty .\n\nGiven such a notice and statement in a file, the conditions given in this\nlicense document would apply, with the `Work\' referring to the three files\n`pig.dtx\', `pig.ins\', and `pig.sty\' (the last being generated from `pig.dtx\'\nusing `pig.ins\'), the `Base Interpreter\' referring to any `LaTeX-Format\',\nand both `Copyright Holder\' and `Current Maintainer\' referring to the person\n`M. Y. Name\'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work,\nchange `maintained\' above into `author-maintained\'. However, we recommend\nthat you use `maintained\', as the Maintenance section was added in order to\nensure that your Work remains useful to the community even when you can no\nlonger maintain and support it yourself.\n\nDerived Works That Are Not Replacements\n\n---------------------------------------\n\nSeveral clauses of the LPPL specify means to provide reliability and stability\nfor the user community. They therefore concern themselves with the case that\na Derived Work is intended to be used as a (compatible or incompatible) replacement\nof the original Work. If this is not the case (e.g., if a few lines of code\nare reused for a completely different task), then clauses 6b and 6d shall\nnot apply.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of\nthe Work. It is therefore important that you provide a way for the licensee\nto determine which files constitute the Work. This could, for example, be\nachieved by explicitly listing all the files of the Work near the copyright\nnotice of each file or by using a line such as:\n\n% This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible\nfor the licensee to determine what is considered by you to comprise the Work\nand, in such a case, the licensee would be entitled to make reasonable conjectures\nas to which files comprise the Work.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(162,'Zlib','zlib License Copyright (c) <year> <copyright holders>\n\nThis software is provided \'as-is\', without any express or implied warranty.\nIn no event will the authors be held liable for any damages arising from the\nuse of this software.\n\nPermission is granted to anyone to use this software for any purpose, including\ncommercial applications, and to alter it and redistribute it freely, subject\nto the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim\nthat you wrote the original software. If you use this software in a product,\nan acknowledgment in the product documentation would be appreciated but is\nnot required.\n\n2. Altered source versions must be plainly marked as such, and must not be\nmisrepresented as being the original software.\n\n   3. This notice may not be removed or altered from any source distribution.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(163,'MakeIndex','MakeIndex Distribution Notice\n\n11/11/1989\n\nCopyright (C) 1989 by Chen & Harrison International Systems, Inc.\n\nCopyright (C) 1988 by Olivetti Research Center\n\nCopyright (C) 1987 by Regents of the University of California\n\nAuthor:\n\nPehong Chen (phc@renoir.berkeley.edu)\n\nChen & Harrison International Systems, Inc.\n\nPalo Alto, California\n\nUSA\n\nPermission is hereby granted to make and distribute original copies of this\nprogram provided that the copyright notice and this permission notice are\npreserved and provided that the recipient is not asked to waive or limit his\nright to redistribute copies as allowed by this permission notice and provided\nthat anyone who receives an executable form of this program is granted access\nto a machine-readable form of the source code for this program at a cost not\ngreater than reasonable reproduction, shipping, and handling costs. Executable\nforms of this program distributed without the source code must be accompanied\nby a conspicuous copy of this permission notice and a statement that tells\nthe recipient how to obtain the source code.\n\nPermission is granted to distribute modified versions of all or part of this\nprogram under the conditions above with the additional requirement that the\nentire modified work must be covered by a permission notice identical to this\npermission notice. Anything distributed with and usable only in conjunction\nwith something derived from this program, whose useful purpose is to extend\nor adapt or add capabilities to this program, is to be considered a modified\nversion of this program under the requirement above. Ports of this program\nto other systems not supported in the distribution are also considered modified\nversions. All modified versions should be reported back to the author.\n\nThis program is distributed with no warranty of any sort. No contributor accepts\nresponsibility for the consequences of using this program or for whether it\nserves any particular purpose.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(164,'TORQUE-1.1','TORQUE v2.5+ Software License v1.1\n\nCopyright (c) 2010-2011 Adaptive Computing Enterprises, Inc. All rights reserved.\nUse this license to use or redistribute the TORQUE software v2.5+ and later\nversions. For free support for TORQUE users, questions should be emailed to\nthe community of TORQUE users at torqueusers@supercluster.org. Users can also\nsubscribe to the user mailing list at http://www.supercluster.org/mailman/listinfo/torqueusers.\nCustomers using TORQUE that also are licensed users of Moab branded software\nfrom Adaptive Computing Inc. can get TORQUE support from Adaptive Computing\nvia:\n\nEmail: torque-support@adaptivecomputing.com.\n\nPhone: (801) 717-3700\n\nWeb: www.adaptivecomputing.com www.clusterresources.com\n\nThis license covers use of the TORQUE v2.5 software (the \"Software\") at your\nsite or location, and, for certain users, redistribution of the Software to\nother sites and locations1. Later versions of TORQUE are also covered by this\nlicense. Use and redistribution of TORQUE v2.5 in source and binary forms,\nwith or without modification, are permitted provided that all of the following\nconditions are met.\n\n1. Any Redistribution of source code must retain the above copyright notice\nand the acknowledgment contained in paragraph 5, this list of conditions and\nthe disclaimer contained in paragraph 5.\n\n2. Any Redistribution in binary form must reproduce the above copyright notice\nand the acknowledgment contained in paragraph 4, this list of conditions and\nthe disclaimer contained in paragraph 5 in the documentation and/or other\nmaterials provided with the distribution.\n\n3. Redistributions in any form must be accompanied by information on how to\nobtain complete source code for TORQUE and any modifications and/or additions\nto TORQUE. The source code must either be included in the distribution or\nbe available for no more than the cost of distribution plus a nominal fee,\nand all modifications and additions to the Software must be freely redistributable\nby any party (including Licensor) without restriction.\n\n4. All advertising materials mentioning features or use of the Software must\ndisplay the following acknowledgment:\n\n\"TORQUE is a modification of OpenPBS which was developed by NASA Ames Research\nCenter, Lawrence Livermore National Laboratory, and Veridian TORQUE Open Source\nLicense v1.1. 1 Information Solutions, Inc. Visit www.clusterresources.com/products/\nfor more information about TORQUE and to download TORQUE. For information\nabout Moab branded products and so receive support from Adaptive Computing\nfor TORQUE, see www.adaptivecomputing.com.\"\n\n5. DISCLAIMER OF WARRANTY THIS SOFTWARE IS PROVIDED \"AS IS\" WITHOUT WARRANTY\nOF ANY KIND. ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\nAND NON-INFRINGEMENT ARE EXPRESSLY DISCLAIMED. IN NO EVENT SHALL ADAPTIVE\nCOMPUTING ENTERPRISES, INC. CORPORATION, ITS AFFILIATED COMPANIES, OR THE\nU.S. GOVERNMENT OR ANY OF ITS AGENCIES BE LIABLE FOR ANY DIRECT OR INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis license will be governed by the laws of Utah, without reference to its\nchoice of law rules. Note 1: TORQUE is developed from an earlier version v2.3\nof OpenPBS. TORQUE has been developed beyond OpenPBS v2.3. The OpenPBS v2.3\nlicense and OpenPBS software can be obtained at:\n\nhttp://www.pbsworks.com/ResLibSearchResult.aspx?keywords=openpbs&industry=All&pro\nduct_service=All&category=Free%20Software%20Downloads&order_by=title. Users\nof TORQUE should comply with the TORQUE license as well as the OpenPBS license.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(165,'CNRI-Jython','\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research\nInitiatives, having an office at 1895 Preston White Drive, Reston, VA 20191\n(\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and using\nJPython version 1.1.x in source or binary form and its associated documentation\nas provided herein (\"Software\").\n\n   \n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby\ngrants Licensee a non-exclusive, non-transferable, royalty-free, world-wide\nlicense to reproduce, analyze, test, perform and/or display publicly, prepare\nderivative works, distribute, and otherwise use the Software alone or in any\nderivative version, provided, however, that CNRI\'s License Agreement and CNRI\'s\nnotice of copyright, i.e., \"Copyright (c) 1996-1999 Corporation for National\nResearch Initiatives; All Rights Reserved\" are both retained in the Software,\nalone or in any derivative version prepared by Licensee.\n\nAlternatively, in lieu of CNRI\'s License Agreement, Licensee may substitute\nthe following text (omitting the quotes), provided, however, that such text\nis displayed prominently in the Software alone or in any derivative version\nprepared by Licensee: \"JPython (Version 1.1.x) is made available subject to\nthe terms and conditions in CNRI\'s License Agreement. This Agreement may be\nlocated on the Internet using the following unique, persistent identifier\n(known as a handle): 1895.22/1006. The License may also be obtained from a\nproxy server on the Web using the following URL: http://hdl.handle.net/1895.22/1006.\"\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates\nthe Software or any part thereof, and wants to make the derivative work available\nto the public as provided herein, then Licensee hereby agrees to indicate\nin any such work, in a prominently visible way, the nature of the modifications\nmade to CNRI\'s Software.\n\n4. Licensee may not use CNRI trademarks or trade name, including JPython or\nCNRI, in a trademark sense to endorse or promote products or services of Licensee,\nor any third party. Licensee may use the mark JPython in connection with Licensee\'s\nderivative versions that are based on or incorporate the Software, but only\nin the form \"JPython-based ___________________,\" or equivalent.\n\n5. CNRI is making the Software available to Licensee on an \"AS IS\" basis.\nCNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF\nEXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION\nOR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n6. CNRI SHALL NOT BE LIABLE TO LICENSEE OR OTHER USERS OF THE SOFTWARE FOR\nANY INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF USING,\nMODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF\nADVISED OF THE POSSIBILITY THEREOF. SOME STATES DO NOT ALLOW THE LIMITATION\nOR EXCLUSION OF LIABILITY SO THE ABOVE DISCLAIMER MAY NOT APPLY TO LICENSEE.\n\n7. This License Agreement may be terminated by CNRI (i) immediately upon written\nnotice from CNRI of any material breach by the Licensee, if the nature of\nthe breach is such that it cannot be promptly remedied; or (ii) sixty (60)\ndays following notice from CNRI to Licensee of a material remediable breach,\nif Licensee has not remedied such breach within that sixty-day period.\n\n8. This License Agreement shall be governed by and interpreted in all respects\nby the law of the State of Virginia, excluding conflict of law provisions.\nNothing in this Agreement shall be deemed to create any relationship of agency,\npartnership, or joint venture between CNRI and Licensee.\n\n9. By clicking on the \"ACCEPT\" button where indicated, or by installing, copying\nor otherwise using the Software, Licensee agrees to be bound by the terms\nand conditions of this License Agreement.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(166,'CC-BY-SA-1.0','Creative Commons Attribution-ShareAlike 1.0 CREATIVE COMMONS CORPORATION IS\nNOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may distribute, publicly display, publicly perform, or publicly digitally\nperform a Derivative Work only under the terms of this License, and You must\ninclude a copy of, or the Uniform Resource Identifier for, this License with\nevery copy or phonorecord of each Derivative Work You distribute, publicly\ndisplay, publicly perform, or publicly digitally perform. You may not offer\nor impose any terms on the Derivative Works that alter or restrict the terms\nof this License or the recipients\' exercise of the rights granted hereunder,\nand You must keep intact all notices that refer to this License and to the\ndisclaimer of warranties. You may not distribute, publicly display, publicly\nperform, or publicly digitally perform the Derivative Work with any technological\nmeasures that control access or use of the Work in a manner inconsistent with\nthe terms of this License Agreement. The above applies to the Derivative Work\nas incorporated in a Collective Work, but this does not require the Collective\nWork apart from the Derivative Work itself to be made subject to the terms\nof this License.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\na. By offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\n\ni. Licensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments;\n\nii. The Work does not infringe the copyright, trademark, publicity rights,\ncommon law rights or any other right of any third party or constitute defamation,\ninvasion of privacy or other tortious injury to any third party.\n\nb. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING\nOR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(167,'Caldera','Caldera International, Inc. hereby grants a fee free license that includes\nthe rights use, modify and distribute this named source code, including creating\nderived binary products created from the source code. The source code for\nwhich Caldera International, Inc. grants rights are limited to the following\nUNIX Operating Systems that operate on the 16-Bit PDP-11 CPU and early versions\nof the 32-Bit UNIX Operating System, with specific exclusion of UNIX System\nIII and UNIX System V and successor operating systems:\n\n32-bit 32V UNIX\n\n16 bit UNIX Versions 1, 2, 3, 4, 5, 6, 7\n\nCaldera International, Inc. makes no guarantees or commitments that any source\ncode is available from Caldera International, Inc.\n\nThe following copyright notice applies to the source code files for which\nthis license is granted.\n\nCopyright(C) Caldera International Inc. 2001-2002. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\nRedistributions of source code and documentation must retain the above copyright\nnotice, this list of conditions and the following disclaimer.\n\nRedistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nAll advertising materials mentioning features or use of this software must\ndisplay the following acknowledgement:\n\n   \n\nThis product includes software developed or owned by Caldera International,\nInc.\n\nNeither the name of Caldera International, Inc. nor the names of other contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nUSE OF THE SOFTWARE PROVIDED FOR UNDER THIS LICENSE BY CALDERA INTERNATIONAL,\nINC. AND CONTRIBUTORS ``AS IS\'\' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL CALDERA INTERNATIONAL,\nINC. BE LIABLE FOR ANY DIRECT, INDIRECT INCIDENTAL, SPECIAL, EXEMPLARY, OR\nCONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(168,'psfrag','psfrag.dtx\n\nCopyright (C) 1996 Craig Barratt, Michael C. Grant, and David Carlisle.\n\nAll rights are reserved.\n\nThis system is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. Don\'t come complaining to us if you modify this\nfile and it doesn\'t work! If this file is modified by anyone but the authors,\nthose changes and their authors must be explicitly stated HERE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(169,'BSD-3-Clause-No-Nuclear-License','Copyright 1994-2009 Sun Microsystems, Inc. All Rights Reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistribution of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistribution in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of Sun Microsystems, Inc. or the names of contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS\nOR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED\nWARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT,\nARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL\nNOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING\nOR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR\nITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,\nINDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER\nCAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF\nOR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed, licensed or intended for\nuse in the design, construction, operation or maintenance of any nuclear facility.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(170,'LGPL-2.1-or-later','GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 2.1, February 1999\n\nCopyright (C) 1991, 1999 Free Software Foundation, Inc.\n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n[This is the first released version of the Lesser GPL. It also counts as the\nsuccessor of the GNU Library Public License, version 2, hence the version\nnumber 2.1.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public Licenses are intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users.\n\nThis license, the Lesser General Public License, applies to some specially\ndesignated software packages--typically libraries--of the Free Software Foundation\nand other authors who decide to use it. You can use it too, but we suggest\nyou first think carefully about whether this license or the ordinary General\nPublic License is the better strategy to use in any particular case, based\non the explanations below.\n\nWhen we speak of free software, we are referring to freedom of use, not price.\nOur General Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish); that you receive source code or can get it if you want it; that you\ncan change the software and use pieces of it in new free programs; and that\nyou are informed that you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid distributors\nto deny you these rights or to ask you to surrender these rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe library or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for\na fee, you must give the recipients all the rights that we gave you. You must\nmake sure that they, too, receive or can get the source code. If you link\nother code with the library, you must provide complete object files to the\nrecipients, so that they can relink them with the library after making changes\nto the library and recompiling it. And you must show them these terms so they\nknow their rights.\n\nWe protect your rights with a two-step method: (1) we copyright the library,\nand (2) we offer you this license, which gives you legal permission to copy,\ndistribute and/or modify the library.\n\nTo protect each distributor, we want to make it very clear that there is no\nwarranty for the free library. Also, if the library is modified by someone\nelse and passed on, the recipients should know that what they have is not\nthe original version, so that the original author\'s reputation will not be\naffected by problems that might be introduced by others.\n\nFinally, software patents pose a constant threat to the existence of any free\nprogram. We wish to make sure that a company cannot effectively restrict the\nusers of a free program by obtaining a restrictive license from a patent holder.\nTherefore, we insist that any patent license obtained for a version of the\nlibrary must be consistent with the full freedom of use specified in this\nlicense.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU\nGeneral Public License. This license, the GNU Lesser General Public License,\napplies to certain designated libraries, and is quite different from the ordinary\nGeneral Public License. We use this license for certain libraries in order\nto permit linking those libraries into non-free programs.\n\nWhen a program is linked with a library, whether statically or using a shared\nlibrary, the combination of the two is legally speaking a combined work, a\nderivative of the original library. The ordinary General Public License therefore\npermits such linking only if the entire combination fits its criteria of freedom.\nThe Lesser General Public License permits more lax criteria for linking other\ncode with the library.\n\nWe call this license the \"Lesser\" General Public License because it does Less\nto protect the user\'s freedom than the ordinary General Public License. It\nalso provides other free software developers Less of an advantage over competing\nnon-free programs. These disadvantages are the reason we use the ordinary\nGeneral Public License for many libraries. However, the Lesser license provides\nadvantages in certain special circumstances.\n\nFor example, on rare occasions, there may be a special need to encourage the\nwidest possible use of a certain library, so that it becomes a de-facto standard.\nTo achieve this, non-free programs must be allowed to use the library. A more\nfrequent case is that a free library does the same job as widely used non-free\nlibraries. In this case, there is little to gain by limiting the free library\nto free software only, so we use the Lesser General Public License.\n\nIn other cases, permission to use a particular library in non-free programs\nenables a greater number of people to use a large body of free software. For\nexample, permission to use the GNU C Library in non-free programs enables\nmany more people to use the whole GNU operating system, as well as its variant,\nthe GNU/Linux operating system.\n\nAlthough the Lesser General Public License is Less protective of the users\'\nfreedom, it does ensure that the user of a program that is linked with the\nLibrary has the freedom and the wherewithal to run that program using a modified\nversion of the Library.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow. Pay close attention to the difference between a \"work based on the\nlibrary\" and a \"work that uses the library\". The former contains code derived\nfrom the library, whereas the latter must be combined with the library in\norder to run.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library or other program\nwhich contains a notice placed by the copyright holder or other authorized\nparty saying it may be distributed under the terms of this Lesser General\nPublic License (also called \"this License\"). Each licensee is addressed as\n\"you\".\n\nA \"library\" means a collection of software functions and/or data prepared\nso as to be conveniently linked with application programs (which use some\nof those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has\nbeen distributed under these terms. A \"work based on the Library\" means either\nthe Library or any derivative work under copyright law: that is to say, a\nwork containing the Library or a portion of it, either verbatim or with modifications\nand/or translated straightforwardly into another language. (Hereinafter, translation\nis included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications\nto it. For a library, complete source code means all the source code for all\nmodules it contains, plus any associated interface definition files, plus\nthe scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running a program\nusing the Library is not restricted, and output from such a program is covered\nonly if its contents constitute a work based on the Library (independent of\nthe use of the Library in a tool for writing it). Whether that is true depends\non what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library\'s complete source\ncode as you receive it, in any medium, provided that you conspicuously and\nappropriately publish on each copy an appropriate copyright notice and disclaimer\nof warranty; keep intact all the notices that refer to this License and to\nthe absence of any warranty; and distribute a copy of this License along with\nthe Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it,\nthus forming a work based on the Library, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\n      a) The modified work must itself be a software library.\n\nb) You must cause the files modified to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nc) You must cause the whole of the work to be licensed at no charge to all\nthird parties under the terms of this License.\n\nd) If a facility in the modified Library refers to a function or a table of\ndata to be supplied by an application program that uses the facility, other\nthan as an argument passed when the facility is invoked, then you must make\na good faith effort to ensure that, in the event an application does not supply\nsuch function or table, the facility still operates, and performs whatever\npart of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose\nthat is entirely well-defined independent of the application. Therefore, Subsection\n2d requires that any application-supplied function or table used by this function\nmust be optional: if the application does not supply it, the square root function\nmust still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Library, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Library, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Library.\n\nIn addition, mere aggregation of another work not based on the Library with\nthe Library (or with a work based on the Library) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License\ninstead of this License to a given copy of the Library. To do this, you must\nalter all the notices that refer to this License, so that they refer to the\nordinary GNU General Public License, version 2, instead of to this License.\n(If a newer version than version 2 of the ordinary GNU General Public License\nhas appeared, then you can specify that version instead if you wish.) Do not\nmake any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy,\nso the ordinary GNU General Public License applies to all subsequent copies\nand derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library\ninto a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of\nit, under Section 2) in object code or executable form under the terms of\nSections 1 and 2 above provided that you accompany it with the complete corresponding\nmachine-readable source code, which must be distributed under the terms of\nSections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated\nplace, then offering equivalent access to copy the source code from the same\nplace satisfies the requirement to distribute the source code, even though\nthird parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but\nis designed to work with the Library by being compiled or linked with it,\nis called a \"work that uses the Library\". Such a work, in isolation, is not\na derivative work of the Library, and therefore falls outside the scope of\nthis License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an\nexecutable that is a derivative of the Library (because it contains portions\nof the Library), rather than a \"work that uses the library\". The executable\nis therefore covered by this License. Section 6 states terms for distribution\nof such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that\nis part of the Library, the object code for the work may be a derivative work\nof the Library even though the source code is not. Whether this is true is\nespecially significant if the work can be linked without the Library, or if\nthe work is itself a library. The threshold for this to be true is not precisely\ndefined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts\nand accessors, and small macros and small inline functions (ten lines or less\nin length), then the use of the object file is unrestricted, regardless of\nwhether it is legally a derivative work. (Executables containing this object\ncode plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute\nthe object code for the work under the terms of Section 6. Any executables\ncontaining that work also fall under Section 6, whether or not they are linked\ndirectly with the Library itself.\n\n6. As an exception to the Sections above, you may also combine or link a \"work\nthat uses the Library\" with the Library to produce a work containing portions\nof the Library, and distribute that work under terms of your choice, provided\nthat the terms permit modification of the work for the customer\'s own use\nand reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library\nis used in it and that the Library and its use are covered by this License.\nYou must supply a copy of this License. If the work during execution displays\ncopyright notices, you must include the copyright notice for the Library among\nthem, as well as a reference directing the user to the copy of this License.\nAlso, you must do one of these things:\n\na) Accompany the work with the complete corresponding machine-readable source\ncode for the Library including whatever changes were used in the work (which\nmust be distributed under Sections 1 and 2 above); and, if the work is an\nexecutable linked with the Library, with the complete machine-readable \"work\nthat uses the Library\", as object code and/or source code, so that the user\ncan modify the Library and then relink to produce a modified executable containing\nthe modified Library. (It is understood that the user who changes the contents\nof definitions files in the Library will not necessarily be able to recompile\nthe application to use the modified definitions.)\n\nb) Use a suitable shared library mechanism for linking with the Library. A\nsuitable mechanism is one that (1) uses at run time a copy of the library\nalready present on the user\'s computer system, rather than copying library\nfunctions into the executable, and (2) will operate properly with a modified\nversion of the library, if the user installs one, as long as the modified\nversion is interface-compatible with the version that the work was made with.\n\nc) Accompany the work with a written offer, valid for at least three years,\nto give the same user the materials specified in Subsection 6a, above, for\na charge no more than the cost of performing this distribution.\n\nd) If distribution of the work is made by offering access to copy from a designated\nplace, offer equivalent access to copy the above specified materials from\nthe same place.\n\ne) Verify that the user has already received a copy of these materials or\nthat you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must\ninclude any data and utility programs needed for reproducing the executable\nfrom it. However, as a special exception, the materials to be distributed\nneed not include anything that is normally distributed (in either source or\nbinary form) with the major components (compiler, kernel, and so on) of the\noperating system on which the executable runs, unless that component itself\naccompanies the executable.\n\nIt may happen that this requirement contradicts the license restrictions of\nother proprietary libraries that do not normally accompany the operating system.\nSuch a contradiction means you cannot use both them and the Library together\nin an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side\nin a single library together with other library facilities not covered by\nthis License, and distribute such a combined library, provided that the separate\ndistribution of the work based on the Library and of the other library facilities\nis otherwise permitted, and provided that you do these two things:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities. This must be distributed\nunder the terms of the Sections above.\n\nb) Give prominent notice with the combined library of the fact that part of\nit is a work based on the Library, and explaining where to find the accompanying\nuncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library\nexcept as expressly provided under this License. Any attempt otherwise to\ncopy, modify, sublicense, link with, or distribute the Library is void, and\nwill automatically terminate your rights under this License. However, parties\nwho have received copies, or rights, from you under this License will not\nhave their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nLibrary or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Library\n(or any work based on the Library), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute, link with or modify the Library subject to these terms\nand conditions. You may not impose any further restrictions on the recipients\'\nexercise of the rights granted herein. You are not responsible for enforcing\ncompliance by third parties with this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Library at all. For example, if a\npatent license would not permit royalty-free redistribution of the Library\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply,\nand the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Library under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of\nthe Lesser General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nLibrary does not specify a license version number, you may choose any version\never published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs\nwhose distribution conditions are incompatible with these, write to the author\nto ask for permission. For software which is copyrighted by the Free Software\nFoundation, write to the Free Software Foundation; we sometimes make exceptions\nfor this. Our decision will be guided by the two goals of preserving the free\nstatus of all derivatives of our free software and of promoting the sharing\nand reuse of software generally.\n\n   NO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible\nuse to the public, we recommend making it free software that everyone can\nredistribute and change. You can do so by permitting redistribution under\nthese terms (or, alternatively, under the terms of the ordinary General Public\nLicense).\n\nTo apply these terms, attach the following notices to the library. It is safest\nto attach them to the start of each source file to most effectively convey\nthe exclusion of warranty; and each file should have at least the \"copyright\"\nline and a pointer to where the full notice is found.\n\n<one line to give the library\'s name and an idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis library is free software; you can redistribute it and/or modify it under\nthe terms of the GNU Lesser General Public License as published by the Free\nSoftware Foundation; either version 2.1 of the License, or (at your option)\nany later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Lesser General Public License along\nwith this library; if not, write to the Free Software Foundation, Inc., 51\nFranklin Street, Fifth Floor, Boston, MA 02110-1301 USA\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the library, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob\' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\n< signature of Ty Coon > , 1 April 1990\n\nTy Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(171,'mif-exception','As a special exception, you may use this file as part of a free software library without restriction. Specifically, if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other files to produce an executable, this file does not by itself cause the resulting executable to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the executable file might be covered by the GNU General Public License.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(172,'Bahyph','COPYRIGHT NOTICE\n\nThese patterns and the generating sh script are Copyright (c) GMV 1991\n\nThese patterns were developed for internal GMV use and are made public in\nthe hope that they will benefit others. Also, spreading these patterns throughout\nthe Spanish-language TeX community is expected to provide back-benefits to\nGMV in that it can help keeping GMV in the mainstream of spanish users.\n\nHowever, this is given for free and WITHOUT ANY WARRANTY. Under no circumstances\ncan Julio Sanchez, GMV, Jos\'e A. Ma~nas or any agents or representatives thereof\nbe held responsible for any errors in this software nor for any damages derived\nfrom its use, even in case any of the above has been notified of the possibility\nof such damages. If any such situation arises, you responsible for repair.\nUse of this software is an explicit acceptance of these conditions.\n\nYou can use this software for any purpose. You cannot delete this copyright\nnotice. If you change this software, you must include comments explaining\nwho, when and why. You are kindly requested to send any changes to tex@gmv.es.\nIf you change the generating script, you must include code in it such that\nany output is clearly labeled as generated by a modified script. Despite the\nlack of warranty, we would like to hear about any problem you find. Please\nreport problems to tex@gmv.es. END OF COPYRIGHT NOTICE\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(173,'LGPL-2.0-or-later','GNU LIBRARY GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1991 Free Software Foundation, Inc.\n\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n[This is the first released version of the library GPL. It is numbered 2 because\nit goes with version 2 of the ordinary GPL.]\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public Licenses are intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users.\n\nThis license, the Library General Public License, applies to some specially\ndesignated Free Software Foundation software, and to any other libraries whose\nauthors decide to use it. You can use it for your libraries, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish), that you receive source code or can get it if you want it, that you\ncan change the software or use pieces of it in new free programs; and that\nyou know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe library, or if you modify it.\n\nFor example, if you distribute copies of the library, whether gratis or for\na fee, you must give the recipients all the rights that we gave you. You must\nmake sure that they, too, receive or can get the source code. If you link\na program with the library, you must provide complete object files to the\nrecipients so that they can relink them with the library, after making changes\nto the library and recompiling it. And you must show them these terms so they\nknow their rights.\n\nOur method of protecting your rights has two steps: (1) copyright the library,\nand (2) offer you this license which gives you legal permission to copy, distribute\nand/or modify the library.\n\nAlso, for each distributor\'s protection, we want to make certain that everyone\nunderstands that there is no warranty for this free library. If the library\nis modified by someone else and passed on, we want its recipients to know\nthat what they have is not the original version, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nFinally, any free program is threatened constantly by software patents. We\nwish to avoid the danger that companies distributing free software will individually\nobtain patent licenses, thus in effect transforming the program into proprietary\nsoftware. To prevent this, we have made it clear that any patent must be licensed\nfor everyone\'s free use or not licensed at all.\n\nMost GNU software, including some libraries, is covered by the ordinary GNU\nGeneral Public License, which was designed for utility programs. This license,\nthe GNU Library General Public License, applies to certain designated libraries.\nThis license is quite different from the ordinary one; be sure to read it\nin full, and don\'t assume that anything in it is the same as in the ordinary\nlicense.\n\nThe reason we have a separate public license for some libraries is that they\nblur the distinction we usually make between modifying or adding to a program\nand simply using it. Linking a program with a library, without changing the\nlibrary, is in some sense simply using the library, and is analogous to running\na utility program or application program. However, in a textual and legal\nsense, the linked executable is a combined work, a derivative of the original\nlibrary, and the ordinary General Public License treats it as such.\n\nBecause of this blurred distinction, using the ordinary General Public License\nfor libraries did not effectively promote software sharing, because most developers\ndid not use the libraries. We concluded that weaker conditions might promote\nsharing better.\n\nHowever, unrestricted linking of non-free programs would deprive the users\nof those programs of all benefit from the free status of the libraries themselves.\nThis Library General Public License is intended to permit developers of non-free\nprograms to use free libraries, while preserving your freedom as a user of\nsuch programs to change the free libraries that are incorporated in them.\n(We have not seen how to achieve this as regards changes in header files,\nbut we have achieved it as regards changes in the actual functions of the\nLibrary.) The hope is that this will lead to faster development of free libraries.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow. Pay close attention to the difference between a \"work based on the\nlibrary\" and a \"work that uses the library\". The former contains code derived\nfrom the library, while the latter only works together with the library.\n\nNote that it is possible for a library to be covered by the ordinary General\nPublic License rather than by this special one.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License Agreement applies to any software library which contains a\nnotice placed by the copyright holder or other authorized party saying it\nmay be distributed under the terms of this Library General Public License\n(also called \"this License\"). Each licensee is addressed as \"you\".\n\nA \"library\" means a collection of software functions and/or data prepared\nso as to be conveniently linked with application programs (which use some\nof those functions and data) to form executables.\n\nThe \"Library\", below, refers to any such software library or work which has\nbeen distributed under these terms. A \"work based on the Library\" means either\nthe Library or any derivative work under copyright law: that is to say, a\nwork containing the Library or a portion of it, either verbatim or with modifications\nand/or translated straightforwardly into another language. (Hereinafter, translation\nis included without limitation in the term \"modification\".)\n\n\"Source code\" for a work means the preferred form of the work for making modifications\nto it. For a library, complete source code means all the source code for all\nmodules it contains, plus any associated interface definition files, plus\nthe scripts used to control compilation and installation of the library.\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running a program\nusing the Library is not restricted, and output from such a program is covered\nonly if its contents constitute a work based on the Library (independent of\nthe use of the Library in a tool for writing it). Whether that is true depends\non what the Library does and what the program that uses the Library does.\n\n1. You may copy and distribute verbatim copies of the Library\'s complete source\ncode as you receive it, in any medium, provided that you conspicuously and\nappropriately publish on each copy an appropriate copyright notice and disclaimer\nof warranty; keep intact all the notices that refer to this License and to\nthe absence of any warranty; and distribute a copy of this License along with\nthe Library.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Library or any portion of it,\nthus forming a work based on the Library, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\n      a) The modified work must itself be a software library.\n\nb) You must cause the files modified to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nc) You must cause the whole of the work to be licensed at no charge to all\nthird parties under the terms of this License.\n\nd) If a facility in the modified Library refers to a function or a table of\ndata to be supplied by an application program that uses the facility, other\nthan as an argument passed when the facility is invoked, then you must make\na good faith effort to ensure that, in the event an application does not supply\nsuch function or table, the facility still operates, and performs whatever\npart of its purpose remains meaningful.\n\n(For example, a function in a library to compute square roots has a purpose\nthat is entirely well-defined independent of the application. Therefore, Subsection\n2d requires that any application-supplied function or table used by this function\nmust be optional: if the application does not supply it, the square root function\nmust still compute square roots.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Library, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Library, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Library.\n\nIn addition, mere aggregation of another work not based on the Library with\nthe Library (or with a work based on the Library) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may opt to apply the terms of the ordinary GNU General Public License\ninstead of this License to a given copy of the Library. To do this, you must\nalter all the notices that refer to this License, so that they refer to the\nordinary GNU General Public License, version 2, instead of to this License.\n(If a newer version than version 2 of the ordinary GNU General Public License\nhas appeared, then you can specify that version instead if you wish.) Do not\nmake any other change in these notices.\n\nOnce this change is made in a given copy, it is irreversible for that copy,\nso the ordinary GNU General Public License applies to all subsequent copies\nand derivative works made from that copy.\n\nThis option is useful when you wish to copy part of the code of the Library\ninto a program that is not a library.\n\n4. You may copy and distribute the Library (or a portion or derivative of\nit, under Section 2) in object code or executable form under the terms of\nSections 1 and 2 above provided that you accompany it with the complete corresponding\nmachine-readable source code, which must be distributed under the terms of\nSections 1 and 2 above on a medium customarily used for software interchange.\n\nIf distribution of object code is made by offering access to copy from a designated\nplace, then offering equivalent access to copy the source code from the same\nplace satisfies the requirement to distribute the source code, even though\nthird parties are not compelled to copy the source along with the object code.\n\n5. A program that contains no derivative of any portion of the Library, but\nis designed to work with the Library by being compiled or linked with it,\nis called a \"work that uses the Library\". Such a work, in isolation, is not\na derivative work of the Library, and therefore falls outside the scope of\nthis License.\n\nHowever, linking a \"work that uses the Library\" with the Library creates an\nexecutable that is a derivative of the Library (because it contains portions\nof the Library), rather than a \"work that uses the library\". The executable\nis therefore covered by this License. Section 6 states terms for distribution\nof such executables.\n\nWhen a \"work that uses the Library\" uses material from a header file that\nis part of the Library, the object code for the work may be a derivative work\nof the Library even though the source code is not. Whether this is true is\nespecially significant if the work can be linked without the Library, or if\nthe work is itself a library. The threshold for this to be true is not precisely\ndefined by law.\n\nIf such an object file uses only numerical parameters, data structure layouts\nand accessors, and small macros and small inline functions (ten lines or less\nin length), then the use of the object file is unrestricted, regardless of\nwhether it is legally a derivative work. (Executables containing this object\ncode plus portions of the Library will still fall under Section 6.)\n\nOtherwise, if the work is a derivative of the Library, you may distribute\nthe object code for the work under the terms of Section 6. Any executables\ncontaining that work also fall under Section 6, whether or not they are linked\ndirectly with the Library itself.\n\n6. As an exception to the Sections above, you may also compile or link a \"work\nthat uses the Library\" with the Library to produce a work containing portions\nof the Library, and distribute that work under terms of your choice, provided\nthat the terms permit modification of the work for the customer\'s own use\nand reverse engineering for debugging such modifications.\n\nYou must give prominent notice with each copy of the work that the Library\nis used in it and that the Library and its use are covered by this License.\nYou must supply a copy of this License. If the work during execution displays\ncopyright notices, you must include the copyright notice for the Library among\nthem, as well as a reference directing the user to the copy of this License.\nAlso, you must do one of these things:\n\na) Accompany the work with the complete corresponding machine-readable source\ncode for the Library including whatever changes were used in the work (which\nmust be distributed under Sections 1 and 2 above); and, if the work is an\nexecutable linked with the Library, with the complete machine-readable \"work\nthat uses the Library\", as object code and/or source code, so that the user\ncan modify the Library and then relink to produce a modified executable containing\nthe modified Library. (It is understood that the user who changes the contents\nof definitions files in the Library will not necessarily be able to recompile\nthe application to use the modified definitions.)\n\nb) Accompany the work with a written offer, valid for at least three years,\nto give the same user the materials specified in Subsection 6a, above, for\na charge no more than the cost of performing this distribution.\n\nc) If distribution of the work is made by offering access to copy from a designated\nplace, offer equivalent access to copy the above specified materials from\nthe same place.\n\nd) Verify that the user has already received a copy of these materials or\nthat you have already sent this user a copy.\n\nFor an executable, the required form of the \"work that uses the Library\" must\ninclude any data and utility programs needed for reproducing the executable\nfrom it. However, as a special exception, the source code distributed need\nnot include anything that is normally distributed (in either source or binary\nform) with the major components (compiler, kernel, and so on) of the operating\nsystem on which the executable runs, unless that component itself accompanies\nthe executable.\n\nIt may happen that this requirement contradicts the license restrictions of\nother proprietary libraries that do not normally accompany the operating system.\nSuch a contradiction means you cannot use both them and the Library together\nin an executable that you distribute.\n\n7. You may place library facilities that are a work based on the Library side-by-side\nin a single library together with other library facilities not covered by\nthis License, and distribute such a combined library, provided that the separate\ndistribution of the work based on the Library and of the other library facilities\nis otherwise permitted, and provided that you do these two things:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities. This must be distributed\nunder the terms of the Sections above.\n\nb) Give prominent notice with the combined library of the fact that part of\nit is a work based on the Library, and explaining where to find the accompanying\nuncombined form of the same work.\n\n8. You may not copy, modify, sublicense, link with, or distribute the Library\nexcept as expressly provided under this License. Any attempt otherwise to\ncopy, modify, sublicense, link with, or distribute the Library is void, and\nwill automatically terminate your rights under this License. However, parties\nwho have received copies, or rights, from you under this License will not\nhave their licenses terminated so long as such parties remain in full compliance.\n\n9. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nLibrary or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Library\n(or any work based on the Library), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Library or works based on it.\n\n10. Each time you redistribute the Library (or any work based on the Library),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute, link with or modify the Library subject to these terms\nand conditions. You may not impose any further restrictions on the recipients\'\nexercise of the rights granted herein. You are not responsible for enforcing\ncompliance by third parties to this License.\n\n11. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Library at all. For example, if a\npatent license would not permit royalty-free redistribution of the Library\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Library.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply,\nand the section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n12. If the distribution and/or use of the Library is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Library under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n13. The Free Software Foundation may publish revised and/or new versions of\nthe Library General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nLibrary does not specify a license version number, you may choose any version\never published by the Free Software Foundation.\n\n14. If you wish to incorporate parts of the Library into other free programs\nwhose distribution conditions are incompatible with these, write to the author\nto ask for permission. For software which is copyrighted by the Free Software\nFoundation, write to the Free Software Foundation; we sometimes make exceptions\nfor this. Our decision will be guided by the two goals of preserving the free\nstatus of all derivatives of our free software and of promoting the sharing\nand reuse of software generally.\n\n   NO WARRANTY\n\n15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Libraries\n\nIf you develop a new library, and you want it to be of the greatest possible\nuse to the public, we recommend making it free software that everyone can\nredistribute and change. You can do so by permitting redistribution under\nthese terms (or, alternatively, under the terms of the ordinary General Public\nLicense).\n\nTo apply these terms, attach the following notices to the library. It is safest\nto attach them to the start of each source file to most effectively convey\nthe exclusion of warranty; and each file should have at least the \"copyright\"\nline and a pointer to where the full notice is found.\n\none line to give the library\'s name and an idea of what it does.\n\nCopyright (C) year name of author\n\nThis library is free software; you can redistribute it and/or modify it under\nthe terms of the GNU Library General Public License as published by the Free\nSoftware Foundation; either version 2 of the License, or (at your option)\nany later version.\n\nThis library is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Library General Public License\nalong with this library; if not, write to the Free Software Foundation, Inc.,\n51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the library, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in\n\nthe library `Frob\' (a library for tweaking knobs) written\n\nby James Random Hacker.\n\nsignature of Ty Coon, 1 April 1990\n\nTy Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(174,'OLDAP-2.2','The OpenLDAP Public License\n\nVersion 2.2, 1 March 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000, The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distributed verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(175,'dvipdfm','A modified version of this file may be distributed, but it should be distributed\nwith a *different* name. Changed files must be distributed *together with\na complete and unchanged* distribution of these files.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(176,'0BSD','Copyright (C) 2006 by Rob Landley <rob@landley.net>\n\nPermission to use, copy, modify, and/or distribute this software for any purpose\nwith or without fee is hereby granted.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH\nREGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,\nINDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM\nLOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE\nOR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR\nPERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(177,'NTP','NTP License (NTP)\n\nCopyright (c) (CopyrightHoldersName) (From 4-digit-year)-(To 4-digit-year)\n\nPermission to use, copy, modify, and distribute this software and its documentation\nfor any purpose with or without fee is hereby granted, provided that the above\ncopyright notice appears in all copies and that both the copyright notice\nand this permission notice appear in supporting documentation, and that the\nname (TrademarkedName) not be used in advertising or publicity pertaining\nto distribution of the software without specific, written prior permission.\n(TrademarkedName) makes no representations about the suitability this software\nfor any purpose. It is provided \"as is\" without express or implied warranty.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(178,'XSkat','This program is free software; you can redistribute it freely.\n\nUse it at your own risk; there is NO WARRANTY.\n\nRedistribution of modified versions is permitted provided that the following\nconditions are met:\n\n   1. All copyright & permission notices are preserved.\n\n   2.a) Only changes required for packaging or porting are made.\n\n   or\n\n2.b) It is clearly stated who last changed the program. The program is renamed\nor the version number is of the form x.y.z, where x.y is the version of the\noriginal program and z is an arbitrary suffix.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(179,'Multics','Multics License Historical Background\n\nThis edition of the Multics software materials and documentation is provided\nand donated to Massachusetts Institute of Technology by Group BULL including\nBULL HN Information Systems Inc. as a contribution to computer science knowledge.\nThis donation is made also to give evidence of the common contributions of\nMassachusetts Institute of Technology, Bell Laboratories, General Electric,\nHoneywell Information Systems Inc., Honeywell BULL Inc., Groupe BULL and BULL\nHN Information Systems Inc. to the development of this operating system. Multics\ndevelopment was initiated by Massachusetts Institute of Technology Project\nMAC (1963-1970), renamed the MIT Laboratory for Computer Science and Artificial\nIntelligence in the mid 1970s, under the leadership of Professor Fernando\nJose Corbato. Users consider that Multics provided the best software architecture\nfor managing computer hardware properly and for executing programs. Many subsequent\noperating systems incorporated Multics principles. Multics was distributed\nin 1975 to 2000 by Group Bull in Europe, and in the U.S. by Bull HN Information\nSystems Inc., as successor in interest by change in name only to Honeywell\nBull Inc. and Honeywell Information Systems Inc. . -----------------------------------------------------------\n\nPermission to use, copy, modify, and distribute these programs and their documentation\nfor any purpose and without fee is hereby granted, provided that the below\ncopyright notice and historical background appear in all copies and that both\nthe copyright notice and historical background and this permission notice\nappear in supporting documentation, and that the names of MIT, HIS, BULL or\nBULL HN not be used in advertising or publicity pertaining to distribution\nof the programs without specific prior written permission.\n\nCopyright 1972 by Massachusetts Institute of Technology and Honeywell Information\nSystems Inc.\n\nCopyright 2006 by BULL HN Information Systems Inc.\n\nCopyright 2006 by Bull SAS All Rights Reserved\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(180,'BSD-3-Clause-No-Nuclear-License-2014','Copyright © 2008, 2014 Oracle and/or its affiliates. All rights reserved.\n\nUse is subject to license terms.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Neither the name of Oracle Corporation nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE\nFOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nYou acknowledge that this software is not designed, licensed or intended for\nuse in the design, construction, operation or maintenance of any nuclear facility.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(181,'CC-BY-ND-2.0','Creative Commons Attribution-NoDerivs 2.0 CREATIVE COMMONS CORPORATION IS\nNOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE\nDOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES\nTHIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\nb. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works.\n\n      c. For the avoidance of doubt, where the work is a musical composition:\n\ni. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work.\n\nii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive\nright to collect, whether individually or via a music rights society or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions).\n\nd. Webcasting Rights and Statutory Royalties. For the avoidance of doubt,\nwhere the Work is a sound recording, Licensor waives the exclusive right to\ncollect, whether individually or via a performance-rights society (e.g. SoundExchange),\nroyalties for the public digital performance (e.g. webcast) of the Work, subject\nto the compulsory license created by 17 USC Section 114 of the US Copyright\nAct (or the equivalent in other jurisdictions).\n\n   \n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats,\nbut otherwise you have no rights to make Derivative Works. All rights not\nexpressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested.\n\nb. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or Collective Works, You must keep intact all copyright notices\nfor the Work and give the Original Author credit reasonable to the medium\nor means You are utilizing by conveying the name (or pseudonym if applicable)\nof the Original Author if supplied; the title of the Work if supplied; and\nto the extent reasonably practicable, the Uniform Resource Identifier, if\nany, that Licensor specifies to be associated with the Work, unless such URI\ndoes not refer to the copyright notice or licensing information for the Work.\nSuch credit may be implemented in any reasonable manner; provided, however,\nthat in the case of a Collective Work, at a minimum such credit will appear\nwhere any other comparable authorship credit appears and in a manner at least\nas prominent as such other comparable authorship credit.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE MATERIALS, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT\nLIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR\nPURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY,\nOR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS\nDO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT\nAPPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collective Works from You under this License, however, will\nnot have their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work, the Licensor\noffers to the recipient a license to the Work on the same terms and conditions\nas the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http s ://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(182,'CECILL-2.1','CeCILL FREE SOFTWARE LICENSE AGREEMENT\n\nVersion 2.1 dated 2013-06-21 Notice\n\nThis Agreement is a Free Software license agreement that is the result of\ndiscussions between its authors in order to ensure compliance with the two\nmain principles guiding its drafting:\n\n* firstly, compliance with the principles governing the distribution of Free\nSoftware: access to source code, broad rights granted to users,\n\n* secondly, the election of a governing law, French law, with which it is\nconformant, both as regards the law of torts and intellectual property law,\nand the protection that it offers to both authors and holders of the economic\nrights over software.\n\nThe authors of the CeCILL¹ license are:\n\n   \n\nCommissariat à l\'énergie atomique et aux énergies alternatives - CEA, a public\nscientific, technical and industrial research establishment, having its principal\nplace of business at 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   \n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and\ntechnological establishment, having its principal place of business at 3 rue\nMichel-Ange, 75794 Paris cedex 16, France.\n\n   \n\nInstitut National de Recherche en Informatique et en Automatique - Inria,\na public scientific and technological establishment, having its principal\nplace of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay\ncedex, France.\n\nPreamble The purpose of this Free Software license agreement is to grant users\nthe right to modify and redistribute the software governed by this license\nwithin the framework of an open source distribution model.\n\nThe exercising of this right is conditional upon certain obligations for users\nso as to preserve this status for all subsequent redistributions.\n\nIn consideration of access to the source code and the rights to copy, modify\nand redistribute granted by the license, users are provided only with a limited\nwarranty and the software\'s author, the holder of the economic rights, and\nthe successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying and/or\ndeveloping or reproducing the software by the user are brought to the user\'s\nattention, given its Free Software status, which may make it complicated to\nuse, with the result that its use is reserved for developers and experienced\nprofessionals having in-depth computer knowledge. Users are therefore encouraged\nto load and test the suitability of the software as regards their requirements\nin conditions enabling the security of their systems and/or data to be ensured\nand, more generally, to use and operate it in the same conditions of security.\nThis Agreement may be freely reproduced and published, provided it is not\naltered, and that no provisions are either added or removed herefrom.\n\nThis Agreement may apply to any or all software for which the holder of the\neconomic rights decides to submit the use thereof to its provisions.\n\nFrequently asked questions can be found on the official website of the CeCILL\nlicenses family (http://www.cecill.info/index.en.html) for any necessary clarification.\n\n   Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions commence\nwith a capital letter, they shall have the following meaning:\n\n      \n\nAgreement: means this license agreement, and its possible subsequent versions\nand annexes.\n\n      \n\nSoftware: means the software in its Object Code and/or Source Code form and,\nwhere applicable, its documentation, \"as is\" when the Licensee accepts the\nAgreement.\n\n      \n\nInitial Software: means the Software in its Source Code and possibly its Object\nCode form and, where applicable, its documentation, \"as is\" when it is first\ndistributed under the terms and conditions of the Agreement.\n\n      \n\nModified Software: means the Software modified by at least one Contribution.\n\n      \n\nSource Code: means all the Software\'s instructions and program lines to which\naccess is required so as to modify the Software.\n\n      \n\nObject Code: means the binary files originating from the compilation of the\nSource Code.\n\n      \n\nHolder: means the holder(s) of the economic rights over the Initial Software.\n\n      \n\n      Licensee: means the Software user(s) having accepted the Agreement.\n\n      \n\n      Contributor: means a Licensee having made at least one Contribution.\n\n      \n\nLicensor: means the Holder, or any other individual or legal entity, who distributes\nthe Software under the Agreement.\n\n      \n\nContribution: means any or all modifications, corrections, translations, adaptations\nand/or new functions integrated into the Software by any or all Contributors,\nas well as any or all Internal Modules.\n\n      \n\nModule: means a set of sources files including their documentation that enables\nsupplementary functions or services in addition to those offered by the Software.\n\n      \n\nExternal Module: means any or all Modules, not derived from the Software,\nso that this Module and the Software run in separate address spaces, with\none calling the other when they are run.\n\n      \n\nInternal Module: means any or all Module, connected to the Software so that\nthey both execute in the same address space.\n\n      \n\nGNU GPL: means the GNU General Public License version 2 or any subsequent\nversion, as published by the Free Software Foundation Inc.\n\n      \n\nGNU Affero GPL: means the GNU Affero General Public License version 3 or any\nsubsequent version, as published by the Free Software Foundation Inc.\n\n      \n\nEUPL: means the European Union Public License version 1.1 or any subsequent\nversion, as published by the European Commission.\n\n      \n\n      Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the Licensee\nof a non-exclusive, transferable and worldwide license for the Software as\nset forth in Article 5 <#scope> hereinafter for the whole term of the protection\ngranted by the rights over said Software.\n\n   Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and conditions\nof this Agreement upon the occurrence of the first of the following events:\n\n(i) loading the Software by any or all means, notably, by downloading from\na remote server, or by loading from a physical medium;\n\n(ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the characteristics\nof the Software, to the limited warranty, and to the fact that its use is\nrestricted to experienced users has been provided to the Licensee prior to\nits acceptance as set forth in Article 3.1 <#accepting> hereinabove, and the\nLicensee hereby acknowledges that it has read and understood it.\n\n   Article 4 - EFFECTIVE DATE AND TERM\n\n      4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the\nLicensee as set forth in Article 3.1 <#accepting> .\n\n      4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of protection\nof the economic rights over the Software.\n\n   Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following rights\nover the Software for any or all use, and for the term of the Agreement, on\nthe basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents protecting\nall or part of the functions of the Software or of its components, the Licensor\nundertakes not to enforce the rights granted by these patents against successive\nLicensees using, exploiting or modifying the Software. If these patents are\ntransferred, the Licensor undertakes to have the transferees subscribe to\nthe obligations set forth in this paragraph.\n\n      5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation as\nto its fields of application, with it being hereinafter specified that this\ncomprises:\n\n1. permanent or temporary reproduction of all or part of the Software by any\nor all means and in any or all form.\n\n2. loading, displaying, running, or storing the Software on any or all medium.\n\n3. entitlement to observe, study or test its operation so as to determine\nthe ideas and principles behind any or all constituent elements of said Software.\nThis shall apply when the Licensee carries out any or all loading, displaying,\nrunning, transmission or storage operation as regards the Software, that it\nis entitled to carry out hereunder.\n\n      5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt, arrange,\nor make any or all modifications to the Software, and the right to reproduce\nthe resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the Software\nprovided that it includes an explicit notice that it is the author of said\nContribution and indicates the date of the creation thereof.\n\n      5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish, transmit\nand communicate the Software to the general public on any or all medium, and\nby any or all means, and the right to market, either in consideration of a\nfee, or free of charge, one or more copies of the Software by any means.\n\nThe Licensee is further authorized to distribute copies of the modified or\nunmodified Software to third parties according to the terms and conditions\nset forth hereinafter.\n\n         5.3.1. DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute true copies of the Software in Source\nCode or Object Code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is redistributed,\nthe Licensee allows effective access to the full Source Code of the Software\nfor a period of at least three years from the distribution of the Software,\nit being understood that the additional acquisition cost of the Source Code\nshall not exceed the cost of the data transfer.\n\n         5.3.2. DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and conditions\nfor the distribution of the resulting Modified Software become subject to\nall the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in source\ncode or object code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand, in the event that only the object code of the Modified Software is redistributed,\n\n3. a note stating the conditions of effective access to the full source code\nof the Modified Software for a period of at least three years from the distribution\nof the Modified Software, it being understood that the additional acquisition\ncost of the source code shall not exceed the cost of the data transfer.\n\n         5.3.3. DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and conditions\nof this Agreement do not apply to said External Module, that may be distributed\nunder a separate license agreement.\n\n         5.3.4. COMPATIBILITY WITH OTHER LICENSES\n\nThe Licensee can include a code that is subject to the provisions of one of\nthe versions of the GNU GPL, GNU Affero GPL and/or EUPL in the Modified or\nunmodified Software, and distribute that entire code under the terms of the\nsame version of the GNU GPL, GNU Affero GPL and/or EUPL.\n\nThe Licensee can include the Modified or unmodified Software in a code that\nis subject to the provisions of one of the versions of the GNU GPL, GNU Affero\nGPL and/or EUPL and distribute that entire code under the terms of the same\nversion of the GNU GPL, GNU Affero GPL and/or EUPL.\n\n   Article 6 - INTELLECTUAL PROPERTY\n\n      6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all\nuse of the Initial Software is subject to compliance with the terms and conditions\nunder which the Holder has elected to distribute its work and no one shall\nbe entitled to modify the terms and conditions for the distribution of said\nInitial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at least\nby this Agreement, for the duration set forth in Article 4.2 <#term> .\n\n      6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the intellectual\nproperty rights over this Contribution as defined by applicable law.\n\n      6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the intellectual\nproperty rights over this External Module as defined by applicable law and\nis free to choose the type of agreement that shall govern its distribution.\n\n      6.4 JOINT PROVISIONS\n\n      The Licensee expressly undertakes:\n\n1. not to remove, or modify, in any manner, the intellectual property notices\nattached to the Software;\n\n2. to reproduce said notices, in an identical manner, in the copies of the\nSoftware modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the intellectual\nproperty rights on the Software of the Holder and/or Contributors, and to\ntake, where applicable, vis-à-vis its staff, any and all measures required\nto ensure respect of said intellectual property rights of the Holder and/or\nContributors.\n\n   Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to provide\ntechnical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The terms\nand conditions of such technical assistance, and/or such maintenance, shall\nbe set forth in a separate instrument. Only the Licensor offering said maintenance\nand/or technical assistance services shall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under its\nsole responsibility, a warranty, that shall only be binding upon itself, for\nthe redistribution of the Software and/or the Modified Software, under terms\nand conditions that it is free to decide. Said warranty, and the financial\nterms and conditions of its application, shall be subject of a separate instrument\nexecuted between the Licensor and the Licensee.\n\n   Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be entitled\nto claim compensation for any direct loss it may have suffered from the Software\nas a result of a fault on the part of the relevant Licensor, subject to providing\nevidence thereof.\n\n8.2 The Licensor\'s liability is limited to the commitments made under this\nAgreement and shall not be incurred as a result of in particular: (i) loss\ndue the Licensee\'s total or partial failure to fulfill its obligations, (ii)\ndirect or consequential loss that is suffered by the Licensee due to the use\nor performance of the Software, and (iii) more generally, any consequential\nloss. In particular the Parties expressly agree that any or all pecuniary\nor business loss (i.e. loss of data, loss of profits, operating loss, loss\nof customers or orders, opportunity cost, any disturbance to business activities)\nor any or all legal proceedings instituted against the Licensee by a third\nparty, shall constitute consequential loss and shall not provide entitlement\nto any or all compensation from the Licensor.\n\n   Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical state-of-the-art\nwhen the Software was distributed did not enable all possible uses to be tested\nand verified, nor for the presence of possible defects to be detected. In\nthis respect, the Licensee\'s attention has been drawn to the risks associated\nwith loading, using, modifying and/or developing and reproducing the Software\nwhich are reserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means, the\nsuitability of the product for its requirements, its good working order, and\nfor ensuring that it shall not cause damage to either persons or properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled to\ngrant all the rights over the Software (including in particular the rights\nset forth in Article 5 <#scope> ).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by the\nLicensor without any other express or tacit warranty, other than that provided\nfor in Article 9.2 <#good-faith> and, in particular, without any warranty\nas to its commercial value, its secured, safe, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from\nany error, that it will operate without interruption, that it will be compatible\nwith the Licensee\'s own equipment and software configuration, nor that it\nwill meet the Licensee\'s requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the Software\ndoes not infringe any third party intellectual property right relating to\na patent, software or any other property right. Therefore, the Licensor disclaims\nany and all liability towards the Licensee arising out of any or all proceedings\nfor infringement that may be instituted in respect of the use, modification\nand redistribution of the Software. Nevertheless, should such proceedings\nbe instituted against the Licensee, the Licensor shall provide it with technical\nand legal expertise for its defense. Such technical and legal expertise shall\nbe decided on a case-by-case basis between the relevant Licensor and the Licensee\npursuant to a memorandum of understanding. The Licensor disclaims any and\nall liability as regards the Licensee\'s use of the name of the Software. No\nwarranty is given as regards the existence of prior rights over the name of\nthe Software or as regards the existence of a trademark.\n\n   Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations hereunder,\nthe Licensor may automatically terminate this Agreement thirty (30) days after\nnotice has been sent to the Licensee and has remained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be authorized\nto use, modify or distribute the Software. However, any licenses that it may\nhave granted prior to termination of the Agreement shall remain valid subject\nto their having been granted in compliance with the terms and conditions hereof.\n\n   Article 11 - MISCELLANEOUS\n\n      11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform\nthe Agreement, that may be attributable to an event of force majeure, an act\nof God or an outside cause, such as defective functioning or interruptions\nof the electricity or telecommunications networks, network paralysis following\na virus attack, intervention by government authorities, natural disasters,\nwater damage, earthquakes, fire, explosions, strikes and labor unrest, war,\netc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke one\nor more of the provisions hereof, shall under no circumstances be interpreted\nas being a waiver by the interested Party of its right to invoke said provision(s)\nsubsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements, whether\nwritten or oral, between the Parties and having the same purpose, and constitutes\nthe entirety of the agreement between said Parties concerning said purpose.\nNo supplement or modification to the terms and conditions hereof shall be\neffective as between the Parties unless it is made in writing and signed by\ntheir duly authorized representatives.\n\n11.4 In the event that one or more of the provisions hereof were to conflict\nwith a current or future applicable act or legislative text, said act or legislative\ntext shall prevail, and the Parties shall make the necessary amendments so\nas to comply with said act or legislative text. All other provisions shall\nremain effective. Similarly, invalidity of a provision of the Agreement, for\nany reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n      11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions are\ndeemed authentic.\n\n   Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this Agreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is protected\nand may only be modified by the authors of the License, who reserve the right\nto periodically publish updates or new versions of the Agreement, each with\na separate number. These subsequent versions may address new issues encountered\nby Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may only\nbe subsequently distributed under the same version of the Agreement or a subsequent\nversion, subject to the provisions of Article 5.3.4 <#compatibility> .\n\n   Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to endeavor\nto seek an amicable solution to any disagreements or disputes that may arise\nduring the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their occurrence,\nand unless emergency proceedings are necessary, the disagreements or disputes\nshall be referred to the Paris Courts having jurisdiction, by the more diligent\nParty. 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel) L(ibre)\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(183,'BSD-3-Clause-No-Nuclear-Warranty','Copyright (c) 2003-2005 Sun Microsystems, Inc. All Rights Reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n- Redistribution of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n- Redistribution in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n- Neither the name of Sun Microsystems, Inc. or the names of contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nThis software is provided \"AS IS,\" without a warranty of any kind. ALL EXPRESS\nOR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED\nWARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT,\nARE HEREBY EXCLUDED. SUN MICROSYSTEMS, INC. (\"SUN\") AND ITS LICENSORS SHALL\nNOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING\nOR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR\nITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,\nINDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER\nCAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF\nOR INABILITY TO USE THIS SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\nYou acknowledge that this software is not designed or intended for use in\nthe design, construction, operation or maintenance of any nuclear facility.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(184,'CC-BY-1.0','Creative Commons Attribution 1.0 CREATIVE COMMONS CORPORATION IS NOT A LAW\nFIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT LICENSE\nDOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES\nTHIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\na. By offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\n\ni. Licensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments;\n\nii. The Work does not infringe the copyright, trademark, publicity rights,\ncommon law rights or any other right of any third party or constitute defamation,\ninvasion of privacy or other tortious injury to any third party.\n\nb. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING\nOR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(185,'IPL-1.0','IBM Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS IBM\n\nPUBLIC LICENSE (\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION\n\nOF THE PROGRAM CONSTITUTES RECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT.\n\n   1. DEFINITIONS\n\n   \"Contribution\" means:\n\na. in the case of International Business Machines Corporation (\"IBM\"), the\nOriginal Program, and\n\n      b. in the case of each Contributor,\n\n         i. changes to the Program, and\n\nii. additions to the Program; where such changes and/or additions to the Program\noriginate from and are distributed by that particular Contributor. A Contribution\n\'originates\' from a Contributor if it was added to the Program by such Contributor\nitself or anyone acting on such Contributor\'s behalf. Contributions do not\ninclude additions to the Program which:\n\n(i) are separate modules of software distributed in conjunction with\n\n            the Program under their own license agreement, and (ii) are not\n\n            derivative works of the Program.\n\n   \"Contributor\" means IBM and any other entity that distributes the Program.\n\n\"Licensed Patents \" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Original Program\" means the original version of the software accompanying\nthis Agreement as released by IBM, including source code, object code and\ndocumentation, if any.\n\n   \"Program\" means the Original Program and Contributions.\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including\nall Contributors.\n\n   2. GRANT OF RIGHTS\n\na. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form.\n\nb. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in source code and object code form.\nThis patent license shall apply to the combination of the Contribution and\nthe Program if, at the time the Contribution is added by the Contributor,\nsuch addition of the Contribution causes such combination to be covered by\nthe Licensed Patents. The patent license shall not apply to any other combinations\nwhich include the Contribution. No hardware per se is licensed hereunder.\n\n      c. Recipient understands that although each Contributor grants the\n\n      licenses to its Contributions set forth herein, no assurances are\n\n      provided by any Contributor that the Program does not infringe the\n\n      patent or other intellectual property rights of any other entity.\n\n      Each Contributor disclaims any liability to Recipient for claims\n\n      brought by any other entity based on infringement of intellectual\n\n      property rights or otherwise. As a condition to exercising the\n\n      rights and licenses granted hereunder, each Recipient hereby assumes\n\n      sole responsibility to secure any other intellectual property rights\n\n      needed, if any. For example, if a third party patent license is\n\n      required to allow Recipient to distribute the Program, it is\n\n      Recipient\'s responsibility to acquire that license before\n\n      distributing the Program.\n\n      d. Each Contributor represents that to its knowledge it has\n\n      sufficient copyright rights in its Contribution, if any, to grant the\n\n      copyright license set forth in this Agreement.\n\n   3. REQUIREMENTS\n\nA Contributor may choose to distribute the Program in object code form under\nits own license agreement, provided that:\n\n      a. it complies with the terms and conditions of this Agreement; and\n\n      b. its license agreement:\n\ni. effectively disclaims on behalf of all Contributors all warranties and\nconditions, express and implied, including warranties or conditions of title\nand non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nii. effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits;\n\niii. states that any provisions which differ from this Agreement are offered\nby that Contributor alone and not by any other party; and\n\niv. states that source code for the Program is available from such Contributor,\nand informs licensees how to obtain it in a reasonable manner on or through\na medium customarily used for software exchange.\n\n   When the Program is made available in source code form:\n\n      a. it must be made available under this Agreement; and\n\nb. a copy of this Agreement must be included with each copy of the Program.\n\nEach Contributor must include the following in a conspicuous location in the\nProgram:\n\nCopyright (C) 1996, 1999 International Business Machines Corporation and others.\nAll Rights Reserved.\n\nIn addition, each Contributor must identify itself as the originator of its\nContribution, if any, in a manner that reasonably allows subsequent Recipients\nto identify the originator of the Contribution.\n\n   4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Contributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for other Contributors.\nTherefore, if a Contributor includes the Program in a commercial product offering,\nsuch Contributor (\"Commercial Contributor\") hereby agrees to defend and indemnify\nevery other Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Contributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nContributor in writing of such claim, and b) allow the Commercial Contributor\nto control, and cooperate with the Commercial Contributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Contributor might include the Program in a commercial product\noffering, Product X. That Contributor is then a Commercial Contributor. If\nthat Commercial Contributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nContributor\'s responsibility alone. Under this section, the Commercial Contributor\nwould have to defend claims against the other Contributors related to those\nperformance claims and warranties, and if a court requires any other Contributor\nto pay any damages as a result, the Commercial Contributor must pay those\ndamages.\n\n   5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\nOR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF\nTITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n   6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY\nCONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION\nLOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect\nto a patent applicable to software (including a cross-claim or counterclaim\nin a lawsuit), then any patent licenses granted by that Contributor to such\nRecipient under this Agreement shall terminate as of the date such litigation\nis filed. In addition, if Recipient institutes patent litigation against any\nentity (including a cross-claim or counterclaim in a lawsuit) alleging that\nthe Program itself (excluding combinations of the Program with other software\nor hardware) infringes such Recipient\'s patent(s), then such Recipient\'s rights\ngranted under Section 2(b) shall terminate as of the date such litigation\nis filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\nIBM may publish new versions (including revisions) of this Agreement from\ntime to time. Each new version of the Agreement will be given a distinguishing\nversion number. The Program (including Contributions) may always be distributed\nsubject to the version of the Agreement under which it was received. In addition,\nafter a new version of the Agreement is published, Contributor may elect to\ndistribute the Program (including its Contributions) under the new version.\nNo one other than IBM has the right to modify this Agreement. Except as expressly\nstated in Sections 2(a) and 2(b) above, Recipient receives no rights or licenses\nto the intellectual property of any Contributor under this Agreement, whether\nexpressly, by implication, estoppel or otherwise. All rights in the Program\nnot expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of New York and the intellectual\nproperty laws of the United States of America. No party to this Agreement\nwill bring a legal action under this Agreement more than one year after the\ncause of action arose. Each party waives its rights to a jury trial in any\nresulting litigation.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(186,'EFL-1.0','Eiffel Forum License, version 1\n\nPermission is hereby granted to use, copy, modify and/or distribute this package,\nprovided that:\n\n   - copyright notices are retained unchanged\n\n- any distribution of this package, whether modified or not, includes this\nfile\n\nPermission is hereby also granted to distribute binary programs which depend\non this package, provided that:\n\n- if the binary program depends on a modified version of this package, you\nmust publicly release the modified version of this package\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\nAUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS\nPACKAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(187,'Linux-syscall-note','NOTE! This copyright does *not* cover user programs that use kernel services by normal system calls - this is merely considered normal use of the kernel, and does *not* fall under the heading of \"derived work\". Also note that the GPL below is copyrighted by the Free Software Foundation, but the instance of code that it refers to (the Linux kernel) is copyrighted by me and others who actually wrote it.\n\nAlso note that the only valid version of the GPL as far as the kernel is concerned is _this_ particular version of the license (ie v2, not v2.2 or v3.x or whatever), unless explicitly otherwise stated.\n\nLinus Torvalds\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(188,'Condor-1.1','Condor Public License\n\nVersion 1.1, October 30, 2003\n\nCopyright © 1990-2006 Condor Team, Computer Sciences Department, University\nof Wisconsin-Madison, Madison, WI. All Rights Reserved. For more information\ncontact: Condor Team, Attention: Professor Miron Livny, Dept of Computer Sciences,\n1210 W. Dayton St., Madison, WI 53706-1685, (608) 262-0856 or miron@cs.wisc.edu.\n\nThis software referred to as the Condor® Version 6.x software (\"Software\")\nwas developed by the Condor Project, Condor Team, Computer Sciences Department,\nUniversity of Wisconsin-Madison, under the authority of the Board of Regents\nof the University of Wisconsin System and includes voluntary contributions\nmade to the Condor Project (\"Copyright Holders and Contributors and the University\").\nFor more information on the Condor Project, please see http://www.condorproject.org/.\n\nInstallation, use, reproduction, display, modification and redistribution\nof this Software, with or without modification, in source and binary forms,\nare permitted. Any exercise of rights under this license including sublicenses\nby you is subject to the following conditions:\n\n1. Redistributions of this Software, with or without modification, must reproduce\nthis Condor Public License in: (1) the Software, and (2) any user documentation\nor other similar material which is provided with the Software.\n\n   \n\n2. Any user documentation included with a redistribution must include the\nfollowing notice:\n\n\"This product includes software from the Condor® Project (http://www.condorproject.org/)\"\n\nAlternatively, if that is where third-party acknowledgments normally appear,\nthis acknowledgment must be reproduced in the Software itself.\n\n3. Any academic report, publication, or other academic disclosure of results\nobtained with this Software will acknowledge this Software\'s use by an appropriate\ncitation.\n\n4. The name Condor® is a registered trademark of the University of Wisconsin-Madison.\nThe trademark may not be used to endorse or promote software, or products\nderived therefrom, and, other than as required by section 2 and 3 above, it\nmay not be affixed to modified redistributions of this Software without the\nprior written approval, obtainable via email to condor-admin@cs.wisc.edu.\n\n5. To the extent that patent claims licensable by the University of Wisconsin-Madison\nare necessarily infringed by the use or sale of the Software, you are granted\na non-exclusive, worldwide, royalty- free perpetual license under such patent\nclaims, with the rights for you to make, use, sell, offer to sell, import\nand otherwise transfer the Software in source code and object code form and\nderivative works. This patent license shall apply to the combination of the\nSoftware with other software if, at the time the Software is added by you,\nsuch addition of the Software causes such combination to be covered by such\npatent claims. This patent license shall not apply to any other combinations\nwhich include the Software. No hardware per se is licensed hereunder.If you\nor any subsequent sub-licensee (a ``Recipient\") institutes patent litigation\nagainst any entity (including a cross-claim or counterclaim in a lawsuit)\nalleging that the Software infringes such Recipient\'s patent(s), then such\nRecipient\'s rights granted (directly or indirectly) under the patent license\nabove shall terminate as of the date such litigation is filed. All sublicenses\nto the Software which have been properly granted prior to termination shall\nsurvive any termination of said patent license, if not otherwise terminated\npursuant to this section.\n\n   6. DISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AND THE\nUNIVERSITY \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY,\nAND FITNESS FOR A PARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE COPYRIGHT\nHOLDERS AND CONTRIBUTORS AND THE UNIVERSITY MAKE NO REPRESENTATION THAT THE\nSOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE WORKS THEREOF, WILL NOT\nINFRINGE ANY PATENT, COPYRIGHT, TRADEMARK, TRADE SECRET OR OTHER PROPRIETARY\nRIGHT.\n\n   7. LIMITATION OF LIABILITY\n\nTHE COPYRIGHT HOLDERS AND CONTRIBUTORS AND ANY OTHER OFFICER, AGENT, OR EMPLOYEE\nOF THE UNIVERSITY SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER PERSONS FOR\nDIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE\nDAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS INTERRUPTION,\nHOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE),\nPRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n8. Certain uses and transfers of the Software or documentation, and/or items\nor software incorporating the Condor Software or documentation, may require\na license under U.S. Export Control laws. Licensee represents and warrants\nthat all uses and transfers of the Condor Software or documentation and/or\nany items or software incorporating Condor shall be in compliance with U.S.\nExport Control laws, and Licensee further understands that failure to comply\nwith such export control laws may result in criminal liability to Licensee\nunder U.S. laws.\n\n9. The Condor Team may publish revised and/or new versions of this Condor\nPublic License (``this License\") from time to time. Each version will be given\na distinguishing version number. Once Software has been published under a\nparticular version of this License, you may always continue to use it under\nthe terms of that version. You may also choose to use such Software under\nthe terms of any subsequent version of this License published by the Condor\nTeam. No one other than the Condor Team has the right to modify the terms\nof this License. For more information:\n\nCondor Team\n\nAttention: Professor Miron Livny\n\n7367 Computer Sciences\n\n1210 W. Dayton St.\n\nMadison, WI 53706-1685\n\nmiron@cs.wisc.edu\n\nhttp://pages.cs.wisc.edu/~miron/miron.html\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(189,'Beerware','\"THE BEER-WARE LICENSE\" (Revision 42):\n\n<phk@FreeBSD.ORG> wrote this file. As long as you retain this notice you can\ndo whatever you want with this stuff. If we meet some day, and you think this\nstuff is worth it, you can buy me a beer in return Poul-Henning Kamp\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(190,'EUDatagrid','EU DataGrid Software License\n\nCopyright (c) 2001 EU DataGrid. All rights reserved.\n\nThis software includes voluntary contributions made to the EU DataGrid. For\nmore information on the EU DataGrid, please see http://www.eu-datagrid.org/.\n\nInstallation, use, reproduction, display, modification and redistribution\nof this software, with or without modification, in source and binary forms,\nare permitted. Any exercise of rights under this license by you or your sub-licensees\nis subject to the following conditions:\n\n1. Redistributions of this software, with or without modification, must reproduce\nthe above copyright notice and the above license statement as well as this\nlist of conditions, in the software, the user documentation and any other\nmaterials provided with the software.\n\n2. The user documentation, if any, included with a redistribution, must include\nthe following notice:\n\n\"This product includes software developed by the EU DataGrid (http://www.eu-datagrid.org/).\"\n\nAlternatively, if that is where third-party acknowledgments normally appear,\nthis acknowledgment must be reproduced in the software itself.\n\n3. The names \"EDG\", \"EDG Toolkit\", \"EU DataGrid\" and \"EU DataGrid Project\"\nmay not be used to endorse or promote software, or products derived therefrom,\nexcept with prior written permission by hep-project-grid-edg-license@cern.ch.\n\n4. You are under no obligation to provide anyone with any bug fixes, patches,\nupgrades or other modifications, enhancements or derivatives of the features,\nfunctionality or performance of this software that you may develop. However,\nif you publish or distribute your modifications, enhancements or derivative\nworks without contemporaneously requiring users to enter into a separate written\nlicense agreement, then you are deemed to have granted participants in the\nEU DataGrid a worldwide, non-exclusive, royalty-free, perpetual license to\ninstall, use, reproduce, display, modify, redistribute and sub-license your\nmodifications, enhancements or derivative works, whether in binary or source\ncode form, under the license conditions stated in this list of conditions.\n\n   5. DISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED BY THE EU DATAGRID AND CONTRIBUTORS \"AS IS\" AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY, OF SATISFACTORY QUALITY, AND FITNESS FOR A\nPARTICULAR PURPOSE OR USE ARE DISCLAIMED. THE EU DATAGRID AND CONTRIBUTORS\nMAKE NO REPRESENTATION THAT THE SOFTWARE, MODIFICATIONS, ENHANCEMENTS OR DERIVATIVE\nWORKS THEREOF, WILL NOT INFRINGE ANY PATENT, COPYRIGHT, TRADE SECRET OR OTHER\nPROPRIETARY RIGHT.\n\n   6. LIMITATION OF LIABILITY\n\nTHE EU DATAGRID AND CONTRIBUTORS SHALL HAVE NO LIABILITY TO LICENSEE OR OTHER\nPERSONS FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, EXEMPLARY,\nOR PUNITIVE DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, PROCUREMENT\nOF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA OR PROFITS, OR BUSINESS\nINTERRUPTION, HOWEVER CAUSED AND ON ANY THEORY OF CONTRACT, WARRANTY, TORT\n(INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGES.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(191,'OML','This FastCGI application library source and object code (the \"Software\") and\nits documentation (the \"Documentation\") are copyrighted by Open Market, Inc\n(\"Open Market\"). The following terms apply to all files associated with the\nSoftware and Documentation unless explicitly disclaimed in individual files.\n\nOpen Market permits you to use, copy, modify, distribute, and license this\nSoftware and the Documentation for any purpose, provided that existing copyright\nnotices are retained in all copies and that this notice is included verbatim\nin any distributions. No written agreement, license, or royalty fee is required\nfor any of the authorized uses. Modifications to this Software and Documentation\nmay be copyrighted by their authors and need not follow the licensing terms\ndescribed here. If modifications to this Software and Documentation have new\nlicensing terms, the new terms must be clearly indicated on the first page\nof each file where they apply.\n\nOPEN MARKET MAKES NO EXPRESS OR IMPLIED WARRANTY WITH RESPECT TO THE SOFTWARE\nOR THE DOCUMENTATION, INCLUDING WITHOUT LIMITATION ANY WARRANTY OF MERCHANTABILITY\nOR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL OPEN MARKET BE LIABLE\nTO YOU OR ANY THIRD PARTY FOR ANY DAMAGES ARISING FROM OR RELATING TO THIS\nSOFTWARE OR THE DOCUMENTATION, INCLUDING, WITHOUT LIMITATION, ANY INDIRECT,\nSPECIAL OR CONSEQUENTIAL DAMAGES OR SIMILAR DAMAGES, INCLUDING LOST PROFITS\nOR LOST DATA, EVEN IF OPEN MARKET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGES. THE SOFTWARE AND DOCUMENTATION ARE PROVIDED \"AS IS\". OPEN MARKET\nHAS NO LIABILITY IN CONTRACT, TORT, NEGLIGENCE OR OTHERWISE ARISING OUT OF\nTHIS SOFTWARE OR THE DOCUMENTATION.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(192,'curl','COPYRIGHT AND PERMISSION NOTICE\n\nCopyright (c) 1996 - 2015, Daniel Stenberg, <daniel@haxx.se>.\n\nAll rights reserved.\n\nPermission to use, copy, modify, and distribute this software for any purpose\nwith or without fee is hereby granted, provided that the above copyright notice\nand this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO\nEVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES\nOR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\nFROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS\nIN THE SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not\nbe used in advertising or otherwise to promote the sale, use or other dealings\nin this Software without prior written authorization of the copyright holder.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(193,'Eurosym','Copyright (c) 1999-2002 Henrik Theiling \n\nLicence Version 2\n\n\n\nThis software is provided \'as-is\', without warranty of any kind, express or\nimplied. In no event will the authors or copyright holders be held liable\nfor any damages arising from the use of this software.\n\nPermission is granted to anyone to use this software for any purpose, including\ncommercial applications, and to alter it and redistribute it freely, subject\nto the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim\nthat you wrote the original software. If you use this software in a product,\nan acknowledgment in the product documentation would be appreciated.\n\n2. Altered source versions must be plainly marked as such, and must not be\nmisrepresented as being the original software.\n\n3. You must not use any of the names of the authors or copyright holders of\nthe original software for advertising or publicity pertaining to distribution\nwithout specific, written prior permission.\n\n4. If you change this software and redistribute parts or all of it in any\nform, you must make the source code of the altered version of this software\navailable.\n\n   5. This notice may not be removed or altered from any source distribution.\n\nThis licence is governed by the Laws of Germany. Disputes shall be settled\nby Saarbruecken City Court.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(194,'OLDAP-2.4','The OpenLDAP Public License\n\nVersion 2.4, 8 December 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements\nand notices, this list of conditions, and the following disclaimer in the\ndocumentation and/or other materials provided with the distribution.\n\n   3. Redistributions must contain a verbatim copy of this document.\n\n4. The names and trademarks of the authors and copyright holders must not\nbe used in advertising or otherwise to promote the sale, use or other dealing\nin this Software without specific, written prior permission.\n\n   5. Due credit should be given to the OpenLDAP Project.\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent revision\nof the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distributed verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(195,'CNRI-Python','CNRI OPEN SOURCE LICENSE AGREEMENT\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR\nOTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED\nTO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research\nInitiatives, having an office at 1895 Preston White Drive, Reston, VA 20191\n(\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise\nusing Python 1.6, beta 1 software in source or binary form and its associated\ndocumentation, as released at the www.python.org Internet site on August 4,\n2000 (\"Python 1.6b1\").\n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby\ngrants Licensee a non-exclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python 1.6b1 alone or in any derivative version,\nprovided, however, that CNRIs License Agreement is retained in Python 1.6b1,\nalone or in any derivative version prepared by Licensee.\n\nAlternately, in lieu of CNRIs License Agreement, Licensee may substitute the\nfollowing text (omitting the quotes): \"Python 1.6, beta 1, is made available\nsubject to the terms and conditions in CNRIs License Agreement. This Agreement\nmay be located on the Internet using the following unique, persistent identifier\n(known as a handle): 1895.22/1011. This Agreement may also be obtained from\na proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates\nPython 1.6b1 or any part thereof, and wants to make the derivative work available\nto the public as provided herein, then Licensee hereby agrees to indicate\nin any such work the nature of the modifications made to Python 1.6b1.\n\n4. CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis.\nCNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF\nEXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION\nOR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT\nOF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF,\nEVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n7. This License Agreement shall be governed by and interpreted in all respects\nby the law of the State of Virginia, excluding conflict of law provisions.\nNothing in this License Agreement shall be deemed to create any relationship\nof agency, partnership, or joint venture between CNRI and Licensee. This License\nAgreement does not grant permission to use CNRI trademarks or trade name in\na trademark sense to endorse or promote products or services of Licensee,\nor any third party.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing\nor otherwise using Python 1.6b1, Licensee agrees to be bound by the terms\nand conditions of this License Agreement.\n\nACCEPT\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(196,'GPL-2.0-only','GNU GENERAL PUBLIC LICENSE\n\nVersion 2, June 1991\n\nCopyright (C) 1989, 1991 Free Software Foundation, Inc. \n\n51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 , USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe licenses for most software are designed to take away your freedom to share\nand change it. By contrast, the GNU General Public License is intended to\nguarantee your freedom to share and change free software--to make sure the\nsoftware is free for all its users. This General Public License applies to\nmost of the Free Software Foundation\'s software and to any other program whose\nauthors commit to using it. (Some other Free Software Foundation software\nis covered by the GNU Lesser General Public License instead.) You can apply\nit to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for this service if you\nwish), that you receive source code or can get it if you want it, that you\ncan change the software or use pieces of it in new free programs; and that\nyou know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe software, or if you modify it.\n\nFor example, if you distribute copies of such a program, whether gratis or\nfor a fee, you must give the recipients all the rights that you have. You\nmust make sure that they, too, receive or can get the source code. And you\nmust show them these terms so they know their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2)\noffer you this license which gives you legal permission to copy, distribute\nand/or modify the software.\n\nAlso, for each author\'s protection and ours, we want to make certain that\neveryone understands that there is no warranty for this free software. If\nthe software is modified by someone else and passed on, we want its recipients\nto know that what they have is not the original, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nFinally, any free program is threatened constantly by software patents. We\nwish to avoid the danger that redistributors of a free program will individually\nobtain patent licenses, in effect making the program proprietary. To prevent\nthis, we have made it clear that any patent must be licensed for everyone\'s\nfree use or not licensed at all.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n\n0. This License applies to any program or other work which contains a notice\nplaced by the copyright holder saying it may be distributed under the terms\nof this General Public License. The \"Program\", below, refers to any such program\nor work, and a \"work based on the Program\" means either the Program or any\nderivative work under copyright law: that is to say, a work containing the\nProgram or a portion of it, either verbatim or with modifications and/or translated\ninto another language. (Hereinafter, translation is included without limitation\nin the term \"modification\".) Each licensee is addressed as \"you\".\n\nActivities other than copying, distribution and modification are not covered\nby this License; they are outside its scope. The act of running the Program\nis not restricted, and the output from the Program is covered only if its\ncontents constitute a work based on the Program (independent of having been\nmade by running the Program). Whether that is true depends on what the Program\ndoes.\n\n1. You may copy and distribute verbatim copies of the Program\'s source code\nas you receive it, in any medium, provided that you conspicuously and appropriately\npublish on each copy an appropriate copyright notice and disclaimer of warranty;\nkeep intact all the notices that refer to this License and to the absence\nof any warranty; and give any other recipients of the Program a copy of this\nLicense along with the Program.\n\nYou may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\n2. You may modify your copy or copies of the Program or any portion of it,\nthus forming a work based on the Program, and copy and distribute such modifications\nor work under the terms of Section 1 above, provided that you also meet all\nof these conditions:\n\na) You must cause the modified files to carry prominent notices stating that\nyou changed the files and the date of any change.\n\nb) You must cause any work that you distribute or publish, that in whole or\nin part contains or is derived from the Program or any part thereof, to be\nlicensed as a whole at no charge to all third parties under the terms of this\nLicense.\n\nc) If the modified program normally reads commands interactively when run,\nyou must cause it, when started running for such interactive use in the most\nordinary way, to print or display an announcement including an appropriate\ncopyright notice and a notice that there is no warranty (or else, saying that\nyou provide a warranty) and that users may redistribute the program under\nthese conditions, and telling the user how to view a copy of this License.\n(Exception: if the Program itself is interactive but does not normally print\nsuch an announcement, your work based on the Program is not required to print\nan announcement.)\n\nThese requirements apply to the modified work as a whole. If identifiable\nsections of that work are not derived from the Program, and can be reasonably\nconsidered independent and separate works in themselves, then this License,\nand its terms, do not apply to those sections when you distribute them as\nseparate works. But when you distribute the same sections as part of a whole\nwhich is a work based on the Program, the distribution of the whole must be\non the terms of this License, whose permissions for other licensees extend\nto the entire whole, and thus to each and every part regardless of who wrote\nit.\n\nThus, it is not the intent of this section to claim rights or contest your\nrights to work written entirely by you; rather, the intent is to exercise\nthe right to control the distribution of derivative or collective works based\non the Program.\n\nIn addition, mere aggregation of another work not based on the Program with\nthe Program (or with a work based on the Program) on a volume of a storage\nor distribution medium does not bring the other work under the scope of this\nLicense.\n\n3. You may copy and distribute the Program (or a work based on it, under Section\n2) in object code or executable form under the terms of Sections 1 and 2 above\nprovided that you also do one of the following:\n\na) Accompany it with the complete corresponding machine-readable source code,\nwhich must be distributed under the terms of Sections 1 and 2 above on a medium\ncustomarily used for software interchange; or,\n\nb) Accompany it with a written offer, valid for at least three years, to give\nany third party, for a charge no more than your cost of physically performing\nsource distribution, a complete machine-readable copy of the corresponding\nsource code, to be distributed under the terms of Sections 1 and 2 above on\na medium customarily used for software interchange; or,\n\nc) Accompany it with the information you received as to the offer to distribute\ncorresponding source code. (This alternative is allowed only for noncommercial\ndistribution and only if you received the program in object code or executable\nform with such an offer, in accord with Subsection b above.)\n\nThe source code for a work means the preferred form of the work for making\nmodifications to it. For an executable work, complete source code means all\nthe source code for all modules it contains, plus any associated interface\ndefinition files, plus the scripts used to control compilation and installation\nof the executable. However, as a special exception, the source code distributed\nneed not include anything that is normally distributed (in either source or\nbinary form) with the major components (compiler, kernel, and so on) of the\noperating system on which the executable runs, unless that component itself\naccompanies the executable.\n\nIf distribution of executable or object code is made by offering access to\ncopy from a designated place, then offering equivalent access to copy the\nsource code from the same place counts as distribution of the source code,\neven though third parties are not compelled to copy the source along with\nthe object code.\n\n4. You may not copy, modify, sublicense, or distribute the Program except\nas expressly provided under this License. Any attempt otherwise to copy, modify,\nsublicense or distribute the Program is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n5. You are not required to accept this License, since you have not signed\nit. However, nothing else grants you permission to modify or distribute the\nProgram or its derivative works. These actions are prohibited by law if you\ndo not accept this License. Therefore, by modifying or distributing the Program\n(or any work based on the Program), you indicate your acceptance of this License\nto do so, and all its terms and conditions for copying, distributing or modifying\nthe Program or works based on it.\n\n6. Each time you redistribute the Program (or any work based on the Program),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute or modify the Program subject to these terms and conditions.\nYou may not impose any further restrictions on the recipients\' exercise of\nthe rights granted herein. You are not responsible for enforcing compliance\nby third parties to this License.\n\n7. If, as a consequence of a court judgment or allegation of patent infringement\nor for any other reason (not limited to patent issues), conditions are imposed\non you (whether by court order, agreement or otherwise) that contradict the\nconditions of this License, they do not excuse you from the conditions of\nthis License. If you cannot distribute so as to satisfy simultaneously your\nobligations under this License and any other pertinent obligations, then as\na consequence you may not distribute the Program at all. For example, if a\npatent license would not permit royalty-free redistribution of the Program\nby all those who receive copies directly or indirectly through you, then the\nonly way you could satisfy both it and this License would be to refrain entirely\nfrom distribution of the Program.\n\nIf any portion of this section is held invalid or unenforceable under any\nparticular circumstance, the balance of the section is intended to apply and\nthe section as a whole is intended to apply in other circumstances.\n\nIt is not the purpose of this section to induce you to infringe any patents\nor other property right claims or to contest validity of any such claims;\nthis section has the sole purpose of protecting the integrity of the free\nsoftware distribution system, which is implemented by public license practices.\nMany people have made generous contributions to the wide range of software\ndistributed through that system in reliance on consistent application of that\nsystem; it is up to the author/donor to decide if he or she is willing to\ndistribute software through any other system and a licensee cannot impose\nthat choice.\n\nThis section is intended to make thoroughly clear what is believed to be a\nconsequence of the rest of this License.\n\n8. If the distribution and/or use of the Program is restricted in certain\ncountries either by patents or by copyrighted interfaces, the original copyright\nholder who places the Program under this License may add an explicit geographical\ndistribution limitation excluding those countries, so that distribution is\npermitted only in or among countries not thus excluded. In such case, this\nLicense incorporates the limitation as if written in the body of this License.\n\n9. The Free Software Foundation may publish revised and/or new versions of\nthe General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\na version number of this License which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nProgram does not specify a version number of this License, you may choose\nany version ever published by the Free Software Foundation.\n\n10. If you wish to incorporate parts of the Program into other free programs\nwhose distribution conditions are different, write to the author to ask for\npermission. For software which is copyrighted by the Free Software Foundation,\nwrite to the Free Software Foundation; we sometimes make exceptions for this.\nOur decision will be guided by the two goals of preserving the free status\nof all derivatives of our free software and of promoting the sharing and reuse\nof software generally.\n\n   NO WARRANTY\n\n11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR\nTHE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively convey the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n< one line to give the program\'s name and an idea of what it does. >\n\nCopyright (C) < yyyy > < name of author >\n\nThis program is free software; you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation; either version 2 of the License, or (at your option) any later\nversion.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program; if not, write to the Free Software Foundation, Inc., 51 Franklin\nStreet, Fifth Floor, Boston, MA 02110-1301 , USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when\nit starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) year name of author Gnomovision comes\nwith ABSOLUTELY NO WARRANTY; for details type `show w\'. This is free software,\nand you are welcome to redistribute it under certain conditions; type `show\nc\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, the commands you use may be\ncalled something other than `show w\' and `show c\'; they could even be mouse-clicks\nor menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. Here\nis a sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision\'\n(which makes passes at compilers) written by James Hacker.\n\n< signature of Ty Coon > , 1 April 1989 Ty Coon, President of Vice This General\nPublic License does not permit incorporating your program into proprietary\nprograms. If your program is a subroutine library, you may consider it more\nuseful to permit linking proprietary applications with the library. If this\nis what you want to do, use the GNU Lesser General Public License instead\nof this License.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(197,'TCL','This software is copyrighted by the Regents of the University of California,\nSun Microsystems, Inc., Scriptics Corporation, ActiveState Corporation and\nother parties. The following terms apply to all files associated with the\nsoftware unless explicitly disclaimed in individual files.\n\nThe authors hereby grant permission to use, copy, modify, distribute, and\nlicense this software and its documentation for any purpose, provided that\nexisting copyright notices are retained in all copies and that this notice\nis included verbatim in any distributions. No written agreement, license,\nor royalty fee is required for any of the authorized uses. Modifications to\nthis software may be copyrighted by their authors and need not follow the\nlicensing terms described here, provided that the new terms are clearly indicated\non the first page of each file where they apply.\n\nIN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY FOR DIRECT,\nINDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE\nUSE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY DERIVATIVES THEREOF, EVEN\nIF THE AUTHORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nTHE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR\nA PARTICULAR PURPOSE, AND NON-INFRINGEMENT. THIS SOFTWARE IS PROVIDED ON AN\n\"AS IS\" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE NO OBLIGATION TO PROVIDE\nMAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.\n\nGOVERNMENT USE: If you are acquiring this software on behalf of the U.S. government,\nthe Government shall have only \"Restricted Rights\" in the software and related\ndocumentation as defined in the Federal Acquisition Regulations (FARs) in\nClause 52.227.19 (c) (2). If you are acquiring the software on behalf of the\nDepartment of Defense, the software shall be classified as \"Commercial Computer\nSoftware\" and the Government shall have only \"Restricted Rights\" as defined\nin Clause 252.227-7013 (c) (1) of DFARs. Notwithstanding the foregoing, the\nauthors grant the U.S. Government and others acting in its behalf permission\nto use and distribute the software in accordance with the terms specified\nin this license.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(198,'BSD-2-Clause-Patent','Copyright (c) <YEAR> <COPYRIGHT HOLDERS>\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nSubject to the terms and conditions of this license, each copyright holder\nand contributor hereby grants to those receiving rights under this license\na perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n(except for failure to satisfy the conditions of this license) patent license\nto make, have made, use, offer to sell, sell, import, and otherwise transfer\nthis software, where such license applies only to those patent claims, already\nacquired or hereafter acquired, licensable by such copyright holder or contributor\nthat are necessarily infringed by:\n\n(a) their Contribution(s) (the licensed copyrights of copyright holders and\nnon-copyrightable additions of contributors, in source or binary form) alone;\nor\n\n(b) combination of their Contribution(s) with the work of authorship to which\nsuch Contribution(s) was added by such copyright holder or contributor, if,\nat the time the Contribution is added, such addition causes such combination\nto be necessarily infringed. The patent license shall not apply to any other\ncombinations which include the Contribution.\n\nExcept as expressly stated above, no rights or licenses from any copyright\nholder or contributor is granted under this license, whether expressly, by\nimplication, estoppel or otherwise.\n\nDISCLAIMER\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(199,'CECILL-2.0','CeCILL FREE SOFTWARE LICENSE AGREEMENT Notice\n\nThis Agreement is a Free Software license agreement that is the result of\ndiscussions between its authors in order to ensure compliance with the two\nmain principles guiding its drafting:\n\n* firstly, compliance with the principles governing the distribution of Free\nSoftware: access to source code, broad rights granted to users,\n\n* secondly, the election of a governing law, French law, with which it is\nconformant, both as regards the law of torts and intellectual property law,\nand the protection that it offers to both authors and holders of the economic\nrights over software.\n\nThe authors of the CeCILL¹ license are:\n\n   \n\nCommissariat à l\'Energie Atomique - CEA, a public scientific, technical and\nindustrial research establishment, having its principal place of business\nat 25 rue Leblanc, immeuble Le Ponant D, 75015 Paris, France.\n\n   \n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and\ntechnological establishment, having its principal place of business at 3 rue\nMichel-Ange, 75794 Paris cedex 16, France.\n\n   \n\nInstitut National de Recherche en Informatique et en Automatique - INRIA,\na public scientific and technological establishment, having its principal\nplace of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay\ncedex, France.\n\nPreamble The purpose of this Free Software license agreement is to grant users\nthe right to modify and redistribute the software governed by this license\nwithin the framework of an open source distribution model.\n\nThe exercising of these rights is conditional upon certain obligations for\nusers so as to preserve this status for all subsequent redistributions.\n\nIn consideration of access to the source code and the rights to copy, modify\nand redistribute granted by the license, users are provided only with a limited\nwarranty and the software\'s author, the holder of the economic rights, and\nthe successive licensors only have limited liability.\n\nIn this respect, the risks associated with loading, using, modifying and/or\ndeveloping or reproducing the software by the user are brought to the user\'s\nattention, given its Free Software status, which may make it complicated to\nuse, with the result that its use is reserved for developers and experienced\nprofessionals having in-depth computer knowledge. Users are therefore encouraged\nto load and test the suitability of the software as regards their requirements\nin conditions enabling the security of their systems and/or data to be ensured\nand, more generally, to use and operate it in the same conditions of security.\nThis Agreement may be freely reproduced and published, provided it is not\naltered, and that no provisions are either added or removed herefrom.\n\nThis Agreement may apply to any or all software for which the holder of the\neconomic rights decides to submit the use thereof to its provisions.\n\n   Article 1 - DEFINITIONS\n\nFor the purpose of this Agreement, when the following expressions commence\nwith a capital letter, they shall have the following meaning:\n\n      \n\nAgreement: means this license agreement, and its possible subsequent versions\nand annexes.\n\n      \n\nSoftware: means the software in its Object Code and/or Source Code form and,\nwhere applicable, its documentation, \"as is\" when the Licensee accepts the\nAgreement.\n\n      \n\nInitial Software: means the Software in its Source Code and possibly its Object\nCode form and, where applicable, its documentation, \"as is\" when it is first\ndistributed under the terms and conditions of the Agreement.\n\n      \n\nModified Software: means the Software modified by at least one Contribution.\n\n      \n\nSource Code: means all the Software\'s instructions and program lines to which\naccess is required so as to modify the Software.\n\n      \n\nObject Code: means the binary files originating from the compilation of the\nSource Code.\n\n      \n\nHolder: means the holder(s) of the economic rights over the Initial Software.\n\n      \n\n      Licensee: means the Software user(s) having accepted the Agreement.\n\n      \n\n      Contributor: means a Licensee having made at least one Contribution.\n\n      \n\nLicensor: means the Holder, or any other individual or legal entity, who distributes\nthe Software under the Agreement.\n\n      \n\nContribution: means any or all modifications, corrections, translations, adaptations\nand/or new functions integrated into the Software by any or all Contributors,\nas well as any or all Internal Modules.\n\n      \n\nModule: means a set of sources files including their documentation that enables\nsupplementary functions or services in addition to those offered by the Software.\n\n      \n\nExternal Module: means any or all Modules, not derived from the Software,\nso that this Module and the Software run in separate address spaces, with\none calling the other when they are run.\n\n      \n\nInternal Module: means any or all Module, connected to the Software so that\nthey both execute in the same address space.\n\n      \n\nGNU GPL: means the GNU General Public License version 2 or any subsequent\nversion, as published by the Free Software Foundation Inc.\n\n      \n\n      Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   Article 2 - PURPOSE\n\nThe purpose of the Agreement is the grant by the Licensor to the Licensee\nof a non-exclusive, transferable and worldwide license for the Software as\nset forth in Article 5 hereinafter for the whole term of the protection granted\nby the rights over said Software.\n\n   Article 3 - ACCEPTANCE\n\n3.1 The Licensee shall be deemed as having accepted the terms and conditions\nof this Agreement upon the occurrence of the first of the following events:\n\n(i) loading the Software by any or all means, notably, by downloading from\na remote server, or by loading from a physical medium;\n\n(ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2 One copy of the Agreement, containing a notice relating to the characteristics\nof the Software, to the limited warranty, and to the fact that its use is\nrestricted to experienced users has been provided to the Licensee prior to\nits acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby\nacknowledges that it has read and understood it.\n\n   Article 4 - EFFECTIVE DATE AND TERM\n\n      4.1 EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the\nLicensee as set forth in Article 3.1.\n\n      4.2 TERM\n\nThe Agreement shall remain in force for the entire legal term of protection\nof the economic rights over the Software.\n\n   Article 5 - SCOPE OF RIGHTS GRANTED\n\nThe Licensor hereby grants to the Licensee, who accepts, the following rights\nover the Software for any or all use, and for the term of the Agreement, on\nthe basis of the terms and conditions set forth hereinafter.\n\nBesides, if the Licensor owns or comes to own one or more patents protecting\nall or part of the functions of the Software or of its components, the Licensor\nundertakes not to enforce the rights granted by these patents against successive\nLicensees using, exploiting or modifying the Software. If these patents are\ntransferred, the Licensor undertakes to have the transferees subscribe to\nthe obligations set forth in this paragraph.\n\n      5.1 RIGHT OF USE\n\nThe Licensee is authorized to use the Software, without any limitation as\nto its fields of application, with it being hereinafter specified that this\ncomprises:\n\n1. permanent or temporary reproduction of all or part of the Software by any\nor all means and in any or all form.\n\n2. loading, displaying, running, or storing the Software on any or all medium.\n\n3. entitlement to observe, study or test its operation so as to determine\nthe ideas and principles behind any or all constituent elements of said Software.\nThis shall apply when the Licensee carries out any or all loading, displaying,\nrunning, transmission or storage operation as regards the Software, that it\nis entitled to carry out hereunder.\n\n      5.2 ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt, arrange,\nor make any or all modifications to the Software, and the right to reproduce\nthe resulting software.\n\nThe Licensee is authorized to make any or all Contributions to the Software\nprovided that it includes an explicit notice that it is the author of said\nContribution and indicates the date of the creation thereof.\n\n      5.3 RIGHT OF DISTRIBUTION\n\nIn particular, the right of distribution includes the right to publish, transmit\nand communicate the Software to the general public on any or all medium, and\nby any or all means, and the right to market, either in consideration of a\nfee, or free of charge, one or more copies of the Software by any means.\n\nThe Licensee is further authorized to distribute copies of the modified or\nunmodified Software to third parties according to the terms and conditions\nset forth hereinafter.\n\n         5.3.1. DISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to distribute true copies of the Software in Source\nCode or Object Code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Object Code of the Software is redistributed,\nthe Licensee allows future Licensees unhindered access to the full Source\nCode of the Software by indicating how to access it, it being understood that\nthe additional cost of acquiring the Source Code shall not exceed the cost\nof transferring the data.\n\n         5.3.2. DISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and conditions\nfor the distribution of the resulting Modified Software become subject to\nall the provisions of this Agreement.\n\nThe Licensee is authorized to distribute the Modified Software, in source\ncode or object code form, provided that said distribution complies with all\nthe provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the object code of the Modified Software\nis redistributed, the Licensee allows future Licensees unhindered access to\nthe full source code of the Modified Software by indicating how to access\nit, it being understood that the additional cost of acquiring the source code\nshall not exceed the cost of transferring the data.\n\n         5.3.3. DISTRIBUTION OF EXTERNAL MODULES\n\nWhen the Licensee has developed an External Module, the terms and conditions\nof this Agreement do not apply to said External Module, that may be distributed\nunder a separate license agreement.\n\n         5.3.4. COMPATIBILITY WITH THE GNU GPL\n\nThe Licensee can include a code that is subject to the provisions of one of\nthe versions of the GNU GPL in the Modified or unmodified Software, and distribute\nthat entire code under the terms of the same version of the GNU GPL.\n\nThe Licensee can include the Modified or unmodified Software in a code that\nis subject to the provisions of one of the versions of the GNU GPL, and distribute\nthat entire code under the terms of the same version of the GNU GPL.\n\n   Article 6 - INTELLECTUAL PROPERTY\n\n      6.1 OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all\nuse of the Initial Software is subject to compliance with the terms and conditions\nunder which the Holder has elected to distribute its work and no one shall\nbe entitled to modify the terms and conditions for the distribution of said\nInitial Software.\n\nThe Holder undertakes that the Initial Software will remain ruled at least\nby this Agreement, for the duration set forth in Article 4.2.\n\n      6.2 OVER THE CONTRIBUTIONS\n\nThe Licensee who develops a Contribution is the owner of the intellectual\nproperty rights over this Contribution as defined by applicable law.\n\n      6.3 OVER THE EXTERNAL MODULES\n\nThe Licensee who develops an External Module is the owner of the intellectual\nproperty rights over this External Module as defined by applicable law and\nis free to choose the type of agreement that shall govern its distribution.\n\n      6.4 JOINT PROVISIONS\n\n      The Licensee expressly undertakes:\n\n1. not to remove, or modify, in any manner, the intellectual property notices\nattached to the Software;\n\n2. to reproduce said notices, in an identical manner, in the copies of the\nSoftware modified or not.\n\nThe Licensee undertakes not to directly or indirectly infringe the intellectual\nproperty rights of the Holder and/or Contributors on the Software and to take,\nwhere applicable, vis-à-vis its staff, any and all measures required to ensure\nrespect of said intellectual property rights of the Holder and/or Contributors.\n\n   Article 7 - RELATED SERVICES\n\n7.1 Under no circumstances shall the Agreement oblige the Licensor to provide\ntechnical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of services. The terms\nand conditions of such technical assistance, and/or such maintenance, shall\nbe set forth in a separate instrument. Only the Licensor offering said maintenance\nand/or technical assistance services shall incur liability therefor.\n\n7.2 Similarly, any Licensor is entitled to offer to its licensees, under its\nsole responsibility, a warranty, that shall only be binding upon itself, for\nthe redistribution of the Software and/or the Modified Software, under terms\nand conditions that it is free to decide. Said warranty, and the financial\nterms and conditions of its application, shall be subject of a separate instrument\nexecuted between the Licensor and the Licensee.\n\n   Article 8 - LIABILITY\n\n8.1 Subject to the provisions of Article 8.2, the Licensee shall be entitled\nto claim compensation for any direct loss it may have suffered from the Software\nas a result of a fault on the part of the relevant Licensor, subject to providing\nevidence thereof.\n\n8.2 The Licensor\'s liability is limited to the commitments made under this\nAgreement and shall not be incurred as a result of in particular: (i) loss\ndue the Licensee\'s total or partial failure to fulfill its obligations, (ii)\ndirect or consequential loss that is suffered by the Licensee due to the use\nor performance of the Software, and (iii) more generally, any consequential\nloss. In particular the Parties expressly agree that any or all pecuniary\nor business loss (i.e. loss of data, loss of profits, operating loss, loss\nof customers or orders, opportunity cost, any disturbance to business activities)\nor any or all legal proceedings instituted against the Licensee by a third\nparty, shall constitute consequential loss and shall not provide entitlement\nto any or all compensation from the Licensor.\n\n   Article 9 - WARRANTY\n\n9.1 The Licensee acknowledges that the scientific and technical state-of-the-art\nwhen the Software was distributed did not enable all possible uses to be tested\nand verified, nor for the presence of possible defects to be detected. In\nthis respect, the Licensee\'s attention has been drawn to the risks associated\nwith loading, using, modifying and/or developing and reproducing the Software\nwhich are reserved for experienced users.\n\nThe Licensee shall be responsible for verifying, by any or all means, the\nsuitability of the product for its requirements, its good working order, and\nfor ensuring that it shall not cause damage to either persons or properties.\n\n9.2 The Licensor hereby represents, in good faith, that it is entitled to\ngrant all the rights over the Software (including in particular the rights\nset forth in Article 5).\n\n9.3 The Licensee acknowledges that the Software is supplied \"as is\" by the\nLicensor without any other express or tacit warranty, other than that provided\nfor in Article 9.2 and, in particular, without any warranty as to its commercial\nvalue, its secured, safe, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from\nany error, that it will operate without interruption, that it will be compatible\nwith the Licensee\'s own equipment and software configuration, nor that it\nwill meet the Licensee\'s requirements.\n\n9.4 The Licensor does not either expressly or tacitly warrant that the Software\ndoes not infringe any third party intellectual property right relating to\na patent, software or any other property right. Therefore, the Licensor disclaims\nany and all liability towards the Licensee arising out of any or all proceedings\nfor infringement that may be instituted in respect of the use, modification\nand redistribution of the Software. Nevertheless, should such proceedings\nbe instituted against the Licensee, the Licensor shall provide it with technical\nand legal assistance for its defense. Such technical and legal assistance\nshall be decided on a case-by-case basis between the relevant Licensor and\nthe Licensee pursuant to a memorandum of understanding. The Licensor disclaims\nany and all liability as regards the Licensee\'s use of the name of the Software.\nNo warranty is given as regards the existence of prior rights over the name\nof the Software or as regards the existence of a trademark.\n\n   Article 10 - TERMINATION\n\n10.1 In the event of a breach by the Licensee of its obligations hereunder,\nthe Licensor may automatically terminate this Agreement thirty (30) days after\nnotice has been sent to the Licensee and has remained ineffective.\n\n10.2 A Licensee whose Agreement is terminated shall no longer be authorized\nto use, modify or distribute the Software. However, any licenses that it may\nhave granted prior to termination of the Agreement shall remain valid subject\nto their having been granted in compliance with the terms and conditions hereof.\n\n   Article 11 - MISCELLANEOUS\n\n      11.1 EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform\nthe Agreement, that may be attributable to an event of force majeure, an act\nof God or an outside cause, such as defective functioning or interruptions\nof the electricity or telecommunications networks, network paralysis following\na virus attack, intervention by government authorities, natural disasters,\nwater damage, earthquakes, fire, explosions, strikes and labor unrest, war,\netc.\n\n11.2 Any failure by either Party, on one or more occasions, to invoke one\nor more of the provisions hereof, shall under no circumstances be interpreted\nas being a waiver by the interested Party of its right to invoke said provision(s)\nsubsequently.\n\n11.3 The Agreement cancels and replaces any or all previous agreements, whether\nwritten or oral, between the Parties and having the same purpose, and constitutes\nthe entirety of the agreement between said Parties concerning said purpose.\nNo supplement or modification to the terms and conditions hereof shall be\neffective as between the Parties unless it is made in writing and signed by\ntheir duly authorized representatives.\n\n11.4 In the event that one or more of the provisions hereof were to conflict\nwith a current or future applicable act or legislative text, said act or legislative\ntext shall prevail, and the Parties shall make the necessary amendments so\nas to comply with said act or legislative text. All other provisions shall\nremain effective. Similarly, invalidity of a provision of the Agreement, for\nany reason whatsoever, shall not cause the Agreement as a whole to be invalid.\n\n      11.5 LANGUAGE\n\nThe Agreement is drafted in both French and English and both versions are\ndeemed authentic.\n\n   Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1 Any person is authorized to duplicate and distribute copies of this Agreement.\n\n12.2 So as to ensure coherence, the wording of this Agreement is protected\nand may only be modified by the authors of the License, who reserve the right\nto periodically publish updates or new versions of the Agreement, each with\na separate number. These subsequent versions may address new issues encountered\nby Free Software.\n\n12.3 Any Software distributed under a given version of the Agreement may only\nbe subsequently distributed under the same version of the Agreement or a subsequent\nversion, subject to the provisions of Article 5.3.4.\n\n   Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1 The Agreement is governed by French law. The Parties agree to endeavor\nto seek an amicable solution to any disagreements or disputes that may arise\nduring the performance of the Agreement.\n\n13.2 Failing an amicable solution within two (2) months as from their occurrence,\nand unless emergency proceedings are necessary, the disagreements or disputes\nshall be referred to the Paris Courts having jurisdiction, by the more diligent\nParty.\n\nVersion 2.0 dated 2006-09-05. 1 CeCILL stands for Ce(a) C(nrs) I(nria) L(ogiciel)\nL(ibre)\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(200,'Barr','This is a package of commutative diagram macros built on top of Xy-pic by\nMichael Barr (email: barr@barrs.org). Its use is unrestricted. It may be freely\ndistributed, unchanged, for non-commercial or commercial use. If changed,\nit must be renamed. Inclusion in a commercial software package is also permitted,\nbut I would appreciate receiving a free copy for my personal examination and\nuse. There are no guarantees that this package is good for anything. I have\ntested it with LaTeX 2e, LaTeX 2.09 and Plain TeX. Although I know of no reason\nit will not work with AMSTeX, I have not tested it.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(201,'OLDAP-2.3','The OpenLDAP Public License\n\nVersion 2.3, 28 July 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\n\n2. Redistributions in binary form must reproduce applicable copyright statements\nand notices, this list of conditions, and the following disclaimer in the\ndocumentation and/or other materials provided with the distribution.\n\n   3. Redistributions must contain a verbatim copy of this document.\n\n4. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\n\n5. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation.\n\n6. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n7. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent revision\nof the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distributed verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(202,'AML','Copyright: Copyright (c) 2006 by Apple Computer, Inc., All Rights Reserved.\n\nIMPORTANT: This Apple software is supplied to you by Apple Computer, Inc.\n(\"Apple\") in consideration of your agreement to the following terms, and your\nuse, installation, modification or redistribution of this Apple software constitutes\nacceptance of these terms. If you do not agree with these terms, please do\nnot use, install, modify or redistribute this Apple software.\n\nIn consideration of your agreement to abide by the following terms, and subject\nto these terms, Apple grants you a personal, non-exclusive license, under\nApple\'s copyrights in this original Apple software (the \"Apple Software\"),\nto use, reproduce, modify and redistribute the Apple Software, with or without\nmodifications, in source and/or binary forms; provided that if you redistribute\nthe Apple Software in its entirety and without modifications, you must retain\nthis notice and the following text and disclaimers in all such redistributions\nof the Apple Software. Neither the name, trademarks, service marks or logos\nof Apple Computer, Inc. may be used to endorse or promote products derived\nfrom the Apple Software without specific prior written permission from Apple.\nExcept as expressly stated in this notice, no other rights or licenses, express\nor implied, are granted by Apple herein, including but not limited to any\npatent rights that may be infringed by your derivative works or by other works\nin which the Apple Software may be incorporated.\n\nThe Apple Software is provided by Apple on an \"AS IS\" basis. APPLE MAKES NO\nWARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES\nOF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,\nREGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN COMBINATION\nWITH YOUR PRODUCTS.\n\nIN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR\nCONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION\nOF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT,\nTORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE\nHAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(203,'psutils','PS Utilities Package\n\nThe constituent files of this package listed below are copyright (C) 1991-1995\nAngus J. C. Duggan.\n\nLICENSE Makefile.msc Makefile.nt Makefile.os2\n\nMakefile.unix README config.h descrip.mms\n\nepsffit.c epsffit.man extractres.man extractres.pl\n\nfixdlsrps.man fixdlsrps.pl fixfmps.man fixfmps.pl\n\nfixmacps.man fixmacps.pl fixpsditps.man fixpsditps.pl\n\nfixpspps.man fixpspps.pl fixscribeps.man fixscribeps.pl\n\nfixtpps.man fixtpps.pl fixwfwps.man fixwfwps.pl\n\nfixwpps.man fixwpps.pl fixwwps.man fixwwps.pl\n\ngetafm getafm.man includeres.man includeres.pl\n\nmaketext patchlev.h psbook.c psbook.man\n\npserror.c pserror.h psmerge.man psmerge.pl\n\npsnup.c psnup.man psresize.c psresize.man\n\npsselect.c psselect.man psspec.c psspec.h\n\npstops.c pstops.man psutil.c psutil.h\n\nshowchar\n\nThey may be copied and used for any purpose (including distribution as part\nof a for-profit product), provided:\n\n1) The original attribution of the programs is clearly displayed in the product\nand/or documentation, even if the programs are modified and/or renamed as\npart of the product.\n\n2) The original source code of the programs is provided free of charge (except\nfor reasonable distribution costs). For a definition of reasonable distribution\ncosts, see the Gnu General Public License or Larry Wall\'s Artistic License\n(provided with the Perl 4 kit). The GPL and Artistic License in NO WAY affect\nthis license; they are merely used as examples of the spirit in which it is\nintended.\n\n3) These programs are provided \"as-is\". No warranty or guarantee of their\nfitness for any particular task is provided. Use of these programs is completely\nat your own risk.\n\nBasically, I don\'t mind how you use the programs so long as you acknowledge\nthe author, and give people the originals if they want them.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(204,'HaskellReport','Code derived from the document \"Report on the Programming Language\n\nHaskell 2010\", is distributed under the following license:\n\nCopyright (c) 2010 Simon Marlow\n\nThe authors intend this Report to belong to the entire Haskell community,\nand so we grant permission to copy and distribute it for any purpose, provided\nthat it is reproduced in its entirety, including this Notice. Modified versions\nof this Report may also be copied and distributed for any purpose, provided\nthat the modified version is clearly presented as such, and that it does not\nclaim to be a definition of the Haskell 2010 Language.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(205,'JSON','JSON License\n\nCopyright (c) 2002 JSON.org\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Software.\n\nThe Software shall be used for Good, not Evil.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(206,'CC-BY-NC-ND-3.0','Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported CREATIVE\nCOMMONS CORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES.\nDISTRIBUTION OF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP.\nCREATIVE COMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS\nMAKES NO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY\nFOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(f) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined above) for the purposes of this License.\n\nc. \"Distribute\" means to make available to the public the original and copies\nof the Work through sale or other transfer of ownership.\n\nd. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\ne. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\nf. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\ng. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\nh. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\ni. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections; and,\n\nb. to Distribute and Publicly Perform the Work including as incorporated in\nCollections.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats,\nbut otherwise you have no rights to make Adaptations. Subject to 8(f), all\nrights not expressly granted by Licensor are hereby reserved, including but\nnot limited to the rights set forth in Section 4(d).\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(c), as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If You Distribute, or Publicly Perform the Work or Collections, You must,\nunless a request has been made pursuant to Section 4(a), keep intact all copyright\nnotices for the Work and provide, reasonable to the medium or means You are\nutilizing: (i) the name of the Original Author (or pseudonym, if applicable)\nif supplied, and/or if the Original Author and/or Licensor designate another\nparty or parties (e.g., a sponsor institute, publishing entity, journal) for\nattribution (\"Attribution Parties\") in Licensor\'s copyright notice, terms\nof service or by other reasonable means, the name of such party or parties;\n(ii) the title of the Work if supplied; (iii) to the extent reasonably practicable,\nthe URI, if any, that Licensor specifies to be associated with the Work, unless\nsuch URI does not refer to the copyright notice or licensing information for\nthe Work. The credit required by this Section 4(c) may be implemented in any\nreasonable manner; provided, however, that in the case of a Collection, at\na minimum such credit will appear, if a credit for all contributing authors\nof Collection appears, then as part of these credits and in a manner at least\nas prominent as the credits for the other contributing authors. For the avoidance\nof doubt, You may only use the credit required by this Section for the purpose\nof attribution in the manner set out above and, by exercising Your rights\nunder this License, You may not implicitly or explicitly assert or imply any\nconnection with, sponsorship or endorsement by the Original Author, Licensor\nand/or Attribution Parties, as appropriate, of You or Your use of the Work,\nwithout the separate, express prior written permission of the Original Author,\nLicensor and/or Attribution Parties.\n\n      d. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor reserves the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License if Your exercise\nof such rights is for a purpose or use which is otherwise than noncommercial\nas permitted under Section 4(b) and otherwise waives the right to collect\nroyalties through any statutory or compulsory licensing scheme; and,\n\niii. Voluntary License Schemes. The Licensor reserves the right to collect\nroyalties, whether individually or, in the event that the Licensor is a member\nof a collecting society that administers voluntary licensing schemes, via\nthat society, from any exercise by You of the rights granted under this License\nthat is for a purpose or use which is otherwise than noncommercial as permitted\nunder Section 4(b).\n\ne. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Collections, You must not distort,\nmutilate, modify or take other derogatory action in relation to the Work which\nwould be prejudicial to the Original Author\'s honor or reputation.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collections from You under this License, however, will not\nhave their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\ne. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of this License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(207,'Apache-2.0','Apache License\n\nVersion 2.0, January 2004\n\nhttp://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION,\nAND DISTRIBUTION\n\n   1. Definitions.\n\n      \n\n\"License\" shall mean the terms and conditions for use, reproduction, and distribution\nas defined by Sections 1 through 9 of this document.\n\n      \n\n\"Licensor\" shall mean the copyright owner or entity authorized by the copyright\nowner that is granting the License.\n\n      \n\n\"Legal Entity\" shall mean the union of the acting entity and all other entities\nthat control, are controlled by, or are under common control with that entity.\nFor the purposes of this definition, \"control\" means (i) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (ii) ownership of fifty percent (50%) or more\nof the outstanding shares, or (iii) beneficial ownership of such entity.\n\n      \n\n\"You\" (or \"Your\") shall mean an individual or Legal Entity exercising permissions\ngranted by this License.\n\n      \n\n\"Source\" form shall mean the preferred form for making modifications, including\nbut not limited to software source code, documentation source, and configuration\nfiles.\n\n      \n\n\"Object\" form shall mean any form resulting from mechanical transformation\nor translation of a Source form, including but not limited to compiled object\ncode, generated documentation, and conversions to other media types.\n\n      \n\n\"Work\" shall mean the work of authorship, whether in Source or Object form,\nmade available under the License, as indicated by a copyright notice that\nis included in or attached to the work (an example is provided in the Appendix\nbelow).\n\n      \n\n\"Derivative Works\" shall mean any work, whether in Source or Object form,\nthat is based on (or derived from) the Work and for which the editorial revisions,\nannotations, elaborations, or other modifications represent, as a whole, an\noriginal work of authorship. For the purposes of this License, Derivative\nWorks shall not include works that remain separable from, or merely link (or\nbind by name) to the interfaces of, the Work and Derivative Works thereof.\n\n      \n\n\"Contribution\" shall mean any work of authorship, including the original version\nof the Work and any modifications or additions to that Work or Derivative\nWorks thereof, that is intentionally submitted to Licensor for inclusion in\nthe Work by the copyright owner or by an individual or Legal Entity authorized\nto submit on behalf of the copyright owner. For the purposes of this definition,\n\"submitted\" means any form of electronic, verbal, or written communication\nsent to the Licensor or its representatives, including but not limited to\ncommunication on electronic mailing lists, source code control systems, and\nissue tracking systems that are managed by, or on behalf of, the Licensor\nfor the purpose of discussing and improving the Work, but excluding communication\nthat is conspicuously marked or otherwise designated in writing by the copyright\nowner as \"Not a Contribution.\"\n\n      \n\n\"Contributor\" shall mean Licensor and any individual or Legal Entity on behalf\nof whom a Contribution has been received by Licensor and subsequently incorporated\nwithin the Work.\n\n2. Grant of Copyright License. Subject to the terms and conditions of this\nLicense, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive,\nno-charge, royalty-free, irrevocable copyright license to reproduce, prepare\nDerivative Works of, publicly display, publicly perform, sublicense, and distribute\nthe Work and such Derivative Works in Source or Object form.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License,\neach Contributor hereby grants to You a perpetual, worldwide, non-exclusive,\nno-charge, royalty-free, irrevocable (except as stated in this section) patent\nlicense to make, have made, use, offer to sell, sell, import, and otherwise\ntransfer the Work, where such license applies only to those patent claims\nlicensable by such Contributor that are necessarily infringed by their Contribution(s)\nalone or by combination of their Contribution(s) with the Work to which such\nContribution(s) was submitted. If You institute patent litigation against\nany entity (including a cross-claim or counterclaim in a lawsuit) alleging\nthat the Work or a Contribution incorporated within the Work constitutes direct\nor contributory patent infringement, then any patent licenses granted to You\nunder this License for that Work shall terminate as of the date such litigation\nis filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or\nDerivative Works thereof in any medium, with or without modifications, and\nin Source or Object form, provided that You meet the following conditions:\n\n(a) You must give any other recipients of the Work or Derivative Works a copy\nof this License; and\n\n(b) You must cause any modified files to carry prominent notices stating that\nYou changed the files; and\n\n(c) You must retain, in the Source form of any Derivative Works that You distribute,\nall copyright, patent, trademark, and attribution notices from the Source\nform of the Work, excluding those notices that do not pertain to any part\nof the Derivative Works; and\n\n(d) If the Work includes a \"NOTICE\" text file as part of its distribution,\nthen any Derivative Works that You distribute must include a readable copy\nof the attribution notices contained within such NOTICE file, excluding those\nnotices that do not pertain to any part of the Derivative Works, in at least\none of the following places: within a NOTICE text file distributed as part\nof the Derivative Works; within the Source form or documentation, if provided\nalong with the Derivative Works; or, within a display generated by the Derivative\nWorks, if and wherever such third-party notices normally appear. The contents\nof the NOTICE file are for informational purposes only and do not modify the\nLicense. You may add Your own attribution notices within Derivative Works\nthat You distribute, alongside or as an addendum to the NOTICE text from the\nWork, provided that such additional attribution notices cannot be construed\nas modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide\nadditional or different license terms and conditions for use, reproduction,\nor distribution of Your modifications, or for any such Derivative Works as\na whole, provided Your use, reproduction, and distribution of the Work otherwise\ncomplies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any\nContribution intentionally submitted for inclusion in the Work by You to the\nLicensor shall be under the terms and conditions of this License, without\nany additional terms or conditions. Notwithstanding the above, nothing herein\nshall supersede or modify the terms of any separate license agreement you\nmay have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names,\ntrademarks, service marks, or product names of the Licensor, except as required\nfor reasonable and customary use in describing the origin of the Work and\nreproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to\nin writing, Licensor provides the Work (and each Contributor provides its\nContributions) on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, either express or implied, including, without limitation, any warranties\nor conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR\nA PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness\nof using or redistributing the Work and assume any risks associated with Your\nexercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether\nin tort (including negligence), contract, or otherwise, unless required by\napplicable law (such as deliberate and grossly negligent acts) or agreed to\nin writing, shall any Contributor be liable to You for damages, including\nany direct, indirect, special, incidental, or consequential damages of any\ncharacter arising as a result of this License or out of the use or inability\nto use the Work (including but not limited to damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses), even if such Contributor has been advised of the possibility\nof such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work\nor Derivative Works thereof, You may choose to offer, and charge a fee for,\nacceptance of support, warranty, indemnity, or other liability obligations\nand/or rights consistent with this License. However, in accepting such obligations,\nYou may act only on Your own behalf and on Your sole responsibility, not on\nbehalf of any other Contributor, and only if You agree to indemnify, defend,\nand hold each Contributor harmless for any liability incurred by, or claims\nasserted against, such Contributor by reason of your accepting any such warranty\nor additional liability. END OF TERMS AND CONDITIONS\n\nAPPENDIX: How to apply the Apache License to your work.\n\nTo apply the Apache License to your work, attach the following boilerplate\nnotice, with the fields enclosed by brackets \"[]\" replaced with your own identifying\ninformation. (Don\'t include the brackets!) The text should be enclosed in\nthe appropriate comment syntax for the file format. We also recommend that\na file or class name and description of purpose be included on the same \"printed\npage\" as the copyright notice for easier identification within third-party\narchives.\n\nCopyright [yyyy] [name of copyright owner]\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\n\nyou may not use this file except in compliance with the License.\n\nYou may obtain a copy of the License at\n\nhttp://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\n\ndistributed under the License is distributed on an \"AS IS\" BASIS,\n\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n\nSee the License for the specific language governing permissions and\n\nlimitations under the License.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(208,'SGI-B-2.0','SGI FREE SOFTWARE LICENSE B\n\n(Version 2.0, Sept. 18, 2008)\n\nCopyright (C) [dates of first publication] Silicon Graphics, Inc. All Rights\nReserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice including the dates of first publication and either\nthis permission notice or a reference to http://oss.sgi.com/projects/FreeB/\nshall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL SILICON GRAPHICS,\nINC. BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of Silicon Graphics, Inc. shall\nnot be used in advertising or otherwise to promote the sale, use or other\ndealings in this Software without prior written authorization from Silicon\nGraphics, Inc.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(209,'Unlicense','This is free and unencumbered software released into the public domain.\n\nAnyone is free to copy, modify, publish, use, compile, sell, or distribute\nthis software, either in source code form or as a compiled binary, for any\npurpose, commercial or non-commercial, and by any means.\n\nIn jurisdictions that recognize copyright laws, the author or authors of this\nsoftware dedicate any and all copyright interest in the software to the public\ndomain. We make this dedication for the benefit of the public at large and\nto the detriment of our heirs and\n\nsuccessors. We intend this dedication to be an overt act of relinquishment\nin perpetuity of all present and future rights to this software under copyright\nlaw.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nFor more information, please refer to <http://unlicense.org/>\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(210,'Libtool-exception','As a special exception to the GNU General Public License, if you distribute this file as part of a program or library that is built using GNU Libtool, you may include this file under the same distribution terms that you use for the rest of that program.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(211,'GFDL-1.2-or-later','GNU Free Documentation License\n\nVersion 1.2, November 2002\n\nCopyright (C) 2000,2001,2002 Free Software Foundation, Inc. 51 Franklin St,\nFifth Floor, Boston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional\nand useful document \"free\" in the sense of freedom: to assure everyone the\neffective freedom to copy and redistribute it, with or without modifying it,\neither commercially or noncommercially. Secondarily, this License preserves\nfor the author and publisher a way to get credit for their work, while not\nbeing considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains\na notice placed by the copyright holder saying it can be distributed under\nthe terms of this License. Such a notice grants a world-wide, royalty-free\nlicense, unlimited in duration, to use that work under the conditions stated\nherein. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\". You accept the license\nif you copy, modify or distribute the work in a way requiring permission under\ncopyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(Thus, if the Document is in part a textbook of mathematics, a Secondary Section\nmay not explain any mathematics.) The relationship could be a matter of historical\nconnection with the subject or with related matters, or of legal, commercial,\nphilosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License. If a section does not fit the above definition\nof Secondary then it is not allowed to be designated as Invariant. The Document\nmay contain zero Invariant Sections. If the Document does not identify any\nInvariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License. A Front-Cover Text may be at most 5 words, and a Back-Cover\nText may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, that is\nsuitable for revising the document straightforwardly with generic text editors\nor (for images composed of pixels) generic paint programs or (for drawings)\nsome widely available drawing editor, and that is suitable for input to text\nformatters or for automatic translation to a variety of formats suitable for\ninput to text formatters. A copy made in an otherwise Transparent file format\nwhose markup, or absence of markup, has been arranged to thwart or discourage\nsubsequent modification by readers is not Transparent. An image format is\nnot Transparent if used for any substantial amount of text. A copy that is\nnot \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML, PostScript or PDF designed\nfor human modification. Examples of transparent image formats include PNG,\nXCF and JPG. Opaque formats include proprietary formats that can be read and\nedited only by proprietary word processors, SGML or XML for which the DTD\nand/or processing tools are not generally available, and the machine-generated\nHTML, PostScript or PDF produced by some word processors for output purposes\nonly.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title\neither is precisely XYZ or contains XYZ in parentheses following text that\ntranslates XYZ in another language. (Here XYZ stands for a specific section\nname mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\",\nor \"History\".) To \"Preserve the Title\" of such a section when you modify the\nDocument means that it remains a section \"Entitled XYZ\" according to this\ndefinition.\n\nThe Document may include Warranty Disclaimers next to the notice which states\nthat this License applies to the Document. These Warranty Disclaimers are\nconsidered to be included by reference in this License, but only as regards\ndisclaiming warranties: any other implication that these Warranty Disclaimers\nmay have is void and has no effect on the meaning of this License.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed\ncovers) of the Document, numbering more than 100, and the Document\'s license\nnotice requires Cover Texts, you must enclose the copies in covers that carry,\nclearly and legibly, all these Cover Texts: Front-Cover Texts on the front\ncover, and Back-Cover Texts on the back cover. Both covers must also clearly\nand legibly identify you as the publisher of these copies. The front cover\nmust present the full title with all words of the title equally prominent\nand visible. You may add other material on the covers in addition. Copying\nwith changes limited to the covers, as long as they preserve the title of\nthe Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a computer-network\nlocation from which the general network-using public has access to download\nusing public-standard network protocols a complete Transparent copy of the\nDocument, free of added material. If you use the latter option, you must take\nreasonably prudent steps, when you begin distribution of Opaque copies in\nquantity, to ensure that this Transparent copy will remain thus accessible\nat the stated location until at least one year after the last time you distribute\nan Opaque copy (directly or through your agents or retailers) of that edition\nto the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has fewer than five), unless they release you from this requirement.\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice.\n\n      H. Include an unaltered copy of this License.\n\nI. Preserve the section Entitled \"History\", Preserve its Title, and add to\nit an item stating at least the title, year, new authors, and publisher of\nthe Modified Version as given on the Title Page. If there is no section Entitled\n\"History\" in the Document, create one stating the title, year, authors, and\npublisher of the Document as given on its Title Page, then add an item describing\nthe Modified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve\nthe Title of the section, and preserve in the section all the substance and\ntone of each of the contributor acknowledgements and/or dedications given\ntherein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section Entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section to be Entitled \"Endorsements\" or to\nconflict in title with any Invariant Section.\n\n      O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice, and that you preserve all their\nWarranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections Entitled \"History\" in the\nvarious original documents, forming one section Entitled \"History\"; likewise\ncombine any sections Entitled \"Acknowledgements\", and any sections Entitled\n\"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\nis called an \"aggregate\" if the copyright resulting from the compilation is\nnot used to limit the legal rights of the compilation\'s users beyond what\nthe individual works permit. When the Document is included in an aggregate,\nthis License does not apply to the other works in the aggregate which are\nnot themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one half of the entire aggregate,\nthe Document\'s Cover Texts may be placed on covers that bracket the Document\nwithin the aggregate, or the electronic equivalent of covers if the Document\nis in electronic form. Otherwise they must appear on printed covers that bracket\nthe whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License, and all the license notices in the Document, and any Warranty\nDisclaimers, provided that you also include the original English version of\nthis License and the original versions of those notices and disclaimers. In\ncase of a disagreement between the translation and the original version of\nthis License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\",\nor \"History\", the requirement (section 4) to Preserve its Title (section 1)\nwill typically require changing the actual title.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided for under this License. Any other attempt to copy, modify,\nsublicense or distribute the Document is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.2 or any later version published by the Free Software Foundation;\nwith no Invariant Sections , no Front-Cover Texts , and no Back-Cover Texts\n. A copy of the license is included in the section entitled \"GNU Free Documentation\nLicense\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace\nthe \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover\nTexts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination\nof the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(212,'GFDL-1.3-or-later','GNU Free Documentation License\n\nVersion 1.3, 3 November 2008\n\nCopyright (C) 2000, 2001, 2002, 2007, 2008 Free Software Foundation, Inc.\n<http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other functional\nand useful document \"free\" in the sense of freedom: to assure everyone the\neffective freedom to copy and redistribute it, with or without modifying it,\neither commercially or noncommercially. Secondarily, this License preserves\nfor the author and publisher a way to get credit for their work, while not\nbeing considered responsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work, in any medium, that contains\na notice placed by the copyright holder saying it can be distributed under\nthe terms of this License. Such a notice grants a world-wide, royalty-free\nlicense, unlimited in duration, to use that work under the conditions stated\nherein. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\". You accept the license\nif you copy, modify or distribute the work in a way requiring permission under\ncopyright law.\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(Thus, if the Document is in part a textbook of mathematics, a Secondary Section\nmay not explain any mathematics.) The relationship could be a matter of historical\nconnection with the subject or with related matters, or of legal, commercial,\nphilosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License. If a section does not fit the above definition\nof Secondary then it is not allowed to be designated as Invariant. The Document\nmay contain zero Invariant Sections. If the Document does not identify any\nInvariant Sections then there are none.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License. A Front-Cover Text may be at most 5 words, and a Back-Cover\nText may be at most 25 words.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, that is\nsuitable for revising the document straightforwardly with generic text editors\nor (for images composed of pixels) generic paint programs or (for drawings)\nsome widely available drawing editor, and that is suitable for input to text\nformatters or for automatic translation to a variety of formats suitable for\ninput to text formatters. A copy made in an otherwise Transparent file format\nwhose markup, or absence of markup, has been arranged to thwart or discourage\nsubsequent modification by readers is not Transparent. An image format is\nnot Transparent if used for any substantial amount of text. A copy that is\nnot \"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML, PostScript or PDF designed\nfor human modification. Examples of transparent image formats include PNG,\nXCF and JPG. Opaque formats include proprietary formats that can be read and\nedited only by proprietary word processors, SGML or XML for which the DTD\nand/or processing tools are not generally available, and the machine-generated\nHTML, PostScript or PDF produced by some word processors for output purposes\nonly.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\nThe \"publisher\" means any person or entity that distributes copies of the\nDocument to the public.\n\nA section \"Entitled XYZ\" means a named subunit of the Document whose title\neither is precisely XYZ or contains XYZ in parentheses following text that\ntranslates XYZ in another language. (Here XYZ stands for a specific section\nname mentioned below, such as \"Acknowledgements\", \"Dedications\", \"Endorsements\",\nor \"History\".) To \"Preserve the Title\" of such a section when you modify the\nDocument means that it remains a section \"Entitled XYZ\" according to this\ndefinition.\n\nThe Document may include Warranty Disclaimers next to the notice which states\nthat this License applies to the Document. These Warranty Disclaimers are\nconsidered to be included by reference in this License, but only as regards\ndisclaiming warranties: any other implication that these Warranty Disclaimers\nmay have is void and has no effect on the meaning of this License.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies (or copies in media that commonly have printed\ncovers) of the Document, numbering more than 100, and the Document\'s license\nnotice requires Cover Texts, you must enclose the copies in covers that carry,\nclearly and legibly, all these Cover Texts: Front-Cover Texts on the front\ncover, and Back-Cover Texts on the back cover. Both covers must also clearly\nand legibly identify you as the publisher of these copies. The front cover\nmust present the full title with all words of the title equally prominent\nand visible. You may add other material on the covers in addition. Copying\nwith changes limited to the covers, as long as they preserve the title of\nthe Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a computer-network\nlocation from which the general network-using public has access to download\nusing public-standard network protocols a complete Transparent copy of the\nDocument, free of added material. If you use the latter option, you must take\nreasonably prudent steps, when you begin distribution of Opaque copies in\nquantity, to ensure that this Transparent copy will remain thus accessible\nat the stated location until at least one year after the last time you distribute\nan Opaque copy (directly or through your agents or retailers) of that edition\nto the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has fewer than five), unless they release you from this requirement.\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice. H. Include an\nunaltered copy of this License.\n\nI. Preserve the section Entitled \"History\", Preserve its Title, and add to\nit an item stating at least the title, year, new authors, and publisher of\nthe Modified Version as given on the Title Page. If there is no section Entitled\n\"History\" in the Document, create one stating the title, year, authors, and\npublisher of the Document as given on its Title Page, then add an item describing\nthe Modified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. For any section Entitled \"Acknowledgements\" or \"Dedications\", Preserve\nthe Title of the section, and preserve in the section all the substance and\ntone of each of the contributor acknowledgements and/or dedications given\ntherein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section Entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section to be Entitled \"Endorsements\" or to\nconflict in title with any Invariant Section.\n\n      O. Preserve any Warranty Disclaimers.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section Entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice, and that you preserve all their\nWarranty Disclaimers.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections Entitled \"History\" in the\nvarious original documents, forming one section Entitled \"History\"; likewise\ncombine any sections Entitled \"Acknowledgements\", and any sections Entitled\n\"Dedications\". You must delete all sections Entitled \"Endorsements\".\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\nis called an \"aggregate\" if the copyright resulting from the compilation is\nnot used to limit the legal rights of the compilation\'s users beyond what\nthe individual works permit. When the Document is included in an aggregate,\nthis License does not apply to the other works in the aggregate which are\nnot themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one half of the entire aggregate,\nthe Document\'s Cover Texts may be placed on covers that bracket the Document\nwithin the aggregate, or the electronic equivalent of covers if the Document\nis in electronic form. Otherwise they must appear on printed covers that bracket\nthe whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License, and all the license notices in the Document, and any Warranty\nDisclaimers, provided that you also include the original English version of\nthis License and the original versions of those notices and disclaimers. In\ncase of a disagreement between the translation and the original version of\nthis License or a notice or disclaimer, the original version will prevail.\n\nIf a section in the Document is Entitled \"Acknowledgements\", \"Dedications\",\nor \"History\", the requirement (section 4) to Preserve its Title (section 1)\nwill typically require changing the actual title.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided under this License. Any attempt otherwise to copy, modify,\nsublicense, or distribute it is void, and will automatically terminate your\nrights under this License.\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, receipt\nof a copy of some or all of the same material does not give you any rights\nto use it.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nIf the Document specifies that a proxy can decide which future versions of\nthis License can be used, that proxy\'s public statement of acceptance of a\nversion permanently authorizes you to choose that version for the Document.\n\n   11. RELICENSING\n\n\"Massive Multiauthor Collaboration Site\" (or \"MMC Site\") means any World Wide\nWeb server that publishes copyrightable works and also provides prominent\nfacilities for anybody to edit those works. A public wiki that anybody can\nedit is an example of such a server. A \"Massive Multiauthor Collaboration\"\n(or \"MMC\") contained in the site means any set of copyrightable works thus\npublished on the MMC site.\n\n\"CC-BY-SA\" means the Creative Commons Attribution-Share Alike 3.0 license\npublished by Creative Commons Corporation, a not-for-profit corporation with\na principal place of business in San Francisco, California, as well as future\ncopyleft versions of that license published by that same organization.\n\n\"Incorporate\" means to publish or republish a Document, in whole or in part,\nas part of another Document.\n\nAn MMC is \"eligible for relicensing\" if it is licensed under this License,\nand if all works that were first published under this License somewhere other\nthan this MMC, and subsequently incorporated in whole or in part into the\nMMC, (1) had no cover texts or invariant sections, and (2) were thus incorporated\nprior to November 1, 2008.\n\nThe operator of an MMC Site may republish an MMC contained in the site under\nCC-BY-SA on the same site at any time before August 1, 2009, provided the\nMMC is eligible for relicensing. ADDENDUM: How to use this License for your\ndocuments\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME . Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.3 or any later version published by the Free Software Foundation;\nwith no Invariant Sections , no Front-Cover Texts , and no Back-Cover Texts\n. A copy of the license is included in the section entitled \"GNU Free Documentation\nLicense\".\n\nIf you have Invariant Sections, Front-Cover Texts and Back-Cover Texts, replace\nthe \"with...Texts.\" line with this:\n\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover\nTexts being LIST, and with the Back-Cover Texts being LIST.\n\nIf you have Invariant Sections without Cover Texts, or some other combination\nof the three, merge those two alternatives to suit the situation.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(213,'AMDPLPA','Copyright (c) 2006, 2007 Advanced Micro Devices, Inc.\n\nAll rights reserved.\n\nRedistribution and use in any form of this material and any product thereof\nincluding software in source or binary forms, along with any related documentation,\nwith or without modification (\"this material\"), is permitted provided that\nthe following conditions are met:\n\nRedistributions of source code of any software must retain the above copyright\nnotice and all terms of this license as part of the code.\n\nRedistributions in binary form of any software must reproduce the above copyright\nnotice and all terms of this license in any related documentation and/or other\nmaterials.\n\nNeither the names nor trademarks of Advanced Micro Devices, Inc. or any copyright\nholders or contributors may be used to endorse or promote products derived\nfrom this material without specific prior written permission.\n\nNotice about U.S. Government restricted rights: This material is provided\nwith \"RESTRICTED RIGHTS.\" Use, duplication or disclosure by the U.S. Government\nis subject to the full extent of restrictions set forth in FAR52.227 and DFARS252.227\net seq., or any successor or applicable regulations. Use of this material\nby the U.S. Government constitutes acknowledgment of the proprietary rights\nof Advanced Micro Devices, Inc. and any copyright holders and contributors.\n\nANY BREACH OF ANY TERM OF THIS LICENSE SHALL RESULT IN THE IMMEDIATE REVOCATION\nOF ALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL.\n\nTHIS MATERIAL IS PROVIDED BY ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT\nHOLDERS AND CONTRIBUTORS \"AS IS\" IN ITS CURRENT CONDITION AND WITHOUT ANY\nREPRESENTATIONS, GUARANTEE, OR WARRANTY OF ANY KIND OR IN ANY WAY RELATED\nTO SUPPORT, INDEMNITY, ERROR FREE OR UNINTERRUPTED OPERATION, OR THAT IT IS\nFREE FROM DEFECTS OR VIRUSES. ALL OBLIGATIONS ARE HEREBY DISCLAIMED - WHETHER\nEXPRESS, IMPLIED, OR STATUTORY - INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED\nWARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, ACCURACY,\nCOMPLETENESS, OPERABILITY, QUALITY OF SERVICE, OR NON-INFRINGEMENT. IN NO\nEVENT SHALL ADVANCED MICRO DEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, PUNITIVE, EXEMPLARY,\nOR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, REVENUE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED OR BASED ON ANY THEORY OF LIABILITY ARISING IN ANY WAY RELATED\nTO THIS MATERIAL, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE ENTIRE\nAND AGGREGATE LIABILITY OF ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT\nHOLDERS AND CONTRIBUTORS SHALL NOT EXCEED TEN DOLLARS (US $10.00). ANYONE\nREDISTRIBUTING OR ACCESSING OR USING THIS MATERIAL ACCEPTS THIS ALLOCATION\nOF RISK AND AGREES TO RELEASE ADVANCED MICRO DEVICES, INC. AND ANY COPYRIGHT\nHOLDERS AND CONTRIBUTORS FROM ANY AND ALL LIABILITIES, OBLIGATIONS, CLAIMS,\nOR DEMANDS IN EXCESS OF TEN DOLLARS (US $10.00). THE FOREGOING ARE ESSENTIAL\nTERMS OF THIS LICENSE AND, IF ANY OF THESE TERMS ARE CONSTRUED AS UNENFORCEABLE,\nFAIL IN ESSENTIAL PURPOSE, OR BECOME VOID OR DETRIMENTAL TO ADVANCED MICRO\nDEVICES, INC. OR ANY COPYRIGHT HOLDERS OR CONTRIBUTORS FOR ANY REASON, THEN\nALL RIGHTS TO REDISTRIBUTE, ACCESS OR USE THIS MATERIAL SHALL TERMINATE IMMEDIATELY.\nMOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION OF THIS\nLICENSE OR ANY AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nNOTICE IS HEREBY PROVIDED, AND BY REDISTRIBUTING OR ACCESSING OR USING THIS\nMATERIAL SUCH NOTICE IS ACKNOWLEDGED, THAT THIS MATERIAL MAY BE SUBJECT TO\nRESTRICTIONS UNDER THE LAWS AND REGULATIONS OF THE UNITED STATES OR OTHER\nCOUNTRIES, WHICH INCLUDE BUT ARE NOT LIMITED TO, U.S. EXPORT CONTROL LAWS\nSUCH AS THE EXPORT ADMINISTRATION REGULATIONS AND NATIONAL SECURITY CONTROLS\nAS DEFINED THEREUNDER, AS WELL AS STATE DEPARTMENT CONTROLS UNDER THE U.S.\nMUNITIONS LIST. THIS MATERIAL MAY NOT BE USED, RELEASED, TRANSFERRED, IMPORTED,\nEXPORTED AND/OR RE- EXPORTED IN ANY MANNER PROHIBITED UNDER ANY APPLICABLE\nLAWS, INCLUDING U.S. EXPORT CONTROL LAWS REGARDING SPECIFICALLY DESIGNATED\nPERSONS, COUNTRIES AND NATIONALS OF COUNTRIES SUBJECT TO NATIONAL SECURITY\nCONTROLS. MOREOVER, THE FOREGOING SHALL SURVIVE ANY EXPIRATION OR TERMINATION\nOF ANY LICENSE OR AGREEMENT OR ACCESS OR USE RELATED TO THIS MATERIAL.\n\nThis license forms the entire agreement regarding the subject matter hereof\nand supersedes all proposals and prior discussions and writings between the\nparties with respect thereto. This license does not affect any ownership,\nrights, title, or interest in, or relating to, this material. No terms of\nthis license can be modified or waived, and no breach of this license can\nbe excused, unless done so in a writing signed by all affected parties. Each\nterm of this license is separately enforceable. If any term of this license\nis determined to be or becomes unenforceable or illegal, such term shall be\nreformed to the minimum extent necessary in order for this license to remain\nin effect in accordance with its terms as modified by such reformation. This\nlicense shall be governed by and construed in accordance with the laws of\nthe State of Texas without regard to rules on conflicts of law of any state\nor jurisdiction or the United Nations Convention on the International Sale\nof Goods. All disputes arising out of this license shall be subject to the\njurisdiction of the federal and state courts in Austin, Texas, and all defenses\nare hereby waived concerning personal jurisdiction and venue of these courts.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(214,'RPL-1.1','Reciprocal Public License, version 1.1\n\nCopyright (C) 2001-2002 Technical Pursuit Inc., All Rights Reserved. PREAMBLE\n\nThis Preamble is intended to describe, in plain English, the nature, intent,\nand scope of this License. However, this Preamble is not a part of this License.\nThe legal effect of this License is dependent only upon the terms of the License\nand not this Preamble.\n\nThis License is based on the concept of reciprocity. In exchange for being\ngranted certain rights under the terms of this License to Licensor\'s Software,\nwhose Source Code You have access to, You are required to reciprocate by providing\nequal access and rights to all third parties to the Source Code of any Modifications,\nDerivative Works, and Required Components for execution of same (collectively\ndefined as Extensions) that You Deploy by Deploying Your Extensions under\nthe terms of this License. In this fashion the available Source Code related\nto the original Licensed Software is enlarged for the benefit of everyone.\n\nUnder the terms of this License You may:\n\na. Distribute the Licensed Software exactly as You received it under the terms\nof this License either alone or as a component of an aggregate software distribution\ncontaining programs from several different sources without payment of a royalty\nor other fee.\n\nb. Use the Licensed Software for any purpose consistent with the rights granted\nby this License, but the Licensor is not providing You any warranty whatsoever,\nnor is the Licensor accepting any liability in the event that the Licensed\nSoftware doesn\'t work properly or causes You any injury or damages.\n\nc. Create Extensions to the Licensed Software consistent with the rights granted\nby this License, provided that You make the Source Code to any Extensions\nYou Deploy available to all third parties under the terms of this License,\ndocument Your Modifications clearly, and title all Extensions distinctly from\nthe Licensed Software.\n\nd. Charge a fee for warranty or support, or for accepting indemnity or liability\nobligations for Your customers.\n\nUnder the terms of this License You may not:\n\na. Charge for the Source Code to the Licensed Software, or Your Extensions,\nother than a nominal fee not to exceed Your cost for reproduction and distribution\nwhere such reproduction and distribution involve physical media.\n\nb. Modify or delete any pre-existing copyright notices, change notices, or\nLicense text in the Licensed Software.\n\nc. Assert any patent claims against the Licensor or Contributors, or which\nwould in any way restrict the ability of any third party to use the Licensed\nSoftware or portions thereof in any form under the terms of this License,\nor Your rights to the Licensed Software under this License automatically terminate.\n\nd. Represent either expressly or by implication, appearance, or otherwise\nthat You represent Licensor or\n\nContributors in any capacity or that You have any form of legal association\nby virtue of this License.\n\nUnder the terms of this License You must:\n\na. Document any Modifications You make to the Licensed Software including\nthe nature of the change, the authors of the change, and the date of the change.\nThis documentation must appear both in the Source Code and in a text file\ntitled \"CHANGES\" distributed with the Licensed Software and Your Extensions.\n\nb. Make the Source Code for any Extensions You Deploy available in a timely\nfashion via an Electronic Distribution Mechanism such as FTP or HTTP download.\n\nc. Notify the Licensor of the availability of Source Code to Your Extensions\nin a timely fashion and include in such notice a brief description of the\nExtensions, the distinctive title used, and instructions on how to acquire\nthe Source Code and future updates.\n\nd. Grant Licensor and all third parties a world-wide, non-exclusive, royalty-free\nlicense under any intellectual property rights owned or controlled by You\nto use, reproduce, display, perform, modify, sublicense, and distribute Your\nExtensions, in any form, under the terms of this License.\n\nLICENSE TERMS\n\n1.0 General; Applicability & Definitions. This Reciprocal Public License Version\n1.1 (\"License\") applies to any programs or other works as well as any and\nall updates or maintenance releases of said programs or works (\"Software\")\nnot already covered by this License which the Software copyright holder (\"Licensor\")\nmakes publicly available containing a Notice (hereinafter defined) from the\nLicensor specifying or allowing use or distribution under the terms of this\nLicense. As used in this License and Preamble:\n\n1.1 \"Contributor\" means any person or entity who created or contributed to\nthe creation of an Extension.\n\n1.2 \"Deploy\" means to use, Serve, sublicense or distribute Licensed Software\nother than for Your internal Research and/or Personal Use, and includes without\nlimitation, any and all internal use or distribution of Licensed Software\nwithin Your business or organization other than for Research and/or Personal\nUse, as well as direct or indirect sublicensing or distribution of Licensed\nSoftware by You to any third party in any form or manner.\n\n1.3 \"Derivative Works\" as used in this License is defined under U.S. copyright\nlaw.\n\n1.4 \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data\nsuch as download from an FTP or web site, where such mechanism is publicly\naccessible.\n\n1.5 \"Extensions\" means any Modifications, Derivative Works, or Required Components\nas those terms are defined in this License.\n\n      1.6 \"License\" means this Reciprocal Public License.\n\n1.7 \"Licensed Software\" means any Software licensed pursuant to this License.\nLicensed Software also includes all previous Extensions from any Contributor\nthat You receive.\n\n1.8 \"Licensor\" means the copyright holder of any Software previously uncovered\nby this License who releases the Software under the terms of this License.\n\n1.9 \"Modifications\" means any additions to or deletions from the substance\nor structure of (i) a file or other storage containing Licensed Software,\nor (ii) any new file or storage that contains any part of Licensed Software,\nor (iii) any file or storage which replaces or otherwise alters the original\nfunctionality of Licensed Software at runtime.\n\n      1.10 \"Notice\" means the notice contained in EXHIBIT A.\n\n1.11 \"Personal Use\" means use of Licensed Software by an individual solely\nfor his or her personal, private and non-commercial purposes. An individual\'s\nuse of Licensed Software in his or her capacity as an officer, employee, member,\nindependent contractor or agent of a corporation, business or organization\n(commercial or non-commercial) does not qualify as Personal Use.\n\n1.12 \"Required Components\" means any text, programs, scripts, schema, interface\ndefinitions, control files, or other works created by You which are required\nby a third party of average skill to successfully install and run Licensed\nSoftware containing Your Modifications, or to install and run Your Derivative\nWorks.\n\n1.13 \"Research\" means investigation or experimentation for the purpose of\nunderstanding the nature and limits of the Licensed Software and its potential\nuses.\n\n1.14 \"Serve\" means to deliver Licensed Software and/or Your Extensions by\nmeans of a computer network to one or more computers for purposes of execution\nof Licensed Software and/or Your Extensions.\n\n1.15 \"Software\" means any computer programs or other works as well as any\nupdates or maintenance releases of those programs or works which are distributed\npublicly by Licensor.\n\n1.16 \"Source Code\" means the preferred form for making modifications to the\nLicensed Software and/or Your Extensions, including all modules contained\ntherein, plus any associated text, interface definition files, scripts used\nto control compilation and installation of an executable program or other\ncomponents required by a third party of average skill to build a running version\nof the Licensed Software or Your Extensions.\n\n1.17 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2.0 Acceptance Of License. You are not required to accept this License since\nyou have not signed it, however nothing else grants you permission to use,\ncopy, distribute, modify, or create derivatives of either the Software or\nany Extensions created by a Contributor. These actions are prohibited by law\nif you do not accept this License. Therefore, by performing any of these actions\nYou indicate Your acceptance of this License and Your agreement to be bound\nby all its terms and conditions. IF YOU DO NOT AGREE WITH ALL THE TERMS AND\nCONDITIONS OF THIS LICENSE DO NOT USE, MODIFY, CREATE DERIVATIVES, OR DISTRIBUTE\nTHE SOFTWARE. IF IT IS IMPOSSIBLE FOR YOU TO COMPLY WITH ALL THE TERMS AND\nCONDITIONS OF THIS LICENSE THEN YOU CAN NOT USE, MODIFY, CREATE DERIVATIVES,\nOR DISTRIBUTE THE SOFTWARE.\n\n3.0 Grant of License From Licensor. Subject to the terms and conditions of\nthis License, Licensor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to Licensor\'s intellectual property rights, and any third\nparty intellectual property claims derived from the Licensed Software under\nthis License, to do the following:\n\n3.1 Use, reproduce, modify, display, perform, sublicense and distribute Licensed\nSoftware and Your Extensions in both Source Code form or as an executable\nprogram.\n\n3.2 Create Derivative Works (as that term is defined under U.S. copyright\nlaw) of Licensed Software by adding to or deleting from the substance or structure\nof said Licensed Software.\n\n3.3 Under claims of patents now or hereafter owned or controlled by Licensor,\nto make, use, have made, and/or otherwise dispose of Licensed Software or\nportions thereof, but solely to the extent that any such claim is necessary\nto enable You to make, use, have made, and/or otherwise dispose of Licensed\nSoftware or portions thereof.\n\n3.4 Licensor reserves the right to release new versions of the Software with\ndifferent features, specifications, capabilities, functions, licensing terms,\ngeneral availability or other characteristics. Title, ownership rights, and\nintellectual property rights in and to the Licensed Software shall remain\nin Licensor and/or its Contributors.\n\n4.0 Grant of License From Contributor. By application of the provisions in\nSection 6 below, each Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license, subject to said Contributor\'s intellectual property\nrights, and any third party intellectual property claims derived from the\nLicensed Software under this License, to do the following:\n\n4.1 Use, reproduce, modify, display, perform, sublicense and distribute any\nExtensions Deployed by such Contributor or portions thereof, in both Source\nCode form or as an executable program, either on an unmodified basis or as\npart of Derivative Works.\n\n4.2 Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, have made, and/or otherwise dispose of Extensions or portions\nthereof, but solely to the extent that any such claim is necessary to enable\nYou to make, use, have made, and/or otherwise dispose of Contributor\'s Extensions\nor portions thereof.\n\n5.0 Exclusions From License Grant. Nothing in this License shall be deemed\nto grant any rights to trademarks, copyrights, patents, trade secrets or any\nother intellectual property of Licensor or any Contributor except as expressly\nstated herein. Except as expressly stated in Sections 3 and 4, no other patent\nrights, express or implied, are granted herein. Your Extensions may require\nadditional patent licenses from Licensor or Contributors which each may grant\nin its sole discretion. No right is granted to the trademarks of Licensor\nor any Contributor even if such marks are included in the Licensed Software.\nNothing in this License shall be interpreted to prohibit Licensor from licensing\nunder different terms from this License any code that Licensor otherwise would\nhave a right to license.\n\n5.1 You expressly acknowledge and agree that although Licensor and each Contributor\ngrants the licenses to their respective portions of the Licensed Software\nset forth herein, no assurances are provided by Licensor or any Contributor\nthat the Licensed Software does not infringe the patent or other intellectual\nproperty rights of any other entity. Licensor and each Contributor disclaim\nany liability to You for claims brought by any other entity based on infringement\nof intellectual property rights or otherwise. As a condition to exercising\nthe rights and licenses granted hereunder, You hereby assume sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow You to distribute the\nLicensed Software, it is Your responsibility to acquire that license before\ndistributing the Licensed Software.\n\n6.0 Your Obligations And Grants. In consideration of, and as an express condition\nto, the licenses granted to You under this License You hereby agree that any\nModifications, Derivative Works, or Required Components (collectively Extensions)\nthat You create or to which You contribute are governed by the terms of this\nLicense including, without limitation, Section 4. Any Extensions that You\ncreate or to which You contribute must be Deployed under the terms of this\nLicense or a future version of this License released under Section 7. You\nhereby grant to Licensor and all third parties a world-wide, non-exclusive,\nroyalty-free license under those intellectual property rights You own or control\nto use, reproduce, display, perform, modify, create derivatives, sublicense,\nand distribute Your Extensions, in any form. Any Extensions You make and Deploy\nmust have a distinct title so as to readily tell any subsequent user or Contributor\nthat the Extensions are by You. You must include a copy of this License with\nevery copy of the Extensions You distribute. You agree not to offer or impose\nany terms on any Source Code or executable version of the Licensed Software,\nor its Extensions that alter or restrict the applicable version of this License\nor the recipients\' rights hereunder.\n\n6.1 Availability of Source Code. You must make available, under the terms\nof this License, the Source Code of the Licensed Software and any Extensions\nthat You Deploy, either on the same media as You distribute any executable\nor other form of the Licensed Software, or via an Electronic Distribution\nMechanism. The Source Code for any version of Licensed Software, or its Extensions\nthat You Deploy must be made available at the time of Deployment and must\nremain available for as long as You Deploy the Extensions or at least twelve\n(12) months after the date You Deploy, whichever is longer. You are responsible\nfor ensuring that the Source Code version remains available even if the Electronic\nDistribution Mechanism is maintained by a third party. You may not charge\na fee for the Source Code distributed under this Section in excess of Your\nactual cost of duplication and distribution where such duplication and distribution\ninvolve physical media.\n\n6.2 Description of Modifications. You must cause any Modifications that You\ncreate or to which You contribute, to update the file titled \"CHANGES\" distributed\nwith Licensed Software documenting the additions, changes or deletions You\nmade, the authors of such Modifications, and the dates of any such additions,\nchanges or deletions. You must also cause a cross-reference to appear in the\nSource Code at the location of each change. You must include a prominent statement\nthat the Modifications are derived, directly or indirectly, from the Licensed\nSoftware and include the names of the Licensor and any Contributor to the\nLicensed Software in (i) the Source Code and (ii) in any notice displayed\nby the Licensed Software You distribute or in related documentation in which\nYou describe the origin or ownership of the Licensed Software. You may not\nmodify or delete any pre-existing copyright notices, change notices or License\ntext in the Licensed Software.\n\n      6.3 Intellectual Property Matters.\n\na. Third Party Claims. If You have knowledge that a license to a third party\'s\nintellectual property right is required to exercise the rights granted by\nthis License, You must include a text file with the Source Code distribution\ntitled \"LEGAL\" that describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If You obtain\nsuch knowledge after You make any Extensions available as described in Section\n6.1, You shall promptly modify the LEGAL file in all copies You make available\nthereafter and shall take other steps (such as notifying appropriate mailing\nlists or newsgroups) reasonably calculated to inform those who received the\nLicensed Software from You that new knowledge has been obtained.\n\nb. Contributor APIs. If Your Extensions include an application programming\ninterface (\"API\") and You have knowledge of patent licenses that are reasonably\nnecessary to implement that API, You must also include this information in\nthe LEGAL file.\n\nc. Representations. You represent that, except as disclosed pursuant to 6.3(a)\nabove, You believe that any Extensions You distribute are Your original creations\nand that You have sufficient rights to grant the rights conveyed by this License.\n\n      6.4 Required Notices.\n\na. License Text. You must duplicate this License in any documentation You\nprovide along with the Source Code of any Extensions You create or to which\nYou contribute, wherever You describe recipients\' rights relating to Licensed\nSoftware. You must duplicate the notice contained in EXHIBIT A (the \"Notice\")\nin each file of the Source Code of any copy You distribute of the Licensed\nSoftware and Your Extensions. If You create an Extension, You may add Your\nname as a Contributor to the text file titled \"CONTRIB\" distributed with the\nLicensed Software along with a description of the contribution. If it is not\npossible to put the Notice in a particular Source Code file due to its structure,\nthen You must include such Notice in a location (such as a relevant directory\nfile) where a user would be likely to look for such a notice.\n\nb. Source Code Availability. You must notify Licensor within one (1) month\nof the date You initially Deploy of the availability of Source Code to Your\nExtensions and include in such notification the name under which you Deployed\nYour Extensions, a description of the Extensions, and instructions on how\nto acquire the Source Code, including instructions on how to acquire updates\nover time. Should such instructions change you must provide Licensor with\nrevised instructions within one (1) month of the date of change. Should you\nbe unable to notify Licensor directly, you must provide notification by posting\nto appropriate news groups, mailing lists, or web sites where a search engine\nwould reasonably be expected to index them.\n\n6.5 Additional Terms. You may choose to offer, and charge a fee for, warranty,\nsupport, indemnity or liability obligations to one or more recipients of Licensed\nSoftware. However, You may do so only on Your own behalf, and not on behalf\nof the Licensor or any Contributor. You must make it clear that any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Licensor and every Contributor for any liability\nplus attorney fees, costs, and related expenses due to any such action or\nclaim incurred by the Licensor or such Contributor as a result of warranty,\nsupport, indemnity or liability terms You offer.\n\n6.6 Conflicts With Other Licenses. Where any portion of Your Extensions, by\nvirtue of being Derivative Works of another product or similar circumstance,\nfall under the terms of another license, the terms of that license should\nbe honored however You must also make Your Extensions available under this\nLicense. If the terms of this License continue to conflict with the terms\nof the other license you may write the Licensor for permission to resolve\nthe conflict in a fashion that remains consistent with the intent of this\nLicense. Such permission will be granted at the sole discretion of the Licensor.\n\n7.0 Versions of This License. Licensor may publish from time to time revised\nand/or new versions of the License. Once Licensed Software has been published\nunder a particular version of the License, You may always continue to use\nit under the terms of that version. You may also choose to use such Licensed\nSoftware under the terms of any subsequent version of the License published\nby Licensor. No one other than Licensor has the right to modify the terms\napplicable to Licensed Software created under this License.\n\n7.1 If You create or use a modified version of this License, which You may\ndo only in order to apply it to software that is not already Licensed Software\nunder this License, You must rename Your license so that it is not confusingly\nsimilar to this License, and must make it clear that Your license contains\nterms that differ from this License. In so naming Your license, You may not\nuse any trademark of Licensor or of any Contributor. Should Your modifications\nto this License be limited to alteration of EXHIBIT A purely for purposes\nof adjusting the Notice You require of licensees, You may continue to refer\nto Your License as the Reciprocal Public License or simply the RPL.\n\n8.0 Disclaimer of Warranty. LICENSED SOFTWARE IS PROVIDED UNDER THIS LICENSE\nON AN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nINCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE LICENSED SOFTWARE IS FREE\nOF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.\nFURTHER THERE IS NO WARRANTY MADE AND ALL IMPLIED WARRANTIES ARE DISCLAIMED\nTHAT THE LICENSED SOFTWARE MEETS OR COMPLIES WITH ANY DESCRIPTION OF PERFORMANCE\nOR OPERATION, SAID COMPATIBILITY AND SUITABILITY BEING YOUR RESPONSIBILITY.\nLICENSOR DISCLAIMS ANY WARRANTY, IMPLIED OR EXPRESSED, THAT ANY CONTRIBUTOR\'S\nEXTENSIONS MEET ANY STANDARD OF COMPATIBILITY OR DESCRIPTION OF PERFORMANCE.\nTHE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LICENSED SOFTWARE\nIS WITH YOU. SHOULD LICENSED SOFTWARE PROVE DEFECTIVE IN ANY RESPECT, YOU\n(AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. UNDER THE TERMS OF THIS LICENSOR WILL NOT\nSUPPORT THIS SOFTWARE AND IS UNDER NO OBLIGATION TO ISSUE UPDATES TO THIS\nSOFTWARE. LICENSOR HAS NO KNOWLEDGE OF ERRANT CODE OR VIRUS IN THIS SOFTWARE,\nBUT DOES NOT WARRANT THAT THE SOFTWARE IS FREE FROM SUCH ERRORS OR VIRUSES.\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO USE OF LICENSED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n9.0 Limitation of Liability. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR,\nANY CONTRIBUTOR, OR ANY DISTRIBUTOR OF LICENSED SOFTWARE, OR ANY SUPPLIER\nOF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n10.0 High Risk Activities. THE LICENSED SOFTWARE IS NOT FAULT-TOLERANT AND\nIS NOT DESIGNED, MANUFACTURED, OR INTENDED FOR USE OR DISTRIBUTION AS ON-LINE\nCONTROL EQUIPMENT IN HAZARDOUS ENVIRONMENTS REQUIRING FAIL-SAFE PERFORMANCE,\nSUCH AS IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT NAVIGATION OR COMMUNICATIONS\nSYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE SUPPORT MACHINES, OR WEAPONS SYSTEMS,\nIN WHICH THE FAILURE OF THE LICENSED SOFTWARE COULD LEAD DIRECTLY TO DEATH,\nPERSONAL INJURY, OR SEVERE PHYSICAL OR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\").\nLICENSOR AND CONTRIBUTORS SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED WARRANTY\nOF FITNESS FOR HIGH RISK ACTIVITIES.\n\n11.0 Responsibility for Claims. As between Licensor and Contributors, each\nparty is responsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License which specifically disclaims\nwarranties and limits any liability of the Licensor. This paragraph is to\nbe used in conjunction with and controlled by the Disclaimer Of Warranties\nof Section 8, the Limitation Of Damages in Section 9, and the disclaimer against\nuse for High Risk Activities in Section 10. The Licensor has thereby disclaimed\nall warranties and limited any damages that it is or may be liable for. You\nagree to work with Licensor and Contributors to distribute such responsibility\non an equitable basis consistent with the terms of this License including\nSections 8, 9, and 10. Nothing herein is intended or shall be deemed to constitute\nany admission of liability.\n\n12.0 Termination. This License and all rights granted hereunder will terminate\nimmediately in the event of the circumstances described in Section 13.6 or\nif applicable law prohibits or restricts You from fully and or specifically\ncomplying with Sections 3, 4 and/or 6, or prevents the enforceability of any\nof those Sections, and You must immediately discontinue any use of Licensed\nSoftware.\n\n12.1 Automatic Termination Upon Breach. This License and the rights granted\nhereunder will terminate automatically if You fail to comply with the terms\nherein and fail to cure such breach within thirty (30) days of becoming aware\nof the breach. All sublicenses to the Licensed Software that are properly\ngranted shall survive any termination of this License. Provisions that, by\ntheir nature, must remain in effect beyond the termination of this License,\nshall survive.\n\n12.2 Termination Upon Assertion of Patent Infringement. If You initiate litigation\nby asserting a patent infringement claim (excluding declaratory judgment actions)\nagainst Licensor or a Contributor (Licensor or Contributor against whom You\nfile such an action is referred to herein as \"Respondent\") alleging that Licensed\nSoftware directly or indirectly infringes any patent, then any and all rights\ngranted by such Respondent to You under Sections 3 or 4 of this License shall\nterminate prospectively upon sixty (60) days notice from Respondent (the \"Notice\nPeriod\") unless within that Notice Period You either agree in writing (i)\nto pay Respondent a mutually agreeable reasonably royalty for Your past or\nfuture use of Licensed Software made by such Respondent, or (ii) withdraw\nYour litigation claim with respect to Licensed Software against such Respondent.\nIf within said Notice Period a reasonable royalty and payment arrangement\nare not mutually agreed upon in writing by the parties or the litigation claim\nis not withdrawn, the rights granted by Licensor to You under Sections 3 and\n4 automatically terminate at the expiration of said Notice Period.\n\n12.3 Reasonable Value of This License. If You assert a patent infringement\nclaim against Respondent alleging that Licensed Software directly or indirectly\ninfringes any patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by said Respondent under Sections 3 and 4 shall\nbe taken into account in determining the amount or value of any payment or\nlicense.\n\n12.4 No Retroactive Effect of Termination. In the event of termination under\nthis Section all end user license agreements (excluding licenses to distributors\nand resellers) that have been validly granted by You or any distributor hereunder\nprior to termination shall survive termination.\n\n   13.0 Miscellaneous.\n\n13.1 U.S. Government End Users. The Licensed Software is a \"commercial item,\"\nas that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial\ncomputer software\" and \"commercial computer software documentation,\" as such\nterms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R.\n12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\nEnd Users acquire Licensed Software with only those rights set forth herein.\n\n13.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture, or any other form of legal association\nbetween or among You, Licensor, or any Contributor, and You will not represent\nto the contrary, whether expressly, by implication, appearance, or otherwise.\n\n13.3 Independent Development. Nothing in this License will impair Licensor\'s\nright to acquire, license, develop, subcontract, market, or distribute technology\nor products that perform the same or similar functions as, or otherwise compete\nwith, Extensions that You may develop, produce, market, or distribute.\n\n13.4 Consent To Breach Not Waiver. Failure by Licensor or Contributor to enforce\nany provision of this License will not be deemed a waiver of future enforcement\nof that or any other provision.\n\n13.5 Severability. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n13.6 Inability to Comply Due to Statute or Regulation. If it is impossible\nfor You to comply with any of the terms of this License with respect to some\nor all of the Licensed Software due to statute, judicial order, or regulation,\nthen You cannot use, modify, or distribute the software.\n\n13.7 Export Restrictions. You may be restricted with respect to downloading\nor otherwise acquiring, exporting, or reexporting the Licensed Software or\nany underlying information or technology by United States and other applicable\nlaws and regulations. By downloading or by otherwise obtaining the Licensed\nSoftware, You are agreeing to be responsible for compliance with all applicable\nlaws and regulations.\n\n13.8 Arbitration, Jurisdiction & Venue. This License shall be governed by\nColorado law provisions (except to the extent applicable law, if any, provides\notherwise), excluding its conflict-of-law provisions. You expressly agree\nthat any dispute relating to this License shall be submitted to binding arbitration\nunder the rules then prevailing of the American Arbitration Association. You\nfurther agree that Adams County, Colorado USA is proper venue and grant such\narbitration proceeding jurisdiction as may be appropriate for purposes of\nresolving any dispute under this License. Judgement upon any award made in\narbitration may be entered and enforced in any court of competent jurisdiction.\nThe arbitrator shall award attorney\'s fees and costs of arbitration to the\nprevailing party. Should either party find it necessary to enforce its arbitration\naward or seek specific performance of such award in a civil court of competent\njurisdiction, the prevailing party shall be entitled to reasonable attorney\'s\nfees and costs. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded. You and Licensor\nexpressly waive any rights to a jury trial in any litigation concerning Licensed\nSoftware or this License. Any law or regulation that provides that the language\nof a contract shall be construed against the drafter shall not apply to this\nLicense.\n\n13.9 Entire Agreement. This License constitutes the entire agreement between\nthe parties with respect to the subject matter hereof. EXHIBIT A\n\nThe Notice below must appear in each file of the Source Code of any copy You\ndistribute of the Licensed Software or any Extensions thereto, except as may\nbe modified as allowed under the terms of Section 7.1\n\nCopyright (C) 1999-2002 Technical Pursuit Inc., All Rights Reserved. Patent\nPending, Technical Pursuit Inc.\n\nUnless explicitly acquired and licensed from Licensor under the Technical\nPursuit License (\"TPL\") Version 1.0 or greater, the contents of this file\nare subject to the Reciprocal Public License (\"RPL\") Version 1.1, or subsequent\nversions as allowed by the RPL, and You may not copy or use this file in either\nsource code or executable form, except in compliance with the terms and conditions\nof the RPL.\n\nYou may obtain a copy of both the TPL and the RPL (the \"Licenses\") from Technical\nPursuit Inc. at http://www.technicalpursuit.com.\n\nAll software distributed under the Licenses is provided strictly on an \"AS\nIS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND TECHNICAL\nPURSUIT INC. HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,\nANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET\nENJOYMENT, OR NON-INFRINGEMENT. See the Licenses for specific language governing\nrights and limitations under the Licenses.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(215,'FSFAP','Copying and distribution of this file, with or without modification, are permitted\nin any medium without royalty provided the copyright notice and this notice\nare preserved. This file is offered as-is, without any warranty.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(216,'WxWindows-exception-3.1','EXCEPTION NOTICE\n\n   1. As a special exception, the copyright holders of this library give permission for additional uses of the text contained in this release of the library as licenced under the wxWindows Library Licence, applying either version 3.1 of the Licence, or (at your option) any later version of the Licence as published by the copyright holders of version 3.1 of the Licence document.\n\n   2. The exception is that you may use, copy, link, modify and distribute under your own terms, binary object code versions of works based on the Library.\n\n   3. If you copy code from files distributed under the terms of the GNU General Public Licence or the GNU Library General Public Licence into a copy of this library, as this licence permits, the exception does not apply to the code that you add in this way. To avoid misleading anyone as to the status of such modified files, you must delete this exception notice from such code and/or adjust the licensing conditions notice accordingly.\n\n   4. If you write modifications of your own for this library, it is your choice whether to permit this exception to apply to your modifications. If you do not wish that, you must delete the exception notice from such code and/or adjust the licensing conditions notice accordingly.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(217,'AFL-1.1','Academic Free License\n\nVersion 1.1 The Academic Free License applies to any original work of authorship\n(the \"Original Work\") whose owner (the \"Licensor\") has placed the following\nnotice immediately following the copyright notice for the Original Work:\n\n\" Licensed under the Academic Free License version 1.1. \"\n\nGrant of License. Licensor hereby grants to any person obtaining a copy of\nthe Original Work (\"You\") a world-wide, royalty-free, non-exclusive, perpetual,\nnon-sublicenseable license\n\n(1) to use, copy, modify, merge, publish, perform, distribute and/or sell\ncopies of the Original Work and derivative works thereof, and\n\n(2) under patent claims owned or controlled by the Licensor that are embodied\nin the Original Work as furnished by the Licensor, to make, use, sell and\noffer for sale the Original Work and derivative works thereof, subject to\nthe following conditions.\n\nRight of Attribution. Redistributions of the Original Work must reproduce\nall copyright notices in the Original Work as furnished by the Licensor, both\nin the Original Work itself and in any documentation and/or other materials\nprovided with the distribution of the Original Work in executable form.\n\nExclusions from License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor.\n\nWARRANTY AND DISCLAIMERS. LICENSOR WARRANTS THAT THE COPYRIGHT IN AND TO THE\nORIGINAL WORK IS OWNED BY THE LICENSOR OR THAT THE ORIGINAL WORK IS DISTRIBUTED\nBY LICENSOR UNDER A VALID CURRENT LICENSE FROM THE COPYRIGHT OWNER. EXCEPT\nAS EXPRESSLY STATED IN THE IMMEDIATELY PRECEEDING SENTENCE, THE ORIGINAL WORK\nIS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY, EITHER\nEXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTY OF NON-INFRINGEMENT\nAND WARRANTIES THAT THE ORIGINAL WORK IS MERCHANTABLE OR FIT FOR A PARTICULAR\nPURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO LICENSE TO ORIGINAL WORK IS GRANTED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\nLIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR\nBE LIABLE TO ANY PERSON FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR\nCONSEQUENTIAL DAMAGES OF ANY CHARACTER ARISING AS A RESULT OF THIS LICENSE\nOR THE USE OF THE ORIGINAL WORK INCLUDING, WITHOUT LIMITATION, DAMAGES FOR\nLOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND\nALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PERSON SHALL HAVE BEEN\nINFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\nLicense to Source Code. The term \"Source Code\" means the preferred form of\nthe Original Work for making modifications to it and all available documentation\ndescribing how to access and modify the Original Work. Licensor hereby agrees\nto provide a machine-readable copy of the Source Code of the Original Work\nalong with each copy of the Original Work that Licensor distributes. Licensor\nreserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\nMutual Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nif You file a lawsuit in any court alleging that any OSI Certified open source\nsoftware that is licensed under any license containing this \"Mutual Termination\nfor Patent Action\" clause infringes any patent claims that are essential to\nuse that software.\n\nThis license is Copyright (C) 2002 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(218,'MPL-1.1','Mozilla Public License Version 1.1\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nAny addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nAny new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\na. under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\nb. under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\nc. the licenses granted in this Section 2.1 (a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\nd. Notwithstanding Section 2.1 (b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant. Subject to third party intellectual property claims,\neach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense\n\na. under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\nb. under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\nc. the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\nd. Notwithstanding Section 2.2 (b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims\n\nIf Contributor has knowledge that a license under a third party\'s intellectual\nproperty rights is required to exercise the rights granted by such Contributor\nunder Sections 2.1 or 2.2, Contributor must include a text file with the Source\nCode distribution titled \"LEGAL\" which describes the claim and the party making\nthe claim in sufficient detail that a recipient will know whom to contact.\nIf Contributor obtains such knowledge after the Modification is made available\nas described in Section 3.2, Contributor shall promptly modify the LEGAL file\nin all copies Contributor makes available thereafter and shall take other\nsteps (such as notifying appropriate mailing lists or newsgroups) reasonably\ncalculated to inform those who received the Covered Code that new knowledge\nhas been obtained.\n\n         (b) Contributor APIs\n\nIf Contributor\'s Modifications include an application programming interface\nand Contributor has knowledge of patent licenses which are reasonably necessary\nto implement that API, Contributor must also include this information in the\nLEGAL file.\n\n         (c) Representations.\n\nContributor represents that, except as disclosed pursuant to Section 3.4 (a)\nabove, Contributor believes that Contributor\'s Modifications are Contributor\'s\noriginal creation(s) and/or Contributor has sufficient rights to grant the\nrights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Covered Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Code. However,\nYou may do so only on Your own behalf, and not on behalf of the Initial Developer\nor any Contributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4\nand 3.5 have been met for that Covered Code, and if You include a notice stating\nthat the Source Code version of the Covered Code is available under the terms\nof this License, including a description of how and where You have fulfilled\nthe obligations of Section 3.2. The notice must be conspicuously included\nin any notice in an Executable version, related documentation or collateral\nin which You describe recipients\' rights relating to the Covered Code. You\nmay distribute the Executable version of Covered Code or ownership rights\nunder a license of Your choice, which may contain terms different from this\nLicense, provided that You are in compliance with the terms of this License\nand that the license for the Executable version does not attempt to limit\nor alter the recipient\'s rights in the Source Code version from the rights\nset forth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms which\ndiffer from this License are offered by You alone, not by the Initial Developer\nor any Contributor. You hereby agree to indemnify the Initial Developer and\nevery Contributor for any liability incurred by the Initial Developer or such\nContributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions\n\nNetscape Communications Corporation (\"Netscape\") may publish revised and/or\nnew versions of the License from time to time. Each version will be given\na distinguishing version number.\n\n      6.2. Effect of New Versions\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Netscape. No one other than Netscape has the right\nto modify the terms applicable to Covered Code created under this License.\n\n      6.3. Derivative Works\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrases \"Mozilla\",\n\"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar\nphrase do not appear in your license (except to note that your license differs\nfrom this License) and (b) otherwise make it clear that Your version of the\nlicense contains terms which differ from the Mozilla Public License and Netscape\nPublic License. (Filling in the name of the Initial Developer, Original Code\nor Contributor in the notice described in Exhibit A shall not of themselves\nbe deemed to be modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. Termination\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\na. such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\nb. any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. government end users\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. Miscellaneous\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. Responsibility for claims\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. Multiple-licensed code\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the MPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A. Exhibit A - Mozilla Public License.\n\n\" The contents of this file are subject to the Mozilla Public License Version\n1.1 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________ .\n\nThe Initial Developer of the Original Code is ________________________ .\n\nPortions created by ______________________ are Copyright (C) ______ . All\nRights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the \" [___] License\"), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the MPL, indicate your\ndecision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe MPL or the [___] License. \"\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(219,'Fair','Fair License\n\n<Copyright Information>\n\nUsage of the works is permitted provided that this instrument is retained\nwith the works, so that any entity that uses the works is notified of this\ninstrument.\n\nDISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(220,'AGPL-1.0','AFFERO GENERAL PUBLIC LICENSE\nVersion 1, March 2002 Copyright © 2002 Affero Inc.\n510 Third Street - Suite 225, San Francisco, CA 94107, USA\nThis license is a modified version of the GNU General Public License copyright (C) 1989, 1991 Free Software Foundation, Inc. made with their permission. Section 2(d) has been added to cover use of software over a computer network.\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\nPreamble\nThe licenses for most software are designed to take away your freedom to share and change it. By contrast, the Affero General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This Public License applies to most of Affero\'s software and to any other program whose authors commit to using it. (Some other Affero software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.\nWhen we speak of free software, we are referring to freedom, not price. This General Public License is designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.\nTo protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.\nFor example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.\nWe protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.\nAlso, for each author\'s protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors\' reputations.\nFinally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone\'s free use or not licensed at all.\nThe precise terms and conditions for copying, distribution and modification follow.\nTERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION\n   0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this Affero General Public License. The \"Program\", below, refers to any such program or work, and a \"work based on the Program\" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term \"modification\".) Each licensee is addressed as \"you\".\n   Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.\n   1. You may copy and distribute verbatim copies of the Program\'s source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.\n   You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.\n   2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:\n      a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.\n      b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.\n      c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)\n      d) If the Program as you received it is intended to interact with users through a computer network and if, in the version you received, any user interacting with the Program was given the opportunity to request transmission to that user of the Program\'s complete source code, you must not remove that facility from your modified version of the Program or work based on the Program, and must offer an equivalent opportunity for all users interacting with your Program through a computer network to request immediate transmission by HTTP of the complete source code of your modified version or other derivative work.\n   These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.\n   Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.\n   In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.\n   3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:\n      a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n      b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,\n      c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)\n   The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.\n   If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.\n   4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.\n   5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.\n   6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients\' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.\n   7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.\n   If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.\n   It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.\n   This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.\n   8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.\n   9. Affero Inc. may publish revised and/or new versions of the Affero General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.\n   Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and \"any later version\", you have the option of following the terms and conditions either of that version or of any later version published by Affero, Inc. If the Program does not specify a version number of this License, you may choose any version ever published by Affero, Inc.\n   You may also choose to redistribute modified versions of this program under any version of the Free Software Foundation\'s GNU General Public License version 3 or higher, so long as that version of the GNU GPL includes terms and conditions substantially equivalent to those of this license.\n   10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by Affero, Inc., write to us; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.\n   NO WARRANTY\n   11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n   12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(221,'DigiRule-FOSS-exception','DigiRule Solutions\'s FOSS License Exception Terms and Conditions\n\n   1. Definitions.\n\n   \"Derivative Work\" means a derivative work, as defined under applicable copyright law, formed entirely from the Program and one or more FOSS Applications.\n\n   \"FOSS Application\" means a free and open source software application distributed subject to a license listed in the section below titled \"FOSS License List.\"\n\n   \"FOSS Notice\" means a notice placed by DigiRule Solutions in a copy of the Client Libraries stating that such copy of the Client Libraries may be distributed under DigiRule Solutions\'s or FOSS License Exception.\n\n   \"Independent Work\" means portions of the Derivative Work that are not derived from the Program and can reasonably be considered independent and separate works.\n\n   \"Program\" means a copy of DigiRule Solutions\'s Client Libraries that contain a FOSS Notice.\n\n   2. A FOSS application developer (\"you\" or \"your\") may distribute a Derivative Work provided that you and the Derivative Work meet all of the following conditions:\n\n      1. You obey the GPL in all respects for the Program and all portions (including modifications) of the Program included in the Derivative Work (provided that this condition does not apply to Independent Works);\n\n      2. The Derivative Work does not include any work licensed under the GPL other than the Program;\n\n      3. You distribute Independent Works subject to a license listed in the section below titled \"FOSS License List\";\n\n      4. You distribute Independent Works in object code or executable form with the complete corresponding machine-readable source code on the same medium and under the same FOSS license applying to the object code or executable forms;\n\n      5. All works that are aggregated with the Program or the Derivative Work on a medium or volume of storage are not derivative works of the Program, Derivative Work or FOSS Application, and must reasonably be considered independent and separate works.\n\n   3. DigiRule Solutions reserves all rights not expressly granted in these terms and conditions. If all of the above conditions are not met, then this FOSS License Exception does not apply to you or your Derivative Work.\n\nFOSS License List\n\nLicense Name Version(s)/Copyright Date\n\nRelease Early Certified Software\n\nAcademic Free License 2.0\n\nApache Software License 1.0/1.1/2.0\n\nApple Public Source License 2.0\n\nArtistic license From Perl 5.8.0\n\nBSD license \"July 22 1999\"\n\nCommon Development and Distribution License (CDDL) 1.0\n\nCommon Public License 1.0\n\nEclipse Public License 1.0\n\nGNU Library or \"Lesser\" General Public License (LGPL) 2.0/2.1/3.0\n\nJabber Open Source License 1.0\n\nMIT License (As listed in file MIT-License.txt) -\n\nMozilla Public License (MPL) 1.0/1.1\n\nOpen Software License 2.0\n\nOpenSSL license (with original SSLeay license) \"2003\" (\"1998\")\n\nPHP License 3.0/3.01\n\nPython license (CNRI Python License) -\n\nPython Software Foundation License 2.1.1\n\nSleepycat License \"1999\"\n\nUniversity of Illinois/NCSA Open Source License -\n\nW3C License \"2001\"\n\nX11 License \"2001\"\n\nZlib/libpng License -\n\nZope Public License 2.0\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(222,'Classpath-exception-2.0','Linking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination.\n\nAs a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(223,'Unicode-DFS-2015','UNICODE, INC. LICENSE AGREEMENT - DATA FILES AND SOFTWARE\n\nUnicode Data Files include all data files under the directories http://www.unicode.org/Public/,\nhttp://www.unicode.org/reports/, and http://www.unicode.org/cldr/data/. Unicode\nData Files do not include PDF online code charts under the directory http://www.unicode.org/Public/.\nSoftware includes any source code published in the Unicode Standard or under\nthe directories http://www.unicode.org/Public/, http://www.unicode.org/reports/,\nand http://www.unicode.org/cldr/data/.\n\nNOTICE TO USER: Carefully read the following legal agreement. BY DOWNLOADING,\nINSTALLING, COPYING OR OTHERWISE USING UNICODE INC.\'S DATA FILES (\"DATA FILES\"),\nAND/OR SOFTWARE (\"SOFTWARE\"), YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND\nBY, ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE,\nDO NOT DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright © 1991-2015 Unicode, Inc. All rights reserved. Distributed under\nthe Terms of Use in http://www.unicode.org/copyright.html.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof the Unicode data files and any associated documentation (the \"Data Files\")\nor Unicode software and any associated documentation (the \"Software\") to deal\nin the Data Files or Software without restriction, including without limitation\nthe rights to use, copy, modify, merge, publish, distribute, and/or sell copies\nof the Data Files or Software, and to permit persons to whom the Data Files\nor Software are furnished to do so, provided that\n\n(a) this copyright and permission notice appear with all copies of the Data\nFiles or Software,\n\n(b) this copyright and permission notice appear in associated documentation,\nand\n\n(c) there is clear notice in each modified Data File or in the Software as\nwell as in the documentation associated with the Data File(s) or Software\nthat the data or software has been modified.\n\nTHE DATA FILES AND SOFTWARE ARE PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY\nKIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.\nIN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE\nBE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,\nOR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER\nIN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT\nOF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA FILES OR SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not\nbe used in advertising or otherwise to promote the sale, use or other dealings\nin these Data Files or Software without prior written authorization of the\ncopyright holder.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(224,'CC-BY-SA-4.0','Creative Commons Attribution-ShareAlike 4.0 International Creative Commons\nCorporation (\"Creative Commons\") is not a law firm and does not provide legal\nservices or legal advice. Distribution of Creative Commons public licenses\ndoes not create a lawyer-client or other relationship. Creative Commons makes\nits licenses and related information available on an \"as-is\" basis. Creative\nCommons gives no warranties regarding its licenses, any material licensed\nunder their terms and conditions, or any related information. Creative Commons\ndisclaims all liability for damages resulting from their use to the fullest\nextent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described.\n\nAlthough not required by our licenses, you are encouraged to respect those\nrequests where reasonable. More considerations for the public : wiki.creativecommons.org/Considerations_for_licensees\n\nCreative Commons Attribution-ShareAlike 4.0 International Public License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution-ShareAlike\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\nSection 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Adapter\'s License means the license You apply to Your Copyright and Similar\nRights in Your contributions to Adapted Material in accordance with the terms\nand conditions of this Public License.\n\nc. BY-SA Compatible License means a license listed at creativecommons.org/compatiblelicenses,\napproved by Creative Commons as essentially the equivalent of this Public\nLicense.\n\nd. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\ne. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\nf. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\ng. License Elements means the license attributes listed in the name of a Creative\nCommons Public License. The License Elements of this Public License are Attribution\nand ShareAlike.\n\nh. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\ni. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\nj. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\nk. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\nl. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nm. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\nSection 2 – Scope.\n\n   a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\n         A. reproduce and Share the Licensed Material, in whole or in part; and\n\n         B. produce, reproduce, and Share Adapted Material.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n      3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n      5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. Additional offer from the Licensor – Adapted Material. Every recipient\nof Adapted Material from You automatically receives an offer from the Licensor\nto exercise the Licensed Rights in the Adapted Material under the conditions\nof the Adapter\'s License You apply.\n\nC. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n   b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties.\n\nSection 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n   a. Attribution.\n\n1. If You Share the Licensed Material (including in modified form), You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n            ii. a copyright notice;\n\n            iii. a notice that refers to this Public License;\n\n            iv. a notice that refers to the disclaimer of warranties;\n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\n2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n3. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\nb. ShareAlike.In addition to the conditions in Section 3(a), if You Share\nAdapted Material You produce, the following conditions also apply.\n\n1. The Adapter\'s License You apply must be a Creative Commons license with\nthe same License Elements, this version or later, or a BY-SA Compatible License.\n\n2. You must include the text of, or the URI or hyperlink to, the Adapter\'s\nLicense You apply. You may satisfy this condition in any reasonable manner\nbased on the medium, means, and context in which You Share Adapted Material.\n\n3. You may not offer or impose any additional or different terms or conditions\non, or apply any Effective Technological Measures to, Adapted Material that\nrestrict exercise of the rights granted under the Adapter\'s License You apply.\n\nSection 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material, including for purposes of Section 3(b); and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\nSection 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\nSection 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n      2. upon express reinstatement by the Licensor.\n\nc. For the avoidance of doubt, this Section 6(b) does not affect any right\nthe Licensor may have to seek remedies for Your violations of this Public\nLicense.\n\nd. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n   e. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\nSection 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\nSection 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(225,'W3C-20150513','This work is being provided by the copyright holders under the following license.\n\nLicense\n\nBy obtaining and/or copying this work, you (the licensee) agree that you have\nread, understood, and will comply with the following terms and conditions.\n\nPermission to copy, modify, and distribute this work, with or without modification,\nfor any purpose and without fee or royalty is hereby granted, provided that\nyou include the following on ALL copies of the work or portions thereof, including\nmodifications:\n\n• The full text of this NOTICE in a location viewable to users of the redistributed\nor derivative work.\n\n• Any pre-existing intellectual property disclaimers, notices, or terms and\nconditions. If none exist, the W3C Software and Document Short Notice should\nbe included.\n\n• Notice of any changes or modifications, through a copyright statement on\nthe new code or document such as \"This software or document includes material\ncopied from or derived from [title and URI of the W3C document]. Copyright\n(c) [YEAR] W3C® (MIT, ERCIM, Keio, Beihang).\"\n\nDisclaimers\n\nTHIS WORK IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS MAKE NO REPRESENTATIONS\nOR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, WARRANTIES\nOF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF\nTHE SOFTWARE OR DOCUMENT WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,\nTRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR\nCONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENT.\n\nThe name and trademarks of copyright holders may NOT be used in advertising\nor publicity pertaining to the work without specific, written prior permission.\nTitle to copyright in this work will at all times remain with copyright holders.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(226,'APSL-1.0','APPLE PUBLIC SOURCE LICENSE\n\nVersion 1.0 - March 16, 1999 Please read this License carefully before downloading\nthis software. By downloading and using this software, you are agreeing to\nbe bound by the terms of this License. If you do not or cannot agree to the\nterms of this License, please do not download or use the software.\n\n1. General; Definitions. This License applies to any program or other work\nwhich Apple Computer, Inc. (\"Apple\") publicly announces as subject to this\nApple Public Source License and which contains a notice placed by Apple identifying\nsuch program or work as \"Original Code\" and stating that it is subject to\nthe terms of this Apple Public Source License version 1.0 (or subsequent version\nthereof), as it may be revised from time to time by Apple (\"License\"). As\nused in this License:\n\n1.1 \"Applicable Patents\" mean: (a) in the case where Apple is the grantor\nof rights, (i) patents or patent applications that are now or hereafter acquired,\nowned by or assigned to Apple and (ii) whose claims cover subject matter contained\nin the Original Code, but only to the extent necessary to use, reproduce and/or\ndistribute the Original Code without infringement; and (b) in the case where\nYou are the grantor of rights, (i) patents and patent applications that are\nnow or hereafter acquired, owned by or assigned to You and (ii) whose claims\ncover subject matter in Your Modifications, taken alone or in combination\nwith Original Code.\n\n1.2 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.3 \"Deploy\" means to use, sublicense or distribute Covered Code other than\nfor Your internal research and development (R&D), and includes without limitation,\nany and all internal use or distribution of Covered Code within Your business\nor organization except for R&D use, as well as direct or indirect sublicensing\nor distribution of Covered Code by You to any third party in any form or manner.\n\n1.4 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.5 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of Covered Code. When code is released as a\nseries of files, a Modification is: (a) any addition to or deletion from the\ncontents of a file containing Covered Code; and/or (b) any new file or other\nrepresentation of computer program statements that contains any part of Covered\nCode.\n\n1.6 \"Original Code\" means the Source Code of a program or other work as originally\nmade available by Apple under this License, including the Source Code of any\nupdates or upgrades to such programs or works made available by Apple under\nthis License, and that has been expressly identified by Apple as such in the\nheader file(s) of such work.\n\n1.7 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.8 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions\nof this License, Apple hereby grants You, effective on the date You accept\nthis License and download the Original Code, a world-wide, royalty-free, non-exclusive\nlicense, to the extent of Apple\'s Applicable Patents and copyrights covering\nthe Original Code, to do the following:\n\n2.1 You may use, copy, modify and distribute Original Code, with or without\nModifications, solely for Your internal research and development, provided\nthat You must in each instance:\n\n(a) retain and reproduce in all copies of Original Code the copyright and\nother proprietary notices and disclaimers of Apple as they appear in the Original\nCode, and keep intact all notices in the Original Code that refer to this\nLicense;\n\n(b) include a copy of this License with every copy of Source Code of Covered\nCode and documentation You distribute, and You may not offer or impose any\nterms on such Source Code that alter or restrict this License or the recipients\'\nrights hereunder, except as permitted under Section 6; and\n\n(c) completely and accurately document all Modifications that you have made\nand the date of each such Modification, designate the version of the Original\nCode you used, prominently include a file carrying such information with the\nModifications, and duplicate the notice in Exhibit A in each file of the Source\nCode of all such Modifications.\n\n      2.2 You may Deploy Covered Code, provided that You must in each instance:\n\n(a) satisfy all the conditions of Section 2.1 with respect to the Source Code\nof the Covered Code;\n\n(b) make all Your Deployed Modifications publicly available in Source Code\nform via electronic distribution (e.g. download from a web site) under the\nterms of this License and subject to the license grants set forth in Section\n3 below, and any additional terms You may choose to offer under Section 6.\nYou must continue to make the Source Code of Your Deployed Modifications available\nfor as long as you Deploy the Covered Code or twelve (12) months from the\ndate of initial Deployment, whichever is longer;\n\n(c) must notify Apple and other third parties of how to obtain Your Deployed\nModifications by filling out and submitting the required information found\nat http://www.apple.com/publicsource/modifications.html; and\n\n(d) if you Deploy Covered Code in object code, executable form only, include\na prominent notice, in the code itself as well as in related documentation,\nstating that Source Code of the Covered Code is available under the terms\nof this License with information on how and where to obtain such Source Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License:\n\n(a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free\nlicense, under Your Applicable Patents and other intellectual property rights\nowned or controlled by You, to use, reproduce, modify, distribute and Deploy\nYour Modifications of the same scope and extent as Apple\'s licenses under\nSections 2.1 and 2.2; and\n\n(b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide,\nroyalty-free, perpetual and irrevocable license, under Your Applicable Patents\nand other intellectual property rights owned or controlled by You, to use,\nreproduce, execute, compile, display, perform, modify or have modified (for\nApple and/or its subsidiaries), sublicense and distribute Your Modifications,\nin any form, through multiple tiers of distribution.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In each such instance, You must make sure the requirements\nof this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2,\nno other patent rights, express or implied, are granted by Apple herein. Modifications\nand/or Larger Works may require additional patent licenses from Apple which\nApple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith the scope of the license granted herein (\"Additional Terms\") to one or\nmore recipients of Covered Code. However, You may do so only on Your own behalf\nand as Your sole responsibility, and not on behalf of Apple. You must obtain\nthe recipient\'s agreement that any such Additional Terms are offered by You\nalone, and You hereby agree to indemnify, defend and hold Apple harmless for\nany liability incurred by or claims asserted against Apple by reason of any\nsuch Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Apple. No one other than Apple has the\nright to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Original Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nOriginal Code, or any portion thereof, is at Your sole and entire risk. THE\nORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND APPLE AND APPLE\'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS\n8 AND 9, APPLE AND APPLE\'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\")\nEXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY\nOR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\nOF THIRD PARTY RIGHTS. APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED\nIN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF\nTHE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT DEFECTS IN\nTHE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE\nGIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY\nOR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. You acknowledge that the\nOriginal Code is not intended for use in the operation of nuclear facilities,\naircraft navigation, communication systems, or air traffic control machines\nin which case the failure of the Original Code could lead to death, personal\ninjury, or severe physical or environmental damage.\n\n   9. Liability.\n\n9.1 Infringement. If any of the Original Code becomes the subject ofa claim\nof infringement (\"Affected Original Code\"), Apple may, at its sole discretion\nand option: (a) attempt to procure the rights necessary for You to continue\nusing the Affected Original Code; (b) modify the Affected Original Code so\nthat it is no longer infringing; or (c) terminate Your rights to use the Affected\nOriginal Code, effective immediately upon Apple\'s posting of a notice to such\neffect on the Apple web site that is used for implementation of this License.\n\n9.2 LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE\nFOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT\nOF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL\nCODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY,\nTORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE\nHAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE\nFAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall Apple\'s total\nliability to You for all damages under this License exceed the amount of fifty\ndollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks\nor trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or\nany other trademarks or trade names belonging to Apple (collectively \"Apple\nMarks\") and no Apple Marks may be used to endorse or promote products derived\nfrom the Original Code\n\nother than as permitted by and in strict compliance at all times with Apple\'s\nthird party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Apple retains all rights, title and interest in and to the\nOriginal Code and any Modifications made by or on behalf of Apple (\"Apple\nModifications\"), and such Apple Modifications will not be automatically subject\nto this License. Apple may, at its sole discretion, choose to license such\nApple Modifications under this License, or on different terms from those contained\nin this License or may choose not to license them at all. Apple\'s development,\nuse, reproduction, modification, sublicensing and distribution of Covered\nCode will not be subject to this License.\n\n   12. Termination.\n\n12.1 Termination. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice from Apple if You fail to comply with any\nterm(s) of this License and fail to cure such breach within 30 days of becoming\naware of such breach;\n\n(b) immediately in the event of the circumstances described in Sections 9.1\nand/or 13.6(b); or\n\n(c) automatically without notice from Apple if You, at any time during the\nterm of this License, commence an action for patent infringement against Apple.\n\n12.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification and distribution of the Covered\nCode, or Affected Original Code in the case of termination under Section 9.1,\nand to destroy all copies of the Covered Code or Affected Original Code (in\nthe case of\n\ntermination under Section 9.1) that are in your possession or control. All\nsublicenses to the Covered Code which have been properly granted prior to\ntermination shall survive any termination of this License. Provisions which,\nby their nature, should remain in effect beyond the termination of this License\nshall survive, including but not limited to Sections 3, 5, 8, 9, 10, 11, 12.2\nand 13. Neither party will be liable to the other for compensation, indemnity\nor damages of any sort solely as a result of terminating this License in accordance\nwith its terms, and termination of this License will be without prejudice\nto any other right or remedy of either party.\n\n   13. Miscellaneous.\n\n13.1 Export Law Assurances. You may not use or otherwise export or re-export\nthe Original Code except as authorized by United States law and the laws of\nthe jurisdiction in which the Original Code was obtained. In particular, but\nwithout limitation, the Original Code may not be exported or re-exported (a)\ninto (or to a national or resident of) any U.S. embargoed country or (b) to\nanyone on the U.S. Treasury Department\'s list of Specially Designated Nationals\nor the U.S. Department of Commerce\'s Table of Denial Orders. By using the\nOriginal Code, You represent and warrant that You are not located in, under\ncontrol of, or a national or resident of any such country or on any such list.\n\n13.2 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in\n\naccordance with FAR 12.211 (Technical Data) and 12.212 (Computer Software)\nand, for Department of Defense purchases, DFAR 252.227-7015 (Technical Data\n-- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n13.3 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween You and Apple, and You will not represent to the contrary, whether\nexpressly, by implication, appearance or otherwise.\n\n13.4 Independent Development. Nothing in this License will impair Apple\'s\nright to acquire, license, develop, have others develop for it, market and/or\ndistribute technology or products that perform the same or similar functions\nas, or otherwise compete with, Modifications, Larger Works, technology or\nproducts that You may develop, produce, market or distribute.\n\n13.5 Waiver; Construction. Failure by Apple to enforce any provision of this\nLicense will not be deemed a waiver of future enforcement of that or any other\nprovision. Any law or regulation which provides that the language of a contract\nshall be construed against the drafter will not apply to this License.\n\n13.6 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n13.7 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Apple relating to this License shall take place in the Northern District\nof California, and You and Apple hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n13.8 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nCalifornia, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exige que\nle present contrat et tous les documents connexes soient rediges en anglais.\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999 Apple Computer, Inc. All Rights Reserved. This\nfile contains Original Code and/or Modifications of Original Code as defined\nin and that are subject to the Apple Public Source License Version 1.0 (the\n\'License\'). You may not use this file except in compliance with the License.\nPlease obtain a copy of the License at http://www.apple.com/publicsource and\nread it before using this file.\n\nThe Original Code and all software distributed under the License are distributed\non an \'AS IS\' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nAND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,\nANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.\nPlease see the License for the specific language governing rights and limitations\nunder the License.\"\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(227,'CC-BY-NC-2.0','Creative Commons Attribution-NonCommercial 2.0 CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved, including\nbut not limited to the rights set forth in Sections 4(d) and 4(e).\n\n4. Restrictions.The license granted in Section 3 above is expressly made subject\nto and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; to the extent reasonably practicable, the Uniform\nResource Identifier, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n      d. For the avoidance of doubt, where the Work is a musical composition:\n\ni. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work if that performance is primarily intended\nfor or directed toward commercial advantage or private monetary compensation.\n\nii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive\nright to collect, whether individually or via a music rights agency or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions), if Your distribution of such cover version is primarily\nintended for or directed toward commercial advantage or private monetary compensation.\nWebcasting Rights and Statutory Royalties. For the avoidance of doubt, where\nthe Work is a sound recording, Licensor reserves the exclusive right to collect,\nwhether individually or via a performance-rights society (e.g. SoundExchange),\nroyalties for the public digital performance (e.g. webcast) of the Work, subject\nto the compulsory license created by 17 USC Section 114 of the US Copyright\nAct (or the equivalent in other jurisdictions), if Your public digital performance\nis primarily intended for or directed toward commercial advantage or private\nmonetary compensation.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(228,'BSD-2-Clause-NetBSD','Copyright (c) 2008 The NetBSD Foundation, Inc. All rights reserved.\n\nThis code is derived from software contributed to The NetBSD Foundation by \n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS\n``AS IS\'\' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(229,'CC-BY-NC-SA-1.0','Creative Commons Attribution-NonCommercial-ShareAlike 1.0 CREATIVE COMMONS\nCORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION\nOF THIS DRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE\nCOMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES\nNO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY\nFOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may distribute, publicly display, publicly perform, or publicly digitally\nperform a Derivative Work only under the terms of this License, and You must\ninclude a copy of, or the Uniform Resource Identifier for, this License with\nevery copy or phonorecord of each Derivative Work You distribute, publicly\ndisplay, publicly perform, or publicly digitally perform. You may not offer\nor impose any terms on the Derivative Works that alter or restrict the terms\nof this License or the recipients\' exercise of the rights granted hereunder,\nand You must keep intact all notices that refer to this License and to the\ndisclaimer of warranties. You may not distribute, publicly display, publicly\nperform, or publicly digitally perform the Derivative Work with any technological\nmeasures that control access or use of the Work in a manner inconsistent with\nthe terms of this License Agreement. The above applies to the Derivative Work\nas incorporated in a Collective Work, but this does not require the Collective\nWork apart from the Derivative Work itself to be made subject to the terms\nof this License.\n\nc. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nd. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\na. By offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\n\ni. Licensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments;\n\nii. The Work does not infringe the copyright, trademark, publicity rights,\ncommon law rights or any other right of any third party or constitute defamation,\ninvasion of privacy or other tortious injury to any third party.\n\nb. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING\nOR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(230,'DSDP','COPYRIGHT NOTIFICATION\n\n(C) COPYRIGHT 2004 UNIVERSITY OF CHICAGO\n\nThis program discloses material protectable under copyright laws of the United\nStates. Permission to copy and modify this software and its documentation\nis hereby granted, provided that this notice is retained thereon and on all\ncopies or modifications. The University of Chicago makes no representations\nas to the suitability and operability of this software for any purpose. It\nis provided \"as is\"; without express or implied warranty. Permission is hereby\ngranted to use, reproduce, prepare derivative works, and to redistribute to\nothers, so long as this original copyright notice is retained. Any publication\nresulting from research that made use of this software should cite this document.\n\nThis software was authored by:\n\nSteven J. Benson Mathematics and Computer Science Division Argonne National\nLaboratory Argonne IL 60439\n\nYinyu Ye Department of Management Science and Engineering Stanford University\nStanford, CA U.S.A\n\nAny questions or comments on the software may be directed to benson@mcs.anl.gov\nor yinyu-ye@stanford.edu\n\nArgonne National Laboratory with facilities in the states of Illinois and\nIdaho, is owned by The United States Government, and operated by the University\nof Chicago under provision of a contract with the Department of Energy.\n\nDISCLAIMER\n\nTHIS PROGRAM WAS PREPARED AS AN ACCOUNT OF WORK SPONSORED BY AN AGENCY OF\nTHE UNITED STATES GOVERNMENT. NEITHER THE UNITED STATES GOVERNMENT NOR ANY\nAGENCY THEREOF, NOR THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES\nOR OFFICERS, MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL\nLIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR USEFULNESS\nOF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS DISCLOSED, OR REPRESENTS\nTHAT ITS USE WOULD NOT INFRINGE PRIVATELY OWNED RIGHTS. REFERENCE HEREIN TO\nANY SPECIFIC COMMERCIAL PRODUCT, PROCESS, OR SERVICE BY TRADE NAME, TRADEMARK,\nMANUFACTURER, OR OTHERWISE, DOES NOT NECESSARILY CONSTITUTE OR IMPLY ITS ENDORSEMENT,\nRECOMMENDATION, OR FAVORING BY THE UNITED STATES GOVERNMENT OR ANY AGENCY\nTHEREOF. THE VIEW AND OPINIONS OF AUTHORS EXPRESSED HEREIN DO NOT NECESSARILY\nSTATE OR REFLECT THOSE OF THE UNITED STATES GOVERNMENT OR ANY AGENCY THEREOF.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(231,'Motosoto','MOTOSOTO OPEN SOURCE LICENSE - Version 0.9.1\n\nThis Motosoto Open Source License (the \"License\") applies to \"Community Portal\nServer\" and related software products as well as any updatesor maintenance\nreleases of that software (\"Motosoto Products\") that are distributed by Motosoto.Com\nB.V. (\"Licensor\"). Any Motosoto Product licensed pursuant to this License\nis a \"Licensed Product.\" Licensed Product, in its entirety, is protected by\nDutch copyright law. This License identifies the terms under which you may\nuse, copy, distribute or modify Licensed Product and has been submitted to\nthe Open Software Initiative (OSI) for approval. Preamble\n\nThis Preamble is intended to describe, in plain English, the nature and scope\nof this License. However, this Preamble is not a part of this license. The\nlegal effect of this License is dependent only upon the terms of the License\nand not this Preamble. This License complies with the Open Source Definition\nand has been approved by Open Source Initiative. Software distributed under\nthis License may be marked as \"OSI Certified Open Source Software.\"\n\nThis License provides that:\n\n1. You may use, sell or give away the Licensed Product, alone or as a component\nof an aggregate software distribution containing programs from several different\nsources. No royalty or other fee is required.\n\n2. Both Source Code and executable versions of the Licensed Product, including\nModifications made by previous Contributors, are available for your use. (The\nterms \"Licensed Product,\" \"Modifications,\" \"Contributors\" and \"Source Code\"\nare defined in the License.)\n\n3. You are allowed to make Modifications to the Licensed Product, and you\ncan create Derivative Works from it. (The term \"Derivative Works\" is defined\nin the License.)\n\n4. By accepting the Licensed Product under the provisions of this License,\nyou agree that any Modifications you make to the Licensed Product and then\ndistribute are governed by the provisions of this License. In particular,\nyou must make the Source Code of your Modifications available to others.\n\n5. You may use the Licensed Product for any purpose, but the Licensor is not\nproviding you any warranty whatsoever, nor is the Licensor accepting any liability\nin the event that the Licensed Product doesn\'t work properly or causes you\nany injury or damages.\n\n6. If you sublicense the Licensed Product or Derivative Works, you may charge\nfees for warranty or support, or for accepting indemnity or liability obligations\nto your customers. You cannot charge for the Source Code.\n\n7. If you assert any patent claims against the Licensor relating to the Licensed\nProduct, or if you breach any terms of the License, your rights to the Licensed\nProduct under this License automatically terminate.\n\nYou may use this License to distribute your own Derivative Works, in which\ncase the provisions of this License will apply to your Derivative Works just\nas they do to the original Licensed Product.\n\nAlternatively, you may distribute your Derivative Works under any other OSI-approved\nOpen Source license, or under a proprietary license of your choice. If you\nuse any license other than this License, however, you must continue to fulfill\nthe requirements of this License (including the provisions relating to publishing\nthe Source Code) for those portions of your Derivative Works that consist\nof the Licensed Product, including the files containing Modifications.\n\nNew versions of this License may be published from time to time. You may choose\nto continue to use the license terms in this version of the License or those\nfrom the new version. However, only the Licensor has the right to change the\nLicense terms as they apply to the Licensed Product. This License relies on\nprecise definitions for certain terms. Those terms are defined when they are\nfirst used, and the definitions are repeated for your convenience in a Glossary\nat the end of the License.\n\nLicense Terms\n\n   1. Grant of License From Licensor.\n\nLicensor hereby grants you a world-wide, royalty-free, non-exclusive license,\nsubject to third party intellectual property claims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute Licensed\nProduct or portions thereof (including Modifications as hereinafter defined),\nin both Source Code or as an executable program. \"Source Code\" means the preferred\nform for making modifications to the Licensed Product, including all modules\ncontained therein, plus any associated interface definition files, scripts\nused to control compilation and installation of an executable program, or\na list of differential comparisons against the Source Code of the Licensed\nProduct.\n\nb. Create Derivative Works (as that term is defined under Dutch copyright\nlaw) of Licensed Product by adding to or deleting from the substance or structure\nof said Licensed Product.\n\nc. Under claims of patents now or hereafter owned or controlled by Licensor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nLicensed Product or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Licensed Product or portions thereof or\nDerivative Works thereof.\n\n   2. Grant of License to Modifications From Contributor.\n\n\"Modifications\" means any additions to or deletions from the substance or\nstructure of (i) a file containing Licensed Product, or (ii) any new file\nthat contains any part of Licensed Product. Hereinafter in this License, the\nterm \"Licensed Product\" shall include all previous Modifications that you\nreceive from any Contributor. By application of the provisions in Section\n4(a) below, each person or entity who created or contributed to the creation\nof, and distributed, a Modification (a \"Contributor\") hereby grants you a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims, to do the following:\n\na. Use, reproduce, modify, display, perform, sublicense and distribute any\nModifications created by such Contributor or portions thereof, in both Source\nCode or as an executable program, either on an unmodified basis or as part\nof Derivative Works.\n\nb. Under claims of patents now or hereafter owned or controlled by Contributor,\nto make, use, sell, offer for sale, have made, and/or otherwise dispose of\nModifications or portions thereof, but solely to the extent that any such\nclaim is necessary to enable you to make, use, sell, offer for sale, have\nmade, and/or otherwise dispose of Modifications or portions thereof or Derivative\nWorks thereof.\n\n   3. Exclusions From License Grant.\n\nNothing in this License shall be deemed to grant any rights to trademarks,\ncopyrights, patents, trade secrets or any other intellectual property of Licensor\nor any Contributor except as expressly stated herein. No patent license is\ngranted separate from the Licensed Product, for code that you delete from\nthe Licensed Product, or for combinations of the Licensed Product with other\nsoftware or hardware. No right is granted to the trademarks of Licensor or\nany Contributor even if such marks are included in the Licensed Product. Nothing\nin this License shall be interpreted to prohibit Licensor from licensing under\ndifferent terms from this License any code that Licensor otherwise would have\na right to license.\n\n   4. Your Obligations Regarding Distribution.\n\na. Application of This License to Your Modifications. As an express condition\nfor your use of the Licensed Product, you hereby agree that any Modifications\nthat you create or to which you contribute, and which you distribute, are\ngoverned by the terms of this License including, without limitation, Section\n2. Any Modifications that you create or to which you contribute may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 7. You must include a copy of this License with every copy of\nthe Modifications you distribute. You agree not to offer or impose any terms\non any Source Code or executable version of the Licensed Product or Modifications\nthat alter or restrict the applicable version of this License or the recipients\'\nrights hereunder. However, you may include an additional document offering\nthe additional rights described in Section 4(e).\n\nb. Availability of Source Code. You must make available, under the terms of\nthis License, the Source Code of the Licensed Product and any Modifications\nthat you distribute, either on the same media as you distribute any executable\nor other form of the Licensed Product, or via a mechanism generally accepted\nin the software development community for the electronic transfer of data\n(an \"Electronic Distribution Mechanism\"). The Source Code for any version\nof Licensed Product or Modifications that you distribute must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of said Licensed Product\nor Modifications has been made available. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\nc. Description of Modifications. You must cause any Modifications that you\ncreate or to which you contribute, and which you distribute, to contain a\nfile documenting the additions, changes or deletions you made to create or\ncontribute to those Modifications, and the dates of any such additions, changes\nor deletions. You must include a prominent statement that the Modifications\nare derived, directly or indirectly, from the Licensed Product and include\nthe names of the Licensor and any Contributor to the Licensed Product in (i)\nthe Source Code and (ii) in any notice displayed by a version of the Licensed\nProduct you distribute or in related documentation in which you describe the\norigin or ownership of the Licensed Product. You may not modify or delete\nany preexisting copyright notices in the Licensed Product.\n\n      d. Intellectual Property Matters.\n\ni. Third Party Claims. If you have knowledge that a license to a third party\'s\nintellectual property right is required to exercise the rights granted by\nthis License, you must include a text file with the Source Code distribution\ntitled \"LEGAL\" that describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after you make any Modifications available as described in\nSection 4(b), you shall promptly modify the LEGAL file in all copies you make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Licensed Product from you that new knowledge has been obtained.\n\nii. Contributor APIs. If your Modifications include an application programming\ninterface (\"API\") and you have knowledge of patent licenses that are reasonably\nnecessary to implement that API, you must also include this information in\nthe LEGAL file.\n\niii. Representations. You represent that, except as disclosed pursuant to\n4(d)(i) above, you believe that any Modifications you distribute are your\noriginal creations and that you have sufficient rights to grant the rights\nconveyed by this License.\n\ne. Required Notices. You must duplicate this License in any documentation\nyou provide along with the Source Code of any Modifications you create or\nto which you contribute, and which you distribute, wherever you describe recipients\'\nrights relating to Licensed Product. You must duplicate the notice contained\nin Exhibit A (the \"Notice\") in each file of the Source Code of any copy you\ndistribute of the Licensed Product. If you created a Modification, you may\nadd your name as a Contributor to the Notice. If it is not possible to put\nthe Notice in a particular Source Code file due to its structure, then you\nmust include such Notice in a location (such as a relevant directory file)\nwhere a user would be likely to look for such a notice. You may choose to\noffer, and charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Licensed Product. However, you may do so only\non your own behalf, and not on behalf of the Licensor or any Contributor.\nYou must make it clear that any such warranty, support, indemnity or liability\nobligation is offered by you alone, and you hereby agree to indemnify the\nLicensor and every Contributor for any liability incurred by the Licensor\nor such Contributor as a result of warranty, support, indemnity or liability\nterms you offer.\n\nf. Distribution of Executable Versions. You may distribute Licensed Product\nas an executable program under a license of your choice that may contain terms\ndifferent from this License provided (i) you have satisfied the requirements\nof Sections 4(a) through 4(e) for that distribution, (ii) you include a conspicuous\nnotice in the executable version, related documentation and collateral materials\nstating that the Source Code version of the Licensed Product is available\nunder the terms of this License, including a description of how and where\nyou have fulfilled the obligations of Section 4(b), (iii) you retain all existing\ncopyright notices in the Licensed Product, and (iv) you make it clear that\nany terms that differ from this License are offered by you alone, not by Licensor\nor any Contributor. You hereby agree to indemnify the Licensor and every Contributor\nfor any liability incurred by Licensor or such Contributor as a result of\nany terms you offer.\n\ng. Distribution of Derivative Works. You may create Derivative Works (e.g.,\ncombinations of some or all of the Licensed Product with other code) and distribute\nthe Derivative Works as products under any other license you select, with\nthe proviso that the requirements of this License are fulfilled for those\nportions of the Derivative Works that consist of the Licensed Product or any\nModifications thereto.\n\n   5. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for you to comply with any of the terms of this License\nwith respect to some or all of the Licensed Product due to statute, judicial\norder, or regulation, then you must (i) comply with the terms of this License\nto the maximum extent possible, (ii) cite the statute or regulation that prohibits\nyou from adhering to the License, and (iii) describe the limitations and the\ncode they affect. Such description must be included in the LEGAL file described\nin Section 4(d), and must be included with all distributions of the Source\nCode. Except to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill at computer\nprogramming to be able to understand it.\n\n   6. Application of This License.\n\nThis License applies to code to which Licensor or Contributor has attached\nthe Notice in Exhibit A, which is incorporated herein by this reference.\n\n   7. Versions of This License.\n\na. Version. The Motosoto Open Source License is derived from the Jabber Open\nSource License. All changes are related to applicable law and the location\nof court.\n\nb. New Versions. Licensor may publish from time to time revised and/or new\nversions of the License.\n\nc. Effect of New Versions. Once Licensed Product has been published under\na particular version of the License, you may always continue to use it under\nthe terms of that version. You may also choose to use such Licensed Product\nunder the terms of any subsequent version of the License published by Licensor.\nNo one other than Lic ensor has the right to modify the terms applicable to\nLicensed Product created under this License.\n\nd. Derivative Works of this License. If you create or use a modified version\nof this License, which you may do only in order to apply it to software that\nis not already a Licensed Product under this License, you must rename your\nlicense so that it is not confusingly similar to this License, and must make\nit clear that your license contains terms that differ from this License. In\nso naming your license, you may not use any trademark of Licensor or any Contributor.\n\n   8. Disclaimer of Warranty.\n\nLICENSED PRODUCT IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE LICENSED PRODUCT IS FREE OF DEFECTS, MERCHANTABLE, FIT\nFOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE LICENSED PRODUCT IS WITH YOU. SHOULD LICENSED PRODUCT\nPROVE DEFECTIVE IN ANY RESPECT, YOU (AND NOT THE LICENSOR OR ANY OTHER CONTRIBUTOR)\nASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF LICENSED\nPRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   9. Termination.\n\na. Automatic Termination Upon Breach. This license and the rights granted\nhereunder will terminate automatically if you fail to comply with the terms\nherein and fail to cure such breach within thirty (30) days of becoming aware\nof the breach. All sublicenses to the Licensed Product that are properly granted\nshall survive any termination of this license. Provisions that, by their nature,\nmust remain in effect beyond the termination of this License, shall survive.\n\nb. Termination Upon Assertion of Patent Infringement. If you initiate litigation\nby asserting a patent infringement claim (excluding declaratory judgment actions)\nagainst Licensor or a Contributor (Licensor or Contributor against whom you\nfile such an action is referred to herein as \"Respondent\") alleging that Licensed\nProduct directly or indirectly infringes any patent, then any and all rights\ngranted by such Respondent to you under Sections 1 or 2 of this License shall\nterminate prospectively upon sixty (60) days notice from Respondent (the \"Notice\nPeriod\") unless within that Notice Period you either agree in writing (i)\nto pay Respondent a mutually agreeable reasonably royalty for your past or\nfuture use of Licensed Product made by such Respondent, or (ii) withdraw your\nlitigation claim with respect to Licensed Product against such Respondent.\nIf within said Notice Period a reasonable royalty and payment arrangement\nare not mutually agreed upon in writing by the parties or the litigation claim\nis not withdrawn, the rights granted by Licensor to you under Sections 1 and\n2 automatically terminate at the expiration of said Notice Period.\n\nc. Reasonable Value of This License. If you assert a patent infringement claim\nagainst Respondent alleging that Licensed Product directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by said Respondent under Sections 1 and 2 shall\nbe taken into account in determining the amount or value of any payment or\nlicense.\n\nd. No Retroactive Effect of Termination. In the event of termination under\nSections 9(a) or 9(b) above, all end user license agreements (excluding licenses\nto distributors and reselle rs) that have been validly granted by you or any\ndistributor hereunder prior to termination shall survive termination.\n\n   10. Limitation of Liability.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE LICENSOR, ANY CONTRIBUTOR,\nOR ANY DISTRIBUTOR OF LICENSED PRODUCT, OR ANY SUPPLIER OF ANY OF SUCH PARTIES,\nBE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL\nDAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF\nGOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER\nCOMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED\nOF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT\nAPPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(232,'Adobe-Glyph','Copyright (c) 1997,1998,2002,2007 Adobe Systems Incorporated\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this documentation file to use, copy, publish, distribute, sublicense,\nand/or sell copies of the documentation, and to permit others to do the same,\nprovided that:\n\n- No modification, editing or other alteration of this document is allowed;\nand\n\n- The above copyright notice and this permission notice shall be included\nin all copies of the documentation.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this documentation file, to create their own derivative works from the\ncontent of this document to use, copy, publish, distribute, sublicense, and/or\nsell the derivative works, and to permit others to do the same, provided that\nthe derived work is not represented as being a copy or version of this document.\n\nAdobe shall not be liable to any party for any loss of revenue or profit or\nfor indirect, incidental, special, consequential, or other similar damages,\nwhether based on tort (including without limitation negligence or strict liability),\ncontract or other legal or equitable grounds even if Adobe has been advised\nor had reason to know of the possibility of such damages. The Adobe materials\nare provided on an \"AS IS\" basis. Adobe specifically disclaims all express,\nstatutory, or implied warranties relating to the Adobe materials, including\nbut not limited to those concerning merchantability or fitness for a particular\npurpose or non-infringement of any third party rights regarding the Adobe\nmaterials.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(233,'ISC','ISC License\n\nCopyright (c) 2004-2010 by Internet Systems Consortium, Inc. (\"ISC\")\n\nCopyright (c) 1995-2003 by Internet Software Consortium\n\nPermission to use, copy, modify, and /or distribute this software for any\npurpose with or without fee is hereby granted, provided that the above copyright\nnotice and this permission notice appear in all copies.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND ISC DISCLAIMS ALL WARRANTIES WITH REGARD\nTO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.\nIN NO EVENT SHALL ISC BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL\nDAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,\nWHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING\nOUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(234,'NASA-1.3','NASA OPEN SOURCE AGREEMENT VERSION 1.3\n\nTHIS OPEN SOURCE AGREEMENT (\"AGREEMENT\") DEFINES THE RIGHTS OF USE, REPRODUCTION,\nDISTRIBUTION, MODIFICATION AND REDISTRIBUTION OF CERTAIN COMPUTER SOFTWARE\nORIGINALLY RELEASED BY THE UNITED STATES GOVERNMENT AS REPRESENTED BY THE\nGOVERNMENT AGENCY LISTED BELOW (\"GOVERNMENT AGENCY\"). THE UNITED STATES GOVERNMENT,\nAS REPRESENTED BY GOVERNMENT AGENCY, IS AN INTENDED THIRD-PARTY BENEFICIARY\nOF ALL SUBSEQUENT DISTRIBUTIONS OR REDISTRIBUTIONS OF THE SUBJECT SOFTWARE.\nANYONE WHO USES, REPRODUCES, DISTRIBUTES, MODIFIES OR REDISTRIBUTES THE SUBJECT\nSOFTWARE, AS DEFINED HEREIN, OR ANY PART THEREOF, IS, BY THAT ACTION, ACCEPTING\nIN FULL THE RESPONSIBILITIES AND OBLIGATIONS CONTAINED IN THIS AGREEMENT.\n\nGovernment Agency: _______________\n\nGovernment Agency Original Software Designation: _______________\n\nGovernment Agency Original Software Title: _______________\n\nUser Registration Requested. Please Visit http://_______________\n\nGovernment Agency Point of Contact for Original Software: _______________\n\n   \n\n   DEFINITIONS\n\nA. \"Contributor\" means Government Agency, as the developer of the Original\nSoftware, and any entity that makes a Modification.\n\nB. \"Covered Patents\" mean patent claims licensable by a Contributor that are\nnecessarily infringed by the use or sale of its Modification alone or when\ncombined with the Subject Software.\n\nC. \"Display\" means the showing of a copy of the Subject Software, either directly\nor by means of an image, or any other device.\n\nD. \"Distribution\" means conveyance or transfer of the Subject Software, regardless\nof means, to another.\n\nE. \"Larger Work\" means computer software that combines Subject Software, or\nportions thereof, with software separate from the Subject Software that is\nnot governed by the terms of this Agreement.\n\nF. \"Modification\" means any alteration of, including addition to or deletion\nfrom, the substance or structure of either the Original Software or Subject\nSoftware, and includes derivative works, as that term is defined in the Copyright\nStatute, 17 USC 101. However, the act of including Subject Software as part\nof a Larger Work does not in and of itself constitute a Modification.\n\nG. \"Original Software\" means the computer software first released under this\nAgreement by Government Agency with Government Agency designation _______________\nand entitled _______________ , including source code, object code and accompanying\ndocumentation, if any.\n\nH. \"Recipient\" means anyone who acquires the Subject Software under this Agreement,\nincluding all Contributors.\n\nI. \"Redistribution\" means Distribution of the Subject Software after a Modification\nhas been made.\n\nJ. \"Reproduction\" means the making of a counterpart, image or copy of the\nSubject Software.\n\nK. \"Sale\" means the exchange of the Subject Software for money or equivalent\nvalue.\n\nL. \"Subject Software\" means the Original Software, Modifications, or any respective\nparts thereof.\n\nM. \"Use\" means the application or employment of the Subject Software for any\npurpose.\n\n   \n\n   GRANT OF RIGHTS\n\nA. Under Non-Patent Rights: Subject to the terms and conditions of this Agreement,\neach Contributor, with respect to its own contribution to the Subject Software,\nhereby grants to each Recipient a non-exclusive, world-wide, royalty-free\nlicense to engage in the following activities pertaining to the Subject Software:\n\n         1. Use\n\n         2. Distribution\n\n         3. Reproduction\n\n         4. Modification\n\n         5. Redistribution\n\n         6. Display\n\nB. Under Patent Rights: Subject to the terms and conditions of this Agreement,\neach Contributor, with respect to its own contribution to the Subject Software,\nhereby grants to each Recipient under Covered Patents a non-exclusive, world-wide,\nroyalty-free license to engage in the following activities pertaining to the\nSubject Software:\n\n         1. Use\n\n         2. Distribution\n\n         3. Reproduction\n\n         4. Sale\n\n         5. Offer for Sale\n\nC. The rights granted under Paragraph B. also apply to the combination of\na Contributor\'s Modification and the Subject Software if, at the time the\nModification is added by the Contributor, the addition of such Modification\ncauses the combination to be covered by the Covered Patents. It does not apply\nto any other combinations that include a Modification.\n\nD. The rights granted in Paragraphs A. and B. allow the Recipient to sublicense\nthose same rights. Such sublicense must be under the same terms and conditions\nof this Agreement.\n\n   \n\n   OBLIGATIONS OF RECIPIENT\n\nA. Distribution or Redistribution of the Subject Software must be made under\nthis Agreement except for additions covered under paragraph 3H.\n\n1. Whenever a Recipient distributes or redistributes the Subject Software,\na copy of this Agreement must be included with each copy of the Subject Software;\nand\n\n2. If Recipient distributes or redistributes the Subject Software in any form\nother than source code, Recipient must also make the source code freely available,\nand must provide with each copy of the Subject Software information on how\nto obtain the source code in a reasonable manner on or through a medium customarily\nused for software exchange.\n\nB. Each Recipient must ensure that the following copyright notice appears\nprominently in the Subject Software:\n\n[Government Agency will insert the applicable copyright notice in each agreement\naccompanying the initial distribution of original software and remove this\nbracketed language.]\n\n[The following copyright notice will be used if created by a contractor pursuant\nto Government Agency contract and rights obtained from creator by assignment.\nGovernment Agency will insert the year and its Agency designation and remove\nthe bracketed language.] Copyright (c) {YEAR} United States Government as\nrepresented by _______________ . All Rights Reserved.\n\n[The following copyright notice will be used if created by civil servants\nonly. Government Agency will insert the year and its Agency designation and\nremove the bracketed language.] Copyright (c) {YEAR} United States Government\nas represented by _______________ . No copyright is claimed in the United\nStates under Title 17, U.S.Code. All Other Rights Reserved.\n\nC. Each Contributor must characterize its alteration of the Subject Software\nas a Modification and must identify itself as the originator of its Modification\nin a manner that reasonably allows subsequent Recipients to identify the originator\nof the Modification. In fulfillment of these requirements, Contributor must\ninclude a file (e.g., a change log file) that describes the alterations made\nand the date of the alterations, identifies Contributor as originator of the\nalterations, and consents to characterization of the alterations as a Modification,\nfor example, by including a statement that the Modification is derived, directly\nor indirectly, from Original Software provided by Government Agency. Once\nconsent is granted, it may not thereafter be revoked.\n\nD. A Contributor may add its own copyright notice to the Subject Software.\nOnce a copyright notice has been added to the Subject Software, a Recipient\nmay not remove it without the express permission of the Contributor who added\nthe notice.\n\nE. A Recipient may not make any representation in the Subject Software or\nin any promotional, advertising or other material that may be construed as\nan endorsement by Government Agency or by any prior Recipient of any product\nor service provided by Recipient, or that may seek to obtain commercial advantage\nby the fact of Government Agency\'s or a prior Recipient\'s participation in\nthis Agreement.\n\nF. In an effort to track usage and maintain accurate records of the Subject\nSoftware, each Recipient, upon receipt of the Subject Software, is requested\nto register with Government Agency by visiting the following website: _______________\n. Recipient\'s name and personal information shall be used for statistical\npurposes only. Once a Recipient makes a Modification available, it is requested\nthat the Recipient inform Government Agency at the web site provided above\nhow to access the Modification.\n\n[Alternative paragraph for use when a web site for release and monitoring\nof subject software will not be supported by releasing Government Agency]\nIn an effort to track usage and maintain accurate records of the Subject Software,\neach Recipient, upon receipt of the Subject Software, is requested to provide\nGovernment Agency, by e-mail to the Government Agency Point of Contact listed\nin clause 5.F., the following information: _______________ . Recipient\'s name\nand personal information shall be used for statistical purposes only. Once\na Recipient makes a Modification available, it is requested that the Recipient\ninform Government Agency, by e-mail to the Government Agency Point of Contact\nlisted in clause 5.F., how to access the Modification.\n\nG. Each Contributor represents that that its Modification is believed to be\nContributor\'s original creation and does not violate any existing agreements,\nregulations, statutes or rules, and further that Contributor has sufficient\nrights to grant the rights conveyed by this Agreement.\n\nH. A Recipient may choose to offer, and to charge a fee for, warranty, support,\nindemnity and/or liability obligations to one or more other Recipients of\nthe Subject Software. A Recipient may do so, however, only on its own behalf\nand not on behalf of Government Agency or any other Recipient. Such a Recipient\nmust make it absolutely clear that any such warranty, support, indemnity and/or\nliability obligation is offered by that Recipient alone. Further, such Recipient\nagrees to indemnify Government Agency and every other Recipient for any liability\nincurred by them as a result of warranty, support, indemnity and/or liability\noffered by such Recipient.\n\nI. A Recipient may create a Larger Work by combining Subject Software with\nseparate software not governed by the terms of this agreement and distribute\nthe Larger Work as a single product. In such case, the Recipient must make\nsure Subject Software, or portions thereof, included in the Larger Work is\nsubject to this Agreement.\n\nJ. Notwithstanding any provisions contained herein, Recipient is hereby put\non notice that export of any goods or technical data from the United States\nmay require some form of export license from the U.S. Government. Failure\nto obtain necessary export licenses may result in criminal liability under\nU.S. laws. Government Agency neither represents that a license shall not be\nrequired nor that, if required, it shall be issued. Nothing granted herein\nprovides any such export license.\n\n   \n\n   DISCLAIMER OF WARRANTIES AND LIABILITIES; WAIVER AND INDEMNIFICATION\n\nA. No Warranty: THE SUBJECT SOFTWARE IS PROVIDED \"AS IS\" WITHOUT ANY WARRANTY\nOF ANY KIND, EITHER EXPRESSED, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED\nTO, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL CONFORM TO SPECIFICATIONS,\nANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\nOR FREEDOM FROM INFRINGEMENT, ANY WARRANTY THAT THE SUBJECT SOFTWARE WILL\nBE ERROR FREE, OR ANY WARRANTY THAT DOCUMENTATION, IF PROVIDED, WILL CONFORM\nTO THE SUBJECT SOFTWARE. THIS AGREEMENT DOES NOT, IN ANY MANNER, CONSTITUTE\nAN ENDORSEMENT BY GOVERNMENT AGENCY OR ANY PRIOR RECIPIENT OF ANY RESULTS,\nRESULTING DESIGNS, HARDWARE, SOFTWARE PRODUCTS OR ANY OTHER APPLICATIONS RESULTING\nFROM USE OF THE SUBJECT SOFTWARE. FURTHER, GOVERNMENT AGENCY DISCLAIMS ALL\nWARRANTIES AND LIABILITIES REGARDING THIRD-PARTY SOFTWARE, IF PRESENT IN THE\nORIGINAL SOFTWARE, AND DISTRIBUTES IT \"AS IS.\"\n\nB. Waiver and Indemnity: RECIPIENT AGREES TO WAIVE ANY AND ALL CLAIMS AGAINST\nTHE UNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL\nAS ANY PRIOR RECIPIENT. IF RECIPIENT\'S USE OF THE SUBJECT SOFTWARE RESULTS\nIN ANY LIABILITIES, DEMANDS, DAMAGES, EXPENSES OR LOSSES ARISING FROM SUCH\nUSE, INCLUDING ANY DAMAGES FROM PRODUCTS BASED ON, OR RESULTING FROM, RECIPIENT\'S\nUSE OF THE SUBJECT SOFTWARE, RECIPIENT SHALL INDEMNIFY AND HOLD HARMLESS THE\nUNITED STATES GOVERNMENT, ITS CONTRACTORS AND SUBCONTRACTORS, AS WELL AS ANY\nPRIOR RECIPIENT, TO THE EXTENT PERMITTED BY LAW. RECIPIENT\'S SOLE REMEDY FOR\nANY SUCH MATTER SHALL BE THE IMMEDIATE, UNILATERAL TERMINATION OF THIS AGREEMENT.\n\n   \n\n   GENERAL TERMS\n\nA. Termination: This Agreement and the rights granted hereunder will terminate\nautomatically if a Recipient fails to comply with these terms and conditions,\nand fails to cure such noncompliance within thirty (30) days of becoming aware\nof such noncompliance. Upon termination, a Recipient agrees to immediately\ncease use and distribution of the Subject Software. All sublicenses to the\nSubject Software properly granted by the breaching Recipient shall survive\nany such termination of this Agreement.\n\nB. Severability: If any provision of this Agreement is invalid or unenforceable\nunder applicable law, it shall not affect the validity or enforceability of\nthe remainder of the terms of this Agreement.\n\nC. Applicable Law: This Agreement shall be subject to United States federal\nlaw only for all purposes, including, but not limited to, determining the\nvalidity of this Agreement, the meaning of its provisions and the rights,\nobligations and remedies of the parties.\n\nD. Entire Understanding: This Agreement constitutes the entire understanding\nand agreement of the parties relating to release of the Subject Software and\nmay not be superseded, modified or amended except by further written agreement\nduly executed by the parties.\n\nE. Binding Authority: By accepting and using the Subject Software under this\nAgreement, a Recipient affirms its authority to bind the Recipient to all\nterms and conditions of this Agreement and that that Recipient hereby agrees\nto all terms and conditions herein.\n\nF. Point of Contact: Any Recipient contact with Government Agency is to be\ndirected to the designated representative as follows: _______________ .\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(235,'Entessa','Entessa Public License Version. 1.0\n\nCopyright (c) 2003 Entessa, LLC. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The end-user documentation included with the redistribution, if any, must\ninclude the following acknowledgment:\n\n\"This product includes open source software developed by openSEAL (http://www.openseal.org/).\"\n\nAlternately, this acknowledgment may appear in the software itself, if and\nwherever such third-party acknowledgments normally appear.\n\n4. The names \"openSEAL\" and \"Entessa\" must not be used to endorse or promote\nproducts derived from this software without prior written permission. For\nwritten permission, please contact epl@entessa.com.\n\n5. Products derived from this software may not be called \"openSEAL\", nor may\n\"openSEAL\" appear in their name, without prior written permission of Entessa.\n\nTHIS SOFTWARE IS PROVIDED ``AS IS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ENTESSA,\nLLC, OPENSEAL OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals\non behalf of openSEAL and was originally based on software contributed by\nEntessa, LLC, http://www.entessa.com. For more information on the openSEAL,\nplease see <http://www.openseal.org/>.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(236,'iMatix','The SFL License Agreement\n\nThis license agreement covers your use of the iMatix STANDARD FUNCTION LIBRARY\n(SFL), its source code, documentation, and executable files, hereinafter referred\nto as \"the Product\".\n\nThe Product is Copyright (c) 1991-2000 iMatix Corporation. You may use it\nand distribute it according to this following License Agreement. If you do\nnot agree with these terms, please remove the Product from your system. By\nincorporating the Product in your work or distributing the Product to others\nyou implicitly agree to these license terms.\n\nStatement Of Copyright\n\nThe Product is, and remains, Copyright © 1991-2000 iMatix Corporation, with\nexception of specific copyrights as noted in the individual source files.\n\nConditions Of Use\n\nYou do not need to provide the source code for the Product as part of your\nproduct. However, you must do one of these things to comply with the Product\nLicense Agreement:\n\n      1. Provide the source code for Product modules that you use, or\n\n2. Make your product freely available according to a license similar to the\nGNU General Public License, or the Perl Artistic License, or\n\n3. Add this phrase to the documentation for your product: \"This product uses\nparts of the iMatix SFL, Copyright © 1991-2000 iMatix Corporation <http://www.imatix.com>\".\n\nRights Of Usage\n\nYou may freely and at no cost use the Product in any project, commercial,\nacademic, military, or private, so long as you respect the License Agreement.\nThe License Agreement does not affect any software except the Product. In\nparticular, any application that uses the Product does not itself fall under\nthe License Agreement.\n\nYou may modify any part of the Product, including sources and documentation,\nexcept this License Agreement, which you may not modify.\n\nYou must clearly indicate any modifications at the start of each source file.\nThe user of any modified Product code must know that the source file is not\noriginal.\n\n   \n\nAt your discretion, you may rewrite or reuse any part of the Product so that\nyour derived code is not obviously part of the Product. This derived code\ndoes not fall under the Product License Agreement directly, but you must include\na credit at the start of each source file indicating the original authorship\nand source of the code, and a statement of copyright as follows:\n\n   \"Parts copyright (c) 1991-2000 iMatix Corporation.\"\n\nRights Of Distribution\n\nYou may freely distribute the Product, or any subset of the Product, by any\nmeans. The License, in the form of the file called \"LICENSE.TXT\" must accompany\nany such distribution.\n\nYou may charge a fee for distributing the Product, for providing a warranty\non the Product, for making modifications to the Product, or for any other\nservice provided in relation to the Product. You are not required to ask our\npermission for any of these activities.\n\nAt no time will iMatix associate itself with any distribution of the Product\nexcept that supplied from the Internet site http://www.imatix.com.\n\nDisclaimer Of Warranty\n\nThe Product is provided as free software, in the hope that it will be useful.\nIt is provided \"as-is\", without warranty of any kind, either expressed or\nimplied, including, but not limited to, the implied warranties of merchantability\nand fitness for a particular purpose. The entire risk as to the quality and\nperformance of the Product is with you. Should the Product prove defective,\nthe full cost of repair, servicing, or correction lies with you.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(237,'OPL-1.0','OPEN PUBLIC LICENSE\n\nVersion 1.0\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work, which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.8. \"License\" means this document and the corresponding addendum described\nin section 6.4 below.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. \"You\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, \"You\'\' includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\'\' means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n      1.13 \"License Author\" means Lutris Technologies, Inc.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na worldwide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims:\n\n(a) under intellectual property rights (other than patent or trademark) to\nuse, reproduce, modify, display, perform, sublicense and distribute the Original\nCode (or portions thereof) with or without Modifications, or as part of a\nLarger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (``offer to sell and import\'\') the Original\nCode (or portions thereof), but solely to the extent that any such patent\nis reasonably necessary to enable You to Utilize the Original Code (or portions\nthereof) and not to any greater extent that may be necessary to Utilize further\nModifications or combinations.\n\n2.2. Contributor Grant. Each Contributor hereby grants You a worldwide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) to\nuse, reproduce, modify, display, perform, sublicense and distribute the Modifications\ncreated by such Contributor (or portions thereof) either on an unmodified\nbasis, with other Modifications, as Covered Code or as part of a Larger Work;\nand\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nto make, have made, use and sell (``offer to sell and import\'\') the Contributor\nVersion (or portions thereof), but solely to the extent that any such patent\nis reasonably necessary to enable You to Utilize the Contributor Version (or\nportions thereof), and not to any greater extent that may be necessary to\nUtilize further Modifications or combinations\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available, prior to any use, except for\ninternal development and practice, in Source Code form under the terms of\nthis License either on the same media as an Executable version or via an accepted\nElectronic Distribution Mechanism to anyone to whom you made an Executable\nversion available; and if made available via Electronic Distribution Mechanism,\nmust remain available for at least twelve (12) months after the date it initially\nbecame available, or at least six (6) months after a subsequent version of\nthat particular Modification has been made available to such recipients. You\nshall notify the Initial Developer of the Modification and the location of\nthe Source Code via the contact means provided for in the Developer Specific\nlicense. Initial Developer will be acting as maintainer of the Source Code\nand may provide an Electronic Distribution mechanism for the Modification\nto be made available.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nyou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(a) Third Party Claims. If You have knowledge that a party claims an intellectual\nproperty right in particular functionality or code (or its utilization under\nthis License), you must include a text file with the source code distribution\ntitled \"LEGAL\" which describes the claim and the party making the claim in\nsufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after You make Your Modification available as described in\nSection 3.2, You shall promptly modify the LEGAL file in all copies You make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Covered Code that new knowledge has been obtained.\n\n(b) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code, and this License in any documentation for the Source\nCode, where You describe recipients\' rights relating to Covered Code. If You\ncreated one or more Modification(s), You may add your name as a Contributor\nto the notice described in Exhibit A. If it is not possible to put such notice\nin a particular Source Code file due to its structure, then you must include\nsuch notice in a location (such as a relevant directory file) where a user\nwould be likely to look for such a notice. You may choose to offer, and to\ncharge a fee for, warranty, support, indemnity or liability obligations to\none or more recipients of Covered Code. However, You may do so only on Your\nown behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear that any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code under a license of Your choice, which may contain\nterms different from this License, provided that You are in compliance with\nthe terms of this License and that the license for the Executable version\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nversion from the rights set forth in this License. If You distribute the Executable\nversion under a different license You must make it absolutely clear that any\nterms which differ from this License are offered by You alone, not by the\nInitial Developer or any Contributor. You hereby agree to indemnify the Initial\nDeveloper and every Contributor for any liability incurred by the Initial\nDeveloper or such Contributor as a result of any such terms You offer. If\nyou distribute executable versions containing Covered Code, you must reproduce\nthe notice in Exhibit B in the documentation and/or other materials provided\nwith the product.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) Cite all of the statutes or regulations that prohibit you\nfrom complying fully with this license. (c) describe the limitations and the\ncode they affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\n   6. Versions of the License.\n\n6.1. New Versions. License Author may publish revised and/or new versions\nof the License from time to time. Each version will be given a distinguishing\nversion number and shall be submitted to opensource.org for certification.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by Initial Developer.\nNo one other than Initial Developer has the right to modify the terms applicable\nto Covered Code created under this License.\n\n6.3. Derivative Works. If you create or use a modified version of this License,\nexcept in association with the required Developer Specific License described\nin section 6.4, (which you may only do in order to apply it to code which\nis not already Covered Code governed by this License), you must (a) rename\nYour license so that the phrases ``Open\'\', ``OpenPL\'\', ``OPL\'\' or any confusingly\nsimilar phrase do not appear anywhere in your license and (b) otherwise make\nit clear that your version of the license contains terms which differ from\nthe Open Public License. (Filling in the name of the Initial Developer, Original\nCode or Contributor in the notice described in Exhibit A shall not of themselves\nbe deemed to be modifications of this License.)\n\n      6.4. Required Additional Developer Specific License\n\nThis license is a union of the following two parts that should be found as\ntext files in the same place (directory), in the order of preeminence:\n\n         [1] A Developer specific license.\n\n[2] The contents of this file OPL_1_0.TXT, stating the general licensing policy\nof the software.\n\nIn case of conflicting dispositions in the parts of this license, the terms\nof the lower-numbered part will always be superseded by the terms of the higher\nnumbered part.\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n      8.1 Termination upon Breach\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code,\nwhich are properly granted, shall survive any termination of this License.\nProvisions that, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. Termination Upon Litigation. If You initiate litigation by asserting\na patent infringement claim (excluding declatory judgment actions) against\nInitial Developer or a Contributor (the Initial Developer or Contributor against\nwhom You file such action is referred to as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER\nCONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF\nSUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a ``commercial item,\'\' as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of ``commercial computer software\'\' and ``commercial\ncomputer software documentation,\'\' as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nhis section was intentionally left blank. The contents of this section are\nfound in the corresponding addendum described above.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Covered Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute with Initial Developer responsibility on an equitable basis.\nEXHIBIT A.\n\nText for this Exhibit A is found in the corresponding addendum, described\nin section 6.4 above, text file provided by the Initial Developer. This license\nis not valid or complete with out that file.\n\nEXHIBIT B.\n\nText for this Exhibit B is found in the corresponding addendum, described\nin section 6.4 above, text file provided by the Initial Developer. This license\nis not valid or complete with out that file.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(238,'MPL-1.0','MOZILLA PUBLIC LICENSE\n\nVersion 1.0\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. \"You\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n      2.1. The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Original Code (or portions thereof) with or without Modifications, or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (\"Utilize\") the Original Code (or portions\nthereof), but solely to the extent that any such patent is reasonably necessary\nto enable You to Utilize the Original Code (or portions thereof) and not to\nany greater extent that may be necessary to Utilize further Modifications\nor combinations.\n\n      2.2. Contributor Grant.\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Modifications created by such Contributor (or portions thereof) either\non an unmodified basis, with other Modifications, as Covered Code or as part\nof a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nUtilize the Contributor Version (or portions thereof), but solely to the extent\nthat any such patent is reasonably necessary to enable You to Utilize the\nContributor Version (or portions thereof), and not to any greater extent that\nmay be necessary to Utilize further Modifications or combinations.\n\n   3. Distribution Obligations.\n\n      3.1. Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n      3.2. Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made\navailable in Source Code form under the terms of this License either on the\nsame media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n      3.3. Description of Modifications.\n\nYou must cause all Covered Code to which you contribute to contain a file\ndocumenting the changes You made to create that Covered Code and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the Source\nCode, and (b) in any notice in an Executable version or related documentation\nin which You describe the origin or ownership of the Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims.\n\nIf You have knowledge that a party claims an intellectual property right in\nparticular functionality or code (or its utilization under this License),\nyou must include a text file with the source code distribution titled \"LEGAL\"\nwhich describes the claim and the party making the claim in sufficient detail\nthat a recipient will know whom to contact. If you obtain such knowledge after\nYou make Your Modification available as described in Section 3.2, You shall\npromptly modify the LEGAL file in all copies You make available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n         (b) Contributor APIs.\n\nIf Your Modification is an application programming interface and You own or\ncontrol patents which are reasonably necessary to implement that API, you\nmust also include this information in the LEGAL file.\n\n      3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code,\nand this License in any documentation for the Source Code, where You describe\nrecipients\' rights relating to Covered Code. If You created one or more Modification(s),\nYou may add your name as a Contributor to the notice described in Exhibit\nA. If it is not possible to put such notice in a particular Source Code file\ndue to its structure, then you must include such notice in a location (such\nas a relevant directory file) where a user would be likely to look for such\na notice. You may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered Code.\nHowever, You may do so only on Your own behalf, and not on behalf of the Initial\nDeveloper or any Contributor. You must make it absolutely clear than any such\nwarranty, support, indemnity or liability obligation is offered by You alone,\nand You hereby agree to indemnify the Initial Developer and every Contributor\nfor any liability incurred by the Initial Developer or such Contributor as\na result of warranty, support, indemnity or liability terms You offer.\n\n      3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code, and if You include\na notice stating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You describe recipients\' rights relating to the Covered\nCode. You may distribute the Executable version of Covered Code under a license\nof Your choice, which may contain terms different from this License, provided\nthat You are in compliance with the terms of this License and that the license\nfor the Executable version does not attempt to limit or alter the recipient\'s\nrights in the Source Code version from the rights set forth in this License.\nIf You distribute the Executable version under a different license You must\nmake it absolutely clear that any terms which differ from this License are\noffered by You alone, not by the Initial Developer or any Contributor. You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof any such terms You offer.\n\n      3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) describe the limitations and the code they affect. Such\ndescription must be included in the LEGAL file described in Section 3.4 and\nmust be included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions.\n\nNetscape Communications Corporation (\"Netscape\") may publish revised and/or\nnew versions of the License from time to time. Each version will be given\na distinguishing version number.\n\n      6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Netscape. No one other than Netscape has the right\nto modify the terms applicable to Covered Code created under this License.\n\n      6.3. Derivative Works.\n\nIf you create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), you must (a) rename Your license so that the phrases \"Mozilla\",\n\"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"NPL\" or any confusingly similar phrase\ndo not appear anywhere in your license and (b) otherwise make it clear that\nyour version of the license contains terms which differ from the Mozilla Public\nLicense and Netscape Public License. (Filling in the name of the Initial Developer,\nOriginal Code or Contributor in the notice described in Exhibit A shall not\nof themselves be deemed to be modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER\nCONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF\nSUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in, the United States\nof America: (a) unless otherwise agreed in writing, all disputes relating\nto this License (excepting any dispute relating to intellectual property rights)\nshall be subject to final and binding arbitration, with the losing party paying\nall costs of arbitration; (b) any arbitration relating to this Agreement shall\nbe held in Santa Clara County, California, under the auspices of JAMS/EndDispute;\nand (c) any litigation relating to this Agreement shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Covered Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute responsibility on an equitable basis. EXHIBIT A.\n\n\" The contents of this file are subject to the Mozilla Public License Version\n1.0 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is _____ . The Initial Developer of the Original Code is\n_____ . Portions created by _____ are Copyright (C) _____ . All Rights Reserved.\nContributor(s): _____ . \"\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(239,'Spencer-94','Copyright 1992, 1993, 1994 Henry Spencer. All rights reserved.\n\nThis software is not subject to any license of the American Telephone and\nTelegraph Company or of the Regents of the University of California.\n\nPermission is granted to anyone to use this software for any purpose on any\ncomputer system, and to alter it and redistribute it, subject to the following\nrestrictions:\n\n1. The author is not responsible for the consequences of use of this software,\nno matter how awful, even if they arise from flaws in it.\n\n2. The origin of this software must not be misrepresented, either by explicit\nclaim or by omission. Since few users ever read sources, credits must appear\nin the documentation.\n\n3. Altered versions must be plainly marked as such, and must not be misrepresented\nas being the original software. Since few users ever read sources, credits\nmust appear in the documentation.\n\n   4. This notice may not be removed or altered.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(240,'BSD-Source-Code','Copyright (c) 2011, Deusty, LLC\n\nAll rights reserved.\n\nRedistribution and use of this software in source and binary forms, with or\nwithout modification, are permitted provided that the following conditions\nare met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Neither the name of Deusty nor the names of its contributors may be used\nto endorse or promote products derived from this software without specific\nprior written permission of Deusty, LLC.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(241,'TOSL','Trusster Open Source License version 1.0a (TRUST) copyright (c) 2006 Mike\nMintz and Robert Ekendahl. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n* Redistributions in any form must be accompanied by information on how to\nobtain complete source code for this software and any accompanying software\nthat uses this software. The source code must either be included in the distribution\nor be available in a timely fashion for no more than the cost of distribution\nplus a nominal fee, and must be freely redistributable under reasonable and\nno more restrictive conditions. For an executable file, complete source code\nmeans the source code for all modules it contains. It does not include source\ncode for modules or files that typically accompany the major components of\nthe operating system on which the executable file runs.\n\nTHIS SOFTWARE IS PROVIDED BY MIKE MINTZ AND ROBERT EKENDAHL ``AS IS\'\' AND\nANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT,\nARE DISCLAIMED. IN NO EVENT SHALL MIKE MINTZ AND ROBERT EKENDAHL OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(242,'GCC-exception-2.0','In addition to the permissions in the GNU Library General Public License, the Free Software Foundation gives you unlimited permission to link the compiled version of this file into combinations with other programs, and to distribute those programs without any restriction coming from the use of this file. (The General Public License restrictions do apply in other respects; for example, they cover modification of the file, and distribution when not linked into another program .)\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(243,'APAFML','Copyright (c) 1985, 1987, 1989, 1990, 1991, 1992, 1993, 1997 Adobe Systems\nIncorporated. All Rights Reserved.\n\nThis file and the 14 PostScript(R) AFM files it accompanies may be used, copied,\nand distributed for any purpose and without charge, with or without modification,\nprovided that all copyright notices are retained; that the AFM files are not\ndistributed without this file; that all modifications to this file or any\nof the AFM files are prominently noted in the modified file(s); and that this\nparagraph is not modified. Adobe Systems has no responsibility or obligation\nto support the use of the AFM files.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(244,'CNRI-Python-GPL-Compatible','CNRI OPEN SOURCE GPL-COMPATIBLE LICENSE AGREEMENT\n\nIMPORTANT: PLEASE READ THE FOLLOWING AGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR\nOTHERWISE USING PYTHON 1.6.1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED TO THE\nTERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research\nInitiatives, having an office at 1895 Preston White Drive, Reston, VA 20191\n(\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise\nusing Python 1.6.1 software in source or binary form and its associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby\ngrants Licensee a nonexclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python 1.6.1 alone or in any derivative version,\nprovided, however, that CNRI\'s License Agreement and CNRI\'s notice of copyright,\ni.e., \"Copyright © 1995-2001 Corporation for National Research Initiatives;\nAll Rights Reserved\" are retained in Python 1.6.1 alone or in any derivative\nversion prepared by Licensee. Alternately, in lieu of CNRI\'s License Agreement,\nLicensee may substitute the following text (omitting the quotes): \"Python\n1.6.1 is made available subject to the terms and conditions in CNRI\'s License\nAgreement. This Agreement together with Python 1.6.1 may be located on the\nInternet using the following unique, persistent identifier (known as a handle):\n1895.22/1013. This Agreement may also be obtained from a proxy server on the\nInternet using the following URL: http://hdl.handle.net/1895.22/1013\".\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates\nPython 1.6.1 or any part thereof, and wants to make the derivative work available\nto others as provided herein, then Licensee hereby agrees to include in any\nsuch work a brief summary of the changes made to Python 1.6.1.\n\n4. CNRI is making Python 1.6.1 available to Licensee on an \"AS IS\" basis.\nCNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF\nEXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION\nOR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF PYTHON 1.6.1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 1.6.1\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT\nOF MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 1.6.1, OR ANY DERIVATIVE\nTHEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n7. This License Agreement shall be governed by the federal intellectual property\nlaw of the United States, including without limitation the federal copyright\nlaw, and, to the extent such U.S. federal law does not apply, by the law of\nthe Commonwealth of Virginia, excluding Virginia\'s conflict of law provisions.\nNotwithstanding the foregoing, with regard to derivative works based on Python\n1.6.1 that incorporate non-separable material that was previously distributed\nunder the GNU General Public License (GPL), the law of the Commonwealth of\nVirginia shall govern this License Agreement only as to issues arising under\nor with respect to Paragraphs 4, 5, and 7 of this License Agreement. Nothing\nin this License Agreement shall be deemed to create any relationship of agency,\npartnership, or joint venture between CNRI and Licensee. This License Agreement\ndoes not grant permission to use CNRI trademarks or trade name in a trademark\nsense to endorse or promote products or services of Licensee, or any third\nparty.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing\nor otherwise using Python 1.6.1, Licensee agrees to be bound by the terms\nand conditions of this License Agreement. ACCEPT\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(245,'RSA-MD','Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All rights reserved.\n\nLicense to copy and use this software is granted provided that it is identified\nas the \"RSA Data Security, Inc. MD5 Message-Digest Algorithm\" in all material\nmentioning or referencing this software or this function.\n\nLicense is also granted to make and use derivative works provided that such\nworks are identified as \"derived from the RSA Data Security, Inc. MD5 Message-Digest\nAlgorithm\" in all material mentioning or referencing the derived work.\n\nRSA Data Security, Inc. makes no representations concerning either the merchantability\nof this software or the suitability of this software for any particular purpose.\nIt is provided \"as is\" without express or implied warranty of any kind.\n\nThese notices must be retained in any copies of any part of this documentation\nand/or software.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(246,'Abstyles','This is APREAMBL.TEX, version 1.10e, written by Hans-Hermann Bode\n\n(HHBODE@DOSUNI1.BITNET), for the BibTeX `adaptable\' family, version 1.10.\n\nSee the file APREAMBL.DOC for a detailed documentation.\n\nThis program is distributed WITHOUT ANY WARRANTY, express or implied.\n\nCopyright (C) 1991, 1992 Hans-Hermann Bode\n\nPermission is granted to make and distribute verbatim copies of this document\nprovided that the copyright notice and this permission notice are preserved\non all copies.\n\nPermission is granted to copy and distribute modified versions of this document\nunder the conditions for verbatim copying, provided that the entire resulting\nderived work is distributed under the terms of a permission notice identical\nto this one.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(247,'BSD-3-Clause-Attribution','Redistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. Neither the name of the copyright holder nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\n4. Redistributions of any form whatsoever must retain the following acknowledgment:\n\'This product includes software developed by the \"Universidad de Palermo,\nArgentina\" (http://www.palermo.edu/).\'\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(248,'Afmparse','(C) 1988, 1989 by Adobe Systems Incorporated. All rights reserved.\n\nThis file may be freely copied and redistributed as long as:\n\n   1) This entire notice continues to be included in the file,\n\n2) If the file has been modified in any way, a notice of such modification\nis conspicuously indicated.\n\nPostScript, Display PostScript, and Adobe are registered trademarks of Adobe\nSystems Incorporated.\n\nTHE INFORMATION BELOW IS FURNISHED AS IS, IS SUBJECT TO CHANGE WITHOUT NOTICE,\nAND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY ADOBE SYSTEMS INCORPORATED.\nADOBE SYSTEMS INCORPORATED ASSUMES NO RESPONSIBILITY OR LIABILITY FOR ANY\nERRORS OR INACCURACIES, MAKES NO WARRANTY OF ANY KIND (EXPRESS, IMPLIED OR\nSTATUTORY) WITH RESPECT TO THIS INFORMATION, AND EXPRESSLY DISCLAIMS ANY AND\nALL WARRANTIES OF MERCHANTABILITY, FITNESS FOR PARTICULAR PURPOSES AND NONINFRINGEMENT\nOF THIRD PARTY RIGHTS.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(249,'OCLC-2.0','OCLC Research Public License 2.0\n\nTerms & Conditions Of Use\n\nMay, 2002\n\nCopyright © 2002. OCLC Online Computer Library Center, Inc. All Rights Reserved\n\nPLEASE READ THIS DOCUMENT CAREFULLY. BY DOWNLOADING OR USING THE CODE BASE\nAND/OR DOCUMENTATION ACCOMPANYING THIS LICENSE (THE \"License\"), YOU AGREE\nTO THE FOLLOWING TERMS AND CONDITIONS OF THIS LICENSE.\n\nSection 1. Your Rights\n\nSubject to these terms and conditions of this License, the OCLC Office of\nResearch (the \"Original Contributor\") and each subsequent contributor (collectively\nwith the Original Contributor, the \"Contributors\") hereby grant you a non-exclusive,\nworldwide, no-charge, transferable license to execute, prepare derivative\nworks of, and distribute (internally and externally), for commercial and noncommercial\npurposes, the original code contributed by Original Contributor and all Modifications\n(collectively called the \"Program\").\n\nSection 2. Definitions\n\nA \"Modification\" to the Program is any addition to or deletion from the contents\nof any file of the Program and any new file that contains any part of the\nProgram. If you make a Modification and distribute the Program externally\nyou are a \"Contributor.\" The distribution of the Program must be under the\nterms of this license including those in Section 3 below.\n\nA \"Combined Work\" results from combining and integrating all or parts of the\nProgram with other code. A Combined Work may be thought of as having multiple\nparents or being result of multiple lines of code development.\n\nSection 3. Distribution Licensing Terms\n\n   A. General Requirements\n\nExcept as necessary to recognize third-party rights or third-party restriction\n(see below), a distribution of the Program in any of the forms listed below\nmust not put any further restrictions on the recipient\'s exercise of the rights\ngranted herein.\n\nAs a Contributor, you represent that your Modification(s) are your original\ncreation(s) and, to the best of your knowledge, no third party has any claim\n(including but not limited to intellectual property claims) relating to your\nModification(s). You represent that each of your Modifications includes complete\ndetails of any third-party right or other third-party restriction associated\nwith any part of your Modification (including a copy of any applicable license\nagreement).\n\nThe Program must be distributed without charge beyond the costs of physically\ntransferring the files to the recipient.\n\nThis Warranty Disclaimer/Limitation of Liability must be prominently displayed\nwith every distribution of the Program in any form:\n\nYOU AGREE THAT THE PROGRAM IS PROVIDED AS-IS, WITHOUT WARRANTY OF ANY KIND\n(EITHER EXPRESS OR IMPLIED). ACCORDINGLY, OCLC MAKES NO WARRANTIES, REPRESENTATIONS\nOR GUARANTEES, EITHER EXPRESS OR IMPLIED, AND DISCLAIMS ALL SUCH WARRANTIES,\nREPRESENTATIONS OR GUARANTEES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR PURPOSE, AS TO:\n(A) THE FUNCTIONALITY OR NONINFRINGEMENT OF PROGRAM, ANY MODIFICATION, A COMBINED\nWORK OR AN AGGREGATE WORK; OR (B) THE RESULTS OF ANY PROJECT UNDERTAKEN USING\nTHE PROGRAM, ANY MODIFICATION, A COMBINED WORK OR AN AGGREGATE WORK. IN NO\nEVENT SHALL THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, CONSEQUENTIAL OR ANY OTHER DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THE PROGRAM, EVEN IF ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES. YOU HEREBY WAIVE ANY CLAIMS FOR DAMAGES\nOF ANY KIND AGAINST CONTRIBUTORS WHICH MAY RESULT FROM YOUR USE OF THE PROGRAM.\n\n   B. Requirements for a Distribution of Modifiable Code\n\nIf you distribute the Program in a form to which the recipient can make Modifications\n(e.g. source code), the terms of this license apply to use by recipient. In\naddition, each source and data file of the Program and any Modification you\ndistribute must contain the following notice:\n\n\" Copyright (c) 2000- (insert then current year) OCLC Online Computer Library\nCenter, Inc. and other contributors . All rights reserved. The contents of\nthis file, as updated from time to time by the OCLC Office of Research, are\nsubject to OCLC Research Public License Version 2.0 (the \"License\"); you may\nnot use this file except in compliance with the License. You may obtain a\ncurrent copy of the License at http://purl.oclc.org/oclc/research/ORPL/. Software\ndistributed under the License is distributed on an \"AS IS\" basis, WITHOUT\nWARRANTY OF ANY KIND, either express or implied. See the License for the specific\nlanguage governing rights and limitations under the License. This software\nconsists of voluntary contributions made by many individuals on behalf of\nOCLC Research. For more information on OCLC Research, please see http://www.oclc.org/research/.\nThe Original Code is ______________________________ . The Initial Developer\nof the Original Code is ________________________ . Portions created by ______________________\nare Copyright (C) ____________________________ . All Rights Reserved. Contributor(s):\n______________________________________ . \"\n\n   C. Requirements for a Distribution of Non-modifiable Code\n\nIf you distribute the Program in a form to which the recipient cannot make\nModifications (e.g. object code), the terms of this license apply to use by\nrecipient and you must include the following statement in appropriate and\nconspicuous locations:\n\n\"Copyright (c) 2000- (insert then current year) OCLC Online Computer Library\nCenter, Inc. and other contributors. All rights reserved.\"\n\nIn addition, the source code must be included with the object code distribution\nor the distributor must provide the source code to the recipient upon request.\n\n   D. Requirements for a Combined Work Distribution\n\nDistributions of Combined Works are subject to the terms of this license and\nmust be made at no charge to the recipient beyond the costs of physically\ntransferring the files to recipient.\n\nA Combined Work may be distributed as either modifiable or non-modifiable\ncode. The requirements of Section 3.B or 3.C above (as appropriate) apply\nto such distributions.\n\nAn \"Aggregate Work\" is when the Program exists, without integration, with\nother programs on a storage medium. This License does not apply to portions\nof an Aggregate Work which are not covered by the definition of \"Program\"\nprovided in this License. You are not forbidden from selling an Aggregate\nWork. However, the Program contained in an Aggregate Work is subject to this\nLicense. Also, should the Program be extracted from an Aggregate Work, this\nLicense applies to any use of the Program apart from the Aggregate Work.\n\n   Section 4. License Grant\n\nFor purposes of permitting use of your Modifications by OCLC and other licensees\nhereunder, you hereby grant to OCLC and such other licensees the non-exclusive,\nworldwide, royalty-free, transferable, sublicenseable license to execute,\ncopy, alter, delete, modify, adapt, change, revise, enhance, develop, publicly\ndisplay, distribute (internally and externally) and/or create derivative works\nbased on your Modifications (and derivative works thereof) in accordance with\nthese Terms. This Section 4 shall survive termination of this License for\nany reason.\n\nSection 5. Termination of Rights\n\nThis non-exclusive license (with respect to the grant from a particular Contributor)\nautomatically terminates for any entity that initiates legal action for intellectual\nproperty infringement (with respect to the Program) against such Contributor\nas of the initiation of such action.\n\nIf you fail to comply with this License, your rights (but not your obligations)\nunder this License shall terminate automatically unless you cure such breach\nwithin thirty (30) days of becoming aware of the noncompliance. All sublicenses\ngranted by you which preexist such termination and are properly granted shall\nsurvive such termination.\n\nSection 6. Other Terms\n\nExcept for the copyright notices required above, you may not use any trademark\nof any of the Contributors without the prior written consent of the relevant\nContributor. You agree not to remove, alter or obscure any copyright or other\nproprietary rights notice contained in the Program.\n\nAll transfers of the Program or any part thereof shall be made in compliance\nwith U.S. import/export regulations or other restrictions of the U.S. Department\nof Commerce, as well as other similar trade or commerce restrictions which\nmight apply.\n\nAny patent obtained by any party covering the Program or any part thereof\nmust include a provision providing for the free, perpetual and unrestricted\ncommercial and noncommercial use by any third party.\n\nIf, as a consequence of a court judgment or settlement relating to intellectual\nproperty infringement or any other cause of action, conditions are imposed\non you that contradict the conditions of this License, such conditions do\nnot excuse you from compliance with this License. If you cannot distribute\nthe Program so as to simultaneously satisfy your obligations under this License\nand such other conditions, you may not distribute the Program at all. For\nexample, if a patent license would not permit royalty-free redistribution\nof the Program by all those who receive copies directly or indirectly through\nyou, you could not satisfy both the patent license and this License, and you\nwould be required to refrain entirely from distribution of the Program.\n\nIf you learn of a third party claim or other restriction relating to a Program\nyou have already distributed you shall promptly redo your Program to address\nthe issue and take all reasonable steps to inform those who may have received\nthe Program at issue. An example of an appropriate reasonable step to inform\nwould be posting an announcement on an appropriate web bulletin board.\n\nThe provisions of this License are deemed to be severable, and the invalidity\nor unenforceability of any provision shall not affect or impair the remaining\nprovisions which shall continue in full force and effect. In substitution\nfor any provision held unlawful, there shall be substituted a provision of\nsimilar import reflecting the original intent of the parties hereto to the\nextent permissible under law.\n\nThe Original Contributor from time to time may change this License, and the\namended license will apply to all copies of the Program downloaded after the\nnew license is posted. This License grants only the rights expressly stated\nherein and provides you with no implied rights or licenses to the intellectual\nproperty of any Contributor.\n\nThis License is the complete and exclusive statement of the agreement between\nthe parties concerning the subject matter hereof and may not be amended except\nby the written agreement of the parties. This License shall be governed by\nand construed in accordance with the laws of the State of Ohio and the United\nStates of America, without regard to principles of conflicts of law.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(250,'X11','X11 License\n\nCopyright (C) 1996 X Consortium\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE X CONSORTIUM\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n\nExcept as contained in this notice, the name of the X Consortium shall not\nbe used in advertising or otherwise to promote the sale, use or other dealings\nin this Software without prior written authorization from the X Consortium.\n\nX Window System is a trademark of X Consortium, Inc.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(251,'Bison-exception-2.2','Bison Exception\n\nAs a special exception, you may create a larger work that contains part or all of the Bison parser skeleton and distribute that work under terms of your choice, so long as that work isn\'t itself a parser generator using the skeleton or a modified version thereof as a parser skeleton. Alternatively, if you modify or redistribute the parser skeleton itself, you may (at your option) remove this special exception, which will cause the skeleton and the resulting Bison output files to be licensed under the GNU General Public License without this special exception.\n\nThis special exception was added by the Free Software Foundation in version 2.2 of Bison.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(252,'NetCDF','Copyright 1993-2014 University Corporation for Atmospheric Research/Unidata\n\nPortions of this software were developed by the Unidata Program at the University\nCorporation for Atmospheric Research.\n\nAccess and use of this software shall impose the following obligations and\nunderstandings on the user. The user is granted the right, without any fee\nor cost, to use, copy, modify, alter, enhance and distribute this software,\nand any derivative works thereof, and its supporting documentation for any\npurpose whatsoever, provided that this entire notice appears in all copies\nof the software, derivative works and supporting documentation. Further, UCAR\nrequests that the user credit UCAR/Unidata in any publications that result\nfrom the use of this software or in any product that includes this software,\nalthough this is not an obligation. The names UCAR and/or Unidata, however,\nmay not be used in any advertising or publicity to endorse or promote any\nproducts or commercial entity unless specific written permission is obtained\nfrom UCAR/Unidata. The user also understands that UCAR/Unidata is not obligated\nto provide the user with any support, consulting, training or assistance of\nany kind with regard to the use, operation and performance of this software\nnor to provide the user with any updates, revisions, new versions or \"bug\nfixes.\"\n\nTHIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA \"AS IS\" AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA\nBE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION\nOF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION\nWITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(253,'MPL-2.0-no-copyleft-exception','Mozilla Public License Version 2.0\n\n   1. Definitions\n\n1.1. \"Contributor\" means each individual or legal entity that creates, contributes\nto the creation of, or owns Covered Software.\n\n1.2. \"Contributor Version\" means the combination of the Contributions of others\n(if any) used by a Contributor and that particular Contributor\'s Contribution.\n\n      1.3. \"Contribution\" means Covered Software of a particular Contributor.\n\n1.4. \"Covered Software\" means Source Code Form to which the initial Contributor\nhas attached the notice in Exhibit A, the Executable Form of such Source Code\nForm, and Modifications of such Source Code Form, in each case including portions\nthereof.\n\n      1.5. \"Incompatible With Secondary Licenses\" means\n\n(a) that the initial Contributor has attached the notice described in Exhibit\nB to the Covered Software; or\n\n(b) that the Covered Software was made available under the terms of version\n1.1 or earlier of the License, but not also under the terms of a Secondary\nLicense.\n\n1.6. \"Executable Form\" means any form of the work other than Source Code Form.\n\n1.7. \"Larger Work\" means a work that combines Covered Software with other\nmaterial, in a separate file or files, that is not Covered Software.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently, any and all of the\nrights conveyed by this License.\n\n      1.10. \"Modifications\" means any of the following:\n\n(a) any file in Source Code Form that results from an addition to, deletion\nfrom, or modification of the contents of Covered Software; or\n\n(b) any new file in Source Code Form that contains any Covered Software.\n\n1.11. \"Patent Claims\" of a Contributor means any patent claim(s), including\nwithout limitation, method, process, and apparatus claims, in any patent Licensable\nby such Contributor that would be infringed, but for the grant of the License,\nby the making, using, selling, offering for sale, having made, import, or\ntransfer of either its Contributions or its Contributor Version.\n\n1.12. \"Secondary License\" means either the GNU General Public License, Version\n2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General\nPublic License, Version 3.0, or any later versions of those licenses.\n\n1.13. \"Source Code Form\" means the form of the work preferred for making modifications.\n\n1.14. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" includes any entity that controls,\nis controlled by, or is under common control with You. For purposes of this\ndefinition, \"control\" means (a) the power, direct or indirect, to cause the\ndirection or management of such entity, whether by contract or otherwise,\nor (b) ownership of more than fifty percent (50%) of the outstanding shares\nor beneficial ownership of such entity.\n\n   2. License Grants and Conditions\n\n      2.1. Grants\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby such Contributor to use, reproduce, make available, modify, display, perform,\ndistribute, and otherwise exploit its Contributions, either on an unmodified\nbasis, with Modifications, or as part of a Larger Work; and\n\n(b) under Patent Claims of such Contributor to make, use, sell, offer for\nsale, have made, import, and otherwise transfer either its Contributions or\nits Contributor Version.\n\n      2.2. Effective Date\n\nThe licenses granted in Section 2.1 with respect to any Contribution become\neffective for each Contribution on the date the Contributor first distributes\nsuch Contribution.\n\n      2.3. Limitations on Grant Scope\n\nThe licenses granted in this Section 2 are the only rights granted under this\nLicense. No additional rights or licenses will be implied from the distribution\nor licensing of Covered Software under this License. Notwithstanding Section\n2.1(b) above, no patent license is granted by a Contributor:\n\n(a) for any code that a Contributor has removed from Covered Software; or\n\n(b) for infringements caused by: (i) Your and any other third party\'s modifications\nof Covered Software, or (ii) the combination of its Contributions with other\nsoftware (except as part of its Contributor Version); or\n\n(c) under Patent Claims infringed by Covered Software in the absence of its\nContributions.\n\nThis License does not grant any rights in the trademarks, service marks, or\nlogos of any Contributor (except as may be necessary to comply with the notice\nrequirements in Section 3.4).\n\n      2.4. Subsequent Licenses\n\nNo Contributor makes additional grants as a result of Your choice to distribute\nthe Covered Software under a subsequent version of this License (see Section\n10.2) or under the terms of a Secondary License (if permitted under the terms\nof Section 3.3).\n\n      2.5. Representation\n\nEach Contributor represents that the Contributor believes its Contributions\nare its original creation(s) or it has sufficient rights to grant the rights\nto its Contributions conveyed by this License.\n\n      2.6. Fair Use\n\nThis License is not intended to limit any rights You have under applicable\ncopyright doctrines of fair use, fair dealing, or other equivalents.\n\n      2.7. Conditions\n\nSections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in\nSection 2.1.\n\n   3. Responsibilities\n\n      3.1. Distribution of Source Form\n\nAll distribution of Covered Software in Source Code Form, including any Modifications\nthat You create or to which You contribute, must be under the terms of this\nLicense. You must inform recipients that the Source Code Form of the Covered\nSoftware is governed by the terms of this License, and how they can obtain\na copy of this License. You may not attempt to alter or restrict the recipients\'\nrights in the Source Code Form.\n\n      3.2. Distribution of Executable Form\n\n      If You distribute Covered Software in Executable Form then:\n\n(a) such Covered Software must also be made available in Source Code Form,\nas described in Section 3.1, and You must inform recipients of the Executable\nForm how they can obtain a copy of such Source Code Form by reasonable means\nin a timely manner, at a charge no more than the cost of distribution to the\nrecipient; and\n\n(b) You may distribute such Executable Form under the terms of this License,\nor sublicense it under different terms, provided that the license for the\nExecutable Form does not attempt to limit or alter the recipients\' rights\nin the Source Code Form under this License.\n\n      3.3. Distribution of a Larger Work\n\nYou may create and distribute a Larger Work under terms of Your choice, provided\nthat You also comply with the requirements of this License for the Covered\nSoftware. If the Larger Work is a combination of Covered Software with a work\ngoverned by one or more Secondary Licenses, and the Covered Software is not\nIncompatible With Secondary Licenses, this License permits You to additionally\ndistribute such Covered Software under the terms of such Secondary License(s),\nso that the recipient of the Larger Work may, at their option, further distribute\nthe Covered Software under the terms of either this License or such Secondary\nLicense(s).\n\n      3.4. Notices\n\nYou may not remove or alter the substance of any license notices (including\ncopyright notices, patent notices, disclaimers of warranty, or limitations\nof liability) contained within the Source Code Form of the Covered Software,\nexcept that You may alter any license notices to the extent required to remedy\nknown factual inaccuracies.\n\n      3.5. Application of Additional Terms\n\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Software. However,\nYou may do so only on Your own behalf, and not on behalf of any Contributor.\nYou must make it absolutely clear that any such warranty, support, indemnity,\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nevery Contributor for any liability incurred by such Contributor as a result\nof warranty, support, indemnity or liability terms You offer. You may include\nadditional disclaimers of warranty and limitations of liability specific to\nany jurisdiction.\n\n   4. Inability to Comply Due to Statute or Regulation\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Software due to statute, judicial\norder, or regulation then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be placed in a text file included with\nall distributions of the Covered Software under this License. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Termination\n\n5.1. The rights granted under this License will terminate automatically if\nYou fail to comply with any of its terms. However, if You become compliant,\nthen the rights granted under this License from a particular Contributor are\nreinstated (a) provisionally, unless and until such Contributor explicitly\nand finally terminates Your grants, and (b) on an ongoing basis, if such Contributor\nfails to notify You of the non-compliance by some reasonable means prior to\n60 days after You have come back into compliance. Moreover, Your grants from\na particular Contributor are reinstated on an ongoing basis if such Contributor\nnotifies You of the non-compliance by some reasonable means, this is the first\ntime You have received notice of non-compliance with this License from such\nContributor, and You become compliant prior to 30 days after Your receipt\nof the notice.\n\n5.2. If You initiate litigation against any entity by asserting a patent infringement\nclaim (excluding declaratory judgment actions, counter-claims, and cross-claims)\nalleging that a Contributor Version directly or indirectly infringes any patent,\nthen the rights granted to You by any and all Contributors for the Covered\nSoftware under Section 2.1 of this License shall terminate.\n\n5.3. In the event of termination under Sections 5.1 or 5.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or Your distributors under this License prior\nto termination shall survive termination.\n\n   6. Disclaimer of Warranty\n\nCovered Software is provided under this License on an \"as is\" basis, without\nwarranty of any kind, either expressed, implied, or statutory, including,\nwithout limitation, warranties that the Covered Software is free of defects,\nmerchantable, fit for a particular purpose or non-infringing. The entire risk\nas to the quality and performance of the Covered Software is with You. Should\nany Covered Software prove defective in any respect, You (not any Contributor)\nassume the cost of any necessary servicing, repair, or correction. This disclaimer\nof warranty constitutes an essential part of this License. No use of any Covered\nSoftware is authorized under this License except under this disclaimer.\n\n   7. Limitation of Liability\n\nUnder no circumstances and under no legal theory, whether tort (including\nnegligence), contract, or otherwise, shall any Contributor, or anyone who\ndistributes Covered Software as permitted above, be liable to You for any\ndirect, indirect, special, incidental, or consequential damages of any character\nincluding, without limitation, damages for lost profits, loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses, even if such party shall have been informed of the possibility\nof such damages. This limitation of liability shall not apply to liability\nfor death or personal injury resulting from such party\'s negligence to the\nextent applicable law prohibits such limitation. Some jurisdictions do not\nallow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n   8. Litigation\n\nAny litigation relating to this License may be brought only in the courts\nof a jurisdiction where the defendant maintains its principal place of business\nand such litigation shall be governed by laws of that jurisdiction, without\nreference to its conflict-of-law provisions. Nothing in this Section shall\nprevent a party\'s ability to bring cross-claims or counter-claims.\n\n   9. Miscellaneous\n\nThis License represents the complete agreement concerning the subject matter\nhereof. If any provision of this License is held to be unenforceable, such\nprovision shall be reformed only to the extent necessary to make it enforceable.\nAny law or regulation which provides that the language of a contract shall\nbe construed against the drafter shall not be used to construe this License\nagainst a Contributor.\n\n   10. Versions of the License\n\n      10.1. New Versions\n\nMozilla Foundation is the license steward. Except as provided in Section 10.3,\nno one other than the license steward has the right to modify or publish new\nversions of this License. Each version will be given a distinguishing version\nnumber.\n\n      10.2. Effect of New Versions\n\nYou may distribute the Covered Software under the terms of the version of\nthe License under which You originally received the Covered Software, or under\nthe terms of any subsequent version published by the license steward.\n\n      10.3. Modified Versions\n\nIf you create software not governed by this License, and you want to create\na new license for such software, you may create and use a modified version\nof this License if you rename the license and remove any references to the\nname of the license steward (except to note that such modified license differs\nfrom this License).\n\n10.4. Distributing Source Code Form that is Incompatible With Secondary Licenses\n\nIf You choose to distribute Source Code Form that is Incompatible With Secondary\nLicenses under the terms of this version of the License, the notice described\nin Exhibit B of this License must be attached. Exhibit A - Source Code Form\nLicense Notice\n\nThis Source Code Form is subject to the terms of the Mozilla Public License,\nv. 2.0. If a copy of the MPL was not distributed with this file, You can obtain\none at http://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular file,\nthen You may include the notice in a location (such as a LICENSE file in a\nrelevant directory) where a recipient would be likely to look for such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined\nby the Mozilla Public License, v. 2.0.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(254,'xinetd','ORIGINAL LICENSE: This software is\n\n(c) Copyright 1992 by Panagiotis Tsirigotis\n\nThe author (Panagiotis Tsirigotis) grants permission to use, copy, and distribute\nthis software and its documentation for any purpose and without fee, provided\nthat the above copyright notice extant in files in this distribution is not\nremoved from files included in any redistribution and that this copyright\nnotice is also included in any redistribution.\n\nModifications to this software may be distributed, either by distributing\nthe modified software or by distributing patches to the original software,\nunder the following additional terms:\n\n   1. The version number will be modified as follows:\n\na. The first 3 components of the version number (i.e <number>.<number>.<number>)\nwill remain unchanged.\n\nb. A new component will be appended to the version number to indicate the\nmodification level. The form of this component is up to the author of the\nmodifications.\n\n2. The author of the modifications will include his/her name by appending\nit along with the new version number to this file and will be responsible\nfor any wrong behavior of the modified software.\n\nThe author makes no representations about the suitability of this software\nfor any purpose. It is provided \"as is\" without any express or implied warranty.\n\nModifications: Version: 2.1.8.7-current Copyright 1998-2001 by Rob Braun\n\nSensor Addition Version: 2.1.8.9pre14a Copyright 2001 by Steve Grubb\n\nThis is an exerpt from an email I recieved from the original author, allowing\nxinetd as maintained by me (Rob Braun), to use the higher version numbers:\n\nI appreciate your maintaining the version string guidelines as specified in\nthe copyright. But I did not mean them to last as long as they did.\n\nSo, if you want, you may use any 2.N.* (N >= 3) version string for future\nxinetd versions that you release. Note that I am excluding the 2.2.* line;\nusing that would only create confusion. Naming the next release 2.3.0 would\nput to rest the confusion about 2.2.1 and 2.1.8.*.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(255,'NPOSL-3.0','Non-Profit Open Software License 3.0\n\nThis Non-Profit Open Software License (\"Non-Profit OSL\") version 3.0 (the\n\"License\") applies to any original work of authorship (the \"Original Work\")\nwhose owner (the \"Licensor\") has placed the following licensing notice adjacent\nto the copyright notice for the Original Work:\n\nLicensed under the Non-Profit Open Software License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, for the duration of the copyright, to\ndo the following:\n\na) to reproduce the Original Work in copies, either alone or as part of a\ncollective work;\n\nb) to translate, adapt, alter, transform, modify, or arrange the Original\nWork, thereby creating derivative works (\"Derivative Works\") based upon the\nOriginal Work;\n\nc) to distribute or communicate copies of the Original Work and Derivative\nWorks to the public, with the proviso that copies of Original Work or Derivative\nWorks that You distribute or communicate shall be licensed under this Non-Profit\nOpen Software License or as provided in section 17(d);\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, under patent claims owned or controlled\nby the Licensor that are embodied in the Original Work as furnished by the\nLicensor, for the duration of the patents, to make, use, sell, offer for sale,\nhave made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor agrees\nto provide a machine-readable copy of the Source Code of the Original Work\nalong with each copy of the Original Work that Licensor distributes. Licensor\nreserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior permission of the Licensor. Except as expressly\nstated herein, nothing in this License grants any license to Licensor\'s trademarks,\ncopyrights, patents, trade secrets or any other intellectual property. No\npatent license is granted to make, use, sell, offer for sale, have made, or\nimport embodiments of any patent claims other than the licensed claims defined\nin Section 2. No license is granted to the trademarks of Licensor even if\nsuch marks are included in the Original Work. Nothing in this License shall\nbe interpreted to prohibit Licensor from licensing under terms different from\nthis License any Original Work that Licensor otherwise would have a right\nto license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution,\nor communication of the Original Work or Derivative Works in any way such\nthat the Original Work or Derivative Works may be used by anyone other than\nYou, whether those works are distributed or communicated to those persons\nor made available as an application intended for use over a network. As an\nexpress condition for the grants of license hereunder, You must treat any\nExternal Deployment by You of the Original Work or a Derivative Work as a\ndistribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent, or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. The Original Work is\nprovided under this License on an \"AS IS\" BASIS and WITHOUT WARRANTY, either\nexpress or implied, including, without limitation, the warranties of non-infringement,\nmerchantability or fitness for a particular purpose. THE ENTIRE RISK AS TO\nTHE QUALITY OF THE ORIGINAL WORK IS WITH YOU. This DISCLAIMER OF WARRANTY\nconstitutes an essential part of this License. No license to the Original\nWork is granted by this License except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to anyone for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to the extent applicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to\nthis License, that assent indicates your clear and irrevocable acceptance\nof this License and all of its terms and conditions. If You distribute or\ncommunicate copies of the Original Work or a Derivative Work, You must make\na reasonable effort under the circumstances to obtain the express assent of\nrecipients to the terms of this License. This License conditions your rights\nto undertake the activities listed in Section 1, including your right to create\nDerivative Works based upon the Original Work, and doing so without honoring\nthese terms and conditions is prohibited by copyright law and international\ntreaty. Nothing in this License is intended to affect copyright exceptions\nand limitations (including \"fair use\" or \"fair dealing\"). This License shall\nterminate immediately and You may no longer exercise any of the rights granted\nto You by this License upon your failure to honor the conditions in Section\n1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nagainst Licensor or any licensee alleging that the Original Work infringes\na patent. This termination provision shall not apply for an action alleging\npatent infringement by combinations of the Original Work with other software\nor hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of copyright or patent law in the appropriate jurisdiction.\nThis section shall survive the termination of this License.\n\n12) Attorneys\' Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright © 2005 Lawrence\nRosen. Permission is granted to copy, distribute, or communicate this License\nwithout modification. Nothing in this License permits You to modify this License\nas applied to the Original Work or to Derivative Works. However, You may modify\nthe text of this License and copy, distribute or communicate your modified\nversion (the \"Modified License\") and apply it to other original works of authorship\nsubject to the following conditions: (i) You may not indicate in any way that\nyour Modified License is the \"Open Software License\" or \"OSL\" and you may\nnot use those names in the name of your Modified License; (ii) You must replace\nthe notice specified in the first paragraph above with the notice \"Licensed\nunder <insert your license name here>\" or with a notice of your own that is\nnot confusingly similar to the notice in this License; and (iii) You may not\nclaim that your original works are open source software unless your Modified\nLicense has been approved by Open Source Initiative (OSI) and You comply with\nits license review and certification process.\n\n17) Non-Profit Amendment. The name of this amended version of the Open Software\nLicense (\"OSL 3.0\") is \"Non-Profit Open Software License 3.0\". The original\nOSL 3.0 license has been amended as follows:\n\n(a) Licensor represents and declares that it is a not-for-profit organization\nthat derives no revenue whatsoever from the distribution of the Original Work\nor Derivative Works thereof, or from support or services relating thereto.\n\n(b) The first sentence of Section 7 [\"Warranty of Provenance\"] of OSL 3.0\nhas been stricken. For Original Works licensed under this Non-Profit OSL 3.0,\nLICENSOR OFFERS NO WARRANTIES WHATSOEVER.\n\n(c) In the first sentence of Section 8 [\"Limitation of Liability\"] of this\nNon-Profit OSL 3.0, the list of damages for which LIABILITY IS LIMITED now\nincludes \"direct\" damages.\n\n(d) The proviso in Section 1(c) of this License now refers to this \"Non-Profit\nOpen Software License\" rather than the \"Open Software License\". You may distribute\nor communicate the Original Work or Derivative Works thereof under this Non-Profit\nOSL 3.0 license only if You make the representation and declaration in paragraph\n(a) of this Section 17. Otherwise, You shall distribute or communicate the\nOriginal Work or Derivative Works thereof only under the OSL 3.0 license and\nYou shall publish clear licensing notices so stating. Also by way of clarification,\nthis License does not authorize You to distribute or communicate works under\nthis Non-Profit OSL 3.0 if You received them under the original OSL 3.0 license.\n\n(e) Original Works licensed under this license shall reference \"Non-Profit\nOSL 3.0\" in licensing notices to distinguish them from works licensed under\nthe original OSL 3.0 license.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(256,'MTLL','Software License for MTL\n\nCopyright (c) 2007 The Trustees of Indiana University.\n\n2008 Dresden University of Technology and the Trustees of Indiana University.\n\n2010 SimuNova UG (haftungsbeschränkt), www.simunova.com.\n\nAll rights reserved.\n\nAuthors: Peter Gottschling and Andrew Lumsdaine\n\nThis file is part of the Matrix Template Library\n\nDresden University of Technology -- short TUD -- and Indiana University --\nshort IU -- have the exclusive rights to license this product under the following\nlicense.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. All redistributions of source code must retain the above copyright notice,\nthe list of authors in the original source code, this list of conditions and\nthe disclaimer listed in this license;\n\n2. All redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the disclaimer listed in this license in the documentation\nand/or other materials provided with the distribution;\n\n3. Any documentation included with all redistributions must include the following\nacknowledgement:\n\n\"This product includes software developed at the University of Notre Dame,\nthe Pervasive Technology Labs at Indiana University, and Dresden University\nof Technology. For technical information contact Andrew Lumsdaine at the Pervasive\nTechnology Labs at Indiana University. For administrative and license questions\ncontact the Advanced Research and Technology Institute at 1100 Waterway Blvd.\nIndianapolis, Indiana 46202, phone 317-274-5905, fax 317-274-5902.\"\n\nAlternatively, this acknowledgement may appear in the software itself, and\nwherever such third-party acknowledgments normally appear.\n\n4. The name \"MTL\" shall not be used to endorse or promote products derived\nfrom this software without prior written permission from IU or TUD. For written\npermission, please contact Indiana University Advanced Research & Technology\nInstitute.\n\n5. Products derived from this software may not be called \"MTL\", nor may \"MTL\"\nappear in their name, without prior written permission of Indiana University\nAdvanced Research & Technology Institute.\n\nTUD and IU provide no reassurances that the source code provided does not\ninfringe the patent or any other intellectual property rights of any other\nentity. TUD and IU disclaim any liability to any recipient for claims brought\nby any other entity based on infringement of intellectual property rights\nor otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES\nAS TO CAPABILITIES OR ACCURACY ARE MADE. DRESDEN UNIVERSITY OF TECHNOLOGY\nAND INDIANA UNIVERSITY GIVE NO WARRANTIES AND MAKE NO REPRESENTATION THAT\nSOFTWARE IS FREE OF INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER\nPROPRIETARY RIGHTS. DRESDEN UNIVERSITY OF TECHNOLOGY AND INDIANA UNIVERSITY\nMAKE NO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\",\n\"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE\nRISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO\nTHE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(257,'OLDAP-2.2.1','The OpenLDAP Public License\n\nVersion 2.2.1, 1 March 2000\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"OpenLDAP\" must not be used to endorse or promote products derived\nfrom this Software without prior written permission of the OpenLDAP Foundation.\n\n4. Products derived from this Software may not be called \"OpenLDAP\" nor may\n\"OpenLDAP\" appear in their names without prior written permission of the OpenLDAP\nFoundation.\n\n5. Due credit should be given to the OpenLDAP Project (http://www.openldap.org/).\n\n6. The OpenLDAP Foundation may revise this license from time to time. Each\nrevision is distinguished by a version number. You may use the Software under\nterms of this license revision or under the terms of any subsequent revision\nof the license.\n\nTHIS SOFTWARE IS PROVIDED BY THE OPENLDAP FOUNDATION AND CONTRIBUTORS ``AS\nIS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,\nTHE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE OPENLDAP FOUNDATION OR ITS CONTRIBUTORS\nBE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nOpenLDAP is a trademark of the OpenLDAP Foundation.\n\nCopyright 1999-2000 The OpenLDAP Foundation, Redwood City, California, USA.\nAll Rights Reserved. Permission to copy and distributed verbatim copies of\nthis document is granted.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(258,'GPL-1.0-or-later','GNU GENERAL PUBLIC LICENSE\n\nVersion 1, February 1989\n\nCopyright (C) 1989 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor,\nBoston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe license agreements of most software companies try to keep users at the\nmercy of those companies. By contrast, our General Public License is intended\nto guarantee your freedom to share and change free software--to make sure\nthe software is free for all its users. The General Public License applies\nto the Free Software Foundation\'s software and to any other program whose\nauthors commit to using it. You can use it for your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Specifically,\nthe General Public License is designed to make sure that you have the freedom\nto give away or sell copies of free software, that you receive source code\nor can get it if you want it, that you can change the software or use pieces\nof it in new free programs; and that you know you can do these things.\n\nTo protect your rights, we need to make restrictions that forbid anyone to\ndeny you these rights or to ask you to surrender the rights. These restrictions\ntranslate to certain responsibilities for you if you distribute copies of\nthe software, or if you modify it.\n\nFor example, if you distribute copies of a such a program, whether gratis\nor for a fee, you must give the recipients all the rights that you have. You\nmust make sure that they, too, receive or can get the source code. And you\nmust tell them their rights.\n\nWe protect your rights with two steps: (1) copyright the software, and (2)\noffer you this license which gives you legal permission to copy, distribute\nand/or modify the software.\n\nAlso, for each author\'s protection and ours, we want to make certain that\neveryone understands that there is no warranty for this free software. If\nthe software is modified by someone else and passed on, we want its recipients\nto know that what they have is not the original, so that any problems introduced\nby others will not reflect on the original authors\' reputations.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nGNU GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION\nAND MODIFICATION\n\n0. This License Agreement applies to any program or other work which contains\na notice placed by the copyright holder saying it may be distributed under\nthe terms of this General Public License. The \"Program\", below, refers to\nany such program or work, and a \"work based on the Program\" means either the\nProgram or any work containing the Program or a portion of it, either verbatim\nor with modifications. Each licensee is addressed as \"you\".\n\n1. You may copy and distribute verbatim copies of the Program\'s source code\nas you receive it, in any medium, provided that you conspicuously and appropriately\npublish on each copy an appropriate copyright notice and disclaimer of warranty;\nkeep intact all the notices that refer to this General Public License and\nto the absence of any warranty; and give any other recipients of the Program\na copy of this General Public License along with the Program. You may charge\na fee for the physical act of transferring a copy.\n\n2. You may modify your copy or copies of the Program or any portion of it,\nand copy and distribute such modifications under the terms of Paragraph 1\nabove, provided that you also do the following:\n\na) cause the modified files to carry prominent notices stating that you changed\nthe files and the date of any change; and\n\nb) cause the whole of any work that you distribute or publish, that in whole\nor in part contains the Program or any part thereof, either with or without\nmodifications, to be licensed at no charge to all third parties under the\nterms of this General Public License (except that you may choose to grant\nwarranty protection to some or all third parties, at your option).\n\nc) If the modified program normally reads commands interactively when run,\nyou must cause it, when started running for such interactive use in the simplest\nand most usual way, to print or display an announcement including an appropriate\ncopyright notice and a notice that there is no warranty (or else, saying that\nyou provide a warranty) and that users may redistribute the program under\nthese conditions, and telling the user how to view a copy of this General\nPublic License.\n\nd) You may charge a fee for the physical act of transferring a copy, and you\nmay at your option offer warranty protection in exchange for a fee.\n\nMere aggregation of another independent work with the Program (or its derivative)\non a volume of a storage or distribution medium does not bring the other work\nunder the scope of these terms.\n\n3. You may copy and distribute the Program (or a portion or derivative of\nit, under Paragraph 2) in object code or executable form under the terms of\nParagraphs 1 and 2 above provided that you also do one of the following:\n\na) accompany it with the complete corresponding machine-readable source code,\nwhich must be distributed under the terms of Paragraphs 1 and 2 above; or,\n\nb) accompany it with a written offer, valid for at least three years, to give\nany third party free (except for a nominal charge for the cost of distribution)\na complete machine-readable copy of the corresponding source code, to be distributed\nunder the terms of Paragraphs 1 and 2 above; or,\n\nc) accompany it with the information you received as to where the corresponding\nsource code may be obtained. (This alternative is allowed only for noncommercial\ndistribution and only if you received the program in object code or executable\nform alone.)\n\nSource code for a work means the preferred form of the work for making modifications\nto it. For an executable file, complete source code means all the source code\nfor all modules it contains; but, as a special exception, it need not include\nsource code for modules which are standard libraries that accompany the operating\nsystem on which the executable file runs, or for standard header files or\ndefinitions files that accompany that operating system.\n\n4. You may not copy, modify, sublicense, distribute or transfer the Program\nexcept as expressly provided under this General Public License. Any attempt\notherwise to copy, modify, sublicense, distribute or transfer the Program\nis void, and will automatically terminate your rights to use the Program under\nthis License. However, parties who have received copies, or rights to use\ncopies, from you under this General Public License will not have their licenses\nterminated so long as such parties remain in full compliance.\n\n5. By copying, distributing or modifying the Program (or any work based on\nthe Program) you indicate your acceptance of this license to do so, and all\nits terms and conditions.\n\n6. Each time you redistribute the Program (or any work based on the Program),\nthe recipient automatically receives a license from the original licensor\nto copy, distribute or modify the Program subject to these terms and conditions.\nYou may not impose any further restrictions on the recipients\' exercise of\nthe rights granted herein.\n\n7. The Free Software Foundation may publish revised and/or new versions of\nthe General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\na version number of the license which applies to it and \"any later version\",\nyou have the option of following the terms and conditions either of that version\nor of any later version published by the Free Software Foundation. If the\nProgram does not specify a version number of the license, you may choose any\nversion ever published by the Free Software Foundation.\n\n8. If you wish to incorporate parts of the Program into other free programs\nwhose distribution conditions are different, write to the author to ask for\npermission. For software which is copyrighted by the Free Software Foundation,\nwrite to the Free Software Foundation; we sometimes make exceptions for this.\nOur decision will be guided by the two goals of preserving the free status\nof all derivatives of our free software and of promoting the sharing and reuse\nof software generally.\n\n   \n\n   NO WARRANTY 9.\n\nBECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE\nPROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE\nSTATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM\n\"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME\nTHE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.\n\n10. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING\nWILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE\nTHE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY\nGENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE\nOR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA\nOR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES\nOR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH\nHOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\nEND OF TERMS AND CONDITIONS\n\nAppendix: How to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to humanity, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively convey the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.>\n\nCopyright (C) 19yy <name of author>\n\nThis program is free software; you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation; either version 1, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program; if not, write to the Free Software Foundation, Inc., 675 Mass\nAve, Cambridge, MA 02139, USA.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program is interactive, make it output a short notice like this when\nit starts in an interactive mode:\n\nGnomovision version 69, Copyright (C) 19xx name of author Gnomovision comes\nwith ABSOLUTELY NO WARRANTY; for details type `show w\'. This is free software,\nand you are welcome to redistribute it under certain conditions; type `show\nc\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, the commands you use may be\ncalled something other than `show w\' and `show c\'; they could even be mouse-clicks\nor menu items--whatever suits your program.\n\nYou should also get your employer (if you work as a programmer) or your school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. Here\na sample; alter the names:\n\nYoyodyne, Inc., hereby disclaims all copyright interest in the program `Gnomovision\'\n(a program to direct compilers to make passes at assemblers) written by James\nHacker.\n\n<signature of Ty Coon>, 1 April 1989 Ty Coon, President of Vice\n\nThat\'s all there is to it!\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(259,'Watcom-1.0','Sybase Open Watcom Public License version 1.0\n\nUSE OF THE SYBASE OPEN WATCOM SOFTWARE DESCRIBED BELOW (\"SOFTWARE\") IS SUBJECT\nTO THE TERMS AND CONDITIONS SET FORTH IN THE SYBASE OPEN WATCOM PUBLIC LICENSE\nSET FORTH BELOW (\"LICENSE\"). YOU MAY NOT USE THE SOFTWARE IN ANY MANNER UNLESS\nYOU ACCEPT THE TERMS AND CONDITIONS OF THE LICENSE. YOU INDICATE YOUR ACCEPTANCE\nBY IN ANY MANNER USING (INCLUDING WITHOUT LIMITATION BY REPRODUCING, MODIFYING\nOR DISTRIBUTING) THE SOFTWARE. IF YOU DO NOT ACCEPT ALL OF THE TERMS AND CONDITIONS\nOF THE LICENSE, DO NOT USE THE SOFTWARE IN ANY MANNER.\n\nSybase Open Watcom Public License version 1.0\n\n1. General; Definitions. This License applies only to the following software\nprograms: the open source versions of Sybase\'s Watcom C/C++ and Fortran compiler\nproducts (\"Software\"), which are modified versions of, with significant changes\nfrom, the last versions made commercially available by Sybase. As used in\nthis License:\n\n1.1 \"Applicable Patent Rights\" mean: (a) in the case where Sybase is the grantor\nof rights, (i) claims of patents that are now or hereafter acquired, owned\nby or assigned to Sybase and (ii) that cover subject matter contained in the\nOriginal Code, but only to the extent necessary to use, reproduce and/or distribute\nthe Original Code without infringement; and (b) in the case where You are\nthe grantor of rights, (i) claims of patents that are now or hereafter acquired,\nowned by or assigned to You and (ii) that cover subject matter in Your Modifications,\ntaken alone or in combination with Original Code.\n\n1.2 \"Contributor\" means any person or entity that creates or contributes to\nthe creation of Modifications.\n\n1.3 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than\nfor Your internal research and development (R&D) and/or Personal Use, and\nincludes without limitation, any and all internal use or distribution of Covered\nCode within Your business or organization except for R&D use and/or Personal\nUse, as well as direct or indirect sublicensing or distribution of Covered\nCode by You to any third party in any form or manner.\n\n1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.6 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of the Original Code, any previous Modifications,\nthe combination of Original Code and any previous Modifications, and/or any\nrespective portions thereof. When code is released as a series of files, a\nModification is: (a) any addition to or deletion from the contents of a file\ncontaining Covered Code; and/or (b) any new file or other representation of\ncomputer program statements that contains any part of Covered Code.\n\n1.7 \"Original Code\" means (a) the Source Code of a program or other work as\noriginally made available by Sybase under this License, including the Source\nCode of any updates or upgrades to such programs or works made available by\nSybase under this License, and that has been expressly identified by Sybase\nas such in the header file(s) of such work; and (b) the object code compiled\nfrom such Source Code and originally made available by Sybase under this License.\n\n1.8 \"Personal Use\" means use of Covered Code by an individual solely for his\nor her personal, private and non-commercial purposes. An individual\'s use\nof Covered Code in his or her capacity as an officer, employee, member, independent\ncontractor or agent of a corporation, business or organization (commercial\nor non-commercial) does not qualify as Personal Use.\n\n1.9 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.10 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions.Subject to the terms and conditions\nof this License, Sybase hereby grants You, effective on the date You accept\nthis License and download the Original Code, a world-wide, royalty-free, non-exclusive\nlicense, to the extent of Sybase\'s Applicable Patent Rights and copyrights\ncovering the Original Code, to do the following:\n\n2.1 You may use, reproduce, display, perform, modify and distribute Original\nCode, with or without Modifications, solely for Your internal research and\ndevelopment and/or Personal Use, provided that in each instance:\n\n(a) You must retain and reproduce in all copies of Original Code the copyright\nand other proprietary notices and disclaimers of Sybase as they appear in\nthe Original Code, and keep intact all notices in the Original Code that refer\nto this License; and\n\n(b) You must retain and reproduce a copy of this License with every copy of\nSource Code of Covered Code and documentation You distribute, and You may\nnot offer or impose any terms on such Source Code that alter or restrict this\nLicense or the recipients\' rights hereunder, except as permitted under Section\n6.\n\n(c) Whenever reasonably feasible you should include the copy of this License\nin a click-wrap format, which requires affirmative acceptance by clicking\non an \"I accept\" button or similar mechanism. If a click-wrap format is not\nincluded, you must include a statement that any use (including without limitation\nreproduction, modification or distribution) of the Software, and any other\naffirmative act that you define, constitutes acceptance of the License, and\ninstructing the user not to use the Covered Code in any manner if the user\ndoes not accept all of the terms and conditions of the License.\n\n2.2 You may use, reproduce, display, perform, modify and Deploy Covered Code,\nprovided that in each instance:\n\n(a) You must satisfy all the conditions of Section 2.1 with respect to the\nSource Code of the Covered Code;\n\n(b) You must duplicate, to the extent it does not already exist, the notice\nin Exhibit A in each file of the Source Code of all Your Modifications, and\ncause the modified files to carry prominent notices stating that You changed\nthe files and the date of any change;\n\n(c) You must make Source Code of all Your Deployed Modifications publicly\navailable under the terms of this License, including the license grants set\nforth in Section 3 below, for as long as you Deploy the Covered Code or twelve\n(12) months from the date of initial Deployment, whichever is longer. You\nshould preferably distribute the Source Code of Your Deployed Modifications\nelectronically (e.g. download from a web site);\n\n(d) if You Deploy Covered Code in object code, executable form only, You must\ninclude a prominent notice, in the code itself as well as in related documentation,\nstating that Source Code of the Covered Code is available under the terms\nof this License with information on how and where to obtain such Source Code;\nand\n\n(e) the object code form of the Covered Code may be distributed under Your\nown license agreement, provided that such license agreement contains terms\nno less protective of Sybase and each Contributor than the terms of this License,\nand stating that any provisions which differ from this License are offered\nby You alone and not by any other party.\n\n2.3 You expressly acknowledge and agree that although Sybase and each Contributor\ngrants the licenses to their respective portions of the Covered Code set forth\nherein, no assurances are provided by Sybase or any Contributor that the Covered\nCode does not infringe the patent or other intellectual property rights of\nany other entity. Sybase and each Contributor disclaim any liability to You\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, You hereby assume sole responsibility to secure\nany other intellectual property rights needed, if any. For example, if a third\nparty patent license is required to allow You to distribute the Covered Code,\nit is Your responsibility to acquire that license before distributing the\nCovered Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License, You hereby grant to Sybase and all third parties\na non-exclusive, royalty-free license, under Your Applicable Patent Rights\nand other intellectual property rights (other than patent) owned or controlled\nby You, to use, reproduce, display, perform, modify, distribute and Deploy\nYour Modifications of the same scope and extent as Sybase\'s licenses under\nSections 2.1 and 2.2.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In each such instance, You must make sure the requirements\nof this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2,\nno other patent rights, express or implied, are granted by Sybase herein.\nModifications and/or Larger Works may require additional patent licenses from\nSybase which Sybase may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith this License (\"Additional Terms\") to one or more recipients of Covered\nCode. However, You may do so only on Your own behalf and as Your sole responsibility,\nand not on behalf of Sybase or any Contributor. You must obtain the recipient\'s\nagreement that any such Additional Terms are offered by You alone, and You\nhereby agree to indemnify, defend and hold Sybase and every Contributor harmless\nfor any liability incurred by or claims asserted against Sybase or such Contributor\nby reason of any such Additional Terms.\n\n7. Versions of the License. Sybase may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Sybase. No one other than Sybase has\nthe right to modify the terms applicable to Covered Code created under this\nLicense.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Covered Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nCovered Code, or any portion thereof, is at Your sole and entire risk. THE\nCOVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND SYBASE AND SYBASE\'S LICENSOR(S) (COLLECTIVELY REFERRED TO\nAS \"SYBASE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY\nDISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY,\nOF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY,\nOF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SYBASE AND\nEACH CONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT\nOF THE COVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL\nMEET YOUR REQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED\nOR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL\nOR WRITTEN INFORMATION OR ADVICE GIVEN BY SYBASE, A SYBASE AUTHORIZED REPRESENTATIVE\nOR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered\nCode is not intended for use in the operation of nuclear facilities, aircraft\nnavigation, communication systems, or air traffic control machines in which\ncase the failure of the Covered Code could lead to death, personal injury,\nor severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT\nSHALL SYBASE OR ANY CONTRIBUTOR BE LIABLE FOR ANY DIRECT, INCIDENTAL, SPECIAL,\nINDIRECT, CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND ARISING OUT OF OR RELATING\nTO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION\nTHEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE),\nPRODUCTS LIABILITY OR OTHERWISE, EVEN IF SYBASE OR SUCH CONTRIBUTOR HAS BEEN\nADVISED OF THE POSSIBILITY OF SUCH DAMAGES, AND NOTWITHSTANDING THE FAILURE\nOF ESSENTIAL PURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION\nOF LIABILITY OF INCIDENTAL OR CONSEQUENTIAL OR OTHER DAMAGES OF ANY KIND,\nSO THIS LIMITATION MAY NOT APPLY TO YOU. In no event shall Sybase\'s or any\nContributor\'s total liability to You for all damages (other than as may be\nrequired by applicable law) under this License exceed the amount of five hundred\ndollars ($500.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks\nor trade names \"Sybase\" or any other trademarks or trade names belonging to\nSybase (collectively \"Sybase Marks\") or to any trademark or trade name belonging\nto any Contributor(\"Contributor Marks\"). No Sybase Marks or Contributor Marks\nmay be used to endorse or promote products derived from the Original Code\nor Covered Code other than with the prior written consent of Sybase or the\nContributor, as applicable.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor\nretains all rights, title and interest in and to any Modifications made by\nsuch Contributor. Sybase retains all rights, title and interest in and to\nthe Original Code and any Modifications made by or on behalf of Sybase (\"Sybase\nModifications\"), and such Sybase Modifications will not be automatically subject\nto this License. Sybase may, at its sole discretion, choose to license such\nSybase Modifications under this License, or on different terms from those\ncontained in this License or may choose not to license them at all.\n\n   12. Termination.\n\n12.1 Termination. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice if You fail to comply with any term(s) of\nthis License and fail to cure such breach within 30 days of becoming aware\nof such breach;\n\n(b) immediately in the event of the circumstances described in Section 13.5(b);\nor\n\n(c) automatically without notice if You, at any time during the term of this\nLicense, commence an action for patent infringement (including as a cross\nclaim or counterclaim) against Sybase or any Contributor.\n\n12.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification, sublicensing and distribution\nof the Covered Code and to destroy all copies of the Covered Code that are\nin your possession or control. All sublicenses to the Covered Code that have\nbeen properly granted prior to termination shall survive any termination of\nthis License. Provisions which, by their nature, should remain in effect beyond\nthe termination of this License shall survive, including but not limited to\nSections 3, 5, 8, 9, 10, 11, 12.2 and 13. No party will be liable to any other\nfor compensation, indemnity or damages of any sort solely as a result of terminating\nthis License in accordance with its terms, and termination of this License\nwill be without prejudice to any other right or remedy of any party.\n\n   13. Miscellaneous.\n\n13.1 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer\nSoftware) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical\nData -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n13.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween or among you, Sybase or any Contributor, and You will not represent\nto the contrary, whether expressly, by implication, appearance or otherwise.\n\n13.3 Independent Development. Nothing in this License will impair Sybase\'s\nor any Contributor\'s right to acquire, license, develop, have others develop\nfor it, market and/or distribute technology or products that perform the same\nor similar functions as, or otherwise compete with, Modifications, Larger\nWorks, technology or products that You may develop, produce, market or distribute.\n\n13.4 Waiver; Construction. Failure by Sybase or any Contributor to enforce\nany provision of this License will not be deemed a waiver of future enforcement\nof that or any other provision. Any law or regulation which provides that\nthe language of a contract shall be construed against the drafter will not\napply to this License.\n\n13.5 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n13.6 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Sybase relating to this License shall take place in the Northern District\nof California, and You and Sybase hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n13.7 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nCalifornia, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exigè que\nle prèsent contrat et tous les documents connexes soient rèdiès en anglais.\nEXHIBIT A.\n\n\"Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as\ndefined in and that are subject to the Sybase Open Watcom Public License version\n1.0 (the \'License\'). You may not use this file except in compliance with the\nLicense. BY USING THIS FILE YOU AGREE TO ALL TERMS AND CONDITIONS OF THE LICENSE.\nA copy of the License is provided with the Original Code and Modifications,\nand is also available at www.sybase.com/developer/opensource.\n\nThe Original Code and all software distributed under the License are distributed\non an \'AS IS\' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nAND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM ALL SUCH WARRANTIES, INCLUDING\nWITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR\nPURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT. Please see the License for the\nspecific language governing rights and limitations under the License.\"\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(260,'DOC','Copyright and Licensing Information for ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM),\nand CoSMIC(TM)\n\nACE(TM), TAO(TM), CIAO(TM), DAnCE>(TM), and CoSMIC(TM) (henceforth referred\nto as \"DOC software\") are copyrighted by Douglas C. Schmidt and his research\ngroup at Washington University, University of California, Irvine, and Vanderbilt\nUniversity, Copyright (c) 1993-2009, all rights reserved. Since DOC software\nis open-source, freely available software, you are free to use, modify, copy,\nand distribute--perpetually and irrevocably--the DOC software source code\nand object code produced from the source, as well as copy and distribute modified\nversions of this software. You must, however, include this copyright statement\nalong with any code built using DOC software that you release. No copyright\nstatement needs to be provided if you just ship binary executables of your\nsoftware products.\n\nYou can use DOC software in commercial and/or binary software releases and\nare under no obligation to redistribute any of your source code that is built\nusing DOC software. Note, however, that you may not misappropriate the DOC\nsoftware code, such as copyrighting it yourself or claiming authorship of\nthe DOC software code, in a way that will prevent DOC software from being\ndistributed freely using an open-source development model. You needn\'t inform\nanyone that you\'re using DOC software in your software, though we encourage\nyou to let us know so we can promote your project in the DOC software success\nstories.\n\nThe ACE, TAO, CIAO, DAnCE, and CoSMIC web sites are maintained by the DOC\nGroup at the Institute for Software Integrated Systems (ISIS) and the Center\nfor Distributed Object Computing of Washington University, St. Louis for the\ndevelopment of open-source software as part of the open-source software community.\nSubmissions are provided by the submitter ``as is\'\' with no warranties whatsoever,\nincluding any warranty of merchantability, noninfringement of third party\nintellectual property, or fitness for any particular purpose. In no event\nshall the submitter be liable for any direct, indirect, special, exemplary,\npunitive, or consequential damages, including without limitation, lost profits,\neven if advised of the possibility of such damages. Likewise, DOC software\nis provided as is with no warranties of any kind, including the warranties\nof design, merchantability, and fitness for a particular purpose, noninfringement,\nor arising from a course of dealing, usage or trade practice. Washington University,\nUC Irvine, Vanderbilt University, their employees, and students shall have\nno liability with respect to the infringement of copyrights, trade secrets\nor any patents by DOC software or any part thereof. Moreover, in no event\nwill Washington University, UC Irvine, or Vanderbilt University, their employees,\nor students be liable for any lost revenue or profits or other special, indirect\nand consequential damages.\n\nDOC software is provided with no support and without any obligation on the\npart of Washington University, UC Irvine, Vanderbilt University, their employees,\nor students to assist in its use, correction, modification, or enhancement.\nA number of companies around the world provide commercial support for DOC\nsoftware, however. DOC software is Y2K-compliant, as long as the underlying\nOS platform is Y2K-compliant. Likewise, DOC software is compliant with the\nnew US daylight savings rule passed by Congress as \"The Energy Policy Act\nof 2005,\" which established new daylight savings times (DST) rules for the\nUnited States that expand DST as of March 2007. Since DOC software obtains\ntime/date and calendaring information from operating systems users will not\nbe affected by the new DST rules as long as they upgrade their operating systems\naccordingly.\n\nThe names ACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), CoSMIC(TM), Washington University,\nUC Irvine, and Vanderbilt University, may not be used to endorse or promote\nproducts or services derived from this source without express written permission\nfrom Washington University, UC Irvine, or Vanderbilt University. This license\ngrants no permission to call products or services derived from this source\nACE(TM), TAO(TM), CIAO(TM), DAnCE(TM), or CoSMIC(TM), nor does it grant permission\nfor the name Washington University, UC Irvine, or Vanderbilt University to\nappear in their names.\n\nIf you have any suggestions, additions, comments, or questions, please let\nme know.\n\nDouglas C. Schmidt\n','2021-08-27 08:51:42','2021-08-27 08:51:42');
INSERT INTO `licenses` VALUES (261,'ODbL-1.0','ODC Open Database License (ODbL) Preamble\n\nThe Open Database License (ODbL) is a license agreement intended to allow\nusers to freely share, modify, and use this Database while maintaining this\nsame freedom for others. Many databases are covered by copyright, and therefore\nthis document licenses these rights. Some jurisdictions, mainly in the European\nUnion, have specific rights that cover databases, and so the ODbL addresses\nthese rights, too. Finally, the ODbL is also an agreement in contract for\nusers of this Database to act in certain ways in return for accessing this\nDatabase.\n\nDatabases can contain a wide variety of types of content (images, audiovisual\nmaterial, and sounds all in the same database, for example), and so the ODbL\nonly governs the rights over the Database, and not the contents of the Database\nindividually. Licensors should use the ODbL together with another license\nfor the contents, if the contents have a single set of rights that uniformly\ncovers all of the contents. If the contents have multiple sets of different\nrights, Licensors should describe what rights govern what contents together\nin the individual record or in some other way that clarifies what rights apply.\n\nSometimes the contents of a database, or the database itself, can be covered\nby other rights not addressed here (such as private contracts, trade mark\nover the name, or privacy rights / data protection rights over information\nin the contents), and so you are advised that you may have to consult other\ndocuments or clear other rights before doing activities not covered by this\nLicense.\n\n------\n\nThe Licensor (as defined below)\n\nand\n\nYou (as defined below)\n\nagree as follows:\n\n   1.0 Definitions of Capitalised Words\n\n\"Collective Database\" - Means this Database in unmodified form as part of\na collection of independent databases in themselves that together are assembled\ninto a collective whole. A work that constitutes a Collective Database will\nnot be considered a Derivative Database.\n\n\"Convey\" - As a verb, means Using the Database, a Derivative Database, or\nthe Database as part of a Collective Database in any way that enables a Person\nto make or receive copies of the Database or a Derivative Database. Conveying\ndoes not include interaction with a user through a computer network, or creating\nand Using a Produced Work, where no transfer of a copy of the Database or\na Derivative Database occurs.\n\n\"Contents\" - The contents of this Database, which includes the information,\nindependent works, or other material collected into the Database. For example,\nthe contents of the Database could be factual data or works such as images,\naudiovisual material, text, or sounds.\n\n\"Database\" - A collection of material (the Contents) arranged in a systematic\nor methodical way and individually accessible by electronic or other means\noffered under the terms of this License.\n\n\"Database Directive\" - Means Directive 96/9/EC of the European Parliament\nand of the Council of 11 March 1996 on the legal protection of databases,\nas amended or succeeded.\n\n\"Database Right\" - Means rights resulting from the Chapter III (\"sui generis\")\nrights in the Database Directive (as amended and as transposed by member states),\nwhich includes the Extraction and Re-utilisation of the whole or a Substantial\npart of the Contents, as well as any similar rights available in the relevant\njurisdiction under Section 10.4.\n\n\"Derivative Database\" - Means a database based upon the Database, and includes\nany translation, adaptation, arrangement, modification, or any other alteration\nof the Database or of a Substantial part of the Contents. This includes, but\nis not limited to, Extracting or Re-utilising the whole or a Substantial part\nof the Contents in a new Database.\n\n\"Extraction\" - Means the permanent or temporary transfer of all or a Substantial\npart of the Contents to another medium by any means or in any form.\n\n\"License\" - Means this license agreement and is both a license of rights such\nas copyright and Database Rights and an agreement in contract.\n\n\"Licensor\" - Means the Person that offers the Database under the terms of\nthis License.\n\n\"Person\" - Means a natural or legal person or a body of persons corporate\nor incorporate.\n\n\"Produced Work\" - a work (such as an image, audiovisual material, text, or\nsounds) resulting from using the whole or a Substantial part of the Contents\n(via a search or other query) from this Database, a Derivative Database, or\nthis Database as part of a Collective Database.\n\n\"Publicly\" - means to Persons other than You or under Your control by either\nmore than 50% ownership or by the power to direct their activities (such as\ncontracting with an independent consultant).\n\n\"Re-utilisation\" - means any form of making available to the public all or\na Substantial part of the Contents by the distribution of copies, by renting,\nby online or other forms of transmission.\n\n\"Substantial\" - Means substantial in terms of quantity or quality or a combination\nof both. The repeated and systematic Extraction or Re-utilisation of insubstantial\nparts of the Contents may amount to the Extraction or Re-utilisation of a\nSubstantial part of the Contents.\n\n\"Use\" - As a verb, means doing any act that is restricted by copyright or\nDatabase Rights whether in the original medium or any other; and includes\nwithout limitation distributing, copying, publicly performing, publicly displaying,\nand preparing derivative works of the Database, as well as modifying the Database\nas may be technically necessary to use it in a different mode or format.\n\n\"You\" - Means a Person exercising rights under this License who has not previously\nviolated the terms of this License with respect to the Database, or who has\nreceived express permission from the Licensor to exercise rights under this\nLicense despite a previous violation.\n\n   Words in the singular include the plural and vice versa.\n\n   2.0 What this License covers\n\n   2.1. Legal effect of this document. This License is:\n\n      a. A license of applicable copyright and neighbouring rights;\n\n      b. A license of the Database Right; and\n\n      c. An agreement in contract between You and the Licensor.\n\n2.2 Legal rights covered. This License covers the legal rights in the Database,\nincluding:\n\na. Copyright. Any copyright or neighbouring rights in the Database. The copyright\nlicensed includes any individual elements of the Database, but does not cover\nthe copyright over the Contents independent of this Database. See Section\n2.4 for details. Copyright law varies between jurisdictions, but is likely\nto cover: the Database model or schema, which is the structure, arrangement,\nand organisation of the Database, and can also include the Database tables\nand table indexes; the data entry and output sheets; and the Field names of\nContents stored in the Database;\n\nb. Database Rights. Database Rights only extend to the Extraction and Re-utilisation\nof the whole or a Substantial part of the Contents. Database Rights can apply\neven when there is no copyright over the Database. Database Rights can also\napply when the Contents are removed from the Database and are selected and\narranged in a way that would not infringe any applicable copyright; and\n\nc. Contract. This is an agreement between You and the Licensor for access\nto the Database. In return you agree to certain conditions of use on this\naccess as outlined in this License.\n\n   2.3 Rights not covered.\n\na. This License does not apply to computer programs used in the making or\noperation of the Database;\n\nb. This License does not cover any patents over the Contents or the Database;\nand\n\nc. This License does not cover any trademarks associated with the Database.\n\n2.4 Relationship to Contents in the Database. The individual items of the\nContents contained in this Database may be covered by other rights, including\ncopyright, patent, data protection, privacy, or personality rights, and this\nLicense does not cover any rights (other than Database Rights or in contract)\nin individual Contents contained in the Database. For example, if used on\na Database of images (the Contents), this License would not apply to copyright\nover individual images, which could have their own separate licenses, or one\nsingle license covering all of the rights over the images.\n\n   3.0 Rights granted\n\n3.1 Subject to the terms and conditions of this License, the Licensor grants\nto You a worldwide, royalty-free, non-exclusive, terminable (but only under\nSection 9) license to Use the Database for the duration of any applicable\ncopyright and Database Rights. These rights explicitly include commercial\nuse, and do not exclude any field of endeavour. To the extent possible in\nthe relevant jurisdiction, these rights may be exercised in all media and\nformats whether now known or created in the future.\n\n   The rights granted cover, for example:\n\na. Extraction and Re-utilisation of the whole or a Substantial part of the\nContents;\n\n      b. Creation of Derivative Databases;\n\n      c. Creation of Collective Databases;\n\nd. Creation of temporary or permanent reproductions by any means and in any\nform, in whole or in part, including of any Derivative Databases or as a part\nof Collective Databases; and\n\ne. Distribution, communication, display, lending, making available, or performance\nto the public by any means and in any form, in whole or in part, including\nof any Derivative Database or as a part of Collective Databases.\n\n   3.2 Compulsory license schemes. For the avoidance of doubt:\n\na. Non-waivable compulsory license schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nb. Waivable compulsory license schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor waives the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License; and,\n\nc. Voluntary license schemes. The Licensor waives the right to collect royalties,\nwhether individually or, in the event that the Licensor is a member of a collecting\nsociety that administers voluntary licensing schemes, via that society, from\nany exercise by You of the rights granted under this License.\n\n3.3 The right to release the Database under different terms, or to stop distributing\nor making available the Database, is reserved. Note that this Database may\nbe multiple-licensed, and so You may have the choice of using alternative\nlicenses for this Database. Subject to Section 10.4, all other rights not\nexpressly granted by Licensor are reserved.\n\n   4.0 Conditions of Use\n\n4.1 The rights granted in Section 3 above are expressly made subject to Your\ncomplying with the following conditions of use. These are important conditions\nof this License, and if You fail to follow them, You will be in material breach\nof its terms.\n\n4.2 Notices. If You Publicly Convey this Database, any Derivative Database,\nor the Database as part of a Collective Database, then You must:\n\na. Do so only under the terms of this License or another license permitted\nunder Section 4.4;\n\nb. Include a copy of this License (or, as applicable, a license permitted\nunder Section 4.4) or its Uniform Resource Identifier (URI) with the Database\nor Derivative Database, including both in the Database or Derivative Database\nand in any relevant documentation; and\n\nc. Keep intact any copyright or Database Right notices and notices that refer\nto this License.\n\nd. If it is not possible to put the required notices in a particular file\ndue to its structure, then You must include the notices in a location (such\nas a relevant directory) where users would be likely to look for it.\n\n4.3 Notice for using output (Contents). Creating and Using a Produced Work\ndoes not require the notice in Section 4.2. However, if you Publicly Use a\nProduced Work, You must include a notice associated with the Produced Work\nreasonably calculated to make any Person that uses, views, accesses, interacts\nwith, or is otherwise exposed to the Produced Work aware that Content was\nobtained from the Database, Derivative Database, or the Database as part of\na Collective Database, and that it is available under this License.\n\na. Example notice. The following text will satisfy notice under Section 4.3:\n\nContains information from DATABASE NAME, which is made available here under\nthe Open Database License (ODbL).\n\nDATABASE NAME should be replaced with the name of the Database and a hyperlink\nto the URI of the Database. \"Open Database License\" should contain a hyperlink\nto the URI of the text of this License. If hyperlinks are not possible, You\nshould include the plain text of the required URI\'s with the above notice.\n\n   4.4 Share alike.\n\na. Any Derivative Database that You Publicly Use must be only under the terms\nof:\n\n         i. This License;\n\nii. A later version of this License similar in spirit to this License; or\n\n         iii. A compatible license.\n\nIf You license the Derivative Database under one of the licenses mentioned\nin (iii), You must comply with the terms of that license.\n\nb. For the avoidance of doubt, Extraction or Re-utilisation of the whole or\na Substantial part of the Contents into a new database is a Derivative Database\nand must comply with Section 4.4.\n\nc. Derivative Databases and Produced Works. A Derivative Database is Publicly\nUsed and so must comply with Section 4.4. if a Produced Work created from\nthe Derivative Database is Publicly Used.\n\nd. Share Alike and additional Contents. For the avoidance of doubt, You must\nnot add Contents to Derivative Databases under Section 4.4 a that are incompatible\nwith the rights granted under this License.\n\ne. Compatible licenses. Licensors may authorise a proxy to determine compatible\nlicenses under Section 4.4 a iii. If they do so, the authorised proxy\'s public\nstatement of acceptance of a compatible license grants You permission to use\nthe compatible license.\n\n4.5 Limits of Share Alike. The requirements of Section 4.4 do not apply in\nthe following:\n\na. For the avoidance of doubt, You are not required to license Collective\nDatabases under this License if You incorporate this Database or a Derivative\nDatabase in the collection, but this License still applies to this Database\nor a Derivative Database as a part of the Collective Database;\n\nb. Using this Database, a Derivative Database, or this Database as part of\na Collective Database to create a Produced Work does not create a Derivative\nDatabase for purposes of Section 4.4; and\n\nc. Use of a Derivative Database internally within an organisation is not to\nthe public and therefore does not fall under the requirements of Section 4.4.\n\n4.6 Access to Derivative Databases. If You Publicly Use a Derivative Database\nor a Produced Work from a Derivative Database, You must also offer to recipients\nof the Derivative Database or Produced Work a copy in a machine readable form\nof:\n\n      a. The entire Derivative Database; or\n\nb. A file containing all of the alterations made to the Database or the method\nof making the alterations to the Database (such as an algorithm), including\nany additional Contents, that make up all the differences between the Database\nand the Derivative Database.\n\nThe Derivative Database (under a.) or alteration file (under b.) must be available\nat no more than a reasonable production cost for physical distributions and\nfree of charge if distributed over the internet.\n\n   4.7 Technological measures and additional terms\n\na. This License does not allow You to impose (except subject to Section 4.7\nb.) any terms or any technological measures on the Database, a Derivative\nDatabase, or the whole or a Substantial part of the Contents that alter or\nrestrict the terms of this License, or any rights granted under it, or have\nthe effect or intent of restricting the ability of any person to exercise\nthose rights.\n\nb. Parallel distribution. You may impose terms or technological measures on\nthe Database, a Derivative Database, or the whole or a Substantial part of\nthe Contents (a \"Restricted Database\") in contravention of Section 4.74 a.\nonly if You also make a copy of the Database or a Derivative Database available\nto the recipient of the Restricted Database:\n\n         i. That is available without additional fee;\n\nii. That is available in a medium that does not alter or restrict the terms\nof this License, or any rights granted under it, or have the effect or intent\nof restricting the ability of any person to exercise those rights (an \"Unrestricted\nDatabase\"); and\n\niii. The Unrestricted Database is at least as accessible to the recipient\nas a practical matter as the Restricted Database.\n\nc. For the avoidance of doubt, You may place this Database or a Derivative\nDatabase in an authenticated environment, behind a password, or within a similar\naccess control scheme provided that You do not alter or restrict the terms\nof this License or any rights granted under it or have the effect or intent\nof restricting the ability of any person to exercise those rights.\n\n4.8 Licensing of others. You may not sublicense the Database. Each time You\ncommunicate the Database, the whole or Substantial part of the Contents, or\nany Derivative Database to anyone else in any way, the Licensor offers to\nthe recipient a license to the Database on the same terms and conditions as\nthis License. You are not responsible for enforcing compliance by third parties\nwith this License, but You may enforce any rights that You have over a Derivative\nDatabase. You are solely responsible for any modifications of a Derivative\nDatabase made by You or another Person at Your direction. You may not impose\nany further restrictions on the exercise of the rights granted or affirmed\nunder this License.\n\n   5.0 Moral rights\n\n5.1 Moral rights. This section covers moral rights, including any rights to\nbe identified as the author of the Database or to object to treatment that\nwould otherwise prejudice the author\'s honour and reputation, or any other\nderogatory treatment:\n\na. For jurisdictions allowing waiver of moral rights, Licensor waives all\nmoral rights that Licensor may have in the Database to the fullest extent\npossible by the law of the relevant jurisdiction under Section 10.4;\n\nb. If waiver of moral rights under Section 5.1 a in the relevant jurisdiction\nis not possible, Licensor agrees not to assert any moral rights over the Database\nand waives all claims in moral rights to the fullest extent possible by the\nlaw of the relevant jurisdiction under Section 10.4; and\n\nc. For jurisdictions not allowing waiver or an agreement not to assert moral\nrights under Section 5.1 a and b, the author may retain their moral rights\nover certain aspects of the Database.\n\nPlease note that some jurisdictions do not allow for the waiver of moral rights,\nand so moral rights may still subsist over the Database in some jurisdictions.\n\n   6.0 Fair dealing, Database exceptions, and other rights not affected\n\n6.1 This License does not affect any rights that You or anyone else may independently\nhave under any applicable law to make any use of this Database, including\nwithout limitation:\n\na. Exceptions to the Database Right including: Extraction of Contents from\nnon-electronic Databases for private purposes, Extraction for purposes of\nillustration for teaching or scientific research, and Extraction or Re-utilisation\nfor public security or an administrative or judicial procedure.\n\nb. Fair dealing, fair use, or any other legally recognised limitation or exception\nto infringement of copyright or other applicable laws.\n\n6.2 This License does not affect any rights of lawful users to Extract and\nRe-utilise insubstantial parts of the Contents, evaluated quantitatively or\nqualitatively, for any purposes whatsoever, including creating a Derivative\nDatabase (subject to other rights over the Contents, see Section 2.4). The\nrepeated and systematic Extraction or Re-utilisation of insubstantial parts\nof the Contents may however amount to the Extraction or Re-utilisation of\na Substantial part of the Contents.\n\n   7.0 Warranties and Disclaimer\n\n7.1 The Database is licensed by the Licensor \"as is\" and without any warranty\nof any kind, either express, implied, or arising by statute, custom, course\nof dealing, or trade usage. Licensor specifically disclaims any and all implied\nwarranties or conditions of title, non-infringement, accuracy or completeness,\nthe presence or absence of errors, fitness for a particular purpose, merchantability,\nor otherwise. Some jurisdictions do not allow the exclusion of implied warranties,\nso this exclusion may not apply to You.\n\n   8.0 Limitation of liability\n\n8.1 Subject to any liability that may not be excluded or limited by law, the\nLicensor is not liable for, and expressly excludes, all liability for loss\nor damage however and whenever caused to anyone by any use under this License,\nwhether by You or by anyone else, and whether caused by any fault on the part\nof the Licensor or not. This exclusion of liability includes, but is not limited\nto, any special, incidental, consequential, punitive, or exemplary damages\nsuch as loss of revenue, data, anticipated profits, and lost business. This\nexclusion applies even if the Licensor has been advised of the possibility\nof such damages.\n\n8.2 If liability may not be excluded by law, it is limited to actual and direct\nfinancial loss to the extent it is caused by proved negligence on the part\nof the Licensor.\n\n   9.0 Termination of Your rights under this License\n\n9.1 Any breach by You of the terms and conditions of this License automatically\nterminates this License with immediate effect and without notice to You. For\nthe avoidance of doubt, Persons who have received the Database, the whole\nor a Substantial part of the Contents, Derivative Databases, or the Database\nas part of a Collective Database from You under this License will not have\ntheir licenses terminated provided their use is in full compliance with this\nLicense or a license granted under Section 4.8 of this License. Sections 1,\n2, 7, 8, 9 and 10 will survive any termination of this License.\n\n9.2 If You are not in breach of the terms of this License, the Licensor will\nnot terminate Your rights under it.\n\n9.3 Unless terminated under Section 9.1, this License is granted to You for\nthe duration of applicable rights in the Database.\n\n9.4 Reinstatement of rights. If you cease any breach of the terms and conditions\nof this License, then your full rights under this License will be reinstated:\n\na. Provisionally and subject to permanent termination until the 60th day after\ncessation of breach;\n\nb. Permanently on the 60th day after cessation of breach unless otherwise\nreasonably notified by the Licensor; or\n\nc. Permanently if reasonably notified by the Licensor of the violation, this\nis the first time You have received notice of violation of this License from\nthe Licensor, and You cure the violation prior to 30 days after your receipt\nof the notice.\n\nPersons subject to permanent termination of rights are not eligible to be\na recipient and receive a license under Section 4.8.\n\n9.5 Notwithstanding the above, Licensor reserves the right to release the\nDatabase under different license terms or to stop distributing or making available\nthe Database. Releasing the Database under different license terms or stopping\nthe distribution of the Database will not withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   10.0 General\n\n10.1 If any provision of this License is held to be invalid or unenforceable,\nthat must not affect the validity or enforceability of the remainder of the\nterms and conditions of this License and each remaining provision of this\nLicense shall be valid and enforced to the fullest extent permitted by law.\n\n10.2 This License is the entire agreement between the parties with respect\nto the rights granted here over the Database. It replaces any earlier understandings,\nagreements or representations with respect to the Database.\n\n10.3 If You are in breach of the terms of this License, You will not be entitled\nto rely on the terms of this License or to complain of any breach by the Licensor.\n\n10.4 Choice of law. This License takes effect in and will be governed by the\nlaws of the relevant jurisdiction in which the License terms are sought to\nbe enforced. If the standard suite of rights granted under applicable copyright\nlaw and Database Rights in the relevant jurisdiction includes additional rights\nnot granted under this License, these additional rights are granted in this\nLicense in order to meet the terms of this License.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(262,'APSL-1.1','APPLE PUBLIC SOURCE LICENSE\n\nVersion 1.1 - April 19, 1999 Please read this License carefully before downloading\nthis software.\n\nBy downloading and using this software, you are agreeing to be bound by the\nterms of this License. If you do not or cannot agree to the terms of this\nLicense, please do not download or use the software.\n\n1. General; Definitions. This License applies to any program or other work\nwhich Apple Computer, Inc. (\"Apple\") publicly announces as subject to this\nApple Public Source License and which contains a notice placed by Apple identifying\nsuch program or work as \"Original Code\" and stating that it is subject to\nthe terms of this Apple Public Source License version 1.1 (or subsequent version\nthereof), as it may be revised from time to time by Apple (\"License\"). As\nused in this License:\n\n1.1 \"Affected Original Code\" means only those specific portions of Original\nCode that allegedly infringe upon any party\'s intellectual property rights\nor are otherwise the subject of a claim of infringement.\n\n1.2 \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor\nof rights, (i) claims of patents that are now or hereafter acquired, owned\nby or assigned to Apple and (ii) that cover subject matter contained in the\nOriginal Code, but only to the extent necessary to use, reproduce and/or distribute\nthe Original Code without infringement; and (b) in the case where You are\nthe grantor of rights, (i) claims of patents that are now or hereafter acquired,\nowned by or assigned to You and (ii) that cover subject matter in Your Modifications,\ntaken alone or in combination with Original Code.\n\n1.3 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.4 \"Deploy\" means to use, sublicense or distribute Covered Code other than\nfor Your internal research and development (R&D), and includes without limitation,\nany and all internal use or distribution of Covered Code within Your business\nor organization except for R&D use, as well as direct or indirect sublicensing\nor distribution of Covered Code by You to any third party in any form or manner.\n\n1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.6 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of Covered Code. When code is released as a\nseries of files, a Modification is: (a) any addition to or deletion from the\ncontents of a file containing Covered Code; and/or (b) any new file or other\nrepresentation of computer program statements that contains any part of Covered\nCode.\n\n1.7 \"Original Code\" means (a) the Source Code of a program or other work as\noriginally made available by Apple under this License, including the Source\nCode of any updates or upgrades to such programs or works made available by\nApple under this License, and that has been expressly identified by Apple\nas such in the header file(s) of such work; and (b) the object code compiled\nfrom such Source Code and originally made available by Apple under this License.\n\n1.8 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.9 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions\nof this License, Apple hereby grants You, effective on the date You accept\nthis License and download the Original Code, a world-wide, royalty-free, non-\nexclusive license, to the extent of Apple\'s Applicable Patent Rights and copyrights\ncovering the Original Code, to do the following:\n\n2.1 You may use, copy, modify and distribute Original Code, with or without\nModifications, solely for Your internal research and development, provided\nthat You must in each instance:\n\n(a) retain and reproduce in all copies of Original Code the copyright and\nother proprietary notices and disclaimers of Apple as they appear in the Original\nCode, and keep intact all notices in the Original Code that refer to this\nLicense;\n\n(b) include a copy of this License with every copy of Source Code of Covered\nCode and documentation You distribute, and You may not offer or impose any\nterms on such Source Code that alter or restrict this License or the recipients\'\nrights hereunder, except as permitted under Section 6; and\n\n(c) completely and accurately document all Modifications that you have made\nand the date of each such Modification, designate the version of the Original\nCode you used, prominently include a file carrying such information with the\nModifications, and duplicate the notice in Exhibit A in each file of the Source\nCode of all such Modifications.\n\n      2.2 You may Deploy Covered Code, provided that You must in each instance:\n\n(a) satisfy all the conditions of Section 2.1 with respect to the Source Code\nof the Covered Code;\n\n(b) make all Your Deployed Modifications publicly available in Source Code\nform via electronic distribution (e.g. download from a web site) under the\nterms of this License and subject to the license grants set forth in Section\n3 below, and any additional terms You may choose to offer under Section 6.\nYou must continue to make the Source Code of Your Deployed Modifications available\nfor as long as you Deploy the Covered Code or twelve (12) months from the\ndate of initial Deployment, whichever is longer;\n\n(c) if You Deploy Covered Code containing Modifications made by You, inform\nothers of how to obtain those Modifications by filling out and submitting\nthe information found at http://www.apple.com/publicsource/modifications.html,\nif available; and\n\n(d) if You Deploy Covered Code in object code, executable form only, include\na prominent notice, in the code itself as well as in related documentation,\nstating that Source Code of the Covered Code is available under the terms\nof this License with information on how and where to obtain such Source Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License:\n\n(a) You hereby grant to Apple and all third parties a non-exclusive, royalty-free\nlicense, under Your Applicable Patent Rights and other intellectual property\nrights owned or controlled by You, to use, reproduce, modify, distribute and\nDeploy Your Modifications of the same scope and extent as Apple\'s licenses\nunder Sections 2.1 and 2.2; and\n\n(b) You hereby grant to Apple and its subsidiaries a non-exclusive, worldwide,\nroyalty-free, perpetual and irrevocable license, under Your Applicable Patent\nRights and other intellectual property rights owned or controlled by You,\nto use, reproduce, execute, compile, display, perform, modify or have modified\n(for Apple and/or its subsidiaries), sublicense and distribute Your Modifications,\nin any form, through multiple tiers of distribution.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In each such instance, You must make sure the requirements\nof this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2,\nno other patent rights, express or implied, are granted by Apple herein. Modifications\nand/or Larger Works may require additional patent licenses from Apple which\nApple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith the scope of the license granted herein (\"Additional Terms\") to one or\nmore recipients of Covered Code. However, You may do so only on Your own behalf\nand as Your sole responsibility, and not on behalf of Apple. You must obtain\nthe recipient\'s agreement that any such Additional Terms are offered by You\nalone, and You hereby agree to indemnify, defend and hold Apple harmless for\nany liability incurred by or claims asserted against Apple by reason of any\nsuch Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Apple. No one other than Apple has the\nright to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Original Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Original Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nOriginal Code, or any portion thereof, is at Your sole and entire risk. THE\nORIGINAL CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND APPLE AND APPLE\'S LICENSOR(S) (FOR THE PURPOSES OF SECTIONS\n8 AND 9, APPLE AND APPLE\'S LICENSOR(S) ARE COLLECTIVELY REFERRED TO AS \"APPLE\")\nEXPRESSLY DISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY\nOR SATISFACTORY QUALITY AND FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT\nOF THIRD PARTY RIGHTS. APPLE DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED\nIN THE ORIGINAL CODE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF\nTHE ORIGINAL CODE WILL BE UNINTERRUPTED OR ERROR- FREE, OR THAT DEFECTS IN\nTHE ORIGINAL CODE WILL BE CORRECTED. NO ORAL OR WRITTEN INFORMATION OR ADVICE\nGIVEN BY APPLE OR AN APPLE AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY\nOR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY. You acknowledge that the\nOriginal Code is not intended for use in the operation of nuclear facilities,\naircraft navigation, communication systems, or air traffic control machines\nin which case the failure of the Original Code could lead to death, personal\ninjury, or severe physical or environmental damage.\n\n   9. Liability.\n\n9.1 Infringement. If any portion of, or functionality implemented by, the\nOriginal Code becomes the subject of a claim of infringement, Apple may, at\nits option: (a) attempt to procure the rights necessary for Apple and You\nto continue using the Affected Original Code; (b) modify the Affected Original\nCode so that it is no longer infringing; or (c) suspend Your rights to use,\nreproduce, modify, sublicense and distribute the Affected Original Code until\na final determination of the claim is made by a court or governmental administrative\nagency of competent jurisdiction and Apple lifts the suspension as set forth\nbelow. Such suspension of rights will be effective immediately upon Apple\'s\nposting of a notice to such effect on the Apple web site that is used for\nimplementation of this License. Upon such final determination being made,\nif Apple is legally able, without the payment of a fee or royalty, to resume\nuse, reproduction, modification, sublicensing and distribution of the Affected\nOriginal Code, Apple will lift the suspension of rights to the Affected Original\nCode by posting a notice to such effect on the Apple web site that is used\nfor implementation of this License. If Apple suspends Your rights to Affected\nOriginal Code, nothing in this License shall be construed to restrict You,\nat Your option and subject to applicable law, from replacing the Affected\nOriginal Code with non-infringing code or independently negotiating for necessary\nrights from such third party.\n\n9.2 LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES SHALL APPLE BE LIABLE\nFOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES ARISING OUT\nOF OR RELATING TO THIS LICENSE OR YOUR USE OR INABILITY TO USE THE ORIGINAL\nCODE, OR ANY PORTION THEREOF, WHETHER UNDER A THEORY OF CONTRACT, WARRANTY,\nTORT (INCLUDING NEGLIGENCE), PRODUCTS LIABILITY OR OTHERWISE, EVEN IF APPLE\nHAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE\nFAILURE OF ESSENTIAL PURPOSE OF ANY REMEDY. In no event shall Apple\'s total\nliability to You for all damages under this License exceed the amount of fifty\ndollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks\nor trade names \"Apple\", \"Apple Computer\", \"Mac OS X\", \"Mac OS X Server\" or\nany other trademarks or trade names belonging to Apple (collectively \"Apple\nMarks\") and no Apple Marks may be used to endorse or promote products derived\nfrom the Original Code other than as permitted by and in strict compliance\nat all times with Apple\'s third party trademark usage guidelines which are\nposted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Apple retains all rights, title and interest in and to the\nOriginal Code and any Modifications made by or on behalf of Apple (\"Apple\nModifications\"), and such Apple Modifications will not be automatically subject\nto this License. Apple may, at its sole discretion, choose to license such\nApple Modifications under this License, or on different terms from those contained\nin this License or may choose not to license them at all. Apple\'s development,\nuse, reproduction, modification, sublicensing and distribution of Covered\nCode will not be subject to this License.\n\n   12. Termination.\n\n12.1 Termination. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice from Apple if You fail to comply with any\nterm(s) of this License and fail to cure such breach within 30 days of becoming\naware of such breach;\n\n(b) immediately in the event of the circumstances described in Section 13.5(b);\nor\n\n(c) automatically without notice from Apple if You, at any time during the\nterm of this License, commence an action for patent infringement against Apple.\n\n12.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification, sublicensing and distribution\nof the Covered Code and to destroy all copies of the Covered Code that are\nin your possession or control. All sublicenses to the Covered Code which have\nbeen properly granted prior to termination shall survive any termination of\nthis License. Provisions which, by their nature, should remain in effect beyond\nthe termination of this License shall survive, including but not limited to\nSections 3, 5, 8, 9, 10, 11, 12.2 and 13. Neither party will be liable to\nthe other for compensation, indemnity or damages of any sort solely as a result\nof terminating this License in accordance with its terms, and termination\nof this License will be without prejudice to any other right or remedy of\neither party.\n\n   13. Miscellaneous.\n\n13.1 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer\nSoftware) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical\nData -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n13.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween You and Apple, and You will not represent to the contrary, whether\nexpressly, by implication, appearance or otherwise.\n\n13.3 Independent Development. Nothing in this License will impair Apple\'s\nright to acquire, license, develop, have others develop for it, market and/or\ndistribute technology or products that perform the same or similar functions\nas, or otherwise compete with, Modifications, Larger Works, technology or\nproducts that You may\n\n      develop, produce, market or distribute.\n\n13.4 Waiver; Construction. Failure by Apple to enforce any provision of this\nLicense will not be deemed a waiver of future enforcement of that or any other\nprovision. Any law or regulation which provides that the language of a contract\nshall be construed against the drafter will not apply to this License.\n\n13.5 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n13.6 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Apple relating to this License shall take place in the Northern District\nof California, and You and Apple hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n13.7 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nCalifornia, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exige que\nle present contrat et tous les documents connexes soient rediges en anglais.\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2000 Apple Computer, Inc. All Rights Reserved.\nThis file contains Original Code and/or Modifications of Original Code as\ndefined in and that are subject to the Apple Public Source License Version\n1.1 (the \"License\"). You may not use this file except in compliance with the\nLicense. Please obtain a copy of the License at http://www.apple.com/publicsource\nand read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed\non an \"AS IS\" basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nAND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,\nANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-\nINFRINGEMENT. Please see the License for the specific language governing rights\nand limitations under the License.\"\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(263,'EFL-2.0','Eiffel Forum License, version 2\n\n1. Permission is hereby granted to use, copy, modify and/or distribute this\npackage, provided that:\n\n      - copyright notices are retained unchanged,\n\n- any distribution of this package, whether modified or not, includes this\nlicense text.\n\n2. Permission is hereby also granted to distribute binary programs which depend\non this package. If the binary program depends on a modified version of this\npackage, you are encouraged to publicly release the modified version of this\npackage.\n\nTHIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY. ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\nAUTHORS BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE OF THIS\nPACKAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(264,'QPL-1.0','THE Q PUBLIC LICENSE version 1.0\n\nCopyright (C) 1999-2005 Trolltech AS, Norway.\n\nEveryone is permitted to copy and distribute this license document.\n\nThe intent of this license is to establish freedom to share and change the\nsoftware regulated by this license under the open source model.\n\nThis license applies to any software containing a notice placed by the copyright\nholder saying that it may be distributed under the terms of the Q Public License\nversion 1.0. Such software is herein referred to as the Software. This license\ncovers modification and distribution of the Software, use of third-party application\nprograms based on the Software, and development of free software which uses\nthe Software.\n\nGranted Rights\n\n1. You are granted the non-exclusive rights set forth in this license provided\nyou agree to and comply with any and all conditions in this license. Whole\nor partial distribution of the Software, or software items that link with\nthe Software, in any form signifies acceptance of this license.\n\n2. You may copy and distribute the Software in unmodified form provided that\nthe entire package, including - but not restricted to - copyright, trademark\nnotices and disclaimers, as released by the initial developer of the Software,\nis distributed.\n\n3. You may make modifications to the Software and distribute your modifications,\nin a form that is separate from the Software, such as patches. The following\nrestrictions apply to modifications:\n\na. Modifications must not alter or remove any copyright notices in the Software.\n\nb. When modifications to the Software are released under this license, a non-exclusive\nroyalty-free right is granted to the initial developer of the Software to\ndistribute your modification in future versions of the Software provided such\nversions remain available under these terms in addition to any other license(s)\nof the initial developer.\n\n4. You may distribute machine-executable forms of the Software or machine-executable\nforms of modified versions of the Software, provided that you meet these restrictions:\n\n      a. You must include this license document in the distribution.\n\nb. You must ensure that all recipients of the machine-executable forms are\nalso able to receive the complete machine-readable source code to the distributed\nSoftware, including all modifications, without any charge beyond the costs\nof data transfer, and place prominent notices in the distribution explaining\nthis.\n\nc. You must ensure that all modifications included in the machine-executable\nforms are available under the terms of this license.\n\n5. You may use the original or modified versions of the Software to compile,\nlink and run application programs legally developed by you or by others.\n\n6. You may develop application programs, reusable components and other software\nitems that link with the original or modified versions of the Software. These\nitems, when distributed, are subject to the following requirements:\n\na. You must ensure that all recipients of machine-executable forms of these\nitems are also able to receive and use the complete machine-readable source\ncode to the items without any charge beyond the costs of data transfer.\n\nb. You must explicitly license all recipients of your items to use and re-distribute\noriginal and modified versions of the items in both machine-executable and\nsource code forms. The recipients must be able to do so without any charges\nwhatsoever, and they must be able to re-distribute to anyone they choose.\n\nc. If the items are not available to the general public, and the initial developer\nof the Software requests a copy of the items, then you must supply one.\n\nLimitations of Liability\n\nIn no event shall the initial developers or copyright holders be liable for\nany damages whatsoever, including - but not restricted to - lost revenue or\nprofits or other direct, indirect, special, incidental or consequential damages,\neven if they have been advised of the possibility of such damages, except\nto the extent invariable law, if any, provides otherwise.\n\nNo Warranty\n\nThe Software and this license document are provided AS IS with NO WARRANTY\nOF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE.\n\nChoice of Law\n\nThis license is governed by the Laws of Norway. Disputes shall be settled\nby Oslo City Court.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(265,'CC-BY-2.0','Creative Commons Attribution 2.0 CREATIVE COMMONS CORPORATION IS NOT A LAW\nFIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS LICENSE DOES\nNOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS\nINFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING\nTHE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING FROM\nITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works.\n\n      e. For the avoidance of doubt, where the work is a musical composition:\n\ni. Performance Royalties Under Blanket Licenses. Licensor waives the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work.\n\nii. Mechanical Rights and Statutory Royalties. Licensor waives the exclusive\nright to collect, whether individually or via a music rights agency or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions).\n\nf. Webcasting Rights and Statutory Royalties. For the avoidance of doubt,\nwhere the Work is a sound recording, Licensor waives the exclusive right to\ncollect, whether individually or via a performance-rights society (e.g. SoundExchange),\nroyalties for the public digital performance (e.g. webcast) of the Work, subject\nto the compulsory license created by 17 USC Section 114 of the US Copyright\nAct (or the equivalent in other jurisdictions).\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; to the extent reasonably practicable, the Uniform\nResource Identifier, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(266,'CC-BY-NC-ND-4.0','Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International\nCreative Commons Corporation (\"Creative Commons\") is not a law firm and does\nnot provide legal services or legal advice. Distribution of Creative Commons\npublic licenses does not create a lawyer-client or other relationship. Creative\nCommons makes its licenses and related information available on an \"as-is\"\nbasis. Creative Commons gives no warranties regarding its licenses, any material\nlicensed under their terms and conditions, or any related information. Creative\nCommons disclaims all liability for damages resulting from their use to the\nfullest extent possible.\n\nUsing Creative Commons Public Licenses\n\nCreative Commons public licenses provide a standard set of terms and conditions\nthat creators and other rights holders may use to share original works of\nauthorship and other material subject to copyright and certain other rights\nspecified in the public license below. The following considerations are for\ninformational purposes only, are not exhaustive, and do not form part of our\nlicenses.\n\nConsiderations for licensors: Our public licenses are intended for use by\nthose authorized to give the public permission to use material in ways otherwise\nrestricted by copyright and certain other rights. Our licenses are irrevocable.\nLicensors should read and understand the terms and conditions of the license\nthey choose before applying it. Licensors should also secure all rights necessary\nbefore applying our licenses so that the public can reuse the material as\nexpected. Licensors should clearly mark any material not subject to the license.\nThis includes other CC-licensed material, or material used under an exception\nor limitation to copyright. More considerations for licensors : wiki.creativecommons.org/Considerations_for_licensors\n\nConsiderations for the public: By using one of our public licenses, a licensor\ngrants the public permission to use the licensed material under specified\nterms and conditions. If the licensor\'s permission is not necessary for any\nreason–for example, because of any applicable exception or limitation to copyright–then\nthat use is not regulated by the license. Our licenses grant only permissions\nunder copyright and certain other rights that a licensor has authority to\ngrant. Use of the licensed material may still be restricted for other reasons,\nincluding because others have copyright or other rights in the material. A\nlicensor may make special requests, such as asking that all changes be marked\nor described. Although not required by our licenses, you are encouraged to\nrespect those requests where reasonable. More considerations for the public\n: wiki.creativecommons.org/Considerations_for_licensees\n\nCreative Commons Attribution-NonCommercial-NoDerivatives 4.0 International\nPublic License\n\nBy exercising the Licensed Rights (defined below), You accept and agree to\nbe bound by the terms and conditions of this Creative Commons Attribution-NonCommercial-NoDerivatives\n4.0 International Public License (\"Public License\"). To the extent this Public\nLicense may be interpreted as a contract, You are granted the Licensed Rights\nin consideration of Your acceptance of these terms and conditions, and the\nLicensor grants You such rights in consideration of benefits the Licensor\nreceives from making the Licensed Material available under these terms and\nconditions.\n\n   \n\n   Section 1 – Definitions.\n\na. Adapted Material means material subject to Copyright and Similar Rights\nthat is derived from or based upon the Licensed Material and in which the\nLicensed Material is translated, altered, arranged, transformed, or otherwise\nmodified in a manner requiring permission under the Copyright and Similar\nRights held by the Licensor. For purposes of this Public License, where the\nLicensed Material is a musical work, performance, or sound recording, Adapted\nMaterial is always produced where the Licensed Material is synched in timed\nrelation with a moving image.\n\nb. Copyright and Similar Rights means copyright and/or similar rights closely\nrelated to copyright including, without limitation, performance, broadcast,\nsound recording, and Sui Generis Database Rights, without regard to how the\nrights are labeled or categorized. For purposes of this Public License, the\nrights specified in Section 2(b)(1)-(2) are not Copyright and Similar Rights.\n\nc. Effective Technological Measures means those measures that, in the absence\nof proper authority, may not be circumvented under laws fulfilling obligations\nunder Article 11 of the WIPO Copyright Treaty adopted on December 20, 1996,\nand/or similar international agreements.\n\nd. Exceptions and Limitations means fair use, fair dealing, and/or any other\nexception or limitation to Copyright and Similar Rights that applies to Your\nuse of the Licensed Material.\n\ne. Licensed Material means the artistic or literary work, database, or other\nmaterial to which the Licensor applied this Public License.\n\nf. Licensed Rights means the rights granted to You subject to the terms and\nconditions of this Public License, which are limited to all Copyright and\nSimilar Rights that apply to Your use of the Licensed Material and that the\nLicensor has authority to license.\n\ng. Licensor means the individual(s) or entity(ies) granting rights under this\nPublic License.\n\nh. NonCommercial means not primarily intended for or directed towards commercial\nadvantage or monetary compensation. For purposes of this Public License, the\nexchange of the Licensed Material for other material subject to Copyright\nand Similar Rights by digital file-sharing or similar means is NonCommercial\nprovided there is no payment of monetary compensation in connection with the\nexchange.\n\ni. Share means to provide material to the public by any means or process that\nrequires permission under the Licensed Rights, such as reproduction, public\ndisplay, public performance, distribution, dissemination, communication, or\nimportation, and to make material available to the public including in ways\nthat members of the public may access the material from a place and at a time\nindividually chosen by them.\n\nj. Sui Generis Database Rights means rights other than copyright resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other essentially equivalent rights anywhere in the world.\n\nk. You means the individual or entity exercising the Licensed Rights under\nthis Public License. Your has a corresponding meaning.\n\n   \n\n   Section 2 – Scope.\n\n      a. License grant.\n\n1. Subject to the terms and conditions of this Public License, the Licensor\nhereby grants You a worldwide, royalty-free, non-sublicensable, non-exclusive,\nirrevocable license to exercise the Licensed Rights in the Licensed Material\nto:\n\nA. reproduce and Share the Licensed Material, in whole or in part, for NonCommercial\npurposes only; and\n\nB. produce and reproduce, but not Share, Adapted Material for NonCommercial\npurposes only.\n\n2. Exceptions and Limitations. For the avoidance of doubt, where Exceptions\nand Limitations apply to Your use, this Public License does not apply, and\nYou do not need to comply with its terms and conditions.\n\n         3. Term. The term of this Public License is specified in Section 6(a).\n\n4. Media and formats; technical modifications allowed. The Licensor authorizes\nYou to exercise the Licensed Rights in all media and formats whether now known\nor hereafter created, and to make technical modifications necessary to do\nso. The Licensor waives and/or agrees not to assert any right or authority\nto forbid You from making technical modifications necessary to exercise the\nLicensed Rights, including technical modifications necessary to circumvent\nEffective Technological Measures. For purposes of this Public License, simply\nmaking modifications authorized by this Section 2(a)(4) never produces Adapted\nMaterial.\n\n         5. Downstream recipients.\n\nA. Offer from the Licensor – Licensed Material. Every recipient of the Licensed\nMaterial automatically receives an offer from the Licensor to exercise the\nLicensed Rights under the terms and conditions of this Public License.\n\nB. No downstream restrictions. You may not offer or impose any additional\nor different terms or conditions on, or apply any Effective Technological\nMeasures to, the Licensed Material if doing so restricts exercise of the Licensed\nRights by any recipient of the Licensed Material.\n\n6. No endorsement. Nothing in this Public License constitutes or may be construed\nas permission to assert or imply that You are, or that Your use of the Licensed\nMaterial is, connected with, or sponsored, endorsed, or granted official status\nby, the Licensor or others designated to receive attribution as provided in\nSection 3(a)(1)(A)(i).\n\n      b. Other rights.\n\n1. Moral rights, such as the right of integrity, are not licensed under this\nPublic License, nor are publicity, privacy, and/or other similar personality\nrights; however, to the extent possible, the Licensor waives and/or agrees\nnot to assert any such rights held by the Licensor to the limited extent necessary\nto allow You to exercise the Licensed Rights, but not otherwise.\n\n2. Patent and trademark rights are not licensed under this Public License.\n\n3. To the extent possible, the Licensor waives any right to collect royalties\nfrom You for the exercise of the Licensed Rights, whether directly or through\na collecting society under any voluntary or waivable statutory or compulsory\nlicensing scheme. In all other cases the Licensor expressly reserves any right\nto collect such royalties, including when the Licensed Material is used other\nthan for NonCommercial purposes.\n\n   \n\n   Section 3 – License Conditions.\n\nYour exercise of the Licensed Rights is expressly made subject to the following\nconditions.\n\n      a. Attribution.\n\n         1. If You Share the Licensed Material, You must:\n\nA. retain the following if it is supplied by the Licensor with the Licensed\nMaterial:\n\ni. identification of the creator(s) of the Licensed Material and any others\ndesignated to receive attribution, in any reasonable manner requested by the\nLicensor (including by pseudonym if designated);\n\n               ii. a copyright notice;\n\n               iii. a notice that refers to this Public License;\n\n               iv. a notice that refers to the disclaimer of warranties;\n\nv. a URI or hyperlink to the Licensed Material to the extent reasonably practicable;\n\nB. indicate if You modified the Licensed Material and retain an indication\nof any previous modifications; and\n\nC. indicate the Licensed Material is licensed under this Public License, and\ninclude the text of, or the URI or hyperlink to, this Public License.\n\nFor the avoidance of doubt, You do not have permission under this Public License\nto Share Adapted Material.\n\n2. You may satisfy the conditions in Section 3(a)(1) in any reasonable manner\nbased on the medium, means, and context in which You Share the Licensed Material.\nFor example, it may be reasonable to satisfy the conditions by providing a\nURI or hyperlink to a resource that includes the required information.\n\n3. If requested by the Licensor, You must remove any of the information required\nby Section 3(a)(1)(A) to the extent reasonably practicable.\n\n   \n\n   Section 4 – Sui Generis Database Rights.\n\nWhere the Licensed Rights include Sui Generis Database Rights that apply to\nYour use of the Licensed Material:\n\na. for the avoidance of doubt, Section 2(a)(1) grants You the right to extract,\nreuse, reproduce, and Share all or a substantial portion of the contents of\nthe database for NonCommercial purposes only and provided You do not Share\nAdapted Material;\n\nb. if You include all or a substantial portion of the database contents in\na database in which You have Sui Generis Database Rights, then the database\nin which You have Sui Generis Database Rights (but not its individual contents)\nis Adapted Material; and\n\nc. You must comply with the conditions in Section 3(a) if You Share all or\na substantial portion of the contents of the database.\n\nFor the avoidance of doubt, this Section 4 supplements and does not replace\nYour obligations under this Public License where the Licensed Rights include\nother Copyright and Similar Rights.\n\n   \n\n   Section 5 – Disclaimer of Warranties and Limitation of Liability.\n\na. Unless otherwise separately undertaken by the Licensor, to the extent possible,\nthe Licensor offers the Licensed Material as-is and as-available, and makes\nno representations or warranties of any kind concerning the Licensed Material,\nwhether express, implied, statutory, or other. This includes, without limitation,\nwarranties of title, merchantability, fitness for a particular purpose, non-infringement,\nabsence of latent or other defects, accuracy, or the presence or absence of\nerrors, whether or not known or discoverable. Where disclaimers of warranties\nare not allowed in full or in part, this disclaimer may not apply to You.\n\nb. To the extent possible, in no event will the Licensor be liable to You\non any legal theory (including, without limitation, negligence) or otherwise\nfor any direct, special, indirect, incidental, consequential, punitive, exemplary,\nor other losses, costs, expenses, or damages arising out of this Public License\nor use of the Licensed Material, even if the Licensor has been advised of\nthe possibility of such losses, costs, expenses, or damages. Where a limitation\nof liability is not allowed in full or in part, this limitation may not apply\nto You.\n\nc. The disclaimer of warranties and limitation of liability provided above\nshall be interpreted in a manner that, to the extent possible, most closely\napproximates an absolute disclaimer and waiver of all liability.\n\n   \n\n   Section 6 – Term and Termination.\n\na. This Public License applies for the term of the Copyright and Similar Rights\nlicensed here. However, if You fail to comply with this Public License, then\nYour rights under this Public License terminate automatically.\n\nb. Where Your right to use the Licensed Material has terminated under Section\n6(a), it reinstates:\n\n1. automatically as of the date the violation is cured, provided it is cured\nwithin 30 days of Your discovery of the violation; or\n\n         2. upon express reinstatement by the Licensor.\n\nFor the avoidance of doubt, this Section 6(b) does not affect any right the\nLicensor may have to seek remedies for Your violations of this Public License.\n\nc. For the avoidance of doubt, the Licensor may also offer the Licensed Material\nunder separate terms or conditions or stop distributing the Licensed Material\nat any time; however, doing so will not terminate this Public License.\n\n      d. Sections 1, 5, 6, 7, and 8 survive termination of this Public License.\n\n   \n\n   Section 7 – Other Terms and Conditions.\n\na. The Licensor shall not be bound by any additional or different terms or\nconditions communicated by You unless expressly agreed.\n\nb. Any arrangements, understandings, or agreements regarding the Licensed\nMaterial not stated herein are separate from and independent of the terms\nand conditions of this Public License.\n\n   \n\n   Section 8 – Interpretation.\n\na. For the avoidance of doubt, this Public License does not, and shall not\nbe interpreted to, reduce, limit, restrict, or impose conditions on any use\nof the Licensed Material that could lawfully be made without permission under\nthis Public License.\n\nb. To the extent possible, if any provision of this Public License is deemed\nunenforceable, it shall be automatically reformed to the minimum extent necessary\nto make it enforceable. If the provision cannot be reformed, it shall be severed\nfrom this Public License without affecting the enforceability of the remaining\nterms and conditions.\n\nc. No term or condition of this Public License will be waived and no failure\nto comply consented to unless expressly agreed to by the Licensor.\n\nd. Nothing in this Public License constitutes or may be interpreted as a limitation\nupon, or waiver of, any privileges and immunities that apply to the Licensor\nor You, including from the legal processes of any jurisdiction or authority.\n\nCreative Commons is not a party to its public licenses. Notwithstanding, Creative\nCommons may elect to apply one of its public licenses to material it publishes\nand in those instances will be considered the \"Licensor.\" The text of the\nCreative Commons public licenses is dedicated to the public domain under the\nCC0 Public Domain Dedication. Except for the limited purpose of indicating\nthat material is shared under a Creative Commons public license or as otherwise\npermitted by the Creative Commons policies published at creativecommons.org/policies,\nCreative Commons does not authorize the use of the trademark \"Creative Commons\"\nor any other trademark or logo of Creative Commons without its prior written\nconsent including, without limitation, in connection with any unauthorized\nmodifications to any of its public licenses or any other arrangements, understandings,\nor agreements concerning use of licensed material. For the avoidance of doubt,\nthis paragraph does not form part of the public licenses.\n\nCreative Commons may be contacted at creativecommons.org.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(267,'AMPAS','Copyright (c) 2006 Academy of Motion Picture Arts and Sciences (\"A.M.P.A.S.\").\nPortions contributed by others as indicated. All rights reserved.\n\nA world-wide, royalty-free, non-exclusive right to distribute, copy, modify,\ncreate derivatives, and use, in source and binary forms, is hereby granted,\nsubject to acceptance of this license. Performance of any of the aforementioned\nacts indicates acceptance to be bound by the following terms and conditions:\n\n* Redistributions of source code must retain the above copyright notice, this\nlist of conditions and the Disclaimer of Warranty.\n\n* Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the Disclaimer of Warranty in the documentation\nand/or other materials provided with the distribution.\n\n* Nothing in this license shall be deemed to grant any rights to trademarks,\ncopyrights, patents, trade secrets or any other intellectual property of A.M.P.A.S.\nor any contributors, except as expressly stated herein, and neither the name\nof A.M.P.A.S. nor of any other contributors to this software, may be used\nto endorse or promote products derived from this software without specific\nprior written permission of A.M.P.A.S. or contributor, as appropriate.\n\nThis license shall be governed by the laws of the State of California, and\nsubject to the jurisdiction of the courts therein.\n\nDisclaimer of Warranty: THIS SOFTWARE IS PROVIDED BY A.M.P.A.S. AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,\nAND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL A.M.P.A.S., ANY CONTRIBUTORS\nOR DISTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,\nOR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE\nGOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\nHOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(268,'LPPL-1.0','LaTeX Project Public License\n\nLPPL Version 1.0 1999-03-01\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but modification is not allowed.\n\nPreamble\n\nThe LaTeX Project Public License (LPPL) is the license under which the base\nLaTeX distribution is distributed. As described below you may use this licence\nfor any software that you wish to distribute.\n\nIt may be particularly suitable if your software is TeX related (such as a\nLaTeX package file) but it may be used for any software, even if it is unrelated\nto TeX.\n\nTo use this license, the files of your distribution should have an explicit\ncopyright notice giving your name and the year, together with a reference\nto this license.\n\nA typical example would be\n\n%% pig.sty\n\n%% Copyright 2001 M. Y. Name\n\n% This program can redistributed and/or modified under the terms\n\n% of the LaTeX Project Public License Distributed from CTAN\n\n% archives in directory macros/latex/base/lppl.txt; either\n\n% version 1 of the License, or (at your option) any later version.\n\nGiven such a notice in the file, the conditions of this document would apply,\nwith:\n\n`The Program\' referring to the software `pig.sty\' and `The Copyright Holder\'\nreferring to the person `M. Y. Name\'.\n\nTo see a real example, see the file legal.txt which carries the copyright\nnotice for the base latex distribution.\n\nThis license gives terms under which files of The Program may be distributed\nand modified. Individual files may have specific further constraints on modification,\nbut no file should have restrictions on distribution other than those specified\nbelow.\n\nThis is to ensure that a distributor wishing to distribute a complete unmodified\ncopy of The Program need only check the conditions in this file, and does\nnot need to check every file in The Program for extra restrictions. If you\ndo need to modify the distribution terms of some files, do not refer to this\nlicense, instead distribute The Program under a different license. You may\nuse the parts of the text of LPPL as a model for your own license, but your\nlicense should not directly refer to the LPPL or otherwise give the impression\nthat The Program is distributed under the LPPL.\n\nThe LaTeX Project Public License\n\n================================\n\nTerms And Conditions For Copying, Distribution And Modification\n\n===============================================================\n\nWARRANTY\n\n========\n\nThere is no warranty for The Program, to the extent permitted by applicable\nlaw. Except when otherwise stated in writing, The Copyright Holder provides\nThe Program `as is\' without warranty of any kind, either expressed or implied,\nincluding, but not limited to, the implied warranties of merchantability and\nfitness for a particular purpose. The entire risk as to the quality and performance\nof the program is with you. Should The Program prove defective, you assume\nthe cost of all necessary servicing, repair or correction.\n\nIn no event unless required by applicable law or agreed to in writing will\nThe Copyright Holder, or any of the individual authors named in the source\nfor The Program, be liable to you for damages, including any general, special,\nincidental or consequential damages arising out of any use of The Program\nor out of inability to use The Program (including but not limited to loss\nof data or data being rendered inaccurate or losses sustained by you or by\nthird parties as a result of a failure of The Program to operate with any\nother programs), even if such holder or other party has been advised of the\npossibility of such damages.\n\nDISTRIBUTION\n\n============\n\nRedistribution of unchanged files is allowed provided that all files that\nmake up the distribution of The Program are distributed. In particular this\nmeans that The Program has to be distributed including its documentation if\ndocumentation was part of the original distribution.\n\nThe distribution of The Program will contain a prominent file listing all\nthe files covered by this license.\n\nIf you receive only some of these files from someone, complain!\n\nThe distribution of changed versions of certain files included in the The\nProgram, and the reuse of code from The Program, are allowed under the following\nrestrictions:\n\n* It is allowed only if the legal notice in the file does not expressly forbid\nit. See note below, under \"Conditions on individual files\".\n\n* You rename the file before you make any changes to it, unless the file explicitly\nsays that renaming is not required. Any such changed files must be distributed\nunder a license that forbids distribution of those files, and any files derived\nfrom them, under the names used by the original files in the distribution\nof The Program.\n\n* You change any `identification string\' in The Program to clearly indicate\nthat the file is not part of the standard system.\n\n* If The Program includes an `error report address\' so that errors may be\nreported to The Copyright Holder, or other specified addresses, this address\nmust be changed in any modified versions of The Program, so that reports for\nfiles not maintained by the original program maintainers are directed to the\nmaintainers of the changed files.\n\n* You acknowledge the source and authorship of the original version in the\nmodified file.\n\n* You also distribute the unmodified version of the file or alternatively\nprovide sufficient information so that the user of your modified file can\nbe reasonably expected to be able to obtain an original, unmodified copy of\nThe Program. For example, you may specify a URL to a site that you expect\nwill freely provide the user with a copy of The Program (either the version\non which your modification is based, or perhaps a later version).\n\n* If The Program is intended to be used with, or is based on, LaTeX, then\nfiles with the following file extensions which have special meaning in LaTeX\nSoftware, have special modification rules under the license:\n\n- Files with extension `.ins\' (installation files): these files may not be\nmodified at all because they contain the legal notices that are placed in\nthe generated files.\n\n- Files with extension `.fd\' (LaTeX font definitions files): these files are\nallowed to be modified without changing the name, but only to enable use of\nall available fonts and to prevent attempts to access unavailable fonts. However,\nmodified files are not allowed to be distributed in place of original files.\n\n- Files with extension `.cfg\' (configuration files): these files can be created\nor modified to enable easy configuration of the system. The documentation\nin cfgguide.tex in the base LaTeX distribution describes when it makes sense\nto modify or generate such files.\n\nThe above restrictions are not intended to prohibit, and hence do not apply\nto, the updating, by any method, of a file so that it becomes identical to\nthe latest version of that file in The Program.\n\n========================================================================\n\nNOTES\n\n=====\n\nWe believe that these requirements give you the freedom you to make modifications\nthat conform with whatever technical specifications you wish, whilst maintaining\nthe availability, integrity and reliability of The Program. If you do not\nsee how to achieve your goal whilst adhering to these requirements then read\nthe document cfgguide.tex in the base LaTeX distribution for suggestions.\n\nBecause of the portability and exchangeability aspects of systems like LaTeX,\nThe LaTeX3 Project deprecates the distribution of non-standard versions of\ncomponents of LaTeX or of generally available contributed code for them but\nsuch distributions are permitted under the above restrictions.\n\nThe document modguide.tex in the base LaTeX distribution details the reasons\nfor the legal requirements detailed above. Even if The Program is unrelated\nto LaTeX, the argument in modguide.tex may still apply, and should be read\nbefore a modified version of The Program is distributed.\n\nConditions on individual files\n\n==============================\n\nThe individual files may bear additional conditions which supersede the general\nconditions on distribution and modification contained in this file. If there\nare any such files, the distribution of The Program will contain a prominent\nfile that lists all the exceptional files.\n\nTypical examples of files with more restrictive modification conditions would\nbe files that contain the text of copyright notices.\n\n* The conditions on individual files differ only in the extent of *modification*\nthat is allowed.\n\n* The conditions on *distribution* are the same for all the files. Thus a\n(re)distributor of a complete, unchanged copy of The Program need meet only\nthe conditions in this file; it is not necessary to check the header of every\nfile in the distribution to check that a distribution meets these requirements.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(269,'EUPL-1.2','European Union Public Licence v. 1.2\n\nEUPL © the European Union 2007, 2016\n\nThis European Union Public Licence (the \'EUPL\') applies to the Work (as defined\nbelow) which is provided under the terms of this Licence. Any use of the Work,\nother than as authorised under this Licence is prohibited (to the extent such\nuse is covered by a right of the copyright holder of the Work).\n\nThe Work is provided under the terms of this Licence when the Licensor (as\ndefined below) has placed the following notice immediately following the copyright\nnotice for the Work:\n\n   \n\n   Licensed under the EUPL\n\n   \n\nor has expressed by any other means his willingness to license under the EUPL.\n\n   1. Definitions\n\n   In this Licence, the following terms have the following meaning:\n\n      — \'The Licence\': this Licence.\n\n— \'The Original Work\': the work or software distributed or communicated by\nthe Licensor under this Licence, available as Source Code and also as Executable\nCode as the case may be.\n\n— \'Derivative Works\': the works or software that could be created by the Licensee,\nbased upon the Original Work or modifications thereof. This Licence does not\ndefine the extent of modification or dependence on the Original Work required\nin order to classify a work as a Derivative Work; this extent is determined\nby copyright law applicable in the country mentioned in Article 15.\n\n      — \'The Work\': the Original Work or its Derivative Works.\n\n— \'The Source Code\': the human-readable form of the Work which is the most\nconvenient for people to study and modify.\n\n— \'The Executable Code\': any code which has generally been compiled and which\nis meant to be interpreted by a computer as a program.\n\n— \'The Licensor\': the natural or legal person that distributes or communicates\nthe Work under the Licence.\n\n— \'Contributor(s)\': any natural or legal person who modifies the Work under\nthe Licence, or otherwise contributes to the creation of a Derivative Work.\n\n— \'The Licensee\' or \'You\': any natural or legal person who makes any usage\nof the Work under the terms of the Licence.\n\n— \'Distribution\' or \'Communication\': any act of selling, giving, lending,\nrenting, distributing, communicating, transmitting, or otherwise making available,\nonline or offline, copies of the Work or providing access to its essential\nfunctionalities at the disposal of any other natural or legal person.\n\n   2. Scope of the rights granted by the Licence\n\nThe Licensor hereby grants You a worldwide, royalty-free, non-exclusive, sublicensable\nlicence to do the following, for the duration of copyright vested in the Original\nWork:\n\n      — use the Work in any circumstance and for all usage,\n\n      — reproduce the Work,\n\n      — modify the Work, and make Derivative Works based upon the Work,\n\n— communicate to the public, including the right to make available or display\nthe Work or copies thereof to the public and perform publicly, as the case\nmay be, the Work,\n\n      — distribute the Work or copies thereof,\n\n      — lend and rent the Work or copies thereof,\n\n      — sublicense rights in the Work or copies thereof.\n\nThose rights can be exercised on any media, supports and formats, whether\nnow known or later invented, as far as the applicable law permits so.\n\nIn the countries where moral rights apply, the Licensor waives his right to\nexercise his moral right to the extent allowed by law in order to make effective\nthe licence of the economic rights here above listed.\n\nThe Licensor grants to the Licensee royalty-free, non-exclusive usage rights\nto any patents held by the Licensor, to the extent necessary to make use of\nthe rights granted on the Work under this Licence.\n\n   3. Communication of the Source Code\n\nThe Licensor may provide the Work either in its Source Code form, or as Executable\nCode. If the Work is provided as Executable Code, the Licensor provides in\naddition a machine-readable copy of the Source Code of the Work along with\neach copy of the Work that the Licensor distributes or indicates, in a notice\nfollowing the copyright notice attached to the Work, a repository where the\nSource Code is easily and freely accessible for as long as the Licensor continues\nto distribute or communicate the Work.\n\n   4. Limitations on copyright\n\nNothing in this Licence is intended to deprive the Licensee of the benefits\nfrom any exception or limitation to the exclusive rights of the rights owners\nin the Work, of the exhaustion of those rights or of other applicable limitations\nthereto.\n\n   5. Obligations of the Licensee\n\nThe grant of the rights mentioned above is subject to some restrictions and\nobligations imposed on the Licensee. Those obligations are the following:\n\nAttribution right: The Licensee shall keep intact all copyright, patent or\ntrademarks notices and all notices that refer to the Licence and to the disclaimer\nof warranties. The Licensee must include a copy of such notices and a copy\nof the Licence with every copy of the Work he/she distributes or communicates.\nThe Licensee must cause any Derivative Work to carry prominent notices stating\nthat the Work has been modified and the date of modification.\n\nCopyleft clause: If the Licensee distributes or communicates copies of the\nOriginal Works or Derivative Works, this Distribution or Communication will\nbe done under the terms of this Licence or of a later version of this Licence\nunless the Original Work is expressly distributed only under this version\nof the Licence — for example by communicating \'EUPL v. 1.2 only\'. The Licensee\n(becoming Licensor) cannot offer or impose any additional terms or conditions\non the Work or Derivative Work that alter or restrict the terms of the Licence.\n\nCompatibility clause: If the Licensee Distributes or Communicates Derivative\nWorks or copies thereof based upon both the Work and another work licensed\nunder a Compatible Licence, this Distribution or Communication can be done\nunder the terms of this Compatible Licence. For the sake of this clause, \'Compatible\nLicence\' refers to the licences listed in the appendix attached to this Licence.\nShould the Licensee\'s obligations under the Compatible Licence conflict with\nhis/her obligations under this Licence, the obligations of the Compatible\nLicence shall prevail.\n\nProvision of Source Code: When distributing or communicating copies of the\nWork, the Licensee will provide a machine-readable copy of the Source Code\nor indicate a repository where this Source will be easily and freely available\nfor as long as the Licensee continues to distribute or communicate the Work.\n\nLegal Protection: This Licence does not grant permission to use the trade\nnames, trademarks, service marks, or names of the Licensor, except as required\nfor reasonable and customary use in describing the origin of the Work and\nreproducing the content of the copyright notice.\n\n   6. Chain of Authorship\n\nThe original Licensor warrants that the copyright in the Original Work granted\nhereunder is owned by him/her or licensed to him/her and that he/she has the\npower and authority to grant the Licence.\n\nEach Contributor warrants that the copyright in the modifications he/she brings\nto the Work are owned by him/her or licensed to him/her and that he/she has\nthe power and authority to grant the Licence.\n\nEach time You accept the Licence, the original Licensor and subsequent Contributors\ngrant You a licence to their contributions to the Work, under the terms of\nthis Licence.\n\n   7. Disclaimer of Warranty\n\nThe Work is a work in progress, which is continuously improved by numerous\nContributors. It is not a finished work and may therefore contain defects\nor \'bugs\' inherent to this type of development.\n\nFor the above reason, the Work is provided under the Licence on an \'as is\'\nbasis and without warranties of any kind concerning the Work, including without\nlimitation merchantability, fitness for a particular purpose, absence of defects\nor errors, accuracy, non-infringement of intellectual property rights other\nthan copyright as stated in Article 6 of this Licence.\n\nThis disclaimer of warranty is an essential part of the Licence and a condition\nfor the grant of any rights to the Work.\n\n   8. Disclaimer of Liability\n\nExcept in the cases of wilful misconduct or damages directly caused to natural\npersons, the Licensor will in no event be liable for any direct or indirect,\nmaterial or moral, damages of any kind, arising out of the Licence or of the\nuse of the Work, including without limitation, damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, loss of data or any commercial\ndamage, even if the Licensor has been advised of the possibility of such damage.\nHowever, the Licensor will be liable under statutory product liability laws\nas far such laws apply to the Work.\n\n   9. Additional agreements\n\nWhile distributing the Work, You may choose to conclude an additional agreement,\ndefining obligations or services consistent with this Licence. However, if\naccepting obligations, You may act only on your own behalf and on your sole\nresponsibility, not on behalf of the original Licensor or any other Contributor,\nand only if You agree to indemnify, defend, and hold each Contributor harmless\nfor any liability incurred by, or claims asserted against such Contributor\nby the fact You have accepted any warranty or additional liability.\n\n   10. Acceptance of the Licence\n\nThe provisions of this Licence can be accepted by clicking on an icon \'I agree\'\nplaced under the bottom of a window displaying the text of this Licence or\nby affirming consent in any other similar way, in accordance with the rules\nof applicable law. Clicking on that icon indicates your clear and irrevocable\nacceptance of this Licence and all of its terms and conditions.\n\nSimilarly, you irrevocably accept this Licence and all of its terms and conditions\nby exercising any rights granted to You by Article 2 of this Licence, such\nas the use of the Work, the creation by You of a Derivative Work or the Distribution\nor Communication by You of the Work or copies thereof.\n\n   11. Information to the public\n\nIn case of any Distribution or Communication of the Work by means of electronic\ncommunication by You (for example, by offering to download the Work from a\nremote location) the distribution channel or media (for example, a website)\nmust at least provide to the public the information requested by the applicable\nlaw regarding the Licensor, the Licence and the way it may be accessible,\nconcluded, stored and reproduced by the Licensee.\n\n   12. Termination of the Licence\n\nThe Licence and the rights granted hereunder will terminate automatically\nupon any breach by the Licensee of the terms of the Licence.\n\nSuch a termination will not terminate the licences of any person who has received\nthe Work from the Licensee under the Licence, provided such persons remain\nin full compliance with the Licence.\n\n   13. Miscellaneous\n\nWithout prejudice of Article 9 above, the Licence represents the complete\nagreement between the Parties as to the Work.\n\nIf any provision of the Licence is invalid or unenforceable under applicable\nlaw, this will not affect the validity or enforceability of the Licence as\na whole. Such provision will be construed or reformed so as necessary to make\nit valid and enforceable.\n\nThe European Commission may publish other linguistic versions or new versions\nof this Licence or updated versions of the Appendix, so far this is required\nand reasonable, without reducing the scope of the rights granted by the Licence.\nNew versions of the Licence will be published with a unique version number.\n\nAll linguistic versions of this Licence, approved by the European Commission,\nhave identical value. Parties can take advantage of the linguistic version\nof their choice.\n\n   14. Jurisdiction\n\n   Without prejudice to specific agreement between parties,\n\n— any litigation resulting from the interpretation of this License, arising\nbetween the European Union institutions, bodies, offices or agencies, as a\nLicensor, and any Licensee, will be subject to the jurisdiction of the Court\nof Justice of the European Union, as laid down in article 272 of the Treaty\non the Functioning of the European Union,\n\n— any litigation arising between other parties and resulting from the interpretation\nof this License, will be subject to the exclusive jurisdiction of the competent\ncourt where the Licensor resides or conducts its primary business.\n\n   15. Applicable Law\n\n   Without prejudice to specific agreement between parties,\n\n— this Licence shall be governed by the law of the European Union Member State\nwhere the Licensor has his seat, resides or has his registered office,\n\n— this licence shall be governed by Belgian law if the Licensor has no seat,\nresidence or registered office inside a European Union Member State.\n\nAppendix\n\n\'Compatible Licences\' according to Article 5 EUPL are:\n\n   — GNU General Public License (GPL) v. 2, v. 3\n\n   — GNU Affero General Public License (AGPL) v. 3\n\n   — Open Software License (OSL) v. 2.1, v. 3.0\n\n   — Eclipse Public License (EPL) v. 1.0\n\n   — CeCILL v. 2.0, v. 2.1\n\n   — Mozilla Public Licence (MPL) v. 2\n\n   — GNU Lesser General Public Licence (LGPL) v. 2.1, v. 3\n\n— Creative Commons Attribution-ShareAlike v. 3.0 Unported (CC BY-SA 3.0) for\nworks other than software\n\n   — European Union Public Licence (EUPL) v. 1.1, v. 1.2\n\n— Québec Free and Open-Source Licence — Reciprocity (LiLiQ-R) or Strong Reciprocity\n(LiLiQ-R+).\n\nThe European Commission may update this Appendix to later versions of the\nabove licences without producing a new version of the EUPL, as long as they\nprovide the rights granted in Article 2 of this Licence and protect the covered\nSource Code from exclusive appropriation.\n\nAll other changes or additions to this Appendix require the production of\na new EUPL version.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(270,'MIT-feh','Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies of the Software and its documentation and acknowledgment shall\nbe given in the documentation and software packages that this Software was\nused.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(271,'Leptonica','Copyright (C) 2001 Leptonica. All rights reserved.\n\nThis software is distributed in the hope that it will be useful, but with\nNO WARRANTY OF ANY KIND.\n\nNo author or distributor accepts responsibility to anyone for the consequences\nof using this software, or for whether it serves any particular purpose or\nworks at all, unless he or she says so in writing. Everyone is granted permission\nto copy, modify and redistribute this source code, for commercial or non-commercial\npurposes, with the following restrictions:\n\n   (1) the origin of this source code must not be misrepresented;\n\n   (2) modified versions must be plainly marked as such; and\n\n(3) this notice may not be removed or altered from any source or modified\nsource distribution.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(272,'xpp','LICENSE FOR THE Extreme! Lab PullParser\n\nCopyright (c) 2002 The Trustees of Indiana University. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1) All redistributions of source code must retain the above copyright notice,\nthe list of authors in the original source code, this list of conditions and\nthe disclaimer listed in this license;\n\n2) All redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the disclaimer listed in this license in the documentation\nand/or other materials provided with the distribution;\n\n3) Any documentation included with all redistributions must include the following\nacknowledgement:\n\n\"This product includes software developed by the Indiana University Extreme!\nLab. For further information please visit http://www.extreme.indiana.edu/\"\n\nAlternatively, this acknowledgment may appear in the software itself, and\nwherever such third-party acknowledgments normally appear.\n\n4) The name \"Indiana Univeristy\" and \"Indiana Univeristy Extreme! Lab\" shall\nnot be used to endorse or promote products derived from this software without\nprior written permission from Indiana University. For written permission,\nplease contact http://www.extreme.indiana.edu/.\n\n5) Products derived from this software may not use \"Indiana Univeristy\" name\nnor may \"Indiana Univeristy\" appear in their name, without prior written permission\nof the Indiana University. Indiana University provides no reassurances that\nthe source code provided does not infringe the patent or any other intellectual\nproperty rights of any other entity. Indiana University disclaims any liability\nto any recipient for claims brought by any other entity based on infringement\nof intellectual property rights or otherwise.\n\nLICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED \"AS IS\" FOR WHICH NO WARRANTIES\nAS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES NO WARRANTIES\nAND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF INFRINGEMENT OF THIRD\nPARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS. INDIANA UNIVERSITY MAKES\nNO WARRANTIES THAT SOFTWARE IS FREE FROM \"BUGS\", \"VIRUSES\", \"TROJAN HORSES\",\n\"TRAP DOORS\", \"WORMS\", OR OTHER HARMFUL CODE. LICENSEE ASSUMES THE ENTIRE\nRISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR ASSOCIATED MATERIALS, AND TO\nTHE PERFORMANCE AND VALIDITY OF INFORMATION GENERATED USING SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(273,'Fawkes-Runtime-exception','Linking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination. As a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version. Additionally if other files instantiate templates or use macros or inline functions from this file, or you compile this file and link it with other files to produce an executable, this file does not by itself cause the resulting executable to be covered by the GNU General Public License. This exception does not however invalidate any other reasons why the executable file might be covered by the GNU General Public License.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(274,'SGI-B-1.1','SGI FREE SOFTWARE LICENSE B\n\n(Version 1.1 02/22/2000)\n\n   1. Definitions.\n\n1.1 \"Additional Notice Provisions\" means such additional provisions as appear\nin the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n1.2 \"Covered Code\" means the Original Code or Modifications, or any combination\nthereof.\n\n1.3 \"Hardware\" means any physical device that accepts input, processes input,\nstores the results of processing, and/or provides output.\n\n1.4 \"Larger Work\" means a work that combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.5 \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n      1.6 \"License\" means this document.\n\n1.7 \"Licensed Patents\" means patent claims Licensable by SGI that are infringed\nby the use or sale of Original Code or any Modifications provided by SGI,\nor any combination thereof.\n\n1.8 \"Modifications\" means any addition to or deletion from the substance or\nstructure of the Original Code or any previous Modifications. When Covered\nCode is released as a series of files, a Modification is:\n\nA. Any addition to the contents of a file containing Original Code and/or\naddition to or deletion from the contents of a file containing previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.9 \"Notice\" means any notice in Original Code or Covered Code, as required\nby and in compliance with this License.\n\n1.10 \"Original Code\" means source code of computer software code that is described\nin the source code Notice required by Exhibit A as Original Code, and updates\nand error corrections specifically thereto.\n\n1.11 \"Recipient\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 8. For legal entities, \"Recipient\" includes\nany entity that controls, is controlled by, or is under common control with\nRecipient. For purposes of this definition, \"control\" of an entity means (a)\nthe power, direct or indirect, to direct or manage such entity, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n1.12 \"Recipient Patents\" means patent claims Licensable by a Recipient that\nare infringed by the use or sale of Original Code or any Modifications provided\nby SGI, or any combination thereof.\n\n      1.13 \"SGI\" means Silicon Graphics, Inc.\n\n1.14 \"SGI Patents\" means patent claims Licensable by SGI other than the Licensed\nPatents.\n\n   2. License Grant and Restrictions.\n\n2.1 SGI License Grant. Subject to the terms of this License and any third\nparty intellectual property claims, for the duration of intellectual property\nprotections inherent in the Original Code, SGI hereby grants Recipient a worldwide,\nroyalty-free, non-exclusive license, to do the following: (i) under copyrights\nLicensable by SGI, to reproduce, distribute, create derivative works from,\nand, to the extent applicable, display and perform the Original Code and/or\nany Modifications provided by SGI alone and/or as part of a Larger Work; and\n(ii) under any Licensable Patents, to make, have made, use, sell, offer for\nsale, import and/or otherwise transfer the Original Code and/or any Modifications\nprovided by SGI. Recipient accepts the terms and conditions of this License\nby undertaking any of the aforementioned actions. The patent license shall\napply to the Covered Code if, at the time any related Modification is added,\nsuch addition of the Modification causes such combination to be covered by\nthe Licensed Patents. The patent license in Section 2.1(ii) shall not apply\nto any other combinations that include the Modification. No patent license\nis provided under SGI Patents for infringements of SGI Patents by Modifications\nnot provided by SGI or combinations of Original Code and Modifications not\nprovided by SGI.\n\n2.2 Recipient License Grant. Subject to the terms of this License and any\nthird party intellectual property claims, Recipient hereby grants SGI and\nany other Recipients a worldwide, royalty-free, non-exclusive license, under\nany Recipient Patents, to make, have made, use, sell, offer for sale, import\nand/or otherwise transfer the Original Code and/or any Modifications provided\nby SGI.\n\n2.3 No License For Hardware Implementations. The licenses granted in Section\n2.1 and 2.2 are not applicable to implementation in Hardware of the algorithms\nembodied in the Original Code or any Modifications provided by SGI .\n\n   3. Redistributions.\n\n3.1 Retention of Notice/Copy of License. The Notice set forth in Exhibit A,\nbelow, must be conspicuously retained or included in any and all redistributions\nof Covered Code. For distributions of the Covered Code in source code form,\nthe Notice must appear in every file that can include a text comments field;\nin executable form, the Notice and a copy of this License must appear in related\ndocumentation or collateral where the Recipient\'s rights relating to Covered\nCode are described. Any Additional Notice Provisions which actually appears\nin the Original Code must also be retained or included in any and all redistributions\nof Covered Code.\n\n3.2 Alternative License. Provided that Recipient is in compliance with the\nterms of this License, Recipient may, so long as without derogation of any\nof SGI\'s rights in and to the Original Code, distribute the source code and/or\nexecutable version(s) of Covered Code under (1) this License; (2) a license\nidentical to this License but for only such changes as are necessary in order\nto clarify Recipient\'s role as licensor of Modifications; and/or (3) a license\nof Recipient\'s choosing, containing terms different from this License, provided\nthat the license terms include this Section 3 and Sections 4, 6, 7, 10, 12,\nand 13, which terms may not be modified or superseded by any other terms of\nsuch license. If Recipient elects to use any license other than this License,\nRecipient must make it absolutely clear that any of its terms which differ\nfrom this License are offered by Recipient alone, and not by SGI. It is emphasized\nthat this License is a limited license, and, regardless of the license form\nemployed by Recipient in accordance with this Section 3.2, Recipient may relicense\nonly such rights, in Original Code and Modifications by SGI, as it has actually\nbeen granted by SGI in this License.\n\n3.3 Indemnity. Recipient hereby agrees to indemnify SGI for any liability\nincurred by SGI as a result of any such alternative license terms Recipient\noffers.\n\n4. Termination. This License and the rights granted hereunder will terminate\nautomatically if Recipient breaches any term herein and fails to cure such\nbreach within 30 days thereof. Any sublicense to the Covered Code that is\nproperly granted shall survive any termination of this License, absent termination\nby the terms of such sublicense. Provisions that, by their nature, must remain\nin effect beyond the termination of this License, shall survive.\n\n5. No Trademark Or Other Rights. This License does not grant any rights to:\n(i) any software apart from the Covered Code, nor shall any other rights or\nlicenses not expressly granted hereunder arise by implication, estoppel or\notherwise with respect to the Covered Code; (ii) any trade name, trademark\nor service mark whatsoever, including without limitation any related right\nfor purposes of endorsement or promotion of products derived from the Covered\nCode, without prior written permission of SGI; or (iii) any title to or ownership\nof the Original Code, which shall at all times remains with SGI. All rights\nin the Original Code not expressly granted under this License are reserved.\n\n6. Compliance with Laws; Non-Infringement. There are various worldwide laws,\nregulations, and executive orders applicable to dispositions of Covered Code,\nincluding without limitation export, re-export, and import control laws, regulations,\nand executive orders, of the U.S. government and other countries, and Recipient\nis reminded it is obliged to obey such laws, regulations, and executive orders.\nRecipient may not distribute Covered Code that (i) in any way infringes (directly\nor contributorily) any intellectual property rights of any kind of any other\nperson or entity or (ii) breaches any representation or warranty, express,\nimplied or statutory, to which, under any applicable law, it might be deemed\nto have been subject.\n\n7. Claims of Infringement. If Recipient learns of any third party claim that\nany disposition of Covered Code and/or functionality wholly or partially infringes\nthe third party\'s intellectual property rights, Recipient will promptly notify\nSGI of such claim.\n\n8. Versions of the License. SGI may publish revised and/or new versions of\nthe License from time to time, each with a distinguishing version number.\nOnce Covered Code has been published under a particular version of the License,\nRecipient may, for the duration of the license, continue to use it under the\nterms of that version, or choose to use such Covered Code under the terms\nof any subsequent version published by SGI. Subject to the provisions of Sections\n3 and 4 of this License, only SGI may modify the terms applicable to Covered\nCode created under this License.\n\n9. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND\nIMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION,\nANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY,\nFITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK\nAS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE\nDEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING,\nREPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF\nTHIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT\nTO THIS DISCLAIMER.\n\n10. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER\nTORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT,\nOR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT,\nSPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\nWITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA,\nCOMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\nLOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF\nSUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\nDEATH OR PERSONAL INJURY RESULTING FROM SGI\'s NEGLIGENCE TO THE EXTENT APPLICABLE\nLAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\nOR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND\nLIMITATION MAY NOT APPLY TO RECIPIENT.\n\n11. Indemnity. Recipient shall be solely responsible for damages arising,\ndirectly or indirectly, out of its utilization of rights under this License.\nRecipient will defend, indemnify and hold harmless Silicon Graphics, Inc.\nfrom and against any loss, liability, damages, costs or expenses (including\nthe payment of reasonable attorneys fees) arising out of Recipient\'s use,\nmodification, reproduction and distribution of the Covered Code or out of\nany representation or warranty made by Recipient.\n\n12. U.S. Government End Users. The Covered Code is a \"commercial item\" consisting\nof \"commercial computer software\" as such terms are defined in title 48 of\nthe Code of Federal Regulations and all U.S. Government End Users acquire\nonly the rights set forth in this License and are subject to the terms of\nthis License.\n\n13. Miscellaneous. This License represents the complete agreement concerning\nthe its subject matter. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed so as to achieve as nearly as possible the\nsame legal and economic effect as the original provision and the remainder\nof this License will remain in effect. This License shall be governed by and\nconstrued in accordance with the laws of the United States and the State of\nCalifornia as applied to agreements entered into and to be performed entirely\nwithin California between California residents. Any litigation relating to\nthis License shall be subject to the exclusive jurisdiction of the Federal\nCourts of the Northern District of California (or, absent subject matter jurisdiction\nin such courts, the courts of the State of California), with venue lying exclusively\nin Santa Clara County, California, with the losing party responsible for costs,\nincluding without limitation, court costs and reasonable attorneys fees and\nexpenses. The application of the United Nations Convention on Contracts for\nthe International Sale of Goods is expressly excluded. Any law or regulation\nthat provides that the language of a contract shall be construed against the\ndrafter shall not apply to this License. Exhibit A\n\nLicense Applicability. Except to the extent portions of this file are made\nsubject to an alternative license as permitted in the SGI Free Software License\nB, Version 1.1 (the \"License\"), the contents of this file are subject only\nto the provisions of the License. You may not use this file except in compliance\nwith the License. You may obtain a copy of the License at Silicon Graphics,\nInc., attn: Legal Services, 1600 Amphitheatre Parkway, Mountain View, CA 94043-1351,\nor at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS\nIS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED,\nINCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY,\nSATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [ name of software , version number ,\nand release date ] , developed by Silicon Graphics, Inc. The Original Code\nis Copyright (c) [ dates of first publication, as appearing in the Notice\nin the Original Code ] Silicon Graphics, Inc. Copyright in any portions created\nby third parties is as indicated elsewhere herein. All Rights Reserved. Additional\nNotice Provisions: [ such additional provisions, if any, as appear in the\nNotice in the Original Code under the heading \"Additional Notice Provisions\"\n]\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(275,'CATOSL-1.1','Computer Associates Trusted Open Source License\n\nVersion 1.1\n\nPLEASE READ THIS DOCUMENT CAREFULLY AND IN ITS ENTIRETY. THE ACCOMPANYING\nPROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMPUTER ASSOCIATES TRUSTED OPEN\nSOURCE LICENSE (\"LICENSE\"). ANY USE, REPRODUCTION, MODIFICATION OR DISTRIBUTION\nOF THE PROGRAM CONSTITUTES THE RECIPIENT\'S ACCEPTANCE OF THIS LICENSE.\n\nLicense Background\n\nComputer Associates International, Inc. (CA) believes in open source. We believe\nthat the open source development approach can take appropriate software programs\nto unprecedented levels of quality, growth, and innovation. To demonstrate\nour continuing commitment to open source, we are releasing the Program (as\ndefined below) under this License.\n\nThis License is intended to permit contributors and recipients of the Program\nto use the Program, including its source code, freely and without many of\nthe concerns of some other open source licenses. Although we expect the underlying\nProgram, and Contributions (as defined below) made to such Program, to remain\nopen, this License is designed to permit you to maintain your own software\nprograms free of this License unless you choose to do so. Thus, only your\nContributions to the Program must be distributed under the terms of this License.\n\nThe provisions that follow set forth the terms and conditions under which\nyou may use the Program.\n\n   1. DEFINITIONS\n\n1.1 Contribution means (a) in the case of CA, the Original Program; and (b)\nin the case of each Contributor (including CA), changes and additions to the\nProgram, where such changes and/or additions to the Program originate from\nand are distributed by that particular Contributor to unaffiliated third parties.\nA Contribution originates from a Contributor if it was added to the Program\nby such Contributor itself or anyone acting on such Contributors behalf. Contributions\ndo not include additions to the Program which: (x) are separate modules of\nsoftware distributed in conjunction with the Program under their own license\nagreement, and (y) are not derivative works of the Program.\n\n1.2 Contributor means CA and any other person or entity that distributes the\nProgram.\n\n1.3 Contributor Version means as to a Contributor, that version of the Program\nthat includes the Contributors Contribution but not any Contributions made\nto the Program thereafter.\n\n1.4 Larger Work means a work that combines the Program or portions thereof\nwith code not governed by the terms of this License.\n\n1.5 Licensed Patents mean patents licensable by a Contributor that are infringed\nby the use or sale of its Contribution alone or when combined with the Program.\n\n1.6 Original Program means the original version of the software to which this\nLicense is attached and as released by CA, including source code, object code\nand documentation, if any.\n\n      1.7 Program means the Original Program and Contributions.\n\n1.8 Recipient means anyone who modifies, copies, uses or distributes the Program.\n\n   2. GRANT OF RIGHTS\n\n2.1 Subject to the terms of this License, each Contributor hereby grants Recipient\nan irrevocable, non-exclusive, worldwide, royalty-free license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form. For the avoidance of doubt, the\nlicense provided in this Section 2.1 shall not include a license to any Licensed\nPatents of a Contributor.\n\n2.2 Subject to the terms of this License, each Contributor hereby grants Recipient\nan irrevocable, non-exclusive, worldwide, royalty-free license to the Licensed\nPatents to the extent necessary to make, use, sell, offer to sell and import\nthe Contribution of such Contributor, if any, in source code and object code\nform. The license granted in this Section 2.2 shall apply to the combination\nof the Contribution and the Program if, at the time the Contribution is added\nby the Contributor, such addition of the Contribution causes the Licensed\nPatents to be infringed by such combination. Notwithstanding the foregoing,\nno license is granted under this Section 2.2: (a) for any code or works that\ndo not include the Contributor Version, as it exists and is used in accordance\nwith the terms hereof; (b) for infringements caused by: (i) third party modifications\nof the Contributor Version; or (ii) the combination of Contributions made\nby each such Contributor with other software (except as part of the Contributor\nVersion) or other devices; or (c) with respect to Licensed Patents infringed\nby the Program in the absence of Contributions made by that Contributor.\n\n2.3 Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, except as provided in Section 2.4,\nno assurances are provided by any Contributor that the Program does not infringe\nthe patent or other intellectual property rights of any other person or entity.\nEach Contributor disclaims any liability to Recipient for claims brought by\nany other person or entity based on infringement of intellectual property\nrights or otherwise. As a condition to exercising the rights and licenses\ngranted hereunder, each Recipient hereby assumes sole responsibility to secure\nany other intellectual property rights needed, if any.\n\n2.4 Each Contributor represents and warrants that it has all right, title\nand interest in the copyrights in its Contributions, and has the right to\ngrant the copyright licenses set forth in this License.\n\n   3. DISTRIBUTION REQUIREMENTS\n\n3.1 If the Program is distributed in object code form, then a prominent notice\nmust be included in the code itself as well as in any related documentation,\nstating that the source code for the Program is available from the Contributor\nwith information on how and where to obtain the source code. A Contributor\nmay choose to distribute the Program in object code form under its own license\nagreement, provided that:\n\n         * it complies with the terms and conditions of this License; and\n\n         * its license agreement:\n\n* effectively disclaims on behalf of all Contributors all warranties and conditions,\nexpress and implied, including warranties or conditions of title and non-infringement,\nand implied warranties or conditions of merchantability and fitness for a\nparticular purpose, to the maximum extent permitted by applicable law;\n\n* effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits, to the maximum extent permitted by applicable law;\n\n* states that any provisions which are inconsistent with this License are\noffered by that Contributor alone and not by any other party; and\n\n* states that source code for the Program is available from such Contributor\nat the cost of distribution, and informs licensees how to obtain it in a reasonable\nmanner.\n\n      3.2 When the Program is made available in source code form:\n\n         * it must be made available under this License; and\n\n* a copy of this License must be included with each copy of the Program.\n\n3.3 This License is intended to facilitate the commercial distribution of\nthe Program by any Contributor. However, Contributors may only charge Recipients\na one-time, upfront fee for the distribution of the Program. Contributors\nmay not charge Recipients any recurring charge, license fee, or any ongoing\nroyalty for the Recipients exercise of its rights under this License to the\nProgram. Contributors shall make the source code for the Contributor Version\nthey distribute available at a cost, if any, equal to the cost to the Contributor\nto physically copy and distribute the work. It is not the intent of this License\nto prohibit a Contributor from charging fees for any service or maintenance\nthat a Contributor may charge to a Recipient, so long as such fees are not\nan attempt to circumvent the foregoing restrictions on charging royalties\nor other recurring fees for the Program itself.\n\n3.4 A Contributor may create a Larger Work by combining the Program with other\nsoftware code not governed by the terms of this License, and distribute the\nLarger Work as a single product. In such a case, the Contributor must make\nsure that the requirements of this License are fulfilled for the Program.\nAny Contributor who includes the Program in a commercial product offering,\nincluding as part of a Larger Work, may subject itself, but not any other\nContributor, to additional contractual commitments, including, but not limited\nto, performance warranties and non-infringement representations on suchContributors\nbehalf. No Contributor may create any additional liability for other Contributors.\nTherefore, if a Contributor includes the Program in a commercial product offering,\nsuch Contributor (Commercial Contributor) hereby agrees to defend and indemnify\nevery other Contributor (Indemnified Contributor) who made Contributions to\nthe Program distributed by the Commercial Contributor against any losses,\ndamages and costs (collectively Losses) arising from claims, lawsuits and\nother legal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions, including any additional contractual\ncommitments, of such Commercial Contributor in connection with its distribution\nof the Program. The obligations in this section do not apply to any claims\nor Losses relating to any actual or alleged intellectual property infringement.\n\n3.5 If Contributor has knowledge that a license under a third partys intellectual\nproperty rights is required to exercise the rights granted by such Contributor\nunder Sections 2.1 or 2.2, Contributor must (a) include a text file with the\nProgram source code distribution titled ../IP_ISSUES, and (b) notify CA in\nwriting at Computer Associates International, Inc., One Computer Associates\nPlaza, Islandia, New York 11749, Attn: Open Source Group or by email at opensource@ca.com,\nboth describing the claim and the party making the claim in sufficient detail\nthat a Recipient and CA will know whom to contact with regard to such matter.\nIf Contributor obtains such knowledge after the Contribution is made available,\nContributor shall also promptly modify the IP_ISSUES file in all copies Contributor\nmakes available thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Program that such new knowledge has been obtained.\n\n3.6 Recipient shall not remove, obscure, or modify any CA or other Contributor\ncopyright or patent proprietary notices appearing in the Program, whether\nin the source code, object code or in any documentation. In addition to the\nobligations set forth in Section 4, each Contributor must identify itself\nas the originator of its Contribution, if any, in a manner that reasonably\nallows subsequent Recipients to identify the originator of the Contribution.\n\n   4. CONTRIBUTION RESTRICTIONS\n\n4.1 Each Contributor must cause the Program to which the Contributor provides\na Contribution to contain a file documenting the changes the Contributor made\nto create its version of the Program and the date of any change. Each Contributor\nmust also include a prominent statement that the Contribution is derived,\ndirectly or indirectly, from the Program distributed by a prior Contributor,\nincluding the name of the prior Contributor from which such Contribution was\nderived, in (a) the Program source code, and (b) in any notice in an executable\nversion or related documentation in which the Contributor describes the origin\nor ownership of the Program.\n\n   5. NO WARRANTY\n\n5.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, THE PROGRAM IS PROVIDED\nAS IS AND IN ITS PRESENT STATE AND CONDITION. NO WARRANTY, REPRESENTATION,\nCONDITION, UNDERTAKING OR TERM, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE,\nAS TO THE CONDITION, QUALITY, DURABILITY, PERFORMANCE, NON-INFRINGEMENT, MERCHANTABILITY,\nOR FITNESS FOR A PARTICULAR PURPOSE OR USE OF THE PROGRAM IS GIVEN OR ASSUMED\nBY ANY CONTRIBUTOR AND ALL SUCH WARRANTIES, REPRESENTATIONS, CONDITIONS, UNDERTAKINGS\nAND TERMS ARE HEREBY EXCLUDED TO THE FULLEST EXTENT PERMITTED BY LAW.\n\n5.2 Each Recipient is solely responsible for determining the appropriateness\nof using and distributing the Program and assumes all risks associated with\nits exercise of rights under this License, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n5.3 Each Recipient acknowledges that the Program is not intended for use in\nthe operation of nuclear facilities, aircraft navigation, communication systems,\nor air traffic control machines in which case the failure of the Program could\nlead to death, personal injury, or severe physical or environmental damage.\n\n   6. DISCLAIMER OF LIABILITY\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS LICENSE, AND TO THE EXTENT PERMITTED\nBY LAW, NO CONTRIBUTOR SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT\nLIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE\nOF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGES.\n\n   7. TRADEMARKS AND BRANDING\n\n7.1 This License does not grant any Recipient or any third party any rights\nto use the trademarks or trade names now or subsequently posted at http://www.ca.com/catrdmrk.htm,\nor any other trademarks, service marks, logos or trade names belonging to\nCA (collectively CA Marks) or to any trademark, service mark, logo or trade\nname belonging to any Contributor. Recipient agrees not to use any CA Marks\nin or as part of the name of products derived from the Original Program or\nto endorse or promote products derived from the Original Program.\n\n7.2 Subject to Section 7.1, Recipients may distribute the Program under trademarks,\nlogos, and product names belonging to the Recipient provided that all copyright\nand other attribution notices remain in the Program.\n\n   8. PATENT LITIGATION\n\n8.1 If Recipient institutes patent litigation against any person or entity\n(including a cross-claim or counterclaim in a lawsuit) alleging that the Program\nitself (excluding combinations of the Program with other software or hardware)\ninfringes such Recipients patent(s), then such Recipients rights granted under\nSection 2.2 shall terminate as of the date such litigation is filed.\n\n   9. OWNERSHIP\n\n9.1 Subject to the licenses granted under this License in Sections 2.1 and\n2.2 above, each Contributor retains all rights, title and interest in and\nto any Contributions made by such Contributor. CA retains all rights, title\nand interest in and to the Original Program and any Contributions made by\nor on behalf of CA (CA Contributions), and such CA Contributions will not\nbe automatically subject to this License. CA may, at its sole discretion,\nchoose to license such CA Contributions under this License, or on different\nterms from those contained in this License or may choose not to license them\nat all.\n\n   10. TERMINATION\n\n10.1 All of Recipients rights under this License shall terminate if it fails\nto comply with any of the material terms or conditions of this License and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If Recipients rights under this License terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipients obligations under this License and any licenses\ngranted by Recipient as a Contributor relating to the Program shall continue\nand survive termination.\n\n   11. GENERAL\n\n11.1 If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\n11.2 CA may publish new versions (including revisions) of this License from\ntime to time. Each new version of the License will be given a distinguishing\nversion number. The Program (including Contributions) may always be distributed\nsubject to the version of the License under which it was received. In addition,\nafter a new version of the License is published, Contributor may elect to\ndistribute the Program (including its Contributions) under the new version.\nNo one other than CA has the right to modify this License.\n\n11.3 If it is impossible for Recipient to comply with any of the terms of\nthis License with respect to some or all of the Program due to statute, judicial\norder, or regulation, then Recipient must: (a) comply with the terms of this\nLicense to the maximum extent possible; and (b) describe the limitations and\nthe code they affect. Such description must be included in the IP_ISSUES file\ndescribed in Section 3.5 and must be included with all distributions of the\nProgram source code. Except to the extent prohibited by statute or regulation,\nsuch description must be sufficiently detailed for a Recipient of ordinary\nskill to be able to understand it.\n\n11.4 This License is governed by the laws of the State of New York. No Recipient\nwill bring a legal action under this License more than one year after the\ncause of action arose. Each Recipient waives its rights to a jury trial in\nany resulting litigation. Any litigation or other dispute resolution between\na Recipient and CA relating to this License shall take place in the State\nof New York, and Recipient and CA hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that district with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n11.5 Where Recipient is located in the province of Quebec, Canada, the following\nclause applies: The parties hereby confirm that they have requested that this\nLicense and all related documents be drafted in English. Les parties contractantes\nconfirment qu\'elles ont exige que le present contrat et tous les documents\nassocies soient rediges en anglais.\n\n11.6 The Program is subject to all export and import laws, restrictions and\nregulations of the country in which Recipient receives the Program. Recipient\nis solely responsible for complying with and ensuring that Recipient does\nnot export, re-export, or import the Program in violation of such laws, restrictions\nor regulations, or without any necessary licenses and authorizations.\n\n11.7 This License constitutes the entire agreement between the parties with\nrespect to the subject matter hereof.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(276,'Apache-1.1','Apache License 1.1\n\nCopyright (c) 2000 The Apache Software Foundation . All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The end-user documentation included with the redistribution, if any, must\ninclude the following acknowledgment:\n\n\"This product includes software developed by the Apache Software Foundation\n(http://www.apache.org/) .\"\n\nAlternately, this acknowledgment may appear in the software itself, if and\nwherever such third-party acknowledgments normally appear.\n\n4. The name \"Apache\" and \"Apache Software Foundation\" must not be used to\nendorse or promote products derived from this software without prior written\npermission. For written permission, please contact apache@apache.org .\n\n5. Products derived from this software may not be called \"Apache\" [ex. \"Jakarta,\"\n\"Apache,\" or \"Apache Commons,\"] nor may \"Apache\" [ex. the names] appear in\ntheir name, without prior written permission of the Apache Software Foundation\n.\n\nTHIS SOFTWARE IS PROVIDED \'\'AS IS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE APACHE\nSOFTWARE FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals\non behalf of the Apache Software Foundation. For more information on the Apache\nSoftware Foundation, please see http://www.apache.org/. Portions of this software\nare based upon public domain software originally written at the National Center\nfor Supercomputing Applications, University of Illinois, Urbana-Champaign.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(277,'ADSL','This software code is made available \"AS IS\" without warranties of any kind.\nYou may copy, display, modify and redistribute the software code either by\nitself or as incorporated into your code; provided that > you do not remove\nany proprietary notices. Your use of this software code is at your own risk\nand you waive any claim against Amazon Digital Services, Inc. or its affiliates\nwith respect to your use of this software code. (c) 2006 Amazon Digital Services,\nInc. or its affiliates.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(278,'OLDAP-1.2','The OpenLDAP Public License\n\nVersion 1.2, 1 September 1998\n\nCopyright 1998, The OpenLDAP Foundation. All Rights Reserved. Note: This license\nis derived from the \"Artistic License\" as distributed with the Perl Programming\nLanguage. As differences may exist, the complete license should be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to\nemulate subroutines and variables of the language defined by this Package\nshall not be considered part of this Package, but are the equivalent of input\nas in Paragraph 6, provided these subroutines do not change the language in\nany way that would cause it to fail the regression tests for the language.\n\n8. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(279,'CECILL-1.1','FREE SOFTWARE LICENSING AGREEMENT CeCILL Notice\n\nThis Agreement is a free software license that is the result of discussions\nbetween its authors in order to ensure compliance with the two main principles\nguiding its drafting:\n\n- firstly, its conformity with French law, both as regards the law of torts\nand intellectual property law, and the protection that it offers to authors\nand the holders of economic rights over software.\n\n- secondly, compliance with the principles for the distribution of free software:\naccess to source codes, extended user-rights.\n\nThe following bodies are the authors of this license CeCILL (Ce : CEA, C :\nCNRS, I : INRIA, LL : Logiciel Libre):\n\n   \n\nCommissariat à l\'Energie Atomique - CEA, a public scientific, technical and\nindustrial establishment, having its principal place of business at 31-33\nrue de la Fédération, 75752 PARIS cedex 15, France.\n\n   \n\nCentre National de la Recherche Scientifique - CNRS, a public scientific and\ntechnological establishment, having its principal place of business at 3 rue\nMichel-Ange 75794 Paris cedex 16, France.\n\n   \n\nInstitut National de Recherche en Informatique et en Automatique - INRIA,\na public scientific and technological establishment, having its principal\nplace of business at Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay\ncedex.\n\n   \n\n   PREAMBLE\n\nThe purpose of this Free Software Licensing Agreement is to grant users the\nright to modify and redistribute the software governed by this license within\nthe framework of an \"open source\" distribution model.\n\nThe exercising of these rights is conditional upon certain obligations for\nusers so as to ensure that this status is retained for subsequent redistribution\noperations.\n\nAs a counterpart to the access to the source code and rights to copy, modify\nand redistribute granted by the license, users are provided only with a limited\nwarranty and the software\'s author, the holder of the economic rights, and\nthe successive licensors only have limited liability.\n\nIn this respect, it is brought to the user\'s attention that the risks associated\nwith loading, using, modifying and/or developing or reproducing the software\nby the user given its nature of Free Software, that may mean that it is complicated\nto manipulate, and that also therefore means that it is reserved for developers\nand experienced professionals having in-depth computer knowledge. Users are\ntherefore encouraged to load and test the Software\'s suitability as regards\ntheir requirements in conditions enabling the security of their systems and/or\ndata to be ensured and, more generally, to use and operate it in the same\nconditions of security. This Agreement may be freely reproduced and published,\nprovided it is not altered, and that no Articles are either added or removed\nherefrom.\n\nThis Agreement may apply to any or all software for which the holder of the\neconomic rights decides to submit the operation thereof to its provisions.\n\n   Article 1 - DEFINITIONS\n\nFor the purposes of this Agreement, when the following expressions commence\nwith a capital letter, they shall have the following meaning:\n\n      \n\nAgreement: means this Licensing Agreement, and any or all of its subsequent\nversions.\n\n      \n\nSoftware: means the software in its Object Code and/or Source Code form and,\nwhere applicable, its documentation, \"as is\" at the time when the Licensee\naccepts the Agreement.\n\n      \n\nInitial Software: means the Software in its Source Code and/or Object Code\nform and, where applicable, its documentation, \"as is\" at the time when it\nis distributed for the first time under the terms and conditions of the Agreement.\n\n      \n\nModified Software: means the Software modified by at least one Contribution.\n\n      \n\nSource Code: means all the Software\'s instructions and program lines to which\naccess is required so as to modify the Software.\n\n      \n\nObject Code: means the binary files originating from the compilation of the\nSource Code.\n\n      \n\nHolder: means the holder of the economic rights over the Initial Software.\n\n      \n\n      Licensee(s): mean(s) the Software user(s) having accepted the Agreement.\n\n      \n\n      Contributor: means a Licensee having made at least one Contribution.\n\n      \n\nLicensor: means the Holder, or any or all other individual or legal entity,\nthat distributes the Software under the Agreement.\n\n      \n\nContributions: mean any or all modifications, corrections, translations, adaptations\nand/or new functionalities integrated into the Software by any or all Contributor,\nand the Static Modules.\n\n      \n\nModule: means a set of sources files including their documentation that, once\ncompiled in executable form, enables supplementary functionalities or services\nto be developed in addition to those offered by the Software.\n\n      \n\nDynamic Module: means any or all module, created by the Contributor, that\nis independent of the Software, so that this module and the Software are in\ntwo different executable forms that are run in separate address spaces, with\none calling the other when they are run.\n\n      \n\nStatic Module: means any or all module, created by the Contributor and connected\nto the Software by a static link that makes their object codes interdependent.\nThis module and the Software to which it is connected, are combined in a single\nexecutable.\n\n      \n\n      Parties: mean both the Licensee and the Licensor.\n\n   These expressions may be used both in singular and plural form.\n\n   Article 2 - PURPOSE\n\nThe purpose of the Agreement is to enable the Licensor to grant the Licensee\na free, non-exclusive, transferable and worldwide License for the Software\nas set forth in Article 5 hereinafter for the whole term of protection of\nthe rights over said Software.\n\n   Article 3 - ACCEPTANCE\n\n3.1. The Licensee shall be deemed as having accepted the terms and conditions\nof this Agreement by the occurrence of the first of the following events:\n\n(i) loading the Software by any or all means, notably, by downloading from\na remote server, or by loading from a physical medium;\n\n(ii) the first time the Licensee exercises any of the rights granted hereunder.\n\n3.2. One copy of the Agreement, containing a notice relating to the specific\nnature of the Software, to the limited warranty, and to the limitation to\nuse by experienced users has been provided to the Licensee prior to its acceptance\nas set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges\nthat it is aware thereof.\n\n   Article 4 - EFFECTIVE DATE AND TERM\n\n      4.1. EFFECTIVE DATE\n\nThe Agreement shall become effective on the date when it is accepted by the\nLicensee as set forth in Article 3.1.\n\n      4.2. TERM\n\nThe Agreement shall remain in force during the whole legal term of protection\nof the economic rights over the Software.\n\nArticle 5 - SCOPE OF THE RIGHTS GRANTED ---------------------------------------\n\nThe Licensor hereby grants to the Licensee, that accepts such, the following\nrights as regards the Software for any or all use, and for the term of the\nAgreement, on the basis of the terms and conditions set forth hereinafter.\n\nOtherwise, the Licensor grants to the Licensee free of charge exploitation\nrights on the patents he holds on whole or part of the inventions implemented\nin the Software.\n\n      5.1. RIGHTS OF USE\n\nThe Licensee is authorized to use the Software, unrestrictedly, as regards\nthe fields of application, with it being hereinafter specified that this relates\nto:\n\n1. permanent or temporary reproduction of all or part of the Software by any\nor all means and in any or all form.\n\n2. loading, displaying, running, or storing the Software on any or all medium.\n\n3. entitlement to observe, study or test the operation thereof so as to establish\nthe ideas and principles that form the basis for any or all constituent elements\nof said Software. This shall apply when the Licensee carries out any or all\nloading, displaying, running, transmission or storage operation as regards\nthe Software, that it is entitled to carry out hereunder.\n\n      5.2. ENTITLEMENT TO MAKE CONTRIBUTIONS\n\nThe right to make Contributions includes the right to translate, adapt, arrange,\nor make any or all modification to the Software, and the right to reproduce\nthe resulting Software.\n\nThe Licensee is authorized to make any or all Contribution to the Software\nprovided that it explicitly mentions its name as the author of said Contribution\nand the date of the development thereof.\n\n      5.3. DISTRIBUTION AND PUBLICATION RIGHTS\n\nIn particular, the right of distribution and publication includes the right\nto transmit and communicate the Software to the general public on any or all\nmedium, and by any or all means, and the right to market, either in consideration\nof a fee, or free of charge, a copy or copies of the Software by means of\nany or all process. The Licensee is further authorized to redistribute copies\nof the modified or unmodified Software to third parties according to the terms\nand conditions set forth hereinafter.\n\n         5.3.1. REDISTRIBUTION OF SOFTWARE WITHOUT MODIFICATION\n\nThe Licensee is authorized to redistribute true copies of the Software in\nSource Code or Object Code form, provided that said redistribution complies\nwith all the provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Software\'s Object Code is redistributed,\nthe Licensee allows future Licensees unhindered access to the Software\'s full\nSource Code by providing them with the terms and conditions for access thereto,\nit being understood that the additional cost of acquiring the Source Code\nshall not exceed the cost of transferring the data.\n\n         5.3.2. REDISTRIBUTION OF MODIFIED SOFTWARE\n\nWhen the Licensee makes a Contribution to the Software, the terms and conditions\nfor the redistribution of the Modified Software shall then be subject to all\nthe provisions hereof.\n\nThe Licensee is authorized to redistribute the Modified Software, in Source\nCode or Object Code form, provided that said redistribution complies with\nall the provisions of the Agreement and is accompanied by:\n\n            1. a copy of the Agreement,\n\n2. a notice relating to the limitation of both the Licensor\'s warranty and\nliability as set forth in Articles 8 and 9,\n\nand that, in the event that only the Modified Software\'s Object Code is redistributed,\nthe Licensee allows future Licensees unhindered access to the Modified Software\'s\nfull Source Code by providing them with the terms and conditions for access\nthereto, it being understood that the additional cost of acquiring the Source\nCode shall not exceed the cost of transferring the data.\n\n         5.3.3. REDISTRIBUTION OF DYNAMIC MODULES\n\nWhen the Licensee has developed a Dynamic Module, the terms and conditions\nhereof do not apply to said Dynamic Module, that may be distributed under\na separate Licensing Agreement.\n\n         5.3.4. COMPATIBILITY WITH THE GPL LICENSE\n\nIn the event that the Modified or unmodified Software is included in a code\nthat is subject to the provisions of the GPL License, the Licensee is authorized\nto redistribute the whole under the GPL License.\n\nIn the event that the Modified Software includes a code that is subject to\nthe provisions of the GPL License, the Licensee is authorized to redistribute\nthe Modified Software under the GPL License.\n\n   Article 6 - INTELLECTUAL PROPERTY\n\n      6.1. OVER THE INITIAL SOFTWARE\n\nThe Holder owns the economic rights over the Initial Software. Any or all\nuse of the Initial Software is subject to compliance with the terms and conditions\nunder which the Holder has elected to distribute its work and no one shall\nbe entitled to and it shall have sole entitlement to modify the terms and\nconditions for the distribution of said Initial Software.\n\nThe Holder undertakes to maintain the distribution of the Initial Software\nunder the conditions of the Agreement, for the duration set forth in article\n4.2..\n\n      6.2. OVER THE CONTRIBUTIONS\n\nThe intellectual property rights over the Contributions belong to the holder\nof the economic rights as designated by effective legislation.\n\n      6.3. OVER THE DYNAMIC MODULES\n\nThe Licensee having developed a Dynamic Module is the holder of the intellectual\nproperty rights over said Dynamic Module and is free to choose the agreement\nthat shall govern its distribution.\n\n      6.4. JOINT PROVISIONS\n\n         \n\n         6.4.1. The Licensee expressly undertakes:\n\n1. not to remove, or modify, in any or all manner, the intellectual property\nnotices affixed to the Software;\n\n2. to reproduce said notices, in an identical manner, in the copies of the\nSoftware.\n\n         \n\n6.4.2. The Licensee undertakes not to directly or indirectly infringe the\nintellectual property rights of the Holder and/or Contributors and to take,\nwhere applicable, vis-à-vis its staff, any or all measures required to ensure\nrespect for said intellectual property rights of the Holder and/or Contributors.\n\n   Article 7 - RELATED SERVICES\n\n7.1. Under no circumstances shall the Agreement oblige the Licensor to provide\ntechnical assistance or maintenance services for the Software.\n\nHowever, the Licensor is entitled to offer this type of service. The terms\nand conditions of such technical assistance, and/or such maintenance, shall\nthen be set forth in a separate instrument. Only the Licensor offering said\nmaintenance and/or technical assistance services shall incur liability therefor.\n\n7.2. Similarly, any or all Licensor shall be entitled to offer to its Licensees,\nunder its own responsibility, a warranty, that shall only be binding upon\nitself, for the redistribution of the Software and/or the Modified Software,\nunder terms and conditions that it shall decide upon itself. Said warranty,\nand the financial terms and conditions of its application, shall be subject\nto a separate instrument executed between the Licensor and the Licensee.\n\n   Article 8 - LIABILITY\n\n8.1. Subject to the provisions of Article 8.2, should the Licensor fail to\nfulfill all or part of its obligations hereunder, the Licensee shall be entitled\nto claim compensation for the direct loss suffered as a result of a fault\non the part of the Licensor, subject to providing evidence of it.\n\n8.2. The Licensor\'s liability is limited to the commitments made under this\nLicensing Agreement and shall not be incurred as a result , in particular:\n(i) of loss due the Licensee\'s total or partial failure to fulfill its obligations,\n(ii) direct or consequential loss due to the Software\'s use or performance\nthat is suffered by the Licensee, when the latter is a professional using\nsaid Software for professional purposes and (iii) consequential loss due to\nthe Software\'s use or performance. The Parties expressly agree that any or\nall pecuniary or business loss (i.e. loss of data, loss of profits, operating\nloss, loss of customers or orders, opportunity cost, any disturbance to business\nactivities) or any or all legal proceedings instituted against the Licensee\nby a third party, shall constitute consequential loss and shall not provide\nentitlement to any or all compensation from the Licensor.\n\n   Article 9 - WARRANTY\n\n9.1. The Licensee acknowledges that the current situation as regards scientific\nand technical know-how at the time when the Software was distributed did not\nenable all possible uses to be tested and verified, nor for the presence of\nany or all faults to be detected. In this respect, the Licensee\'s attention\nhas been drawn to the risks associated with loading, using, modifying and/or\ndeveloping and reproducing the Software that are reserved for experienced\nusers.\n\nThe Licensee shall be responsible for verifying, by any or all means, the\nproduct\'s suitability for its requirements, its due and proper functioning,\nand for ensuring that it shall not cause damage to either persons or property.\n\n9.2. The Licensor hereby represents, in good faith, that it is entitled to\ngrant all the rights on the Software (including in particular the rights set\nforth in Article 5 hereof over the Software).\n\n9.3. The Licensee acknowledges that the Software is supplied \"as is\" by the\nLicensor without any or all other express or tacit warranty, other than that\nprovided for in Article 9.2 and, in particular, without any or all warranty\nas to its market value, its secured, innovative or relevant nature.\n\nSpecifically, the Licensor does not warrant that the Software is free from\nany or all error, that it shall operate continuously, that it shall be compatible\nwith the Licensee\'s own equipment and its software configuration, nor that\nit shall meet the Licensee\'s requirements.\n\n9.4. The Licensor does not either expressly or tacitly warrant that the Software\ndoes not infringe any or all third party intellectual right relating to a\npatent, software or to any or all other property right. Moreover, the Licensor\nshall not hold the Licensee harmless against any or all proceedings for infringement\nthat may be instituted in respect of the use, modification and redistribution\nof the Software. Nevertheless, should such proceedings be instituted against\nthe Licensee, the Licensor shall provide it with technical and legal assistance\nfor its defense. Such technical and legal assistance shall be decided upon\non a case-by-case basis between the relevant Licensor and the Licensee pursuant\nto a memorandum of understanding. The Licensor disclaims any or all liability\nas regards the Licensee\'s use of the Software\'s name. No warranty shall be\nprovided as regards the existence of prior rights over the name of the Software\nand as regards the existence of a trademark.\n\n   Article 10 - TERMINATION\n\n10.1. In the event of a breach by the Licensee of its obligations hereunder,\nthe Licensor may automatically terminate this Agreement thirty (30) days after\nnotice has been sent to the Licensee and has remained ineffective.\n\n10.2. The Licensee whose Agreement is terminated shall no longer be authorized\nto use, modify or distribute the Software. However, any or all licenses that\nit may have granted prior to termination of the Agreement shall remain valid\nsubject to their having been granted in compliance with the terms and conditions\nhereof.\n\n   Article 11 - MISCELLANEOUS PROVISIONS\n\n      11.1. EXCUSABLE EVENTS\n\nNeither Party shall be liable for any or all delay, or failure to perform\nthe Agreement, that may be attributable to an event of force majeure, an act\nof God or an outside cause, such as, notably, defective functioning, or interruptions\naffecting the electricity or telecommunications networks, blocking of the\nnetwork following a virus attack, the intervention of the government authorities,\nnatural disasters, water damage, earthquakes, fire, explosions, strikes and\nlabor unrest, war, etc.\n\n11.2. The fact that either Party may fail, on one or several occasions, to\ninvoke one or several of the provisions hereof, shall under no circumstances\nbe interpreted as being a waiver by the interested Party of its entitlement\nto invoke said provision(s) subsequently.\n\n11.3. The Agreement cancels and replaces any or all previous agreement, whether\nwritten or oral, between the Parties and having the same purpose, and constitutes\nthe entirety of the agreement between said Parties concerning said purpose.\nNo supplement or modification to the terms and conditions hereof shall be\neffective as regards the Parties unless it is made in writing and signed by\ntheir duly authorized representatives.\n\n11.4. In the event that one or several of the provisions hereof were to conflict\nwith a current or future applicable act or legislative text, said act or legislative\ntext shall take precedence, and the Parties shall make the necessary amendments\nso as to be in compliance with said act or legislative text. All the other\nprovisions shall remain effective. Similarly, the fact that a provision of\nthe Agreement may be null and void, for any reason whatsoever, shall not cause\nthe Agreement as a whole to be null and void.\n\n      11.5. LANGUAGE\n\nThe Agreement is drafted in both French and English. In the event of a conflict\nas regards construction, the French version shall be deemed authentic.\n\n   Article 12 - NEW VERSIONS OF THE AGREEMENT\n\n12.1. Any or all person is authorized to duplicate and distribute copies of\nthis Agreement.\n\n12.2. So as to ensure coherence, the wording of this Agreement is protected\nand may only be modified by the authors of the License, that reserve the right\nto periodically publish updates or new versions of the Agreement, each with\na separate number. These subsequent versions may address new issues encountered\nby Free Software.\n\n12.3. Any or all Software distributed under a given version of the Agreement\nmay only be subsequently distributed under the same version of the Agreement,\nor a subsequent version, subject to the provisions of article 5.3.4.\n\n   Article 13 - GOVERNING LAW AND JURISDICTION\n\n13.1. The Agreement is governed by French law. The Parties agree to endeavor\nto settle the disagreements or disputes that may arise during the performance\nof the Agreement out-of-court.\n\n13.2. In the absence of an out-of-court settlement within two (2) months as\nfrom their occurrence, and unless emergency proceedings are necessary, the\ndisagreements or disputes shall be referred to the Paris Courts having jurisdiction,\nby the first Party to take action.\n\nVersion 1.1 of 10/26/2004\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(280,'BSD-1-Clause','Copyright (c) <year> <owner> All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\nTHIS SOFTWARE IS PROVIDED BY Berkeley Software Design, Inc. \"AS IS\" AND ANY\nEXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL Berkeley Software Design, Inc. BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(281,'CC-BY-ND-1.0','Creative Commons Attribution-NoDerivs 1.0 CREATIVE COMMONS CORPORATION IS\nNOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DRAFT\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\nb. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested.\n\nb. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Collective Works, You must keep intact all copyright\nnotices for the Work and give the Original Author credit reasonable to the\nmedium or means You are utilizing by conveying the name (or pseudonym if applicable)\nof the Original Author if supplied; the title of the Work if supplied. Such\ncredit may be implemented in any reasonable manner; provided, however, that\nin the case of a Collective Work, at a minimum such credit will appear where\nany other comparable authorship credit appears and in a manner at least as\nprominent as such other comparable authorship credit.\n\n   5. Representations, Warranties and Disclaimer\n\na. By offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\n\ni. Licensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments;\n\nii. The Work does not infringe the copyright, trademark, publicity rights,\ncommon law rights or any other right of any third party or constitute defamation,\ninvasion of privacy or other tortious injury to any third party.\n\nb. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE AGREED IN WRITING\nOR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION,\nANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE WORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Collective Works from You under this License, however, will\nnot have their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will\nsurvive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(282,'OGTSL','The Open Group Test Suite License Preamble\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nTesting is essential for proper development and maintenance of standards-based\nproducts.\n\nFor buyers: adequate conformance testing leads to reduced integration costs\nand protection of investments in applications, software and people.\n\nFor software developers: conformance testing of platforms and middleware greatly\nreduces the cost of developing and maintaining multi-platform application\nsoftware.\n\nFor suppliers: In-depth testing increases customer satisfaction and keeps\ndevelopment and support costs in check. API conformance is highly measurable\nand suppliers who claim it must be able to substantiate that claim.\n\nAs such, since these are benchmark measures of conformance, we feel the integrity\nof test tools is of importance. In order to preserve the integrity of the\nexisting conformance modes of this test package and to permit recipients of\nmodified versions of this package to run the original test modes, this license\nrequires that the original test modes be preserved.\n\nIf you find a bug in one of the standards mode test cases, please let us know\nso we can feed this back into the original, and also raise any specification\nissues with the appropriate bodies (for example the POSIX committees).\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least the following:\n\nrename any non-standard executables and testcases so the names do not conflict\nwith standard executables and testcases, which must also be provided, and\nprovide a separate manual page for each non-standard executable and testcase\nthat clearly documents how it differs from the Standard Version.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least the following:\n\naccompany any non-standard executables and testcases with their corresponding\nStandard Version executables and testcases, giving the non-standard executables\nand testcases non-standard names, and clearly documenting the differences\nin manual pages (or equivalent), together with instructions on where to get\nthe Standard Version.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7.Subroutines supplied by you and linked into this Package shall not be considered\npart of this Package.\n\n8. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n9. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(283,'VOSTROM','VOSTROM Public License for Open Source\n\nCopyright (c) 2007 VOSTROM Holdings, Inc.\n\nThis VOSTROM Holdings, Inc. (VOSTROM) Distribution (code and documentation)\nis made available to the open source community as a public service by VOSTROM.\nContact VOSTROM at license@vostrom.com for information on other licensing\narrangements (e.g. for use in proprietary applications).\n\nUnder this license, this Distribution may be modified and the original version\nand modified versions may be copied, distributed, publicly displayed and performed\nprovided that the following conditions are met:\n\n1. Modified versions are distributed with source code and documentation and\nwith permission for others to use any code and documentation (whether in original\nor modified versions) as granted under this license;\n\n2. if modified, the source code, documentation, and user run-time elements\nshould be clearly labeled by placing an identifier of origin (such as a name,\ninitial, or other tag) after the version number;\n\n3. users, modifiers, distributors, and others coming into possession or using\nthe Distribution in original or modified form accept the entire risk as to\nthe possession, use, and performance of the Distribution;\n\n4. this copyright management information (software identifier and version\nnumber, copyright notice and license) shall be retained in all versions of\nthe Distribution;\n\n5. VOSTROM may make modifications to the Distribution that are substantially\nsimilar to modified versions of the Distribution, and may make, use, sell,\ncopy, distribute, publicly display, and perform such modifications, including\nmaking such modifications available under this or other licenses, without\nobligation or restriction;\n\n6. modifications incorporating code, libraries, and/or documentation subject\nto any other open source license may be made, and the resulting work may be\ndistributed under the terms of such open source license if required by that\nopen source license, but doing so will not affect this Distribution, other\nmodifications made under this license or modifications made under other VOSTROM\nlicensing arrangements;\n\n7. no permission is granted to distribute, publicly display, or publicly perform\nmodifications to the Distribution made using proprietary materials that cannot\nbe released in source format under conditions of this license;\n\n8. the name of VOSTROM may not be used in advertising or publicity pertaining\nto Distribution of the software without specific, prior written permission.\n\nThis software is made available \"as is\", and\n\nVOSTROM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, WITH REGARD TO THIS\nSOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE, AND IN NO EVENT SHALL VOSTROM BE LIABLE\nFOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER\nRESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,\nTORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION\nWITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(284,'OSL-3.0','Open Software License v. 3.0 (OSL-3.0)\n\nThis Open Software License (the \"License\") applies to any original work of\nauthorship (the \"Original Work\") whose owner (the \"Licensor\") has placed the\nfollowing licensing notice adjacent to the copyright notice for the Original\nWork:\n\nLicensed under the Open Software License version 3.0\n\n1) Grant of Copyright License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, for the duration of the copyright, to\ndo the following:\n\na) to reproduce the Original Work in copies, either alone or as part of a\ncollective work;\n\nb) to translate, adapt, alter, transform, modify, or arrange the Original\nWork, thereby creating derivative works (\"Derivative Works\") based upon the\nOriginal Work;\n\nc) to distribute or communicate copies of the Original Work and Derivative\nWorks to the public, with the proviso that copies of Original Work or Derivative\nWorks that You distribute or communicate shall be licensed under this Open\nSoftware License;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor grants You a worldwide, royalty-free,\nnon-exclusive, sublicensable license, under patent claims owned or controlled\nby the Licensor that are embodied in the Original Work as furnished by the\nLicensor, for the duration of the patents, to make, use, sell, offer for sale,\nhave made, and import the Original Work and Derivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor agrees\nto provide a machine-readable copy of the Source Code of the Original Work\nalong with each copy of the Original Work that Licensor distributes. Licensor\nreserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior permission of the Licensor. Except as expressly\nstated herein, nothing in this License grants any license to Licensor\'s trademarks,\ncopyrights, patents, trade secrets or any other intellectual property. No\npatent license is granted to make, use, sell, offer for sale, have made, or\nimport embodiments of any patent claims other than the licensed claims defined\nin Section 2. No license is granted to the trademarks of Licensor even if\nsuch marks are included in the Original Work. Nothing in this License shall\nbe interpreted to prohibit Licensor from licensing under terms different from\nthis License any Original Work that Licensor otherwise would have a right\nto license.\n\n5) External Deployment. The term \"External Deployment\" means the use, distribution,\nor communication of the Original Work or Derivative Works in any way such\nthat the Original Work or Derivative Works may be used by anyone other than\nYou, whether those works are distributed or communicated to those persons\nor made available as an application intended for use over a network. As an\nexpress condition for the grants of license hereunder, You must treat any\nExternal Deployment by You of the Original Work or a Derivative Work as a\ndistribution under section 1(c).\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent, or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately preceding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of non-infringement, merchantability or fitness for a particular\npurpose. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to the Original Work is granted by this License except under this\ndisclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to anyone for any indirect, special, incidental, or consequential\ndamages of any character arising as a result of this License or the use of\nthe Original Work including, without limitation, damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses. This limitation of liability shall not apply to the extent\napplicable law prohibits such limitation.\n\n9) Acceptance and Termination. If, at any time, You expressly assented to\nthis License, that assent indicates your clear and irrevocable acceptance\nof this License and all of its terms and conditions. If You distribute or\ncommunicate copies of the Original Work or a Derivative Work, You must make\na reasonable effort under the circumstances to obtain the express assent of\nrecipients to the terms of this License. This License conditions your rights\nto undertake the activities listed in Section 1, including your right to create\nDerivative Works based upon the Original Work, and doing so without honoring\nthese terms and conditions is prohibited by copyright law and international\ntreaty. Nothing in this License is intended to affect copyright exceptions\nand limitations (including \"fair use\" or \"fair dealing\"). This License shall\nterminate immediately and You may no longer exercise any of the rights granted\nto You by this License upon your failure to honor the conditions in Section\n1(c).\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nagainst Licensor or any licensee alleging that the Original Work infringes\na patent. This termination provision shall not apply for an action alleging\npatent infringement by combinations of the Original Work with other software\nor hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of copyright or patent law in the appropriate jurisdiction.\nThis section shall survive the termination of this License.\n\n12) Attorneys\' Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed only to the extent necessary to make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\n16) Modification of This License. This License is Copyright (c) 2005 Lawrence\nRosen. Permission is granted to copy, distribute, or communicate this License\nwithout modification. Nothing in this License permits You to modify this License\nas applied to the Original Work or to Derivative Works. However, You may modify\nthe text of this License and copy, distribute or communicate your modified\nversion (the \"Modified License\") and apply it to other original works of authorship\nsubject to the following conditions: (i) You may not indicate in any way that\nyour Modified License is the \"Open Software License\" or \"OSL\" and you may\nnot use those names in the name of your Modified License; (ii) You must replace\nthe notice specified in the first paragraph above with the notice \"Licensed\nunder <insert your license name here>\" or with a notice of your own that is\nnot confusingly similar to the notice in this License; and (iii) You may not\nclaim that your original works are open source software unless your Modified\nLicense has been approved by Open Source Initiative (OSI) and You comply with\nits license review and certification process.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(285,'LPPL-1.1','The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.1 1999-07-10\n\nCopyright 1999 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document,\nbut modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the license under which the base\nLaTeX distribution is distributed.\n\nYou may use this license for any program that you have written and wish to\ndistribute. This license may be particularly suitable if your program is TeX-related\n(such as a LaTeX package), but you may use it even if your program is unrelated\nto TeX. The section `WHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\',\nbelow, gives instructions, examples, and recommendations for authors who are\nconsidering distributing their programs under this license.\n\nIn this license document, `The Program\' refers to any program distributed\nunder this license.\n\nThis license gives conditions under which The Program may be distributed and\nconditions under which modified versions of The Program may be distributed.\nIndividual files of The Program may bear supplementary and/or superseding\nconditions on modification of themselves and on the distribution of modified\nversions of themselves, but *no* file of The Program may bear supplementary\nor superseding conditions on the distribution of an unmodified copy of the\nfile. A distributor wishing to distribute a complete, unmodified copy of The\nProgram therefore needs to check the conditions only in this license and nowhere\nelse.\n\nActivities other than distribution and/or modification of The Program are\nnot covered by this license; they are outside its scope. In particular, the\nact of running The Program is not restricted.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom\nto make and distribute modified versions of The Program that conform with\nwhatever technical specifications you wish while maintaining the availability,\nintegrity, and reliability of The Program. If you do not see how to achieve\nyour goal while meeting these conditions, then read the document `cfgguide.tex\'\nin the base LaTeX distribution for suggestions.\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\nYou may distribute a complete, unmodified copy of The Program. Distribution\nof only part of The Program is not allowed.\n\nYou may not modify in any way a file of The Program that bears a legal notice\nforbidding modification of that file.\n\nYou may distribute a modified file of The Program if, and only if, the following\neight conditions are met:\n\n1. You must meet any additional conditions borne by the file on the distribution\nof a modified version of the file as described below in the subsection `Additional\nConditions on Individual Files of The Program\'.\n\n2. If the file is a LaTeX software file, then you must meet any applicable\nadditional conditions on the distribution of a modified version of the file\nthat are described below in the subsection `Additional Conditions on LaTeX\nSoftware Files\'.\n\n3. You must not distribute the modified file with the filename of the original\nfile.\n\n4. In the modified file, you must acknowledge the authorship and name of the\noriginal file, and the name (if any) of the program which contains it.\n\n5. You must change any identification string in the file to indicate clearly\nthat the modified file is not part of The Program.\n\n6. You must change any addresses in the modified file for the reporting of\nerrors in the file or in The Program generally to ensure that reports for\nfiles no longer maintained by the original maintainers will be directed to\nthe maintainers of the modified files.\n\n7. You must distribute the modified file under a license that forbids distribution\nboth of the modified file and of any files derived from the modified file\nwith the filename of the original file.\n\n   8. You must do either (A) or (B):\n\n(A) distribute a copy of The Program (that is, a complete, unmodified copy\nof The Program) together with the modified file; if your distribution of the\nmodified file is made by offering access to copy the modified file from a\ndesignated place, then offering equivalent access to copy The Program from\nthe same place meets this condition, even though third parties are not compelled\nto copy The Program along with the modified file;\n\n(B) provide to those who receive the modified file information that is sufficient\nfor them to obtain a copy of The Program; for example, you may provide a Uniform\nResource Locator (URL) for a site that you expect will provide them with a\ncopy of The Program free of charge (either the version from which your modification\nis derived, or perhaps a later version).\n\nNote that in the above, `distribution\' of a file means making the file available\nto others by any means. This includes, for instance, installing the file on\nany machine in such a way that the file is accessible by users other than\nyourself. `Modification\' of a file means any procedure that produces a derivative\nfile under any applicable law -- that is, a file containing the original file\nor a significant portion of it, either verbatim or with modifications and/or\ntranslated into another language.\n\nChanging the name of a file is considered to be a modification of the file.\n\nThe distribution conditions in this license do not have to be applied to files\nthat have been modified in accordance with the above conditions. Note, however,\nthat Condition 7. does apply to any such modified file.\n\nThe conditions above are not intended to prohibit, and hence do not apply\nto, the updating, by any method, of a file so that it becomes identical to\nthe latest version of that file of The Program.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a file of The Program, even for your own personal\nuse, without also meeting the above eight conditions for distributing the\nmodified file. While you might intend that such modified files will never\nbe distributed, often this will happen by accident -- you may forget that\nyou have modified the file; or it may not occur to you when allowing others\nto access the modified file that you are thus distributing it and violating\nthe conditions of this license. It is usually in your best interest to keep\nyour copy of The Program identical with the public one. Many programs provide\nways to control the behavior of that program without altering its licensed\nfiles.\n\nAdditional Conditions on Individual Files of The Program\n\n--------------------------------------------------------\n\nAn individual file of The Program may bear additional conditions that supplement\nand/or supersede the conditions in this license if, and only if, such additional\nconditions exclusively concern modification of the file or distribution of\na modified version of the file. The conditions on individual files of The\nProgram therefore may differ only with respect to the kind and extent of modification\nof those files that is allowed, and with respect to the distribution of modified\nversions of those files.\n\nAdditional Conditions on LaTeX Software Files\n\n---------------------------------------------\n\nIf a file of The Program is intended to be used with LaTeX (that is, if it\nis a LaTeX software file), then the following additional conditions, which\nsupplement and/or supersede the conditions above, apply to the file according\nto its filename extension:\n\n- You may not modify any file with filename extension `.ins\' since these are\ninstallation files containing the legal notices that are placed in the files\nthey generate.\n\n- You may distribute modified versions of files with filename extension `.fd\'\n(LaTeX font definition files) under the standard conditions of the LPPL as\ndescribed above. You may also distribute such modified LaTeX font definition\nfiles with their original names provided that:\n\n(1) the only changes to the original files either enable use of available\nfonts or prevent attempts to access unavailable fonts;\n\n(2) you also distribute the original, unmodified files (TeX input paths can\nbe used to control which set of LaTeX font definition files is actually used\nby TeX).\n\n- You may distribute modified versions of files with filename extension `.cfg\'\n(configuration files) with their original names. The Program may (and usually\nwill) specify the range of commands that are allowed in a particular configuration\nfile.\n\nBecause of portability and exchangeability issues in LaTeX software, The LaTeX3\nProject deprecates the distribution of modified versions of components of\nLaTeX or of generally available contributed code for them, but such distribution\ncan meet the conditions of this license.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for The Program. Except when otherwise stated in writing,\nThe Copyright Holder provides The Program `as is\', without warranty of any\nkind, either expressed or implied, including, but not limited to, the implied\nwarranties of merchantability and fitness for a particular purpose. The entire\nrisk as to the quality and performance of The Program is with you. Should\nThe Program prove defective, you assume the cost of all necessary servicing,\nrepair, or correction.\n\nIn no event unless agreed to in writing will The Copyright Holder, or any\nauthor named in the files of The Program, or any other party who may distribute\nand/or modify The Program as permitted below, be liable to you for damages,\nincluding any general, special, incidental or consequential damages arising\nout of any use of The Program or out of inability to use The Program (including,\nbut not limited to, loss of data, data being rendered inaccurate, or losses\nsustained by anyone as a result of any failure of The Program to operate with\nany other programs), even if The Copyright Holder or said author or said other\nparty has been advised of the possibility of such damages.\n\nWHETHER AND HOW TO DISTRIBUTE PROGRAMS UNDER THIS LICENSE\n\n=========================================================\n\nThis section contains important instructions, examples, and recommendations\nfor authors who are considering distributing their programs under this license.\nThese authors are addressed as `you\' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your program you want or need to use *distribution* conditions\nthat differ from those in this license, then do not refer to this license\nanywhere in your program but instead distribute your program under a different\nlicense. You may use the text of this license as a model for your own license,\nbut your license should not refer to the LPPL or otherwise give the impression\nthat your program is distributed under the LPPL.\n\nThe document `modguide.tex\' in the base LaTeX distribution explains the motivation\nbehind the conditions of this license. It explains, for example, why distributing\nLaTeX under the GNU General Public License (GPL) was considered inappropriate.\nEven if your program is unrelated to LaTeX, the discussion in `modguide.tex\'\nmay still be relevant, and authors intending to distribute their programs\nunder any license are encouraged to read it.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the files of your program both an explicit\ncopyright notice including your name and the year and also a statement that\nthe distribution and/or modification of the file is constrained by the conditions\nin this license.\n\nHere is an example of such a notice and statement:\n\n%% pig.dtx\n\n%% Copyright 2001 M. Y. Name\n\n%\n\n% This program may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.1\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.1 or later is part of all distributions of LaTeX\n\n% version 1999/06/01 or later.\n\n%\n\n% This program consists of the files pig.dtx and pig.ins\n\nGiven such a notice and statement in a file, the conditions given in this\nlicense document would apply, with `The Program\' referring to the two files\n`pig.dtx\' and `pig.ins\', and `The Copyright Holder\' referring to the person\n`M. Y. Name\'.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes The Program\n\nThe LPPL requires that distributions of The Program contain all the files\nof The Program. It is therefore important that you provide a way for the licensee\nto determine which files constitute The Program. This could, for example,\nbe achieved by explicitly listing all the files of The Program near the copyright\nnotice of each file or by using a line like\n\n% This program consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible\nfor the licensee to determine what is considered by you to comprise The Program.\n\nNoting Exceptional Files\n\nIf The Program contains any files bearing additional conditions on modification,\nor on distribution of modified versions, of those files (other than those\nlisted in `Additional Conditions on LaTeX Software Files\'), then it is recommended\nthat The Program contain a prominent file that defines the exceptional conditions,\nand either lists the exceptional files or defines one or more categories of\nexceptional files.\n\nFiles containing the text of a license (such as this file) are often examples\nof files bearing more restrictive conditions on modification. LaTeX configuration\nfiles (with filename extension `.cfg\') are examples of files bearing less\nrestrictive conditions on the distribution of a modified version of the file.\nThe additional conditions on LaTeX software given above are examples of declaring\na category of files bearing exceptional additional conditions.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(286,'MIT-enna','Copyright (C) 2000 Carsten Haitzler and various contributors (see AUTHORS)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies of the Software and its Copyright notices. In addition publicly\ndocumented acknowledgment must be given that this software has been used if\nno source code of this software is made available publicly. This includes\nacknowledgments in either Copyright notices, Manuals, Publicity and Marketing\ndocuments or any documentation provided with any product containing this software.\nThis License does not apply to any software that links to the libraries provided\nby this software (statically or dynamically), but only to the software provided.\n\nPlease see the COPYING.PLAIN for a plain-english explanation of this notice\nand it\'s intent.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(287,'Python-2.0','PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2\n\n1. This LICENSE AGREEMENT is between the Python Software Foundation (\"PSF\"),\nand the Individual or Organization (\"Licensee\") accessing and otherwise using\nthis software (\"Python\") in source or binary form and its associated documentation.\n\n2. Subject to the terms and conditions of this License Agreement, PSF hereby\ngrants Licensee a nonexclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python alone or in any derivative version, provided,\nhowever, that PSF\'s License Agreement and PSF\'s notice of copyright, i.e.,\n\"Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006 Python Software Foundation;\nAll Rights Reserved\" are retained in Python alone or in any derivative version\nprepared by Licensee.\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates\nPython or any part thereof, and wants to make the derivative work available\nto others as provided herein, then Licensee hereby agrees to include in any\nsuch work a brief summary of the changes made to Python.\n\n4. PSF is making Python available to Licensee on an \"AS IS\" basis. PSF MAKES\nNO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE, BUT\nNOT LIMITATION, PSF MAKES NO AND DISCLAIMS ANY REPRESENTATION OR WARRANTY\nOF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF\nPYTHON WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON FOR ANY\nINCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF MODIFYING,\nDISTRIBUTING, OR OTHERWISE USING PYTHON, OR ANY DERIVATIVE THEREOF, EVEN IF\nADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n7. Nothing in this License Agreement shall be deemed to create any relationship\nof agency, partnership, or joint venture between PSF and Licensee. This License\nAgreement does not grant permission to use PSF trademarks or trade name in\na trademark sense to endorse or promote products or services of Licensee,\nor any third party.\n\n8. By copying, installing or otherwise using Python, Licensee agrees to be\nbound by the terms and conditions of this License Agreement. BEOPEN.COM LICENSE\nAGREEMENT FOR PYTHON 2.0\n\nBEOPEN PYTHON OPEN SOURCE LICENSE AGREEMENT VERSION 1\n\n1. This LICENSE AGREEMENT is between BeOpen.com (\"BeOpen\"), having an office\nat 160 Saratoga Avenue, Santa Clara, CA 95051, and the Individual or Organization\n(\"Licensee\") accessing and otherwise using this software in source or binary\nform and its associated documentation (\"the Software\").\n\n2. Subject to the terms and conditions of this BeOpen Python License Agreement,\nBeOpen hereby grants Licensee a non-exclusive, royalty-free, world-wide license\nto reproduce, analyze, test, perform and/or display publicly, prepare derivative\nworks, distribute, and otherwise use the Software alone or in any derivative\nversion, provided, however, that the BeOpen Python License is retained in\nthe Software, alone or in any derivative version prepared by Licensee.\n\n3. BeOpen is making the Software available to Licensee on an \"AS IS\" basis.\nBEOPEN MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY\nOF EXAMPLE, BUT NOT LIMITATION, BEOPEN MAKES NO AND DISCLAIMS ANY REPRESENTATION\nOR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n4. BEOPEN SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT\nOF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF,\nEVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n5. This License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n6. This License Agreement shall be governed by and interpreted in all respects\nby the law of the State of California, excluding conflict of law provisions.\nNothing in this License Agreement shall be deemed to create any relationship\nof agency, partnership, or joint venture between BeOpen and Licensee. This\nLicense Agreement does not grant permission to use BeOpen trademarks or trade\nnames in a trademark sense to endorse or promote products or services of Licensee,\nor any third party. As an exception, the \"BeOpen Python\" logos available at\nhttp://www.pythonlabs.com/logos.html may be used according to the permissions\ngranted on that web page.\n\n7. By copying, installing or otherwise using the software, Licensee agrees\nto be bound by the terms and conditions of this License Agreement. CNRI OPEN\nSOURCE LICENSE AGREEMENT (for Python 1.6b1) IMPORTANT: PLEASE READ THE FOLLOWING\nAGREEMENT CAREFULLY.\n\nBY CLICKING ON \"ACCEPT\" WHERE INDICATED BELOW, OR BY COPYING, INSTALLING OR\nOTHERWISE USING PYTHON 1.6, beta 1 SOFTWARE, YOU ARE DEEMED TO HAVE AGREED\nTO THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT.\n\n1. This LICENSE AGREEMENT is between the Corporation for National Research\nInitiatives, having an office at 1895 Preston White Drive, Reston, VA 20191\n(\"CNRI\"), and the Individual or Organization (\"Licensee\") accessing and otherwise\nusing Python 1.6, beta 1 software in source or binary form and its associated\ndocumentation, as released at the www.python.org Internet site on August 4,\n2000 (\"Python 1.6b1\").\n\n2. Subject to the terms and conditions of this License Agreement, CNRI hereby\ngrants Licensee a non-exclusive, royalty-free, world-wide license to reproduce,\nanalyze, test, perform and/or display publicly, prepare derivative works,\ndistribute, and otherwise use Python 1.6b1 alone or in any derivative version,\nprovided, however, that CNRIs License Agreement is retained in Python 1.6b1,\nalone or in any derivative version prepared by Licensee.\n\nAlternately, in lieu of CNRIs License Agreement, Licensee may substitute the\nfollowing text (omitting the quotes): \"Python 1.6, beta 1, is made available\nsubject to the terms and conditions in CNRIs License Agreement. This Agreement\nmay be located on the Internet using the following unique, persistent identifier\n(known as a handle): 1895.22/1011. This Agreement may also be obtained from\na proxy server on the Internet using the URL:http://hdl.handle.net/1895.22/1011\".\n\n3. In the event Licensee prepares a derivative work that is based on or incorporates\nPython 1.6b1 or any part thereof, and wants to make the derivative work available\nto the public as provided herein, then Licensee hereby agrees to indicate\nin any such work the nature of the modifications made to Python 1.6b1.\n\n4. CNRI is making Python 1.6b1 available to Licensee on an \"AS IS\" basis.\nCNRI MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF\nEXAMPLE, BUT NOT LIMITATION, CNRI MAKES NO AND DISCLAIMS ANY REPRESENTATION\nOR WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF PYTHON 1.6b1 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n5. CNRI SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT\nOF USING, MODIFYING OR DISTRIBUTING PYTHON 1.6b1, OR ANY DERIVATIVE THEREOF,\nEVEN IF ADVISED OF THE POSSIBILITY THEREOF.\n\n6. This License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n7. This License Agreement shall be governed by and interpreted in all respects\nby the law of the State of Virginia, excluding conflict of law provisions.\nNothing in this License Agreement shall be deemed to create any relationship\nof agency, partnership, or joint venture between CNRI and Licensee. This License\nAgreement does not grant permission to use CNRI trademarks or trade name in\na trademark sense to endorse or promote products or services of Licensee,\nor any third party.\n\n8. By clicking on the \"ACCEPT\" button where indicated, or by copying, installing\nor otherwise using Python 1.6b1, Licensee agrees to be bound by the terms\nand conditions of this License Agreement. ACCEPT CWI LICENSE AGREEMENT FOR\nPYTHON 0.9.0 THROUGH 1.2\n\nCopyright (c) 1991 - 1995, Stichting Mathematisch Centrum Amsterdam, The Netherlands.\nAll rights reserved.\n\nPermission to use, copy, modify, and distribute this software and its documentation\nfor any purpose and without fee is hereby granted, provided that the above\ncopyright notice appear in all copies and that both that copyright notice\nand this permission notice appear in supporting documentation, and that the\nname of Stichting Mathematisch Centrum or CWI not be used in advertising or\npublicity pertaining to distribution of the software without specific, written\nprior permission.\n\nSTICHTING MATHEMATISCH CENTRUM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS\nSOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,\nIN NO EVENT SHALL STICHTING MATHEMATISCH CENTRUM BE LIABLE FOR ANY SPECIAL,\nINDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM\nLOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE\nOR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR\nPERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(288,'Zimbra-1.3','Zimbra Public License, Version 1.3 (ZPL)\n\nThis Zimbra Public License (this \"Agreement\") is a legal agreement that describes\nthe terms under which VMware, Inc., a Delaware corporation having its principal\nplace of business at 3401 Hillview Avenue, Palo Alto, California 94304 (\"VMware\")\nwill provide software to you via download or otherwise (\"Software\"). By using\nthe Software, you, an individual or an entity (\"You\") agree to the terms of\nthis Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions\nset forth below, the parties agree as follows:\n\n   1. Grant of Copyright License\n\n1.1 - Subject to the terms and conditions of this Agreement, VMware hereby\ngrants to You, under any and all of its copyright interest in and to the Software,\na royalty-free, non-exclusive, non-transferable license to copy, modify, compile,\nexecute, and distribute the Software and Modifications. For the purposes of\nthis Agreement, any change to, addition to, or abridgement of the Software\nmade by You is a \"Modification;\" however, any file You add to the Software\nthat does not contain any part of the Software is not a \"Modification.\"\n\n1.2 - If You are an individual acting on behalf of a corporation or other\nentity, Your use of the Software or any Modification is subject to Your having\nthe authority to bind such corporation or entity to this Agreement. Providing\ncopies to persons within such corporation or entity is not considered distribution\nfor purposes of this Agreement.\n\n1.3 - For the Software or any Modification You distribute in source code format,\nYou must do so only under the terms of this Agreement, and You must include\na complete copy of this Agreement with Your distribution. With respect to\nany Modification You distribute in source code format, the terms of this Agreement\nwill apply to You in the same way those terms apply to VMware with respect\nto the Software. In other words, when You are distributing Modifications under\nthis Agreement, You \"stand in the shoes\" of VMware in terms of the rights\nYou grant and how the terms and conditions apply to You and the licensees\nof Your Modifications. Notwithstanding the foregoing, when You \"stand in the\nshoes\" of VMware, You are not subject to the jurisdiction provision under\nSection 7, which requires all disputes under this Agreement to be subject\nto the jurisdiction of federal or state courts of northern California.\n\n1.4 - For the Software or any Modification You distribute in compiled or object\ncode format, You must also provide recipients with access to the Software\nor Modification in source code format along with a complete copy of this Agreement.\nThe distribution of the Software or Modifications in compiled or object code\nformat may be under a license of Your choice, provided that You are in compliance\nwith the terms of this Agreement. In addition, You must make absolutely clear\nthat any license terms applying to such Software or Modification that differ\nfrom this Agreement are offered by You alone and not by VMware, and that such\nlicense does not restrict recipients from exercising rights in the source\ncode to the Software granted by VMware under this Agreement or rights in the\nsource code to any Modification granted by You as described in Section 1.3.\n\n1.5 - This Agreement does not limit Your right to distribute files that are\nentirely Your own work (i.e., which do not incorporate any portion of the\nSoftware and are not Modifications) under any terms You choose.\n\n   2. Support\n\nVMware has no obligation to provide technical support or updates to You. Nothing\nin this Agreement requires VMware to enter into any license with You for any\nother edition of the Software.\n\n   3. Intellectual Property Rights\n\n3.1 - Except for the license expressly granted under copyright in Section\n1.1, no rights, licenses or forbearances are granted or may arise in relation\nto this Agreement whether expressly, by implication, exhaustion, estoppel\nor otherwise. All rights, including all intellectual property rights, that\nare not expressly granted under this Agreement are hereby reserved.\n\n3.2 - In any copy of the Software or in any Modification you create, You must\nretain and reproduce, any and all copyright, patent, trademark, and attribution\nnotices that are included in the Software in the same form as they appear\nin the Software. This includes the preservation of attribution notices in\nthe form of trademarks or logos that exist within a user interface of the\nSoftware.\n\n3.3 - This license does not grant You rights to use any party\'s name, logo,\nor trademarks, except solely as necessary to comply with Section 3.2.\n\n   4. Disclaimer of Warranties\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. VMWARE\nMAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY REGARDING OR RELATING\nTO THE SOFTWARE. SPECIFICALLY, VMWARE DOES NOT WARRANT THAT THE SOFTWARE WILL\nBE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST\nEXTENT ALLOWED BY LAW, VMWARE SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF VMWARE HAD BEEN\nINFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE,\nANY MODIFICATIONS THERETO AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   5. Limitation of Liability\n\nIN NO EVENT WILL VMWARE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION\nLOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, COST OF\nCOVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING,\nPERFORMANCE OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER,\nWHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE,\nAND EVEN IF VMWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   6. Term and Termination\n\n6.1 - This Agreement will continue in effect unless and until terminated earlier\npursuant to this Section 6.\n\n6.2 - In the event You violate the terms of this Agreement, VMware may terminate\nthis Agreement.\n\n6.3 - All licenses granted hereunder shall terminate upon the termination\nof this Agreement. Termination will be in addition to any rights and remedies\navailable to VMware at law or equity or under this Agreement.\n\n6.4 - Termination of this Agreement will not affect the provisions regarding\nreservation of rights (Section 3.1), provisions disclaiming or limiting VMware\'s\nliability (Sections 4 and 5), Termination (Section 6) or Miscellaneous (Section\n7), which provisions will survive termination of this Agreement.\n\n   7. Miscellaneous\n\nThis Agreement contains the entire agreement of the parties with respect to\nthe subject matter of this Agreement and supersedes all previous communications,\nrepresentations, understandings and agreements, either oral or written, between\nthe parties with respect to said subject matter. The relationship of the parties\nhereunder is that of independent contractors, and this Agreement will not\nbe construed as creating an agency, partnership, joint venture or any other\nform of legal association between the parties. If any term, condition, or\nprovision in this Agreement is found to be invalid, unlawful or unenforceable\nto any extent, this Agreement will be construed in a manner that most closely\neffectuates the intent of this Agreement. Such invalid term, condition or\nprovision will be severed from the remaining terms, conditions and provisions,\nwhich will continue to be valid and enforceable to the fullest extent permitted\nby law. This Agreement will be interpreted and construed in accordance with\nthe laws of the State of California and the United States of America, without\nregard to conflict of law principles. The U.N. Convention on Contracts for\nthe International Sale of Goods shall not apply to this Agreement. All disputes\narising out of this Agreement involving VMware or any of its subsidiaries\nshall be subject to the jurisdiction of the federal or state courts of northern\nCalifornia, with venue lying in Santa Clara County, California. No rights\nmay be assigned, no obligations may be delegated, and this Agreement may not\nbe transferred by You, in whole or in part, whether voluntary or by operation\nof law, including by way of sale of assets, merger or consolidation, without\nthe prior written consent of VMware, and any purported assignment, delegation\nor transfer without such consent shall be void ab initio. Any waiver of the\nprovisions of this Agreement or of a party\'s rights or remedies under this\nAgreement must be in writing to be effective. Failure, neglect or delay by\na party to enforce the provisions of this Agreement or its rights or remedies\nat any time, will not be construed or be deemed to be a waiver of such party\'s\nrights under this Agreement and will not in any way affect the validity of\nthe whole or any part of this Agreement or prejudice such party\'s right to\ntake subsequent action.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(289,'LGPL-3.0-only','GNU LESSER GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nThis version of the GNU Lesser General Public License incorporates the terms\nand conditions of version 3 of the GNU General Public License, supplemented\nby the additional permissions listed below.\n\n   0. Additional Definitions.\n\n      \n\nAs used herein, \"this License\" refers to version 3 of the GNU Lesser General\nPublic License, and the \"GNU GPL\" refers to version 3 of the GNU General Public\nLicense.\n\n      \n\n\"The Library\" refers to a covered work governed by this License, other than\nan Application or a Combined Work as defined below.\n\n      \n\nAn \"Application\" is any work that makes use of an interface provided by the\nLibrary, but which is not otherwise based on the Library. Defining a subclass\nof a class defined by the Library is deemed a mode of using an interface provided\nby the Library.\n\n      \n\nA \"Combined Work\" is a work produced by combining or linking an Application\nwith the Library. The particular version of the Library with which the Combined\nWork was made is also called the \"Linked Version\".\n\n      \n\nThe \"Minimal Corresponding Source\" for a Combined Work means the Corresponding\nSource for the Combined Work, excluding any source code for portions of the\nCombined Work that, considered in isolation, are based on the Application,\nand not on the Linked Version.\n\n      \n\nThe \"Corresponding Application Code\" for a Combined Work means the object\ncode and/or source code for the Application, including any data and utility\nprograms needed for reproducing the Combined Work from the Application, but\nexcluding the System Libraries of the Combined Work.\n\n   1. Exception to Section 3 of the GNU GPL.\n\nYou may convey a covered work under sections 3 and 4 of this License without\nbeing bound by section 3 of the GNU GPL.\n\n   2. Conveying Modified Versions.\n\nIf you modify a copy of the Library, and, in your modifications, a facility\nrefers to a function or data to be supplied by an Application that uses the\nfacility (other than as an argument passed when the facility is invoked),\nthen you may convey a copy of the modified version:\n\na) under this License, provided that you make a good faith effort to ensure\nthat, in the event an Application does not supply the function or data, the\nfacility still operates, and performs whatever part of its purpose remains\nmeaningful, or\n\nb) under the GNU GPL, with none of the additional permissions of this License\napplicable to that copy.\n\n   3. Object Code Incorporating Material from Library Header Files.\n\nThe object code form of an Application may incorporate material from a header\nfile that is part of the Library. You may convey such object code under terms\nof your choice, provided that, if the incorporated material is not limited\nto numerical parameters, data structure layouts and accessors, or small macros,\ninline functions and templates (ten or fewer lines in length), you do both\nof the following:\n\na) Give prominent notice with each copy of the object code that the Library\nis used in it and that the Library and its use are covered by this License.\n\nb) Accompany the object code with a copy of the GNU GPL and this license document.\n\n   4. Combined Works.\n\nYou may convey a Combined Work under terms of your choice that, taken together,\neffectively do not restrict modification of the portions of the Library contained\nin the Combined Work and reverse engineering for debugging such modifications,\nif you also do each of the following:\n\na) Give prominent notice with each copy of the Combined Work that the Library\nis used in it and that the Library and its use are covered by this License.\n\nb) Accompany the Combined Work with a copy of the GNU GPL and this license\ndocument.\n\nc) For a Combined Work that displays copyright notices during execution, include\nthe copyright notice for the Library among these notices, as well as a reference\ndirecting the user to the copies of the GNU GPL and this license document.\n\n      d) Do one of the following:\n\n0) Convey the Minimal Corresponding Source under the terms of this License,\nand the Corresponding Application Code in a form suitable for, and under terms\nthat permit, the user to recombine or relink the Application with a modified\nversion of the Linked Version to produce a modified Combined Work, in the\nmanner specified by section 6 of the GNU GPL for conveying Corresponding Source.\n\n1) Use a suitable shared library mechanism for linking with the Library. A\nsuitable mechanism is one that (a) uses at run time a copy of the Library\nalready present on the user\'s computer system, and (b) will operate properly\nwith a modified version of the Library that is interface-compatible with the\nLinked Version.\n\ne) Provide Installation Information, but only if you would otherwise be required\nto provide such information under section 6 of the GNU GPL, and only to the\nextent that such information is necessary to install and execute a modified\nversion of the Combined Work produced by recombining or relinking the Application\nwith a modified version of the Linked Version. (If you use option 4d0, the\nInstallation Information must accompany the Minimal Corresponding Source and\nCorresponding Application Code. If you use option 4d1, you must provide the\nInstallation Information in the manner specified by section 6 of the GNU GPL\nfor conveying Corresponding Source.)\n\n   5. Combined Libraries.\n\nYou may place library facilities that are a work based on the Library side\nby side in a single library together with other library facilities that are\nnot Applications and are not covered by this License, and convey such a combined\nlibrary under terms of your choice, if you do both of the following:\n\na) Accompany the combined library with a copy of the same work based on the\nLibrary, uncombined with any other library facilities, conveyed under the\nterms of this License.\n\nb) Give prominent notice with the combined library that part of it is a work\nbased on the Library, and explaining where to find the accompanying uncombined\nform of the same work.\n\n   6. Revised Versions of the GNU Lesser General Public License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU Lesser General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Library as you\nreceived it specifies that a certain numbered version of the GNU Lesser General\nPublic License \"or any later version\" applies to it, you have the option of\nfollowing the terms and conditions either of that published version or of\nany later version published by the Free Software Foundation. If the Library\nas you received it does not specify a version number of the GNU Lesser General\nPublic License, you may choose any version of the GNU Lesser General Public\nLicense ever published by the Free Software Foundation.\n\nIf the Library as you received it specifies that a proxy can decide whether\nfuture versions of the GNU Lesser General Public License shall apply, that\nproxy\'s public statement of acceptance of any version is permanent authorization\nfor you to choose that version for the Library.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(290,'Xerox','Copyright (c) 1995, 1996 Xerox Corporation. All Rights Reserved.\n\nUse and copying of this software and preparation of derivative works based\nupon this software are permitted. Any copy of this software or of any derivative\nwork must include the above copyright notice of Xerox Corporation, this paragraph\nand the one after it. Any distribution of this software or derivative works\nmust comply with all applicable United States export control laws.\n\nThis software is made available AS IS, and XEROX CORPORATION DISCLAIMS ALL\nWARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING\nANY OTHER PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING\nFROM THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT,\nTORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF XEROX CORPORATION\nIS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(291,'MirOS','MirOS License\n\nCopyright [YEAR]\n\n[NAME] [EMAIL]\n\nProvided that these terms and disclaimer and all copyright notices are retained\nor reproduced in an accompanying document, permission is granted to deal in\nthis work without restriction, including unlimited rights to use, publicly\nperform, distribute, sell, modify, merge, give away, or sublicence.\n\nThis work is provided \"AS IS\" and WITHOUT WARRANTY of any kind, to the utmost\nextent permitted by applicable law, neither express nor implied; without malicious\nintent or gross negligence. In no event may a licensor, author or contributor\nbe held liable for indirect, direct, other damage, loss, or other issues arising\nin any way out of dealing in the work, even if advised of the possibility\nof such damage or existence of a defect, except proven that it results out\nof said person\'s immediate fault when using the work as intended. I_N_S_T_R_U_C_T_I_O_N_S_:_\n\nTo apply the template(1) specify the years of copyright (separated by comma,\nnot as a range), the legal names of the copyright holders, and the real names\nof the authors if different. Avoid adding text.\n\nR_A_T_I_O_N_A_L_E_:_\n\nThis licence is apt for any kind of work (such as source code, fonts, documentation,\ngraphics, sound etc.) and the preferred terms for work added to MirBSD. It\nhas been drafted as universally usable equivalent of the \"historic permission\nnotice\"(2) adapted to Europen law because in some (droit d\'auteur) countries\nauthors cannot disclaim all liabi‐ lities. Compliance to DFSG(3) 1.1 is ensured,\nand GPLv2 compatibility is asserted unless advertising clauses are used. The\nMirOS Licence is certified to conform to OKD(4) 1.0 and OSD(5) 1.9, and qualifies\nas a Free Software(6) and also Free Documentation(7) licence and is included\nin some relevant lists(8)(9)(10).\n\nWe believe you are not liable for work inserted which is intellectual property\nof third parties, if you were not aware of the fact, act appropriately as\nsoon as you become aware of that problem, seek an amicable solution for all\nparties, and never knowingly distribute a work without being authorised to\ndo so by its licensors.\n\nR_E_F_E_R_E_N_C_E_S_:_\n\n\n\n   (1) also at http://mirbsd.de/MirOS-Licence\n\n   (2) http://www.opensource.org/licenses/historical.php\n\n   (3) http://www.debian.org/social_contract#guidelines\n\n   (4) http://www.opendefinition.org/1.0\n\n   (5) http://www.opensource.org/docs/osd\n\n   (6) http://www.gnu.org/philosophy/free-sw.html\n\n   (7) http://www.gnu.org/philosophy/free-doc.html\n\n   (8) http://www.ifross.de/ifross_html/lizenzcenter.html\n\n   (9) http://www.opendefinition.org/licenses\n\n   (10) http://opensource.org/licenses/miros.html\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(292,'Zimbra-1.4','Zimbra Public License, Version 1.4 (ZPL)\n\nThis Zimbra Public License (this \"Agreement\") is a legal agreement that describes\nthe terms under which Zimbra, Inc., a Texas corporation (\"Zimbra\") will provide\nsoftware to you via download or otherwise (\"Software\"). By using the Software,\nyou, an individual or an entity (\"You\") agree to the terms of this Agreement.\n\nIn consideration of the mutual promises and upon the terms and conditions\nset forth below, the parties agree as follows:\n\n   1. Grant of Copyright License\n\n1.1 - Subject to the terms and conditions of this Agreement, Zimbra hereby\ngrants to You, under any and all of its copyright interest in and to the Software,\na royalty-free, non-exclusive, non-transferable license to copy, modify, compile,\nexecute, and distribute the Software and Modifications. For the purposes of\nthis Agreement, any change to, addition to, or abridgement of the Software\nmade by You is a \"Modification;\" however, any file You add to the Software\nthat does not contain any part of the Software is not a \"Modification.\"\n\n1.2 - If You are an individual acting on behalf of a corporation or other\nentity, Your use of the Software or any Modification is subject to Your having\nthe authority to bind such corporation or entity to this Agreement. Providing\ncopies to persons within such corporation or entity is not considered distribution\nfor purposes of this Agreement.\n\n1.3 - For the Software or any Modification You distribute in source code format,\nYou must do so only under the terms of this Agreement, and You must include\na complete copy of this Agreement with Your distribution. With respect to\nany Modification You distribute in source code format, the terms of this Agreement\nwill apply to You in the same way those terms apply to Zimbra with respect\nto the Software. In other words, when You are distributing Modifications under\nthis Agreement, You \"stand in the shoes\" of Zimbra in terms of the rights\nYou grant and how the terms and conditions apply to You and the licensees\nof Your Modifications. Notwithstanding the foregoing, when You \"stand in the\nshoes\" of Zimbra, You are not subject to the jurisdiction provision under\nSection 7, which requires all disputes under this Agreement to be subject\nto the jurisdiction of federal or state courts of Northern Texas.\n\n1.4 - For the Software or any Modification You distribute in compiled or object\ncode format, You must also provide recipients with access to the Software\nor Modification in source code format along with a complete copy of this Agreement.\nThe distribution of the Software or Modifications in compiled or object code\nformat may be under a license of Your choice, provided that You are in compliance\nwith the terms of this Agreement. In addition, You must make absolutely clear\nthat any license terms applying to such Software or Modification that differ\nfrom this Agreement are offered by You alone and not by Zimbra, and that such\nlicense does not restrict recipients from exercising rights in the source\ncode to the Software granted by Zimbra under this Agreement or rights in the\nsource code to any Modification granted by You as described in Section 1.3.\n\n1.5 - This Agreement does not limit Your right to distribute files that are\nentirely Your own work (i.e., which do not incorporate any portion of the\nSoftware and are not Modifications) under any terms You choose.\n\n   2. Support\n\nZimbra has no obligation to provide technical support or updates to You. Nothing\nin this Agreement requires Zimbra to enter into any license with You for any\nother edition of the Software.\n\n   3. Intellectual Property Rights\n\n3.1 - Except for the license expressly granted under copyright in Section\n1.1, no rights, licenses or forbearances are granted or may arise in relation\nto this Agreement whether expressly, by implication, exhaustion, estoppel\nor otherwise. All rights, including all intellectual property rights, that\nare not expressly granted under this Agreement are hereby reserved.\n\n3.2 - In any copy of the Software or in any Modification you create, You must\nretain and reproduce any and all copyright, patent, trademark, and attribution\nnotices that are included in the Software in the same form as they appear\nin the Software. This includes the preservation of attribution notices in\nthe form of trademarks or logos that exist within a user interface of the\nSoftware.\n\n3.3 - This license does not grant You rights to use any party\'s name, logo,\nor trademarks, except solely as necessary to comply with Section 3.2.\n\n   4. Disclaimer of Warranties\n\nTHE SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY OF ANY KIND. ZIMBRA\nMAKES NO WARRANTIES, WHETHER EXPRESS, IMPLIED, OR STATUTORY, REGARDING OR\nRELATING TO THE SOFTWARE. SPECIFICALLY, ZIMBRA DOES NOT WARRANT THAT THE SOFTWARE\nWILL BE ERROR FREE OR WILL PERFORM IN AN UNINTERRUPTED MANNER. TO THE GREATEST\nEXTENT ALLOWED BY LAW, ZIMBRA SPECIFICALLY DISCLAIMS ALL IMPLIED WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE (EVEN IF ZIMBRA HAD BEEN\nINFORMED OF SUCH PURPOSE), AND NONINFRINGEMENT WITH RESPECT TO THE SOFTWARE,\nANY MODIFICATIONS THERETO, AND WITH RESPECT TO THE USE OF THE FOREGOING.\n\n   5. Limitation of Liability\n\nIN NO EVENT WILL ZIMBRA BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION\nLOSS OF PROFITS, LOSS OF USE, BUSINESS INTERRUPTION, LOSS OF DATA, AND COST\nOF COVER) IN CONNECTION WITH OR ARISING OUT OF OR RELATING TO THE FURNISHING,\nPERFORMANCE, OR USE OF THE SOFTWARE OR ANY OTHER RIGHTS GRANTED HEREUNDER,\nWHETHER ALLEGED AS A BREACH OF CONTRACT OR TORTIOUS CONDUCT, INCLUDING NEGLIGENCE,\nAND EVEN IF ZIMBRA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   6. Term and Termination\n\n6.1 - This Agreement will continue in effect unless and until terminated earlier\npursuant to this Section 6.\n\n6.2 - In the event You violate the terms of this Agreement, Zimbra may terminate\nthis Agreement.\n\n6.3 - All licenses granted hereunder shall terminate upon the termination\nof this Agreement. Termination will be in addition to any rights and remedies\navailable to Zimbra at law or equity or under this Agreement.\n\n6.4 - Termination of this Agreement will not affect the provisions regarding\nreservation of rights (Section 3.1), provisions disclaiming or limiting Zimbra\'s\nliability (Sections 4 and 5), Termination (Section 6), or Miscellaneous (Section\n7), which provisions will survive termination of this Agreement.\n\n   7. Miscellaneous\n\nThis Agreement contains the entire agreement of the parties with respect to\nthe subject matter of this Agreement and supersedes all previous communications,\nrepresentations, understandings, and agreements, either oral or written, between\nthe parties with respect to said subject matter. The relationship of the parties\nhereunder is that of independent contractors, and this Agreement will not\nbe construed as creating an agency, partnership, joint venture, or any other\nform of legal association between the parties. If any term, condition, or\nprovision in this Agreement is found to be invalid, unlawful, or unenforceable\nto any extent, this Agreement will be construed in a manner that most closely\neffectuates the intent of this Agreement. Such invalid term, condition or\nprovision will be severed from the remaining terms, conditions, and provisions,\nwhich will continue to be valid and enforceable to the fullest extent permitted\nby law. This Agreement will be interpreted and construed in accordance with\nthe laws of the State of Delaware and the United States of America, without\nregard to conflict of law principles. The U.N. Convention on Contracts for\nthe International Sale of Goods shall not apply to this Agreement. All disputes\narising out of this Agreement involving Zimbra or any of its parents or subsidiaries\nshall be subject to the jurisdiction of the federal or state courts of Northern\nTexas, with venue lying in Dallas County, Texas. No rights may be assigned,\nno obligations may be delegated, and this Agreement may not be transferred\nby You, in whole or in part, whether voluntary or by operation of law, including\nby way of sale of assets, merger, or consolidation, without the prior written\nconsent of Zimbra, and any purported assignment, delegation, or transfer without\nsuch consent shall be void ab initio. Any waiver of the provisions of this\nAgreement or of a party\'s rights or remedies under this Agreement must be\nin writing to be effective. Failure, neglect, or delay by a party to enforce\nthe provisions of this Agreement or its rights or remedies at any time will\nnot be construed or be deemed to be a waiver of such party\'s rights under\nthis Agreement and will not in any way affect the validity of the whole or\nany part of this Agreement or prejudice such party\'s right to take subsequent\naction.\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(293,'CECILL-1.0','CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL Avertissement\n\nCe contrat est une licence de logiciel libre issue d\'une concertation entre\nses auteurs afin que le respect de deux grands principes préside à sa rédaction:\n\n• d\'une part, sa conformité au droit français, tant au regard du droit de\nla responsabilité civile que du droit de la propriété intellectuelle et de\nla protection qu\'il offre aux auteurs et titulaires des droits patrimoniaux\nsur un logiciel.\n\n• d\'autre part, le respect des principes de diffusion des logiciels libres:\naccès au code source, droits étendus conférés aux utilisateurs.\n\nLes auteurs de la licence CeCILL1 sont:\n\nCommissariat à l\'Energie Atomique – CEA, établissement public de caractère\nscientifique technique et industriel, dont le siège est situé 31-33 rue de\nla Fédération, 75752 PARIS cedex 15.\n\nCentre National de la Recherche Scientifique – CNRS, établissement public\nà caractère scientifique et technologique, dont le siège est situé 3 rue Michel-Ange\n75794 Paris cedex 16.\n\nInstitut National de Recherche en Informatique et en Automatique – INRIA,\nétablissement public à caractère scientifique et technologique, dont le siège\nest situé Domaine de Voluceau, Rocquencourt, BP 105, 78153 Le Chesnay cedex.\n\nPREAMBULE\n\nCe contrat est une licence de logiciel libre dont l\'objectif est de conférer\naux utilisateurs la liberté de modification et de redistribution du logiciel\nrégi par cette licence dans le cadre d\'un modèle de diffusion «open source».\n\nL\'exercice de ces libertés est assorti de certains devoirs à la charge des\nutilisateurs afin de préserver ce statut au cours des redistributions ultérieures.\n\nL\'accessibilité au code source et les droits de copie, de modification et\nde redistribution qui en découlent ont pour contrepartie de n\'offrir aux utilisateurs\nqu\'une garantie limitée et de ne faire peser sur l\'auteur du logiciel, le\ntitulaire des droits patrimoniaux et les concédants successifs qu\'une responsabilité\nrestreinte.\n\nA cet égard l\'attention de l\'utilisateur est attirée sur les risques associés\nau chargement, à l\'utilisation, à la modification et/ou au développement et\nà la reproduction du logiciel par l\'utilisateur étant donné sa spécificité\nde logiciel libre, qui peut le rendre complexe à manipuler et qui le réserve\ndonc à des développeurs et des professionnels avertis possédant des connaissances\ninformatiques approfondies. Les utilisateurs sont donc invités à charger et\ntester l\'adéquation du Logiciel à leurs besoins dans des conditions permettant\nd\'assurer la sécurité de leurs systèmes et ou de leurs données et, plus généralement,\nà l\'utiliser et l\'exploiter dans les même conditions de sécurité. Ce contrat\npeut être reproduit et diffusé librement, sous réserve de le conserver en\nl\'état, sans ajout ni suppression de clauses.\n\nCe contrat est susceptible de s\'appliquer à tout logiciel dont le titulaire\ndes droits patrimoniaux décide de soumettre l\'exploitation aux dispositions\nqu\'il contient.\n\nArticle 1er - DEFINITIONS\n\nDans ce contrat, les termes suivants, lorsqu\'ils seront écrits avec une lettre\ncapitale, auront la signification suivante:\n\nContrat: désigne le présent contrat de licence, ses éventuelles versions postérieures\net annexes.\n\nLogiciel: désigne le logiciel sous sa forme de Code Objet et/ou de Code Source\net le cas échéant sa documentation, dans leur état au moment de l\'acceptation\ndu\n\nContrat par le Licencié.\n\nLogiciel Initial: désigne le Logiciel sous sa forme de Code Source et de Code\nObjet et le cas échéant sa documentation, dans leur état au moment de leur\npremière diffusion sous les termes du Contrat.\n\nLogiciel Modifié: désigne le Logiciel modifié par au moins une Contribution.\n\nCode Source: désigne l\'ensemble des instructions et des lignes de programme\ndu Logiciel et auquel l\'accès est nécessaire en vue de modifier le Logiciel.\n\nCode Objet: désigne les fichiers binaires issus de la compilation du Code\nSource.\n\nTitulaire : désigne le détenteur des droits patrimoniaux d\'auteur sur le Logiciel\nInitial.\n\nLicencié(s): désigne le ou les utilisateur(s) du Logiciel ayant accepté le\nContrat.\n\nContributeur: désigne le Licencié auteur d\'au moins une Contribution.\n\nConcédant: désigne le Titulaire ou toute personne physique ou morale distribuant\nle Logiciel sous le Contrat.\n\nContributions: désigne l\'ensemble des modifications, corrections, traductions,\nadaptations et/ou nouvelles fonctionnalités intégrées dans le Logiciel par\ntout\n\nContributeur, ainsi que les Modules Statiques.\n\nModule: désigne un ensemble de fichiers sources y compris leur documentation\nqui, une fois compilé sous forme exécutable, permet de réaliser des fonctionnalités\nou\n\nservices supplémentaires à ceux fournis par le Logiciel.\n\nModule Dynamique: désigne tout Module, créé par le Contributeur, indépendant\ndu Logiciel, tel que ce Module et le Logiciel sont sous forme de deux exécutables\nindépendants qui s\'exécutent dans un espace d\'adressage indépendant, l\'un\nappelant l\'autre au moment de leur exécution.\n\nModule Statique: désigne tout Module créé par le Contributeur et lié au Logiciel\npar un lien statique rendant leur code objet dépendant l\'un de l\'autre. Ce\nModule et le Logiciel auquel il est lié, sont regroupés en un seul exécutable.\n\nParties: désigne collectivement le Licencié et le Concédant.\n\nCes termes s\'entendent au singulier comme au pluriel.\n\nArticle 2 - OBJET\n\nLe Contrat a pour objet la concession par le Concédant au Licencié d\'une Licence\nnon exclusive, transférable et mondiale du Logiciel telle que définie ci-après\nà l\'article 5 pour toute la durée de protection des droits portant sur ce\nLogiciel.\n\nArticle 3 - ACCEPTATION\n\n3.1. L\'acceptation par le Licencié des termes du Contrat est réputée acquise\ndu fait du premier des faits suivants:\n\n• (i) le chargement du Logiciel par tout moyen notamment par téléchargement\nà partir d\'un serveur distant ou par chargement à partir d\'un support physique;\n\n• (ii) le premier exercice par le Licencié de l\'un quelconque des droits concédés\npar le Contrat.\n\n3.2. Un exemplaire du Contrat, contenant notamment un avertissement relatif\naux spécificités du Logiciel, à la restriction de garantie et à la limitation\nà un usage par des utilisateurs expérimentés a été mis à disposition du Licencié\npréalablement à son acceptation telle que définie à l\'article 3.1 ci dessus\net le Licencié reconnaît en avoir pris connaissances.\n\nArticle 4 - ENTREE EN VIGUEUR ET DUREE\n\n   4.1. ENTREE EN VIGUEUR\n\nLe Contrat entre en vigueur à la date de son acceptation par le Licencié telle\nque définie en 3.1.\n\n   4.2. DUREE\n\nLe Contrat produira ses effets pendant toute la durée légale de protection\ndes droits patrimoniaux portant sur le Logiciel.\n\nArticle 5 - ETENDUE DES DROITS CONCEDES\n\nLe Concédant concède au Licencié, qui accepte, les droits suivants sur le\nLogiciel pour toutes destinations et pour la durée du Contrat dans les conditions\nci-après détaillées.\n\nPar ailleurs, le Concédant concède au Licencié à titre gracieux les droits\nd\'exploitation du ou des brevets qu\'il détient sur tout ou partie des inventions\n\nimplémentées dans le Logiciel.\n\n   5.1. DROITS D\'UTILISATION\n\nLe Licencié est autorisé à utiliser le Logiciel, sans restriction quant aux\ndomaines d\'application, étant ci-après précisé que cela comporte:\n\n1. la reproduction permanente ou provisoire du Logiciel en tout ou partie\npar tout moyen et sous toute forme.\n\n2. le chargement, l\'affichage, l\'exécution, ou le stockage du Logiciel sur\ntout support.\n\n3. la possibilité d\'en observer, d\'en étudier, ou d\'en tester le fonctionnement\nafin de déterminer les idées et principes qui sont à la base de n\'importe\nquel élément de ce Logiciel; et ceci, lorsque le Licencié effectue toute opération\nde chargement, d\'affichage, d\'exécution, de transmission ou de stockage du\nLogiciel qu\'il est en droit d\'effectuer en vertu du Contrat.\n\n   5.2. DROIT D\'APPORTER DES CONTRIBUTIONS\n\nLe droit d\'apporter des Contributions comporte le droit de traduire, d\'adapter,\nd\'arranger ou d\'apporter toute autre modification du Logiciel et le droit\nde reproduire le Logiciel en résultant.\n\nLe Licencié est autorisé à apporter toute Contribution au Logiciel sous réserve\nde mentionner, de façon explicite, son nom en tant qu\'auteur de cette Contribution\net la date de création de celle-ci.\n\n   5.3. DROITS DE DISTRIBUTION ET DE DIFFUSION\n\nLe droit de distribution et de diffusion comporte notamment le droit de transmettre\net de communiquer le Logiciel au public sur tout support et par tout moyen\nainsi que le droit de mettre sur le marché à titre onéreux ou gratuit, un\nou des exemplaires du Logiciel par tout procédé.\n\nLe Licencié est autorisé à redistribuer des copies du Logiciel, modifié ou\nnon, à des tiers dans les conditions ci-après détaillées.\n\n      5.3.1. REDISTRIBUTION DU LOGICIEL SANS MODIFICATION\n\nLe Licencié est autorisé à redistribuer des copies conformes du Logiciel,\nsous forme de Code Source ou de Code Objet, à condition que cette redistribution\nrespecte les dispositions du Contrat dans leur totalité et soit accompagnée:\n\n         1. d\'un exemplaire du Contrat,\n\n2. d\'un avertissement relatif à la restriction de garantie et de responsabilité\ndu Concédant telle que prévue aux articles 8 et 9,\n\net que, dans le cas où seul le Code Objet du Logiciel est redistribué, le\nLicencié permette aux futurs Licenciés d\'accéder facilement au Code Source\ncomplet du Logiciel en indiquant les modalités d\'accès, étant entendu que\nle coût additionnel d\'acquisition du Code Source ne devra pas excéder le simple\ncoût de transfert des données.\n\n      5.3.2. REDISTRIBUTION DU LOGICIEL MODIFIE\n\nLorsque le Licencié apporte une Contribution au Logiciel, les conditions de\nredistribution du Logiciel Modifié sont alors soumises à l\'intégralité des\ndispositions du Contrat.\n\nLe Licencié est autorisé à redistribuer le Logiciel Modifié, sous forme de\nCode Source ou de Code Objet, à condition que cette redistribution respecte\nles dispositions du Contrat dans leur totalité et soit accompagnée:\n\n         1. d\'un exemplaire du Contrat,\n\n2. d\'un avertissement relatif à la restriction de garantie et de responsabilité\ndu concédant telle que prévue aux articles 8 et 9,\n\net que, dans le cas où seul le Code Objet du Logiciel Modifié est redistribué,\nle Licencié permette aux futurs Licenciés d\'accéder facilement au Code Source\ncomplet du Logiciel Modifié en indiquant les modalités d\'accès, étant entendu\nque le coût additionnel d\'acquisition du Code Source ne devra pas excéder\nle simple coût de transfert des données.\n\n      5.3.3. REDISTRIBUTION DES MODULES DYNAMIQUES\n\nLorsque le Licencié a développé un Module Dynamique les conditions du Contrat\nne s\'appliquent pas à ce Module Dynamique, qui peut être distribué sous un\ncontrat de licence différent.\n\n      5.3.4. COMPATIBILITE AVEC LA LICENCE GPL\n\nDans le cas où le Logiciel, Modifié ou non, est intégré à un code soumis aux\ndispositions de la licence GPL, le Licencié est autorisé à redistribuer l\'ensemble\nsous la licence GPL.\n\nDans le cas où le Logiciel Modifié intègre un code soumis aux dispositions\nde la licence GPL, le Licencié est autorisé à redistribuer le Logiciel Modifié\nsous la licence GPL.\n\nArticle 6 - PROPRIETE INTELLECTUELLE\n\n   6.1. SUR LE LOGICIEL INITIAL\n\nLe Titulaire est détenteur des droits patrimoniaux sur le Logiciel Initial.\nToute utilisation du Logiciel Initial est soumise au respect des conditions\ndans lesquelles le Titulaire a choisi de diffuser son œuvre et nul autre n\'a\nla faculté de modifier les conditions de diffusion de ce Logiciel Initial.\n\nLe Titulaire s\'engage à maintenir la diffusion du Logiciel initial sous les\nconditions du Contrat et ce, pour la durée visée à l\'article 4.2.\n\n   6.2. SUR LES CONTRIBUTIONS\n\nLes droits de propriété intellectuelle sur les Contributions sont attachés\nau titulaire de droits patrimoniaux désigné par la législation applicable.\n\n   6.3. SUR LES MODULES DYNAMIQUES\n\nLe Licencié ayant développé un Module Dynamique est titulaire des droits de\npropriété intellectuelle sur ce Module Dynamique et reste libre du choix du\ncontrat régissant sa diffusion.\n\n   6.4. DISPOSITIONS COMMUNES\n\n      6.4.1. Le Licencié s\'engage expressément:\n\n1. à ne pas supprimer ou modifier de quelque manière que ce soit les mentions\nde propriété intellectuelle apposées sur le Logiciel;\n\n2. à reproduire à l\'identique lesdites mentions de propriété intellectuelle\nsur les copies du Logiciel.\n\n6.4.2. Le Licencié s\'engage à ne pas porter atteinte, directement ou indirectement,\naux droits de propriété intellectuelle du Titulaire et/ou des Contributeurs\net à prendre, le cas échéant, à l\'égard de son personnel toutes les mesures\nnécessaires pour assurer le respect des dits droits de propriété intellectuelle\ndu Titulaire et/ou des Contributeurs.\n\nArticle 7 - SERVICES ASSOCIES\n\n7.1. Le Contrat n\'oblige en aucun cas le Concédant à la réalisation de prestations\nd\'assistance technique ou de maintenance du Logiciel.\n\nCependant le Concédant reste libre de proposer ce type de services. Les termes\net conditions d\'une telle assistance technique et/ou d\'une telle maintenance\nseront alors déterminés dans un acte séparé. Ces actes de maintenance et/ou\nassistance technique n\'engageront que la seule responsabilité du Concédant\nqui les propose.\n\n7.2. De même, tout Concédant est libre de proposer, sous sa seule responsabilité,\nà ses licenciés une garantie, qui n\'engagera que lui, lors de la redistribution\ndu Logiciel et/ou du Logiciel Modifié et ce, dans les conditions qu\'il souhaite.\nCette garantie et les modalités financières de son application feront l\'objet\nd\'un acte séparé entre le Concédant et le Licencié.\n\nArticle 8 - RESPONSABILITE\n\n8.1. Sous réserve des dispositions de l\'article 8.2, si le Concédant n\'exécute\npas tout ou partie des obligations mises à sa charge par le Contrat, le Licencié\na la faculté, sous réserve de prouver la faute du Concédant concerné, de solliciter\nla réparation du préjudice direct qu\'il subit et dont il apportera la preuve.\n\n8.2. La responsabilité du Concédant est limitée aux engagements pris en application\ndu Contrat et ne saurait être engagée en raison notamment:(i) des dommages\ndus à l\'inexécution, totale ou partielle, de ses obligations par le Licencié,\n(ii) des dommages directs ou indirects découlant de l\'utilisation ou des performances\ndu Logiciel subis par le Licencié lorsqu\'il s\'agit d\'un professionnel utilisant\nle Logiciel à des fins professionnelles et (iii) des dommages indirects découlant\nde l\'utilisation ou des performances du Logiciel. Les Parties conviennent\nexpressément que tout préjudice financier ou commercial (par exemple perte\nde données, perte de bénéfices, perte d\'exploitation, perte de clientèle ou\nde commandes, manque à gagner, trouble commercial quelconque) ou toute action\ndirigée contre le Licencié par un tiers, constitue un dommage indirect et\nn\'ouvre pas droit à réparation par le Concédant.\n\nArticle 9 - GARANTIE\n\n9.1. Le Licencié reconnaît que l\'état actuel des connaissances scientifiques\net techniques au moment de la mise en circulation du Logiciel ne permet pas\nd\'en tester et d\'en vérifier toutes les utilisations ni de détecter l\'existence\nd\'éventuels défauts. L\'attention du Licencié a été attirée sur ce point sur\nles risques associés au chargement, à l\'utilisation, la modification et/ou\nau développement et à la reproduction du Logiciel qui sont réservés à des\nutilisateurs avertis.\n\nIl relève de la responsabilité du Licencié de contrôler, par tous moyens,\nl\'adéquation du produit à ses besoins, son bon fonctionnement et de s\'assurer\nqu\'il ne causera pas de dommages aux personnes et aux biens.\n\n9.2. Le Concédant déclare de bonne foi être en droit de concéder l\'ensemble\ndes droits attachés au Logiciel (comprenant notamment les droits visés à l\'article\n5).\n\n9.3. Le Licencié reconnaît que le Logiciel est fourni «en l\'état» par le Concédant\nsans autre garantie, expresse ou tacite, que celle prévue à l\'article 9.2\net notamment sans aucune garantie sur sa valeur commerciale, son caractère\nsécurisé, innovant ou pertinent.\n\nEn particulier, le Concédant ne garantit pas que le Logiciel est exempt d\'erreur,\nqu\'il fonctionnera sans interruption, qu\'il sera compatible avec l\'équipement\ndu Licencié et sa configuration logicielle ni qu\'il remplira les besoins du\nLicencié.\n\n9.4. Le Concédant ne garantit pas, de manière expresse ou tacite, que le Logiciel\nne porte pas atteinte à un quelconque droit de propriété intellectuelle d\'un\ntiers portant sur un brevet, un logiciel ou sur tout autre droit de propriété.\nAinsi, le Concédant exclut toute garantie au profit du Licencié contre les\nactions en contrefaçon qui pourraient être diligentées au titre de l\'utilisation,\nde la modification, et de la redistribution du Logiciel. Néanmoins, si de\ntelles actions sont exercées contre le Licencié, le Concédant lui apportera\nson aide technique et juridique pour sa défense. Cette aide technique et juridique\nest déterminée au cas par cas entre le Concédant concerné et le Licencié dans\nle cadre d\'un protocole d\'accord. Le Concédant dégage toute responsabilité\nquant à l\'utilisation de la dénomination du Logiciel par le Licencié. Aucune\ngarantie n\'est apportée quant à l\'existence de droits antérieurs sur le nom\ndu Logiciel et sur l\'existence d\'une marque.\n\nArticle 10 - RESILIATION\n\n10.1. En cas de manquement par le Licencié aux obligations mises à sa charge\npar le Contrat, le Concédant pourra résilier de plein droit le Contrat trente\n(30) jours après notification adressée au Licencié et restée sans effet.\n\n10.2. Le Licencié dont le Contrat est résilié n\'est plus autorisé à utiliser,\nmodifier ou distribuer le Logiciel. Cependant, toutes les licences qu\'il aura\nconcédées antérieurement à la résiliation du Contrat resteront valides sous\nréserve qu\'elles aient été effectuées en conformité avec le Contrat.\n\nArticle 11 - DISPOSITIONS DIVERSES\n\n   11.1. CAUSE EXTERIEURE\n\nAucune des Parties ne sera responsable d\'un retard ou d\'une défaillance d\'exécution\ndu Contrat qui serait dû à un cas de force majeure, un cas fortuit ou une\ncause extérieure, telle que, notamment, le mauvais fonctionnement ou les interruptions\ndu réseau électrique ou de télécommunication, la paralysie du réseau liée\nà une attaque informatique, l\'intervention des autorités gouvernementales,\nles catastrophes naturelles, les dégâts des eaux, les tremblements de terre,\nle feu, les explosions, les grèves et les conflits sociaux, l\'état de guerre…\n\n11.2. Le fait, par l\'une ou l\'autre des Parties, d\'omettre en une ou plusieurs\noccasions de se prévaloir d\'une ou plusieurs dispositions du Contrat, ne pourra\nen aucun cas impliquer renonciation par la Partie intéressée à s\'en prévaloir\nultérieurement.\n\n11.3. Le Contrat annule et remplace toute convention antérieure, écrite ou\norale, entre les Parties sur le même objet et constitue l\'accord entier entre\nles Parties sur cet objet. Aucune addition ou modification aux termes du Contrat\nn\'aura d\'effet à l\'égard des Parties à moins d\'être faite par écrit et signée\npar leurs représentants dûment habilités.\n\n11.4. Dans l\'hypothèse où une ou plusieurs des dispositions du Contrat s\'avèrerait\ncontraire à une loi ou à un texte applicable, existants ou futurs, cette loi\nou ce texte prévaudrait, et les Parties feraient les amendements nécessaires\npour se conformer à cette loi ou à ce texte. Toutes les autres dispositions\nresteront en vigueur. De même, la nullité, pour quelque raison que ce soit,\nd\'une des dispositions du Contrat ne saurait entraîner la nullité de l\'ensemble\ndu Contrat.\n\n   11.5. LANGUE\n\nLe Contrat est rédigé en langue française et en langue anglaise. En cas de\ndivergence d\'interprétation, seule la version française fait foi.\n\nArticle 12 - NOUVELLES VERSIONS DU CONTRAT\n\n12.1. Toute personne est autorisée à copier et distribuer des copies de ce\nContrat.\n\n12.2. Afin d\'en préserver la cohérence, le texte du Contrat est protégé et\nne peut être modifié que par les auteurs de la licence, lesquels se réservent\nle droit de publier périodiquement des mises à jour ou de nouvelles versions\ndu Contrat, qui possèderont chacune un numéro distinct. Ces versions ultérieures\nseront susceptibles de prendre en compte de nouvelles problématiques rencontrées\npar les logiciels libres.\n\n12.3. Tout Logiciel diffusé sous une version donnée du Contrat ne pourra faire\nl\'objet d\'une diffusion ultérieure que sous la même version du Contrat ou\nune version postérieure, sous réserve des dispositions de l\'article 5.3.4.\n\nArticle 13 - LOI APPLICABLE ET COMPETENCE TERRITORIALE\n\n13.1. Le Contrat est régi par la loi française. Les Parties conviennent de\ntenter de régler à l\'amiable les différends ou litiges qui viendraient à se\nproduire par suite ou à l\'occasion du Contrat.\n\n13.2. A défaut d\'accord amiable dans un délai de deux (2) mois à compter de\nleur survenance et sauf situation relevant d\'une procédure d\'urgence, les\ndifférends ou litiges seront portés par la Partie la plus diligente devant\nles Tribunaux compétents de Paris.\n\n1 Ce: CEA, C: CNRS, I: INRIA, LL: Logiciel Libre Version 1 du 21/06/2004\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(294,'SNIA','STORAGE NETWORKING INDUSTRY ASSOCIATION\n\nPUBLIC LICENSE\n\nVersion 1.1\n\n   1. Definitions.\n\n1.1 \"Commercial Use\" means distribution or otherwise making the Covered Code\navailable to a third party.\n\n1.2 \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.3 \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.4 \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.5 \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n   1.6 \"Executable\" means Covered Code in any form other than Source Code.\n\n1.7 \"Initial Developer\" means the individual or entity identified as the Initial\nDeveloper in the Source Code notice required by Exhibit A.\n\n1.8 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n   1.9 \"License\" means this document.\n\n1.10 \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n1.11 \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.12 \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.13 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.14 \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.15 \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity\n\n   2. Source Code License.\n\n2.1 The Initial Developer Grant. The Initial Developer hereby grants You a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n2.2 Contributor Grant. Subject to third party intellectual property claims,\neach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1 Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2 Availability of Source Code. Any Modification which You create or to which\nYou contribute must be made available in Source Code form under the terms\nof this License either on the same media as an Executable version or via an\naccepted Electronic Distribution Mechanism to anyone to whom you made an Executable\nversion available; and if made available via Electronic Distribution Mechanism,\nmust remain available for at least twelve (12) months after the date it initially\nbecame available, or at least six (6) months after a subsequent version of\nthat particular Modification has been made available to such recipients. You\nare responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3 Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n   3.4 Intellectual Property Matters.\n\n(a) Third Party Claims. If Contributor has actual knowledge that a license\nunder a third party\'s intellectual property rights is required to exercise\nthe rights granted by such Contributor under Sections 2.1 or 2.2, Contributor\nmust include a text file with the Source Code distribution titled \"LEGAL\"\nwhich describes the claim and the party making the claim in sufficient detail\nthat a recipient will know whom to contact. If Contributor obtains such knowledge\nafter the Modification is made available as described in Section 3.2, Contributor\nshall promptly modify the LEGAL file in all copies Contributor makes available\nthereafter.\n\n(b) Contributor API\'s. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has actual knowledge of patent licenses\nwhich are reasonably necessary to implement that API, Contributor must also\ninclude this information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n3.5 Required Notices. You must duplicate the notice in Exhibit A in each file\nof the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be most likely\nto look for such a notice. If You created one or more Modification(s) You\nmay add your name as a Contributor to the notice described in Exhibit A. You\nmust also duplicate this License in any documentation for the Source Code\nwhere You describe recipients\' rights or ownership rights relating to Covered\nCode. You may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered Code.\nHowever, You may do so only on Your own behalf, and not on behalf of the Initial\nDeveloper or any Contributor. You must make it absolutely clear that any such\nwarranty, support, indemnity or liability obligation is offered by You alone,\nand You hereby agree to indemnify the Initial Developer and every Contributor\nfor any liability (excluding any liability arising from intellectual property\nclaims relating to the Covered Code) incurred by the Initial Developer or\nsuch Contributor as a result of warranty, support, indemnity or liability\nterms You offer.\n\n3.6 Distribution of Executable Versions. You may distribute Covered Code in\nExecutable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligation\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code or ownership rights under a license of Your choice,\nwhich may contain terms different from this License, provided that You are\nin compliance with the terms of this License and that the license for the\nExecutable version does not attempt to limit or alter the recipient\'s rights\nin the Source Code version from the rights set forth in this License. If You\ndistribute the Executable version under a different license You must make\nit absolutely clear that any terms which differ from this License are offered\nby You alone, not by the Initial Developer or any Contributor. You hereby\nagree to indemnify the Initial Developer and every Contributor for any liability\n(excluding any liability arising from intellectual property claims relating\nto the Covered Code) incurred by the Initial Developer or such Contributor\nas a result of any such terms You offer.\n\n3.7 Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation. If it is impossible for\nYou to comply with any of the terms of this License with respect to some or\nall of the Covered Code due to statute, judicial order, or regulation then\nYou must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) describe the limitations and the code they affect. Such\ndescription must be included in the LEGAL file described in Section 3.4 and\nmust be included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n5. Application of this License. This License applies to code to which the\nInitial Developer has attached the notice in Exhibit A and to related Covered\nCode.\n\n   6. Versions of the License.\n\n6.1 New Versions. The Storage Networking Industry Association (the \"SNIA\")\nmay publish revised and/or new versions of the License from time to time.\nEach version will be given a distinguishing version number.\n\n6.2 Effect of New Versions. Once Covered Code has been published under a particular\nversion of the License, You may always continue to use it under the terms\nof that version. You may also choose to use such Covered Code under the terms\nof any subsequent version of the License published by the SNIA. No one other\nthan the SNIA has the right to modify the terms applicable to Covered Code\ncreated under this License.\n\n6.3 Derivative Works. If You create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), You must (a) rename Your license so that the\nphrases \"Storage Networking Industry Association,\" \"SNIA,\" or any confusingly\nsimilar phrase do not appear in your license (except to note that your license\ndiffers from this License) and (b) otherwise make it clear that Your version\nof the license contains terms which differ from the SNIA Public License. (Filling\nin the name of the Initial Developer, Original Code or Contributor in the\nnotice described in Exhibit A shall not of themselves be deemed to be modifications\nof this License.)\n\n7. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED UNDER THIS LICENSE ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,\nINCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF\nDEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE\nENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH\nYOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE\nINITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY\nSERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN\nESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER\nEXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.1 This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\na reasonable time after becoming aware of the breach. All sublicenses to the\nCovered Code which are properly granted shall survive any termination of this\nLicense. Provisions which, by their nature, must remain in effect beyond the\ntermination of this License shall survive.\n\n8.2 If You initiate litigation by asserting a patent infringement claim (excluding\ndeclaratory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that: o (a) such Participant\'s Contributor Version\ndirectly or indirectly infringes any patent, then any and all rights granted\nby such Participant to You under Sections 2.1 and/or 2.2 of this License shall,\nupon 60 days notice from Participant terminate prospectively, unless if within\n60 days after receipt of notice You either: (i) agree in writing to pay Participant\na mutually agreeable reasonable royalty for Your past and future use of Modifications\nmade by such Participant, or (ii) withdraw Your litigation claim with respect\nto the Contributor Version against such Participant. If within 60 days of\nnotice, a reasonable royalty and payment arrangement are not mutually agreed\nupon in writing by the parties or the litigation claim is not withdrawn, the\nrights granted by Participant to You under Sections 2.1 and/or 2.2 automatically\nterminate at the expiration of the 60 day notice period specified above.\n\n8.3 If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user\nlicense agreements (excluding distributors and resellers) which have been\nvalidly granted by You or any distributor hereunder prior to termination shall\nsurvive termination.\n\n9. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY,\nWHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE\nINITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE,\nOR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT,\nSPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\nWITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER\nFAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\nEVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES.\nTHIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL\nINJURY RESULTING FROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\nPROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\nLIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION\nMAY NOT APPLY TO YOU.\n\n10. U.S. GOVERNMENT END USERS. The Covered Code is a \"commercial item,\" as\nthat term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of \"commercial\ncomputer software\" and \"commercial computer software documentation,\" as such\nterms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R.\n12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government\nEnd Users acquire Covered Code with only those rights set forth herein.\n\n11. MISCELLANEOUS This License represents the complete agreement concerning\nsubject matter hereof. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed only to the extent necessary to make it enforceable.\nThis License shall be governed by California law provisions (except to the\nextent applicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded. Any law or regulation\nwhich provides that the language of a contract shall be construed against\nthe drafter shall not apply to this License.\n\n12. RESPONSIBILITY FOR CLAIMS. As between Initial Developer and the Contributors,\neach party is responsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License and You agree to work\nwith Initial Developer and Contributors to distribute such responsibility\non an equitable basis. Nothing herein is intended or shall be deemed to constitute\nany admission of liability.\n\n13. MULTIPLE-LICENSED CODE. Initial Developer may designate portions of the\nCovered Code as \"Multiple-Licensed\". \"Multiple-Licensed\" means that the Initial\nDeveloper permits you to utilize portions of the Covered Code under Your choice\nof this License or the alternative licenses, if any, specified by the Initial\nDeveloper in the file described in Exhibit A.\n\n14. ACCEPTANCE. This License is accepted by You if You retain, use, or distribute\nthe Covered Code for any purpose. EXHIBIT A The SNIA Public License.\n\nThe contents of this file are subject to the SNIA Public License Version 1.0\n(the \"License\"); you may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\nwww.snia.org/smi/developers/cim/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is .\n\nThe Initial Developer of the Original Code is [COMPLETE THIS] .\n\nContributor(s): ______________________________________.\n\nRead more about this license at http://www.snia.org/smi/developers/open_source/\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(295,'OLDAP-1.4','The OpenLDAP Public License\n\nVersion 1.4, 18 January 1999\n\nCopyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved. Note: This\nlicense is derived from the \"Artistic License\" as distributed with the Perl\nProgramming Language. As significant differences exist, the complete license\nshould be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to\nemulate subroutines and variables defined by this Package shall not be considered\npart of this Package, but are the equivalent of input as in Paragraph 6, provided\nthese subroutines do not change the behavior of the Package in any way that\nwould cause it to fail the regression tests for the Package.\n\n8. Software supplied by you and linked with this Package in order to use subroutines\nand variables defined by this Package shall not be considered part of this\nPackage and do not automatically fall under the copyright of this Package.\nExecutables produced by linking your software with this Package may be used\nand redistributed without restriction and may be sold commercially so long\nas the primary function of your software is different than the package itself.\n\n9. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:42','2021-08-27 08:51:42'),(296,'ErlPL-1.1','ERLANG PUBLIC LICENSE Version 1.1\n\n   1. Definitions.\n\n1.1. ``Contributor\'\' means each entity that creates or contributes to the\ncreation of Modifications.\n\n1.2. ``Contributor Version\'\' means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. ``Covered Code\'\' means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. ``Electronic Distribution Mechanism\'\' means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n1.5. ``Executable\'\' means Covered Code in any form other than Source Code.\n\n1.6. ``Initial Developer\'\' means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. ``Larger Work\'\' means a work which combines Covered Code or portions\nthereof with code not governed by the terms of this License.\n\n      1.8. ``License\'\' means this document.\n\n1.9. ``Modifications\'\' means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. ``Original Code\'\' means Source Code of computer software code which\nis described in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. ``Source Code\'\' means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. ``You\'\' means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License. For legal entities,\n``You\'\' includes any entity which controls, is controlled by, or is under\ncommon control with You. For purposes of this definition, ``control\'\' means\n(a) the power, direct or indirect, to cause the direction or management of\nsuch entity, whether by contract or otherwise, or (b) ownership of fifty percent\n(50%) or more of the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Original Code (or portions thereof) with or without Modifications, or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (``Utilize\'\') the Original Code (or portions\nthereof), but solely to the extent that any such patent is reasonably necessary\nto enable You to Utilize the Original Code (or portions thereof) and not to\nany greater extent that may be necessary to Utilize further Modifications\nor combinations.\n\n2.2. Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free,\nnon-exclusive license, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Modifications created by such Contributor (or portions thereof) either\non an unmodified basis, with other Modifications, as Covered Code or as part\nof a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nUtilize the Contributor Version (or portions thereof), but solely to the extent\nthat any such patent is reasonably necessary to enable You to Utilize the\nContributor Version (or portions thereof), and not to any greater extent that\nmay be necessary to Utilize further Modifications or combinations.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License, and You must include a copy of this License with every copy\nof the Source Code You distribute. You may not offer or impose any terms on\nany Source Code version that alters or restricts the applicable version of\nthis License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You contribute must\nbe made available in Source Code form under the terms of this License either\non the same media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nyou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(a) Third Party Claims. If You have knowledge that a party claims an intellectual\nproperty right in particular functionality or code (or its utilization under\nthis License), you must include a text file with the source code distribution\ntitled ``LEGAL\'\' which describes the claim and the party making the claim\nin sufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after You make Your Modification available as described in\nSection 3.2, You shall promptly modify the LEGAL file in all copies You make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Covered Code that new knowledge has been obtained.\n\n(b) Contributor APIs. If Your Modification is an application programming interface\nand You own or control patents which are reasonably necessary to implement\nthat API, you must also include this information in the LEGAL file.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code, and this License in any documentation for the Source\nCode, where You describe recipients\' rights relating to Covered Code. If You\ncreated one or more Modification(s), You may add your name as a Contributor\nto the notice described in Exhibit A. If it is not possible to put such notice\nin a particular Source Code file due to its structure, then you must include\nsuch notice in a location (such as a relevant directory file) where a user\nwould be likely to look for such a notice. You may choose to offer, and to\ncharge a fee for, warranty, support, indemnity or liability obligations to\none or more recipients of Covered Code. However, You may do so only on Your\nown behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear than any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code under a license of Your choice, which may contain\nterms different from this License, provided that You are in compliance with\nthe terms of this License and that the license for the Executable version\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nversion from the rights set forth in this License. If You distribute the Executable\nversion under a different license You must make it absolutely clear that any\nterms which differ from this License are offered by You alone, not by the\nInitial Developer or any Contributor. You hereby agree to indemnify the Initial\nDeveloper and every Contributor for any liability incurred by the Initial\nDeveloper or such Contributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n4. Inability to Comply Due to Statute or Regulation. If it is impossible for\nYou to comply with any of the terms of this License with respect to some or\nall of the Covered Code due to statute or regulation then You must: (a) comply\nwith the terms of this License to the maximum extent possible; and (b) describe\nthe limitations and the code they affect. Such description must be included\nin the LEGAL file described in Section 3.4 and must be included with all distributions\nof the Source Code. Except to the extent prohibited by statute or regulation,\nsuch description must be sufficiently detailed for a recipient of ordinary\nskill to be able to understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\n   6. CONNECTION TO MOZILLA PUBLIC LICENSE\n\nThis Erlang License is a derivative work of the Mozilla Public License, Version\n1.0. It contains terms which differ from the Mozilla Public License, Version\n1.0.\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS\'\' BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE\nDEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\nASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n   9. DISCLAIMER OF LIABILITY\n\nAny utilization of Covered Code shall not cause the Initial Developer or any\nContributor to be liable for any damages (neither direct nor indirect).\n\n   10. MISCELLANEOUS\n\nThis License represents the complete agreement concerning the subject matter\nhereof. If any provision is held to be unenforceable, such provision shall\nbe reformed only to the extent necessary to make it enforceable. This License\nshall be construed by and in accordance with the substantive laws of Sweden.\nAny dispute, controversy or claim arising out of or relating to this License,\nor the breach, termination or invalidity thereof, shall be subject to the\nexclusive jurisdiction of Swedish courts, with the Stockholm City Court as\nthe first instance.\n\nEXHIBIT A.\n\n``The contents of this file are subject to the Erlang Public License, Version\n1.1, (the \"License\"); you may not use this file except in compliance with\nthe License. You should have received a copy of the Erlang Public License\nalong with this software. If not, it can be retrieved via the world wide web\nat http://www.erlang.org/.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Initial Developer of the Original Code is Ericsson Utvecklings AB. Portions\ncreated by Ericsson are Copyright 1999, Ericsson Utvecklings AB. All Rights\nReserved.\'\'\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(297,'OLDAP-1.3','The OpenLDAP Public License\n\nVersion 1.3, 17 January 1999\n\nCopyright 1998-1999, The OpenLDAP Foundation. All Rights Reserved. Note: This\nlicense is derived from the \"Artistic License\" as distributed with the Perl\nProgramming Language. As significant differences exist, the complete license\nshould be read.\n\nPREAMBLE\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Reasonable copying fee\" is whatever you can justify on the basis of media\ncost, duplication charges, time of people involved, and so on. (You will not\nbe required to justify it to the Copyright Holder, but only to the computing\ncommunity at large as a market that must bear the fee.)\n\n\"Freely Available\" means that no fee is charged for the item itself, though\nthere may be fees involved in handling the item. It also means that recipients\nof the item may redistribute it under the same conditions they received it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain or from the Copyright Holder. A Package modified in\nsuch a way shall still be considered the Standard Version.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major archive site such as uunet.uu.net,\nor by allowing the Copyright Holder to include your modifications in the Standard\nVersion of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) accompany any non-standard executables with their corresponding Standard\nVersion executables, giving the non-standard executables non-standard names,\nand clearly documenting the differences in manual pages (or equivalent), together\nwith instructions on where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\n5. You may charge a reasonable copying fee for any distribution of this Package.\nYou may charge any fee you choose for support of this Package. You may not\ncharge a fee for this Package itself. However, you may distribute this Package\nin aggregate with other (possibly commercial) programs as part of a larger\n(possibly commercial) software distribution provided that you do not advertise\nthis Package as a product of your own.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whomever generated them, and may be sold commercially,\nand may be aggregated with this Package.\n\n7. C subroutines supplied by you and linked into this Package in order to\nemulate subroutines and variables defined by this Package shall not be considered\npart of this Package, but are the equivalent of input as in Paragraph 6, provided\nthese subroutines do not change the behavior of the Package in any way that\nwould cause it to fail the regression tests for the Package.\n\n8. Software supplied by you and linked with this Package in order to use subroutines\nand variables defined by this Package shall not be considered part of this\nPackage and do not automatically fall under the copyright of this Package,\nand the executables produced by linking your software with this Package may\nbe used and redistributed without restriction and may be sold commercially.\n\n9. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(298,'SPL-1.0','SUN PUBLIC LICENSE Version 1.0\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof\nand corresponding documentation released with the source code.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\"../ means Source Code of computer software code which\nis described in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\"../ means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ndocumentation, interface definition files, scripts used to control compilation\nand installation of an Executable, or source code differential comparisons\nagainst either the Original Code or another well known, available Covered\nCode of the Contributor\'s choice. The Source Code can be in a compressed or\narchival form, provided the appropriate decompression or de-archiving software\nis widely available for no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\"../ means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1 The Initial Developer Grant. The Initial Developer hereby grants You a\nworld-wide, royalty-free, non-exclusive license, subject to third party intellectual\nproperty claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by:\n\n            i) the modification of the Original Code or\n\nii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant. Subject to third party intellectual property claims,\neach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\nb) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters.\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"../LEGAL\'\' which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface (\"API\"../) and Contributor has knowledge of patent licenses\nwhich are reasonably necessary to implement that API, Contributor must also\ninclude this information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Covered Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Code. However,\nYou may do so only on Your own behalf, and not on behalf of the Initial Developer\nor any Contributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code or ownership rights under a license of Your choice,\nwhich may contain terms different from this License, provided that You are\nin compliance with the terms of this License and that the license for the\nExecutable version does not attempt to limit or alter the recipient\'s rights\nin the Source Code version from the rights set forth in this License. If You\ndistribute the Executable version under a different license You must make\nit absolutely clear that any terms which differ from this License are offered\nby You alone, not by the Initial Developer or any Contributor. You hereby\nagree to indemnify the Initial Developer and every Contributor for any liability\nincurred by the Initial Developer or such Contributor as a result of any such\nterms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n6.1. New Versions. Sun Microsystems, Inc. (\"Sun\") may publish revised and/or\nnew versions of the License from time to time. Each version will be given\na distinguishing version number.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by Sun. No one\nother than Sun has the right to modify the terms applicable to Covered Code\ncreated under this License.\n\n6.3. Derivative Works. If You create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), You must: (a) rename Your license so that\nthe phrases \"Sun,\" \"Sun Public License,\" or \"SPL\"../ or any confusingly similar\nphrase do not appear in your license (except to note that your license differs\nfrom this License) and (b) otherwise make it clear that Your version of the\nlicense contains terms which differ from the Sun Public License. (Filling\nin the name of the Initial Developer, Original Code or Contributor in the\nnotice described in Exhibit A shall not of themselves be deemed to be modifications\nof this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"../AS IS\'\' BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE\nDEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\nASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclaratory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\"../ as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as ?Multiple-Licensed?.\n?Multiple-Licensed? means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the alternative licenses,\nif any, specified by the Initial Developer in the file described in Exhibit\nA. Exhibit A -Sun Public License Notice.\n\nThe contents of this file are subject to the Sun Public License Version 1.0\n(the License); you may not use this file except in compliance with the License.\nA copy of the License is available at http://www.sun.com/\n\nThe Original Code is _________________ . The Initial Developer of the Original\nCode is ___________ . Portions created by ______ are Copyright (C) _________\n. All Rights Reserved.\n\nContributor(s): ______________________________________ .\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the ?[___] License? ), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the SPL, indicate your\ndecision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe SPL or the [___] License.\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(299,'OpenSSL','OpenSSL License\n\nCopyright (c) 1998-2008 The OpenSSL Project. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgment: \"This product includes software developed\nby the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)\"\n\n4. The names \"OpenSSL Toolkit\" and \"OpenSSL Project\" must not be used to endorse\nor promote products derived from this software without prior written permission.\nFor written permission, please contact openssl-core@openssl.org.\n\n5. Products derived from this software may not be called \"OpenSSL\" nor may\n\"OpenSSL\" appear in their names without prior written permission of the OpenSSL\nProject.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment:\n\"This product includes software developed by the OpenSSL Project for use in\nthe OpenSSL Toolkit (http://www.openssl.org/)\"\n\nTHIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis product includes cryptographic software written by Eric Young (eay@cryptsoft.com).\nThis product includes software written by Tim Hudson (tjh@cryptsoft.com).\nOriginal SSLeay License\n\nCopyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)\n\nAll rights reserved.\n\nThis package is an SSL implementation written by Eric Young (eay@cryptsoft.com).\nThe implementation was written so as to conform with Netscapes SSL.\n\nThis library is free for commercial and non-commercial use as long as the\nfollowing conditions are aheared to. The following conditions apply to all\ncode found in this distribution, be it the RC4, RSA, lhash, DES, etc., code;\nnot just the SSL code. The SSL documentation included with this distribution\nis covered by the same copyright terms except that the holder is Tim Hudson\n(tjh@cryptsoft.com).\n\nCopyright remains Eric Young\'s, and as such any Copyright notices in the code\nare not to be removed. If this package is used in a product, Eric Young should\nbe given attribution as the author of the parts of the library used. This\ncan be in the form of a textual message at program startup or in documentation\n(online or textual) provided with the package.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the copyright notice, this list\nof conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgement:\n\n\"This product includes cryptographic software written by Eric Young (eay@cryptsoft.com)\"\n\nThe word \'cryptographic\' can be left out if the rouines from the library being\nused are not cryptographic related :-).\n\n4. If you include any Windows specific code (or a derivative thereof) from\nthe apps directory (application code) you must include an acknowledgement:\n\"This product includes software written by Tim Hudson (tjh@cryptsoft.com)\"\n\nTHIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS\'\' AND ANY EXPRESS OR IMPLIED\nWARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE\nAUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\nEXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT\nOF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS\nINTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\nSUCH DAMAGE.\n\nThe licence and distribution terms for any publically available version or\nderivative of this code cannot be changed. i.e. this code cannot simply be\ncopied and put under another distribution licence [including the GNU Public\nLicence.]\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(300,'MS-RL','Microsoft Reciprocal License (Ms-RL)\n\nThis license governs use of the accompanying software. If you use the software,\nyou accept this license. If you do not accept the license, do not use the\nsoftware.\n\n   1. Definitions\n\nThe terms \"reproduce,\" \"reproduction,\" \"derivative works,\" and \"distribution\"\nhave the same meaning here as under U.S. copyright law.\n\nA \"contribution\" is the original software, or any additions or changes to\nthe software.\n\nA \"contributor\" is any person that distributes its contribution under this\nlicense.\n\n\"Licensed patents\" are a contributor\'s patent claims that read directly on\nits contribution.\n\n   2. Grant of Rights\n\n(A) Copyright Grant- Subject to the terms of this license, including the license\nconditions and limitations in section 3, each contributor grants you a non-exclusive,\nworldwide, royalty-free copyright license to reproduce its contribution, prepare\nderivative works of its contribution, and distribute its contribution or any\nderivative works that you create.\n\n(B) Patent Grant- Subject to the terms of this license, including the license\nconditions and limitations in section 3, each contributor grants you a non-exclusive,\nworldwide, royalty-free license under its licensed patents to make, have made,\nuse, sell, offer for sale, import, and/or otherwise dispose of its contribution\nin the software or derivative works of the contribution in the software.\n\n   3. Conditions and Limitations\n\n(A) Reciprocal Grants- For any file you distribute that contains code from\nthe software (in source code or binary format), you must provide recipients\nthe source code to that file along with a copy of this license, which license\nwill govern that file. You may license other files that are entirely your\nown work and do not contain code from the software under any terms you choose.\n\n(B) No Trademark License- This license does not grant you rights to use any\ncontributors\' name, logo, or trademarks.\n\n(C) If you bring a patent claim against any contributor over patents that\nyou claim are infringed by the software, your patent license from such contributor\nto the software ends automatically.\n\n(D) If you distribute any portion of the software, you must retain all copyright,\npatent, trademark, and attribution notices that are present in the software.\n\n(E) If you distribute any portion of the software in source code form, you\nmay do so only under this license by including a complete copy of this license\nwith your distribution. If you distribute any portion of the software in compiled\nor object code form, you may only do so under a license that complies with\nthis license.\n\n(F) The software is licensed \"as-is.\" You bear the risk of using it. The contributors\ngive no express warranties, guarantees, or conditions. You may have additional\nconsumer rights under your local laws which this license cannot change. To\nthe extent permitted under your local laws, the contributors exclude the implied\nwarranties of merchantability, fitness for a particular purpose and non-infringement.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(301,'SMLNJ','STANDARD ML OF NEW JERSEY COPYRIGHT NOTICE, LICENSE AND DISCLAIMER.\n\nCopyright (c) 2001-2011 by The Fellowship of SML/NJ\n\nCopyright (c) 1989-2001 by Lucent Technologies\n\nPermission to use, copy, modify, and distribute this software and its documentation\nfor any purpose and without fee is hereby granted, provided that the above\ncopyright notice appear in all copies and that both the copyright notice and\nthis permission notice and warranty disclaimer appear in supporting documentation,\nand that the name of Lucent Technologies, Bell Labs or any Lucent entity not\nbe used in advertising or publicity pertaining to distribution of the software\nwithout specific, written prior permission.\n\nLucent disclaims all warranties with regard to this software, including all\nimplied warranties of merchantability and fitness. In no event shall Lucent\nbe liable for any special, indirect or consequential damages or any damages\nwhatsoever resulting from loss of use, data or profits, whether in an action\nof contract, negligence or other tortious action, arising out of or in connection\nwith the use or performance of this software.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(302,'eGenix','EGENIX.COM PUBLIC LICENSE AGREEMENT\n\nVersion 1.1.0 This license agreement is based on the Python CNRI License Agreement,\na widely accepted open- source license.\n\n   1. Introduction\n\nThis \"License Agreement\" is between eGenix.com Software, Skills and Services\nGmbH (\"eGenix.com\"), having an office at Pastor-Loeh-Str. 48, D-40764 Langenfeld,\nGermany, and the Individual or Organization (\"Licensee\") accessing and otherwise\nusing this software in source or binary form and its associated documentation\n(\"the Software\").\n\n   2. License\n\nSubject to the terms and conditions of this eGenix.com Public License Agreement,\neGenix.com hereby grants Licensee a non-exclusive, royalty-free, world-wide\nlicense to reproduce, analyze, test, perform and/or display publicly, prepare\nderivative works, distribute, and otherwise use the Software alone or in any\nderivative version, provided, however, that the eGenix.com Public License\nAgreement is retained in the Software, or in any derivative version of the\nSoftware prepared by Licensee.\n\n   3. NO WARRANTY\n\neGenix.com is making the Software available to Licensee on an \"AS IS\" basis.\nSUBJECT TO ANY STATUTORY WARRANTIES WHICH CAN NOT BE EXCLUDED, EGENIX.COM\nMAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF EXAMPLE,\nBUT NOT LIMITATION, EGENIX.COM MAKES NO AND DISCLAIMS ANY REPRESENTATION OR\nWARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT\nTHE USE OF THE SOFTWARE WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.\n\n   4. LIMITATION OF LIABILITY\n\nEGENIX.COM SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF THE SOFTWARE\nFOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS (INCLUDING,\nWITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION,\nLOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) AS A RESULT OF USING,\nMODIFYING OR DISTRIBUTING THE SOFTWARE, OR ANY DERIVATIVE THEREOF, EVEN IF\nADVISED OF THE POSSIBILITY THEREOF. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\nOR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE EXCLUSION\nOR LIMITATION MAY NOT APPLY TO LICENSEE.\n\n   5. Termination\n\nThis License Agreement will automatically terminate upon a material breach\nof its terms and conditions.\n\n   6. Third Party Rights\n\nAny software or documentation in source or binary form provided along with\nthe Software that is associated with a separate license agreement is licensed\nto Licensee under the terms of that license agreement. This License Agreement\ndoes not apply to those portions of the Software. Copies of the third party\nlicenses are included in the Software Distribution.\n\n   7. General\n\nNothing in this License Agreement affects any statutory rights of consumers\nthat cannot be waived or limited by contract.\n\nNothing in this License Agreement shall be deemed to create any relationship\nof agency, partnership, or joint venture between eGenix.com and Licensee.\n\nIf any provision of this License Agreement shall be unlawful, void, or for\nany reason unenforceable, such provision shall be modified to the extent necessary\nto render it enforceable without losing its intent, or, if no such modification\nis possible, be severed from this License Agreement and shall not affect the\nvalidity and enforceability of the remaining provisions of this License Agreement.\n\nThis License Agreement shall be governed by and interpreted in all respects\nby the law of Germany, excluding conflict of law provisions. It shall not\nbe governed by the United Nations Convention on Contracts for International\nSale of Goods. This License Agreement does not grant permission to use eGenix.com\ntrademarks or trade names in a trademark sense to endorse or promote products\nor services of Licensee, or any third party.\n\nThe controlling language of this License Agreement is English. If Licensee\nhas received a translation into another language, it has been provided for\nLicensee\'s convenience only.\n\n   8. Agreement\n\nBy downloading, copying, installing or otherwise using the Software, Licensee\nagrees to be bound by the terms and conditions of this License Agreement.\nFor question regarding this License Agreement, please write to:\n\neGenix.com Software, Skills and Services GmbH\n\nPastor-Loeh-Str. 48\n\nD-40764 Langenfeld\n\nGermany\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(303,'CDLA-Permissive-1.0','Community Data License Agreement - Permissive - Version 1.0\n\nThis is the Community Data License Agreement - Permissive, Version 1.0 (\"Agreement\").\nData is provided to You under this Agreement by each of the Data Providers.\nYour exercise of any of the rights and permissions granted below constitutes\nYour acceptance and agreement to be bound by the terms and conditions of this\nAgreement.\n\nThe benefits that each Data Provider receives from making Data available and\nthat You receive from Data or otherwise under these terms and conditions shall\nbe deemed sufficient consideration for the formation of this Agreement. Accordingly,\nData Provider(s) and You (the \"Parties\") agree as follows:\n\n   Section 1. Definitions\n\n1.1 \"Add\" means to supplement Data with Your own or someone else\'s Data, resulting\nin Your \"Additions.\" Additions do not include Results.\n\n1.2 \"Computational Use\" means Your analysis (through the use of computational\ndevices or otherwise) or other interpretation of Data. By way of example and\nnot limitation, \"Computational Use\" includes the application of any computational\nanalytical technique, the purpose of which is the analysis of any Data in\ndigital form to generate information about Data such as patterns, trends,\ncorrelations, inferences, insights and attributes.\n\n1.3 \"Data\" means the information (including copyrightable information, such\nas images or text), collectively or individually, whether created or gathered\nby a Data Provider or an Entity acting on its behalf, to which rights are\ngranted under this Agreement.\n\n1.4 \"Data Provider\" means any Entity (including any employee or contractor\nof such Entity authorized to Publish Data on behalf of such Entity) that Publishes\nData under this Agreement prior to Your Receiving it.\n\n1.5 \"Enhanced Data\" means the subset of Data that You Publish and that is\ncomposed of (a) Your Additions and/or (b) Modifications to Data You have received\nunder this Agreement.\n\n1.6 \"Entity\" means any natural person or organization that exists under the\nlaws of the jurisdiction in which it is organized, together with all other\nentities that control, are controlled by, or are under common control with\nthat entity. For the purposes of this definition, \"control\" means (a) the\npower, directly or indirectly, to cause the direction or management of such\nentity, whether by contract or otherwise, (b) the ownership of more than fifty\npercent (50%) of the outstanding shares or securities, (c) the beneficial\nownership of such entity or, (d) the ability to appoint, whether by agreement\nor right, the majority of directors of an Entity.\n\n1.7 \"Modify\" means to delete, erase, correct or re-arrange Data, resulting\nin \"Modifications.\" Modifications do not include Results.\n\n1.8 \"Publish\" means to make all or a subset of Data (including Your Enhanced\nData) available in any manner which enables its Use, including by providing\na copy on physical media or remote access. For any form of Entity, that is\nto make the Data available to any individual who is not employed by that Entity\nor engaged as a contractor or agent to perform work on that Entity\'s behalf.\nA \"Publication\" occurs each time You Publish Data.\n\n1.9 \"Receive\" or \"Receives\" means to have been given access to Data, locally\nor remotely.\n\n1.10 \"Results\" means the outcomes or outputs that You obtain from Your Computational\nUse of Data. Results shall not include more than a de minimis portion of the\nData on which the Computational Use is based.\n\n1.11 \"Sui Generis Database Rights\" means rights, other than copyright, resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other equivalent rights anywhere in the world.\n\n1.12 \"Use\" means using Data (including accessing, copying, studying, reviewing,\nadapting, analyzing, evaluating, or making Computational Use of it), either\nby machines or humans, or a combination of both.\n\n1.13 \"You\" or \"Your\" means any Entity that Receives Data under this Agreement.\n\n   Section 2. Right and License to Use and to Publish\n\n2.1 Subject to the conditions set forth in Section 3 of this Agreement, Data\nProvider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable\n(except as provided in Section 5) right to: (a) Use Data; and (b) Publish\nData.\n\n2.2 To the extent that the Data or the coordination, selection or arrangement\nof Data is protected or protectable under copyright, Sui Generis Database\nRights, or other law, Data Provider(s) further agree(s) that such Data or\ncoordination, selection or arrangement is hereby licensed to You and to anyone\nelse who Receives Data under this Agreement for Use and Publication, subject\nto the conditions set forth in Section 3 of this Agreement.\n\n2.3 Except for these rights and licenses expressly granted, no other intellectual\nproperty rights are granted or should be implied.\n\n   Section 3. Conditions on Rights Granted\n\n      3.1 If You Publish Data You Receive or Enhanced Data:\n\n(a) You may do so under a license of Your choice provided that You give anyone\nwho Receives the Data from You the text of this Agreement, the name of this\nAgreement and/or a hyperlink or other method reasonably likely to provide\na copy of the text of this Agreement; and\n\n(b) You must cause any Data files containing Enhanced Data to carry prominent\nnotices that You have changed those files; and\n\n(c) If You Publish Data You Receive, You must preserve all credit or attribution\nto the Data Provider(s). Such retained credit or attribution includes any\nof the following to the extent they exist in Data as You have Received it:\nlegal notices or metadata; identification of the Data Provider(s); or hyperlinks\nto Data to the extent it is practical to do so.\n\n3.2 You may provide additional or different license terms and conditions for\nuse, reproduction, or distribution of that Enhanced Data, or for any combination\nof Data and Enhanced Data as a whole, provided that Your Use and Publication\nof that combined Data otherwise complies with the conditions stated in this\nLicense.\n\n3.3 You and each Data Provider agree that Enhanced Data shall not be considered\na work of joint authorship by virtue of its relationship to Data licensed\nunder this Agreement and shall not require either any obligation of accounting\nto or the consent of any Data Provider.\n\n3.4 This Agreement imposes no obligations or restrictions on Your Use or Publication\nof Results.\n\n   Section 4. Data Provider(s)\' Representations\n\n4.1 Each Data Provider represents that the Data Provider has exercised reasonable\ncare, to assure that: (a) the Data it Publishes was created or generated by\nit or was obtained from others with the right to Publish the Data under this\nAgreement; and (b) Publication of such Data does not violate any privacy or\nconfidentiality obligation undertaken by the Data Provider.\n\n   Section 5. Termination\n\n5.1 All of Your rights under this Agreement will terminate, and Your right\nto Receive, Use or Publish the Data will be revoked or modified if You materially\nfail to comply with the terms and conditions of this Agreement and You do\nnot cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If Your rights under this Agreement terminate, You\nagree to cease Receipt, Use and Publication of Data. However, Your obligations\nand any rights and permissions granted by You under this Agreement relating\nto Data that You Published prior to such termination will continue and survive.\n\n5.2 If You institute litigation against a Data Provider or anyone else who\nReceives the Data (including a cross-claim in a lawsuit) based on the Data,\nother than a claim asserting breach of this Agreement, then any rights previously\ngranted to You to Receive, Use and Publish Data under this Agreement will\nterminate as of the date such litigation is filed.\n\n   Section 6. Disclaimer of Warranties and Limitation of Liability\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED\nDATA) IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF\nANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\nOR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A\nPARTICULAR PURPOSE.\n\n6.2 NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING\nWITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\nWHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE\nOF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGES.\n\n   Section 7. Miscellaneous\n\n7.1 You agree that it is solely Your responsibility to comply with all applicable\nlaws with regard to Your Use or Publication of Data, including any applicable\nprivacy, data protection, security and export laws. You agree to take reasonable\nsteps to assist a Data Provider fulfilling responsibilities to comply with\napplicable laws with regard to Use or Publication of Data Received hereunder.\n\n7.2 You and Data Provider(s), collectively and individually, waive and/or\nagree not to assert, to the extent permitted by law, any moral rights You\nor they hold in Data.\n\n7.3 This Agreement confers no rights or remedies upon any person or entity\nother than the Parties and their respective heirs, executors, successors and\nassigns.\n\n7.4 The Data Provider(s) reserve no right or expectation of privacy, data\nprotection or confidentiality in any Data that they Publish under this Agreement.\nIf You choose to Publish Data under this Agreement, You similarly do so with\nno reservation or expectation of any rights of privacy or confidentiality\nin that Data.\n\n7.5 The Community Data License Agreement workgroup under The Linux Foundation\nis the steward of this Agreement (\"Steward\"). No one other than the Steward\nhas the right to modify or publish new versions of this Agreement. Each version\nwill be given a distinguishing version number. You may Use and Publish Data\nReceived hereunder under the terms of the version of the Agreement under which\nYou originally Received the Data, or under the terms of any subsequent version\npublished by the Steward.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(304,'SGI-B-1.0','SGI FREE SOFTWARE LICENSE B\n\n(Version 1.0 1/25/2000)\n\n   1. Definitions.\n\n1.1 \"Additional Notice Provisions\" means such additional provisions as appear\nin the Notice in Original Code under the heading \"Additional Notice Provisions.\"\n\n1.2 \"API\" means an application programming interface established by SGI in\nconjunction with the Original Code.\n\n1.3 \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4 \"Hardware\" means any physical device that accepts input, processes input,\nstores the results of processing, and/or provides output.\n\n1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.6 \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n      1.7 \"License\" means this document.\n\n1.8 \"Modifications\" means any addition to the substance or structure of the\nOriginal Code and/or any addition to or deletion from previous Modifications.\nWhen Covered Code is released as a series of files, a Modification is:\n\nA. Any addition to the contents of a file containing Original Code and/or\nany addition to or deletion from previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.9 \"Notice\" means any notice in Original Code or Covered Code, as required\nby and in compliance with this License.\n\n1.10 \"Original Code\" means source code of computer software code which is\ndescribed in the source code Notice required by Exhibit A as Original Code,\nand updates and error corrections specifically thereto.\n\n1.11 \"Recipient\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 8. For legal entities, \"Recipient\" includes\nany entity which controls, is controlled by, or is under common control with\nRecipient. For purposes of this definition, \"control\" of an entity means (a)\nthe power, direct or indirect, to direct or manage such entity, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n      1.12 SGI\" means Silicon Graphics, Inc.\n\n   2. License Grant and Restrictions.\n\n2.1 License Grant. Subject to the provisions of this License and any third\nparty intellectual property claims, for the duration of intellectual property\nprotections inherent in the Original Code, SGI hereby grants Recipient a worldwide,\nroyalty-free, non-exclusive license, to do the following: (i) under copyrights\nLicensable by SGI, to reproduce, distribute, create derivative works from,\nand, to the extent applicable, display and perform the Original Code alone\nand/or as part of a Larger Work; and (ii) under any patent claims Licensable\nby SGI and embodied in the Original Code, to make, have made, use, practice,\nsell, and offer for sale, and/or otherwise dispose of the Original Code. Recipient\naccepts the terms and conditions of this License by undertaking any of the\naforementioned actions.\n\n2.2 Restriction on Patent License. Notwithstanding the provisions of Section\n2.1(ii), no patent license is granted: 1) separate from the Original Code;\nnor 2) for infringements caused by (i) modification of the Original Code,\nor (ii) the combination of the Original Code with other software or Hardware.\n\n2.3 No License For Hardware Implementations. The licenses granted in Section\n2.1 are not applicable to implementation in Hardware of the algorithms embodied\nin the Original Code.\n\n2.4 Modifications License and API Compliance. Modifications are only licensed\nunder Section 2.1(i) to the extent such Modifications are fully compliant\nwith any API as may be identified in Additional Notice Provisions as appear\nin the Original Code.\n\n   3. Redistributions.\n\nA. Retention of Notice/Copy of License. The Notice set forth in Exhibit A,\nbelow, must be conspicuously retained or included in any and all redistributions\nof Covered Code. For distributions of the Covered Code in source code form,\nthe Notice must appear in every file that can include a text comments field;\nin executable form, the Notice and a copy of this License must appear in related\ndocumentation or collateral where the Recipient\'s rights relating to Covered\nCode are described. Any Additional Notice Provisions which actually appears\nin the Original Code must also be retained or included in any and all redistributions\nof Covered Code.\n\nB. Alternative License. Provided that Recipient is in compliance with the\nterms of this License, Recipient may distribute the source code and/or executable\nversion(s) of Covered Code under (1) this License; (2) a license identical\nto this License but for only such changes as are necessary in order to clarify\nRecipient\'s role as licensor of Modifications, without derogation of any of\nSGI\'s rights; and/or (3) a license of Recipient\'s choosing, containing terms\ndifferent from this License, provided that the license terms include this\nSection 3 and Sections 4, 6, 7, 10, 12, and 13, which terms may not be modified\nor superseded by any other terms of such license. If Recipient elects to use\nany license other than this License, Recipient must make it absolutely clear\nthat any of its terms which differ from this License are offered by Recipient\nalone, and not by SGI.\n\nC. Indemnity. Recipient hereby agrees to indemnify SGI for any liability incurred\nby SGI as a result of any such alternative license terms Recipient offers.\n\n4. Termination. This License and the rights granted hereunder will terminate\nautomatically if Recipient breaches any term herein and fails to cure such\nbreach within 30 days thereof. Any sublicense to the Covered Code that is\nproperly granted shall survive any termination of this License, absent termination\nby the terms of such sublicense. Provisions that, by their nature, must remain\nin effect beyond the termination of this License, shall survive.\n\n5. No Trademark Or Other Rights. This License does not grant any rights to:\n(i) any software apart from the Covered Code, nor shall any other rights or\nlicenses not expressly granted hereunder arise by implication, estoppel or\notherwise with respect to the Covered Code; (ii) any trade name, trademark\nor service mark whatsoever, including without limitation any related right\nfor purposes of endorsement or promotion of products derived from the Covered\nCode, without prior written permission of SGI; or (iii) any title to or ownership\nof the Original Code, which shall at all times remains with SGI. All rights\nin the Original Code not expressly granted under this License are reserved.\n\n6. Compliance with Laws; Non-Infringement. Recipient hereby assures that it\nshall comply with all applicable laws, regulations, and executive orders,\nin connection with any and all dispositions of Covered Code, including but\nnot limited to, all export, re-export, and import control laws, regulations,\nand executive orders, of the U.S. government and other countries. Recipient\nmay not distribute Covered Code that (i) in any way infringes (directly or\ncontributorily) the rights (including patent, copyright, trade secret, trademark\nor other intellectual property rights of any kind) of any other person or\nentity or (ii) breaches any representation or warranty, express, implied or\nstatutory, to which, under any applicable law, it might be deemed to have\nbeen subject.\n\n7. Claims of Infringement. If Recipient learns of any third party claim that\nany disposition of Covered Code and/or functionality wholly or partially infringes\nthe third party\'s intellectual property rights, Recipient will promptly notify\nSGI of such claim.\n\n8. Versions of the License. SGI may publish revised and/or new versions of\nthe License from time to time, each with a distinguishing version number.\nOnce Covered Code has been published under a particular version of the License,\nRecipient may, for the duration of the license, continue to use it under the\nterms of that version, or choose to use such Covered Code under the terms\nof any subsequent version published by SGI. Subject to the provisions of Sections\n3 and 4 of this License, only SGI may modify the terms applicable to Covered\nCode created under this License.\n\n9. DISCLAIMER OF WARRANTY. COVERED CODE IS PROVIDED \"AS IS.\" ALL EXPRESS AND\nIMPLIED WARRANTIES AND CONDITIONS ARE DISCLAIMED, INCLUDING, WITHOUT LIMITATION,\nANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY,\nFITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. SGI ASSUMES NO RISK\nAS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE. SHOULD THE SOFTWARE PROVE\nDEFECTIVE IN ANY RESPECT, SGI ASSUMES NO COST OR LIABILITY FOR SERVICING,\nREPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY IS AN ESSENTIAL PART OF\nTHIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT SUBJECT\nTO THIS DISCLAIMER.\n\n10. LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES NOR LEGAL THEORY, WHETHER\nTORT (INCLUDING, WITHOUT LIMITATION, NEGLIGENCE OR STRICT LIABILITY), CONTRACT,\nOR OTHERWISE, SHALL SGI OR ANY SGI LICENSOR BE LIABLE FOR ANY DIRECT, INDIRECT,\nSPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\nWITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, LOSS OF DATA,\nCOMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR\nLOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF\nSUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR\nDEATH OR PERSONAL INJURY RESULTING FROM SGI\'s NEGLIGENCE TO THE EXTENT APPLICABLE\nLAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION\nOR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND\nLIMITATION MAY NOT APPLY TO RECIPIENT.\n\n11. Indemnity. Recipient shall be solely responsible for damages arising,\ndirectly or indirectly, out of its utilization of rights under this License.\nRecipient will defend, indemnify and hold harmless Silicon Graphics, Inc.\nfrom and against any loss, liability, damages, costs or expenses (including\nthe payment of reasonable attorneys fees) arising out of Recipient\'s use,\nmodification, reproduction and distribution of the Covered Code or out of\nany representation or warranty made by Recipient.\n\n12. U.S. Government End Users. The Covered Code is a \"commercial item\" consisting\nof \"commercial computer software\" as such terms are defined in title 48 of\nthe Code of Federal Regulations and all U.S. Government End Users acquire\nonly the rights set forth in this License and are subject to the terms of\nthis License.\n\n13. Miscellaneous. This License represents the complete agreement concerning\nthe its subject matter. If any provision of this License is held to be unenforceable,\nsuch provision shall be reformed so as to achieve as nearly as possible the\nsame legal and economic effect as the original provision and the remainder\nof this License will remain in effect. This License shall be governed by and\nconstrued in accordance with the laws of the United States and the State of\nCalifornia as applied to agreements entered into and to be performed entirely\nwithin California between California residents. Any litigation relating to\nthis License shall be subject to the exclusive jurisdiction of the Federal\nCourts of the Northern District of California (or, absent subject matter jurisdiction\nin such courts, the courts of the State of California), with venue lying exclusively\nin Santa Clara County, California, with the losing party responsible for costs,\nincluding without limitation, court costs and reasonable attorneys fees and\nexpenses. The application of the United Nations Convention on Contracts for\nthe International Sale of Goods is expressly excluded. Any law or regulation\nwhich provides that the language of a contract shall be construed against\nthe drafter shall not apply to this License. Exhibit A\n\nLicense Applicability. Except to the extent portions of this file are made\nsubject to an alternative license as permitted in the SGI Free Software License\nB, Version 1.0 (the \"License\"), the contents of this file are subject only\nto the provisions of the License. You may not use this file except in compliance\nwith the License. You may obtain a copy of the License at Silicon Graphics,\nInc., attn: Legal Services, 1600 Ampitheatre Parkway, Mountain View, CA 94043-1351,\nor at:\n\nhttp://oss.sgi.com/projects/FreeB\n\nNote that, as provided in the License, the Software is distributed on an \"AS\nIS\" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS DISCLAIMED,\nINCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND CONDITIONS OF MERCHANTABILITY,\nSATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.\n\nOriginal Code. The Original Code is: [ name of software , version number ,\nand release date ] , developed by Silicon Graphics, Inc. The Original Code\nis Copyright (c) [ dates of first publication, as appearing in the Notice\nin the Original Code ] Silicon Graphics, Inc. Copyright in any portions created\nby third parties is as indicated elsewhere herein. All Rights Reserved.\n\nAdditional Notice Provisions: [ such additional provisions, if any, as appear\nin the Notice in the Original Code under the heading \"Additional Notice Provisions\"\n]\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(305,'Apache-1.0','Copyright (c) 1995-1999 The Apache Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgment: \"This product includes software developed\nby the Apache Group for use in the Apache HTTP server project (http://www.apache.org/)\n.\"\n\n4. The name \"Apache Server\" and \"Apache Group\" must not be used to endorse\nor promote products derived from this software without prior written permission.\nFor written permission, please contact apache@apache.org .\n\n5. Products derived from this software may not be called \"Apache\" nor may\n\"Apache\" appear in their name, without prior written permission of the Apache\nGroup .\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment:\n\n\"This product includes software developed by the Apache Group for use in the\nApache HTTP server project (http://www.apache.org/) .\"\n\nTHIS SOFTWARE IS PROVIDED BY THE APACHE GROUP ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE APACHE GROUP OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals\non behalf of the Apache Group and was originally based on public domain software\nwritten at the National Center for Supercomputing Applications, University\nof Illinois, Urbana-Champaign. For more information on the Apache Group and\nthe Apache HTTP server project, please see <http://www.apache.org/>.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(306,'CC0-1.0','Creative Commons Legal Code\n\nCC0 1.0 Universal CREATIVE COMMONS CORPORATION IS NOT A LAW FIRM AND DOES\nNOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS DOCUMENT DOES NOT CREATE\nAN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS PROVIDES THIS INFORMATION\nON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES REGARDING THE USE\nOF THIS DOCUMENT OR THE INFORMATION OR WORKS PROVIDED HEREUNDER, AND DISCLAIMS\nLIABILITY FOR DAMAGES RESULTING FROM THE USE OF THIS DOCUMENT OR THE INFORMATION\nOR WORKS PROVIDED HEREUNDER.\n\nStatement of Purpose\n\nThe laws of most jurisdictions throughout the world automatically confer exclusive\nCopyright and Related Rights (defined below) upon the creator and subsequent\nowner(s) (each and all, an \"owner\") of an original work of authorship and/or\na database (each, a \"Work\").\n\nCertain owners wish to permanently relinquish those rights to a Work for the\npurpose of contributing to a commons of creative, cultural and scientific\nworks (\"Commons\") that the public can reliably and without fear of later claims\nof infringement build upon, modify, incorporate in other works, reuse and\nredistribute as freely as possible in any form whatsoever and for any purposes,\nincluding without limitation commercial purposes. These owners may contribute\nto the Commons to promote the ideal of a free culture and the further production\nof creative, cultural and scientific works, or to gain reputation or greater\ndistribution for their Work in part through the use and efforts of others.\n\nFor these and/or other purposes and motivations, and without any expectation\nof additional consideration or compensation, the person associating CC0 with\na Work (the \"Affirmer\"), to the extent that he or she is an owner of Copyright\nand Related Rights in the Work, voluntarily elects to apply CC0 to the Work\nand publicly distribute the Work under its terms, with knowledge of his or\nher Copyright and Related Rights in the Work and the meaning and intended\nlegal effect of CC0 on those rights.\n\n1. Copyright and Related Rights. A Work made available under CC0 may be protected\nby copyright and related or neighboring rights (\"Copyright and Related Rights\").\nCopyright and Related Rights include, but are not limited to, the following:\n\ni. the right to reproduce, adapt, distribute, perform, display, communicate,\nand translate a Work;\n\n      ii. moral rights retained by the original author(s) and/or performer(s);\n\niii. publicity and privacy rights pertaining to a person\'s image or likeness\ndepicted in a Work;\n\niv. rights protecting against unfair competition in regards to a Work, subject\nto the limitations in paragraph 4(a), below;\n\nv. rights protecting the extraction, dissemination, use and reuse of data\nin a Work;\n\nvi. database rights (such as those arising under Directive 96/9/EC of the\nEuropean Parliament and of the Council of 11 March 1996 on the legal protection\nof databases, and under any national implementation thereof, including any\namended or successor version of such directive); and\n\nvii. other similar, equivalent or corresponding rights throughout the world\nbased on applicable law or treaty, and any national implementations thereof.\n\n2. Waiver. To the greatest extent permitted by, but not in contravention of,\napplicable law, Affirmer hereby overtly, fully, permanently, irrevocably and\nunconditionally waives, abandons, and surrenders all of Affirmer\'s Copyright\nand Related Rights and associated claims and causes of action, whether now\nknown or unknown (including existing as well as future claims and causes of\naction), in the Work (i) in all territories worldwide, (ii) for the maximum\nduration provided by applicable law or treaty (including future time extensions),\n(iii) in any current or future medium and for any number of copies, and (iv)\nfor any purpose whatsoever, including without limitation commercial, advertising\nor promotional purposes (the \"Waiver\"). Affirmer makes the Waiver for the\nbenefit of each member of the public at large and to the detriment of Affirmer\'s\nheirs and successors, fully intending that such Waiver shall not be subject\nto revocation, rescission, cancellation, termination, or any other legal or\nequitable action to disrupt the quiet enjoyment of the Work by the public\nas contemplated by Affirmer\'s express Statement of Purpose.\n\n3. Public License Fallback. Should any part of the Waiver for any reason be\njudged legally invalid or ineffective under applicable law, then the Waiver\nshall be preserved to the maximum extent permitted taking into account Affirmer\'s\nexpress Statement of Purpose. In addition, to the extent the Waiver is so\njudged Affirmer hereby grants to each affected person a royalty-free, non\ntransferable, non sublicensable, non exclusive, irrevocable and unconditional\nlicense to exercise Affirmer\'s Copyright and Related Rights in the Work (i)\nin all territories worldwide, (ii) for the maximum duration provided by applicable\nlaw or treaty (including future time extensions), (iii) in any current or\nfuture medium and for any number of copies, and (iv) for any purpose whatsoever,\nincluding without limitation commercial, advertising or promotional purposes\n(the \"License\"). The License shall be deemed effective as of the date CC0\nwas applied by Affirmer to the Work. Should any part of the License for any\nreason be judged legally invalid or ineffective under applicable law, such\npartial invalidity or ineffectiveness shall not invalidate the remainder of\nthe License, and in such case Affirmer hereby affirms that he or she will\nnot (i) exercise any of his or her remaining Copyright and Related Rights\nin the Work or (ii) assert any associated claims and causes of action with\nrespect to the Work, in either case contrary to Affirmer\'s express Statement\nof Purpose.\n\n   4. Limitations and Disclaimers.\n\na. No trademark or patent rights held by Affirmer are waived, abandoned, surrendered,\nlicensed or otherwise affected by this document.\n\nb. Affirmer offers the Work as-is and makes no representations or warranties\nof any kind concerning the Work, express, implied, statutory or otherwise,\nincluding without limitation warranties of title, merchantability, fitness\nfor a particular purpose, non infringement, or the absence of latent or other\ndefects, accuracy, or the present or absence of errors, whether or not discoverable,\nall to the greatest extent permissible under applicable law.\n\nc. Affirmer disclaims responsibility for clearing rights of other persons\nthat may apply to the Work or any use thereof, including without limitation\nany person\'s Copyright and Related Rights in the Work. Further, Affirmer disclaims\nresponsibility for obtaining any necessary consents, permissions or other\nrights required for any use of the Work.\n\nd. Affirmer understands and acknowledges that Creative Commons is not a party\nto this document and has no duty or obligation with respect to this CC0 or\nuse of the Work.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(307,'Spencer-86','Copyright (c) 1986 by University of Toronto. Written by Henry Spencer. Not\nderived from licensed software.\n\nPermission is granted to anyone to use this software for any purpose on any\ncomputer system, and to redistribute it freely, subject to the following restrictions:\n\n1. The author is not responsible for the consequences of use of this software,\nno matter how awful, even if they arise from defects in it.\n\n2. The origin of this software must not be misrepresented, either by explicit\nclaim or by omission.\n\n3. Altered versions must be plainly marked as such, and must not be misrepresented\nas being the original software.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(308,'CC-BY-NC-1.0','Creative Commons Attribution-NonCommercial 1.0 CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nDRAFT LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nc. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n   5. Representations, Warranties and Disclaimer\n\nBy offering the Work for public release under this License, Licensor represents\nand warrants that, to the best of Licensor\'s knowledge after reasonable inquiry:\nLicensor has secured all rights in the Work necessary to grant the license\nrights hereunder and to permit the lawful exercise of the rights granted hereunder\nwithout You having any obligation to pay any royalties, compulsory license\nfees, residuals or any other payments; The Work does not infringe the copyright,\ntrademark, publicity rights, common law rights or any other right of any third\nparty or constitute defamation, invasion of privacy or other tortious injury\nto any third party. EXCEPT AS EXPRESSLY STATED IN THIS LICENSE OR OTHERWISE\nAGREED IN WRITING OR REQUIRED BY APPLICABLE LAW, THE WORK IS LICENSED ON AN\n\"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING,\nWITHOUT LIMITATION, ANY WARRANTIES REGARDING THE CONTENTS OR ACCURACY OF THE\nWORK.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nAND EXCEPT FOR DAMAGES ARISING FROM LIABILITY TO A THIRD PARTY RESULTING FROM\nBREACH OF THE WARRANTIES IN SECTION 5, IN NO EVENT WILL LICENSOR BE LIABLE\nTO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE\nOR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN\nIF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(309,'Plexus','Copyright 2002 (C) The Codehaus . All Rights Reserved.\n\nRedistribution and use of this software and associated documentation (\"Software\"),\nwith or without modification, are permitted provided that the following conditions\nare met:\n\n1. Redistributions of source code must retain copyright statements and notices.\nRedistributions must also contain a copy of this document.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"classworlds\" must not be used to endorse or promote products\nderived from this Software without prior written permission of The Codehaus\n. For written permission, please contact bob@codehaus.org .\n\n4. Products derived from this Software may not be called \"classworlds\" nor\nmay \"classworlds\" appear in their names without prior written permission of\nThe Codehaus . \"classworlds\" is a registered trademark of The Codehaus .\n\n5. Due credit should be given to The Codehaus. (http://classworlds.codehaus.org/)\n.\n\nTHIS SOFTWARE IS PROVIDED BY THE CODEHAUS AND CONTRIBUTORS ``AS IS\'\' AND ANY\nEXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\nWARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.\nIN NO EVENT SHALL THE CODEHAUS OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(310,'APSL-2.0','APPLE PUBLIC SOURCE LICENSE\n\nVersion 2.0 - August 6, 2003 Please read this License carefully before downloading\nthis software. By downloading or using this software, you are agreeing to\nbe bound by the terms of this License. If you do not or cannot agree to the\nterms of this License, please do not download or use the software.\n\nApple Note: In January 2007, Apple changed its corporate name from \"Apple\nComputer, Inc.\" to \"Apple Inc.\" This change has been reflected below and copyright\nyears updated, but no other changes have been made to the APSL 2.0.\n\n1. General; Definitions. This License applies to any program or other work\nwhich Apple Inc. (\"Apple\") makes publicly available and which contains a notice\nplaced by Apple identifying such program or work as \"Original Code\" and stating\nthat it is subject to the terms of this Apple Public Source License version\n2.0 (\"License\"). As used in this License:\n\n1.1 \"Applicable Patent Rights\" mean: (a) in the case where Apple is the grantor\nof rights, (i) claims of patents that are now or hereafter acquired, owned\nby or assigned to Apple and (ii) that cover subject matter contained in the\nOriginal Code, but only to the extent necessary to use, reproduce and/or distribute\nthe Original Code without infringement; and (b) in the case where You are\nthe grantor of rights, (i) claims of patents that are now or hereafter acquired,\nowned by or assigned to You and (ii) that cover subject matter in Your Modifications,\ntaken alone or in combination with Original Code.\n\n1.2 \"Contributor\" means any person or entity that creates or contributes to\nthe creation of Modifications.\n\n1.3 \"Covered Code\" means the Original Code, Modifications, the combination\nof Original Code and any Modifications, and/or any respective portions thereof.\n\n1.4 \"Externally Deploy\" means: (a) to sublicense, distribute or otherwise\nmake Covered Code available, directly or indirectly, to anyone other than\nYou; and/or (b) to use Covered Code, alone or as part of a Larger Work, in\nany way to provide a service, including but not limited to delivery of content,\nthrough electronic communication with a client other than You.\n\n1.5 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n1.6 \"Modifications\" mean any addition to, deletion from, and/or change to,\nthe substance and/or structure of the Original Code, any previous Modifications,\nthe combination of Original Code and any previous Modifications, and/or any\nrespective portions thereof. When code is released as a series of files, a\nModification is: (a) any addition to or deletion from the contents of a file\ncontaining Covered Code; and/or (b) any new file or other representation of\ncomputer program statements that contains any part of Covered Code.\n\n1.7 \"Original Code\" means (a) the Source Code of a program or other work as\noriginally made available by Apple under this License, including the Source\nCode of any updates or upgrades to such programs or works made available by\nApple under this License, and that has been expressly identified by Apple\nas such in the header file(s) of such work; and (b) the object code compiled\nfrom such Source Code and originally made available by Apple under this License\n\n1.8 \"Source Code\" means the human readable form of a program or other work\nthat is suitable for making modifications to it, including all modules it\ncontains, plus any associated interface definition files, scripts used to\ncontrol compilation and installation of an executable (object code).\n\n1.9 \"You\" or \"Your\" means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" or \"Your\" includes any entity\nwhich controls, is controlled by, or is under common control with, You, where\n\"control\" means (a) the power, direct or indirect, to cause the direction\nor management of such entity, whether by contract or otherwise, or (b) ownership\nof fifty percent (50%) or more of the outstanding shares or beneficial ownership\nof such entity.\n\n2. Permitted Uses; Conditions & Restrictions. Subject to the terms and conditions\nof this License, Apple hereby grants You, effective on the date You accept\nthis License and download the Original Code, a world-wide, royalty-free, non-exclusive\nlicense, to the extent of Apple\'s Applicable Patent Rights and copyrights\ncovering the Original Code, to do the following:\n\n2.1 Unmodified Code. You may use, reproduce, display, perform, internally\ndistribute within Your organization, and Externally Deploy verbatim, unmodified\ncopies of the Original Code, for commercial or non-commercial purposes, provided\nthat in each instance:\n\n(a) You must retain and reproduce in all copies of Original Code the copyright\nand other proprietary notices and disclaimers of Apple as they appear in the\nOriginal Code, and keep intact all notices in the Original Code that refer\nto this License; and\n\n(b) You must include a copy of this License with every copy of Source Code\nof Covered Code and documentation You distribute or Externally Deploy, and\nYou may not offer or impose any terms on such Source Code that alter or restrict\nthis License or the recipients\' rights hereunder, except as permitted under\nSection 6.\n\n2.2 Modified Code. You may modify Covered Code and use, reproduce, display,\nperform, internally distribute within Your organization, and Externally Deploy\nYour Modifications and Covered Code, for commercial or non-commercial purposes,\nprovided that in each instance You also meet all of these conditions:\n\n(a) You must satisfy all the conditions of Section 2.1 with respect to the\nSource Code of the Covered Code;\n\n(b) You must duplicate, to the extent it does not already exist, the notice\nin Exhibit A in each file of the Source Code of all Your Modifications, and\ncause the modified files to carry prominent notices stating that You changed\nthe files and the date of any change; and\n\n(c) If You Externally Deploy Your Modifications, You must make Source Code\nof all Your Externally Deployed Modifications either available to those to\nwhom You have Externally Deployed Your Modifications, or publicly available.\nSource Code of Your Externally Deployed Modifications must be released under\nthe terms set forth in this License, including the license grants set forth\nin Section 3 below, for as long as you Externally Deploy the Covered Code\nor twelve (12) months from the date of initial External Deployment, whichever\nis longer. You should preferably distribute the Source Code of Your Externally\nDeployed Modifications electronically (e.g. download from a web site).\n\n2.3 Distribution of Executable Versions. In addition, if You Externally Deploy\nCovered Code (Original Code and/or Modifications) in object code, executable\nform only, You must include a prominent notice, in the code itself as well\nas in related documentation, stating that Source Code of the Covered Code\nis available under the terms of this License with information on how and where\nto obtain such Source Code.\n\n2.4 Third Party Rights. You expressly acknowledge and agree that although\nApple and each Contributor grants the licenses to their respective portions\nof the Covered Code set forth herein, no assurances are provided by Apple\nor any Contributor that the Covered Code does not infringe the patent or other\nintellectual property rights of any other entity. Apple and each Contributor\ndisclaim any liability to You for claims brought by any other entity based\non infringement of intellectual property rights or otherwise. As a condition\nto exercising the rights and licenses granted hereunder, You hereby assume\nsole responsibility to secure any other intellectual property rights needed,\nif any. For example, if a third party patent license is required to allow\nYou to distribute the Covered Code, it is Your responsibility to acquire that\nlicense before distributing the Covered Code.\n\n3. Your Grants. In consideration of, and as a condition to, the licenses granted\nto You under this License, You hereby grant to any person or entity receiving\nor distributing Covered Code under this License a non-exclusive, royalty-free,\nperpetual, irrevocable license, under Your Applicable Patent Rights and other\nintellectual property rights (other than patent) owned or controlled by You,\nto use, reproduce, display, perform, modify, sublicense, distribute and Externally\nDeploy Your Modifications of the same scope and extent as Apple\'s licenses\nunder Sections 2.1 and 2.2 above.\n\n4. Larger Works. You may create a Larger Work by combining Covered Code with\nother code not governed by the terms of this License and distribute the Larger\nWork as a single product. In each such instance, You must make sure the requirements\nof this License are fulfilled for the Covered Code or any portion thereof.\n\n5. Limitations on Patent License. Except as expressly stated in Section 2,\nno other patent rights, express or implied, are granted by Apple herein. Modifications\nand/or Larger Works may require additional patent licenses from Apple which\nApple may grant in its sole discretion.\n\n6. Additional Terms. You may choose to offer, and to charge a fee for, warranty,\nsupport, indemnity or liability obligations and/or other rights consistent\nwith the scope of the license granted herein (\"Additional Terms\") to one or\nmore recipients of Covered Code. However, You may do so only on Your own behalf\nand as Your sole responsibility, and not on behalf of Apple or any Contributor.\nYou must obtain the recipient\'s agreement that any such Additional Terms are\noffered by You alone, and You hereby agree to indemnify, defend and hold Apple\nand every Contributor harmless for any liability incurred by or claims asserted\nagainst Apple or such Contributor by reason of any such Additional Terms.\n\n7. Versions of the License. Apple may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Once Original Code has been published under a particular version\nof this License, You may continue to use it under the terms of that version.\nYou may also choose to use such Original Code under the terms of any subsequent\nversion of this License published by Apple. No one other than Apple has the\nright to modify the terms applicable to Covered Code created under this License.\n\n8. NO WARRANTY OR SUPPORT. The Covered Code may contain in whole or in part\npre-release, untested, or not fully tested works. The Covered Code may contain\nerrors that could cause failures or loss of data, and may be incomplete or\ncontain inaccuracies. You expressly acknowledge and agree that use of the\nCovered Code, or any portion thereof, is at Your sole and entire risk. THE\nCOVERED CODE IS PROVIDED \"AS IS\" AND WITHOUT WARRANTY, UPGRADES OR SUPPORT\nOF ANY KIND AND APPLE AND APPLE\'S LICENSOR(S) (COLLECTIVELY REFERRED TO AS\n\"APPLE\" FOR THE PURPOSES OF SECTIONS 8 AND 9) AND ALL CONTRIBUTORS EXPRESSLY\nDISCLAIM ALL WARRANTIES AND/OR CONDITIONS, EXPRESS OR IMPLIED, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES AND/OR CONDITIONS OF MERCHANTABILITY,\nOF SATISFACTORY QUALITY, OF FITNESS FOR A PARTICULAR PURPOSE, OF ACCURACY,\nOF QUIET ENJOYMENT, AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. APPLE AND EACH\nCONTRIBUTOR DOES NOT WARRANT AGAINST INTERFERENCE WITH YOUR ENJOYMENT OF THE\nCOVERED CODE, THAT THE FUNCTIONS CONTAINED IN THE COVERED CODE WILL MEET YOUR\nREQUIREMENTS, THAT THE OPERATION OF THE COVERED CODE WILL BE UNINTERRUPTED\nOR ERROR-FREE, OR THAT DEFECTS IN THE COVERED CODE WILL BE CORRECTED. NO ORAL\nOR WRITTEN INFORMATION OR ADVICE GIVEN BY APPLE, AN APPLE AUTHORIZED REPRESENTATIVE\nOR ANY CONTRIBUTOR SHALL CREATE A WARRANTY. You acknowledge that the Covered\nCode is not intended for use in the operation of nuclear facilities, aircraft\nnavigation, communication systems, or air traffic control machines in which\ncase the failure of the Covered Code could lead to death, personal injury,\nor severe physical or environmental damage.\n\n9. LIMITATION OF LIABILITY. TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT\nSHALL APPLE OR ANY CONTRIBUTOR BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT\nOR CONSEQUENTIAL DAMAGES ARISING OUT OF OR RELATING TO THIS LICENSE OR YOUR\nUSE OR INABILITY TO USE THE COVERED CODE, OR ANY PORTION THEREOF, WHETHER\nUNDER A THEORY OF CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE), PRODUCTS\nLIABILITY OR OTHERWISE, EVEN IF APPLE OR SUCH CONTRIBUTOR HAS BEEN ADVISED\nOF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ESSENTIAL\nPURPOSE OF ANY REMEDY. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OF LIABILITY\nOF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION MAY NOT APPLY TO\nYOU. In no event shall Apple\'s total liability to You for all damages (other\nthan as may be required by applicable law) under this License exceed the amount\nof fifty dollars ($50.00).\n\n10. Trademarks. This License does not grant any rights to use the trademarks\nor trade names \"Apple\", \"Mac\", \"Mac OS\", \"QuickTime\", \"QuickTime Streaming\nServer\" or any other trademarks, service marks, logos or trade names belonging\nto Apple (collectively \"Apple Marks\") or to any trademark, service mark, logo\nor trade name belonging to any Contributor. You agree not to use any Apple\nMarks in or as part of the name of products derived from the Original Code\nor to endorse or promote products derived from the Original Code other than\nas expressly permitted by and in strict compliance at all times with Apple\'s\nthird party trademark usage guidelines which are posted at http://www.apple.com/legal/guidelinesfor3rdparties.html.\n\n11. Ownership. Subject to the licenses granted under this License, each Contributor\nretains all rights, title and interest in and to any Modifications made by\nsuch Contributor. Apple retains all rights, title and interest in and to the\nOriginal Code and any Modifications made by or on behalf of Apple (\"Apple\nModifications\"), and such Apple Modifications will not be automatically subject\nto this License. Apple may, at its sole discretion, choose to license such\nApple Modifications under this License, or on different terms from those contained\nin this License or may choose not to license them at all.\n\n   12. Termination.\n\n12.1 Termination. This License and the rights granted hereunder will terminate:\n\n(a) automatically without notice from Apple if You fail to comply with any\nterm(s) of this License and fail to cure such breach within 30 days of becoming\naware of such breach;\n\n(b) immediately in the event of the circumstances described in Section 13.5(b);\nor\n\n(c) automatically without notice from Apple if You, at any time during the\nterm of this License, commence an action for patent infringement against Apple;\nprovided that Apple did not first commence an action for patent infringement\nagainst You in that instance.\n\n12.2 Effect of Termination. Upon termination, You agree to immediately stop\nany further use, reproduction, modification, sublicensing and distribution\nof the Covered Code. All sublicenses to the Covered Code which have been properly\ngranted prior to termination shall survive any termination of this License.\nProvisions which, by their nature, should remain in effect beyond the termination\nof this License shall survive, including but not limited to Sections 3, 5,\n8, 9, 10, 11, 12.2 and 13. No party will be liable to any other for compensation,\nindemnity or damages of any sort solely as a result of terminating this License\nin accordance with its terms, and termination of this License will be without\nprejudice to any other right or remedy of any party.\n\n   13. Miscellaneous.\n\n13.1 Government End Users. The Covered Code is a \"commercial item\" as defined\nin FAR 2.101. Government software and technical data rights in the Covered\nCode include only those rights customarily provided to the public as defined\nin this License. This customary commercial license in technical data and software\nis provided in accordance with FAR 12.211 (Technical Data) and 12.212 (Computer\nSoftware) and, for Department of Defense purchases, DFAR 252.227-7015 (Technical\nData -- Commercial Items) and 227.7202-3 (Rights in Commercial Computer Software\nor Computer Software Documentation). Accordingly, all U.S. Government End\nUsers acquire Covered Code with only those rights set forth herein.\n\n13.2 Relationship of Parties. This License will not be construed as creating\nan agency, partnership, joint venture or any other form of legal association\nbetween or among You, Apple or any Contributor, and You will not represent\nto the contrary, whether expressly, by implication, appearance or otherwise.\n\n13.3 Independent Development. Nothing in this License will impair Apple\'s\nright to acquire, license, develop, have others develop for it, market and/or\ndistribute technology or products that perform the same or similar functions\nas, or otherwise compete with, Modifications, Larger Works, technology or\nproducts that You may develop, produce, market or distribute.\n\n13.4 Waiver; Construction. Failure by Apple or any Contributor to enforce\nany provision of this License will not be deemed a waiver of future enforcement\nof that or any other provision. Any law or regulation which provides that\nthe language of a contract shall be construed against the drafter will not\napply to this License.\n\n13.5 Severability. (a) If for any reason a court of competent jurisdiction\nfinds any provision of this License, or portion thereof, to be unenforceable,\nthat provision of the License will be enforced to the maximum extent permissible\nso as to effect the economic benefits and intent of the parties, and the remainder\nof this License will continue in full force and effect. (b) Notwithstanding\nthe foregoing, if applicable law prohibits or restricts You from fully and/or\nspecifically complying with Sections 2 and/or 3 or prevents the enforceability\nof either of those Sections, this License will immediately terminate and You\nmust immediately discontinue any use of the Covered Code and destroy all copies\nof it that are in your possession or control.\n\n13.6 Dispute Resolution. Any litigation or other dispute resolution between\nYou and Apple relating to this License shall take place in the Northern District\nof California, and You and Apple hereby consent to the personal jurisdiction\nof, and venue in, the state and federal courts within that District with respect\nto this License. The application of the United Nations Convention on Contracts\nfor the International Sale of Goods is expressly excluded.\n\n13.7 Entire Agreement; Governing Law. This License constitutes the entire\nagreement between the parties with respect to the subject matter hereof. This\nLicense shall be governed by the laws of the United States and the State of\nCalifornia, except that body of California law concerning conflicts of law.\n\nWhere You are located in the province of Quebec, Canada, the following clause\napplies: The parties hereby confirm that they have requested that this License\nand all related documents be drafted in English. Les parties ont exigé que\nle présent contrat et tous les documents connexes soient rédigés en anglais.\nEXHIBIT A.\n\n\"Portions Copyright (c) 1999-2007 Apple Inc. All Rights Reserved.\n\nThis file contains Original Code and/or Modifications of Original Code as\ndefined in and that are subject to the Apple Public Source License Version\n2.0 (the \'License\'). You may not use this file except in compliance with the\nLicense. Please obtain a copy of the License at http://www.opensource.apple.com/apsl/\nand read it before using this file.\n\nThe Original Code and all software distributed under the License are distributed\non an \'AS IS\' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,\nAND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION,\nANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET\nENJOYMENT OR NON-INFRINGEMENT. Please see the License for the specific language\ngoverning rights and limitations under the License.\"\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(311,'IJG','Independent JPEG Group License LEGAL ISSUES\n\nIn plain English:\n\n1. We don\'t promise that this software works. (But if you find any bugs, please\nlet us know!)\n\n2. You can use this software for whatever you want. You don\'t have to pay\nus.\n\n3. You may not pretend that you wrote this software. If you use it in a program,\nyou must acknowledge somewhere in your documentation that you\'ve used the\nIJG code.\n\nIn legalese:\n\nThe authors make NO WARRANTY or representation, either express or implied,\nwith respect to this software, its quality, accuracy, merchantability, or\nfitness for a particular purpose. This software is provided \"AS IS\", and you,\nits user, assume the entire risk as to its quality and accuracy.\n\nThis software is copyright (C) 1991-1998, Thomas G. Lane. All Rights Reserved\nexcept as specified below.\n\nPermission is hereby granted to use, copy, modify, and distribute this software\n(or portions thereof) for any purpose, without fee, subject to these conditions:\n\n(1) If any part of the source code for this software is distributed, then\nthis README file must be included, with this copyright and no-warranty notice\nunaltered; and any additions, deletions, or changes to the original files\nmust be clearly indicated in accompanying documentation.\n\n(2) If only executable code is distributed, then the accompanying documentation\nmust state that \"this software is based in part on the work of the Independent\nJPEG Group\".\n\n(3) Permission for use of this software is granted only if the user accepts\nfull responsibility for any undesirable consequences; the authors accept NO\nLIABILITY for damages of any kind.\n\nThese conditions apply to any software derived from or based on the IJG code,\nnot just to the unmodified library. If you use our work, you ought to acknowledge\nus.\n\nPermission is NOT granted for the use of any IJG author\'s name or company\nname in advertising or publicity relating to this software or products derived\nfrom it. This software may be referred to only as \"the Independent JPEG Group\'s\nsoftware\".\n\nWe specifically permit and encourage the use of this software as the basis\nof commercial products, provided that all warranty or liability claims are\nassumed by the product vendor.\n\nansi2knr.c is included in this distribution by permission of L. Peter Deutsch,\nsole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park,\nCA. ansi2knr.c is NOT covered by the above copyright and conditions, but instead\nby the usual distribution terms of the Free Software Foundation; principally,\nthat you must include source code if you redistribute it. (See the file ansi2knr.c\nfor full details.) However, since ansi2knr.c is not needed as part of any\nprogram generated from the IJG code, this does not limit you more than the\nforegoing paragraphs do.\n\nThe Unix configuration script \"configure\" was produced with GNU Autoconf.\nIt is copyright by the Free Software Foundation but is freely distributable.\nThe same holds for its supporting scripts (config.guess, config.sub, ltconfig,\nltmain.sh). Another support script, install-sh, is copyright by M.I.T. but\nis also freely distributable.\n\nIt appears that the arithmetic coding option of the JPEG spec is covered by\npatents owned by IBM, AT&T, and Mitsubishi. Hence arithmetic coding cannot\nlegally be used without obtaining one or more licenses. For this reason, support\nfor arithmetic coding has been removed from the free JPEG software. (Since\narithmetic coding provides only a marginal gain over the unpatented Huffman\nmode, it is unlikely that very many implementations will support it.) So far\nas we are aware, there are no patent restrictions on the remaining code.\n\nThe IJG distribution formerly included code to read and write GIF files. To\navoid entanglement with the Unisys LZW patent, GIF reading support has been\nremoved altogether, and the GIF writer has been simplified to produce \"uncompressed\nGIFs\". This technique does not use the LZW algorithm; the resulting GIF files\nare larger than usual, but are readable by all standard GIF decoders.\n\nWe are required to state that\n\n\"The Graphics Interchange Format(c) is the Copyright property of CompuServe\nIncorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated.\"\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(312,'GFDL-1.1-only','GNU Free Documentation License\n\nVersion 1.1, March 2000\n\nCopyright (C) 2000 Free Software Foundation, Inc. 51 Franklin St, Fifth Floor,\nBoston, MA 02110-1301 USA\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\n   0. PREAMBLE\n\nThe purpose of this License is to make a manual, textbook, or other written\ndocument \"free\" in the sense of freedom: to assure everyone the effective\nfreedom to copy and redistribute it, with or without modifying it, either\ncommercially or noncommercially. Secondarily, this License preserves for the\nauthor and publisher a way to get credit for their work, while not being considered\nresponsible for modifications made by others.\n\nThis License is a kind of \"copyleft\", which means that derivative works of\nthe document must themselves be free in the same sense. It complements the\nGNU General Public License, which is a copyleft license designed for free\nsoftware.\n\nWe have designed this License in order to use it for manuals for free software,\nbecause free software needs free documentation: a free program should come\nwith manuals providing the same freedoms that the software does. But this\nLicense is not limited to software manuals; it can be used for any textual\nwork, regardless of subject matter or whether it is published as a printed\nbook. We recommend this License principally for works whose purpose is instruction\nor reference.\n\n   1. APPLICABILITY AND DEFINITIONS\n\nThis License applies to any manual or other work that contains a notice placed\nby the copyright holder saying it can be distributed under the terms of this\nLicense. The \"Document\", below, refers to any such manual or work. Any member\nof the public is a licensee, and is addressed as \"you\".\n\nA \"Modified Version\" of the Document means any work containing the Document\nor a portion of it, either copied verbatim, or with modifications and/or translated\ninto another language.\n\nA \"Secondary Section\" is a named appendix or a front-matter section of the\nDocument that deals exclusively with the relationship of the publishers or\nauthors of the Document to the Document\'s overall subject (or to related matters)\nand contains nothing that could fall directly within that overall subject.\n(For example, if the Document is in part a textbook of mathematics, a Secondary\nSection may not explain any mathematics.) The relationship could be a matter\nof historical connection with the subject or with related matters, or of legal,\ncommercial, philosophical, ethical or political position regarding them.\n\nThe \"Invariant Sections\" are certain Secondary Sections whose titles are designated,\nas being those of Invariant Sections, in the notice that says that the Document\nis released under this License.\n\nThe \"Cover Texts\" are certain short passages of text that are listed, as Front-Cover\nTexts or Back-Cover Texts, in the notice that says that the Document is released\nunder this License.\n\nA \"Transparent\" copy of the Document means a machine-readable copy, represented\nin a format whose specification is available to the general public, whose\ncontents can be viewed and edited directly and straightforwardly with generic\ntext editors or (for images composed of pixels) generic paint programs or\n(for drawings) some widely available drawing editor, and that is suitable\nfor input to text formatters or for automatic translation to a variety of\nformats suitable for input to text formatters. A copy made in an otherwise\nTransparent file format whose markup has been designed to thwart or discourage\nsubsequent modification by readers is not Transparent. A copy that is not\n\"Transparent\" is called \"Opaque\".\n\nExamples of suitable formats for Transparent copies include plain ASCII without\nmarkup, Texinfo input format, LaTeX input format, SGML or XML using a publicly\navailable DTD, and standard-conforming simple HTML designed for human modification.\nOpaque formats include PostScript, PDF, proprietary formats that can be read\nand edited only by proprietary word processors, SGML or XML for which the\nDTD and/or processing tools are not generally available, and the machine-generated\nHTML produced by some word processors for output purposes only.\n\nThe \"Title Page\" means, for a printed book, the title page itself, plus such\nfollowing pages as are needed to hold, legibly, the material this License\nrequires to appear in the title page. For works in formats which do not have\nany title page as such, \"Title Page\" means the text near the most prominent\nappearance of the work\'s title, preceding the beginning of the body of the\ntext.\n\n   2. VERBATIM COPYING\n\nYou may copy and distribute the Document in any medium, either commercially\nor noncommercially, provided that this License, the copyright notices, and\nthe license notice saying this License applies to the Document are reproduced\nin all copies, and that you add no other conditions whatsoever to those of\nthis License. You may not use technical measures to obstruct or control the\nreading or further copying of the copies you make or distribute. However,\nyou may accept compensation in exchange for copies. If you distribute a large\nenough number of copies you must also follow the conditions in section 3.\n\nYou may also lend copies, under the same conditions stated above, and you\nmay publicly display copies.\n\n   3. COPYING IN QUANTITY\n\nIf you publish printed copies of the Document numbering more than 100, and\nthe Document\'s license notice requires Cover Texts, you must enclose the copies\nin covers that carry, clearly and legibly, all these Cover Texts: Front-Cover\nTexts on the front cover, and Back-Cover Texts on the back cover. Both covers\nmust also clearly and legibly identify you as the publisher of these copies.\nThe front cover must present the full title with all words of the title equally\nprominent and visible. You may add other material on the covers in addition.\nCopying with changes limited to the covers, as long as they preserve the title\nof the Document and satisfy these conditions, can be treated as verbatim copying\nin other respects.\n\nIf the required texts for either cover are too voluminous to fit legibly,\nyou should put the first ones listed (as many as fit reasonably) on the actual\ncover, and continue the rest onto adjacent pages.\n\nIf you publish or distribute Opaque copies of the Document numbering more\nthan 100, you must either include a machine-readable Transparent copy along\nwith each Opaque copy, or state in or with each Opaque copy a publicly-accessible\ncomputer-network location containing a complete Transparent copy of the Document,\nfree of added material, which the general network-using public has access\nto download anonymously at no charge using public-standard network protocols.\nIf you use the latter option, you must take reasonably prudent steps, when\nyou begin distribution of Opaque copies in quantity, to ensure that this Transparent\ncopy will remain thus accessible at the stated location until at least one\nyear after the last time you distribute an Opaque copy (directly or through\nyour agents or retailers) of that edition to the public.\n\nIt is requested, but not required, that you contact the authors of the Document\nwell before redistributing any large number of copies, to give them a chance\nto provide you with an updated version of the Document.\n\n   4. MODIFICATIONS\n\nYou may copy and distribute a Modified Version of the Document under the conditions\nof sections 2 and 3 above, provided that you release the Modified Version\nunder precisely this License, with the Modified Version filling the role of\nthe Document, thus licensing distribution and modification of the Modified\nVersion to whoever possesses a copy of it. In addition, you must do these\nthings in the Modified Version:\n\nA. Use in the Title Page (and on the covers, if any) a title distinct from\nthat of the Document, and from those of previous versions (which should, if\nthere were any, be listed in the History section of the Document). You may\nuse the same title as a previous version if the original publisher of that\nversion gives permission.\n\nB. List on the Title Page, as authors, one or more persons or entities responsible\nfor authorship of the modifications in the Modified Version, together with\nat least five of the principal authors of the Document (all of its principal\nauthors, if it has less than five).\n\nC. State on the Title page the name of the publisher of the Modified Version,\nas the publisher.\n\n      D. Preserve all the copyright notices of the Document.\n\nE. Add an appropriate copyright notice for your modifications adjacent to\nthe other copyright notices.\n\nF. Include, immediately after the copyright notices, a license notice giving\nthe public permission to use the Modified Version under the terms of this\nLicense, in the form shown in the Addendum below.\n\nG. Preserve in that license notice the full lists of Invariant Sections and\nrequired Cover Texts given in the Document\'s license notice.\n\n      H. Include an unaltered copy of this License.\n\nI. Preserve the section entitled \"History\", and its title, and add to it an\nitem stating at least the title, year, new authors, and publisher of the Modified\nVersion as given on the Title Page. If there is no section entitled \"History\"\nin the Document, create one stating the title, year, authors, and publisher\nof the Document as given on its Title Page, then add an item describing the\nModified Version as stated in the previous sentence.\n\nJ. Preserve the network location, if any, given in the Document for public\naccess to a Transparent copy of the Document, and likewise the network locations\ngiven in the Document for previous versions it was based on. These may be\nplaced in the \"History\" section. You may omit a network location for a work\nthat was published at least four years before the Document itself, or if the\noriginal publisher of the version it refers to gives permission.\n\nK. In any section entitled \"Acknowledgements\" or \"Dedications\", preserve the\nsection\'s title, and preserve in the section all the substance and tone of\neach of the contributor acknowledgements and/or dedications given therein.\n\nL. Preserve all the Invariant Sections of the Document, unaltered in their\ntext and in their titles. Section numbers or the equivalent are not considered\npart of the section titles.\n\nM. Delete any section entitled \"Endorsements\". Such a section may not be included\nin the Modified Version.\n\nN. Do not retitle any existing section as \"Endorsements\" or to conflict in\ntitle with any Invariant Section.\n\nIf the Modified Version includes new front-matter sections or appendices that\nqualify as Secondary Sections and contain no material copied from the Document,\nyou may at your option designate some or all of these sections as invariant.\nTo do this, add their titles to the list of Invariant Sections in the Modified\nVersion\'s license notice. These titles must be distinct from any other section\ntitles.\n\nYou may add a section entitled \"Endorsements\", provided it contains nothing\nbut endorsements of your Modified Version by various parties--for example,\nstatements of peer review or that the text has been approved by an organization\nas the authoritative definition of a standard.\n\nYou may add a passage of up to five words as a Front-Cover Text, and a passage\nof up to 25 words as a Back-Cover Text, to the end of the list of Cover Texts\nin the Modified Version. Only one passage of Front-Cover Text and one of Back-Cover\nText may be added by (or through arrangements made by) any one entity. If\nthe Document already includes a cover text for the same cover, previously\nadded by you or by arrangement made by the same entity you are acting on behalf\nof, you may not add another; but you may replace the old one, on explicit\npermission from the previous publisher that added the old one.\n\nThe author(s) and publisher(s) of the Document do not by this License give\npermission to use their names for publicity for or to assert or imply endorsement\nof any Modified Version.\n\n   5. COMBINING DOCUMENTS\n\nYou may combine the Document with other documents released under this License,\nunder the terms defined in section 4 above for modified versions, provided\nthat you include in the combination all of the Invariant Sections of all of\nthe original documents, unmodified, and list them all as Invariant Sections\nof your combined work in its license notice.\n\nThe combined work need only contain one copy of this License, and multiple\nidentical Invariant Sections may be replaced with a single copy. If there\nare multiple Invariant Sections with the same name but different contents,\nmake the title of each such section unique by adding at the end of it, in\nparentheses, the name of the original author or publisher of that section\nif known, or else a unique number. Make the same adjustment to the section\ntitles in the list of Invariant Sections in the license notice of the combined\nwork.\n\nIn the combination, you must combine any sections entitled \"History\" in the\nvarious original documents, forming one section entitled \"History\"; likewise\ncombine any sections entitled \"Acknowledgements\", and any sections entitled\n\"Dedications\". You must delete all sections entitled \"Endorsements.\"\n\n   6. COLLECTIONS OF DOCUMENTS\n\nYou may make a collection consisting of the Document and other documents released\nunder this License, and replace the individual copies of this License in the\nvarious documents with a single copy that is included in the collection, provided\nthat you follow the rules of this License for verbatim copying of each of\nthe documents in all other respects.\n\nYou may extract a single document from such a collection, and distribute it\nindividually under this License, provided you insert a copy of this License\ninto the extracted document, and follow this License in all other respects\nregarding verbatim copying of that document.\n\n   7. AGGREGATION WITH INDEPENDENT WORKS\n\nA compilation of the Document or its derivatives with other separate and independent\ndocuments or works, in or on a volume of a storage or distribution medium,\ndoes not as a whole count as a Modified Version of the Document, provided\nno compilation copyright is claimed for the compilation. Such a compilation\nis called an \"aggregate\", and this License does not apply to the other self-contained\nworks thus compiled with the Document, on account of their being thus compiled,\nif they are not themselves derivative works of the Document.\n\nIf the Cover Text requirement of section 3 is applicable to these copies of\nthe Document, then if the Document is less than one quarter of the entire\naggregate, the Document\'s Cover Texts may be placed on covers that surround\nonly the Document within the aggregate. Otherwise they must appear on covers\naround the whole aggregate.\n\n   8. TRANSLATION\n\nTranslation is considered a kind of modification, so you may distribute translations\nof the Document under the terms of section 4. Replacing Invariant Sections\nwith translations requires special permission from their copyright holders,\nbut you may include translations of some or all Invariant Sections in addition\nto the original versions of these Invariant Sections. You may include a translation\nof this License provided that you also include the original English version\nof this License. In case of a disagreement between the translation and the\noriginal English version of this License, the original English version will\nprevail.\n\n   9. TERMINATION\n\nYou may not copy, modify, sublicense, or distribute the Document except as\nexpressly provided for under this License. Any other attempt to copy, modify,\nsublicense or distribute the Document is void, and will automatically terminate\nyour rights under this License. However, parties who have received copies,\nor rights, from you under this License will not have their licenses terminated\nso long as such parties remain in full compliance.\n\n   10. FUTURE REVISIONS OF THIS LICENSE\n\nThe Free Software Foundation may publish new, revised versions of the GNU\nFree Documentation License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns. See http://www.gnu.org/copyleft/.\n\nEach version of the License is given a distinguishing version number. If the\nDocument specifies that a particular numbered version of this License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that specified version or of any later version that\nhas been published (not as a draft) by the Free Software Foundation. If the\nDocument does not specify a version number of this License, you may choose\nany version ever published (not as a draft) by the Free Software Foundation.\nADDENDUM: How to use this License for your documents\n\nTo use this License in a document you have written, include a copy of the\nLicense in the document and put the following copyright and license notices\njust after the title page:\n\nCopyright (c) YEAR YOUR NAME. Permission is granted to copy, distribute and/or\nmodify this document under the terms of the GNU Free Documentation License,\nVersion 1.1 or any later version published by the Free Software Foundation;\nwith the Invariant Sections being LIST THEIR TITLES, with the Front-Cover\nTexts being LIST, and with the Back-Cover Texts being LIST. A copy of the\nlicense is included in the section entitled \"GNU Free Documentation License\".\n\nIf you have no Invariant Sections, write \"with no Invariant Sections\" instead\nof saying which ones are invariant. If you have no Front-Cover Texts, write\n\"no Front-Cover Texts\" instead of \"Front-Cover Texts being LIST\"; likewise\nfor Back-Cover Texts.\n\nIf your document contains nontrivial examples of program code, we recommend\nreleasing these examples in parallel under your choice of free software license,\nsuch as the GNU General Public License, to permit their use in free software.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(313,'CC-BY-NC-SA-2.0','Creative Commons Attribution-NonCommercial-ShareAlike 2.0 CREATIVE COMMONS\nCORPORATION IS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION\nOF THIS LICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE\nCOMMONS PROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES\nNO WARRANTIES REGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY\nFOR DAMAGES RESULTING FROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. THE LICENSOR GRANTS YOU THE RIGHTS\nCONTAINED HERE IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Collective Work\" means a work, such as a periodical issue, anthology or\nencyclopedia, in which the Work in its entirety in unmodified form, along\nwith a number of other contributions, constituting separate and independent\nworks in themselves, are assembled into a collective whole. A work that constitutes\na Collective Work will not be considered a Derivative Work (as defined below)\nfor the purposes of this License.\n\nb. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works, such as a translation, musical arrangement, dramatization,\nfictionalization, motion picture version, sound recording, art reproduction,\nabridgment, condensation, or any other form in which the Work may be recast,\ntransformed, or adapted, except that a work that constitutes a Collective\nWork will not be considered a Derivative Work for the purpose of this License.\nFor the avoidance of doubt, where the Work is a musical composition or sound\nrecording, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered a Derivative Work for the purpose of\nthis License.\n\nc. \"Licensor\" means the individual or entity that offers the Work under the\nterms of this License.\n\n      d. \"Original Author\" means the individual or entity who created the Work.\n\ne. \"Work\" means the copyrightable work of authorship offered under the terms\nof this License.\n\nf. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\ng. \"License Elements\" means the following high-level license attributes as\nselected by Licensor and indicated in the title of this License: Attribution,\nNoncommercial, ShareAlike.\n\n2. Fair Use Rights. Nothing in this license is intended to reduce, limit,\nor restrict any rights arising from fair use, first sale or other limitations\non the exclusive rights of the copyright owner under copyright law or other\napplicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to reproduce the Work, to incorporate the Work into one or more Collective\nWorks, and to reproduce the Work as incorporated in the Collective Works;\n\n      b. to create and reproduce Derivative Works;\n\nc. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission the Work including\nas incorporated in Collective Works;\n\nd. to distribute copies or phonorecords of, display publicly, perform publicly,\nand perform publicly by means of a digital audio transmission Derivative Works;\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nAll rights not expressly granted by Licensor are hereby reserved, including\nbut not limited to the rights set forth in Sections 4(e) and 4(f).\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may distribute, publicly display, publicly perform, or publicly digitally\nperform the Work only under the terms of this License, and You must include\na copy of, or the Uniform Resource Identifier for, this License with every\ncopy or phonorecord of the Work You distribute, publicly display, publicly\nperform, or publicly digitally perform. You may not offer or impose any terms\non the Work that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder. You may not sublicense the Work.\nYou must keep intact all notices that refer to this License and to the disclaimer\nof warranties. You may not distribute, publicly display, publicly perform,\nor publicly digitally perform the Work with any technological measures that\ncontrol access or use of the Work in a manner inconsistent with the terms\nof this License Agreement. The above applies to the Work as incorporated in\na Collective Work, but this does not require the Collective Work apart from\nthe Work itself to be made subject to the terms of this License. If You create\na Collective Work, upon notice from any Licensor You must, to the extent practicable,\nremove from the Collective Work any reference to such Licensor or the Original\nAuthor, as requested. If You create a Derivative Work, upon notice from any\nLicensor You must, to the extent practicable, remove from the Derivative Work\nany reference to such Licensor or the Original Author, as requested.\n\nb. You may distribute, publicly display, publicly perform, or publicly digitally\nperform a Derivative Work only under the terms of this License, a later version\nof this License with the same License Elements as this License, or a Creative\nCommons iCommons license that contains the same License Elements as this License\n(e.g. Attribution-NonCommercial-ShareAlike 2.0 Japan). You must include a\ncopy of, or the Uniform Resource Identifier for, this License or other license\nspecified in the previous sentence with every copy or phonorecord of each\nDerivative Work You distribute, publicly display, publicly perform, or publicly\ndigitally perform. You may not offer or impose any terms on the Derivative\nWorks that alter or restrict the terms of this License or the recipients\'\nexercise of the rights granted hereunder, and You must keep intact all notices\nthat refer to this License and to the disclaimer of warranties. You may not\ndistribute, publicly display, publicly perform, or publicly digitally perform\nthe Derivative Work with any technological measures that control access or\nuse of the Work in a manner inconsistent with the terms of this License Agreement.\nThe above applies to the Derivative Work as incorporated in a Collective Work,\nbut this does not require the Collective Work apart from the Derivative Work\nitself to be made subject to the terms of this License.\n\nc. You may not exercise any of the rights granted to You in Section 3 above\nin any manner that is primarily intended for or directed toward commercial\nadvantage or private monetary compensation. The exchange of the Work for other\ncopyrighted works by means of digital file-sharing or otherwise shall not\nbe considered to be intended for or directed toward commercial advantage or\nprivate monetary compensation, provided there is no payment of any monetary\ncompensation in connection with the exchange of copyrighted works.\n\nd. If you distribute, publicly display, publicly perform, or publicly digitally\nperform the Work or any Derivative Works or Collective Works, You must keep\nintact all copyright notices for the Work and give the Original Author credit\nreasonable to the medium or means You are utilizing by conveying the name\n(or pseudonym if applicable) of the Original Author if supplied; the title\nof the Work if supplied; to the extent reasonably practicable, the Uniform\nResource Identifier, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and in the case of a Derivative Work, a credit identifying\nthe use of the Work in the Derivative Work (e.g., \"French translation of the\nWork by Original Author,\" or \"Screenplay based on original Work by Original\nAuthor\"). Such credit may be implemented in any reasonable manner; provided,\nhowever, that in the case of a Derivative Work or Collective Work, at a minimum\nsuch credit will appear where any other comparable authorship credit appears\nand in a manner at least as prominent as such other comparable authorship\ncredit.\n\n      e. For the avoidance of doubt, where the Work is a musical composition:\n\ni. Performance Royalties Under Blanket Licenses. Licensor reserves the exclusive\nright to collect, whether individually or via a performance rights society\n(e.g. ASCAP, BMI, SESAC), royalties for the public performance or public digital\nperformance (e.g. webcast) of the Work if that performance is primarily intended\nfor or directed toward commercial advantage or private monetary compensation.\n\nii. Mechanical Rights and Statutory Royalties. Licensor reserves the exclusive\nright to collect, whether individually or via a music rights agency or designated\nagent (e.g. Harry Fox Agency), royalties for any phonorecord You create from\nthe Work (\"cover version\") and distribute, subject to the compulsory license\ncreated by 17 USC Section 115 of the US Copyright Act (or the equivalent in\nother jurisdictions), if Your distribution of such cover version is primarily\nintended for or directed toward commercial advantage or private monetary compensation.\n\nf. Webcasting Rights and Statutory Royalties. For the avoidance of doubt,\nwhere the Work is a sound recording, Licensor reserves the exclusive right\nto collect, whether individually or via a performance-rights society (e.g.\nSoundExchange), royalties for the public digital performance (e.g. webcast)\nof the Work, subject to the compulsory license created by 17 USC Section 114\nof the US Copyright Act (or the equivalent in other jurisdictions), if Your\npublic digital performance is primarily intended for or directed toward commercial\nadvantage or private monetary compensation.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Derivative Works or Collective Works from You under this\nLicense, however, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You distribute or publicly digitally perform the Work or a Collective\nWork, the Licensor offers to the recipient a license to the Work on the same\nterms and conditions as the license granted to You under this License.\n\nb. Each time You distribute or publicly digitally perform a Derivative Work,\nLicensor offers to the recipient a license to the original Work on the same\nterms and conditions as the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, neither party will use the trademark \"Creative Commons\"\nor any related trademark or logo of Creative Commons without the prior written\nconsent of Creative Commons. Any permitted use will be in compliance with\nCreative Commons\' then-current trademark usage guidelines, as may be published\non its website or otherwise made available upon request from time to time.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(314,'LPL-1.0','Lucent Public License Version 1.0\n\nTHE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS PUBLIC LICENSE\n(\"AGREEMENT\"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM CONSTITUTES\nRECIPIENT\'S ACCEPTANCE OF THIS AGREEMENT.\n\n   1. DEFINITIONS\n\n   \"Contribution\" means:\n\n      a. in the case of <ORGANIZATION> (\" <OWNER> \"), the Original Program, and\n\n      b. in the case of each Contributor,\n\n         i. changes to the Program, and\n\nii. additions to the Program; where such changes and/or additions to the Program\noriginate from and are \"Contributed\" by that particular Contributor.\n\nA Contribution is \"Contributed\" by a Contributor only (i) if it was added\nto the Program by such Contributor itself or anyone acting on such Contributor\'s\nbehalf, and (ii) the Contributor explicitly consents, in accordance with Section\n3C, to characterization of the changes and/or additions as Contributions.\nContributions do not include additions to the Program which: (i) are separate\nmodules of software distributed in conjunction with the Program under their\nown license agreement, and (ii) are not derivative works of the Program.\n\n\"Contributor\" means <OWNER> and any other entity that has Contributed a Contribution\nto the Program.\n\n\"Distributor\" means a Recipient that distributes the Program, modifications\nto the Program, or any part thereof.\n\n\"Licensed Patents\" mean patent claims licensable by a Contributor which are\nnecessarily infringed by the use or sale of its Contribution alone or when\ncombined with the Program.\n\n\"Original Program\" means the original version of the software accompanying\nthis Agreement as released by <OWNER> , including source code, object code\nand documentation, if any.\n\n\"Program\" means the Original Program and Contributions or any part thereof\n\n\"Recipient\" means anyone who receives the Program under this Agreement, including\nall Contributors.\n\n   2. GRANT OF RIGHTS\n\na. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free copyright license to reproduce,\nprepare derivative works of, publicly display, publicly perform, distribute\nand sublicense the Contribution of such Contributor, if any, and such derivative\nworks, in source code and object code form.\n\nb. Subject to the terms of this Agreement, each Contributor hereby grants\nRecipient a non-exclusive, worldwide, royalty-free patent license under Licensed\nPatents to make, use, sell, offer to sell, import and otherwise transfer the\nContribution of such Contributor, if any, in source code and object code form.\nThe patent license granted by a Contributor shall also apply to the combination\nof the Contribution of that Contributor and the Program if, at the time the\nContribution is added by the Contributor, such addition of the Contribution\ncauses such combination to be covered by the Licensed Patents. The patent\nlicense granted by a Contributor shall not apply to (i) any other combinations\nwhich include the Contribution, nor to (ii) Contributions of other Contributors.\nNo hardware per se is licensed hereunder.\n\nc. Recipient understands that although each Contributor grants the licenses\nto its Contributions set forth herein, no assurances are provided by any Contributor\nthat the Program does not infringe the patent or other intellectual property\nrights of any other entity. Each Contributor disclaims any liability to Recipient\nfor claims brought by any other entity based on infringement of intellectual\nproperty rights or otherwise. As a condition to exercising the rights and\nlicenses granted hereunder, each Recipient hereby assumes sole responsibility\nto secure any other intellectual property rights needed, if any. For example,\nif a third party patent license is required to allow Recipient to distribute\nthe Program, it is Recipient\'s responsibility to acquire that license before\ndistributing the Program.\n\nd. Each Contributor represents that to its knowledge it has sufficient copyright\nrights in its Contribution, if any, to grant the copyright license set forth\nin this Agreement.\n\n   3. REQUIREMENTS\n\nA. Distributor may choose to distribute the Program in any form under this\nAgreement or under its own license agreement, provided that:\n\n         1. it complies with the terms and conditions of this Agreement;\n\n2. if the Program is distributed in source code or other tangible form, a\ncopy of this Agreement or Distributor\'s own license agreement is included\nwith each copy of the Program; and\n\n3. if distributed under Distributor\'s own license agreement, such license\nagreement:\n\na. effectively disclaims on behalf of all Contributors all warranties and\nconditions, express and implied, including warranties or conditions of title\nand non-infringement, and implied warranties or conditions of merchantability\nand fitness for a particular purpose;\n\nb. effectively excludes on behalf of all Contributors all liability for damages,\nincluding direct, indirect, special, incidental and consequential damages,\nsuch as lost profits; and\n\nc. states that any provisions which differ from this Agreement are offered\nby that Contributor alone and not by any other party.\n\nB. Each Distributor must include the following in a conspicuous location in\nthe Program:\n\n      Copyright (C) <YEAR>, <ORGANIZATION> and others. All Rights Reserved.\n\nC. In addition, each Contributor must identify itself as the originator of\nits Contribution, if any, and indicate its consent to characterization of\nits additions and/or changes as a Contribution, in a manner that reasonably\nallows subsequent Recipients to identify the originator of the Contribution.\nOnce consent is granted, it may not thereafter be revoked.\n\n   4. COMMERCIAL DISTRIBUTION\n\nCommercial distributors of software may accept certain responsibilities with\nrespect to end users, business partners and the like. While this license is\nintended to facilitate the commercial use of the Program, the Distributor\nwho includes the Program in a commercial product offering should do so in\na manner which does not create potential liability for Contributors. Therefore,\nif a Distributor includes the Program in a commercial product offering, such\nDistributor (\"Commercial Distributor\") hereby agrees to defend and indemnify\nevery Contributor (\"Indemnified Contributor\") against any losses, damages\nand costs (collectively \"Losses\") arising from claims, lawsuits and other\nlegal actions brought by a third party against the Indemnified Contributor\nto the extent caused by the acts or omissions of such Commercial Distributor\nin connection with its distribution of the Program in a commercial product\noffering. The obligations in this section do not apply to any claims or Losses\nrelating to any actual or alleged intellectual property infringement. In order\nto qualify, an Indemnified Contributor must: a) promptly notify the Commercial\nDistributor in writing of such claim, and b) allow the Commercial Distributor\nto control, and cooperate with the Commercial Distributor in, the defense\nand any related settlement negotiations. The Indemnified Contributor may participate\nin any such claim at its own expense.\n\nFor example, a Distributor might include the Program in a commercial product\noffering, Product X. That Distributor is then a Commercial Distributor. If\nthat Commercial Distributor then makes performance claims, or offers warranties\nrelated to Product X, those performance claims and warranties are such Commercial\nDistributor\'s responsibility alone. Under this section, the Commercial Distributor\nwould have to defend claims against the Contributors related to those performance\nclaims and warranties, and if a court requires any Contributor to pay any\ndamages as a result, the Commercial Distributor must pay those damages.\n\n   5. NO WARRANTY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON\nAN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS\nOR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF\nTITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.\nEach Recipient is solely responsible for determining the appropriateness of\nusing and distributing the Program and assumes all risks associated with its\nexercise of rights under this Agreement, including but not limited to the\nrisks and costs of program errors, compliance with applicable laws, damage\nto or loss of data, programs or equipment, and unavailability or interruption\nof operations.\n\n   6. DISCLAIMER OF LIABILITY\n\nEXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY\nCONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION\nLOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,\nSTRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY\nWAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS\nGRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   7. GENERAL\n\nIf any provision of this Agreement is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this Agreement, and without further action by the parties hereto,\nsuch provision shall be reformed to the minimum extent necessary to make such\nprovision valid and enforceable.\n\nIf Recipient institutes patent litigation against a Contributor with respect\nto a patent applicable to software (including a cross-claim or counterclaim\nin a lawsuit), then any patent licenses granted by that Contributor to such\nRecipient under this Agreement shall terminate as of the date such litigation\nis filed. In addition, if Recipient institutes patent litigation against any\nentity (including a cross-claim or counterclaim in a lawsuit) alleging that\nthe Program itself (excluding combinations of the Program with other software\nor hardware) infringes such Recipient\'s patent(s), then such Recipient\'s rights\ngranted under Section 2(b) shall terminate as of the date such litigation\nis filed.\n\nAll Recipient\'s rights under this Agreement shall terminate if it fails to\ncomply with any of the material terms or conditions of this Agreement and\ndoes not cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If all Recipient\'s rights under this Agreement terminate,\nRecipient agrees to cease use and distribution of the Program as soon as reasonably\npracticable. However, Recipient\'s obligations under this Agreement and any\nlicenses granted by Recipient relating to the Program shall continue and survive.\n\n<OWNER> may publish new versions (including revisions) of this Agreement from\ntime to time. Each new version of the Agreement will be given a distinguishing\nversion number. The Program (including Contributions) may always be distributed\nsubject to the version of the Agreement under which it was received. In addition,\nafter a new version of the Agreement is published, Contributor may elect to\ndistribute the Program (including its Contributions) under the new version.\nNo one other than <OWNER> has the right to modify this Agreement. Except as\nexpressly stated in Sections 2(a) and 2(b) above, Recipient receives no rights\nor licenses to the intellectual property of any Contributor under this Agreement,\nwhether expressly, by implication, estoppel or otherwise. All rights in the\nProgram not expressly granted under this Agreement are reserved.\n\nThis Agreement is governed by the laws of the State of <STATE> and the intellectual\nproperty laws of the United States of America. No party to this Agreement\nwill bring a legal action under this Agreement more than one year after the\ncause of action arose. Each party waives its rights to a jury trial in any\nresulting litigation.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(315,'ImageMagick','Before we get to the text of the license, lets just review what the license\nsays in simple terms:\n\nIt allows you to:\n\n* freely download and use ImageMagick software, in whole or in part, for personal,\ncompany internal, or commercial purposes;\n\n   * use ImageMagick software in packages or distributions that you create;\n\n   * link against a library under a different license;\n\n   * link code under a different license against a library under this license;\n\n   * merge code into a work under a different license;\n\n   * extend patent grants to any code using code under this license;\n\n   * and extend patent protection.\n\nIt forbids you to:\n\n* redistribute any piece of ImageMagick-originated software without proper\nattribution;\n\n* use any marks owned by ImageMagick Studio LLC in any way that might state\nor imply that ImageMagick Studio LLC endorses your distribution;\n\n* use any marks owned by ImageMagick Studio LLC in any way that might state\nor imply that you created the ImageMagick software in question.\n\nIt requires you to:\n\n* include a copy of the license in any redistribution you may make that includes\nImageMagick software;\n\n* provide clear attribution to ImageMagick Studio LLC for any distributions\nthat include ImageMagick software.\n\nIt does not require you to:\n\n* include the source of the ImageMagick software itself, or of any modifications\nyou may have made to it, in any redistribution you may assemble that includes\nit;\n\n* submit changes that you make to the software back to the ImageMagick Studio\nLLC (though such feedback is encouraged).\n\nA few other clarifications include:\n\n   * ImageMagick is freely available without charge;\n\n* you may include ImageMagick on a DVD as long as you comply with the terms\nof the license;\n\n* you can give modified code away for free or sell it under the terms of the\nImageMagick license or distribute the result under a different license, but\nyou need to acknowledge the use of the ImageMagick software;\n\n   * the license is compatible with the GPL V3.\n\n   * when exporting the ImageMagick software, review its export classification.\n\nTerms and Conditions for Use, Reproduction, and Distribution\n\nThe legally binding and authoritative terms and conditions for use, reproduction,\nand distribution of ImageMagick follow:\n\nCopyright 1999-2013 ImageMagick Studio LLC, a non-profit organization dedicated\nto making software imaging solutions freely available.\n\n   1. Definitions.\n\nLicense shall mean the terms and conditions for use, reproduction, and distribution\nas defined by Sections 1 through 9 of this document.\n\nLicensor shall mean the copyright owner or entity authorized by the copyright\nowner that is granting the License.\n\nLegal Entity shall mean the union of the acting entity and all other entities\nthat control, are controlled by, or are under common control with that entity.\nFor the purposes of this definition, control means (i) the power, direct or\nindirect, to cause the direction or management of such entity, whether by\ncontract or otherwise, or (ii) ownership of fifty percent (50%) or more of\nthe outstanding shares, or (iii) beneficial ownership of such entity.\n\nYou (or Your) shall mean an individual or Legal Entity exercising permissions\ngranted by this License.\n\nSource form shall mean the preferred form for making modifications, including\nbut not limited to software source code, documentation source, and configuration\nfiles.\n\nObject form shall mean any form resulting from mechanical transformation or\ntranslation of a Source form, including but not limited to compiled object\ncode, generated documentation, and conversions to other media types.\n\nWork shall mean the work of authorship, whether in Source or Object form,\nmade available under the License, as indicated by a copyright notice that\nis included in or attached to the work (an example is provided in the Appendix\nbelow).\n\nDerivative Works shall mean any work, whether in Source or Object form, that\nis based on (or derived from) the Work and for which the editorial revisions,\nannotations, elaborations, or other modifications represent, as a whole, an\noriginal work of authorship. For the purposes of this License, Derivative\nWorks shall not include works that remain separable from, or merely link (or\nbind by name) to the interfaces of, the Work and Derivative Works thereof.\n\nContribution shall mean any work of authorship, including the original version\nof the Work and any modifications or additions to that Work or Derivative\nWorks thereof, that is intentionally submitted to Licensor for inclusion in\nthe Work by the copyright owner or by an individual or Legal Entity authorized\nto submit on behalf of the copyright owner. For the purposes of this definition,\n\"submitted\" means any form of electronic, verbal, or written communication\nsent to the Licensor or its representatives, including but not limited to\ncommunication on electronic mailing lists, source code control systems, and\nissue tracking systems that are managed by, or on behalf of, the Licensor\nfor the purpose of discussing and improving the Work, but excluding communication\nthat is conspicuously marked or otherwise designated in writing by the copyright\nowner as Not a Contribution.\n\nContributor shall mean Licensor and any individual or Legal Entity on behalf\nof whom a Contribution has been received by Licensor and subsequently incorporated\nwithin the Work.\n\n2. Grant of Copyright License. Subject to the terms and conditions of this\nLicense, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive,\nno-charge, royalty-free, irrevocable copyright license to reproduce, prepare\nDerivative Works of, publicly display, publicly perform, sublicense, and distribute\nthe Work and such Derivative Works in Source or Object form.\n\n3. Grant of Patent License. Subject to the terms and conditions of this License,\neach Contributor hereby grants to You a perpetual, worldwide, non-exclusive,\nno-charge, royalty-free, irrevocable patent license to make, have made, use,\noffer to sell, sell, import, and otherwise transfer the Work, where such license\napplies only to those patent claims licensable by such Contributor that are\nnecessarily infringed by their Contribution(s) alone or by combination of\ntheir Contribution(s) with the Work to which such Contribution(s) was submitted.\nIf You institute patent litigation against any entity (including a cross-claim\nor counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated\nwithin the Work constitutes direct or contributory patent infringement, then\nany patent licenses granted to You under this License for that Work shall\nterminate as of the date such litigation is filed.\n\n4. Redistribution. You may reproduce and distribute copies of the Work or\nDerivative Works thereof in any medium, with or without modifications, and\nin Source or Object form, provided that You meet the following conditions:\n\na. You must give any other recipients of the Work or Derivative Works a copy\nof this License; and\n\nb. You must cause any modified files to carry prominent notices stating that\nYou changed the files; and\n\nc. You must retain, in the Source form of any Derivative Works that You distribute,\nall copyright, patent, trademark, and attribution notices from the Source\nform of the Work, excluding those notices that do not pertain to any part\nof the Derivative Works; and\n\nd. If the Work includes a \"NOTICE\" text file as part of its distribution,\nthen any Derivative Works that You distribute must include a readable copy\nof the attribution notices contained within such NOTICE file, excluding those\nnotices that do not pertain to any part of the Derivative Works, in at least\none of the following places: within a NOTICE text file distributed as part\nof the Derivative Works; within the Source form or documentation, if provided\nalong with the Derivative Works; or, within a display generated by the Derivative\nWorks, if and wherever such third-party notices normally appear. The contents\nof the NOTICE file are for informational purposes only and do not modify the\nLicense. You may add Your own attribution notices within Derivative Works\nthat You distribute, alongside or as an addendum to the NOTICE text from the\nWork, provided that such additional attribution notices cannot be construed\nas modifying the License.\n\nYou may add Your own copyright statement to Your modifications and may provide\nadditional or different license terms and conditions for use, reproduction,\nor distribution of Your modifications, or for any such Derivative Works as\na whole, provided Your use, reproduction, and distribution of the Work otherwise\ncomplies with the conditions stated in this License.\n\n5. Submission of Contributions. Unless You explicitly state otherwise, any\nContribution intentionally submitted for inclusion in the Work by You to the\nLicensor shall be under the terms and conditions of this License, without\nany additional terms or conditions. Notwithstanding the above, nothing herein\nshall supersede or modify the terms of any separate license agreement you\nmay have executed with Licensor regarding such Contributions.\n\n6. Trademarks. This License does not grant permission to use the trade names,\ntrademarks, service marks, or product names of the Licensor, except as required\nfor reasonable and customary use in describing the origin of the Work and\nreproducing the content of the NOTICE file.\n\n7. Disclaimer of Warranty. Unless required by applicable law or agreed to\nin writing, Licensor provides the Work (and each Contributor provides its\nContributions) on an AS IS BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\nKIND, either express or implied, including, without limitation, any warranties\nor conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR\nA PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness\nof using or redistributing the Work and assume any risks associated with Your\nexercise of permissions under this License.\n\n8. Limitation of Liability. In no event and under no legal theory, whether\nin tort (including negligence), contract, or otherwise, unless required by\napplicable law (such as deliberate and grossly negligent acts) or agreed to\nin writing, shall any Contributor be liable to You for damages, including\nany direct, indirect, special, incidental, or consequential damages of any\ncharacter arising as a result of this License or out of the use or inability\nto use the Work (including but not limited to damages for loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses), even if such Contributor has been advised of the possibility\nof such damages.\n\n9. Accepting Warranty or Additional Liability. While redistributing the Work\nor Derivative Works thereof, You may choose to offer, and charge a fee for,\nacceptance of support, warranty, indemnity, or other liability obligations\nand/or rights consistent with this License. However, in accepting such obligations,\nYou may act only on Your own behalf and on Your sole responsibility, not on\nbehalf of any other Contributor, and only if You agree to indemnify, defend,\nand hold each Contributor harmless for any liability incurred by, or claims\nasserted against, such Contributor by reason of your accepting any such warranty\nor additional liability. How to Apply the License to your Work\n\nTo apply the ImageMagick License to your work, attach the following boilerplate\nnotice, with the fields enclosed by brackets \"[]\" replaced with your own identifying\ninformation (don\'t include the brackets). The text should be enclosed in the\nappropriate comment syntax for the file format. We also recommend that a file\nor class name and description of purpose be included on the same \"printed\npage\" as the copyright notice for easier identification within third-party\narchives.\n\nCopyright [yyyy] [name of copyright owner]\n\nLicensed under the ImageMagick License (the \"License\"); you may not use this\nfile except in compliance with the License. You may obtain a copy of the License\nat\n\nhttp://www.imagemagick.org/script/license.php\n\nUnless required by applicable law or agreed to in writing, software distributed\nunder the License is distributed on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR\nCONDITIONS OF ANY KIND, either express or implied. See the License for the\nspecific language governing permissions and limitations under the License.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(316,'PHP-3.0','The PHP License, version 3.0\n\nCopyright (c) 1999 - 2006 The PHP Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nis permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"PHP\" must not be used to endorse or promote products derived\nfrom this software without prior written permission. For written permission,\nplease contact group@php.net.\n\n4. Products derived from this software may not be called \"PHP\", nor may \"PHP\"\nappear in their name, without prior written permission from group@php.net.\nYou may indicate that your software works in conjunction with PHP by saying\n\"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n5. The PHP Group may publish revised and/or new versions of the license from\ntime to time. Each version will be given a distinguishing version number.\nOnce covered code has been published under a particular version of the license,\nyou may always continue to use it under the terms of that version. You may\nalso choose to use such covered code under the terms of any subsequent version\nof the license published by the PHP Group. No one other than the PHP Group\nhas the right to modify the terms applicable to covered code created under\nthis License.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment:\n\"This product includes PHP, freely available from <http://www.php.net/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals\non behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nThis product includes the Zend Engine, freely available at <http://www.zend.com>.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(317,'FreeImage','FreeImage Public License - Version 1.0\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a\n\n      Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. \"You\" means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n      2.1. The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Original Code (or portions thereof) with or without Modifications, or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (\"Utilize\") the Original Code (or portions\nthereof), but solely to the extent that any such patent is reasonably necessary\nto enable You to Utilize the Original Code (or portions thereof) and not to\nany greater extent that may be necessary to Utilize further Modifications\nor combinations.\n\n      2.2. Contributor Grant.\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Modifications created by such Contributor (or portions thereof) either\non an unmodified basis, with other Modifications, as Covered Code or as part\nof a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nUtilize the Contributor Version (or portions thereof), but solely to the extent\nthat any such patent is reasonably necessary to enable You to Utilize the\nContributor Version (or portions thereof), and not to any greater extent that\nmay be necessary to Utilize further Modifications or combinations.\n\n   3. Distribution Obligations.\n\n      3.1. Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n      3.2. Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made\navailable in Source Code form under the terms of this License either on the\nsame media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n      3.3. Description of Modifications.\n\nYou must cause all Covered Code to which you contribute to contain a file\ndocumenting the changes You made to create that Covered Code and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the Source\nCode, and (b) in any notice in an Executable version or related documentation\nin which You describe the origin or ownership of the Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims.\n\nIf You have knowledge that a party claims an intellectual property right in\nparticular functionality or code (or its utilization under this License),\nyou must include a text file with the source code distribution titled \"LEGAL\"\nwhich describes the claim and the party making the claim in sufficient detail\nthat a recipient will know whom to contact. If you obtain such knowledge after\nYou make Your Modification available as described in Section 3.2, You shall\npromptly modify the LEGAL file in all copies You make available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n         (b) Contributor APIs.\n\nIf Your Modification is an application programming interface and You own or\ncontrol patents which are reasonably necessary to implement that API, you\nmust also include this information in the LEGAL file.\n\n      3.5. Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code,\nand this License in any documentation for the Source Code, where You describe\nrecipients\' rights relating to Covered Code. If You created one or more Modification(s),\nYou may add your name as a Contributor to the notice described in Exhibit\nA. If it is not possible to put such notice in a particular Source Code file\ndue to its structure, then you must include such notice in a location (such\nas a relevant directory file) where a user would be likely to look for such\na notice. You may choose to offer, and to charge a fee for, warranty, support,\nindemnity or liability obligations to one or more recipients of Covered Code.\nHowever, You may do so only on Your own behalf, and not on behalf of the Initial\nDeveloper or any Contributor. You must make it absolutely clear than any such\nwarranty, support, indemnity or liability obligation is offered by You alone,\nand You hereby agree to indemnify the Initial Developer and every Contributor\nfor any liability incurred by the Initial Developer or such Contributor as\na result of warranty, support, indemnity or liability terms You offer.\n\n      3.6. Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code, and if You include\na notice stating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You descr ibe recipients\' rights relating to the Covered\nCode. You may distribute the Executable version of Covered Code under a license\nof Your choice, which may contain terms different from this License, provided\nthat You are in compliance with the terms of this License and that the license\nfor the Executable version does not attempt to limit or alter the recipient\'s\nrights in the Source Code version from the rights set forth in this License.\nIf You distribute the Executable version under a different license You must\nmake it absolutely clear that any terms which differ from this License are\noffered by You alone, not by the Initial Developer or any Contributor. You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof any such terms You offer.\n\n      3.7. Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) describe the limitations and the code they affect. Such\ndescription must be included in the LEGAL file described in Section 3.4 and\nmust be included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions.\n\nFloris van den Berg may publish revised and/or new versions of the License\nfrom time to time. Each version will be given a distinguishing version number.\n\n      6.2. Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Floris van den Berg\n\nNo one other than Floris van den Berg has the right to modify the terms applicable\nto Covered Code created under this License.\n\n      6.3. Derivative Works.\n\nIf you create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), you must (a) rename Your license so that the phrases \"FreeImage\",\n`FreeImage Public License\", \"FIPL\", or any confusingly similar phrase do not\nappear anywhere in your license and (b) otherwise make it clear that your\nversion of the license contains terms which differ from the FreeImage Public\nLicense. (Filling in the name of the Initial Developer, Original Code or Contributor\nin the notice described in Exhibit A shall not of themselves be deemed to\nbe modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER\nCONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF\nSUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by Dutch law provisions (except to the extent applicable\nlaw, if any, provides otherwise), excluding its conflict-of-law provisions.\nWith respect to disputes in which at least one party is a citizen of, or an\nentity chartered or registered to do business in, the The Netherlands: (a)\nunless otherwise agreed in writing, all disputes relating to this License\n(excepting any dispute relating to intellectual property rights) shall be\nsubject to final and binding arbitration, with the losing party paying all\ncosts of arbitration; (b) any arbitration relating to this Agreement shall\nbe held in Almelo, The Netherlands; and (c) any litigation relating to this\nAgreement shall be subject to the jurisdiction of the court of Almelo, The\nNetherlands with the losing party responsible for costs, including without\nlimitation, court costs and reasonable attorneys fees and expenses. Any law\nor regulation which provides that the language of a contract shall be construed\nagainst the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Covered Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute responsibility on an equitable basis. EXHIBIT A.\n\n\"The contents of this file are subject to the FreeImage Public License Version\n1.0 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://home.wxs.nl/~flvdberg/freeimage-license.txt\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(318,'Saxpath','Copyright (C) 2000-2002 werken digital.\n\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions, and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions, and the disclaimer that follows these conditions\nin the documentation and/or other materials provided with the distribution.\n\n3. The name \"SAXPath\" must not be used to endorse or promote products derived\nfrom this software without prior written permission. For written permission,\nplease contact license@saxpath.org.\n\n4. Products derived from this software may not be called \"SAXPath\", nor may\n\"SAXPath\" appear in their name, without prior written permission from the\nSAXPath Project Management (pm@saxpath.org).\n\nIn addition, we request (but do not require) that you include in the end-user\ndocumentation provided with the redistribution and/or in the software itself\nan acknowledgement equivalent to the following:\n\n\"This product includes software developed by the SAXPath Project (http://www.saxpath.org/).\"\n\nAlternatively, the acknowledgment may be graphical using the logos available\nat http://www.saxpath.org/\n\nTHIS SOFTWARE IS PROVIDED ``AS IS\'\' AND ANY EXPRESSED OR IMPLIED WARRANTIES,\nINCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE SAXPath\nAUTHORS OR THE PROJECT CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\nPROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\nOR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER\nIN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE\nPOSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(319,'zlib-acknowledgement','Copyright (c) 2002-2007 Charlie Poole\n\nCopyright (c) 2002-2004 James W. Newkirk, Michael C. Two, Alexei A. Vorontsov\n\nCopyright (c) 2000-2002 Philip A. Craig\n\nThis software is provided \'as-is\', without any express or implied warranty.\nIn no event will the authors be held liable for any damages arising from the\nuse of this software.\n\nPermission is granted to anyone to use this software for any purpose, including\ncommercial applications, and to alter it and redistribute it freely, subject\nto the following restrictions:\n\n1. The origin of this software must not be misrepresented; you must not claim\nthat you wrote the original software. If you use this software in a product,\nan acknowledgment (see the following) in the product documentation is required.\n\nPortions Copyright (c) 2002-2007 Charlie Poole or Copyright (c) 2002-2004\nJames W. Newkirk, Michael C. Two, Alexei A. Vorontsov or Copyright (c) 2000-2002\nPhilip A. Craig\n\n2. Altered source versions must be plainly marked as such, and must not be\nmisrepresented as being the original software.\n\n   3. This notice may not be removed or altered from any source distribution.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(320,'ClArtistic','The Clarified Artistic License\n\nPreamble\n\nThe intent of this document is to state the conditions under which a Package\nmay be copied, such that the Copyright Holder maintains some semblance of\nartistic control over the development of the package, while giving the users\nof the package the right to use and distribute the Package in a more-or-less\ncustomary fashion, plus the right to make reasonable modifications.\n\nDefinitions:\n\n\"Package\" refers to the collection of files distributed by the Copyright Holder,\nand derivatives of that collection of files created through textual modification.\n\n\"Standard Version\" refers to such a Package if it has not been modified, or\nhas been modified in accordance with the wishes of the Copyright Holder as\nspecified below.\n\n\"Copyright Holder\" is whoever is named in the copyright or copyrights for\nthe package.\n\n\"You\" is you, if you\'re thinking about copying or distributing this Package.\n\n\"Distribution fee\" is a fee you charge for providing a copy of this Package\nto another party.\n\n\"Freely Available\" means that no fee is charged for the right to use the item,\nthough there may be fees involved in handling the item. It also means that\nrecipients of the item may redistribute it under the same conditions they\nreceived it.\n\n1. You may make and give away verbatim copies of the source form of the Standard\nVersion of this Package without restriction, provided that you duplicate all\nof the original copyright notices and associated disclaimers.\n\n2. You may apply bug fixes, portability fixes and other modifications derived\nfrom the Public Domain, or those made Freely Available, or from the Copyright\nHolder. A Package modified in such a way shall still be considered the Standard\nVersion.\n\n3. You may otherwise modify your copy of this Package in any way, provided\nthat you insert a prominent notice in each changed file stating how and when\nyou changed that file, and provided that you do at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or placing the modifications on a major network archive site allowing\nunrestricted access to them, or by allowing the Copyright Holder to include\nyour modifications in the Standard Version of the Package.\n\n      b) use the modified Package only within your corporation or organization.\n\nc) rename any non-standard executables so the names do not conflict with standard\nexecutables, which must also be provided, and provide a separate manual page\nfor each non-standard executable that clearly documents how it differs from\nthe Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\ne) permit and encourge anyone who receives a copy of the modified Package\npermission to make your modifications Freely Available in some specific way.\n\n4. You may distribute the programs of this Package in object code or executable\nform, provided that you do at least ONE of the following:\n\na) distribute a Standard Version of the executables and library files, together\nwith instructions (in the manual page or equivalent) on where to get the Standard\nVersion.\n\nb) accompany the distribution with the machine-readable source of the Package\nwith your modifications.\n\nc) give non-standard executables non-standard names, and clearly document\nthe differences in manual pages (or equivalent), together with instructions\non where to get the Standard Version.\n\n      d) make other distribution arrangements with the Copyright Holder.\n\ne) offer the machine-readable source of the Package, with your modifications,\nby mail order.\n\n5. You may charge a distribution fee for any distribution of this Package.\nIf you offer support for this Package, you may charge any fee you choose for\nthat support. You may not charge a license fee for the right to use this Package\nitself. You may distribute this Package in aggregate with other (possibly\ncommercial and possibly nonfree) programs as part of a larger (possibly commercial\nand possibly nonfree) software distribution, and charge license fees for other\nparts of that software distribution, provided that you do not advertise this\nPackage as a product of your own. If the Package includes an interpreter,\nYou may embed this Package\'s interpreter within an executable of yours (by\nlinking); this shall be construed as a mere form of aggregation, provided\nthat the complete Standard Version of the interpreter is so embedded.\n\n6. The scripts and library files supplied as input to or produced as output\nfrom the programs of this Package do not automatically fall under the copyright\nof this Package, but belong to whoever generated them, and may be sold commercially,\nand may be aggregated with this Package. If such scripts or library files\nare aggregated with this Package via the so-called \"undump\" or \"unexec\" methods\nof producing a binary executable image, then distribution of such an image\nshall neither be construed as a distribution of this Package nor shall it\nfall under the restrictions of Paragraphs 3 and 4, provided that you do not\nrepresent such an executable image as a Standard Version of this Package.\n\n7. C subroutines (or comparably compiled subroutines in other languages) supplied\nby you and linked into this Package in order to emulate subroutines and variables\nof the language defined by this Package shall not be considered part of this\nPackage, but are the equivalent of input as in Paragraph 6, provided these\nsubroutines do not change the language in any way that would cause it to fail\nthe regression tests for the language.\n\n8. Aggregation of the Standard Version of the Package with a commercial distribution\nis always permitted provided that the use of this Package is embedded; that\nis, when no overt attempt is made to make this Package\'s interfaces visible\nto the end user of the commercial distribution. Such use shall not be construed\nas a distribution of this Package.\n\n9. The name of the Copyright Holder may not be used to endorse or promote\nproducts derived from this software without specific prior written permission.\n\n10. THIS PACKAGE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND\nFITNESS FOR A PARTICULAR PURPOSE. The End\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(321,'CDDL-1.0','COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n\nVersion 1.0\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each individual or entity that creates or contributes\nto the creation of Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Software,\nprior Modifications used by a Contributor (if any), and the Modifications\nmade by that particular Contributor.\n\n1.3. \"Covered Software\" means (a) the Original Software, or (b) Modifications,\nor (c) the combination of files containing Original Software with files containing\nModifications, in each case including portions thereof.\n\n1.4. \"Executable\" means the Covered Software in any form other than Source\nCode.\n\n1.5. \"Initial Developer\" means the individual or entity that first makes Original\nSoftware available under this License.\n\n1.6. \"Larger Work\" means a work which combines Covered Software or portions\nthereof with code not governed by the terms of this License.\n\n      1.7. \"License\" means this document.\n\n1.8. \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n1.9. \"Modifications\" means the Source Code and Executable form of any of the\nfollowing:\n\nA. Any file that results from an addition to, deletion from or modification\nof the contents of a file containing Original Software or previous Modifications;\n\nB. Any new file that contains any part of the Original Software or previous\nModification; or\n\nC. Any new file that is contributed or otherwise made available under the\nterms of this License.\n\n1.10. \"Original Software\" means the Source Code and Executable form of computer\nsoftware code that is originally released under this License.\n\n1.11. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.12. \"Source Code\" means (a) the common form of computer software code in\nwhich modifications are made and (b) associated documentation included in\nor with such code.\n\n1.13. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity which controls, is controlled by, or is under common\ncontrol with You. For purposes of this definition, \"control\" means (a) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (b) ownership of more than fifty percent\n(50%) of the outstanding shares or beneficial ownership of such entity.\n\n   2. License Grants.\n\n      2.1. The Initial Developer Grant.\n\nConditioned upon Your compliance with Section 3.1 below and subject to third\nparty intellectual property claims, the Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer, to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Software (or portions thereof), with or without\nModifications, and/or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using or selling of Original\nSoftware, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Software (or portions thereof).\n\n(c) The licenses granted in Sections 2.1(a) and (b) are effective on the date\nInitial Developer first distributes or otherwise makes the Original Software\navailable to a third party under the terms of this License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: (1)\nfor code that You delete from the Original Software, or (2) for infringements\ncaused by: (i) the modification of the Original Software, or (ii) the combination\nof the Original Software with other software or devices.\n\n      2.2. Contributor Grant.\n\nConditioned upon Your compliance with Section 3.1 below and subject to third\nparty intellectual property claims, each Contributor hereby grants You a world-wide,\nroyalty-free, non-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof),\neither on an unmodified basis, with other Modifications, as Covered Software\nand/or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: (1) Modifications made by that Contributor\n(or portions thereof); and (2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first distributes or otherwise makes the Modifications available\nto a third party.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: (1)\nfor any code that Contributor has deleted from the Contributor Version; (2)\nfor infringements caused by: (i) third party modifications of Contributor\nVersion, or (ii) the combination of Modifications made by that Contributor\nwith other software (except as part of the Contributor Version) or other devices;\nor (3) under Patent Claims infringed by Covered Software in the absence of\nModifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n      3.1. Availability of Source Code.\n\nAny Covered Software that You distribute or otherwise make available in Executable\nform must also be made available in Source Code form and that Source Code\nform must be distributed only under the terms of this License. You must include\na copy of this License with every copy of the Source Code form of the Covered\nSoftware You distribute or otherwise make available. You must inform recipients\nof any such Covered Software in Executable form as to how they can obtain\nsuch Covered Software in Source Code form in a reasonable manner on or through\na medium customarily used for software exchange.\n\n      3.2. Modifications.\n\nThe Modifications that You create or to which You contribute are governed\nby the terms of this License. You represent that You believe Your Modifications\nare Your original creation(s) and/or You have sufficient rights to grant the\nrights conveyed by this License.\n\n      3.3. Required Notices.\n\nYou must include a notice in each of Your Modifications that identifies You\nas the Contributor of the Modification. You may not remove or alter any copyright,\npatent or trademark notices contained within the Covered Software, or any\nnotices of licensing or any descriptive text giving attribution to any Contributor\nor the Initial Developer.\n\n      3.4. Application of Additional Terms.\n\nYou may not offer or impose any terms on any Covered Software in Source Code\nform that alters or restricts the applicable version of this License or the\nrecipients\' rights hereunder. You may choose to offer, and to charge a fee\nfor, warranty, support, indemnity or liability obligations to one or more\nrecipients of Covered Software. However, you may do so only on Your own behalf,\nand not on behalf of the Initial Developer or any Contributor. You must make\nit absolutely clear that any such warranty, support, indemnity or liability\nobligation is offered by You alone, and You hereby agree to indemnify the\nInitial Developer and every Contributor for any liability incurred by the\nInitial Developer or such Contributor as a result of warranty, support, indemnity\nor liability terms You offer.\n\n      3.5. Distribution of Executable Versions.\n\nYou may distribute the Executable form of the Covered Software under the terms\nof this License or under the terms of a license of Your choice, which may\ncontain terms different from this License, provided that You are in compliance\nwith the terms of this License and that the license for the Executable form\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nform from the rights set forth in this License. If You distribute the Covered\nSoftware in Executable form under a different license, You must make it absolutely\nclear that any terms which differ from this License are offered by You alone,\nnot by the Initial Developer or Contributor. You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of any such terms You\noffer.\n\n      3.6. Larger Works.\n\nYou may create a Larger Work by combining Covered Software with other code\nnot governed by the terms of this License and distribute the Larger Work as\na single product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Software.\n\n   4. Versions of the License.\n\n      4.1. New Versions.\n\nSun Microsystems, Inc. is the initial license steward and may publish revised\nand/or new versions of this License from time to time. Each version will be\ngiven a distinguishing version number. Except as provided in Section 4.3,\nno one other than the license steward has the right to modify this License.\n\n      4.2. Effect of New Versions.\n\nYou may always continue to use, distribute or otherwise make the Covered Software\navailable under the terms of the version of the License under which You originally\nreceived the Covered Software. If the Initial Developer includes a notice\nin the Original Software prohibiting it from being distributed or otherwise\nmade available under any subsequent version of the License, You must distribute\nand make the Covered Software available under the terms of the version of\nthe License under which You originally received the Covered Software. Otherwise,\nYou may also choose to use, distribute or otherwise make the Covered Software\navailable under the terms of any subsequent version of the License published\nby the license steward.\n\n      4.3. Modified Versions.\n\nWhen You are an Initial Developer and You want to create a new license for\nYour Original Software, You may create and use a modified version of this\nLicense if You: (a) rename the license and remove any references to the name\nof the license steward (except to note that the license differs from this\nLicense); and (b) otherwise make it clear that the license contains terms\nwhich differ from this License.\n\n   5. DISCLAIMER OF WARRANTY.\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT\nFOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE\nPROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\nCONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION.\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   6. TERMINATION.\n\n6.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. Provisions which, by their nature,\nmust remain in effect beyond the termination of this License shall survive.\n\n6.2. If You assert a patent infringement claim (excluding declaratory judgment\nactions) against Initial Developer or a Contributor (the Initial Developer\nor Contributor against whom You assert such claim is referred to as \"Participant\")\nalleging that the Participant Software (meaning the Contributor Version where\nthe Participant is a Contributor or the Original Software where the Participant\nis the Initial Developer) directly or indirectly infringes any patent, then\nany and all rights granted directly or indirectly to You by such Participant,\nthe Initial Developer (if the Initial Developer is not the Participant) and\nall Contributors under Sections 2.1 and/or 2.2 of this License shall, upon\n60 days notice from Participant terminate prospectively and automatically\nat the expiration of such 60 day notice period, unless if within such 60 day\nperiod You withdraw Your claim with respect to the Participant Software against\nsuch Participant either unilaterally or pursuant to a written agreement with\nParticipant.\n\n6.3. In the event of termination under Sections 6.1 or 6.2 above, all end\nuser licenses that have been validly granted by You or any distributor hereunder\nprior to termination (excluding licenses granted to You by any distributor)\nshall survive termination.\n\n   7. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER\nOF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE\nOR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF\nSUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS\nLIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL\nINJURY RESULTING FROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\nPROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\nLIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION\nMAY NOT APPLY TO YOU.\n\n   8. U.S. GOVERNMENT END USERS.\n\nThe Covered Software is a \"commercial item,\" as that term is defined in 48\nC.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" (as\nthat term is defined at 48 C.F.R. § 252.227-7014(a)(1)) and \"commercial computer\nsoftware documentation\" as such terms are used in 48 C.F.R. 12.212 (Sept.\n1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4\n(June 1995), all U.S. Government End Users acquire Covered Software with only\nthose rights set forth herein. This U.S. Government Rights clause is in lieu\nof, and supersedes, any other FAR, DFAR, or other clause or provision that\naddresses Government rights in computer software under this License.\n\n   9. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by the law of the jurisdiction specified in a notice\ncontained within the Original Software (except to the extent applicable law,\nif any, provides otherwise), excluding such jurisdiction\'s conflict-of-law\nprovisions. Any litigation relating to this License shall be subject to the\njurisdiction of the courts located in the jurisdiction and venue specified\nin a notice contained within the Original Software, with the losing party\nresponsible for costs, including, without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License. You agree that\nYou alone are responsible for compliance with the United States export administration\nregulations (and the export control laws and regulation of any other countries)\nwhen You use, distribute or otherwise make available any Covered Software.\n\n   10. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(322,'GL2PS','GL2PS LICENSE Version 2, November 2003\n\nCopyright (C) 2003, Christophe Geuzaine\n\nPermission to use, copy, and distribute this software and its documentation\nfor any purpose with or without fee is hereby granted, provided that the copyright\nnotice appear in all copies and that both that copyright notice and this permission\nnotice appear in supporting documentation.\n\nPermission to modify and distribute modified versions of this software is\ngranted, provided that:\n\n   1) the modifications are licensed under the same terms as this software;\n\n2) you make available the source code of any modifications that you distribute,\neither on the same media as you distribute any executable or other form of\nthis software, or via a mechanism generally accepted in the software development\ncommunity for the electronic transfer of data.\n\nThis software is provided \"as is\" without express or implied warranty.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(323,'LPPL-1.3a','The LaTeX Project Public License\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nLPPL Version 1.3a 2004-10-01\n\nCopyright 1999 2002-04 LaTeX3 Project\n\nEveryone is allowed to distribute verbatim copies of this license document,\nbut modification of it is not allowed.\n\nPREAMBLE\n\n========\n\nThe LaTeX Project Public License (LPPL) is the primary license under which\nthe the LaTeX kernel and the base LaTeX packages are distributed.\n\nYou may use this license for any work of which you hold the copyright and\nwhich you wish to distribute. This license may be particularly suitable if\nyour work is TeX-related (such as a LaTeX package), but you may use it with\nsmall modifications even if your work is unrelated to TeX.\n\nThe section `WHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\', below,\ngives instructions, examples, and recommendations for authors who are considering\ndistributing their works under this license.\n\nThis license gives conditions under which a work may be distributed and modified,\nas well as conditions under which modified versions of that work may be distributed.\n\nWe, the LaTeX3 Project, believe that the conditions below give you the freedom\nto make and distribute modified versions of your work that conform with whatever\ntechnical specifications you wish while maintaining the availability, integrity,\nand reliability of that work. If you do not see how to achieve your goal while\nmeeting these conditions, then read the document `cfgguide.tex\' and `modguide.tex\'\nin the base LaTeX distribution for suggestions.\n\nDEFINITIONS\n\n===========\n\nIn this license document the following terms are used:\n\n`Work\' Any work being distributed under this License. `Derived Work\' Any work\nthat under any applicable law is derived from the Work.\n\n`Modification\' Any procedure that produces a Derived Work under any applicable\nlaw -- for example, the production of a file containing an original file associated\nwith the Work or a significant portion of such a file, either verbatim or\nwith modifications and/or translated into another language.\n\n`Modify\' To apply any procedure that produces a Derived Work under any applicable\nlaw. `Distribution\' Making copies of the Work available from one person to\nanother, in whole or in part. Distribution includes (but is not limited to)\nmaking any electronic components of the Work accessible by file transfer protocols\nsuch as FTP or HTTP or by shared file systems such as Sun\'s Network File System\n(NFS).\n\n`Compiled Work\' A version of the Work that has been processed into a form\nwhere it is directly usable on a computer system. This processing may include\nusing installation facilities provided by the Work, transformations of the\nWork, copying of components of the Work, or other activities. Note that modification\nof any installation facilities provided by the Work constitutes modification\nof the Work.\n\n`Current Maintainer\' A person or persons nominated as such within the Work.\nIf there is no such explicit nomination then it is the `Copyright Holder\'\nunder any applicable law.\n\n`Base Interpreter\' A program or process that is normally needed for running\nor interpreting a part or the whole of the Work. A Base Interpreter may depend\non external components but these are not considered part of the Base Interpreter\nprovided that each external component clearly identifies itself whenever it\nis used interactively. Unless explicitly specified when applying the license\nto the Work, the only applicable Base Interpreter is a \"LaTeX-Format\".\n\nCONDITIONS ON DISTRIBUTION AND MODIFICATION\n\n===========================================\n\n1. Activities other than distribution and/or modification of the Work are\nnot covered by this license; they are outside its scope. In particular, the\nact of running the Work is not restricted and no requirements are made concerning\nany offers of support for the Work.\n\n2. You may distribute a complete, unmodified copy of the Work as you received\nit. Distribution of only part of the Work is considered modification of the\nWork, and no right to distribute such a Derived Work may be assumed under\nthe terms of this clause.\n\n3. You may distribute a Compiled Work that has been generated from a complete,\nunmodified copy of the Work as distributed under Clause 2 above, as long as\nthat Compiled Work is distributed in such a way that the recipients may install\nthe Compiled Work on their system exactly as it would have been installed\nif they generated a Compiled Work directly from the Work.\n\n4. If you are the Current Maintainer of the Work, you may, without restriction,\nmodify the Work, thus creating a Derived Work. You may also distribute the\nDerived Work without restriction, including Compiled Works generated from\nthe Derived Work. Derived Works distributed in this manner by the Current\nMaintainer are considered to be updated versions of the Work.\n\n5. If you are not the Current Maintainer of the Work, you may modify your\ncopy of the Work, thus creating a Derived Work based on the Work, and compile\nthis Derived Work, thus creating a Compiled Work based on the Derived Work.\n\n6. If you are not the Current Maintainer of the Work, you may distribute a\nDerived Work provided the following conditions are met for every component\nof the Work unless that component clearly states in the copyright notice that\nit is exempt from that condition. Only the Current Maintainer is allowed to\nadd such statements of exemption to a component of the Work.\n\na. If a component of this Derived Work can be a direct replacement for a component\nof the Work when that component is used with the Base Interpreter, then, wherever\nthis component of the Work identifies itself to the user when used interactively\nwith that Base Interpreter, the replacement component of this Derived Work\nclearly and unambiguously identifies itself as a modified version of this\ncomponent to the user when used interactively with that Base Interpreter.\n\nb. Every component of the Derived Work contains prominent notices detailing\nthe nature of the changes to that component, or a prominent reference to another\nfile that is distributed as part of the Derived Work and that contains a complete\nand accurate log of the changes.\n\nc. No information in the Derived Work implies that any persons, including\n(but not limited to) the authors of the original version of the Work, provide\nany support, including (but not limited to) the reporting and handling of\nerrors, to recipients of the Derived Work unless those persons have stated\nexplicitly that they do provide such support for the Derived Work.\n\n      d. You distribute at least one of the following with the Derived Work:\n\n1. A complete, unmodified copy of the Work; if your distribution of a modified\ncomponent is made by offering access to copy the modified component from a\ndesignated place, then offering equivalent access to copy the Work from the\nsame or some similar place meets this condition, even though third parties\nare not compelled to copy the Work along with the modified component;\n\n2. Information that is sufficient to obtain a complete, unmodified copy of\nthe Work.\n\n7. If you are not the Current Maintainer of the Work, you may distribute a\nCompiled Work generated from a Derived Work, as long as the Derived Work is\ndistributed to all recipients of the Compiled Work, and as long as the conditions\nof Clause 6, above, are met with regard to the Derived Work.\n\n8. The conditions above are not intended to prohibit, and hence do not apply\nto, the modification, by any method, of any component so that it becomes identical\nto an updated version of that component of the Work as it is distributed by\nthe Current Maintainer under Clause 4, above.\n\n9. Distribution of the Work or any Derived Work in an alternative format,\nwhere the Work or that Derived Work (in whole or in part) is then produced\nby applying some process to that format, does not relax or nullify any sections\nof this license as they pertain to the results of applying that process.\n\n   10.\n\na. A Derived Work may be distributed under a different license provided that\nlicense itself honors the conditions listed in Clause 6 above, in regard to\nthe Work, though it does not have to honor the rest of the conditions in this\nlicense.\n\nb. If a Derived Work is distributed under this license, that Derived Work\nmust provide sufficient documentation as part of itself to allow each recipient\nof that Derived Work to honor the restrictions in Clause 6 above, concerning\nchanges from the Work.\n\n11. This license places no restrictions on works that are unrelated to the\nWork, nor does this license place any restrictions on aggregating such works\nwith the Work by any means.\n\n12. Nothing in this license is intended to, or may be used to, prevent complete\ncompliance by all parties with all applicable laws.\n\nNO WARRANTY\n\n===========\n\nThere is no warranty for the Work. Except when otherwise stated in writing,\nthe Copyright Holder provides the Work `as is\', without warranty of any kind,\neither expressed or implied, including, but not limited to, the implied warranties\nof merchantability and fitness for a particular purpose. The entire risk as\nto the quality and performance of the Work is with you. Should the Work prove\ndefective, you assume the cost of all necessary servicing, repair, or correction.\n\nIn no event unless required by applicable law or agreed to in writing will\nThe Copyright Holder, or any author named in the components of the Work, or\nany other party who may distribute and/or modify the Work as permitted above,\nbe liable to you for damages, including any general, special, incidental or\nconsequential damages arising out of any use of the Work or out of inability\nto use the Work (including, but not limited to, loss of data, data being rendered\ninaccurate, or losses sustained by anyone as a result of any failure of the\nWork to operate with any other programs), even if the Copyright Holder or\nsaid author or said other party has been advised of the possibility of such\ndamages.\n\nMAINTENANCE OF THE WORK\n\n=======================\n\nThe Work has the status `author-maintained\' if the Copyright Holder explicitly\nand prominently states near the primary copyright notice in the Work that\nthe Work can only be maintained by the Copyright Holder or simply that is\n`author-maintained\'.\n\nThe Work has the status `maintained\' if there is a Current Maintainer who\nhas indicated in the Work that they are willing to receive error reports for\nthe Work (for example, by supplying a valid e-mail address). It is not required\nfor the Current Maintainer to acknowledge or act upon these error reports.\n\nThe Work changes from status `maintained\' to `unmaintained\' if there is no\nCurrent Maintainer, or the person stated to be Current Maintainer of the work\ncannot be reached through the indicated means of communication for a period\nof six months, and there are no other significant signs of active maintenance.\n\nYou can become the Current Maintainer of the Work by agreement with any existing\nCurrent Maintainer to take over this role.\n\nIf the Work is unmaintained, you can become the Current Maintainer of the\nWork through the following steps:\n\n1. Make a reasonable attempt to trace the Current Maintainer (and the Copyright\nHolder, if the two differ) through the means of an Internet or similar search.\n\n2. If this search is successful, then enquire whether the Work is still maintained.\n\na. If it is being maintained, then ask the Current Maintainer to update their\ncommunication data within one month.\n\nb. If the search is unsuccessful or no action to resume active maintenance\nis taken by the Current Maintainer, then announce within the pertinent community\nyour intention to take over maintenance. (If the Work is a LaTeX work, this\ncould be done, for example, by posting to comp.text.tex.)\n\n3a. If the Current Maintainer is reachable and agrees to pass maintenance\nof the Work to you, then this takes effect immediately upon announcement.\n\nb. If the Current Maintainer is not reachable and the Copyright Holder agrees\nthat maintenance of the Work be passed to you, then this takes effect immediately\nupon announcement.\n\n4. If you make an `intention announcement\' as described in 2b. above and after\nthree months your intention is challenged neither by the Current Maintainer\nnor by the Copyright Holder nor by other people, then you may arrange for\nthe Work to be changed so as to name you as the (new) Current Maintainer.\n\n5. If the previously unreachable Current Maintainer becomes reachable once\nmore within three months of a change completed under the terms of 3b) or 4),\nthen that Current Maintainer must become or remain the Current Maintainer\nupon request provided they then update their communication data within one\nmonth.\n\nA change in the Current Maintainer does not, of itself, alter the fact that\nthe Work is distributed under the LPPL license.\n\nIf you become the Current Maintainer of the Work, you should immediately provide,\nwithin the Work, a prominent and unambiguous statement of your status as Current\nMaintainer. You should also announce your new status to the same pertinent\ncommunity as in 2b) above.\n\nWHETHER AND HOW TO DISTRIBUTE WORKS UNDER THIS LICENSE\n\n======================================================\n\nThis section contains important instructions, examples, and recommendations\nfor authors who are considering distributing their works under this license.\nThese authors are addressed as `you\' in this section.\n\nChoosing This License or Another License\n\n----------------------------------------\n\nIf for any part of your work you want or need to use *distribution* conditions\nthat differ significantly from those in this license, then do not refer to\nthis license anywhere in your work but, instead, distribute your work under\na different license. You may use the text of this license as a model for your\nown license, but your license should not refer to the LPPL or otherwise give\nthe impression that your work is distributed under the LPPL.\n\nThe document `modguide.tex\' in the base LaTeX distribution explains the motivation\nbehind the conditions of this license. It explains, for example, why distributing\nLaTeX under the GNU General Public License (GPL) was considered inappropriate.\nEven if your work is unrelated to LaTeX, the discussion in `modguide.tex\'\nmay still be relevant, and authors intending to distribute their works under\nany license are encouraged to read it.\n\nA Recommendation on Modification Without Distribution\n\n-----------------------------------------------------\n\nIt is wise never to modify a component of the Work, even for your own personal\nuse, without also meeting the above conditions for distributing the modified\ncomponent. While you might intend that such modifications will never be distributed,\noften this will happen by accident -- you may forget that you have modified\nthat component; or it may not occur to you when allowing others to access\nthe modified version that you are thus distributing it and violating the conditions\nof this license in ways that could have legal implications and, worse, cause\nproblems for the community. It is therefore usually in your best interest\nto keep your copy of the Work identical with the public one. Many works provide\nways to control the behavior of that work without altering any of its licensed\ncomponents.\n\nHow to Use This License\n\n-----------------------\n\nTo use this license, place in each of the components of your work both an\nexplicit copyright notice including your name and the year the work was authored\nand/or last substantially modified. Include also a statement that the distribution\nand/or modification of that component is constrained by the conditions in\nthis license.\n\nHere is an example of such a notice and statement:\n\n%% pig.dtx\n\n%% Copyright 2003 M. Y. Name\n\n%\n\n% This work may be distributed and/or modified under the\n\n% conditions of the LaTeX Project Public License, either version 1.3\n\n% of this license or (at your option) any later version.\n\n% The latest version of this license is in\n\n% http://www.latex-project.org/lppl.txt\n\n% and version 1.3 or later is part of all distributions of LaTeX\n\n% version 2003/12/01 or later.\n\n%\n\n% This work has the LPPL maintenance status \" maintained \".\n\n%\n\n% This Current Maintainer of this work is M. Y. Name .\n\n%\n\n% This work consists of the files pig.dtx and pig.ins\n\n% and the derived file pig.sty .\n\nGiven such a notice and statement in a file, the conditions given in this\nlicense document would apply, with the `Work\' referring to the three files\n`pig.dtx\', `pig.ins\', and `pig.sty\' (the last being generated from `pig.dtx\'\nusing `pig.ins\'), the `Base Interpreter\' referring to any \"LaTeX-Format\",\nand both `Copyright Holder\' and `Current Maintainer\' referring to the person\n`M. Y. Name\'.\n\nIf you do not want the Maintenance section of LPPL to apply to your Work,\nchange \"maintained\" above into \"author-maintained\". However, we recommend\nthat you use \"maintained\" as the Maintenance section was added in order to\nensure that your Work remains useful to the community even when you can no\nlonger maintain and support it yourself.\n\nImportant Recommendations\n\n-------------------------\n\nDefining What Constitutes the Work\n\nThe LPPL requires that distributions of the Work contain all the files of\nthe Work. It is therefore important that you provide a way for the licensee\nto determine which files constitute the Work. This could, for example, be\nachieved by explicitly listing all the files of the Work near the copyright\nnotice of each file or by using a line such as:\n\n% This work consists of all files listed in manifest.txt.\n\nin that place. In the absence of an unequivocal list it might be impossible\nfor the licensee to determine what is considered by you to comprise the Work\nand, in such a case, the licensee would be entitled to make reasonable conjectures\nas to which files comprise the Work.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(324,'LAL-1.2','Licence Art Libre\n\n[ Copyleft Attitude ]\n\nVersion 1.2\n\nPréambule :\n\nAvec cette Licence Art Libre, l\'autorisation est donnée de copier, de diffuser\net de transformer librement les oeuvres dans le respect des droits de l\'auteur.\n\nLoin d\'ignorer les droits de l\'auteur, cette licence les reconnaît et les\nprotège. Elle en reformule le principe en permettant au public de faire un\nusage créatif des oeuvres d\'art.\n\nAlors que l\'usage fait du droit de la propriété littéraire et artistique conduit\nà restreindre l\'accès du public à l\'oeuvre, la Licence Art Libre a pour but\nde le favoriser.\n\nL\'intention est d\'ouvrir l\'accès et d\'autoriser l\'utilisation des ressources\nd\'une oeuvre par le plus grand nombre. En avoir jouissance pour en multiplier\nles réjouissances, créer de nouvelles conditions de création pour amplifier\nles possibilités de création. Dans le respect des auteurs avec la reconnaissance\net la défense de leur droit moral.\n\nEn effet, avec la venue du numérique, l\'invention de l\'internet et des logiciels\nlibres, un nouveau mode de création et de production est apparu. Il est aussi\nl\'amplification de ce qui a été expérimenté par nombre d\'artistes contemporains.\n\nLe savoir et la création sont des ressources qui doivent demeurer libres pour\nêtre encore véritablement du savoir et de la création. C\'est à dire rester\nune recherche fondamentale qui ne soit pas directement liée à une application\nconcrète. Créer c\'est découvrir l\'inconnu, c\'est inventer le réel avant tout\nsouci de réalisme.\n\nAinsi, l\'objet de l\'art n\'est pas confondu avec l\'objet d\'art fini et défini\ncomme tel.\n\nC\'est la raison essentielle de cette Licence Art Libre : promouvoir et protéger\ndes pratiques artistiques libérées des seules règles de l\'économie de marché.\n\nDÉFINITIONS\n\n– L\'oeuvre :\n\nil s\'agit d\'une oeuvre commune qui comprend l\'oeuvre originelle ainsi que\ntoutes les contributions postérieures (les originaux conséquents et les copies).\nElle est créée à l\'initiative de l\'auteur originel qui par cette licence définit\nles conditions selon lesquelles les contributions sont faites.\n\n– L\'oeuvre originelle :\n\nc\'est-à-dire l\'oeuvre créée par l\'initiateur de l\'oeuvre commune dont les\ncopies vont être modifiées par qui le souhaite.\n\n– Les oeuvres conséquentes :\n\nc\'est-à-dire les propositions des auteurs qui contribuent à la formation de\nl\'oeuvre en faisant usage des droits de reproduction, de diffusion et de modification\nque leur confère la licence.\n\n– Original (source ou ressource de l\'oeuvre) :\n\nexemplaire daté de l\'oeuvre, de sa définition, de sa partition ou de son programme\nque l\'auteur présente comme référence pour toutes actualisations, interprétations,\ncopies ou reproductions ultérieures.\n\n– Copie :\n\ntoute reproduction d\'un original au sens de cette licence.\n\n– Auteur de l\'oeuvre originelle :\n\nc\'est la personne qui a créé l\'oeuvre à l\'origine d\'une arborescence de cette\noeuvre modifiée. Par cette licence, l\'auteur détermine les conditions dans\nlesquelles ce travail se fait.\n\n– Contributeur :\n\ntoute personne qui contribue à la création de l\'oeuvre. Il est l\'auteur d\'une\noeuvre originale résultant de la modification d\'une copie de l\'oeuvre originelle\nou de la modification d\'une copie d\'une oeuvre conséquente.\n\n   1. OBJET\n\nCette licence a pour objet de définir les conditions selon lesquelles vous\npouvez jouir librement de cette oeuvre.\n\n   2. L\'ÉTENDUE DE LA JOUISSANCE\n\nCette oeuvre est soumise au droit d\'auteur, et l\'auteur par cette licence\nvous indique quelles sont vos libertés pour la copier, la diffuser et la modifier:\n\n   2.1 LA LIBERTÉ DE COPIER (OU DE REPRODUCTION)\n\nVous avez la liberté de copier cette oeuvre pour un usage personnel, pour\nvos amis, ou toute autre personne et quelque soit la technique employée.\n\n   2.2 LA LIBERTÉ DE DIFFUSER, D\'INTERPRÉTER (OU DE REPRÉSENTATION)\n\nVous pouvez diffuser librement les copies de ces oeuvres, modifiées ou non,\nquel que soit le support, quel que soit le lieu, à titre onéreux ou gratuit\nsi vous respectez toutes les conditions suivantes:\n\n– joindre aux copies, cette licence à l\'identique, ou indiquer précisément\noù se trouve la licence,\n\n   – indiquer au destinataire le nom de l\'auteur des originaux,\n\n   – indiquer au destinataire où il pourra avoir accès aux originaux\n\n(originels et/ou conséquents). L\'auteur de l\'original pourra, s\'il le souhaite,\nvous autoriser à diffuser l\'original dans les mêmes conditions que les copies.\n\n   2.3 LA LIBERTÉ DE MODIFIER\n\nVous avez la liberté de modifier les copies des originaux (originels et conséquents),\nqui peuvent être partielles ou non, dans le respect des conditions prévues\nà l\'article 2.2 en cas de diffusion (ou représentation) de la copie modifiée.\nL\'auteur de l\'original pourra, s\'il le souhaite, vous autoriser à modifier\nl\'original dans les mêmes conditions que les copies.\n\n   3. L\'INCORPORATION DE L\'OEUVRE\n\nTous les éléments de cette oeuvre doivent demeurer libres, c\'est pourquoi\nil ne vous est pas permis d\'intégrer les originaux (originels et conséquents)\ndans une autre oeuvre qui ne serait pas soumise à cette licence.\n\n   4. VOS DROITS D\'AUTEUR\n\nCette licence n\'a pas pour objet de nier vos droits d\'auteur sur votre contribution.\nEn choisissant de contribuer à l\'évolution de cette oeuvre, vous acceptez\nseulement d\'offrir aux autres les mêmes droits sur votre contribution que\nceux qui vous ont été accordés par cette licence.\n\n   5. LA DURÉE DE LA LICENCE\n\nCette licence prend effet dès votre acceptation de ses dispositions. Le fait\nde copier, de diffuser, ou de modifier l\'oeuvre constitue une acception tacite.\n\n   Cette licence a pour durée la durée des droits d\'auteur attachés à l\'oeuvre.\n\nSi vous ne respectez pas les termes de cette licence, vous perdez automatiquement\nles droits qu\'elle vous confère.\n\nSi le régime juridique auquel vous êtes soumis ne vous permet pas de respecter\nles termes de cette licence, vous ne pouvez pas vous prévaloir des libertés\nqu\'elle confère.\n\n   6. LES DIFFÉRENTES VERSIONS DE LA LICENCE\n\nCette licence pourra être modifiée régulièrement, en vue de son amélioration,\npar ses auteurs (les acteurs du mouvement « copyleft attitude ») sous la forme\nde nouvelles versions numérotées.\n\nVous avez toujours le choix entre vous contenter des dispositions contenues\ndans la version sous laquelle la copie vous a été communiquée ou alors, vous\nprévaloir des dispositions d\'une des versions ultérieures.\n\n   7. LES SOUS-LICENCES\n\nLes sous licences ne sont pas autorisées par la présente. Toute personne qui\nsouhaite bénéficier des libertés qu\'elle confère sera liée directement à l\'auteur\nde l\'oeuvre originelle.\n\n   8. LA LOI APPLICABLE AU CONTRAT\n\nCette licence est soumise au droit français.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(325,'PHP-3.01','The PHP License, version 3.01\n\nCopyright (c) 1999 - 2012 The PHP Group. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nis permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The name \"PHP\" must not be used to endorse or promote products derived\nfrom this software without prior written permission. For written permission,\nplease contact group@php.net.\n\n4. Products derived from this software may not be called \"PHP\", nor may \"PHP\"\nappear in their name, without prior written permission from group@php.net.\nYou may indicate that your software works in conjunction with PHP by saying\n\"Foo for PHP\" instead of calling it \"PHP Foo\" or \"phpfoo\"\n\n5. The PHP Group may publish revised and/or new versions of the license from\ntime to time. Each version will be given a distinguishing version number.\nOnce covered code has been published under a particular version of the license,\nyou may always continue to use it under the terms of that version. You may\nalso choose to use such covered code under the terms of any subsequent version\nof the license published by the PHP Group. No one other than the PHP Group\nhas the right to modify the terms applicable to covered code created under\nthis License.\n\n6. Redistributions of any form whatsoever must retain the following acknowledgment:\n\"This product includes PHP software, freely available from <http://www.php.net/software/>\".\n\nTHIS SOFTWARE IS PROVIDED BY THE PHP DEVELOPMENT TEAM ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE PHP DEVELOPMENT TEAM OR ITS CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThis software consists of voluntary contributions made by many individuals\non behalf of the PHP Group.\n\nThe PHP Group can be contacted via Email at group@php.net.\n\nFor more information on the PHP Group and the PHP project, please see <http://www.php.net>.\n\nPHP includes the Zend Engine, freely available at <http://www.zend.com>.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(326,'Glulxe','The source code in this package is copyright 1999-2010 by Andrew Plotkin.\n\nYou may copy and distribute it freely, by any means and under any conditions,\nas long as the code and documentation is not changed. You may also incorporate\nthis code into your own program and distribute that, or modify this code and\nuse and distribute the modified version, as long as you retain a notice in\nyour program or documentation which mentions my name and the URL shown above.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(327,'MIT-CMU','Copyright 1989, 1991, 1992 by Carnegie Mellon University\n\nDerivative Work - 1996, 1998-2000 Copyright 1996, 1998-2000 The Regents of\nthe University of California\n\nAll Rights Reserved\n\nPermission to use, copy, modify and distribute this software and its documentation\nfor any purpose and without fee is hereby granted, provided that the above\ncopyright notice appears in all copies and that both that copyright notice\nand this permission notice appear in supporting documentation, and that the\nname of CMU and The Regents of the University of California not be used in\nadvertising or publicity pertaining to distribution of the software without\nspecific written permission.\n\nCMU AND THE REGENTS OF THE UNIVERSITY OF CALIFORNIA DISCLAIM ALL WARRANTIES\nWITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY\nAND FITNESS. IN NO EVENT SHALL CMU OR THE REGENTS OF THE UNIVERSITY OF CALIFORNIA\nBE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES\nWHATSOEVER RESULTING FROM THE LOSS OF USE, DATA OR PROFITS, WHETHER IN AN\nACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR\nIN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(328,'Adobe-2006','Adobe Systems Incorporated(r) Source Code License Agreement\n\nCopyright(c) 2006 Adobe Systems Incorporated. All rights reserved.\n\nPlease read this Source Code License Agreement carefully before using the\nsource code.\n\nAdobe Systems Incorporated grants to you a perpetual, worldwide, non-exclusive,\nno-charge, royalty-free, irrevocable copyright license, to reproduce, prepare\nderivative works of, publicly display, publicly perform, and distribute this\nsource code and such derivative works in source or object code form without\nany attribution requirements.\n\nThe name \"Adobe Systems Incorporated\" must not be used to endorse or promote\nproducts derived from the source code without prior written permission.\n\nYou agree to indemnify, hold harmless and defend Adobe Systems Incorporated\nfrom and against any loss, damage, claims or lawsuits, including attorney\'s\nfees that arise or result from your use or distribution of the source code.\n\nTHIS SOURCE CODE IS PROVIDED \"AS IS\" AND \"WITH ALL FAULTS\", WITHOUT ANY TECHNICAL\nSUPPORT OR ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED\nTO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR\nPURPOSE ARE DISCLAIMED. ALSO, THERE IS NO WARRANTY OF NON-INFRINGEMENT, TITLE\nOR QUIET ENJOYMENT. IN NO EVENT SHALL MACROMEDIA OR ITS SUPPLIERS BE LIABLE\nFOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOURCE CODE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(329,'AFL-2.1','The Academic Free License\n\nv.2.1 This Academic Free License (the \"License\") applies to any original work\nof authorship (the \"Original Work\") whose owner (the \"Licensor\") has placed\nthe following notice immediately following the copyright notice for the Original\nWork:\n\nLicensed under the Academic Free License version 2.1\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license, under patent claims owned\nor controlled by the Licensor that are embodied in the Original Work as furnished\nby the Licensor, to make, use, sell and offer for sale the Original Work and\nDerivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby\nagrees to provide a machine-readable copy of the Source Code of the Original\nWork along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor. Nothing in\nthis License shall be deemed to grant any rights to trademarks, copyrights,\npatents, trade secrets or any other intellectual property of Licensor except\nas expressly stated herein. No patent license is granted to make, use, sell\nor offer to sell embodiments of any patent claims other than the licensed\nclaims defined in Section 2. No right is granted to the trademarks of Licensor\neven if such marks are included in the Original Work. Nothing in this License\nshall be interpreted to prohibit Licensor from licensing under different terms\nfrom this License any Original Work that Licensor otherwise would have a right\nto license.\n\n   5) This section intentionally omitted.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately proceeding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\nPURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work\nor a Derivative Work, You must make a reasonable effort under the circumstances\nto obtain the express assent of recipients to the terms of this License. Nothing\nelse but this License (or another written agreement between Licensor and You)\ngrants You permission to create Derivative Works based upon the Original Work\nor to exercise any of the rights granted in Section 1 herein, and any attempt\nto do so except under the terms of this License (or another written agreement\nbetween Licensor and You) is expressly prohibited by U.S. copyright law, the\nequivalent laws of other countries, and by international treaty. Therefore,\nby exercising any of the rights granted to You in Section 1 herein, You indicate\nYour acceptance of this License and all of its terms and conditions.\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nagainst Licensor or any licensee alleging that the Original Work infringes\na patent. This termination provision shall not apply for an action alleging\npatent infringement by combinations of the Original Work with other software\nor hardware.\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of the U.S. Copyright Act, 17 U.S.C. § 101 et seq.,\nthe equivalent laws of other countries, and international treaty. This section\nshall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(330,'MIT-advertising','Copyright (C) 2000-2008 Carsten Haitzler, Geoff Harrison and various contributors\nCopyright (C) 2004-2008 Kim Woelders\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in\nall copies of the Software, its documentation and marketing & publicity materials,\nand acknowledgment shall be given in the documentation, materials and software\npackages that this Software was used.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nBE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH\nTHE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(331,'Zend-2.0','The Zend Engine License, version 2.00 Copyright (c) 1999-2002 Zend Technologies\nLtd. All rights reserved.\n\n\n\nRedistribution and use in source and binary forms, with or without modification,\nis permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. The names \"Zend\" and \"Zend Engine\" must not be used to endorse or promote\nproducts derived from this software without prior permission from Zend Technologies\nLtd. For written permission, please contact license@zend.com.\n\n4. Zend Technologies Ltd. may publish revised and/or new versions of the license\nfrom time to time. Each version will be given a distinguishing version number.\nOnce covered code has been published under a particular version of the license,\nyou may always continue to use it under the terms of that version. You may\nalso choose to use such covered code under the terms of any subsequent version\nof the license published by Zend Technologies Ltd. No one other than Zend\nTechnologies Ltd. has the right to modify the terms applicable to covered\ncode created under this License.\n\n5. Redistributions of any form whatsoever must retain the following acknowledgment:\n\"This product includes the Zend Engine, freely available at http://www.zend.com\"\n\n6. All advertising materials mentioning features or use of this software must\ndisplay the following acknowledgment: \"The Zend Engine is freely available\nat http://www.zend.com\"\n\nTHIS SOFTWARE IS PROVIDED BY ZEND TECHNOLOGIES LTD. ``AS IS\'\' AND ANY EXPRESSED\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL ZEND TECHNOLOGIES LTD. BE LIABLE FOR ANY DIRECT, INDIRECT,\nINCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,\nOR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF\nLIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(332,'NPL-1.1','Netscape Public LIcense version 1.1\n\nAMENDMENTS\n\nThe Netscape Public License Version 1.1 (\"NPL\") consists of the Mozilla Public\nLicense Version 1.1 with the following Amendments, including Exhibit A-Netscape\nPublic License. Files identified with \"Exhibit A-Netscape Public License\"\nare governed by the Netscape Public License Version 1.1.\n\nAdditional Terms applicable to the Netscape Public License.\n\n   I. Effect.\n\nThese additional terms described in this Netscape Public License -- Amendments\nshall apply to the Mozilla Communicator client code and to all Covered Code\nunder this License.\n\nII. \"Netscape\'s Branded Code\" means Covered Code that Netscape distributes\nand/or permits others to distribute under one or more trademark(s) which are\ncontrolled by Netscape but which are not licensed for use under this License.\n\n   III. Netscape and logo.\n\nThis License does not grant any rights to use the trademarks \"Netscape\", the\n\"Netscape N and horizon\" logo or the \"Netscape lighthouse\" logo, \"Netcenter\",\n\"Gecko\", \"Java\" or \"JavaScript\", \"Smart Browsing\" even if such marks are included\nin the Original Code or Modifications.\n\n   IV. Inability to Comply Due to Contractual Obligation.\n\nPrior to licensing the Original Code under this License, Netscape has licensed\nthird party code for use in Netscape\'s Branded Code. To the extent that Netscape\nis limited contractually from making such third party code available under\nthis License, Netscape may choose to reintegrate such code into Covered Code\nwithout being required to distribute such code in Source Code form, even if\nsuch code would otherwise be considered \"Modifications\" under this License.\n\n   V. Use of Modifications and Covered Code by Initial Developer.\n\n      V.1. In General.\n\nThe obligations of Section 3 apply to Netscape, except to the extent specified\nin this Amendment, Section V.2 and V.3.\n\n      V.2. Other Products.\n\nNetscape may include Covered Code in products other than the Netscape\'s Branded\nCode which are released by Netscape during the two (2) years following the\nrelease date of the Original Code, without such additional products becoming\nsubject to the terms of this License, and may license such additional products\non different terms from those contained in this License.\n\n      V.3. Alternative Licensing.\n\nNetscape may license the Source Code of Netscape\'s Branded Code, including\nModifications incorporated therein, without such Netscape Branded Code becoming\nsubject to the terms of this License, and may license such Netscape Branded\nCode on different terms from those contained in this License.\n\n   VI. Litigation.\n\nNotwithstanding the limitations of Section 11 above, the provisions regarding\nlitigation in Section 11(a), (b) and (c) of the License shall apply to all\ndisputes relating to this License.\n\n   EXHIBIT A-Netscape Public License.\n\n\"The contents of this file are subject to the Netscape Public License Version\n1.1 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation.\nPortions created by Netscape are Copyright (C) 1998-1999 Netscape Communications\nCorporation. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the \"[___] License\"), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the NPL, indicate your\ndecision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe NPL or the [___] License.\"\n\nMozilla Public License Version 1.1\n\n   1. Definitions.\n\n1.0.1. \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1. \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5. \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6. \"Initial Developer\" means the individual or entity identified as the\nInitial Developer in the Source Code notice required by Exhibit A.\n\n1.7. \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8. \"License\" means this document.\n\n1.8.1. \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9. \"Modifications\" means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nAny addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nAny new file that contains any part of the Original Code or previous Modifications.\n\n1.10. \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1. \"Patent Claims\" means any patent claim(s), now owned or hereafter\nacquired, including without limitation, method, process, and apparatus claims,\nin any patent Licensable by grantor.\n\n1.11. \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\na. under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\nb. under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\nc. the licenses granted in this Section 2.1 (a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\nd. Notwithstanding Section 2.1 (b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n2.2. Contributor Grant. Subject to third party intellectual property claims,\neach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense\n\na. under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\nb. under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\nc. the licenses granted in Sections 2.2 (a) and 2.2 (b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\nd. Notwithstanding Section 2.2 (b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nYou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n         (a) Third Party Claims\n\nIf Contributor has knowledge that a license under a third party\'s intellectual\nproperty rights is required to exercise the rights granted by such Contributor\nunder Sections 2.1 or 2.2, Contributor must include a text file with the Source\nCode distribution titled \"LEGAL\" which describes the claim and the party making\nthe claim in sufficient detail that a recipient will know whom to contact.\nIf Contributor obtains such knowledge after the Modification is made available\nas described in Section 3.2, Contributor shall promptly modify the LEGAL file\nin all copies Contributor makes available thereafter and shall take other\nsteps (such as notifying appropriate mailing lists or newsgroups) reasonably\ncalculated to inform those who received the Covered Code that new knowledge\nhas been obtained.\n\n         (b) Contributor APIs\n\nIf Contributor\'s Modifications include an application programming interface\nand Contributor has knowledge of patent licenses which are reasonably necessary\nto implement that API, Contributor must also include this information in the\nLEGAL file.\n\n         (c) Representations.\n\nContributor represents that, except as disclosed pursuant to Section 3.4 (a)\nabove, Contributor believes that Contributor\'s Modifications are Contributor\'s\noriginal creation(s) and/or Contributor has sufficient rights to grant the\nrights conveyed by this License.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code. If it is not possible to put such notice in a particular\nSource Code file due to its structure, then You must include such notice in\na location (such as a relevant directory) where a user would be likely to\nlook for such a notice. If You created one or more Modification(s) You may\nadd your name as a Contributor to the notice described in Exhibit A. You must\nalso duplicate this License in any documentation for the Source Code where\nYou describe recipients\' rights or ownership rights relating to Covered Code.\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Code. However,\nYou may do so only on Your own behalf, and not on behalf of the Initial Developer\nor any Contributor. You must make it absolutely clear than any such warranty,\nsupport, indemnity or liability obligation is offered by You alone, and You\nhereby agree to indemnify the Initial Developer and every Contributor for\nany liability incurred by the Initial Developer or such Contributor as a result\nof warranty, support, indemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Sections 3.1, 3.2, 3.3, 3.4\nand 3.5 have been met for that Covered Code, and if You include a notice stating\nthat the Source Code version of the Covered Code is available under the terms\nof this License, including a description of how and where You have fulfilled\nthe obligations of Section 3.2. The notice must be conspicuously included\nin any notice in an Executable version, related documentation or collateral\nin which You describe recipients\' rights relating to the Covered Code. You\nmay distribute the Executable version of Covered Code or ownership rights\nunder a license of Your choice, which may contain terms different from this\nLicense, provided that You are in compliance with the terms of this License\nand that the license for the Executable version does not attempt to limit\nor alter the recipient\'s rights in the Source Code version from the rights\nset forth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms which\ndiffer from this License are offered by You alone, not by the Initial Developer\nor any Contributor. You hereby agree to indemnify the Initial Developer and\nevery Contributor for any liability incurred by the Initial Developer or such\nContributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1. New Versions\n\nNetscape Communications Corporation (\"Netscape\") may publish revised and/or\nnew versions of the License from time to time. Each version will be given\na distinguishing version number.\n\n      6.2. Effect of New Versions\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Netscape. No one other than Netscape has the right\nto modify the terms applicable to Covered Code created under this License.\n\n      6.3. Derivative Works\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrases \"Mozilla\",\n\"MOZILLAPL\", \"MOZPL\", \"Netscape\", \"MPL\", \"NPL\" or any confusingly similar\nphrase do not appear in your license (except to note that your license differs\nfrom this License) and (b) otherwise make it clear that Your version of the\nlicense contains terms which differ from the Mozilla Public License and Netscape\nPublic License. (Filling in the name of the Initial Developer, Original Code\nor Contributor in the notice described in Exhibit A shall not of themselves\nbe deemed to be modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME\nTHE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. Termination\n\n8.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2. If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer or a Contributor (the\nInitial Developer or Contributor against whom You file such action is referred\nto as \"Participant\") alleging that:\n\na. such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\nb. any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3. If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4. In the event of termination under Sections 8.1 or 8.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or any distributor hereunder prior to termination\nshall survive termination.\n\n   9. LIMITATION OF LIABILITY\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF\nANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL,\nOR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES\nFOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY\nAND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE\nBEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY\nSHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH\nPARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. government end users\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. Miscellaneous\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. Responsibility for claims\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\n   13. Multiple-licensed code\n\nInitial Developer may designate portions of the Covered Code as \"Multiple-Licensed\".\n\"Multiple-Licensed\" means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the MPL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A. Exhibit A - Mozilla Public License.\n\n\"The contents of this file are subject to the Mozilla Public License Version\n1.1 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.mozilla.org/MPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________________________.\n\nThe Initial Developer of the Original Code is ________________________.\n\nPortions created by ______________________ are Copyright (C) ______\n\n_______________________. All Rights Reserved.\n\nContributor(s): ______________________________________.\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the \"[___] License\"), in which case the provisions of [______]\nLicense are applicable instead of those above. If you wish to allow use of\nyour version of this file only under the terms of the [____] License and not\nto allow others to use your version of this file under the MPL, indicate your\ndecision by deleting the provisions above and replace them with the notice\nand other provisions required by the [___] License. If you do not delete the\nprovisions above, a recipient may use your version of this file under either\nthe MPL or the [___] License.\"\n\nNOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(333,'CDLA-Sharing-1.0','Community Data License Agreement - Sharing - Version 1.0\n\nThis is the Community Data License Agreement - Sharing, Version 1.0 (\"Agreement\").\nData is provided to You under this Agreement by each of the Data Providers.\nYour exercise of any of the rights and permissions granted below constitutes\nYour acceptance and agreement to be bound by the terms and conditions of this\nAgreement.\n\nThe benefits that each Data Provider receives from making Data available and\nthat You receive from Data or otherwise under these terms and conditions shall\nbe deemed sufficient consideration for the formation of this Agreement. Accordingly,\nData Provider(s) and You (the \"Parties\") agree as follows:\n\n   Section 1. Definitions\n\n1.1 \"Add\" means to supplement Data with Your own or someone else\'s Data, resulting\nin Your \"Additions.\" Additions do not include Results.\n\n1.2 \"Computational Use\" means Your analysis (through the use of computational\ndevices or otherwise) or other interpretation of Data. By way of example and\nnot limitation, \"Computational Use\" includes the application of any computational\nanalytical technique, the purpose of which is the analysis of any Data in\ndigital form to generate information about Data such as patterns, trends,\ncorrelations, inferences, insights and attributes.\n\n1.3 \"Data\" means the information (including copyrightable information, such\nas images or text), collectively or individually, whether created or gathered\nby a Data Provider or an Entity acting on its behalf, to which rights are\ngranted under this Agreement.\n\n1.4 \"Data Provider\" means any Entity (including any employee or contractor\nof such Entity authorized to Publish Data on behalf of such Entity) that Publishes\nData under this Agreement prior to Your Receiving it.\n\n1.5 \"Enhanced Data\" means the subset of Data that You Publish and that is\ncomposed of (a) Your Additions and/or (b) Modifications to Data You have received\nunder this Agreement.\n\n1.6 \"Entity\" means any natural person or organization that exists under the\nlaws of the jurisdiction in which it is organized, together with all other\nentities that control, are controlled by, or are under common control with\nthat entity. For the purposes of this definition, \"control\" means (a) the\npower, directly or indirectly, to cause the direction or management of such\nentity, whether by contract or otherwise, (b) the ownership of more than fifty\npercent (50%) of the outstanding shares or securities, (c) the beneficial\nownership of such entity or, (d) the ability to appoint, whether by agreement\nor right, the majority of directors of an Entity.\n\n1.7 \"Ledger\" means a digital record of Data or grants of rights in Data governed\nby this Agreement, using any technology having functionality to record and\nstore Data or grants, contributions, or licenses to Data governed by this\nAgreement.\n\n1.8 \"Modify\" means to delete, erase, correct or re-arrange Data, resulting\nin \"Modifications.\" Modifications do not include Results.\n\n1.9 \"Publish\" means to make all or a subset of Data (including Your Enhanced\nData) available in any manner which enables its Use, including by providing\na copy on physical media or remote access. For any form of Entity, that is\nto make the Data available to any individual who is not employed by that Entity\nor engaged as a contractor or agent to perform work on that Entity\'s behalf.\nA \"Publication\" occurs each time You Publish Data.\n\n1.10 \"Receive\" or \"Receives\" means to have been given access to Data, locally\nor remotely.\n\n1.11 \"Results\" means the outcomes or outputs that You obtain from Your Computational\nUse of Data. Results shall not include more than a de minimis portion of the\nData on which the Computational Use is based.\n\n1.12 \"Sui Generis Database Rights\" means rights, other than copyright, resulting\nfrom Directive 96/9/EC of the European Parliament and of the Council of 11\nMarch 1996 on the legal protection of databases, as amended and/or succeeded,\nas well as other equivalent rights anywhere in the world.\n\n1.13 \"Use\" means using Data (including accessing, copying, studying, reviewing,\nadapting, analyzing, evaluating, or making Computational Use of it), either\nby machines or humans, or a combination of both.\n\n1.14 \"You\" or \"Your\" means any Entity that Receives Data under this Agreement.\n\n   Section 2. Right and License to Use and to Publish\n\n2.1 Subject to the conditions set forth in Section 3 of this Agreement, Data\nProvider(s) hereby grant(s) to You a worldwide, non-exclusive, irrevocable\n(except as provided in Section 5) right to: (a) Use Data; and (b) Publish\nData.\n\n2.2 To the extent that the Data or the coordination, selection or arrangement\nof Data is protected or protectable under copyright, Sui Generis Database\nRights, or other law, Data Provider(s) further agree(s) that such Data or\ncoordination, selection or arrangement is hereby licensed to You and to anyone\nelse who Receives Data under this Agreement for Use and Publication, subject\nto the conditions set forth in Section 3 of this Agreement.\n\n2.3 Except for these rights and licenses expressly granted, no other intellectual\nproperty rights are granted or should be implied.\n\n   Section 3. Conditions on Rights Granted\n\n      3.1 If You Publish Data You Receive or Enhanced Data:\n\n(a) The Data (including the Enhanced Data) must be Published under this Agreement\nin accordance with this Section 3; and\n\n(b) You must cause any Data files containing Enhanced Data to carry prominent\nnotices that You have changed those files; and\n\n(c) If You Publish Data You Receive, You must preserve all credit or attribution\nto the Data Provider(s). Such retained credit or attribution includes any\nof the following to the extent they exist in Data as You have Received it:\nlegal notices or metadata; identification of the Data Provider(s); or hyperlinks\nto Data to the extent it is practical to do so.\n\n3.2 You may not restrict or deter the ability of anyone who Receives the Data\n(a) to Publish the Data in a publicly-accessible manner or (b) if the project\nhas designated a Ledger for recording Data or grants of rights in Data for\npurposes of this Agreement, to record the Data or grants of rights in Data\nin the Ledger.\n\n3.3 If You Publish Data You Receive, You must do so under an unmodified form\nof this Agreement and include the text of this Agreement, the name of this\nAgreement and/or a hyperlink or other method reasonably likely to provide\na copy of the text of this Agreement. You may not modify this Agreement or\nimpose any further restrictions on the exercise of the rights granted under\nthis Agreement, including by adding any restriction on commercial or non-commercial\nUse of Data (including Your Enhanced Data) or by limiting permitted Use of\nsuch Data to any particular platform, technology or field of endeavor. Notices\nthat purport to modify this Agreement shall be of no effect.\n\n3.4 You and each Data Provider agree that Enhanced Data shall not be considered\na work of joint authorship by virtue of its relationship to Data licensed\nunder this Agreement and shall not require either any obligation of accounting\nto or the consent of any Data Provider.\n\n3.5 This Agreement imposes no obligations or restrictions on Your Use or Publication\nof Results.\n\n   Section 4. Data Provider(s)\' Representations\n\n4.1 Each Data Provider represents that the Data Provider has exercised reasonable\ncare, to assure that: (a) the Data it Publishes was created or generated by\nit or was obtained from others with the right to Publish the Data under this\nAgreement; and (b) Publication of such Data does not violate any privacy or\nconfidentiality obligation undertaken by the Data Provider.\n\n   Section 5. Termination\n\n5.1 All of Your rights under this Agreement will terminate, and Your right\nto Receive, Use or Publish the Data will be revoked or modified if You materially\nfail to comply with the terms and conditions of this Agreement and You do\nnot cure such failure in a reasonable period of time after becoming aware\nof such noncompliance. If Your rights under this Agreement terminate, You\nagree to cease Receipt, Use and Publication of Data. However, Your obligations\nand any rights and permissions granted by You under this Agreement relating\nto Data that You Published prior to such termination will continue and survive.\n\n5.2 If You institute litigation against a Data Provider or anyone else who\nReceives the Data (including a cross-claim in a lawsuit) based on the Data,\nother than a claim asserting breach of this Agreement, then any rights previously\ngranted to You to Receive, Use and Publish Data under this Agreement will\nterminate as of the date such litigation is filed.\n\n   Section 6. Disclaimer of Warranties and Limitation of Liability\n\n6.1 EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE DATA (INCLUDING ENHANCED\nDATA) IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF\nANY KIND, EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES\nOR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A\nPARTICULAR PURPOSE.\n\n6.2 NEITHER YOU NOR ANY DATA PROVIDERS SHALL HAVE ANY LIABILITY FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING\nWITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\nWHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)\nARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE DATA OR THE EXERCISE\nOF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGES.\n\n   Section 7. Miscellaneous\n\n7.1 You agree that it is solely Your responsibility to comply with all applicable\nlaws with regard to Your Use or Publication of Data, including any applicable\nprivacy, data protection, security and export laws. You agree to take reasonable\nsteps to assist a Data Provider fulfilling responsibilities to comply with\napplicable laws with regard to Use or Publication of Data Received hereunder.\n\n7.2 You and Data Provider(s), collectively and individually, waive and/or\nagree not to assert, to the extent permitted by law, any moral rights You\nor they hold in Data.\n\n7.3 This Agreement confers no rights or remedies upon any person or entity\nother than the Parties and their respective heirs, executors, successors and\nassigns.\n\n7.4 The Data Provider(s) reserve no right or expectation of privacy, data\nprotection or confidentiality in any Data that they Publish under this Agreement.\nIf You choose to Publish Data under this Agreement, You similarly do so with\nno reservation or expectation of any rights of privacy or confidentiality\nin that Data.\n\n7.5 The Community Data License Agreement workgroup under The Linux Foundation\nis the steward of this Agreement (\"Steward\"). No one other than the Steward\nhas the right to modify or publish new versions of this Agreement. Each version\nwill be given a distinguishing version number. You may Use and Publish Data\nReceived hereunder under the terms of the version of the Agreement under which\nYou originally Received the Data, or under the terms of any subsequent version\npublished by the Steward.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(334,'Ruby','\n\n1. You may make and give away verbatim copies of the source form of the software\nwithout restriction, provided that you duplicate all of the original copyright\nnotices and associated disclaimers.\n\n2. You may modify your copy of the software in any way, provided that you\ndo at least ONE of the following:\n\na) place your modifications in the Public Domain or otherwise make them Freely\nAvailable, such as by posting said modifications to Usenet or an equivalent\nmedium, or by allowing the author to include your modifications in the software.\n\n   b) use the modified software only within your corporation or organization.\n\nc) give non-standard binaries non-standard names, with instructions on where\nto get the original software distribution.\n\n   d) make other distribution arrangements with the author.\n\n3. You may distribute the software in object code or binary form, provided\nthat you do at least ONE of the following:\n\na) distribute the binaries and library files of the software, together with\ninstructions (in the manual page or equivalent) on where to get the original\ndistribution.\n\nb) accompany the distribution with the machine-readable source of the software.\n\nc) give non-standard binaries non-standard names, with instructions on where\nto get the original software distribution.\n\n   d) make other distribution arrangements with the author.\n\n4. You may modify and include the part of the software into any other software\n(possibly commercial). But some files in the distribution are not written\nby the author, so that they are not under these terms.\n\nFor the list of those files and their copying conditions, see the file LEGAL.\n\n5. The scripts and library files supplied as input to or produced as output\nfrom the software do not automatically fall under the copyright of the software,\nbut belong to whomever generated them, and may be sold commercially, and may\nbe aggregated with this software.\n\n6. THIS SOFTWARE IS PROVIDED \"AS IS\" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,\nINCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND\nFITNESS FOR A PARTICULAR PURPOSE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(335,'BSD-2-Clause-FreeBSD','The FreeBSD Copyright\n\nCopyright 1992-2012 The FreeBSD Project. All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE FREEBSD PROJECT ``AS IS\'\' AND ANY EXPRESS\nOR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN\nNO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,\nINDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,\nBUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY\nOF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\nOR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\nADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n\nThe views and conclusions contained in the software and documentation are\nthose of the authors and should not be interpreted as representing official\npolicies, either expressed or implied, of the FreeBSD Project.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(336,'NGPL','NETHACK GENERAL PUBLIC LICENSE\n\n(Copyright 1989 M. Stephenson)\n\n(Based on the BISON general public license, copyright 1988 Richard M. Stallman)\n\nEveryone is permitted to copy and distribute verbatim copies of this license,\nbut changing it is not allowed. You can also use this wording to make the\nterms for other programs.\n\nThe license agreements of most software companies keep you at the mercy of\nthose companies. By contrast, our general public license is intended to give\neveryone the right to share NetHack. To make sure that you get the rights\nwe want you to have, we need to make restrictions that forbid anyone to deny\nyou these rights or to ask you to surrender the rights. Hence this license\nagreement.\n\nSpecifically, we want to make sure that you have the right to give away copies\nof NetHack, that you receive source code or else can get it if you want it,\nthat you can change NetHack or use pieces of it in new free programs, and\nthat you know you can do these things.\n\nTo make sure that everyone has such rights, we have to forbid you to deprive\nanyone else of these rights. For example, if you distribute copies of NetHack,\nyou must give the recipients all the rights that you have. You must make sure\nthat they, too, receive or can get the source code. And you must tell them\ntheir rights.\n\nAlso, for our own protection, we must make certain that everyone finds out\nthat there is no warranty for NetHack. If NetHack is modified by someone else\nand passed on, we want its recipients to know that what they have is not what\nwe distributed.\n\nTherefore we (Mike Stephenson and other holders of NetHack copyrights) make\nthe following terms which say what you must do to be allowed to distribute\nor change NetHack.\n\nCOPYING POLICIES\n\n1. You may copy and distribute verbatim copies of NetHack source code as you\nreceive it, in any medium, provided that you keep intact the notices on all\nfiles that refer to copyrights, to this License Agreement, and to the absence\nof any warranty; and give any other recipients of the NetHack program a copy\nof this License Agreement along with the program.\n\n2. You may modify your copy or copies of NetHack or any portion of it, and\ncopy and distribute such modifications under the terms of Paragraph 1 above\n(including distributing this License Agreement), provided that you also do\nthe following:\n\na) cause the modified files to carry prominent notices stating that you changed\nthe files and the date of any change; and\n\nb) cause the whole of any work that you distribute or publish, that in whole\nor in part contains or is a derivative of NetHack or any part thereof, to\nbe licensed at no charge to all third parties on terms identical to those\ncontained in this License Agreement (except that you may choose to grant more\nextensive warranty protection to some or all third parties, at your option)\n\nc) You may charge a distribution fee for the physical act of transferring\na copy, and you may at your option offer warranty protection in exchange for\na fee.\n\n3. You may copy and distribute NetHack (or a portion or derivative of it,\nunder Paragraph 2) in object code or executable form under the terms of Paragraphs\n1 and 2 above provided that you also do one of the following:\n\na) accompany it with the complete machine-readable source code, which must\nbe distributed under the terms of Paragraphs 1 and 2 above; or,\n\nb) accompany it with full information as to how to obtain the complete machine-readable\nsource code from an appropriate archive site. (This alternative is allowed\nonly for noncommercial distribution.)\n\nFor these purposes, complete source code means either the full source distribution\nas originally released over Usenet or updated copies of the files in this\ndistribution used to create the object code or executable.\n\n4. You may not copy, sublicense, distribute or transfer NetHack except as\nexpressly provided under this License Agreement. Any attempt otherwise to\ncopy, sublicense, distribute or transfer NetHack is void and your rights to\nuse the program under this License agreement shall be automatically terminated.\nHowever, parties who have received computer software programs from you with\nthis License Agreement will not have their licenses terminated so long as\nsuch parties remain in full compliance.\n\nStated plainly: You are permitted to modify NetHack, or otherwise use parts\nof NetHack, provided that you comply with the conditions specified above;\nin particular, your modified NetHack or program containing parts of NetHack\nmust remain freely available as provided in this License Agreement. In other\nwords, go ahead and share NetHack, but don\'t try to stop anyone else from\nsharing it farther.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(337,'ICU','ICU License - ICU 1.8.1 and later\n\nCOPYRIGHT AND PERMISSION NOTICE\n\nCopyright (c) 1995-2014 International Business Machines Corporation and others\n\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, and/or sell copies of the\nSoftware, and to permit persons to whom the Software is furnished to do so,\nprovided that the above copyright notice(s) and this permission notice appear\nin all copies of the Software and that both the above copyright notice(s)\nand this permission notice appear in supporting documentation.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO\nEVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE\nFOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION\nOF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION\nWITH THE USE OR PERFORMANCE OF THIS SOFTWARE.\n\nExcept as contained in this notice, the name of a copyright holder shall not\nbe used in advertising or otherwise to promote the sale, use or other dealings\nin this Software without prior written authorization of the copyright holder.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(338,'CC-BY-SA-3.0','Creative Commons Attribution-ShareAlike 3.0 Unported CREATIVE COMMONS CORPORATION\nIS NOT A LAW FIRM AND DOES NOT PROVIDE LEGAL SERVICES. DISTRIBUTION OF THIS\nLICENSE DOES NOT CREATE AN ATTORNEY-CLIENT RELATIONSHIP. CREATIVE COMMONS\nPROVIDES THIS INFORMATION ON AN \"AS-IS\" BASIS. CREATIVE COMMONS MAKES NO WARRANTIES\nREGARDING THE INFORMATION PROVIDED, AND DISCLAIMS LIABILITY FOR DAMAGES RESULTING\nFROM ITS USE.\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CREATIVE COMMONS\nPUBLIC LICENSE (\"CCPL\" OR \"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR\nOTHER APPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS\nLICENSE OR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HERE, YOU ACCEPT AND AGREE TO\nBE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED\nTO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN CONSIDERATION\nOF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\n\n   1. Definitions\n\na. \"Adaptation\" means a work based upon the Work, or upon the Work and other\npre-existing works, such as a translation, adaptation, derivative work, arrangement\nof music or other alterations of a literary or artistic work, or phonogram\nor performance and includes cinematographic adaptations or any other form\nin which the Work may be recast, transformed, or adapted including in any\nform recognizably derived from the original, except that a work that constitutes\na Collection will not be considered an Adaptation for the purpose of this\nLicense. For the avoidance of doubt, where the Work is a musical work, performance\nor phonogram, the synchronization of the Work in timed-relation with a moving\nimage (\"synching\") will be considered an Adaptation for the purpose of this\nLicense.\n\nb. \"Collection\" means a collection of literary or artistic works, such as\nencyclopedias and anthologies, or performances, phonograms or broadcasts,\nor other works or subject matter other than works listed in Section 1(f) below,\nwhich, by reason of the selection and arrangement of their contents, constitute\nintellectual creations, in which the Work is included in its entirety in unmodified\nform along with one or more other contributions, each constituting separate\nand independent works in themselves, which together are assembled into a collective\nwhole. A work that constitutes a Collection will not be considered an Adaptation\n(as defined below) for the purposes of this License.\n\nc. \"Creative Commons Compatible License\" means a license that is listed at\nhttp://creativecommons.org/compatiblelicenses that has been approved by Creative\nCommons as being essentially equivalent to this License, including, at a minimum,\nbecause that license: (i) contains terms that have the same purpose, meaning\nand effect as the License Elements of this License; and, (ii) explicitly permits\nthe relicensing of adaptations of works made available under that license\nunder this License or a Creative Commons jurisdiction license with the same\nLicense Elements as this License.\n\nd. \"Distribute\" means to make available to the public the original and copies\nof the Work or Adaptation, as appropriate, through sale or other transfer\nof ownership.\n\ne. \"License Elements\" means the following high-level license attributes as\nselected by Licensor and indicated in the title of this License: Attribution,\nShareAlike.\n\nf. \"Licensor\" means the individual, individuals, entity or entities that offer(s)\nthe Work under the terms of this License.\n\ng. \"Original Author\" means, in the case of a literary or artistic work, the\nindividual, individuals, entity or entities who created the Work or if no\nindividual or entity can be identified, the publisher; and in addition (i)\nin the case of a performance the actors, singers, musicians, dancers, and\nother persons who act, sing, deliver, declaim, play in, interpret or otherwise\nperform literary or artistic works or expressions of folklore; (ii) in the\ncase of a phonogram the producer being the person or legal entity who first\nfixes the sounds of a performance or other sounds; and, (iii) in the case\nof broadcasts, the organization that transmits the broadcast.\n\nh. \"Work\" means the literary and/or artistic work offered under the terms\nof this License including without limitation any production in the literary,\nscientific and artistic domain, whatever may be the mode or form of its expression\nincluding digital form, such as a book, pamphlet and other writing; a lecture,\naddress, sermon or other work of the same nature; a dramatic or dramatico-musical\nwork; a choreographic work or entertainment in dumb show; a musical composition\nwith or without words; a cinematographic work to which are assimilated works\nexpressed by a process analogous to cinematography; a work of drawing, painting,\narchitecture, sculpture, engraving or lithography; a photographic work to\nwhich are assimilated works expressed by a process analogous to photography;\na work of applied art; an illustration, map, plan, sketch or three-dimensional\nwork relative to geography, topography, architecture or science; a performance;\na broadcast; a phonogram; a compilation of data to the extent it is protected\nas a copyrightable work; or a work performed by a variety or circus performer\nto the extent it is not otherwise considered a literary or artistic work.\n\ni. \"You\" means an individual or entity exercising rights under this License\nwho has not previously violated the terms of this License with respect to\nthe Work, or who has received express permission from the Licensor to exercise\nrights under this License despite a previous violation.\n\nj. \"Publicly Perform\" means to perform public recitations of the Work and\nto communicate to the public those public recitations, by any means or process,\nincluding by wire or wireless means or public digital performances; to make\navailable to the public Works in such a way that members of the public may\naccess these Works from a place and at a place individually chosen by them;\nto perform the Work to the public by any means or process and the communication\nto the public of the performances of the Work, including by public digital\nperformance; to broadcast and rebroadcast the Work by any means including\nsigns, sounds or images.\n\nk. \"Reproduce\" means to make copies of the Work by any means including without\nlimitation by sound or visual recordings and the right of fixation and reproducing\nfixations of the Work, including storage of a protected performance or phonogram\nin digital form or other electronic medium.\n\n2. Fair Dealing Rights. Nothing in this License is intended to reduce, limit,\nor restrict any uses free from copyright or rights arising from limitations\nor exceptions that are provided for in connection with the copyright protection\nunder copyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, Licensor\nhereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for\nthe duration of the applicable copyright) license to exercise the rights in\nthe Work as stated below:\n\na. to Reproduce the Work, to incorporate the Work into one or more Collections,\nand to Reproduce the Work as incorporated in the Collections;\n\nb. to create and Reproduce Adaptations provided that any such Adaptation,\nincluding any translation in any medium, takes reasonable steps to clearly\nlabel, demarcate or otherwise identify that changes were made to the original\nWork. For example, a translation could be marked \"The original work was translated\nfrom English to Spanish,\" or a modification could indicate \"The original work\nhas been modified.\";\n\nc. to Distribute and Publicly Perform the Work including as incorporated in\nCollections; and,\n\n      d. to Distribute and Publicly Perform Adaptations.\n\n      e. For the avoidance of doubt:\n\ni. Non-waivable Compulsory License Schemes. In those jurisdictions in which\nthe right to collect royalties through any statutory or compulsory licensing\nscheme cannot be waived, the Licensor reserves the exclusive right to collect\nsuch royalties for any exercise by You of the rights granted under this License;\n\nii. Waivable Compulsory License Schemes. In those jurisdictions in which the\nright to collect royalties through any statutory or compulsory licensing scheme\ncan be waived, the Licensor waives the exclusive right to collect such royalties\nfor any exercise by You of the rights granted under this License; and,\n\niii. Voluntary License Schemes. The Licensor waives the right to collect royalties,\nwhether individually or, in the event that the Licensor is a member of a collecting\nsociety that administers voluntary licensing schemes, via that society, from\nany exercise by You of the rights granted under this License.\n\nThe above rights may be exercised in all media and formats whether now known\nor hereafter devised. The above rights include the right to make such modifications\nas are technically necessary to exercise the rights in other media and formats.\nSubject to Section 8(f), all rights not expressly granted by Licensor are\nhereby reserved.\n\n4. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You may Distribute or Publicly Perform the Work only under the terms of\nthis License. You must include a copy of, or the Uniform Resource Identifier\n(URI) for, this License with every copy of the Work You Distribute or Publicly\nPerform. You may not offer or impose any terms on the Work that restrict the\nterms of this License or the ability of the recipient of the Work to exercise\nthe rights granted to that recipient under the terms of the License. You may\nnot sublicense the Work. You must keep intact all notices that refer to this\nLicense and to the disclaimer of warranties with every copy of the Work You\nDistribute or Publicly Perform. When You Distribute or Publicly Perform the\nWork, You may not impose any effective technological measures on the Work\nthat restrict the ability of a recipient of the Work from You to exercise\nthe rights granted to that recipient under the terms of the License. This\nSection 4(a) applies to the Work as incorporated in a Collection, but this\ndoes not require the Collection apart from the Work itself to be made subject\nto the terms of this License. If You create a Collection, upon notice from\nany Licensor You must, to the extent practicable, remove from the Collection\nany credit as required by Section 4(c), as requested. If You create an Adaptation,\nupon notice from any Licensor You must, to the extent practicable, remove\nfrom the Adaptation any credit as required by Section 4(c), as requested.\n\nb. You may Distribute or Publicly Perform an Adaptation only under the terms\nof: (i) this License; (ii) a later version of this License with the same License\nElements as this License; (iii) a Creative Commons jurisdiction license (either\nthis or a later license version) that contains the same License Elements as\nthis License (e.g., Attribution-ShareAlike 3.0 US)); (iv) a Creative Commons\nCompatible License. If you license the Adaptation under one of the licenses\nmentioned in (iv), you must comply with the terms of that license. If you\nlicense the Adaptation under the terms of any of the licenses mentioned in\n(i), (ii) or (iii) (the \"Applicable License\"), you must comply with the terms\nof the Applicable License generally and the following provisions: (I) You\nmust include a copy of, or the URI for, the Applicable License with every\ncopy of each Adaptation You Distribute or Publicly Perform; (II) You may not\noffer or impose any terms on the Adaptation that restrict the terms of the\nApplicable License or the ability of the recipient of the Adaptation to exercise\nthe rights granted to that recipient under the terms of the Applicable License;\n(III) You must keep intact all notices that refer to the Applicable License\nand to the disclaimer of warranties with every copy of the Work as included\nin the Adaptation You Distribute or Publicly Perform; (IV) when You Distribute\nor Publicly Perform the Adaptation, You may not impose any effective technological\nmeasures on the Adaptation that restrict the ability of a recipient of the\nAdaptation from You to exercise the rights granted to that recipient under\nthe terms of the Applicable License. This Section 4(b) applies to the Adaptation\nas incorporated in a Collection, but this does not require the Collection\napart from the Adaptation itself to be made subject to the terms of the Applicable\nLicense.\n\nc. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections,\nYou must, unless a request has been made pursuant to Section 4(a), keep intact\nall copyright notices for the Work and provide, reasonable to the medium or\nmeans You are utilizing: (i) the name of the Original Author (or pseudonym,\nif applicable) if supplied, and/or if the Original Author and/or Licensor\ndesignate another party or parties (e.g., a sponsor institute, publishing\nentity, journal) for attribution (\"Attribution Parties\") in Licensor\'s copyright\nnotice, terms of service or by other reasonable means, the name of such party\nor parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably\npracticable, the URI, if any, that Licensor specifies to be associated with\nthe Work, unless such URI does not refer to the copyright notice or licensing\ninformation for the Work; and (iv), consistent with Section 3(b), in the case\nof an Adaptation, a credit identifying the use of the Work in the Adaptation\n(e.g., \"French translation of the Work by Original Author,\" or \"Screenplay\nbased on original Work by Original Author\"). The credit required by this Section\n4(c) may be implemented in any reasonable manner; provided, however, that\nin the case of a Adaptation or Collection, at a minimum such credit will appear,\nif a credit for all contributing authors of the Adaptation or Collection appears,\nthen as part of these credits and in a manner at least as prominent as the\ncredits for the other contributing authors. For the avoidance of doubt, You\nmay only use the credit required by this Section for the purpose of attribution\nin the manner set out above and, by exercising Your rights under this License,\nYou may not implicitly or explicitly assert or imply any connection with,\nsponsorship or endorsement by the Original Author, Licensor and/or Attribution\nParties, as appropriate, of You or Your use of the Work, without the separate,\nexpress prior written permission of the Original Author, Licensor and/or Attribution\nParties.\n\nd. Except as otherwise agreed in writing by the Licensor or as may be otherwise\npermitted by applicable law, if You Reproduce, Distribute or Publicly Perform\nthe Work either by itself or as part of any Adaptations or Collections, You\nmust not distort, mutilate, modify or take other derogatory action in relation\nto the Work which would be prejudicial to the Original Author\'s honor or reputation.\nLicensor agrees that in those jurisdictions (e.g. Japan), in which any exercise\nof the right granted in Section 3(b) of this License (the right to make Adaptations)\nwould be deemed to be a distortion, mutilation, modification or other derogatory\naction prejudicial to the Original Author\'s honor and reputation, the Licensor\nwill waive or not assert, as appropriate, this Section, to the fullest extent\npermitted by the applicable national law, to enable You to reasonably exercise\nYour right under Section 3(b) of this License (right to make Adaptations)\nbut not otherwise.\n\n   5. Representations, Warranties and Disclaimer\n\nUNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS\nTHE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING\nTHE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT,\nOR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE\nOF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE\nEXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.\n\n6. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL,\nINCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS\nLICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY\nOF SUCH DAMAGES.\n\n   7. Termination\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of the terms of this License. Individuals or entities\nwho have received Adaptations or Collections from You under this License,\nhowever, will not have their licenses terminated provided such individuals\nor entities remain in full compliance with those licenses. Sections 1, 2,\n5, 6, 7, and 8 will survive any termination of this License.\n\nb. Subject to the above terms and conditions, the license granted here is\nperpetual (for the duration of the applicable copyright in the Work). Notwithstanding\nthe above, Licensor reserves the right to release the Work under different\nlicense terms or to stop distributing the Work at any time; provided, however\nthat any such election will not serve to withdraw this License (or any other\nlicense that has been, or is required to be, granted under the terms of this\nLicense), and this License will continue in full force and effect unless terminated\nas stated above.\n\n   8. Miscellaneous\n\na. Each time You Distribute or Publicly Perform the Work or a Collection,\nthe Licensor offers to the recipient a license to the Work on the same terms\nand conditions as the license granted to You under this License.\n\nb. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers\nto the recipient a license to the original Work on the same terms and conditions\nas the license granted to You under this License.\n\nc. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nagreement, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nd. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\ne. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed here. There are no understandings, agreements\nor representations with respect to the Work not specified here. Licensor shall\nnot be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Licensor and You.\n\nf. The rights granted under, and the subject matter referenced, in this License\nwere drafted utilizing the terminology of the Berne Convention for the Protection\nof Literary and Artistic Works (as amended on September 28, 1979), the Rome\nConvention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances\nand Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised\non July 24, 1971). These rights and subject matter take effect in the relevant\njurisdiction in which the License terms are sought to be enforced according\nto the corresponding provisions of the implementation of those treaty provisions\nin the applicable national law. If the standard suite of rights granted under\napplicable copyright law includes additional rights not granted under this\nLicense, such additional rights are deemed to be included in the License;\nthis License is not intended to restrict the license of any rights under applicable\nlaw.\n\nCreative Commons Notice\n\nCreative Commons is not a party to this License, and makes no warranty whatsoever\nin connection with the Work. Creative Commons will not be liable to You or\nany party on any legal theory for any damages whatsoever, including without\nlimitation any general, special, incidental or consequential damages arising\nin connection to this license. Notwithstanding the foregoing two (2) sentences,\nif Creative Commons has expressly identified itself as the Licensor hereunder,\nit shall have all rights and obligations of Licensor.\n\nExcept for the limited purpose of indicating to the public that the Work is\nlicensed under the CCPL, Creative Commons does not authorize the use by either\nparty of the trademark \"Creative Commons\" or any related trademark or logo\nof Creative Commons without the prior written consent of Creative Commons.\nAny permitted use will be in compliance with Creative Commons\' then-current\ntrademark usage guidelines, as may be published on its website or otherwise\nmade available upon request from time to time. For the avoidance of doubt,\nthis trademark restriction does not form part of the License.\n\nCreative Commons may be contacted at http://creativecommons.org/.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(339,'W3C-19980720','W3C® SOFTWARE NOTICE AND LICENSE\n\nCopyright (c) 1994-2002 World Wide Web Consortium, (Massachusetts Institute\nof Technology, Institut National de Recherche en Informatique et en Automatique,\nKeio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/\n\nThis W3C work (including software, documents, or other related items) is being\nprovided by the copyright holders under the following license. By obtaining,\nusing and/or copying this work, you (the licensee) agree that you have read,\nunderstood, and will comply with the following terms and conditions:\n\nPermission to use, copy, modify, and distribute this software and its documentation,\nwith or without modification, for any purpose and without fee or royalty is\nhereby granted, provided that you include the following on ALL copies of the\nsoftware and documentation or portions thereof, including modifications, that\nyou make:\n\n1. The full text of this NOTICE in a location viewable to users of the redistributed\nor derivative work.\n\n2. Any pre-existing intellectual property disclaimers, notices, or terms and\nconditions. If none exist, a short notice of the following form (hypertext\nis preferred, text is permitted) should be used within the body of any redistributed\nor derivative code: \"Copyright © [$date-of-software] World Wide Web Consortium,\n(Massachusetts Institute of Technology, Institut National de Recherche en\nInformatique et en Automatique, Keio University). All Rights Reserved. http://www.w3.org/Consortium/Legal/\"\n\n3. Notice of any changes or modifications to the W3C files, including the\ndate changes were made. (We recommend you provide URIs to the location from\nwhich the code is derived.)\n\nTHIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT HOLDERS\nMAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT\nLIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE\nOR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD\nPARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.\n\nCOPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR\nCONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.\n\nThe name and trademarks of copyright holders may NOT be used in advertising\nor publicity pertaining to the software without specific, written prior permission.\nTitle to copyright in this software and any associated documentation will\nat all times remain with copyright holders. ____________________________________\n\nThis formulation of W3C\'s notice and license became active on August 14 1998\nso as to improve compatibility with GPL. This version ensures that W3C software\nlicensing terms are no more restrictive than GPL and consequently W3C software\nmay be distributed in GPL packages. See the older formulation for the policy\nprior to this date. Please see our Copyright FAQ for common questions about\nusing materials from our site, including specific terms and conditions for\npackages like libwww, Amaya, and Jigsaw. Other questions about this notice\ncan be directed to site-policy@w3.org.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(340,'BSD-3-Clause-LBNL','Copyright (c) 2003, The Regents of the University of California, through Lawrence\nBerkeley National Laboratory (subject to receipt of any required approvals\nfrom the U.S. Dept. of Energy). All rights reserved. Redistribution and use\nin source and binary forms, with or without modification, are permitted provided\nthat the following conditions are met:\n\n(1) Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n(2) Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n(3) Neither the name of the University of California, Lawrence Berkeley National\nLaboratory, U.S. Dept. of Energy nor the names of its contributors may be\nused to endorse or promote products derived from this software without specific\nprior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE\nFOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n\nLIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\nOUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\nDAMAGE.\n\nYou are under no obligation whatsoever to provide any bug fixes, patches,\nor upgrades to the features, functionality or performance of the source code\n(\"Enhancements\") to anyone; however, if you choose to make your Enhancements\navailable either publicly, or directly to Lawrence Berkeley National Laboratory,\nwithout imposing a separate written license agreement for such Enhancements,\nthen you hereby grant the following license: a non-exclusive, royalty-free\nperpetual license to install, use, modify, prepare derivative works, incorporate\ninto other computer software, distribute, and sublicense such Enhancements\nor derivative works thereof, in binary and source code form.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(341,'BSL-1.0','Boost Software License - Version 1.0 - August 17th, 2003\n\nPermission is hereby granted, free of charge, to any person or organization\nobtaining a copy of the software and accompanying documentation covered by\nthis license (the \"Software\") to use, reproduce, display, distribute, execute,\nand transmit the Software, and to prepare derivative works of the Software,\nand to permit third-parties to whom the Software is furnished to do so, all\nsubject to the following:\n\nThe copyright notices in the Software and this entire statement, including\nthe above license grant, this restriction and the following disclaimer, must\nbe included in all copies of the Software, in whole or in part, and all derivative\nworks of the Software, unless such copies or derivative works are solely in\nthe form of machine-executable object code generated by a source language\nprocessor.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE\nCOPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES\nOR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN\nTHE SOFTWARE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(342,'AGPL-3.0-or-later','GNU AFFERO GENERAL PUBLIC LICENSE\n\nVersion 3, 19 November 2007\n\nCopyright (C) 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe GNU Affero General Public License is a free, copyleft license for software\nand other kinds of works, specifically designed to ensure cooperation with\nthe community in the case of network server software.\n\nThe licenses for most software and other practical works are designed to take\naway your freedom to share and change the works. By contrast, our General\nPublic Licenses are intended to guarantee your freedom to share and change\nall versions of a program--to make sure it remains free software for all its\nusers.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for them if you wish), that\nyou receive source code or can get it if you want it, that you can change\nthe software or use pieces of it in new free programs, and that you know you\ncan do these things.\n\nDevelopers that use our General Public Licenses protect your rights with two\nsteps: (1) assert copyright on the software, and (2) offer you this License\nwhich gives you legal permission to copy, distribute and/or modify the software.\n\nA secondary benefit of defending all users\' freedom is that improvements made\nin alternate versions of the program, if they receive widespread use, become\navailable for other developers to incorporate. Many developers of free software\nare heartened and encouraged by the resulting cooperation. However, in the\ncase of software used on network servers, this result may fail to come about.\nThe GNU General Public License permits making a modified version and letting\nthe public access it on a server without ever releasing its source code to\nthe public.\n\nThe GNU Affero General Public License is designed specifically to ensure that,\nin such cases, the modified source code becomes available to the community.\nIt requires the operator of a network server to provide the source code of\nthe modified version running there to the users of that server. Therefore,\npublic use of a modified version, on a publicly accessible server, gives the\npublic access to the source code of the modified version.\n\nAn older license, called the Affero General Public License and published by\nAffero, was designed to accomplish similar goals. This is a different license,\nnot a version of the Affero GPL, but Affero has released a new version of\nthe Affero GPL which permits relicensing under this license.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU Affero General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works,\nsuch as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.\nEach licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals\nor organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in\na fashion requiring copyright permission, other than the making of an exact\ncopy. The resulting work is called a \"modified version\" of the earlier work\nor a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the\nProgram.\n\nTo \"propagate\" a work means to do anything with it that, without permission,\nwould make you directly or secondarily liable for infringement under applicable\ncopyright law, except executing it on a computer or modifying a private copy.\nPropagation includes copying, distribution (with or without modification),\nmaking available to the public, and in some countries other activities as\nwell.\n\nTo \"convey\" a work means any kind of propagation that enables other parties\nto make or receive copies. Mere interaction with a user through a computer\nnetwork, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the\nextent that it includes a convenient and prominently visible feature that\n(1) displays an appropriate copyright notice, and (2) tells the user that\nthere is no warranty for the work (except to the extent that warranties are\nprovided), that licensees may convey the work under this License, and how\nto view a copy of this License. If the interface presents a list of user commands\nor options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\nThe \"source code\" for a work means the preferred form of the work for making\nmodifications to it. \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard\ndefined by a recognized standards body, or, in the case of interfaces specified\nfor a particular programming language, one that is widely used among developers\nworking in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than\nthe work as a whole, that (a) is included in the normal form of packaging\na Major Component, but which is not part of that Major Component, and (b)\nserves only to enable use of the work with that Major Component, or to implement\na Standard Interface for which an implementation is available to the public\nin source code form. A \"Major Component\", in this context, means a major essential\ncomponent (kernel, window system, and so on) of the specific operating system\n(if any) on which the executable work runs, or a compiler used to produce\nthe work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source\ncode needed to generate, install, and (for an executable work) run the object\ncode and to modify the work, including scripts to control those activities.\nHowever, it does not include the work\'s System Libraries, or general-purpose\ntools or generally available free programs which are used unmodified in performing\nthose activities but which are not part of the work. For example, Corresponding\nSource includes interface definition files associated with source files for\nthe work, and the source code for shared libraries and dynamically linked\nsubprograms that the work is specifically designed to require, such as by\nintimate data communication or control flow between those\n\n   subprograms and other parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate\nautomatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\nAll rights granted under this License are granted for the term of copyright\non the Program, and are irrevocable provided the stated conditions are met.\nThis License explicitly affirms your unlimited permission to run the unmodified\nProgram. The output from running a covered work is covered by this License\nonly if the output, given its content, constitutes a covered work. This License\nacknowledges your rights of fair use or other equivalent, as provided by copyright\nlaw.\n\nYou may make, run and propagate covered works that you do not convey, without\nconditions so long as your license otherwise remains in force. You may convey\ncovered works to others for the sole purpose of having them make modifications\nexclusively for you, or provide you with facilities for running those works,\nprovided that you comply with the terms of this License in conveying all material\nfor which you do not control copyright. Those thus making or running the covered\nworks for you must do so exclusively on your behalf, under your direction\nand control, on terms that prohibit them from making any copies of your copyrighted\nmaterial outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions\nstated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users\' Legal Rights From Anti-Circumvention Law.\n\nNo covered work shall be deemed part of an effective technological measure\nunder any applicable law fulfilling obligations under article 11 of the WIPO\ncopyright treaty adopted on 20 December 1996, or similar laws prohibiting\nor restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention\nof technological measures to the extent such circumvention is effected by\nexercising rights under this License with respect to the covered work, and\nyou disclaim any intention to limit operation or modification of the work\nas a means of enforcing, against the work\'s users, your or third parties\'\nlegal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\nYou may convey verbatim copies of the Program\'s source code as you receive\nit, in any medium, provided that you conspicuously and appropriately publish\non each copy an appropriate copyright notice; keep intact all notices stating\nthat this License and any non-permissive terms added in accord with section\n7 apply to the code; keep intact all notices of the absence of any warranty;\nand give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you\nmay offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\nYou may convey a work based on the Program, or the modifications to produce\nit from the Program, in the form of source code under the terms of section\n4, provided that you also meet all of these conditions:\n\na) The work must carry prominent notices stating that you modified it, and\ngiving a relevant date.\n\nb) The work must carry prominent notices stating that it is released under\nthis License and any conditions added under section 7. This requirement modifies\nthe requirement in section 4 to \"keep intact all notices\".\n\nc) You must license the entire work, as a whole, under this License to anyone\nwho comes into possession of a copy. This License will therefore apply, along\nwith any applicable section 7 additional terms, to the whole of the work,\nand all its parts, regardless of how they are packaged. This License gives\nno permission to license the work in any other way, but it does not invalidate\nsuch permission if you have separately received it.\n\nd) If the work has interactive user interfaces, each must display Appropriate\nLegal Notices; however, if the Program has interactive interfaces that do\nnot display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works,\nwhich are not by their nature extensions of the covered work, and which are\nnot combined with it such as to form a larger program, in or on a volume of\na storage or distribution medium, is called an \"aggregate\" if the compilation\nand its resulting copyright are not used to limit the access or legal rights\nof the compilation\'s users beyond what the individual works permit. Inclusion\nof a covered work in an aggregate does not cause this License to apply to\nthe other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\nYou may convey a covered work in object code form under the terms of sections\n4 and 5, provided that you also convey the machine-readable Corresponding\nSource under the terms of this License, in one of these ways:\n\na) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by the Corresponding Source fixed\non a durable physical medium customarily used for software interchange.\n\nb) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by a written offer, valid for\nat least three years and valid for as long as you offer spare parts or customer\nsupport for that product model, to give anyone who possesses the object code\neither (1) a copy of the Corresponding Source for all the software in the\nproduct that is covered by this License, on a durable physical medium customarily\nused for software interchange, for a price no more than your reasonable cost\nof physically performing this conveying of source, or (2) access to copy the\nCorresponding Source from a network server at no charge.\n\nc) Convey individual copies of the object code with a copy of the written\noffer to provide the Corresponding Source. This alternative is allowed only\noccasionally and noncommercially, and only if you received the object code\nwith such an offer, in accord with subsection 6b.\n\nd) Convey the object code by offering access from a designated place (gratis\nor for a charge), and offer equivalent access to the Corresponding Source\nin the same way through the same place at no further charge. You need not\nrequire recipients to copy the Corresponding Source along with the object\ncode. If the place to copy the object code is a network server, the Corresponding\nSource may be on a different server (operated by you or a third party) that\nsupports equivalent copying facilities, provided you maintain clear directions\nnext to the object code saying where to find the Corresponding Source. Regardless\nof what server hosts the Corresponding Source, you remain obligated to ensure\nthat it is available for as long as needed to satisfy these requirements.\n\ne) Convey the object code using peer-to-peer transmission, provided you inform\nother peers where the object code and Corresponding Source of the work are\nbeing offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from\nthe Corresponding Source as a System Library, need not be included in conveying\nthe object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible\npersonal property which is normally used for personal, family, or household\npurposes, or (2) anything designed or sold for incorporation into a dwelling.\nIn determining whether a product is a consumer product, doubtful cases shall\nbe resolved in favor of coverage. For a particular product received by a particular\nuser, \"normally used\" refers to a typical or common use of that class of product,\nregardless of the status of the particular user or of the way in which the\nparticular user actually uses, or expects or is expected to use, the product.\nA product is a consumer product regardless of whether the product has substantial\ncommercial, industrial or non-consumer uses, unless such uses represent the\nonly significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures,\nauthorization keys, or other information required to install and execute modified\nversions of a covered work in that User Product from a modified version of\nits Corresponding Source. The information must suffice to ensure that the\ncontinued functioning of the modified object code is in no case prevented\nor interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically\nfor use in, a User Product, and the conveying occurs as part of a transaction\nin which the right of possession and use of the User Product is transferred\nto the recipient in perpetuity or for a fixed term (regardless of how the\ntransaction is characterized), the Corresponding Source conveyed under this\nsection must be accompanied by the Installation Information. But this requirement\ndoes not apply if neither you nor any third party retains the ability to install\nmodified object code on the User Product (for example, the work has been installed\nin ROM).\n\nThe requirement to provide Installation Information does not include a requirement\nto continue to provide support service, warranty, or updates for a work that\nhas been modified or installed by the recipient, or for the User Product in\nwhich it has been modified or installed. Access to a network may be denied\nwhen the modification itself materially and adversely affects the operation\nof the network or violates the rules and protocols for communication across\nthe network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord\nwith this section must be in a format that is publicly documented (and with\nan implementation available to the public in source code form), and must require\nno special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n\"Additional permissions\" are terms that supplement the terms of this License\nby making exceptions from one or more of its conditions. Additional permissions\nthat are applicable to the entire Program shall be treated as though they\nwere included in this License, to the extent that they are valid under applicable\nlaw. If additional permissions apply only to part of the Program, that part\nmay be used separately under those permissions, but the entire Program remains\ngoverned by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any\nadditional permissions from that copy, or from any part of it. (Additional\npermissions may be written to require their own removal in certain cases when\nyou modify the work.) You may place additional permissions on material, added\nby you to a covered work, for which you have or can give appropriate copyright\npermission.\n\nNotwithstanding any other provision of this License, for material you add\nto a covered work, you may (if authorized by the copyright holders of that\nmaterial) supplement the terms of this License with terms:\n\na) Disclaiming warranty or limiting liability differently from the terms of\nsections 15 and 16 of this License; or\n\nb) Requiring preservation of specified reasonable legal notices or author\nattributions in that material or in the Appropriate Legal Notices displayed\nby works containing it; or\n\nc) Prohibiting misrepresentation of the origin of that material, or requiring\nthat modified versions of such material be marked in reasonable ways as different\nfrom the original version; or\n\nd) Limiting the use for publicity purposes of names of licensors or authors\nof the material; or\n\ne) Declining to grant rights under trademark law for use of some trade names,\ntrademarks, or service marks; or\n\nf) Requiring indemnification of licensors and authors of that material by\nanyone who conveys the material (or modified versions of it) with contractual\nassumptions of liability to the recipient, for any liability that these contractual\nassumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\"\nwithin the meaning of section 10. If the Program as you received it, or any\npart of it, contains a notice stating that it is governed by this License\nalong with a term that is a further restriction, you may remove that term.\nIf a license document contains a further restriction but permits relicensing\nor conveying under this License, you may add to a covered work material governed\nby the terms of that license document, provided that the further restriction\ndoes not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place,\nin the relevant source files, a statement of the additional terms that apply\nto those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form\nof a separately written license, or stated as exceptions; the above requirements\napply either way.\n\n   8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided\nunder this License. Any attempt otherwise to propagate or modify it is void,\nand will automatically terminate your rights under this License (including\nany patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, you do\nnot qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy\nof the Program. Ancillary propagation of a covered work occurring solely as\na consequence of using peer-to-peer transmission to receive a copy likewise\ndoes not require acceptance. However, nothing other than this License grants\nyou permission to propagate or modify any covered work. These actions infringe\ncopyright if you do not accept this License. Therefore, by modifying or propagating\na covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives\na license from the original licensors, to run, modify and propagate that work,\nsubject to this License. You are not responsible for enforcing compliance\nby third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization,\nor substantially all assets of one, or subdividing an organization, or merging\norganizations. If propagation of a covered work results from an entity transaction,\neach party to that transaction who receives a copy of the work also receives\nwhatever licenses to the work the party\'s predecessor in interest had or could\ngive under the previous paragraph, plus a right to possession of the Corresponding\nSource of the work from the predecessor in interest, if the predecessor has\nit or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights\ngranted or affirmed under this License. For example, you may not impose a\nlicense fee, royalty, or other charge for exercise of rights granted under\nthis License, and you may not initiate litigation (including a cross-claim\nor counterclaim in a lawsuit) alleging that any patent claim is infringed\nby making, using, selling, offering for sale, or importing the Program or\nany portion of it.\n\n   11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License\nof the Program or a work on which the Program is based. The work thus licensed\nis called the contributor\'s \"contributor version\".\n\nA contributor\'s \"essential patent claims\" are all patent claims owned or controlled\nby the contributor, whether already acquired or hereafter acquired, that would\nbe infringed by some manner, permitted by this License, of making, using,\nor selling its contributor version, but do not include claims that would be\ninfringed only as a consequence of further modification of the contributor\nversion. For purposes of this definition, \"control\" includes the right to\ngrant patent sublicenses in a manner consistent with the requirements of this\nLicense.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent\nlicense under the contributor\'s essential patent claims, to make, use, sell,\noffer for sale, import and otherwise run, modify and propagate the contents\nof its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement\nor commitment, however denominated, not to enforce a patent (such as an express\npermission to practice a patent or covenant not to s ue for patent infringement).\nTo \"grant\" such a patent license to a party means to make such an agreement\nor commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the\nCorresponding Source of the work is not available for anyone to copy, free\nof charge and under the terms of this License, through a publicly available\nnetwork server or other readily accessible means, then you must either (1)\ncause the Corresponding Source to be so available, or (2) arrange to deprive\nyourself of the benefit of the patent license for this particular work, or\n(3) arrange, in a manner consistent with the requirements of this License,\nto extend the patent\n\nlicense to downstream recipients. \"Knowingly relying\" means you have actual\nknowledge that, but for the patent license, your conveying the covered work\nin a country, or your recipient\'s use of the covered work in a country, would\ninfringe one or more identifiable patents in that country that you have reason\nto believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement,\nyou convey, or propagate by procuring conveyance of, a covered work, and grant\na patent license to some of the parties receiving the covered work authorizing\nthem to use, propagate, modify or convey a specific copy of the covered work,\nthen the patent license you grant is automatically extended to all recipients\nof the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope\nof its coverage, prohibits the exercise of, or is conditioned on the non-exercise\nof one or more of the rights that are specifically granted under this License.\nYou may not convey a covered work if you are a party to an arrangement with\na third party that is in the business of distributing software, under which\nyou make payment to the third party based on the extent of your activity of\nconveying the work, and under which the third party grants, to any of the\nparties who would receive the covered work from you, a discriminatory patent\nlicense (a) in connection with copies of the covered work conveyed by you\n(or copies made from those copies), or (b) primarily for and in connection\nwith specific products or compilations that contain the covered work, unless\nyou entered into that arrangement, or that patent license was granted, prior\nto 28 March 2007.\n\nNothing in this License shall be construed as excluding or limiting any implied\nlicense or other defenses to infringement that may otherwise be available\nto you under applicable patent law.\n\n   12. No Surrender of Others\' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise)\nthat contradict the conditions of this License, they do not excuse you from\nthe conditions of this License. If you cannot convey a covered work so as\nto satisfy simultaneously your obligations under this License and any other\npertinent obligations, then as a consequence you may\n\nnot convey it at all. For example, if you agree to terms that obligate you\nto collect a royalty for further conveying from those to whom you convey the\nProgram, the only way you could satisfy both those terms and this License\nwould be to refrain entirely from conveying the Program.\n\n   13. Remote Network Interaction; Use with the GNU General Public License.\n\nNotwithstanding any other provision of this License, if you modify the Program,\nyour modified version must prominently offer all users interacting with it\nremotely through a computer network (if your version supports such interaction)\nan opportunity to receive the Corresponding Source of your version by providing\naccess to the Corresponding Source from a network server at no charge, through\nsome standard or customary means of facilitating copying of software. This\nCorresponding Source shall include the Corresponding Source for any work covered\nby version 3 of the GNU General Public License that is incorporated pursuant\nto the following paragraph.\n\nNotwithstanding any other provision of this License, you have permission to\nlink or combine any covered work with a work licensed under version 3 of the\nGNU General Public License into a single combined work, and to convey the\nresulting work. The terms of this License will continue to apply to the part\nwhich is the covered work, but the work with which it is combined will remain\ngoverned by version 3 of the GNU General Public License.\n\n   14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU Affero General Public License from time to time. Such new versions will\nbe similar in spirit to the present version, but may differ in detail to address\nnew problems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\nthat a certain numbered version of the GNU Affero General Public License \"or\nany later version\" applies to it, you have the option of following the terms\nand conditions either of that numbered version or of any later version published\nby the Free Software Foundation. If the Program does not specify a version\nnumber of the GNU Affero General Public License, you may choose any version\never published by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of\nthe GNU Affero General Public License can be used, that proxy\'s public statement\nof acceptance of a version permanently authorizes you to choose that version\nfor the Program.\n\nLater license versions may give you additional or different permissions. However,\nno additional obligations are imposed on any author or copyright holder as\na result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE\nLAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM\nPROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR\nCORRECTION.\n\n   16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL\nANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM\nAS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,\nINCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO\nUSE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\nINACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\nPROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER\nPARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot\nbe given local legal effect according to their terms, reviewing courts shall\napply local law that most closely approximates an absolute waiver of all civil\nliability in connection with the Program, unless a warranty or assumption\nof liability accompanies a copy of the Program in return for a fee. END OF\nTERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively state the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under\nthe terms of the GNU Affero General Public License as published by the Free\nSoftware Foundation, either version 3 of the License, or (at your option)\nany later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more\ndetails.\n\nYou should have received a copy of the GNU Affero General Public License along\nwith this program. If not, see <http s ://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf your software can interact with users remotely through a computer network,\nyou should also make sure that it provides a way for users to get its source.\nFor example, if your program is a web application, its interface could display\na \"Source\" link that leads users to an archive of the code. There are many\nways you could offer source, and different solutions will be better for different\nprograms; see section 13 for the specific requirements.\n\nYou should also get your employer (if you work as a programmer) or school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. For\nmore information on this, and how to apply and follow the GNU AGPL, see <http\ns ://www.gnu.org/licenses/>.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(343,'JasPer-2.0','JasPer License Version 2.0\n\nCopyright (c) 2001-2006 Michael David Adams\n\nCopyright (c) 1999-2000 Image Power, Inc.\n\nCopyright (c) 1999-2000 The University of British Columbia\n\nAll rights reserved.\n\nPermission is hereby granted, free of charge, to any person (the \"User\") obtaining\na copy of this software and associated documentation files (the \"Software\"),\nto deal in the Software without restriction, including without limitation\nthe rights to use, copy, modify, merge, publish, distribute, and/or sell copies\nof the Software, and to permit persons to whom the Software is furnished to\ndo so, subject to the following conditions:\n\n1. The above copyright notices and this permission notice (which includes\nthe disclaimer below) shall be included in all copies or substantial portions\nof the Software.\n\n2. The name of a copyright holder shall not be used to endorse or promote\nproducts derived from the Software without specific prior written permission.\n\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO USE OF THE SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\nTHE SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS \"AS IS\", WITHOUT WARRANTY\nOF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES\nOF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF\nTHIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR\nANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES\nWHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION\nOF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION\nWITH THE USE OR PERFORMANCE OF THIS SOFTWARE. NO ASSURANCES ARE PROVIDED BY\nTHE COPYRIGHT HOLDERS THAT THE SOFTWARE DOES NOT INFRINGE THE PATENT OR OTHER\nINTELLECTUAL PROPERTY RIGHTS OF ANY OTHER ENTITY. EACH COPYRIGHT HOLDER DISCLAIMS\nANY LIABILITY TO THE USER FOR CLAIMS BROUGHT BY ANY OTHER ENTITY BASED ON\nINFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. AS A CONDITION\nTO EXERCISING THE RIGHTS GRANTED HEREUNDER, EACH USER HEREBY ASSUMES SOLE\nRESPONSIBILITY TO SECURE ANY OTHER INTELLECTUAL PROPERTY RIGHTS NEEDED, IF\nANY. THE SOFTWARE IS NOT FAULT-TOLERANT AND IS NOT INTENDED FOR USE IN MISSION-CRITICAL\nSYSTEMS, SUCH AS THOSE USED IN THE OPERATION OF NUCLEAR FACILITIES, AIRCRAFT\nNAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL SYSTEMS, DIRECT LIFE\nSUPPORT MACHINES, OR WEAPONS SYSTEMS, IN WHICH THE FAILURE OF THE SOFTWARE\nOR SYSTEM COULD LEAD DIRECTLY TO DEATH, PERSONAL INJURY, OR SEVERE PHYSICAL\nOR ENVIRONMENTAL DAMAGE (\"HIGH RISK ACTIVITIES\"). THE COPYRIGHT HOLDERS SPECIFICALLY\nDISCLAIM ANY EXPRESS OR IMPLIED WARRANTY OF FITNESS FOR HIGH RISK ACTIVITIES.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(344,'GPL-3.0-or-later','GNU GENERAL PUBLIC LICENSE\n\nVersion 3, 29 June 2007\n\nCopyright © 2007 Free Software Foundation, Inc. <http s ://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license\ndocument, but changing it is not allowed.\n\nPreamble\n\nThe GNU General Public License is a free, copyleft license for software and\nother kinds of works.\n\nThe licenses for most software and other practical works are designed to take\naway your freedom to share and change the works. By contrast, the GNU General\nPublic License is intended to guarantee your freedom to share and change all\nversions of a program--to make sure it remains free software for all its users.\nWe, the Free Software Foundation, use the GNU General Public License for most\nof our software; it applies also to any other work released this way by its\nauthors. You can apply it to your programs, too.\n\nWhen we speak of free software, we are referring to freedom, not price. Our\nGeneral Public Licenses are designed to make sure that you have the freedom\nto distribute copies of free software (and charge for them if you wish), that\nyou receive source code or can get it if you want it, that you can change\nthe software or use pieces of it in new free programs, and that you know you\ncan do these things.\n\nTo protect your rights, we need to prevent others from denying you these rights\nor asking you to surrender the rights. Therefore, you have certain responsibilities\nif you distribute copies of the software, or if you modify it: responsibilities\nto respect the freedom of others.\n\nFor example, if you distribute copies of such a program, whether gratis or\nfor a fee, you must pass on to the recipients the same freedoms that you received.\nYou must make sure that they, too, receive or can get the source code. And\nyou must show them these terms so they know their rights.\n\nDevelopers that use the GNU GPL protect your rights with two steps: (1) assert\ncopyright on the software, and (2) offer you this License giving you legal\npermission to copy, distribute and/or modify it.\n\nFor the developers\' and authors\' protection, the GPL clearly explains that\nthere is no warranty for this free software. For both users\' and authors\'\nsake, the GPL requires that modified versions be marked as changed, so that\ntheir problems will not be attributed erroneously to authors of previous versions.\n\nSome devices are designed to deny users access to install or run modified\nversions of the software inside them, although the manufacturer can do so.\nThis is fundamentally incompatible with the aim of protecting users\' freedom\nto change the software. The systematic pattern of such abuse occurs in the\narea of products for individuals to use, which is precisely where it is most\nunacceptable. Therefore, we have designed this version of the GPL to prohibit\nthe practice for those products. If such problems arise substantially in other\ndomains, we stand ready to extend this provision to those domains in future\nversions of the GPL, as needed to protect the freedom of users.\n\nFinally, every program is threatened constantly by software patents. States\nshould not allow patents to restrict development and use of software on general-purpose\ncomputers, but in those that do, we wish to avoid the special danger that\npatents applied to a free program could make it effectively proprietary. To\nprevent this, the GPL assures that patents cannot be used to render the program\nnon-free.\n\nThe precise terms and conditions for copying, distribution and modification\nfollow.\n\nTERMS AND CONDITIONS\n\n   0. Definitions.\n\n   \"This License\" refers to version 3 of the GNU General Public License.\n\n\"Copyright\" also means copyright-like laws that apply to other kinds of works,\nsuch as semiconductor masks.\n\n\"The Program\" refers to any copyrightable work licensed under this License.\nEach licensee is addressed as \"you\". \"Licensees\" and \"recipients\" may be individuals\nor organizations.\n\nTo \"modify\" a work means to copy from or adapt all or part of the work in\na fashion requiring copyright permission, other than the making of an exact\ncopy. The resulting work is called a \"modified version\" of the earlier work\nor a work \"based on\" the earlier work.\n\nA \"covered work\" means either the unmodified Program or a work based on the\nProgram.\n\nTo \"propagate\" a work means to do anything with it that, without permission,\nwould make you directly or secondarily liable for infringement under applicable\ncopyright law, except executing it on a computer or modifying a private copy.\nPropagation includes copying, distribution (with or without modification),\nmaking available to the public, and in some countries other activities as\nwell.\n\nTo \"convey\" a work means any kind of propagation that enables other parties\nto make or receive copies. Mere interaction with a user through a computer\nnetwork, with no transfer of a copy, is not conveying.\n\nAn interactive user interface displays \"Appropriate Legal Notices\" to the\nextent that it includes a convenient and prominently visible feature that\n(1) displays an appropriate copyright notice, and (2) tells the user that\nthere is no warranty for the work (except to the extent that warranties are\nprovided), that licensees may convey the work under this License, and how\nto view a copy of this License. If the interface presents a list of user commands\nor options, such as a menu, a prominent item in the list meets this criterion.\n\n   1. Source Code.\n\nThe \"source code\" for a work means the preferred form of the work for making\nmodifications to it. \"Object code\" means any non-source form of a work.\n\nA \"Standard Interface\" means an interface that either is an official standard\ndefined by a recognized standards body, or, in the case of interfaces specified\nfor a particular programming language, one that is widely used among developers\nworking in that language.\n\nThe \"System Libraries\" of an executable work include anything, other than\nthe work as a whole, that (a) is included in the normal form of packaging\na Major Component, but which is not part of that Major Component, and (b)\nserves only to enable use of the work with that Major Component, or to implement\na Standard Interface for which an implementation is available to the public\nin source code form. A \"Major Component\", in this context, means a major essential\ncomponent (kernel, window system, and so on) of the specific operating system\n(if any) on which the executable work runs, or a compiler used to produce\nthe work, or an object code interpreter used to run it.\n\nThe \"Corresponding Source\" for a work in object code form means all the source\ncode needed to generate, install, and (for an executable work) run the object\ncode and to modify the work, including scripts to control those activities.\nHowever, it does not include the work\'s System Libraries, or general-purpose\ntools or generally available free programs which are used unmodified in performing\nthose activities but which are not part of the work. For example, Corresponding\nSource includes interface definition files associated with source files for\nthe work, and the source code for shared libraries and dynamically linked\nsubprograms that the work is specifically designed to require, such as by\nintimate data communication or control flow between those subprograms and\nother parts of the work.\n\nThe Corresponding Source need not include anything that users can regenerate\nautomatically from other parts of the Corresponding Source.\n\n   The Corresponding Source for a work in source code form is that same work.\n\n   2. Basic Permissions.\n\nAll rights granted under this License are granted for the term of copyright\non the Program, and are irrevocable provided the stated conditions are met.\nThis License explicitly affirms your unlimited permission to run the unmodified\nProgram. The output from running a covered work is covered by this License\nonly if the output, given its content, constitutes a covered work. This License\nacknowledges your rights of fair use or other equivalent, as provided by copyright\nlaw.\n\nYou may make, run and propagate covered works that you do not convey, without\nconditions so long as your license otherwise remains in force. You may convey\ncovered works to others for the sole purpose of having them make modifications\nexclusively for you, or provide you with facilities for running those works,\nprovided that you comply with the terms of this License in conveying all material\nfor which you do not control copyright. Those thus making or running the covered\nworks for you must do so exclusively on your behalf, under your direction\nand control, on terms that prohibit them from making any copies of your copyrighted\nmaterial outside their relationship with you.\n\nConveying under any other circumstances is permitted solely under the conditions\nstated below. Sublicensing is not allowed; section 10 makes it unnecessary.\n\n   3. Protecting Users\' Legal Rights From Anti-Circumvention Law.\n\nNo covered work shall be deemed part of an effective technological measure\nunder any applicable law fulfilling obligations under article 11 of the WIPO\ncopyright treaty adopted on 20 December 1996, or similar laws prohibiting\nor restricting circumvention of such measures.\n\nWhen you convey a covered work, you waive any legal power to forbid circumvention\nof technological measures to the extent such circumvention is effected by\nexercising rights under this License with respect to the covered work, and\nyou disclaim any intention to limit operation or modification of the work\nas a means of enforcing, against the work\'s users, your or third parties\'\nlegal rights to forbid circumvention of technological measures.\n\n   4. Conveying Verbatim Copies.\n\nYou may convey verbatim copies of the Program\'s source code as you receive\nit, in any medium, provided that you conspicuously and appropriately publish\non each copy an appropriate copyright notice; keep intact all notices stating\nthat this License and any non-permissive terms added in accord with section\n7 apply to the code; keep intact all notices of the absence of any warranty;\nand give all recipients a copy of this License along with the Program.\n\nYou may charge any price or no price for each copy that you convey, and you\nmay offer support or warranty protection for a fee.\n\n   5. Conveying Modified Source Versions.\n\nYou may convey a work based on the Program, or the modifications to produce\nit from the Program, in the form of source code under the terms of section\n4, provided that you also meet all of these conditions:\n\na) The work must carry prominent notices stating that you modified it, and\ngiving a relevant date.\n\nb) The work must carry prominent notices stating that it is released under\nthis License and any conditions added under section 7. This requirement modifies\nthe requirement in section 4 to \"keep intact all notices\".\n\nc) You must license the entire work, as a whole, under this License to anyone\nwho comes into possession of a copy. This License will therefore apply, along\nwith any applicable section 7 additional terms, to the whole of the work,\nand all its parts, regardless of how they are packaged. This License gives\nno permission to license the work in any other way, but it does not invalidate\nsuch permission if you have separately received it.\n\nd) If the work has interactive user interfaces, each must display Appropriate\nLegal Notices; however, if the Program has interactive interfaces that do\nnot display Appropriate Legal Notices, your work need not make them do so.\n\nA compilation of a covered work with other separate and independent works,\nwhich are not by their nature extensions of the covered work, and which are\nnot combined with it such as to form a larger program, in or on a volume of\na storage or distribution medium, is called an \"aggregate\" if the compilation\nand its resulting copyright are not used to limit the access or legal rights\nof the compilation\'s users beyond what the individual works permit. Inclusion\nof a covered work in an aggregate does not cause this License to apply to\nthe other parts of the aggregate.\n\n   6. Conveying Non-Source Forms.\n\nYou may convey a covered work in object code form under the terms of sections\n4 and 5, provided that you also convey the machine-readable Corresponding\nSource under the terms of this License, in one of these ways:\n\na) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by the Corresponding Source fixed\non a durable physical medium customarily used for software interchange.\n\nb) Convey the object code in, or embodied in, a physical product (including\na physical distribution medium), accompanied by a written offer, valid for\nat least three years and valid for as long as you offer spare parts or customer\nsupport for that product model, to give anyone who possesses the object code\neither (1) a copy of the Corresponding Source for all the software in the\nproduct that is covered by this License, on a durable physical medium customarily\nused for software interchange, for a price no more than your reasonable cost\nof physically performing this conveying of source, or (2) access to copy the\nCorresponding Source from a network server at no charge.\n\nc) Convey individual copies of the object code with a copy of the written\noffer to provide the Corresponding Source. This alternative is allowed only\noccasionally and noncommercially, and only if you received the object code\nwith such an offer, in accord with subsection 6b.\n\nd) Convey the object code by offering access from a designated place (gratis\nor for a charge), and offer equivalent access to the Corresponding Source\nin the same way through the same place at no further charge. You need not\nrequire recipients to copy the Corresponding Source along with the object\ncode. If the place to copy the object code is a network server, the Corresponding\nSource may be on a different server (operated by you or a third party) that\nsupports equivalent copying facilities, provided you maintain clear directions\nnext to the object code saying where to find the Corresponding Source. Regardless\nof what server hosts the Corresponding Source, you remain obligated to ensure\nthat it is available for as long as needed to satisfy these requirements.\n\ne) Convey the object code using peer-to-peer transmission, provided you inform\nother peers where the object code and Corresponding Source of the work are\nbeing offered to the general public at no charge under subsection 6d.\n\nA separable portion of the object code, whose source code is excluded from\nthe Corresponding Source as a System Library, need not be included in conveying\nthe object code work.\n\nA \"User Product\" is either (1) a \"consumer product\", which means any tangible\npersonal property which is normally used for personal, family, or household\npurposes, or (2) anything designed or sold for incorporation into a dwelling.\nIn determining whether a product is a consumer product, doubtful cases shall\nbe resolved in favor of coverage. For a particular product received by a particular\nuser, \"normally used\" refers to a typical or common use of that class of product,\nregardless of the status of the particular user or of the way in which the\nparticular user actually uses, or expects or is expected to use, the product.\nA product is a consumer product regardless of whether the product has substantial\ncommercial, industrial or non-consumer uses, unless such uses represent the\nonly significant mode of use of the product.\n\n\"Installation Information\" for a User Product means any methods, procedures,\nauthorization keys, or other information required to install and execute modified\nversions of a covered work in that User Product from a modified version of\nits Corresponding Source. The information must suffice to ensure that the\ncontinued functioning of the modified object code is in no case prevented\nor interfered with solely because modification has been made.\n\nIf you convey an object code work under this section in, or with, or specifically\nfor use in, a User Product, and the conveying occurs as part of a transaction\nin which the right of possession and use of the User Product is transferred\nto the recipient in perpetuity or for a fixed term (regardless of how the\ntransaction is characterized), the Corresponding Source conveyed under this\nsection must be accompanied by the Installation Information. But this requirement\ndoes not apply if neither you nor any third party retains the ability to install\nmodified object code on the User Product (for example, the work has been installed\nin ROM).\n\nThe requirement to provide Installation Information does not include a requirement\nto continue to provide support service, warranty, or updates for a work that\nhas been modified or installed by the recipient, or for the User Product in\nwhich it has been modified or installed. Access to a network may be denied\nwhen the modification itself materially and adversely affects the operation\nof the network or violates the rules and protocols for communication across\nthe network.\n\nCorresponding Source conveyed, and Installation Information provided, in accord\nwith this section must be in a format that is publicly documented (and with\nan implementation available to the public in source code form), and must require\nno special password or key for unpacking, reading or copying.\n\n   7. Additional Terms.\n\n\"Additional permissions\" are terms that supplement the terms of this License\nby making exceptions from one or more of its conditions. Additional permissions\nthat are applicable to the entire Program shall be treated as though they\nwere included in this License, to the extent that they are valid under applicable\nlaw. If additional permissions apply only to part of the Program, that part\nmay be used separately under those permissions, but the entire Program remains\ngoverned by this License without regard to the additional permissions.\n\nWhen you convey a copy of a covered work, you may at your option remove any\nadditional permissions from that copy, or from any part of it. (Additional\npermissions may be written to require their own removal in certain cases when\nyou modify the work.) You may place additional permissions on material, added\nby you to a covered work, for which you have or can give appropriate copyright\npermission.\n\nNotwithstanding any other provision of this License, for material you add\nto a covered work, you may (if authorized by the copyright holders of that\nmaterial) supplement the terms of this License with terms:\n\na) Disclaiming warranty or limiting liability differently from the terms of\nsections 15 and 16 of this License; or\n\nb) Requiring preservation of specified reasonable legal notices or author\nattributions in that material or in the Appropriate Legal Notices displayed\nby works containing it; or\n\nc) Prohibiting misrepresentation of the origin of that material, or requiring\nthat modified versions of such material be marked in reasonable ways as different\nfrom the original version; or\n\nd) Limiting the use for publicity purposes of names of licensors or authors\nof the material; or\n\ne) Declining to grant rights under trademark law for use of some trade names,\ntrademarks, or service marks; or\n\nf) Requiring indemnification of licensors and authors of that material by\nanyone who conveys the material (or modified versions of it) with contractual\nassumptions of liability to the recipient, for any liability that these contractual\nassumptions directly impose on those licensors and authors.\n\nAll other non-permissive additional terms are considered \"further restrictions\"\nwithin the meaning of section 10. If the Program as you received it, or any\npart of it, contains a notice stating that it is governed by this License\nalong with a term that is a further restriction, you may remove that term.\nIf a license document contains a further restriction but permits relicensing\nor conveying under this License, you may add to a covered work material governed\nby the terms of that license document, provided that the further restriction\ndoes not survive such relicensing or conveying.\n\nIf you add terms to a covered work in accord with this section, you must place,\nin the relevant source files, a statement of the additional terms that apply\nto those files, or a notice indicating where to find the applicable terms.\n\nAdditional terms, permissive or non-permissive, may be stated in the form\nof a separately written license, or stated as exceptions; the above requirements\napply either way.\n\n   8. Termination.\n\nYou may not propagate or modify a covered work except as expressly provided\nunder this License. Any attempt otherwise to propagate or modify it is void,\nand will automatically terminate your rights under this License (including\nany patent licenses granted under the third paragraph of section 11).\n\nHowever, if you cease all violation of this License, then your license from\na particular copyright holder is reinstated (a) provisionally, unless and\nuntil the copyright holder explicitly and finally terminates your license,\nand (b) permanently, if the copyright holder fails to notify you of the violation\nby some reasonable means prior to 60 days after the cessation.\n\nMoreover, your license from a particular copyright holder is reinstated permanently\nif the copyright holder notifies you of the violation by some reasonable means,\nthis is the first time you have received notice of violation of this License\n(for any work) from that copyright holder, and you cure the violation prior\nto 30 days after your receipt of the notice.\n\nTermination of your rights under this section does not terminate the licenses\nof parties who have received copies or rights from you under this License.\nIf your rights have been terminated and not permanently reinstated, you do\nnot qualify to receive new licenses for the same material under section 10.\n\n   9. Acceptance Not Required for Having Copies.\n\nYou are not required to accept this License in order to receive or run a copy\nof the Program. Ancillary propagation of a covered work occurring solely as\na consequence of using peer-to-peer transmission to receive a copy likewise\ndoes not require acceptance. However, nothing other than this License grants\nyou permission to propagate or modify any covered work. These actions infringe\ncopyright if you do not accept this License. Therefore, by modifying or propagating\na covered work, you indicate your acceptance of this License to do so.\n\n   10. Automatic Licensing of Downstream Recipients.\n\nEach time you convey a covered work, the recipient automatically receives\na license from the original licensors, to run, modify and propagate that work,\nsubject to this License. You are not responsible for enforcing compliance\nby third parties with this License.\n\nAn \"entity transaction\" is a transaction transferring control of an organization,\nor substantially all assets of one, or subdividing an organization, or merging\norganizations. If propagation of a covered work results from an entity transaction,\neach party to that transaction who receives a copy of the work also receives\nwhatever licenses to the work the party\'s predecessor in interest had or could\ngive under the previous paragraph, plus a right to possession of the Corresponding\nSource of the work from the predecessor in interest, if the predecessor has\nit or can get it with reasonable efforts.\n\nYou may not impose any further restrictions on the exercise of the rights\ngranted or affirmed under this License. For example, you may not impose a\nlicense fee, royalty, or other charge for exercise of rights granted under\nthis License, and you may not initiate litigation (including a cross-claim\nor counterclaim in a lawsuit) alleging that any patent claim is infringed\nby making, using, selling, offering for sale, or importing the Program or\nany portion of it.\n\n   11. Patents.\n\nA \"contributor\" is a copyright holder who authorizes use under this License\nof the Program or a work on which the Program is based. The work thus licensed\nis called the contributor\'s \"contributor version\".\n\nA contributor\'s \"essential patent claims\" are all patent claims owned or controlled\nby the contributor, whether already acquired or hereafter acquired, that would\nbe infringed by some manner, permitted by this License, of making, using,\nor selling its contributor version, but do not include claims that would be\ninfringed only as a consequence of further modification of the contributor\nversion. For purposes of this definition, \"control\" includes the right to\ngrant patent sublicenses in a manner consistent with the requirements of this\nLicense.\n\nEach contributor grants you a non-exclusive, worldwide, royalty-free patent\nlicense under the contributor\'s essential patent claims, to make, use, sell,\noffer for sale, import and otherwise run, modify and propagate the contents\nof its contributor version.\n\nIn the following three paragraphs, a \"patent license\" is any express agreement\nor commitment, however denominated, not to enforce a patent (such as an express\npermission to practice a patent or covenant not to sue for patent infringement).\nTo \"grant\" such a patent license to a party means to make such an agreement\nor commitment not to enforce a patent against the party.\n\nIf you convey a covered work, knowingly relying on a patent license, and the\nCorresponding Source of the work is not available for anyone to copy, free\nof charge and under the terms of this License, through a publicly available\nnetwork server or other readily accessible means, then you must either (1)\ncause the Corresponding Source to be so available, or (2) arrange to deprive\nyourself of the benefit of the patent license for this particular work, or\n(3) arrange, in a manner consistent with the requirements of this License,\nto extend the patent license to downstream recipients. \"Knowingly relying\"\nmeans you have actual knowledge that, but for the patent license, your conveying\nthe covered work in a country, or your recipient\'s use of the covered work\nin a country, would infringe one or more identifiable patents in that country\nthat you have reason to believe are valid.\n\nIf, pursuant to or in connection with a single transaction or arrangement,\nyou convey, or propagate by procuring conveyance of, a covered work, and grant\na patent license to some of the parties receiving the covered work authorizing\nthem to use, propagate, modify or convey a specific copy of the covered work,\nthen the patent license you grant is automatically extended to all recipients\nof the covered work and works based on it.\n\nA patent license is \"discriminatory\" if it does not include within the scope\nof its coverage, prohibits the exercise of, or is conditioned on the non-exercise\nof one or more of the rights that are specifically granted under this License.\nYou may not convey a covered work if you are a party to an arrangement with\na third party that is in the business of distributing software, under which\nyou make payment to the third party based on the extent of your activity of\nconveying the work, and under which the third party grants, to any of the\nparties who would receive the covered work from you, a discriminatory patent\nlicense (a) in connection with copies of the covered work conveyed by you\n(or copies made from those copies), or (b) primarily for and in connection\nwith specific products or compilations that contain the covered work, unless\nyou entered into that arrangement, or that patent license was granted, prior\nto 28 March 2007.\n\nNothing in this License shall be construed as excluding or limiting any implied\nlicense or other defenses to infringement that may otherwise be available\nto you under applicable patent law.\n\n   12. No Surrender of Others\' Freedom.\n\nIf conditions are imposed on you (whether by court order, agreement or otherwise)\nthat contradict the conditions of this License, they do not excuse you from\nthe conditions of this License. If you cannot convey a covered work so as\nto satisfy simultaneously your obligations under this License and any other\npertinent obligations, then as a consequence you may not convey it at all.\nFor example, if you agree to terms that obligate you to collect a royalty\nfor further conveying from those to whom you convey the Program, the only\nway you could satisfy both those terms and this License would be to refrain\nentirely from conveying the Program.\n\n   13. Use with the GNU Affero General Public License.\n\nNotwithstanding any other provision of this License, you have permission to\nlink or combine any covered work with a work licensed under version 3 of the\nGNU Affero General Public License into a single combined work, and to convey\nthe resulting work. The terms of this License will continue to apply to the\npart which is the covered work, but the special requirements of the GNU Affero\nGeneral Public License, section 13, concerning interaction through a network\nwill apply to the combination as such.\n\n   14. Revised Versions of this License.\n\nThe Free Software Foundation may publish revised and/or new versions of the\nGNU General Public License from time to time. Such new versions will be similar\nin spirit to the present version, but may differ in detail to address new\nproblems or concerns.\n\nEach version is given a distinguishing version number. If the Program specifies\nthat a certain numbered version of the GNU General Public License \"or any\nlater version\" applies to it, you have the option of following the terms and\nconditions either of that numbered version or of any later version published\nby the Free Software Foundation. If the Program does not specify a version\nnumber of the GNU General Public License, you may choose any version ever\npublished by the Free Software Foundation.\n\nIf the Program specifies that a proxy can decide which future versions of\nthe GNU General Public License can be used, that proxy\'s public statement\nof acceptance of a version permanently authorizes you to choose that version\nfor the Program.\n\nLater license versions may give you additional or different permissions. However,\nno additional obligations are imposed on any author or copyright holder as\na result of your choosing to follow a later version.\n\n   15. Disclaimer of Warranty.\n\nTHERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE\nLAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR\nOTHER PARTIES PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER\nEXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES\nOF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS\nTO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM\nPROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR\nCORRECTION.\n\n   16. Limitation of Liability.\n\nIN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL\nANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS THE PROGRAM\nAS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL,\nINCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO\nUSE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED\nINACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE\nPROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER\nPARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   17. Interpretation of Sections 15 and 16.\n\nIf the disclaimer of warranty and limitation of liability provided above cannot\nbe given local legal effect according to their terms, reviewing courts shall\napply local law that most closely approximates an absolute waiver of all civil\nliability in connection with the Program, unless a warranty or assumption\nof liability accompanies a copy of the Program in return for a fee. END OF\nTERMS AND CONDITIONS\n\nHow to Apply These Terms to Your New Programs\n\nIf you develop a new program, and you want it to be of the greatest possible\nuse to the public, the best way to achieve this is to make it free software\nwhich everyone can redistribute and change under these terms.\n\nTo do so, attach the following notices to the program. It is safest to attach\nthem to the start of each source file to most effectively state the exclusion\nof warranty; and each file should have at least the \"copyright\" line and a\npointer to where the full notice is found.\n\n<one line to give the program\'s name and a brief idea of what it does.>\n\nCopyright (C) <year> <name of author>\n\nThis program is free software: you can redistribute it and/or modify it under\nthe terms of the GNU General Public License as published by the Free Software\nFoundation, either version 3 of the License, or (at your option) any later\nversion.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT\nANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS\nFOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with\nthis program. If not, see <http s ://www.gnu.org/licenses/>.\n\nAlso add information on how to contact you by electronic and paper mail.\n\nIf the program does terminal interaction, make it output a short notice like\nthis when it starts in an interactive mode:\n\n<program> Copyright (C) <year> <name of author>\n\nThis program comes with ABSOLUTELY NO WARRANTY; for details type `show w\'.\n\nThis is free software, and you are welcome to redistribute it under certain\nconditions; type `show c\' for details.\n\nThe hypothetical commands `show w\' and `show c\' should show the appropriate\nparts of the General Public License. Of course, your program\'s commands might\nbe different; for a GUI interface, you would use an \"about box\".\n\nYou should also get your employer (if you work as a programmer) or school,\nif any, to sign a \"copyright disclaimer\" for the program, if necessary. For\nmore information on this, and how to apply and follow the GNU GPL, see <http\ns ://www.gnu.org/licenses/>.\n\nThe GNU General Public License does not permit incorporating your program\ninto proprietary programs. If your program is a subroutine library, you may\nconsider it more useful to permit linking proprietary applications with the\nlibrary. If this is what you want to do, use the GNU Lesser General Public\nLicense instead of this License. But first, please read <http s ://www.gnu.org/\nlicenses /why-not-lgpl.html>.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(345,'MIT','MIT License\n\nCopyright (c) <year> <copyright holders>\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is furnished\nto do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice (including the next\nparagraph) shall be included in all copies or substantial portions of the\nSoftware.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(346,'BSD-3-Clause','Copyright (c) <year> <owner> . All rights reserved.\n\nRedistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n1. Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n2. Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n3. Neither the name of the copyright holder nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\"\nAND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\nIMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\nARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE\nLIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\nDAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR\nSERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER\nCAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,\nOR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE\nUSE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(347,'Nokia-Qt-exception-1.1','Nokia Qt LGPL Exception version 1.1\n\nAs an additional permission to the GNU Lesser General Public License version 2.1, the object code form of a \"work that uses the Library\" may incorporate material from a header file that is part of the Library. You may distribute such object code under terms of your choice, provided that:\n\n   (i) the header files of the Library have not been modified; and\n\n   (ii) the incorporated material is limited to numerical parameters, data structure layouts, accessors, macros, inline functions and templates; and\n\n   (iii) you comply with the terms of Section 6 of the GNU Lesser General Public License version 2.1.\n\nMoreover, you may apply this exception to a modified version of the Library, provided that such modification does not involve copying material from the Library into the modified Library\'s header files unless such material is limited to\n\n   (i) numerical parameters;\n\n   (ii) data structure layouts;\n\n   (iii) accessors; and\n\n   (iv) small macros, templates and inline functions of five lines or less in length.\n\nFurthermore, you are not required to apply this additional permission to a modified version of the Library.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(348,'NPL-1.0','NETSCAPE PUBLIC LICENSE\n\nVersion 1.0\n\n   1. Definitions.\n\n1.1. ``Contributor\'\' means each entity that creates or contributes to the\ncreation of Modifications.\n\n1.2. ``Contributor Version\'\' means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3. ``Covered Code\'\' means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4. ``Electronic Distribution Mechanism\'\' means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n1.5. ``Executable\'\' means Covered Code in any form other than Source Code.\n\n1.6. ``Initial Developer\'\' means the individual or entity identified as the\nInitial Developer in the Source Code notice required byExhibit A.\n\n1.7. ``Larger Work\'\' means a work which combines Covered Code or portions\nthereof with code not governed by the terms of this License.\n\n      1.8. ``License\'\' means this document.\n\n1.9. ``Modifications\'\' means any addition to or deletion from the substance\nor structure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10. ``Original Code\'\' means Source Code of computer software code which\nis described in the Source Code notice required byExhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.11. ``Source Code\'\' means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or a list of source code differential comparisons against\neither the Original Code or another well known, available Covered Code of\nthe Contributor\'s choice. The Source Code can be in a compressed or archival\nform, provided the appropriate decompression or de-archiving software is widely\navailable for no charge.\n\n1.12. ``You\'\' means an individual or a legal entity exercising rights under,\nand complying with all of the terms of, this License or a future version of\nthis License issued under Section 6.1. For legal entities, ``You\'\' includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, ``control\'\' means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of fifty percent (50%) or more\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n2.1. The Initial Developer Grant. The Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license, subject to third party\nintellectual property claims:\n\na) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Original Code (or portions thereof) with or without Modifications, or\nas part of a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Initial Developer,\nto make, have made, use and sell (``Utilize\'\') the Original Code (or portions\nthereof), but solely to the extent that any such patent is reasonably necessary\nto enable You to Utilize the Original Code (or portions thereof) and not to\nany greater extent that may be necessary to Utilize further Modifications\nor combinations.\n\n      \n\n      2.2. Contributor Grant.\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) to use, reproduce, modify, display, perform, sublicense and distribute\nthe Modifications created by such Contributor (or portions thereof) either\non an unmodified basis, with other Modifications, as Covered Code or as part\nof a Larger Work; and\n\n(b) under patents now or hereafter owned or controlled by Contributor, to\nUtilize the Contributor Version (or portions thereof), but solely to the extent\nthat any such patent is reasonably necessary to enable You to Utilize the\nContributor Version (or portions thereof), and not to any greater extent that\nmay be necessary to Utilize further Modifications or combinations.\n\n   3. Distribution Obligations.\n\n3.1. Application of License. The Modifications which You create or to which\nYou contribute are governed by the terms of this License, including without\nlimitation Section 2.2. The Source Code version of Covered Code may be distributed\nonly under the terms of this License or a future version of this License released\nunder Section 6.1, and You must include a copy of this License with every\ncopy of the Source Code You distribute. You may not offer or impose any terms\non any Source Code version that alters or restricts the applicable version\nof this License or the recipients\' rights hereunder. However, You may include\nan additional document offering the additional rights described in Section\n3.5.\n\n3.2. Availability of Source Code. Any Modification which You create or to\nwhich You contribute must be made available in Source Code form under the\nterms of this License either on the same media as an Executable version or\nvia an accepted Electronic Distribution Mechanism to anyone to whom you made\nan Executable version available; and if made available via Electronic Distribution\nMechanism, must remain available for at least twelve (12) months after the\ndate it initially became available, or at least six (6) months after a subsequent\nversion of that particular Modification has been made available to such recipients.\nYou are responsible for ensuring that the Source Code version remains available\neven if the Electronic Distribution Mechanism is maintained by a third party.\n\n3.3. Description of Modifications. You must cause all Covered Code to which\nyou contribute to contain a file documenting the changes You made to create\nthat Covered Code and the date of any change. You must include a prominent\nstatement that the Modification is derived, directly or indirectly, from Original\nCode provided by the Initial Developer and including the name of the Initial\nDeveloper in (a) the Source Code, and (b) in any notice in an Executable version\nor related documentation in which You describe the origin or ownership of\nthe Covered Code.\n\n      3.4. Intellectual Property Matters\n\n(a) Third Party Claims. If You have knowledge that a party claims an intellectual\nproperty right in particular functionality or code (or its utilization under\nthis License), you must include a text file with the source code distribution\ntitled ``LEGAL\'\' which describes the claim and the party making the claim\nin sufficient detail that a recipient will know whom to contact. If you obtain\nsuch knowledge after You make Your Modification available as described in\nSection 3.2, You shall promptly modify the LEGAL file in all copies You make\navailable thereafter and shall take other steps (such as notifying appropriate\nmailing lists or newsgroups) reasonably calculated to inform those who received\nthe Covered Code that new knowledge has been obtained.\n\n(b) Contributor APIs. If Your Modification is an application programming interface\nand You own or control patents which are reasonably necessary to implement\nthat API, you must also include this information in the LEGAL file.\n\n3.5. Required Notices. You must duplicate the notice in Exhibit A in each\nfile of the Source Code, and this License in any documentation for the Source\nCode, where You describe recipients\' rights relating to Covered Code. If You\ncreated one or more Modification(s), You may add your name as a Contributor\nto the notice described in Exhibit A. If it is not possible to put such notice\nin a particular Source Code file due to its structure, then you must include\nsuch notice in a location (such as a relevant directory file) where a user\nwould be likely to look for such a notice. You may choose to offer, and to\ncharge a fee for, warranty, support, indemnity or liability obligations to\none or more recipients of Covered Code. However, You may do so only on Your\nown behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear than any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n3.6. Distribution of Executable Versions. You may distribute Covered Code\nin Executable form only if the requirements of Section 3.1-3.5 have been met\nfor that Covered Code, and if You include a notice stating that the Source\nCode version of the Covered Code is available under the terms of this License,\nincluding a description of how and where You have fulfilled the obligations\nof Section 3.2. The notice must be conspicuously included in any notice in\nan Executable version, related documentation or collateral in which You describe\nrecipients\' rights relating to the Covered Code. You may distribute the Executable\nversion of Covered Code under a license of Your choice, which may contain\nterms different from this License, provided that You are in compliance with\nthe terms of this License and that the license for the Executable version\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nversion from the rights set forth in this License. If You distribute the Executable\nversion under a different license You must make it absolutely clear that any\nterms which differ from this License are offered by You alone, not by the\nInitial Developer or any Contributor. You hereby agree to indemnify the Initial\nDeveloper and every Contributor for any liability incurred by the Initial\nDeveloper or such Contributor as a result of any such terms You offer.\n\n3.7. Larger Works. You may create a Larger Work by combining Covered Code\nwith other code not governed by the terms of this License and distribute the\nLarger Work as a single product. In such a case, You must make sure the requirements\nof this License are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute or regulation\nthen You must: (a) comply with the terms of this License to the maximum extent\npossible; and (b) describe the limitations and the code they affect. Such\ndescription must be included in the LEGAL file described in Section 3.4 and\nmust be included with all distributions of the Source Code. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A, and to related Covered Code.\n\n   6. Versions of the License.\n\n6.1. New Versions. Netscape Communications Corporation (``Netscape\'\') may\npublish revised and/or new versions of the License from time to time. Each\nversion will be given a distinguishing version number.\n\n6.2. Effect of New Versions. Once Covered Code has been published under a\nparticular version of the License, You may always continue to use it under\nthe terms of that version. You may also choose to use such Covered Code under\nthe terms of any subsequent version of the License published by Netscape.\nNo one other than Netscape has the right to modify the terms applicable to\nCovered Code created under this License.\n\n6.3. Derivative Works. If you create or use a modified version of this License\n(which you may only do in order to apply it to code which is not already Covered\nCode governed by this License), you must (a) rename Your license so that the\nphrases ``Mozilla\'\', ``MOZILLAPL\'\', ``MOZPL\'\', ``Netscape\'\', ``NPL\'\' or any\nconfusingly similar phrase do not appear anywhere in your license and (b)\notherwise make it clear that your version of the license contains terms which\ndiffer from the Mozilla Public License and Netscape Public License. (Filling\nin the name of the Initial Developer, Original Code or Contributor in the\nnotice described in Exhibit A shall not of themselves be deemed to be modifications\nof this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN ``AS IS\'\' BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR\nA PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE\nDEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR)\nASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER\nOF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED\nCODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\nThis License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER\nCONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF\nSUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a ``commercial item,\'\' as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of ``commercial computer software\'\' and ``commercial\ncomputer software documentation,\'\' as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in, the United States\nof America: (a) unless otherwise agreed in writing, all disputes relating\nto this License (excepting any dispute relating to intellectual property rights)\nshall be subject to final and binding arbitration, with the losing party paying\nall costs of arbitration; (b) any arbitration relating to this Agreement shall\nbe held in Santa Clara County, California, under the auspices of JAMS/EndDispute;\nand (c) any litigation relating to this Agreement shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nExcept in cases where another Contributor has failed to comply with Section\n3.4, You are responsible for damages arising, directly or indirectly, out\nof Your utilization of rights under this License, based on the number of copies\nof Covered Code you made available, the revenues you received from utilizing\nsuch rights, and other relevant factors. You agree to work with affected parties\nto distribute responsibility on an equitable basis.\n\nAMENDMENTS\n\nAdditional Terms applicable to the Netscape Public License.\n\n   I. Effect.\n\nThese additional terms described in this Netscape Public License -- Amendments\nshall apply to the Mozilla Communicator client code and to all Covered Code\nunder this License.\n\nII. ``Netscape\'s Branded Code\'\' means Covered Code that Netscape distributes\nand/or permits others to distribute under one or more trademark(s) which are\ncontrolled by Netscape but which are not licensed for use under this License.\n\n   III. Netscape and logo.\n\nThis License does not grant any rights to use the trademark ``Netscape\'\',\nthe ``Netscape N and horizon\'\' logo or the Netscape lighthouse logo, even\nif such marks are included in the Original Code.\n\n   IV. Inability to Comply Due to Contractual Obligation.\n\nPrior to licensing the Original Code under this License, Netscape has licensed\nthird party code for use in Netscape\'s Branded Code. To the extent that Netscape\nis limited contractually from making such third party code available under\nthis License, Netscape may choose to reintegrate such code into Covered Code\nwithout being required to distribute such code in Source Code form, even if\nsuch code would otherwise be considered ``Modifications\'\' under this License.\n\n   V. Use of Modifications and Covered Code by Initial Developer.\n\nV.1. In General. The obligations of Section 3 apply to Netscape, except to\nthe extent specified in this Amendment, Section V.2 and V.3.\n\nV.2. Other Products. Netscape may include Covered Code in products other than\nthe Netscape\'s Branded Code which are released by Netscape during the two\n(2) years following the release date of the Original Code, without such additional\nproducts becoming subject to the terms of this License, and may license such\nadditional products on different terms from those contained in this License.\nV.3. Alternative Licensing. Netscape may license the Source Code of Netscape\'s\nBranded Code, including Modifications incorporated therein, without such additional\nproducts becoming subject to the terms of this License, and may license such\nadditional products on different terms from those contained in this License.\n\n   VI. Arbitration and Litigation.\n\nNotwithstanding the limitations of Section 11 above, the provisions regarding\narbitration and litigation in Section 11(a), (b) and (c) of the License shall\napply to all disputes relating to this License. EXHIBIT A.\n\n\"The contents of this file are subject to the Netscape Public License Version\n1.0 (the \"License\"); you may not use this file except in compliance with the\nLicense. You may obtain a copy of the License at http://www.mozilla.org/NPL/\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is Mozilla Communicator client code, released March 31, 1998.\n\nThe Initial Developer of the Original Code is Netscape Communications Corporation.\nPortions created by Netscape are Copyright (C) 1998 Netscape Communications\nCorporation. All Rights Reserved.\n\nContributor(s): ______________________________________.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. This is due to time\nconstraints encountered in simultaneously finalizing the License and in preparing\nthe Original Code for release. You should use the text of this Exhibit A rather\nthan the text found in the Original Code Source Code for Your Modifications.]\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(349,'LiLiQ-Rplus-1.1','Licence Libre du Québec – Réciprocité forte (LiLiQ-R+)\n\nVersion 1.1\n\n   1. Préambule\n\nCette licence s\'applique à tout logiciel distribué dont le titulaire du droit\nd\'auteur précise qu\'il est sujet aux termes de la Licence Libre du Québec\n– Réciprocité forte (LiLiQ-R+) (ci-après appelée la « licence »).\n\n   2. Définitions\n\nDans la présente licence, à moins que le contexte n\'indique un sens différent,\non entend par:\n\n« concédant » : le titulaire du droit d\'auteur sur le logiciel, ou toute personne\ndûment autorisée par ce dernier à accorder la présente licence;\n\n« contributeur » : le titulaire du droit d\'auteur ou toute personne autorisée\npar ce dernier à soumettre au concédant une contribution. Un contributeur\ndont sa contribution est incorporée au logiciel est considéré comme un concédant\nen regard de sa contribution;\n\n« contribution » : tout logiciel original, ou partie de logiciel original\nsoumis et destiné à être incorporé dans le logiciel;\n\n   « distribution » : le fait de délivrer une copie du logiciel;\n\n« licencié » : toute personne qui possède une copie du logiciel et qui exerce\nles droits concédés par la licence;\n\n« logiciel » : une œuvre protégée par le droit d\'auteur, telle qu\'un programme\nd\'ordinateur et sa documentation, pour laquelle le titulaire du droit d\'auteur\na précisé qu\'elle est sujette aux termes de la présente licence;\n\n« logiciel dérivé » : tout logiciel original réalisé par un licencié, autre\nque le logiciel ou un logiciel modifié, qui produit ou reproduit la totalité\nou une partie importante du logiciel;\n\n« logiciel modifié » : toute modification par un licencié de l\'un des fichiers\nsource du logiciel ou encore tout nouveau fichier source qui incorpore le\nlogiciel ou une partie importante de ce dernier.\n\n   3. Licence de droit d\'auteur\n\nSous réserve des termes de la licence, le concédant accorde au licencié une\nlicence non exclusive et libre de redevances lui permettant d\'exercer les\ndroits suivants sur le logiciel:\n\n      1 Produire ou reproduire la totalité ou une partie importante;\n\n      2 Exécuter ou représenter la totalité ou une partie importante en public;\n\n      3 Publier la totalité ou une partie importante.\n\n   Cette licence est accordée sans limite territoriale et sans limite de temps.\n\nL\'exercice complet de ces droits est sujet à la distribution par le concédant\ndu code source du logiciel, lequel doit être sous une forme permettant d\'y\napporter des modifications. Le concédant peut aussi distribuer le logiciel\naccompagné d\'une offre de distribuer le code source du logiciel, sans frais\nsupplémentaires, autres que ceux raisonnables afin de permettre la livraison\ndu code source. Cette offre doit être valide pendant une durée raisonnable.\n\n   4. Distribution\n\nLe licencié peut distribuer des copies du logiciel, d\'un logiciel modifié\nou dérivé, sous réserve de respecter les conditions suivantes :\n\n      1 Le logiciel doit être accompagné d\'un exemplaire de cette licence;\n\n2 Si le logiciel a été modifié, le licencié doit en faire la mention, de préférence\ndans chacun des fichiers modifiés dont la nature permet une telle mention;\n\n3 Les étiquettes ou mentions faisant état des droits d\'auteur, des marques\nde commerce, des garanties ou de la paternité concernant le logiciel ne doivent\npas être modifiées ou supprimées, à moins que ces étiquettes ou mentions ne\nsoient inapplicables à un logiciel modifié ou dérivé donné.\n\n   4.1. Réciprocité\n\nChaque fois que le licencié distribue le logiciel, le concédant offre au récipiendaire\nune concession sur le logiciel selon les termes de la présente licence. Le\nlicencié doit offrir une concession selon les termes de la présente licence\npour tout logiciel modifié ou dérivé qu\'il distribue.\n\nChaque fois que le licencié distribue le logiciel, un logiciel modifié, ou\nun logiciel dérivé, ce dernier doit assumer l\'obligation d\'en distribuer le\ncode source, de la manière prévue au troisième alinéa de l\'article 3.\n\n   4.2. Compatibilité\n\nDans la mesure où le licencié souhaite distribuer un logiciel modifié ou dérivé\ncombiné à un logiciel assujetti à une licence compatible, mais dont il ne\nserait pas possible d\'en respecter les termes, le concédant offre, en plus\nde la présente concession, une concession selon les termes de cette licence\ncompatible.\n\nUn licencié qui est titulaire exclusif du droit d\'auteur sur le logiciel assujetti\nà une licence compatible ne peut pas se prévaloir de cette offre. Il en est\nde même pour toute autre personne dûment autorisée à sous-licencier par le\ntitulaire exclusif du droit d\'auteur sur le logiciel assujetti à une licence\ncompatible.\n\nEst considérée comme une licence compatible toute licence libre approuvée\nou certifiée par la Free Software Foundation ou l\'Open Source Initiative,\ndont le niveau de réciprocité est comparable à celui de la présente licence,\nsans toutefois être moindre, notamment:\n\n      1 Common Public License Version 1.0 (CPL-1.0)\n\n      2 Contrat de licence de logiciel libre CeCILL, version 2.1 (CECILL-2.1)\n\n      3 Eclipse Public License - v 1.0 (EPL-1.0)\n\n      4 European Union Public License, version 1.1 (EUPL v. 1.1)\n\n      5 GNU General Public License Version 2 (GNU GPLv2)\n\n      6 GNU General Public License Version 3 (GNU GPLv3)\n\n   5. Contributions\n\nSous réserve d\'une entente distincte, toute contribution soumise par un contributeur\nau concédant pour inclusion dans le logiciel sera soumise aux termes de cette\nlicence.\n\n   6. Marques de commerce\n\nLa licence n\'accorde aucune permission particulière qui permettrait d\'utiliser\nles marques de commerce du concédant, autre que celle requise permettant d\'identifier\nla provenance du logiciel.\n\n   7. Garanties\n\nSauf mention contraire, le concédant distribue le logiciel sans aucune garantie,\naux risques et périls de l\'acquéreur de la copie du logiciel, et ce, sans\nassurer que le logiciel puisse répondre à un besoin particulier ou puisse\ndonner un résultat quelconque.\n\nSans lier le concédant d\'une quelconque manière, rien n\'empêche un licencié\nd\'offrir ou d\'exclure des garanties ou du support.\n\n   8. Responsabilité\n\nLe licencié est responsable de tout préjudice résultant de l\'exercice des\ndroits accordés par la licence.\n\nLe concédant ne saurait être tenu responsable du préjudice subi par le licencié\nou par des tiers, pour quelque cause que ce soit en lien avec la licence et\nles droits qui y sont accordés.\n\n   9. Résiliation\n\nLa présente licence est résiliée de plein droit dès que les droits qui y sont\naccordés ne sont pas exercés conformément aux termes qui y sont stipulés.\n\nToutefois, si le défaut est corrigé dans un délai de 30 jours de sa prise\nde connaissance par la personne en défaut, et qu\'il s\'agit du premier défaut,\nla licence est accordée de nouveau.\n\nPour tout défaut subséquent, le consentement exprès du concédant est nécessaire\nafin que la licence soit accordée de nouveau.\n\n   10. Version de la licence\n\nLe Centre de services partagés du Québec, ses ayants cause ou toute personne\nqu\'il désigne, peuvent diffuser des versions révisées ou modifiées de cette\nlicence. Chaque version recevra un numéro unique. Si un logiciel est déjà\nsoumis aux termes d\'une version spécifique, c\'est seulement cette version\nqui liera les parties à la licence.\n\nLe concédant peut aussi choisir de concéder la licence sous la version actuelle\nou toute version ultérieure, auquel cas le licencié peut choisir sous quelle\nversion la licence lui est accordée.\n\n   11. Divers\n\nDans la mesure où le concédant est un ministère, un organisme public ou une\npersonne morale de droit public, créés en vertu d\'une loi de l\'Assemblée nationale\ndu Québec, la licence est régie par le droit applicable au Québec et en cas\nde contestation, les tribunaux du Québec seront seuls compétents.\n\nLa présente licence peut être distribuée sans conditions particulières. Toutefois,\nune version modifiée doit être distribuée sous un nom différent. Toute référence\nau Centre de services partagés du Québec, et, le cas échéant, ses ayant cause,\ndoit être retirée, autre que celle permettant d\'identifier la provenance de\nla licence.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(350,'Autoconf-exception-3.0','AUTOCONF CONFIGURE SCRIPT EXCEPTION\n\nVersion 3.0, 18 August 2009\n\nCopyright © 2009 Free Software Foundation, Inc. <http://fsf.org/>\n\nEveryone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.\n\nThis Exception is an additional permission under section 7 of the GNU General Public License, version 3 (\"GPLv3\"). It applies to a given file that bears a notice placed by the copyright holder of the file stating that the file is governed by GPLv3 along with this Exception.\n\nThe purpose of this Exception is to allow distribution of Autoconf\'s typical output under terms of the recipient\'s choice (including proprietary).\n\n   0. Definitions.\n\n   \"Covered Code\" is the source or object code of a version of Autoconf that is a covered work under this License.\n\n   \"Normally Copied Code\" for a version of Autoconf means all parts of its Covered Code which that version can copy from its code (i.e., not from its input file) into its minimally verbose, non-debugging and non-tracing output.\n\n   \"Ineligible Code\" is Covered Code that is not Normally Copied Code.\n\n   1. Grant of Additional Permission.\n\n   You have permission to propagate output of Autoconf, even if such propagation would otherwise violate the terms of GPLv3. However, if by modifying Autoconf you cause any Ineligible Code of the version you received to become Normally Copied Code of your modified version, then you void this Exception for the resulting covered work. If you convey that resulting covered work, you must remove this Exception in accordance with the second paragraph of Section 7 of GPLv3.\n\n   2. No Weakening of Autoconf Copyleft.\n\n   The availability of this Exception does not imply any general presumption that third-party software is unaffected by the copyleft requirements of the license of Autoconf.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(351,'CPOL-1.02','The Code Project Open License (CPOL) 1.02\n\nPreamble\n\nThis License governs Your use of the Work. This License is intended to allow\ndevelopers to use the Source Code and Executable Files provided as part of\nthe Work in any application in any form.\n\nThe main points subject to the terms of the License are:\n\n   - Source Code and Executable Files can be used in commercial applications;\n\n   - Source Code and Executable Files can be redistributed; and\n\n   - Source Code can be modified to create derivative works.\n\n- No claim of suitability, guarantee, or any warranty whatsoever is provided.\nThe software is provided \"as-is\".\n\n- The Article accompanying the Work may not be distributed or republished\nwithout the Author\'s consent\n\nThis License is entered between You, the individual or other entity reading\nor otherwise making use of the Work licensed pursuant to this License and\nthe individual or other entity which offers the Work under the terms of this\nLicense (\"Author\").\n\nLicense\n\nTHE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS CODE PROJECT\nOPEN LICENSE (\"LICENSE\"). THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER\nAPPLICABLE LAW. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE\nOR COPYRIGHT LAW IS PROHIBITED.\n\nBY EXERCISING ANY RIGHTS TO THE WORK PROVIDED HEREIN, YOU ACCEPT AND AGREE\nTO BE BOUND BY THE TERMS OF THIS LICENSE. THE AUTHOR GRANTS YOU THE RIGHTS\nCONTAINED HEREIN IN CONSIDERATION OF YOUR ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\nIF YOU DO NOT AGREE TO ACCEPT AND BE BOUND BY THE TERMS OF THIS LICENSE, YOU\nCANNOT MAKE ANY USE OF THE WORK.\n\n   1. Definitions.\n\na. \"Articles\" means, collectively, all articles written by Author which describes\nhow the Source Code and Executable Files for the Work may be used by a user.\n\nb. \"Author\" means the individual or entity that offers the Work under the\nterms of this License.\n\nc. \"Derivative Work\" means a work based upon the Work or upon the Work and\nother pre-existing works.\n\nd. \"Executable Files\" refer to the executables, binary files, configuration\nand any required data files included in the Work.\n\ne. \"Publisher\" means the provider of the website, magazine, CD-ROM, DVD or\nother medium from or by which the Work is obtained by You.\n\nf. \"Source Code\" refers to the collection of source code and configuration\nfiles used to create the Executable Files.\n\ng. \"Standard Version\" refers to such a Work if it has not been modified, or\nhas been modified in accordance with the consent of the Author, such consent\nbeing in the full discretion of the Author.\n\nh. \"Work\" refers to the collection of files distributed by the Publisher,\nincluding the Source Code, Executable Files, binaries, data files, documentation,\nwhitepapers and the Articles.\n\ni. \"You\" is you, an individual or entity wishing to use the Work and exercise\nyour rights under this License.\n\n2. Fair Use/Fair Use Rights. Nothing in this License is intended to reduce,\nlimit, or restrict any rights arising from fair use, fair dealing, first sale\nor other limitations on the exclusive rights of the copyright owner under\ncopyright law or other applicable laws.\n\n3. License Grant. Subject to the terms and conditions of this License, the\nAuthor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual\n(for the duration of the applicable copyright) license to exercise the rights\nin the Work as stated below:\n\na. You may use the standard version of the Source Code or Executable Files\nin Your own applications.\n\nb. You may apply bug fixes, portability fixes and other modifications obtained\nfrom the Public Domain or from the Author. A Work modified in such a way shall\nstill be considered the standard version and will be subject to this License.\n\nc. You may otherwise modify Your copy of this Work (excluding the Articles)\nin any way to create a Derivative Work, provided that You insert a prominent\nnotice in each changed file stating how, when and where You changed that file.\n\nd. You may distribute the standard version of the Executable Files and Source\nCode or Derivative Work in aggregate with other (possibly commercial) programs\nas part of a larger (possibly commercial) software distribution.\n\ne. The Articles discussing the Work published in any form by the author may\nnot be distributed or republished without the Author\'s consent. The author\nretains copyright to any such Articles. You may use the Executable Files and\nSource Code pursuant to this License but you may not repost or republish or\notherwise distribute or make available the Articles, without the prior written\nconsent of the Author.\n\nAny subroutines or modules supplied by You and linked into the Source Code\nor Executable Files of this Work shall not be considered part of this Work\nand will not be subject to the terms of this License.\n\n4. Patent License. Subject to the terms and conditions of this License, each\nAuthor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge,\nroyalty-free, irrevocable (except as stated in this section) patent license\nto make, have made, use, import, and otherwise transfer the Work.\n\n5. Restrictions. The license granted in Section 3 above is expressly made\nsubject to and limited by the following restrictions:\n\na. You agree not to remove any of the original copyright, patent, trademark,\nand attribution notices and associated disclaimers that may appear in the\nSource Code or Executable Files.\n\nb. You agree not to advertise or in any way imply that this Work is a product\nof Your own.\n\nc. The name of the Author may not be used to endorse or promote products derived\nfrom the Work without the prior written consent of the Author.\n\nd. You agree not to sell, lease, or rent any part of the Work. This does not\nrestrict you from including the Work or any part of the Work inside a larger\nsoftware distribution that itself is being sold. The Work by itself, though,\ncannot be sold, leased or rented.\n\ne. You may distribute the Executable Files and Source Code only under the\nterms of this License, and You must include a copy of, or the Uniform Resource\nIdentifier for, this License with every copy of the Executable Files or Source\nCode You distribute and ensure that anyone receiving such Executable Files\nand Source Code agrees that the terms of this License apply to such Executable\nFiles and/or Source Code. You may not offer or impose any terms on the Work\nthat alter or restrict the terms of this License or the recipients\' exercise\nof the rights granted hereunder. You may not sublicense the Work. You must\nkeep intact all notices that refer to this License and to the disclaimer of\nwarranties. You may not distribute the Executable Files or Source Code with\nany technological measures that control access or use of the Work in a manner\ninconsistent with the terms of this License.\n\nf. You agree not to use the Work for illegal, immoral or improper purposes,\nor on pages containing illegal, immoral or improper material. The Work is\nsubject to applicable export laws. You agree to comply with all such laws\nand regulations that may apply to the Work after Your receipt of the Work.\n\n6. Representations, Warranties and Disclaimer. THIS WORK IS PROVIDED \"AS IS\",\n\"WHERE IS\" AND \"AS AVAILABLE\", WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OR\nCONDITIONS OR GUARANTEES. YOU, THE USER, ASSUME ALL RISK IN ITS USE, INCLUDING\nCOPYRIGHT INFRINGEMENT, PATENT INFRINGEMENT, SUITABILITY, ETC. AUTHOR EXPRESSLY\nDISCLAIMS ALL EXPRESS, IMPLIED OR STATUTORY WARRANTIES OR CONDITIONS, INCLUDING\nWITHOUT LIMITATION, WARRANTIES OR CONDITIONS OF MERCHANTABILITY, MERCHANTABLE\nQUALITY OR FITNESS FOR A PARTICULAR PURPOSE, OR ANY WARRANTY OF TITLE OR NON-INFRINGEMENT,\nOR THAT THE WORK (OR ANY PORTION THEREOF) IS CORRECT, USEFUL, BUG-FREE OR\nFREE OF VIRUSES. YOU MUST PASS THIS DISCLAIMER ON WHENEVER YOU DISTRIBUTE\nTHE WORK OR DERIVATIVE WORKS.\n\n7. Indemnity. You agree to defend, indemnify and hold harmless the Author\nand the Publisher from and against any claims, suits, losses, damages, liabilities,\ncosts, and expenses (including reasonable legal or attorneys\' fees) resulting\nfrom or relating to any use of the Work by You.\n\n8. Limitation on Liability. EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW,\nIN NO EVENT WILL THE AUTHOR OR THE PUBLISHER BE LIABLE TO YOU ON ANY LEGAL\nTHEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES\nARISING OUT OF THIS LICENSE OR THE USE OF THE WORK OR OTHERWISE, EVEN IF THE\nAUTHOR OR THE PUBLISHER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.\n\n   9. Termination.\n\na. This License and the rights granted hereunder will terminate automatically\nupon any breach by You of any term of this License. Individuals or entities\nwho have received Derivative Works from You under this License, however, will\nnot have their licenses terminated provided such individuals or entities remain\nin full compliance with those licenses. Sections 1, 2, 6, 7, 8, 9, 10 and\n11 will survive any termination of this License.\n\nb. If You bring a copyright, trademark, patent or any other infringement claim\nagainst any contributor over infringements You claim are made by the Work,\nyour License from such contributor to the Work ends automatically.\n\nc. Subject to the above terms and conditions, this License is perpetual (for\nthe duration of the applicable copyright in the Work). Notwithstanding the\nabove, the Author reserves the right to release the Work under different license\nterms or to stop distributing the Work at any time; provided, however that\nany such election will not serve to withdraw this License (or any other license\nthat has been, or is required to be, granted under the terms of this License),\nand this License will continue in full force and effect unless terminated\nas stated above.\n\n10. Publisher. The parties hereby confirm that the Publisher shall not, under\nany circumstances, be responsible for and shall not have any liability in\nrespect of the subject matter of this License. The Publisher makes no warranty\nwhatsoever in connection with the Work and shall not be liable to You or any\nparty on any legal theory for any damages whatsoever, including without limitation\nany general, special, incidental or consequential damages arising in connection\nto this license. The Publisher reserves the right to cease making the Work\navailable to You at any time without notice\n\n   11. Miscellaneous\n\na. This License shall be governed by the laws of the location of the head\noffice of the Author or if the Author is an individual, the laws of location\nof the principal place of residence of the Author.\n\nb. If any provision of this License is invalid or unenforceable under applicable\nlaw, it shall not affect the validity or enforceability of the remainder of\nthe terms of this License, and without further action by the parties to this\nLicense, such provision shall be reformed to the minimum extent necessary\nto make such provision valid and enforceable.\n\nc. No term or provision of this License shall be deemed waived and no breach\nconsented to unless such waiver or consent shall be in writing and signed\nby the party to be charged with such waiver or consent.\n\nd. This License constitutes the entire agreement between the parties with\nrespect to the Work licensed herein. There are no understandings, agreements\nor representations with respect to the Work not specified herein. The Author\nshall not be bound by any additional provisions that may appear in any communication\nfrom You. This License may not be modified without the mutual written agreement\nof the Author and You.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(352,'UPL-1.0','Copyright (c) [year] [copyright holders] The Universal Permissive License\n(UPL), Version 1.0\n\nSubject to the condition set forth below, permission is hereby granted to\nany person obtaining a copy of this software, associated documentation and/or\ndata (collectively the \"Software\"), free of charge and under any and all copyright\nrights in the Software, and any and all patent rights owned or freely licensable\nby each licensor hereunder covering either (i) the unmodified Software as\ncontributed to or provided by such licensor, or (ii) the Larger Works (as\ndefined below), to deal in both\n\n   (a) the Software, and\n\n(b) any piece of software and/or hardware listed in the lrgrwrks.txt file\nif one is included with the Software (each a \"Larger Work\" to which the Software\nis contributed by such licensors),\n\nwithout restriction, including without limitation the rights to copy, create\nderivative works of, display, perform, and distribute the Software and make,\nuse, sell, offer for sale, import, export, have made, and have sold the Software\nand the Larger Work(s), and to sublicense the foregoing rights on either these\nor other terms.\n\nThis license is subject to the following condition:\n\nThe above copyright notice and either this complete permission notice or at\na minimum a reference to the UPL must be included in all copies or substantial\nportions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS\nFOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS\nOR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,\nWHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF\nOR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(353,'AFL-2.0','The Academic Free License\n\nv. 2.0 This Academic Free License (the \"License\") applies to any original\nwork of authorship (the \"Original Work\") whose owner (the \"Licensor\") has\nplaced the following notice immediately following the copyright notice for\nthe Original Work:\n\nLicensed under the Academic Free License version 2.0\n\n1) Grant of Copyright License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license to do the following:\n\n      a) to reproduce the Original Work in copies;\n\nb) to prepare derivative works (\"Derivative Works\") based upon the Original\nWork;\n\nc) to distribute copies of the Original Work and Derivative Works to the public;\n\n      d) to perform the Original Work publicly; and\n\n      e) to display the Original Work publicly.\n\n2) Grant of Patent License. Licensor hereby grants You a world-wide, royalty-free,\nnon-exclusive, perpetual, sublicenseable license, under patent claims owned\nor controlled by the Licensor that are embodied in the Original Work as furnished\nby the Licensor, to make, use, sell and offer for sale the Original Work and\nDerivative Works.\n\n3) Grant of Source Code License. The term \"Source Code\" means the preferred\nform of the Original Work for making modifications to it and all available\ndocumentation describing how to modify the Original Work. Licensor hereby\nagrees to provide a machine-readable copy of the Source Code of the Original\nWork along with each copy of the Original Work that Licensor distributes.\nLicensor reserves the right to satisfy this obligation by placing a machine-readable\ncopy of the Source Code in an information repository reasonably calculated\nto permit inexpensive and convenient access by You for as long as Licensor\ncontinues to distribute the Original Work, and by publishing the address of\nthat information repository in a notice immediately following the copyright\nnotice that applies to the Original Work.\n\n4) Exclusions From License Grant. Neither the names of Licensor, nor the names\nof any contributors to the Original Work, nor any of their trademarks or service\nmarks, may be used to endorse or promote products derived from this Original\nWork without express prior written permission of the Licensor. Nothing in\nthis License shall be deemed to grant any rights to trademarks, copyrights,\npatents, trade secrets or any other intellectual property of Licensor except\nas expressly stated herein. No patent license is granted to make, use, sell\nor offer to sell embodiments of any patent claims other than the licensed\nclaims defined in Section 2. No right is granted to the trademarks of Licensor\neven if such marks are included in the Original Work. Nothing in this License\nshall be interpreted to prohibit Licensor from licensing under different terms\nfrom this License any Original Work that Licensor otherwise would have a right\nto license.\n\n   5) This section intentionally omitted.\n\n6) Attribution Rights. You must retain, in the Source Code of any Derivative\nWorks that You create, all copyright, patent or trademark notices from the\nSource Code of the Original Work, as well as any notices of licensing and\nany descriptive text identified therein as an \"Attribution Notice.\" You must\ncause the Source Code for any Derivative Works that You create to carry a\nprominent Attribution Notice reasonably calculated to inform recipients that\nYou have modified the Original Work.\n\n7) Warranty of Provenance and Disclaimer of Warranty. Licensor warrants that\nthe copyright in and to the Original Work and the patent rights granted herein\nby Licensor are owned by the Licensor or are sublicensed to You under the\nterms of this License with the permission of the contributor(s) of those copyrights\nand patent rights. Except as expressly stated in the immediately proceeding\nsentence, the Original Work is provided under this License on an \"AS IS\" BASIS\nand WITHOUT WARRANTY, either express or implied, including, without limitation,\nthe warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A PARTICULAR\nPURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL WORK IS WITH YOU.\nThis DISCLAIMER OF WARRANTY constitutes an essential part of this License.\nNo license to Original Work is granted hereunder except under this disclaimer.\n\n8) Limitation of Liability. Under no circumstances and under no legal theory,\nwhether in tort (including negligence), contract, or otherwise, shall the\nLicensor be liable to any person for any direct, indirect, special, incidental,\nor consequential damages of any character arising as a result of this License\nor the use of the Original Work including, without limitation, damages for\nloss of goodwill, work stoppage, computer failure or malfunction, or any and\nall other commercial damages or losses. This limitation of liability shall\nnot apply to liability for death or personal injury resulting from Licensor\'s\nnegligence to the extent applicable law prohibits such limitation. Some jurisdictions\ndo not allow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n9) Acceptance and Termination. If You distribute copies of the Original Work\nor a Derivative Work, You must make a reasonable effort under the circumstances\nto obtain the express assent of recipients to the terms of this License. Nothing\nelse but this License (or another written agreement between Licensor and You)\ngrants You permission to create Derivative Works based upon the Original Work\nor to exercise any of the rights granted in Section 1 herein, and any attempt\nto do so except under the terms of this License (or another written agreement\nbetween Licensor and You) is expressly prohibited by U.S. copyright law, the\nequivalent laws of other countries, and by international treaty. Therefore,\nby exercising any of the rights granted to You in Section 1 herein, You indicate\nYour acceptance of this License and all of its terms and conditions.\n\n10) Termination for Patent Action. This License shall terminate automatically\nand You may no longer exercise any of the rights granted to You by this License\nas of the date You commence an action, including a cross-claim or counterclaim,\nfor patent infringement (i) against Licensor with respect to a patent applicable\nto software or (ii) against any entity with respect to a patent applicable\nto the Original Work (but excluding combinations of the Original Work with\nother software or hardware).\n\n11) Jurisdiction, Venue and Governing Law. Any action or suit relating to\nthis License may be brought only in the courts of a jurisdiction wherein the\nLicensor resides or in which Licensor conducts its primary business, and under\nthe laws of that jurisdiction excluding its conflict-of-law provisions. The\napplication of the United Nations Convention on Contracts for the International\nSale of Goods is expressly excluded. Any use of the Original Work outside\nthe scope of this License or after its termination shall be subject to the\nrequirements and penalties of the U.S. Copyright Act, 17 U.S.C. ¤ 101 et seq.,\nthe equivalent laws of other countries, and international treaty. This section\nshall survive the termination of this License.\n\n12) Attorneys Fees. In any action to enforce the terms of this License or\nseeking damages relating thereto, the prevailing party shall be entitled to\nrecover its costs and expenses, including, without limitation, reasonable\nattorneys\' fees and costs incurred in connection with such action, including\nany appeal of such action. This section shall survive the termination of this\nLicense.\n\n13) Miscellaneous. This License represents the complete agreement concerning\nthe subject matter hereof. If any provision of this License is held to be\nunenforceable, such provision shall be reformed only to the extent necessary\nto make it enforceable.\n\n14) Definition of \"You\" in This License. \"You\" throughout this License, whether\nin upper or lower case, means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity that controls, is controlled by, or is under common\ncontrol with you. For purposes of this definition, \"control\" means (i) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (ii) ownership of fifty percent (50%)\nor more of the outstanding shares, or (iii) beneficial ownership of such entity.\n\n15) Right to Use. You may use the Original Work in all ways not otherwise\nrestricted or conditioned by this License or by law, and Licensor promises\nnot to interfere with or be responsible for such uses by You.\n\nThis license is Copyright (C) 2003 Lawrence E. Rosen. All rights reserved.\n\nPermission is hereby granted to copy and distribute this license without modification.\nThis license may not be modified without the express written permission of\nits copyright owner.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(354,'MPL-2.0','Mozilla Public License Version 2.0\n\n   1. Definitions\n\n1.1. \"Contributor\" means each individual or legal entity that creates, contributes\nto the creation of, or owns Covered Software.\n\n1.2. \"Contributor Version\" means the combination of the Contributions of others\n(if any) used by a Contributor and that particular Contributor\'s Contribution.\n\n      1.3. \"Contribution\" means Covered Software of a particular Contributor.\n\n1.4. \"Covered Software\" means Source Code Form to which the initial Contributor\nhas attached the notice in Exhibit A, the Executable Form of such Source Code\nForm, and Modifications of such Source Code Form, in each case including portions\nthereof.\n\n      1.5. \"Incompatible With Secondary Licenses\" means\n\n(a) that the initial Contributor has attached the notice described in Exhibit\nB to the Covered Software; or\n\n(b) that the Covered Software was made available under the terms of version\n1.1 or earlier of the License, but not also under the terms of a Secondary\nLicense.\n\n1.6. \"Executable Form\" means any form of the work other than Source Code Form.\n\n1.7. \"Larger Work\" means a work that combines Covered Software with other\nmaterial, in a separate file or files, that is not Covered Software.\n\n      1.8. \"License\" means this document.\n\n1.9. \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently, any and all of the\nrights conveyed by this License.\n\n      1.10. \"Modifications\" means any of the following:\n\n(a) any file in Source Code Form that results from an addition to, deletion\nfrom, or modification of the contents of Covered Software; or\n\n(b) any new file in Source Code Form that contains any Covered Software.\n\n1.11. \"Patent Claims\" of a Contributor means any patent claim(s), including\nwithout limitation, method, process, and apparatus claims, in any patent Licensable\nby such Contributor that would be infringed, but for the grant of the License,\nby the making, using, selling, offering for sale, having made, import, or\ntransfer of either its Contributions or its Contributor Version.\n\n1.12. \"Secondary License\" means either the GNU General Public License, Version\n2.0, the GNU Lesser General Public License, Version 2.1, the GNU Affero General\nPublic License, Version 3.0, or any later versions of those licenses.\n\n1.13. \"Source Code Form\" means the form of the work preferred for making modifications.\n\n1.14. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder this License. For legal entities, \"You\" includes any entity that controls,\nis controlled by, or is under common control with You. For purposes of this\ndefinition, \"control\" means (a) the power, direct or indirect, to cause the\ndirection or management of such entity, whether by contract or otherwise,\nor (b) ownership of more than fifty percent (50%) of the outstanding shares\nor beneficial ownership of such entity.\n\n   2. License Grants and Conditions\n\n      2.1. Grants\n\nEach Contributor hereby grants You a world-wide, royalty-free, non-exclusive\nlicense:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby such Contributor to use, reproduce, make available, modify, display, perform,\ndistribute, and otherwise exploit its Contributions, either on an unmodified\nbasis, with Modifications, or as part of a Larger Work; and\n\n(b) under Patent Claims of such Contributor to make, use, sell, offer for\nsale, have made, import, and otherwise transfer either its Contributions or\nits Contributor Version.\n\n      2.2. Effective Date\n\nThe licenses granted in Section 2.1 with respect to any Contribution become\neffective for each Contribution on the date the Contributor first distributes\nsuch Contribution.\n\n      2.3. Limitations on Grant Scope\n\nThe licenses granted in this Section 2 are the only rights granted under this\nLicense. No additional rights or licenses will be implied from the distribution\nor licensing of Covered Software under this License. Notwithstanding Section\n2.1(b) above, no patent license is granted by a Contributor:\n\n(a) for any code that a Contributor has removed from Covered Software; or\n\n(b) for infringements caused by: (i) Your and any other third party\'s modifications\nof Covered Software, or (ii) the combination of its Contributions with other\nsoftware (except as part of its Contributor Version); or\n\n(c) under Patent Claims infringed by Covered Software in the absence of its\nContributions.\n\nThis License does not grant any rights in the trademarks, service marks, or\nlogos of any Contributor (except as may be necessary to comply with the notice\nrequirements in Section 3.4).\n\n      2.4. Subsequent Licenses\n\nNo Contributor makes additional grants as a result of Your choice to distribute\nthe Covered Software under a subsequent version of this License (see Section\n10.2) or under the terms of a Secondary License (if permitted under the terms\nof Section 3.3).\n\n      2.5. Representation\n\nEach Contributor represents that the Contributor believes its Contributions\nare its original creation(s) or it has sufficient rights to grant the rights\nto its Contributions conveyed by this License.\n\n      2.6. Fair Use\n\nThis License is not intended to limit any rights You have under applicable\ncopyright doctrines of fair use, fair dealing, or other equivalents.\n\n      2.7. Conditions\n\nSections 3.1, 3.2, 3.3, and 3.4 are conditions of the licenses granted in\nSection 2.1.\n\n   3. Responsibilities\n\n      3.1. Distribution of Source Form\n\nAll distribution of Covered Software in Source Code Form, including any Modifications\nthat You create or to which You contribute, must be under the terms of this\nLicense. You must inform recipients that the Source Code Form of the Covered\nSoftware is governed by the terms of this License, and how they can obtain\na copy of this License. You may not attempt to alter or restrict the recipients\'\nrights in the Source Code Form.\n\n      3.2. Distribution of Executable Form\n\n      If You distribute Covered Software in Executable Form then:\n\n(a) such Covered Software must also be made available in Source Code Form,\nas described in Section 3.1, and You must inform recipients of the Executable\nForm how they can obtain a copy of such Source Code Form by reasonable means\nin a timely manner, at a charge no more than the cost of distribution to the\nrecipient; and\n\n(b) You may distribute such Executable Form under the terms of this License,\nor sublicense it under different terms, provided that the license for the\nExecutable Form does not attempt to limit or alter the recipients\' rights\nin the Source Code Form under this License.\n\n      3.3. Distribution of a Larger Work\n\nYou may create and distribute a Larger Work under terms of Your choice, provided\nthat You also comply with the requirements of this License for the Covered\nSoftware. If the Larger Work is a combination of Covered Software with a work\ngoverned by one or more Secondary Licenses, and the Covered Software is not\nIncompatible With Secondary Licenses, this License permits You to additionally\ndistribute such Covered Software under the terms of such Secondary License(s),\nso that the recipient of the Larger Work may, at their option, further distribute\nthe Covered Software under the terms of either this License or such Secondary\nLicense(s).\n\n      3.4. Notices\n\nYou may not remove or alter the substance of any license notices (including\ncopyright notices, patent notices, disclaimers of warranty, or limitations\nof liability) contained within the Source Code Form of the Covered Software,\nexcept that You may alter any license notices to the extent required to remedy\nknown factual inaccuracies.\n\n      3.5. Application of Additional Terms\n\nYou may choose to offer, and to charge a fee for, warranty, support, indemnity\nor liability obligations to one or more recipients of Covered Software. However,\nYou may do so only on Your own behalf, and not on behalf of any Contributor.\nYou must make it absolutely clear that any such warranty, support, indemnity,\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nevery Contributor for any liability incurred by such Contributor as a result\nof warranty, support, indemnity or liability terms You offer. You may include\nadditional disclaimers of warranty and limitations of liability specific to\nany jurisdiction.\n\n   4. Inability to Comply Due to Statute or Regulation\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Software due to statute, judicial\norder, or regulation then You must: (a) comply with the terms of this License\nto the maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be placed in a text file included with\nall distributions of the Covered Software under this License. Except to the\nextent prohibited by statute or regulation, such description must be sufficiently\ndetailed for a recipient of ordinary skill to be able to understand it.\n\n   5. Termination\n\n5.1. The rights granted under this License will terminate automatically if\nYou fail to comply with any of its terms. However, if You become compliant,\nthen the rights granted under this License from a particular Contributor are\nreinstated (a) provisionally, unless and until such Contributor explicitly\nand finally terminates Your grants, and (b) on an ongoing basis, if such Contributor\nfails to notify You of the non-compliance by some reasonable means prior to\n60 days after You have come back into compliance. Moreover, Your grants from\na particular Contributor are reinstated on an ongoing basis if such Contributor\nnotifies You of the non-compliance by some reasonable means, this is the first\ntime You have received notice of non-compliance with this License from such\nContributor, and You become compliant prior to 30 days after Your receipt\nof the notice.\n\n5.2. If You initiate litigation against any entity by asserting a patent infringement\nclaim (excluding declaratory judgment actions, counter-claims, and cross-claims)\nalleging that a Contributor Version directly or indirectly infringes any patent,\nthen the rights granted to You by any and all Contributors for the Covered\nSoftware under Section 2.1 of this License shall terminate.\n\n5.3. In the event of termination under Sections 5.1 or 5.2 above, all end\nuser license agreements (excluding distributors and resellers) which have\nbeen validly granted by You or Your distributors under this License prior\nto termination shall survive termination.\n\n   6. Disclaimer of Warranty\n\nCovered Software is provided under this License on an \"as is\" basis, without\nwarranty of any kind, either expressed, implied, or statutory, including,\nwithout limitation, warranties that the Covered Software is free of defects,\nmerchantable, fit for a particular purpose or non-infringing. The entire risk\nas to the quality and performance of the Covered Software is with You. Should\nany Covered Software prove defective in any respect, You (not any Contributor)\nassume the cost of any necessary servicing, repair, or correction. This disclaimer\nof warranty constitutes an essential part of this License. No use of any Covered\nSoftware is authorized under this License except under this disclaimer.\n\n   7. Limitation of Liability\n\nUnder no circumstances and under no legal theory, whether tort (including\nnegligence), contract, or otherwise, shall any Contributor, or anyone who\ndistributes Covered Software as permitted above, be liable to You for any\ndirect, indirect, special, incidental, or consequential damages of any character\nincluding, without limitation, damages for lost profits, loss of goodwill,\nwork stoppage, computer failure or malfunction, or any and all other commercial\ndamages or losses, even if such party shall have been informed of the possibility\nof such damages. This limitation of liability shall not apply to liability\nfor death or personal injury resulting from such party\'s negligence to the\nextent applicable law prohibits such limitation. Some jurisdictions do not\nallow the exclusion or limitation of incidental or consequential damages,\nso this exclusion and limitation may not apply to You.\n\n   8. Litigation\n\nAny litigation relating to this License may be brought only in the courts\nof a jurisdiction where the defendant maintains its principal place of business\nand such litigation shall be governed by laws of that jurisdiction, without\nreference to its conflict-of-law provisions. Nothing in this Section shall\nprevent a party\'s ability to bring cross-claims or counter-claims.\n\n   9. Miscellaneous\n\nThis License represents the complete agreement concerning the subject matter\nhereof. If any provision of this License is held to be unenforceable, such\nprovision shall be reformed only to the extent necessary to make it enforceable.\nAny law or regulation which provides that the language of a contract shall\nbe construed against the drafter shall not be used to construe this License\nagainst a Contributor.\n\n   10. Versions of the License\n\n      10.1. New Versions\n\nMozilla Foundation is the license steward. Except as provided in Section 10.3,\nno one other than the license steward has the right to modify or publish new\nversions of this License. Each version will be given a distinguishing version\nnumber.\n\n      10.2. Effect of New Versions\n\nYou may distribute the Covered Software under the terms of the version of\nthe License under which You originally received the Covered Software, or under\nthe terms of any subsequent version published by the license steward.\n\n      10.3. Modified Versions\n\nIf you create software not governed by this License, and you want to create\na new license for such software, you may create and use a modified version\nof this License if you rename the license and remove any references to the\nname of the license steward (except to note that such modified license differs\nfrom this License).\n\n10.4. Distributing Source Code Form that is Incompatible With Secondary Licenses\n\nIf You choose to distribute Source Code Form that is Incompatible With Secondary\nLicenses under the terms of this version of the License, the notice described\nin Exhibit B of this License must be attached. Exhibit A - Source Code Form\nLicense Notice\n\nThis Source Code Form is subject to the terms of the Mozilla Public License,\nv. 2.0. If a copy of the MPL was not distributed with this file, You can obtain\none at http://mozilla.org/MPL/2.0/.\n\nIf it is not possible or desirable to put the notice in a particular file,\nthen You may include the notice in a location (such as a LICENSE file in a\nrelevant directory) where a recipient would be likely to look for such a notice.\n\nYou may add additional accurate notices of copyright ownership.\n\nExhibit B - \"Incompatible With Secondary Licenses\" Notice\n\nThis Source Code Form is \"Incompatible With Secondary Licenses\", as defined\nby the Mozilla Public License, v. 2.0.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(355,'Sendmail','SENDMAIL LICENSE The following license terms and conditions apply, unless\na redistribution agreement or other license is obtained from Sendmail, Inc.,\n6475 Christie Ave, Third Floor, Emeryville, CA 94608, USA, or by electronic\nmail at license@sendmail.com.\n\nLicense Terms:\n\nUse, Modification and Redistribution (including distribution of any modified\nor derived work) in source and binary forms is permitted only if each of the\nfollowing conditions is met:\n\n1. Redistributions qualify as \"freeware\" or \"Open Source Software\" under one\nof the following terms:\n\n(a) Redistributions are made at no charge beyond the reasonable cost of materials\nand delivery.\n\n(b) Redistributions are accompanied by a copy of the Source Code or by an\nirrevocable offer to provide a copy of the Source Code for up to three years\nat the cost of materials and delivery. Such redistributions must allow further\nuse, modification, and redistribution of the Source Code under substantially\nthe same terms as this license. For the purposes of redistribution \"Source\nCode\" means the complete compilable and linkable source code of sendmail including\nall modifications.\n\n2. Redistributions of Source Code must retain the copyright notices as they\nappear in each Source Code file, these license terms, and the disclaimer/limitation\nof liability set forth as paragraph 6 below.\n\n3. Redistributions in binary form must reproduce the Copyright Notice, these\nlicense terms, and the disclaimer/limitation of liability set forth as paragraph\n6 below, in the documentation and/or other materials provided with the distribution.\nFor the purposes of binary distribution the \"Copyright Notice\" refers to the\nfollowing language:\n\n   \"Copyright (c) 1998-2010 Sendmail, Inc. All rights reserved.\"\n\n4. Neither the name of Sendmail, Inc. nor the University of California nor\nnames of their contributors may be used to endorse or promote products derived\nfrom this software without specific prior written permission. The name \"sendmail\"\nis a trademark of Sendmail, Inc.\n\n5. All redistributions must comply with the conditions imposed by the University\nof California on certain embedded code, which copyright Notice and conditions\nfor redistribution are as follows:\n\n(a) Copyright (c) 1988, 1993 The Regents of the University of California.\nAll rights reserved.\n\n(b) Redistribution and use in source and binary forms, with or without modification,\nare permitted provided that the following conditions are met:\n\n(i) Redistributions of source code must retain the above copyright notice,\nthis list of conditions and the following disclaimer.\n\n(ii) Redistributions in binary form must reproduce the above copyright notice,\nthis list of conditions and the following disclaimer in the documentation\nand/or other materials provided with the distribution.\n\n(iii) Neither the name of the University nor the names of its contributors\nmay be used to endorse or promote products derived from this software without\nspecific prior written permission.\n\n6. Disclaimer/Limitation of Liability: THIS SOFTWARE IS PROVIDED BY SENDMAIL,\nINC. AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,\nBUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS\nFOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SENDMAIL, INC.,\nTHE REGENTS OF THE UNIVERSITY OF CALIFORNIA OR CONTRIBUTORS BE LIABLE FOR\nANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\nLOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\nON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\nSOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. $Revision: 8.16\n$, Last updated $Date: 2010/10/25 23:11:19 $, Document 139848.1\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(356,'CPAL-1.0','Common Public Attribution License Version 1.0 (CPAL)\n\n   1. \"Definitions\"\n\n1.0.1 \"Commercial Use\" means distribution or otherwise making the Covered\nCode available to a third party.\n\n1.1 \"Contributor\" means each entity that creates or contributes to the creation\nof Modifications.\n\n1.2 \"Contributor Version\" means the combination of the Original Code, prior\nModifications used by a Contributor, and the Modifications made by that particular\nContributor.\n\n1.3 \"Covered Code\" means the Original Code or Modifications or the combination\nof the Original Code and Modifications, in each case including portions thereof.\n\n1.4 \"Electronic Distribution Mechanism\" means a mechanism generally accepted\nin the software development community for the electronic transfer of data.\n\n      1.5 \"Executable\" means Covered Code in any form other than Source Code.\n\n1.6 \"Initial Developer\" means the individual or entity identified as the Initial\nDeveloper in the Source Code notice required by Exhibit A.\n\n1.7 \"Larger Work\" means a work which combines Covered Code or portions thereof\nwith code not governed by the terms of this License.\n\n      1.8 \"License\" means this document.\n\n1.8.1 \"Licensable\" means having the right to grant, to the maximum extent\npossible, whether at the time of the initial grant or subsequently acquired,\nany and all of the rights conveyed herein.\n\n1.9 \"Modifications\" means any addition to or deletion from the substance or\nstructure of either the Original Code or any previous Modifications. When\nCovered Code is released as a series of files, a Modification is:\n\nA. Any addition to or deletion from the contents of a file containing Original\nCode or previous Modifications.\n\nB. Any new file that contains any part of the Original Code or previous Modifications.\n\n1.10 \"Original Code\" means Source Code of computer software code which is\ndescribed in the Source Code notice required by Exhibit A as Original Code,\nand which, at the time of its release under this License is not already Covered\nCode governed by this License.\n\n1.10.1 \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.11 \"Source Code\" means the preferred form of the Covered Code for making\nmodifications to it, including all modules it contains, plus any associated\ninterface definition files, scripts used to control compilation and installation\nof an Executable, or source code differential comparisons against either the\nOriginal Code or another well known, available Covered Code of the Contributor\'s\nchoice. The Source Code can be in a compressed or archival form, provided\nthe appropriate decompression or de-archiving software is widely available\nfor no charge.\n\n1.12 \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License or a future version\nof this License issued under Section 6.1. For legal entities, \"You\" includes\nany entity which controls, is controlled by, or is under common control with\nYou. For purposes of this definition, \"control\" means (a) the power, direct\nor indirect, to cause the direction or management of such entity, whether\nby contract or otherwise, or (b) ownership of more than fifty percent (50%)\nof the outstanding shares or beneficial ownership of such entity.\n\n   2. Source Code License.\n\n      2.1 The Initial Developer Grant.\n\nThe Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive\nlicense, subject to third party intellectual property claims:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Code (or portions thereof) with or without Modifications,\nand/or as part of a Larger Work; and\n\n(b) under Patents Claims infringed by the making, using or selling of Original\nCode, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Code (or portions thereof).\n\n(c) the licenses granted in this Section 2.1(a) and (b) are effective on the\ndate Initial Developer first distributes Original Code under the terms of\nthis License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1)\nfor code that You delete from the Original Code; 2) separate from the Original\nCode; or 3) for infringements caused by: i) the modification of the Original\nCode or ii) the combination of the Original Code with other software or devices.\n\n      2.2 Contributor Grant.\n\nSubject to third party intellectual property claims, each Contributor hereby\ngrants You a world-wide, royalty-free, non-exclusive license\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor, to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof)\neither on an unmodified basis, with other Modifications, as Covered Code and/or\nas part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: 1) Modifications made by that Contributor\n(or portions thereof); and 2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first makes Commercial Use of the Covered Code.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1)\nfor any code that Contributor has deleted from the Contributor Version; 2)\nseparate from the Contributor Version; 3) for infringements caused by: i)\nthird party modifications of Contributor Version or ii) the combination of\nModifications made by that Contributor with other software (except as part\nof the Contributor Version) or other devices; or 4) under Patent Claims infringed\nby Covered Code in the absence of Modifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n      3.1 Application of License.\n\nThe Modifications which You create or to which You contribute are governed\nby the terms of this License, including without limitation Section 2.2. The\nSource Code version of Covered Code may be distributed only under the terms\nof this License or a future version of this License released under Section\n6.1, and You must include a copy of this License with every copy of the Source\nCode You distribute. You may not offer or impose any terms on any Source Code\nversion that alters or restricts the applicable version of this License or\nthe recipients\' rights hereunder. However, You may include an additional document\noffering the additional rights described in Section 3.5.\n\n      3.2 Availability of Source Code.\n\nAny Modification which You create or to which You contribute must be made\navailable in Source Code form under the terms of this License either on the\nsame media as an Executable version or via an accepted Electronic Distribution\nMechanism to anyone to whom you made an Executable version available; and\nif made available via Electronic Distribution Mechanism, must remain available\nfor at least twelve (12) months after the date it initially became available,\nor at least six (6) months after a subsequent version of that particular Modification\nhas been made available to such recipients. You are responsible for ensuring\nthat the Source Code version remains available even if the Electronic Distribution\nMechanism is maintained by a third party.\n\n      3.3 Description of Modifications.\n\nYou must cause all Covered Code to which You contribute to contain a file\ndocumenting the changes You made to create that Covered Code and the date\nof any change. You must include a prominent statement that the Modification\nis derived, directly or indirectly, from Original Code provided by the Initial\nDeveloper and including the name of the Initial Developer in (a) the Source\nCode, and (b) in any notice in an Executable version or related documentation\nin which You describe the origin or ownership of the Covered Code.\n\n      3.4 Intellectual Property Matters\n\n(a) Third Party Claims. If Contributor has knowledge that a license under\na third party\'s intellectual property rights is required to exercise the rights\ngranted by such Contributor under Sections 2.1 or 2.2, Contributor must include\na text file with the Source Code distribution titled \"LEGAL\" which describes\nthe claim and the party making the claim in sufficient detail that a recipient\nwill know whom to contact. If Contributor obtains such knowledge after the\nModification is made available as described in Section 3.2, Contributor shall\npromptly modify the LEGAL file in all copies Contributor makes available thereafter\nand shall take other steps (such as notifying appropriate mailing lists or\nnewsgroups) reasonably calculated to inform those who received the Covered\nCode that new knowledge has been obtained.\n\n(b) Contributor APIs. If Contributor\'s Modifications include an application\nprogramming interface and Contributor has knowledge of patent licenses which\nare reasonably necessary to implement that API, Contributor must also include\nthis information in the LEGAL file.\n\n(c) Representations. Contributor represents that, except as disclosed pursuant\nto Section 3.4(a) above, Contributor believes that Contributor\'s Modifications\nare Contributor\'s original creation(s) and/or Contributor has sufficient rights\nto grant the rights conveyed by this License.\n\n      3.5 Required Notices.\n\nYou must duplicate the notice in Exhibit A in each file of the Source Code.\nIf it is not possible to put such notice in a particular Source Code file\ndue to its structure, then You must include such notice in a location (such\nas a relevant directory) where a user would be likely to look for such a notice.\nIf You created one or more Modification(s) You may add your name as a Contributor\nto the notice described in Exhibit A. You must also duplicate this License\nin any documentation for the Source Code where You describe recipients\' rights\nor ownership rights relating to Covered Code. You may choose to offer, and\nto charge a fee for, warranty, support, indemnity or liability obligations\nto one or more recipients of Covered Code. However, You may do so only on\nYour own behalf, and not on behalf of the Initial Developer or any Contributor.\nYou must make it absolutely clear than any such warranty, support, indemnity\nor liability obligation is offered by You alone, and You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of warranty, support,\nindemnity or liability terms You offer.\n\n      3.6 Distribution of Executable Versions.\n\nYou may distribute Covered Code in Executable form only if the requirements\nof Section 3.1-3.5 have been met for that Covered Code, and if You include\na notice stating that the Source Code version of the Covered Code is available\nunder the terms of this License, including a description of how and where\nYou have fulfilled the obligations of Section 3.2. The notice must be conspicuously\nincluded in any notice in an Executable version, related documentation or\ncollateral in which You describe recipients\' rights relating to the Covered\nCode. You may distribute the Executable version of Covered Code or ownership\nrights under a license of Your choice, which may contain terms different from\nthis License, provided that You are in compliance with the terms of this License\nand that the license for the Executable version does not attempt to limit\nor alter the recipient\'s rights in the Source Code version from the rights\nset forth in this License. If You distribute the Executable version under\na different license You must make it absolutely clear that any terms which\ndiffer from this License are offered by You alone, not by the Initial Developer,\nOriginal Developer or any Contributor. You hereby agree to indemnify the Initial\nDeveloper, Original Developer and every Contributor for any liability incurred\nby the Initial Developer, Original Developer or such Contributor as a result\nof any such terms You offer.\n\n      3.7 Larger Works.\n\nYou may create a Larger Work by combining Covered Code with other code not\ngoverned by the terms of this License and distribute the Larger Work as a\nsingle product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Code.\n\n   4. Inability to Comply Due to Statute or Regulation.\n\nIf it is impossible for You to comply with any of the terms of this License\nwith respect to some or all of the Covered Code due to statute, judicial order,\nor regulation then You must: (a) comply with the terms of this License to\nthe maximum extent possible; and (b) describe the limitations and the code\nthey affect. Such description must be included in the LEGAL file described\nin Section 3.4 and must be included with all distributions of the Source Code.\nExcept to the extent prohibited by statute or regulation, such description\nmust be sufficiently detailed for a recipient of ordinary skill to be able\nto understand it.\n\n   5. Application of this License.\n\nThis License applies to code to which the Initial Developer has attached the\nnotice in Exhibit A and to related Covered Code.\n\n   6. Versions of the License.\n\n      6.1 New Versions.\n\nSocialtext, Inc. (\"Socialtext\") may publish revised and/or new versions of\nthe License from time to time. Each version will be given a distinguishing\nversion number.\n\n      6.2 Effect of New Versions.\n\nOnce Covered Code has been published under a particular version of the License,\nYou may always continue to use it under the terms of that version. You may\nalso choose to use such Covered Code under the terms of any subsequent version\nof the License published by Socialtext. No one other than Socialtext has the\nright to modify the terms applicable to Covered Code created under this License.\n\n      6.3 Derivative Works.\n\nIf You create or use a modified version of this License (which you may only\ndo in order to apply it to code which is not already Covered Code governed\nby this License), You must (a) rename Your license so that the phrases \"Socialtext\",\n\"CPAL\" or any confusingly similar phrase do not appear in your license (except\nto note that your license differs from this License) and (b) otherwise make\nit clear that Your version of the license contains terms which differ from\nthe CPAL. (Filling in the name of the Initial Developer, Original Developer,\nOriginal Code or Contributor in the notice described in Exhibit A shall not\nof themselves be deemed to be modifications of this License.)\n\n   7. DISCLAIMER OF WARRANTY.\n\nCOVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT WARRANTY\nOF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES\nTHAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR\nPURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE\nOF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN\nANY RESPECT, YOU (NOT THE INITIAL DEVELOPER, ORIGINAL DEVELOPER OR ANY OTHER\nCONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION.\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   8. TERMINATION.\n\n8.1 This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. All sublicenses to the Covered Code\nwhich are properly granted shall survive any termination of this License.\nProvisions which, by their nature, must remain in effect beyond the termination\nof this License shall survive.\n\n8.2 If You initiate litigation by asserting a patent infringement claim (excluding\ndeclatory judgment actions) against Initial Developer, Original Developer\nor a Contributor (the Initial Developer, Original Developer or Contributor\nagainst whom You file such action is referred to as \"Participant\") alleging\nthat:\n\n(a) such Participant\'s Contributor Version directly or indirectly infringes\nany patent, then any and all rights granted by such Participant to You under\nSections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant\nterminate prospectively, unless if within 60 days after receipt of notice\nYou either: (i) agree in writing to pay Participant a mutually agreeable reasonable\nroyalty for Your past and future use of Modifications made by such Participant,\nor (ii) withdraw Your litigation claim with respect to the Contributor Version\nagainst such Participant. If within 60 days of notice, a reasonable royalty\nand payment arrangement are not mutually agreed upon in writing by the parties\nor the litigation claim is not withdrawn, the rights granted by Participant\nto You under Sections 2.1 and/or 2.2 automatically terminate at the expiration\nof the 60 day notice period specified above.\n\n(b) any software, hardware, or device, other than such Participant\'s Contributor\nVersion, directly or indirectly infringes any patent, then any rights granted\nto You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective\nas of the date You first made, used, sold, distributed, or had made, Modifications\nmade by that Participant.\n\n8.3 If You assert a patent infringement claim against Participant alleging\nthat such Participant\'s Contributor Version directly or indirectly infringes\nany patent where such claim is resolved (such as by license or settlement)\nprior to the initiation of patent infringement litigation, then the reasonable\nvalue of the licenses granted by such Participant under Sections 2.1 or 2.2\nshall be taken into account in determining the amount or value of any payment\nor license.\n\n8.4 In the event of termination under Sections 8.1 or 8.2 above, all end user\nlicense agreements (excluding distributors and resellers) which have been\nvalidly granted by You or any distributor hereunder prior to termination shall\nsurvive termination.\n\n   9. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ORIGINAL\nDEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY\nSUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT,\nSPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING,\nWITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER\nFAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES,\nEVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES.\nTHIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL\nINJURY RESULTING FROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW\nPROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR\nLIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION\nMAY NOT APPLY TO YOU.\n\n   10. U.S. GOVERNMENT END USERS.\n\nThe Covered Code is a \"commercial item,\" as that term is defined in 48 C.F.R.\n2.101 (Oct. 1995), consisting of \"commercial computer software\" and \"commercial\ncomputer software documentation,\" as such terms are used in 48 C.F.R. 12.212\n(Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through\n227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code\nwith only those rights set forth herein.\n\n   11. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by California law provisions (except to the extent\napplicable law, if any, provides otherwise), excluding its conflict-of-law\nprovisions. With respect to disputes in which at least one party is a citizen\nof, or an entity chartered or registered to do business in the United States\nof America, any litigation relating to this License shall be subject to the\njurisdiction of the Federal Courts of the Northern District of California,\nwith venue lying in Santa Clara County, California, with the losing party\nresponsible for costs, including without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License.\n\n   12. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer, Original Developer and the Contributors, each\nparty is responsible for claims and damages arising, directly or indirectly,\nout of its utilization of rights under this License and You agree to work\nwith Initial Developer, Original Developer and Contributors to distribute\nsuch responsibility on an equitable basis. Nothing herein is intended or shall\nbe deemed to constitute any admission of liability.\n\n   13. MULTIPLE-LICENSED CODE.\n\nInitial Developer may designate portions of the Covered Code as Multiple-Licensed.\nMultiple-Licensed means that the Initial Developer permits you to utilize\nportions of the Covered Code under Your choice of the CPAL or the alternative\nlicenses, if any, specified by the Initial Developer in the file described\nin Exhibit A.\n\n   14. ADDITIONAL TERM: ATTRIBUTION\n\n(a) As a modest attribution to the organizer of the development of the Original\nCode (\"Original Developer\"), in the hope that its promotional value may help\njustify the time, money and effort invested in writing the Original Code,\nthe Original Developer may include in Exhibit B (\"Attribution Information\")\na requirement that each time an Executable and Source Code or a Larger Work\nis launched or initially run (which includes initiating a session), a prominent\ndisplay of the Original Developer\'s Attribution Information (as defined below)\nmust occur on the graphic user interface employed by the end user to access\nsuch Covered Code (which may include display on a splash screen), if any.\nThe size of the graphic image should be consistent with the size of the other\nelements of the Attribution Information. If the access by the end user to\nthe Executable and Source Code does not create a graphic user interface for\naccess to the Covered Code, this obligation shall not apply. If the Original\nCode displays such Attribution Information in a particular form (such as in\nthe form of a splash screen, notice at login, an \"about\" display, or dedicated\nattribution area on user interface screens), continued use of such form for\nthat Attribution Information is one way of meeting this requirement for notice.\n\n(b) Attribution information may only include a copyright notice, a brief phrase,\ngraphic image and a URL (\"Attribution Information\") and is subject to the\nAttribution Limits as defined below. For these purposes, prominent shall mean\ndisplay for sufficient duration to give reasonable notice to the user of the\nidentity of the Original Developer and that if You include Attribution Information\nor similar information for other parties, You must ensure that the Attribution\nInformation for the Original Developer shall be no less prominent than such\nAttribution Information or similar information for the other party. For greater\ncertainty, the Original Developer may choose to specify in Exhibit B below\nthat the above attribution requirement only applies to an Executable and Source\nCode resulting from the Original Code or any Modification, but not a Larger\nWork. The intent is to provide for reasonably modest attribution, therefore\nthe Original Developer cannot require that You display, at any time, more\nthan the following information as Attribution Information: (a) a copyright\nnotice including the name of the Original Developer; (b) a word or one phrase\n(not exceeding 10 words); (c) one graphic image provided by the Original Developer;\nand (d) a URL (collectively, the \"Attribution Limits\").\n\n(c) If Exhibit B does not include any Attribution Information, then there\nare no requirements for You to display any Attribution Information of the\nOriginal Developer.\n\n(d) You acknowledge that all trademarks, service marks and/or trade names\ncontained within the Attribution Information distributed with the Covered\nCode are the exclusive property of their owners and may only be used with\nthe permission of their owners, or under circumstances otherwise permitted\nby law or as expressly set out in this License.\n\n   15. ADDITIONAL TERM: NETWORK USE.\n\nThe term \"External Deployment\" means the use, distribution, or communication\nof the Original Code or Modifications in any way such that the Original Code\nor Modifications may be used by anyone other than You, whether those works\nare distributed or communicated to those persons or made available as an application\nintended for use over a network. As an express condition for the grants of\nlicense hereunder, You must treat any External Deployment by You of the Original\nCode or Modifications as a distribution under section 3.1 and make Source\nCode available under Section 3.2. EXHIBIT A. Common Public Attribution License\nVersion 1.0.\n\n\"The contents of this file are subject to the Common Public Attribution License\nVersion 1.0 (the \"License\"); you may not use this file except in compliance\nwith the License. You may obtain a copy of the License at _____________ .\nThe License is based on the Mozilla Public License Version 1.1 but Sections\n14 and 15 have been added to cover use of software over a computer network\nand provide for limited attribution for the Original Developer. In addition,\nExhibit A has been modified to be consistent with Exhibit B.\n\nSoftware distributed under the License is distributed on an \"AS IS\" basis,\nWITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for\nthe specific language governing rights and limitations under the License.\n\nThe Original Code is ______________________ .\n\nThe Original Developer is not the Initial Developer and is __________ . If\nleft blank, the Original Developer is the Initial Developer.\n\nThe Initial Developer of the Original Code is ____________ . All portions\nof the code written by ___________ are Copyright (c) _____ . All Rights Reserved.\n\nContributor ______________________ .\n\nAlternatively, the contents of this file may be used under the terms of the\n_____ license (the [___] License), in which case the provisions of [______]\nLicense are applicable instead of those above.\n\nIf you wish to allow use of your version of this file only under the terms\nof the [____] License and not to allow others to use your version of this\nfile under the CPAL, indicate your decision by deleting the provisions above\nand replace them with the notice and other provisions required by the [___]\nLicense. If you do not delete the provisions above, a recipient may use your\nversion of this file under either the CPAL or the [___] License.\"\n\n[NOTE: The text of this Exhibit A may differ slightly from the text of the\nnotices in the Source Code files of the Original Code. You should use the\ntext of this Exhibit A rather than the text found in the Original Code Source\nCode for Your Modifications.]\n\nEXHIBIT B. Attribution Information\n\nAttribution Copyright Notice: _______________________\n\nAttribution Phrase (not exceeding 10 words): _______________________\n\nAttribution URL: _______________________\n\nGraphic Image as provided in the Covered Code, if any.\n\nDisplay of Attribution Information is [required/not required] in Larger Works\nwhich are defined in the CPAL as a work which combines Covered Code or portions\nthereof with code not governed by the terms of the CPAL.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(357,'LAL-1.3','Licence Art Libre 1.3 (LAL 1.3)\n\nPréambule :\n\nAvec la Licence Art Libre, l\'autorisation est donnée de copier, de diffuser\net de transformer librement les œuvres dans le respect des droits de l\'auteur.\n\nLoin d\'ignorer ces droits, la Licence Art Libre les reconnaît et les protège.\nElle en reformule l\'exercice en permettant à tout un chacun de faire un usage\ncréatif des productions de l\'esprit quels que soient leur genre et leur forme\nd\'expression.\n\nSi, en règle générale, l\'application du droit d\'auteur conduit à restreindre\nl\'accès aux œuvres de l\'esprit, la Licence Art Libre, au contraire, le favorise.\nL\'intention est d\'autoriser l\'utilisation des ressources d\'une œuvre ; créer\nde nouvelles conditions de création pour amplifier les possibilités de création.\nLa Licence Art Libre permet d\'avoir jouissance des œuvres tout en reconnaissant\nles droits et les responsabilités de chacun.\n\nAvec le développement du numérique, l\'invention d\'internet et des logiciels\nlibres, les modalités de création ont évolué : les productions de l\'esprit\ns\'offrent naturellement à la circulation, à l\'échange et aux transformations.\nElles se prêtent favorablement à la réalisation d\'œuvres communes que chacun\npeut augmenter pour l\'avantage de tous.\n\nC\'est la raison essentielle de la Licence Art Libre : promouvoir et protéger\nces productions de l\'esprit selon les principes du copyleft : liberté d\'usage,\nde copie, de diffusion, de transformation et interdiction d\'appropriation\nexclusive.\n\nDéfinitions :\n\nNous désignons par « œuvre », autant l\'œuvre initiale, les œuvres conséquentes,\nque l\'œuvre commune telles que définies ci-après :\n\nL\'œuvre commune : Il s\'agit d\'une œuvre qui comprend l\'œuvre initiale ainsi\nque toutes les contributions postérieures (les originaux conséquents et les\ncopies). Elle est créée à l\'initiative de l\'auteur initial qui par cette licence\ndéfinit les conditions selon lesquelles les contributions sont faites.\n\nL\'œuvre initiale : C\'est-à-dire l\'œuvre créée par l\'initiateur de l\'œuvre\ncommune dont les copies vont être modifiées par qui le souhaite.\n\nLes œuvres conséquentes : C\'est-à-dire les contributions des auteurs qui participent\nà la formation de l\'œuvre commune en faisant usage des droits de reproduction,\nde diffusion et de modification que leur confère la licence.\n\nOriginaux (sources ou ressources de l\'œuvre) : Chaque exemplaire daté de l\'œuvre\ninitiale ou conséquente que leurs auteurs présentent comme référence pour\ntoutes actualisations, interprétations, copies ou reproductions ultérieures.\n\nCopie : Toute reproduction d\'un original au sens de cette licence.\n\n   1- OBJET.\n\nCette licence a pour objet de définir les conditions selon lesquelles vous\npouvez jouir librement de l\'œuvre.\n\n   2. L\'ÉTENDUE DE LA JOUISSANCE.\n\nCette œuvre est soumise au droit d\'auteur, et l\'auteur par cette licence vous\nindique quelles sont vos libertés pour la copier, la diffuser et la modifier.\n\n      2.1 LA LIBERTÉ DE COPIER (OU DE REPRODUCTION).\n\nVous avez la liberté de copier cette œuvre pour vous, vos amis ou toute autre\npersonne, quelle que soit la technique employée.\n\n      2.2 LA LIBERTÉ DE DIFFUSER (INTERPRÉTER, REPRÉSENTER, DISTRIBUER).\n\nVous pouvez diffuser librement les copies de ces œuvres, modifiées ou non,\nquel que soit le support, quel que soit le lieu, à titre onéreux ou gratuit,\nsi vous respectez toutes les conditions suivantes :\n\n1. joindre aux copies cette licence à l\'identique ou indiquer précisément\noù se trouve la licence ;\n\n2. indiquer au destinataire le nom de chaque auteur des originaux, y compris\nle vôtre si vous avez modifié l\'œuvre ;\n\n3. indiquer au destinataire où il pourrait avoir accès aux originaux (initiaux\net/ou conséquents).\n\nLes auteurs des originaux pourront, s\'ils le souhaitent, vous autoriser à\ndiffuser l\'original dans les mêmes conditions que les copies.\n\n      2.3 LA LIBERTÉ DE MODIFIER.\n\nVous avez la liberté de modifier les copies des originaux (initiaux et conséquents)\ndans le respect des conditions suivantes :\n\n1. celles prévues à l\'article 2.2 en cas de diffusion de la copie modifiée\n;\n\n2. indiquer qu\'il s\'agit d\'une œuvre modifiée et, si possible, la nature de\nla modification ;\n\n3. diffuser cette œuvre conséquente avec la même licence ou avec toute licence\ncompatible ;\n\n4. Les auteurs des originaux pourront, s\'ils le souhaitent, vous autoriser\nà modifier l\'original dans les mêmes conditions que les copies.\n\n   3. DROITS CONNEXES.\n\nLes actes donnant lieu à des droits d\'auteur ou des droits voisins ne doivent\npas constituer un obstacle aux libertés conférées par cette licence. C\'est\npourquoi, par exemple, les interprétations doivent être soumises à la même\nlicence ou une licence compatible. De même, l\'intégration de l\'œuvre à une\nbase de données, une compilation ou une anthologie ne doit pas faire obstacle\nà la jouissance de l\'œuvre telle que définie par cette licence.\n\n   4. L\' INTÉGRATION DE L\'ŒUVRE.\n\nToute intégration de cette œuvre à un ensemble non soumis à la LAL doit assurer\nl\'exercice des libertés conférées par cette licence.\n\nSi l\'œuvre n\'est plus accessible indépendamment de l\'ensemble, alors l\'intégration\nn\'est possible qu\'à condition que l\'ensemble soit soumis à la LAL ou une licence\ncompatible.\n\n   5. CRITÈRES DE COMPATIBILITÉ.\n\n   Une licence est compatible avec la LAL si et seulement si :\n\n1. elle accorde l\'autorisation de copier, diffuser et modifier des copies\nde l\'œuvre, y compris à des fins lucratives, et sans autres restrictions que\ncelles qu\'impose le respect des autres critères de compatibilité ;\n\n2. elle garantit la paternité de l\'œuvre et l\'accès aux versions antérieures\nde l\'œuvre quand cet accès est possible ;\n\n      3. elle reconnaît la LAL également compatible (réciprocité) ;\n\n4. elle impose que les modifications faites sur l\'œuvre soient soumises à\nla même licence ou encore à une licence répondant aux critères de compatibilité\nposés par la LAL.\n\n   6. VOS DROITS INTELLECTUELS.\n\nLa LAL n\'a pas pour objet de nier vos droits d\'auteur sur votre contribution\nni vos droits connexes. En choisissant de contribuer à l\'évolution de cette\nœuvre commune, vous acceptez seulement d\'offrir aux autres les mêmes autorisations\nsur votre contribution que celles qui vous ont été accordées par cette licence.\nCes autorisations n\'entraînent pas un dessaisissement de vos droits intellectuels.\n\n   7. VOS RESPONSABILITÉS.\n\nLa liberté de jouir de l\'œuvre tel que permis par la LAL (liberté de copier,\ndiffuser, modifier) implique pour chacun la responsabilité de ses propres\nfaits.\n\n   8. LA DURÉE DE LA LICENCE.\n\nCette licence prend effet dès votre acceptation de ses dispositions. Le fait\nde copier, de diffuser, ou de modifier l\'œuvre constitue une acceptation tacite.\n\nCette licence a pour durée la durée des droits d\'auteur attachés à l\'œuvre.\nSi vous ne respectez pas les termes de cette licence, vous perdez automatiquement\nles droits qu\'elle vous confère.\n\nSi le régime juridique auquel vous êtes soumis ne vous permet pas de respecter\nles termes de cette licence, vous ne pouvez pas vous prévaloir des libertés\nqu\'elle confère.\n\n   9. LES DIFFÉRENTES VERSIONS DE LA LICENCE.\n\nCette licence pourra être modifiée régulièrement, en vue de son amélioration,\npar ses auteurs (les acteurs du mouvement Copyleft Attitude) sous la forme\nde nouvelles versions numérotées.\n\nVous avez toujours le choix entre vous contenter des dispositions contenues\ndans la version de la LAL sous laquelle la copie vous a été communiquée ou\nalors, vous prévaloir des dispositions d\'une des versions ultérieures.\n\n   10. LES SOUS-LICENCES.\n\nLes sous-licences ne sont pas autorisées par la présente. Toute personne qui\nsouhaite bénéficier des libertés qu\'elle confère sera liée directement aux\nauteurs de l\'œuvre commune.\n\n   11. LE CONTEXTE JURIDIQUE.\n\nCette licence est rédigée en référence au droit français et à la Convention\nde Berne relative au droit d\'auteur.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(358,'FSFULLR','Copyright 1996-2006 Free Software Foundation, Inc.\n\nThis file is free software; the Free Software Foundation gives unlimited permission\nto copy and/or distribute it, with or without modifications, as long as this\nnotice is preserved.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(359,'CDDL-1.1','COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (CDDL)\n\nVersion 1.1\n\n   1. Definitions.\n\n1.1. \"Contributor\" means each individual or entity that creates or contributes\nto the creation of Modifications.\n\n1.2. \"Contributor Version\" means the combination of the Original Software,\nprior Modifications used by a Contributor (if any), and the Modifications\nmade by that particular Contributor.\n\n1.3. \"Covered Software\" means (a) the Original Software, or (b) Modifications,\nor (c) the combination of files containing Original Software with files containing\nModifications, in each case including portions thereof.\n\n1.4. \"Executable\" means the Covered Software in any form other than Source\nCode.\n\n1.5. \"Initial Developer\" means the individual or entity that first makes Original\nSoftware available under this License.\n\n1.6. \"Larger Work\" means a work which combines Covered Software or portions\nthereof with code not governed by the terms of this License.\n\n      1.7. \"License\" means this document.\n\n1.8. \"Licensable\" means having the right to grant, to the maximum extent possible,\nwhether at the time of the initial grant or subsequently acquired, any and\nall of the rights conveyed herein.\n\n1.9. \"Modifications\" means the Source Code and Executable form of any of the\nfollowing:\n\nA. Any file that results from an addition to, deletion from or modification\nof the contents of a file containing Original Software or previous Modifications;\n\nB. Any new file that contains any part of the Original Software or previous\nModification; or\n\nC. Any new file that is contributed or otherwise made available under the\nterms of this License.\n\n1.10. \"Original Software\" means the Source Code and Executable form of computer\nsoftware code that is originally released under this License.\n\n1.11. \"Patent Claims\" means any patent claim(s), now owned or hereafter acquired,\nincluding without limitation, method, process, and apparatus claims, in any\npatent Licensable by grantor.\n\n1.12. \"Source Code\" means (a) the common form of computer software code in\nwhich modifications are made and (b) associated documentation included in\nor with such code.\n\n1.13. \"You\" (or \"Your\") means an individual or a legal entity exercising rights\nunder, and complying with all of the terms of, this License. For legal entities,\n\"You\" includes any entity which controls, is controlled by, or is under common\ncontrol with You. For purposes of this definition, \"control\" means (a) the\npower, direct or indirect, to cause the direction or management of such entity,\nwhether by contract or otherwise, or (b) ownership of more than fifty percent\n(50%) of the outstanding shares or beneficial ownership of such entity.\n\n   2. License Grants.\n\n      2.1. The Initial Developer Grant.\n\nConditioned upon Your compliance with Section 3.1 below and subject to third\nparty intellectual property claims, the Initial Developer hereby grants You\na world-wide, royalty-free, non-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Initial Developer, to use, reproduce, modify, display, perform, sublicense\nand distribute the Original Software (or portions thereof), with or without\nModifications, and/or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using or selling of Original\nSoftware, to make, have made, use, practice, sell, and offer for sale, and/or\notherwise dispose of the Original Software (or portions thereof).\n\n(c) The licenses granted in Sections 2.1(a) and (b) are effective on the date\nInitial Developer first distributes or otherwise makes the Original Software\navailable to a third party under the terms of this License.\n\n(d) Notwithstanding Section 2.1(b) above, no patent license is granted: (1)\nfor code that You delete from the Original Software, or (2) for infringements\ncaused by: (i) the modification of the Original Software, or (ii) the combination\nof the Original Software with other software or devices.\n\n      2.2. Contributor Grant.\n\nConditioned upon Your compliance with Section 3.1 below and subject to third\nparty intellectual property claims, each Contributor hereby grants You a world-wide,\nroyalty-free, non-exclusive license:\n\n(a) under intellectual property rights (other than patent or trademark) Licensable\nby Contributor to use, reproduce, modify, display, perform, sublicense and\ndistribute the Modifications created by such Contributor (or portions thereof),\neither on an unmodified basis, with other Modifications, as Covered Software\nand/or as part of a Larger Work; and\n\n(b) under Patent Claims infringed by the making, using, or selling of Modifications\nmade by that Contributor either alone and/or in combination with its Contributor\nVersion (or portions of such combination), to make, use, sell, offer for sale,\nhave made, and/or otherwise dispose of: (1) Modifications made by that Contributor\n(or portions thereof); and (2) the combination of Modifications made by that\nContributor with its Contributor Version (or portions of such combination).\n\n(c) The licenses granted in Sections 2.2(a) and 2.2(b) are effective on the\ndate Contributor first distributes or otherwise makes the Modifications available\nto a third party.\n\n(d) Notwithstanding Section 2.2(b) above, no patent license is granted: (1)\nfor any code that Contributor has deleted from the Contributor Version; (2)\nfor infringements caused by: (i) third party modifications of Contributor\nVersion, or (ii) the combination of Modifications made by that Contributor\nwith other software (except as part of the Contributor Version) or other devices;\nor (3) under Patent Claims infringed by Covered Software in the absence of\nModifications made by that Contributor.\n\n   3. Distribution Obligations.\n\n      3.1. Availability of Source Code.\n\nAny Covered Software that You distribute or otherwise make available in Executable\nform must also be made available in Source Code form and that Source Code\nform must be distributed only under the terms of this License. You must include\na copy of this License with every copy of the Source Code form of the Covered\nSoftware You distribute or otherwise make available. You must inform recipients\nof any such Covered Software in Executable form as to how they can obtain\nsuch Covered Software in Source Code form in a reasonable manner on or through\na medium customarily used for software exchange.\n\n      3.2. Modifications.\n\nThe Modifications that You create or to which You contribute are governed\nby the terms of this License. You represent that You believe Your Modifications\nare Your original creation(s) and/or You have sufficient rights to grant the\nrights conveyed by this License.\n\n      3.3. Required Notices.\n\nYou must include a notice in each of Your Modifications that identifies You\nas the Contributor of the Modification. You may not remove or alter any copyright,\npatent or trademark notices contained within the Covered Software, or any\nnotices of licensing or any descriptive text giving attribution to any Contributor\nor the Initial Developer.\n\n      3.4. Application of Additional Terms.\n\nYou may not offer or impose any terms on any Covered Software in Source Code\nform that alters or restricts the applicable version of this License or the\nrecipients\' rights hereunder. You may choose to offer, and to charge a fee\nfor, warranty, support, indemnity or liability obligations to one or more\nrecipients of Covered Software. However, you may do so only on Your own behalf,\nand not on behalf of the Initial Developer or any Contributor. You must make\nit absolutely clear that any such warranty, support, indemnity or liability\nobligation is offered by You alone, and You hereby agree to indemnify the\nInitial Developer and every Contributor for any liability incurred by the\nInitial Developer or such Contributor as a result of warranty, support, indemnity\nor liability terms You offer.\n\n      3.5. Distribution of Executable Versions.\n\nYou may distribute the Executable form of the Covered Software under the terms\nof this License or under the terms of a license of Your choice, which may\ncontain terms different from this License, provided that You are in compliance\nwith the terms of this License and that the license for the Executable form\ndoes not attempt to limit or alter the recipient\'s rights in the Source Code\nform from the rights set forth in this License. If You distribute the Covered\nSoftware in Executable form under a different license, You must make it absolutely\nclear that any terms which differ from this License are offered by You alone,\nnot by the Initial Developer or Contributor. You hereby agree to indemnify\nthe Initial Developer and every Contributor for any liability incurred by\nthe Initial Developer or such Contributor as a result of any such terms You\noffer.\n\n      3.6. Larger Works.\n\nYou may create a Larger Work by combining Covered Software with other code\nnot governed by the terms of this License and distribute the Larger Work as\na single product. In such a case, You must make sure the requirements of this\nLicense are fulfilled for the Covered Software.\n\n   4. Versions of the License.\n\n      4.1. New Versions.\n\nOracle is the initial license steward and may publish revised and/or new versions\nof this License from time to time. Each version will be given a distinguishing\nversion number. Except as provided in Section 4.3, no one other than the license\nsteward has the right to modify this License.\n\n      4.2. Effect of New Versions.\n\nYou may always continue to use, distribute or otherwise make the Covered Software\navailable under the terms of the version of the License under which You originally\nreceived the Covered Software. If the Initial Developer includes a notice\nin the Original Software prohibiting it from being distributed or otherwise\nmade available under any subsequent version of the License, You must distribute\nand make the Covered Software available under the terms of the version of\nthe License under which You originally received the Covered Software. Otherwise,\nYou may also choose to use, distribute or otherwise make the Covered Software\navailable under the terms of any subsequent version of the License published\nby the license steward.\n\n      4.3. Modified Versions.\n\nWhen You are an Initial Developer and You want to create a new license for\nYour Original Software, You may create and use a modified version of this\nLicense if You: (a) rename the license and remove any references to the name\nof the license steward (except to note that the license differs from this\nLicense); and (b) otherwise make it clear that the license contains terms\nwhich differ from this License.\n\n   5. DISCLAIMER OF WARRANTY.\n\nCOVERED SOFTWARE IS PROVIDED UNDER THIS LICENSE ON AN \"AS IS\" BASIS, WITHOUT\nWARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION,\nWARRANTIES THAT THE COVERED SOFTWARE IS FREE OF DEFECTS, MERCHANTABLE, FIT\nFOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY\nAND PERFORMANCE OF THE COVERED SOFTWARE IS WITH YOU. SHOULD ANY COVERED SOFTWARE\nPROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER\nCONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION.\nTHIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE.\nNO USE OF ANY COVERED SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.\n\n   6. TERMINATION.\n\n6.1. This License and the rights granted hereunder will terminate automatically\nif You fail to comply with terms herein and fail to cure such breach within\n30 days of becoming aware of the breach. Provisions which, by their nature,\nmust remain in effect beyond the termination of this License shall survive.\n\n6.2. If You assert a patent infringement claim (excluding declaratory judgment\nactions) against Initial Developer or a Contributor (the Initial Developer\nor Contributor against whom You assert such claim is referred to as \"Participant\")\nalleging that the Participant Software (meaning the Contributor Version where\nthe Participant is a Contributor or the Original Software where the Participant\nis the Initial Developer) directly or indirectly infringes any patent, then\nany and all rights granted directly or indirectly to You by such Participant,\nthe Initial Developer (if the Initial Developer is not the Participant) and\nall Contributors under Sections 2.1 and/or 2.2 of this License shall, upon\n60 days notice from Participant terminate prospectively and automatically\nat the expiration of such 60 day notice period, unless if within such 60 day\nperiod You withdraw Your claim with respect to the Participant Software against\nsuch Participant either unilaterally or pursuant to a written agreement with\nParticipant.\n\n6.3. If You assert a patent infringement claim against Participant alleging\nthat the Participant Software directly or indirectly infringes any patent\nwhere such claim is resolved (such as by license or settlement) prior to the\ninitiation of patent infringement litigation, then the reasonable value of\nthe licenses granted by such Participant under Sections 2.1 or 2.2 shall be\ntaken into account in determining the amount or value of any payment or license.\n\n6.4. In the event of termination under Sections 6.1 or 6.2 above, all end\nuser licenses that have been validly granted by You or any distributor hereunder\nprior to termination (excluding licenses granted to You by any distributor)\nshall survive termination.\n\n   7. LIMITATION OF LIABILITY.\n\nUNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING\nNEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY\nOTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED SOFTWARE, OR ANY SUPPLIER\nOF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL,\nINCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION,\nDAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION,\nOR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL\nHAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF\nLIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING\nFROM SUCH PARTY\'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION.\nSOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL\nOR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO\nYOU.\n\n   8. U.S. GOVERNMENT END USERS.\n\nThe Covered Software is a \"commercial item,\" as that term is defined in 48\nC.F.R. 2.101 (Oct. 1995), consisting of \"commercial computer software\" (as\nthat term is defined at 48 C.F.R. § 252.227-7014(a)(1)) and \"commercial computer\nsoftware documentation\" as such terms are used in 48 C.F.R. 12.212 (Sept.\n1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4\n(June 1995), all U.S. Government End Users acquire Covered Software with only\nthose rights set forth herein. This U.S. Government Rights clause is in lieu\nof, and supersedes, any other FAR, DFAR, or other clause or provision that\naddresses Government rights in computer software under this License.\n\n   9. MISCELLANEOUS.\n\nThis License represents the complete agreement concerning subject matter hereof.\nIf any provision of this License is held to be unenforceable, such provision\nshall be reformed only to the extent necessary to make it enforceable. This\nLicense shall be governed by the law of the jurisdiction specified in a notice\ncontained within the Original Software (except to the extent applicable law,\nif any, provides otherwise), excluding such jurisdiction\'s conflict-of-law\nprovisions. Any litigation relating to this License shall be subject to the\njurisdiction of the courts located in the jurisdiction and venue specified\nin a notice contained within the Original Software, with the losing party\nresponsible for costs, including, without limitation, court costs and reasonable\nattorneys\' fees and expenses. The application of the United Nations Convention\non Contracts for the International Sale of Goods is expressly excluded. Any\nlaw or regulation which provides that the language of a contract shall be\nconstrued against the drafter shall not apply to this License. You agree that\nYou alone are responsible for compliance with the United States export administration\nregulations (and the export control laws and regulation of any other countries)\nwhen You use, distribute or otherwise make available any Covered Software.\n\n   10. RESPONSIBILITY FOR CLAIMS.\n\nAs between Initial Developer and the Contributors, each party is responsible\nfor claims and damages arising, directly or indirectly, out of its utilization\nof rights under this License and You agree to work with Initial Developer\nand Contributors to distribute such responsibility on an equitable basis.\nNothing herein is intended or shall be deemed to constitute any admission\nof liability.\n\nNOTICE PURSUANT TO SECTION 9 OF THE COMMON DEVELOPMENT AND DISTRIBUTION LICENSE\n(CDDL)\n\nThe code released under the CDDL shall be governed by the laws of the State\nof California (excluding conflict-of-law provisions). Any litigation relating\nto this License shall be subject to the jurisdiction of the Federal Courts\nof the Northern District of California and the state courts of the State of\nCalifornia, with venue lying in Santa Clara County, California.\n','2021-08-27 08:51:43','2021-08-27 08:51:43'),(360,'Qhull','Qhull, Copyright (c) 1993-2003\n\nThe National Science and Technology Research Center for Computation and Visualization\nof Geometric Structures (The Geometry Center) University of Minnesota\n\nemail: qhull@qhull.org\n\nThis software includes Qhull from The Geometry Center. Qhull is copyrighted\nas noted above. Qhull is free software and may be obtained via http from www.qhull.org.\nIt may be freely copied, modified, and redistributed under the following conditions:\n\n   1. All copyright notices must remain intact in all files.\n\n2. A copy of this text file must be distributed along with any copies of Qhull\nthat you redistribute; this includes copies that you have modified, or copies\nof programs or other software products that include Qhull.\n\n3. If you modify Qhull, you must include a notice giving the name of the person\nperforming the modification, the date of modification, and the reason for\nsuch modification.\n\n4. When distributing modified versions of Qhull, or other software products\nthat include Qhull, you must provide notice that the original source code\nmay be obtained as noted above.\n\n5. There is no warranty or other guarantee of fitness for Qhull, it is provided\nsolely \"as is\". Bug reports or fixes may be sent to qhull_bug@qhull.org; the\nauthors may or may not act on them as they desire.\n','2021-08-27 08:51:43','2021-08-27 08:51:43');
/*!40000 ALTER TABLE `licenses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mark_downs`
--

DROP TABLE IF EXISTS `mark_downs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mark_downs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `description` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mark_downs`
--

LOCK TABLES `mark_downs` WRITE;
/*!40000 ALTER TABLE `mark_downs` DISABLE KEYS */;
/*!40000 ALTER TABLE `mark_downs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `member_roles`
--

DROP TABLE IF EXISTS `member_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `member_roles` (
  `id` int NOT NULL AUTO_INCREMENT,
  `member_id` int NOT NULL,
  `role_id` int NOT NULL,
  `inherited_from` int DEFAULT NULL,
  `is_current` int DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `index_member_roles_on_member_id` (`member_id`),
  KEY `index_member_roles_on_role_id` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `member_roles`
--

LOCK TABLES `member_roles` WRITE;
/*!40000 ALTER TABLE `member_roles` DISABLE KEYS */;
/*!40000 ALTER TABLE `member_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `members`
--

DROP TABLE IF EXISTS `members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL DEFAULT '0',
  `project_id` int DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  `mail_notification` tinyint(1) NOT NULL DEFAULT '0',
  `course_id` int DEFAULT '-1',
  `course_group_id` int DEFAULT '0',
  `is_collect` int DEFAULT '1',
  `graduation_group_id` int DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_members_on_user_id_and_project_id` (`user_id`,`project_id`,`course_id`),
  KEY `index_members_on_user_id` (`user_id`),
  KEY `index_members_on_project_id` (`project_id`),
  KEY `index_members_on_course_id` (`course_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `members`
--

LOCK TABLES `members` WRITE;
/*!40000 ALTER TABLE `members` DISABLE KEYS */;
/*!40000 ALTER TABLE `members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_migrate_errors`
--

DROP TABLE IF EXISTS `mirror_migrate_errors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_migrate_errors` (
  `id` int NOT NULL AUTO_INCREMENT,
  `shixun_id` int DEFAULT NULL,
  `game_info` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_migrate_errors`
--

LOCK TABLES `mirror_migrate_errors` WRITE;
/*!40000 ALTER TABLE `mirror_migrate_errors` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_migrate_errors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_operation_records`
--

DROP TABLE IF EXISTS `mirror_operation_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_operation_records` (
  `id` int NOT NULL AUTO_INCREMENT,
  `mirror_repository_id` int DEFAULT NULL,
  `mirror_id` text,
  `mirror_name` text,
  `status` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_id` int DEFAULT NULL,
  `old_tag` varchar(255) DEFAULT NULL,
  `new_tag` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_operation_records`
--

LOCK TABLES `mirror_operation_records` WRITE;
/*!40000 ALTER TABLE `mirror_operation_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_operation_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_repositories`
--

DROP TABLE IF EXISTS `mirror_repositories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_repositories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `mirrorID` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `main_type` varchar(255) DEFAULT NULL,
  `description` text,
  `status` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `type_name` text,
  `script_template` longtext,
  `resource_limit` int DEFAULT '10000',
  `memory_limit` int DEFAULT '1024',
  `cpu_limit` tinyint DEFAULT '1',
  `time_limit` int DEFAULT '120',
  `should_compile` tinyint(1) DEFAULT NULL,
  `repertoire_id` int DEFAULT NULL,
  `sub_repertoire_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_repositories`
--

LOCK TABLES `mirror_repositories` WRITE;
/*!40000 ALTER TABLE `mirror_repositories` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_repositories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_repository_types`
--

DROP TABLE IF EXISTS `mirror_repository_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_repository_types` (
  `id` int NOT NULL AUTO_INCREMENT,
  `mirror_type_id` int DEFAULT NULL,
  `mirror_repository_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_mirror_repository_types_on_mirror_type_id` (`mirror_type_id`),
  KEY `index_mirror_repository_types_on_mirror_repository_id` (`mirror_repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_repository_types`
--

LOCK TABLES `mirror_repository_types` WRITE;
/*!40000 ALTER TABLE `mirror_repository_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_repository_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_scripts`
--

DROP TABLE IF EXISTS `mirror_scripts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_scripts` (
  `id` int NOT NULL AUTO_INCREMENT,
  `mirror_repository_id` int DEFAULT NULL,
  `script` longtext,
  `script_type` varchar(255) DEFAULT NULL,
  `description` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_scripts`
--

LOCK TABLES `mirror_scripts` WRITE;
/*!40000 ALTER TABLE `mirror_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_types`
--

DROP TABLE IF EXISTS `mirror_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_types` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_types`
--

LOCK TABLES `mirror_types` WRITE;
/*!40000 ALTER TABLE `mirror_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirror_update_records`
--

DROP TABLE IF EXISTS `mirror_update_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirror_update_records` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `mirror_repository_id` int DEFAULT NULL,
  `oldName` varchar(255) DEFAULT NULL,
  `newName` varchar(255) DEFAULT NULL,
  `oldType` varchar(255) DEFAULT NULL,
  `newType` varchar(255) DEFAULT NULL,
  `oldTag` text,
  `newTag` text,
  `oldDescription` text,
  `newDescription` text,
  `oldStatus` int DEFAULT NULL,
  `newStatus` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_mirror_update_records_on_user_id` (`user_id`),
  KEY `index_mirror_update_records_on_mirror_repository_id` (`mirror_repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirror_update_records`
--

LOCK TABLES `mirror_update_records` WRITE;
/*!40000 ALTER TABLE `mirror_update_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirror_update_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mirrors`
--

DROP TABLE IF EXISTS `mirrors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mirrors` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `repo_id` int DEFAULT NULL,
  `status` int NOT NULL DEFAULT '0' COMMENT '0 - succeeded, 1 - waiting, 2 - failed',
  `interval` int DEFAULT NULL COMMENT 'mirror interval with unix time',
  `next_update_time` datetime DEFAULT NULL COMMENT 'next update mirror time, for datetime',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `sync_num` int DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mirrors`
--

LOCK TABLES `mirrors` WRITE;
/*!40000 ALTER TABLE `mirrors` DISABLE KEYS */;
/*!40000 ALTER TABLE `mirrors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `module_settings`
--

DROP TABLE IF EXISTS `module_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `module_settings` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `module_type` varchar(255) DEFAULT NULL,
  `property` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_module_settings_on_module_type` (`module_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `module_settings`
--

LOCK TABLES `module_settings` WRITE;
/*!40000 ALTER TABLE `module_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `module_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `no_uses`
--

DROP TABLE IF EXISTS `no_uses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `no_uses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `no_use_type` varchar(255) DEFAULT NULL,
  `no_use_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `no_uses`
--

LOCK TABLES `no_uses` WRITE;
/*!40000 ALTER TABLE `no_uses` DISABLE KEYS */;
/*!40000 ALTER TABLE `no_uses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notificationcomments`
--

DROP TABLE IF EXISTS `notificationcomments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notificationcomments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `notificationcommented_type` varchar(255) DEFAULT NULL,
  `notificationcommented_id` int DEFAULT NULL,
  `author_id` int DEFAULT NULL,
  `notificationcomments` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notificationcomments`
--

LOCK TABLES `notificationcomments` WRITE;
/*!40000 ALTER TABLE `notificationcomments` DISABLE KEYS */;
/*!40000 ALTER TABLE `notificationcomments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauth_configs`
--

DROP TABLE IF EXISTS `oauth_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauth_configs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `client_id` varchar(255) DEFAULT NULL,
  `client_secret` varchar(255) DEFAULT NULL,
  `redirect_uri` varchar(255) DEFAULT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauth_configs`
--

LOCK TABLES `oauth_configs` WRITE;
/*!40000 ALTER TABLE `oauth_configs` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauth_configs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oauths`
--

DROP TABLE IF EXISTS `oauths`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `oauths` (
  `id` int NOT NULL AUTO_INCREMENT,
  `client_id` varchar(255) DEFAULT NULL,
  `client_secret` varchar(255) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `redirect_uri` varchar(255) DEFAULT NULL,
  `scope` varchar(255) DEFAULT NULL,
  `access_token` varchar(255) DEFAULT NULL,
  `refresh_token` varchar(255) DEFAULT NULL,
  `token_created_at` int DEFAULT NULL,
  `token_expires_in` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_id` int DEFAULT '0',
  `gitea_oauth_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_oauths_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `oauths`
--

LOCK TABLES `oauths` WRITE;
/*!40000 ALTER TABLE `oauths` DISABLE KEYS */;
/*!40000 ALTER TABLE `oauths` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `onclick_times`
--

DROP TABLE IF EXISTS `onclick_times`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `onclick_times` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `onclick_time` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_onclick_times_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `onclick_times`
--

LOCK TABLES `onclick_times` WRITE;
/*!40000 ALTER TABLE `onclick_times` DISABLE KEYS */;
/*!40000 ALTER TABLE `onclick_times` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_id_authentication_associations`
--

DROP TABLE IF EXISTS `open_id_authentication_associations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `open_id_authentication_associations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `issued` int DEFAULT NULL,
  `lifetime` int DEFAULT NULL,
  `handle` varchar(255) DEFAULT NULL,
  `assoc_type` varchar(255) DEFAULT NULL,
  `server_url` blob,
  `secret` blob,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_id_authentication_associations`
--

LOCK TABLES `open_id_authentication_associations` WRITE;
/*!40000 ALTER TABLE `open_id_authentication_associations` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_id_authentication_associations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_id_authentication_nonces`
--

DROP TABLE IF EXISTS `open_id_authentication_nonces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `open_id_authentication_nonces` (
  `id` int NOT NULL AUTO_INCREMENT,
  `timestamp` int NOT NULL,
  `server_url` varchar(255) DEFAULT NULL,
  `salt` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_id_authentication_nonces`
--

LOCK TABLES `open_id_authentication_nonces` WRITE;
/*!40000 ALTER TABLE `open_id_authentication_nonces` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_id_authentication_nonces` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_source_projects`
--

DROP TABLE IF EXISTS `open_source_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `open_source_projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `commit_count` int DEFAULT '0',
  `code_line` int DEFAULT '0',
  `users_count` int DEFAULT '0',
  `last_commit_time` date DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `date_collected` date DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_source_projects`
--

LOCK TABLES `open_source_projects` WRITE;
/*!40000 ALTER TABLE `open_source_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_source_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `open_users`
--

DROP TABLE IF EXISTS `open_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `open_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `uid` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `extra` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_open_users_on_type_and_uid` (`type`,`uid`),
  KEY `index_open_users_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `open_users`
--

LOCK TABLES `open_users` WRITE;
/*!40000 ALTER TABLE `open_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `open_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `openis`
--

DROP TABLE IF EXISTS `openis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `openis` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `openi_user_id` int DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  `avatar_url` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `allow` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `openis`
--

LOCK TABLES `openis` WRITE;
/*!40000 ALTER TABLE `openis` DISABLE KEYS */;
/*!40000 ALTER TABLE `openis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `option_numbers`
--

DROP TABLE IF EXISTS `option_numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `option_numbers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `memo` int DEFAULT NULL,
  `messages_for_issues` int DEFAULT NULL,
  `issues_status` int DEFAULT NULL,
  `replay_for_message` int DEFAULT NULL,
  `replay_for_memo` int DEFAULT NULL,
  `follow` int DEFAULT NULL,
  `tread` int DEFAULT NULL,
  `praise_by_one` int DEFAULT NULL,
  `praise_by_two` int DEFAULT NULL,
  `praise_by_three` int DEFAULT NULL,
  `tread_by_one` int DEFAULT NULL,
  `tread_by_two` int DEFAULT NULL,
  `tread_by_three` int DEFAULT NULL,
  `changeset` int DEFAULT NULL,
  `document` int DEFAULT NULL,
  `attachment` int DEFAULT NULL,
  `issue_done_ratio` int DEFAULT NULL,
  `post_issue` int DEFAULT NULL,
  `score_type` int DEFAULT NULL,
  `total_score` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `project_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `option_numbers`
--

LOCK TABLES `option_numbers` WRITE;
/*!40000 ALTER TABLE `option_numbers` DISABLE KEYS */;
/*!40000 ALTER TABLE `option_numbers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_activities`
--

DROP TABLE IF EXISTS `org_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_activities` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `org_act_id` int DEFAULT NULL,
  `org_act_type` varchar(255) DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_activities`
--

LOCK TABLES `org_activities` WRITE;
/*!40000 ALTER TABLE `org_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_activities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_courses`
--

DROP TABLE IF EXISTS `org_courses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_courses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `organization_id` int DEFAULT NULL,
  `course_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_courses`
--

LOCK TABLES `org_courses` WRITE;
/*!40000 ALTER TABLE `org_courses` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_courses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_document_comments`
--

DROP TABLE IF EXISTS `org_document_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_document_comments` (
  `id` int NOT NULL AUTO_INCREMENT,
  `title` text,
  `content` text,
  `organization_id` int DEFAULT NULL,
  `creator_id` int DEFAULT NULL,
  `parent_id` int DEFAULT NULL,
  `reply_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `locked` tinyint(1) DEFAULT '0',
  `sticky` int DEFAULT '0',
  `org_subfield_id` int DEFAULT NULL,
  `status` int DEFAULT '0',
  `root_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_org_document_comments_on_root_id` (`root_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_document_comments`
--

LOCK TABLES `org_document_comments` WRITE;
/*!40000 ALTER TABLE `org_document_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_document_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_member_roles`
--

DROP TABLE IF EXISTS `org_member_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_member_roles` (
  `id` int NOT NULL AUTO_INCREMENT,
  `org_member_id` int DEFAULT NULL,
  `role_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_member_roles`
--

LOCK TABLES `org_member_roles` WRITE;
/*!40000 ALTER TABLE `org_member_roles` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_member_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_members`
--

DROP TABLE IF EXISTS `org_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `organization_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_members`
--

LOCK TABLES `org_members` WRITE;
/*!40000 ALTER TABLE `org_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_messages`
--

DROP TABLE IF EXISTS `org_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `sender_id` int DEFAULT NULL,
  `organization_id` int DEFAULT NULL,
  `message_type` varchar(255) DEFAULT NULL,
  `message_id` int DEFAULT NULL,
  `viewed` int DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `status` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_messages`
--

LOCK TABLES `org_messages` WRITE;
/*!40000 ALTER TABLE `org_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_projects`
--

DROP TABLE IF EXISTS `org_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `organization_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_projects`
--

LOCK TABLES `org_projects` WRITE;
/*!40000 ALTER TABLE `org_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_subfield_messages`
--

DROP TABLE IF EXISTS `org_subfield_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_subfield_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `org_subfield_id` int DEFAULT NULL,
  `message_id` int DEFAULT NULL,
  `message_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_subfield_messages`
--

LOCK TABLES `org_subfield_messages` WRITE;
/*!40000 ALTER TABLE `org_subfield_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_subfield_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `org_subfields`
--

DROP TABLE IF EXISTS `org_subfields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `org_subfields` (
  `id` int NOT NULL AUTO_INCREMENT,
  `organization_id` int DEFAULT NULL,
  `priority` int DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `field_type` varchar(255) DEFAULT NULL,
  `hide` int DEFAULT '0',
  `status` int DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `org_subfields`
--

LOCK TABLES `org_subfields` WRITE;
/*!40000 ALTER TABLE `org_subfields` DISABLE KEYS */;
/*!40000 ALTER TABLE `org_subfields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `organization_extensions`
--

DROP TABLE IF EXISTS `organization_extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `organization_extensions` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `organization_id` bigint DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL COMMENT '组织描述',
  `website` varchar(255) DEFAULT NULL COMMENT '组织官方网站',
  `location` varchar(255) DEFAULT NULL COMMENT '组织地区',
  `repo_admin_change_team_access` tinyint(1) DEFAULT '0' COMMENT '项目管理员是否可以添加或移除团队的访问权限',
  `visibility` int DEFAULT '0' COMMENT '组织可见性',
  `max_repo_creation` int DEFAULT '-1' COMMENT '组织最大仓库数',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `num_projects` int DEFAULT '0',
  `num_users` int DEFAULT '0',
  `num_teams` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_organization_extensions_on_organization_id` (`organization_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `organization_extensions`
--

LOCK TABLES `organization_extensions` WRITE;
/*!40000 ALTER TABLE `organization_extensions` DISABLE KEYS */;
/*!40000 ALTER TABLE `organization_extensions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `organization_users`
--

DROP TABLE IF EXISTS `organization_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `organization_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `organization_id` bigint DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_organization_users_on_user_id` (`user_id`),
  KEY `index_organization_users_on_organization_id` (`organization_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `organization_users`
--

LOCK TABLES `organization_users` WRITE;
/*!40000 ALTER TABLE `organization_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `organization_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `organizations`
--

DROP TABLE IF EXISTS `organizations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `organizations` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `creator_id` int DEFAULT NULL,
  `home_id` int DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `allow_guest_download` tinyint(1) DEFAULT '1',
  `visits` int DEFAULT '0',
  `show_mode` int DEFAULT '0',
  `allow_teacher` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `organizations`
--

LOCK TABLES `organizations` WRITE;
/*!40000 ALTER TABLE `organizations` DISABLE KEYS */;
/*!40000 ALTER TABLE `organizations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outputs`
--

DROP TABLE IF EXISTS `outputs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `outputs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `code` int DEFAULT NULL,
  `game_id` int DEFAULT NULL,
  `msg` text,
  `out_put` longtext,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `test_set_position` int DEFAULT NULL,
  `actual_output` longtext,
  `result` tinyint(1) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `query_index` int DEFAULT '1',
  `compile_success` int DEFAULT '1',
  `text_scor` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `game` (`game_id`,`query_index`),
  KEY `index_outputs_on_test_set_position` (`test_set_position`),
  KEY `index_outputs_on_created_at` (`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `outputs`
--

LOCK TABLES `outputs` WRITE;
/*!40000 ALTER TABLE `outputs` DISABLE KEYS */;
/*!40000 ALTER TABLE `outputs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `phone_app_versions`
--

DROP TABLE IF EXISTS `phone_app_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `phone_app_versions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `version` varchar(255) DEFAULT NULL,
  `description` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `phone_app_versions`
--

LOCK TABLES `phone_app_versions` WRITE;
/*!40000 ALTER TABLE `phone_app_versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `phone_app_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pinned_projects`
--

DROP TABLE IF EXISTS `pinned_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pinned_projects` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `project_id` bigint DEFAULT NULL,
  `position` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_pinned_projects_on_user_id` (`user_id`),
  KEY `index_pinned_projects_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pinned_projects`
--

LOCK TABLES `pinned_projects` WRITE;
/*!40000 ALTER TABLE `pinned_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `pinned_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `platform_samples`
--

DROP TABLE IF EXISTS `platform_samples`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `platform_samples` (
  `id` int NOT NULL AUTO_INCREMENT,
  `samples_type` varchar(255) DEFAULT NULL,
  `contents` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `platform_samples`
--

LOCK TABLES `platform_samples` WRITE;
/*!40000 ALTER TABLE `platform_samples` DISABLE KEYS */;
/*!40000 ALTER TABLE `platform_samples` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `praise_tread_caches`
--

DROP TABLE IF EXISTS `praise_tread_caches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `praise_tread_caches` (
  `id` int NOT NULL AUTO_INCREMENT,
  `object_id` int NOT NULL,
  `object_type` varchar(255) DEFAULT NULL,
  `praise_num` int DEFAULT NULL,
  `tread_num` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `praise_tread_caches`
--

LOCK TABLES `praise_tread_caches` WRITE;
/*!40000 ALTER TABLE `praise_tread_caches` DISABLE KEYS */;
/*!40000 ALTER TABLE `praise_tread_caches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `praise_treads`
--

DROP TABLE IF EXISTS `praise_treads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `praise_treads` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `praise_tread_object_id` int DEFAULT NULL,
  `praise_tread_object_type` varchar(255) DEFAULT NULL,
  `praise_or_tread` int DEFAULT '1',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `praise_tread` (`praise_tread_object_id`,`praise_tread_object_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `praise_treads`
--

LOCK TABLES `praise_treads` WRITE;
/*!40000 ALTER TABLE `praise_treads` DISABLE KEYS */;
/*!40000 ALTER TABLE `praise_treads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `principal_activities`
--

DROP TABLE IF EXISTS `principal_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `principal_activities` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `principal_id` int DEFAULT NULL,
  `principal_act_id` int DEFAULT NULL,
  `principal_act_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `principal_activities`
--

LOCK TABLES `principal_activities` WRITE;
/*!40000 ALTER TABLE `principal_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `principal_activities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `private_messages`
--

DROP TABLE IF EXISTS `private_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `private_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `target_id` int DEFAULT NULL,
  `sender_id` int DEFAULT NULL,
  `receiver_id` int DEFAULT NULL,
  `content` text,
  `send_time` datetime DEFAULT NULL,
  `status` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_private_messages_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `private_messages`
--

LOCK TABLES `private_messages` WRITE;
/*!40000 ALTER TABLE `private_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `private_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `professional_levels`
--

DROP TABLE IF EXISTS `professional_levels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `professional_levels` (
  `id` int NOT NULL AUTO_INCREMENT,
  `level` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `professional_levels`
--

LOCK TABLES `professional_levels` WRITE;
/*!40000 ALTER TABLE `professional_levels` DISABLE KEYS */;
/*!40000 ALTER TABLE `professional_levels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_categories`
--

DROP TABLE IF EXISTS `project_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `position` int DEFAULT NULL,
  `projects_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `ancestry` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_categories_on_ancestry` (`ancestry`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_categories`
--

LOCK TABLES `project_categories` WRITE;
/*!40000 ALTER TABLE `project_categories` DISABLE KEYS */;
INSERT INTO `project_categories` VALUES (1,'大数据',1,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(2,'机器学习',2,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(3,'深度学习',3,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(4,'人工智能',4,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(5,'量子计算',5,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(6,'智慧医疗',6,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(7,'自动驾驶',7,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL),(8,'其他',8,0,'2021-08-27 08:51:40','2021-08-27 08:51:40',NULL);
/*!40000 ALTER TABLE `project_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_details`
--

DROP TABLE IF EXISTS `project_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_details` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `content` longtext,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_details_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_details`
--

LOCK TABLES `project_details` WRITE;
/*!40000 ALTER TABLE `project_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_educoders`
--

DROP TABLE IF EXISTS `project_educoders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_educoders` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `owner` varchar(255) DEFAULT NULL,
  `repo_name` varchar(255) DEFAULT NULL,
  `image_url` varchar(255) DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `commit_count` int DEFAULT '0',
  `forked_count` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_project_educoders_on_repo_name` (`repo_name`),
  KEY `index_project_educoders_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_educoders`
--

LOCK TABLES `project_educoders` WRITE;
/*!40000 ALTER TABLE `project_educoders` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_educoders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_infos`
--

DROP TABLE IF EXISTS `project_infos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_infos` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_infos`
--

LOCK TABLES `project_infos` WRITE;
/*!40000 ALTER TABLE `project_infos` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_infos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_languages`
--

DROP TABLE IF EXISTS `project_languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_languages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `position` int DEFAULT NULL,
  `projects_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_languages`
--

LOCK TABLES `project_languages` WRITE;
/*!40000 ALTER TABLE `project_languages` DISABLE KEYS */;
INSERT INTO `project_languages` VALUES (1,'Ruby',NULL,0,'2021-08-27 08:51:40','2021-08-27 08:51:40'),(2,'C',NULL,0,'2021-08-27 08:51:40','2021-08-27 08:51:40'),(3,'C#',NULL,0,'2021-08-27 08:51:40','2021-08-27 08:51:40'),(4,'C++',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(5,'HTML',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(6,'Haml',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(7,'CSS',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(8,'JavaScript',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(9,'Python',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(10,'PHP',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(11,'Java',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(12,'JSON',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(13,'JSX',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(14,'Lex',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(15,'Shell',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(16,'Objective-C',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(17,'Cycript',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(18,'Clojure',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(19,'Go',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(20,'Grace',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(21,'Gradle',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(22,'GraphQL',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(23,'Dart',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(24,'Elixir',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(25,'Erlang',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(26,'Perl',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(27,'R',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(28,'Reason',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(29,'Sass',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(30,'Slice',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41'),(31,'SVG',NULL,0,'2021-08-27 08:51:41','2021-08-27 08:51:41');
/*!40000 ALTER TABLE `project_languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_package_applies`
--

DROP TABLE IF EXISTS `project_package_applies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_package_applies` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_package_id` int DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `refused_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_package_applies_on_project_package_id` (`project_package_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_package_applies`
--

LOCK TABLES `project_package_applies` WRITE;
/*!40000 ALTER TABLE `project_package_applies` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_package_applies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_package_categories`
--

DROP TABLE IF EXISTS `project_package_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_package_categories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `position` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_package_categories`
--

LOCK TABLES `project_package_categories` WRITE;
/*!40000 ALTER TABLE `project_package_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_package_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_packages`
--

DROP TABLE IF EXISTS `project_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_packages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `creator_id` int DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `content` text,
  `contact_name` varchar(255) DEFAULT NULL,
  `contact_phone` varchar(255) DEFAULT NULL,
  `min_price` decimal(10,0) DEFAULT NULL,
  `max_price` decimal(10,0) DEFAULT NULL,
  `visit_count` int DEFAULT '0',
  `bidding_users_count` int DEFAULT '0',
  `deadline_at` datetime DEFAULT NULL,
  `published_at` datetime DEFAULT NULL,
  `bidding_finished_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `project_package_category_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_packages_on_published_at` (`published_at`),
  KEY `index_project_packages_on_creator_id` (`creator_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_packages`
--

LOCK TABLES `project_packages` WRITE;
/*!40000 ALTER TABLE `project_packages` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_scores`
--

DROP TABLE IF EXISTS `project_scores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_scores` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` varchar(255) DEFAULT NULL,
  `score` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `issue_num` int DEFAULT '0',
  `issue_journal_num` int DEFAULT '0',
  `news_num` int DEFAULT '0',
  `documents_num` int DEFAULT '0',
  `changeset_num` int DEFAULT '0',
  `board_message_num` int DEFAULT '0',
  `board_num` int DEFAULT '0',
  `attach_num` int DEFAULT '0',
  `commit_time` datetime DEFAULT NULL,
  `pull_request_num` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_scores`
--

LOCK TABLES `project_scores` WRITE;
/*!40000 ALTER TABLE `project_scores` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_scores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_statistics`
--

DROP TABLE IF EXISTS `project_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_statistics` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `common_projects_count` int DEFAULT '0',
  `mirror_projects_count` int DEFAULT '0',
  `sync_mirror_projects_count` int DEFAULT '0',
  `commits_total_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_statistics`
--

LOCK TABLES `project_statistics` WRITE;
/*!40000 ALTER TABLE `project_statistics` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_statuses`
--

DROP TABLE IF EXISTS `project_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_statuses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `changesets_count` int DEFAULT NULL,
  `watchers_count` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `project_type` int DEFAULT NULL,
  `grade` float DEFAULT '0',
  `course_ac_para` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_project_statuses_on_grade` (`grade`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_statuses`
--

LOCK TABLES `project_statuses` WRITE;
/*!40000 ALTER TABLE `project_statuses` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_trends`
--

DROP TABLE IF EXISTS `project_trends`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_trends` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `trend_type` varchar(255) DEFAULT NULL,
  `trend_id` bigint DEFAULT NULL,
  `action_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_trends_on_trend_type_and_trend_id` (`trend_type`,`trend_id`),
  KEY `index_project_trends_on_user_id_and_project_id` (`user_id`,`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_trends`
--

LOCK TABLES `project_trends` WRITE;
/*!40000 ALTER TABLE `project_trends` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_trends` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project_units`
--

DROP TABLE IF EXISTS `project_units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_units` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `project_id` bigint DEFAULT NULL,
  `unit_type` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_project_units_on_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `project_units`
--

LOCK TABLES `project_units` WRITE;
/*!40000 ALTER TABLE `project_units` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_units` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projecting_softapplictions`
--

DROP TABLE IF EXISTS `projecting_softapplictions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `projecting_softapplictions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `softapplication_id` int DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `projecting_softapplictions`
--

LOCK TABLES `projecting_softapplictions` WRITE;
/*!40000 ALTER TABLE `projecting_softapplictions` DISABLE KEYS */;
/*!40000 ALTER TABLE `projecting_softapplictions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects`
--

DROP TABLE IF EXISTS `projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `projects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` longtext,
  `homepage` varchar(255) DEFAULT '',
  `is_public` tinyint(1) NOT NULL DEFAULT '1',
  `parent_id` int DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `status` int NOT NULL DEFAULT '1',
  `lft` int DEFAULT NULL,
  `rgt` int DEFAULT NULL,
  `inherit_members` tinyint(1) NOT NULL DEFAULT '0',
  `project_type` int DEFAULT '0',
  `hidden_repo` tinyint(1) NOT NULL DEFAULT '0',
  `attachmenttype` int DEFAULT '1',
  `user_id` int DEFAULT NULL,
  `dts_test` int DEFAULT '0',
  `enterprise_name` varchar(255) DEFAULT NULL,
  `organization_id` int DEFAULT NULL,
  `project_new_type` int DEFAULT NULL,
  `gpid` int DEFAULT NULL,
  `forked_from_project_id` int DEFAULT NULL,
  `forked_count` int DEFAULT '0',
  `publish_resource` int DEFAULT '0',
  `visits` int DEFAULT '0',
  `hot` int DEFAULT '0',
  `invite_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `qrcode` varchar(255) DEFAULT NULL,
  `qrcode_expiretime` int DEFAULT '0',
  `script` text,
  `training_status` tinyint DEFAULT '0',
  `rep_identifier` varchar(255) DEFAULT NULL,
  `project_category_id` int DEFAULT NULL,
  `project_language_id` int DEFAULT NULL,
  `license_id` int DEFAULT NULL,
  `ignore_id` int DEFAULT NULL,
  `praises_count` int DEFAULT '0',
  `watchers_count` int DEFAULT '0',
  `issues_count` int DEFAULT '0',
  `pull_requests_count` int DEFAULT '0',
  `language` varchar(255) DEFAULT NULL,
  `versions_count` int DEFAULT '0',
  `issue_tags_count` int DEFAULT '0',
  `closed_issues_count` int DEFAULT '0',
  `open_devops` tinyint(1) DEFAULT '0',
  `gitea_webhook_id` int DEFAULT NULL,
  `open_devops_count` int DEFAULT '0' COMMENT '针对同一台ci服务器激活devops流程的次数',
  `recommend` tinyint(1) DEFAULT '0',
  `platform` int DEFAULT '0',
  `default_branch` varchar(255) DEFAULT 'master',
  `website` varchar(255) DEFAULT NULL,
  `lesson_url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_projects_on_lft` (`lft`),
  KEY `index_projects_on_rgt` (`rgt`),
  KEY `index_projects_on_identifier` (`identifier`),
  KEY `index_projects_on_project_type` (`project_type`),
  KEY `index_projects_on_updated_on` (`updated_on`),
  KEY `index_projects_on_is_public` (`is_public`),
  KEY `index_projects_on_status` (`status`),
  KEY `index_projects_on_forked_from_project_id` (`forked_from_project_id`),
  KEY `index_projects_on_recommend` (`recommend`),
  KEY `index_projects_on_platform` (`platform`),
  KEY `index_projects_on_name` (`name`),
  KEY `index_projects_on_invite_code` (`invite_code`),
  KEY `index_projects_on_project_category_id` (`project_category_id`),
  KEY `index_projects_on_project_language_id` (`project_language_id`),
  KEY `index_projects_on_license_id` (`license_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `projects`
--

LOCK TABLES `projects` WRITE;
/*!40000 ALTER TABLE `projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `projects_trackers`
--

DROP TABLE IF EXISTS `projects_trackers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `projects_trackers` (
  `project_id` int NOT NULL DEFAULT '0',
  `tracker_id` int NOT NULL DEFAULT '0',
  UNIQUE KEY `projects_trackers_unique` (`project_id`,`tracker_id`),
  KEY `projects_trackers_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `projects_trackers`
--

LOCK TABLES `projects_trackers` WRITE;
/*!40000 ALTER TABLE `projects_trackers` DISABLE KEYS */;
/*!40000 ALTER TABLE `projects_trackers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `protected_branches`
--

DROP TABLE IF EXISTS `protected_branches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `protected_branches` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `repo_id` int DEFAULT NULL,
  `branch_name` varchar(255) DEFAULT '',
  `can_push` tinyint(1) NOT NULL DEFAULT '0',
  `enable_whitelist` tinyint(1) DEFAULT '0',
  `whitelist_user_i_ds` text,
  `whitelist_team_i_ds` text,
  `enable_merge_whitelist` tinyint(1) NOT NULL DEFAULT '0',
  `whitelist_deploy_keys` tinyint(1) NOT NULL DEFAULT '0',
  `merge_whitelist_user_i_ds` text,
  `merge_whitelist_team_i_ds` text,
  `enable_status_check` tinyint(1) NOT NULL DEFAULT '0',
  `status_check_contexts` text,
  `approvals_whitelist_user_i_ds` text,
  `approvals_whitelist_team_i_ds` text,
  `required_approvals` int DEFAULT '0',
  `enable_approvals_whitelist` tinyint(1) NOT NULL DEFAULT '0',
  `block_on_rejected_reviews` tinyint(1) NOT NULL DEFAULT '0',
  `dismiss_stale_approvals` tinyint(1) NOT NULL DEFAULT '0',
  `require_signed_commits` tinyint(1) NOT NULL DEFAULT '0',
  `protected_file_patterns` text,
  `block_on_outdated_branch` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_protected_branches_on_repo_id` (`repo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `protected_branches`
--

LOCK TABLES `protected_branches` WRITE;
/*!40000 ALTER TABLE `protected_branches` DISABLE KEYS */;
/*!40000 ALTER TABLE `protected_branches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pull_request_assigns`
--

DROP TABLE IF EXISTS `pull_request_assigns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pull_request_assigns` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `pull_request_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_login` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_pull_request_assigns_on_user_id_and_pull_request_id` (`pull_request_id`),
  KEY `index_pull_request_assigns_on_user_login` (`user_login`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pull_request_assigns`
--

LOCK TABLES `pull_request_assigns` WRITE;
/*!40000 ALTER TABLE `pull_request_assigns` DISABLE KEYS */;
/*!40000 ALTER TABLE `pull_request_assigns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pull_request_tags`
--

DROP TABLE IF EXISTS `pull_request_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pull_request_tags` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `issue_tag_id` int DEFAULT NULL,
  `pull_request_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_pull_request_tags_on_issue_tag_id_and_pull_request_id` (`issue_tag_id`,`pull_request_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pull_request_tags`
--

LOCK TABLES `pull_request_tags` WRITE;
/*!40000 ALTER TABLE `pull_request_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `pull_request_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pull_requests`
--

DROP TABLE IF EXISTS `pull_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pull_requests` (
  `id` int NOT NULL AUTO_INCREMENT,
  `gitea_id` int DEFAULT NULL,
  `gitea_number` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `status` int DEFAULT '0',
  `project_id` int DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `milestone` int DEFAULT NULL,
  `body` text,
  `head` varchar(255) DEFAULT NULL,
  `base` varchar(255) DEFAULT NULL,
  `issue_id` int DEFAULT NULL,
  `fork_project_id` int DEFAULT NULL,
  `is_original` tinyint(1) DEFAULT '0',
  `comments_count` int DEFAULT '0' COMMENT 'number of comments for pull request',
  `commits_count` int DEFAULT '0' COMMENT 'number of git commits for pull request',
  `files_count` int DEFAULT '0' COMMENT 'number of git change files for pull request',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pull_requests`
--

LOCK TABLES `pull_requests` WRITE;
/*!40000 ALTER TABLE `pull_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `pull_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quality_analyses`
--

DROP TABLE IF EXISTS `quality_analyses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `quality_analyses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `author_login` varchar(255) DEFAULT NULL,
  `rep_identifier` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `sonar_version` int DEFAULT '0',
  `path` varchar(255) DEFAULT NULL,
  `branch` varchar(255) DEFAULT NULL,
  `language` varchar(255) DEFAULT NULL,
  `sonar_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quality_analyses`
--

LOCK TABLES `quality_analyses` WRITE;
/*!40000 ALTER TABLE `quality_analyses` DISABLE KEYS */;
/*!40000 ALTER TABLE `quality_analyses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries`
--

DROP TABLE IF EXISTS `queries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `queries` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `name` varchar(255) NOT NULL DEFAULT '',
  `filters` text,
  `user_id` int NOT NULL DEFAULT '0',
  `is_public` tinyint(1) NOT NULL DEFAULT '0',
  `column_names` text,
  `sort_criteria` text,
  `group_by` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_queries_on_project_id` (`project_id`),
  KEY `index_queries_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queries`
--

LOCK TABLES `queries` WRITE;
/*!40000 ALTER TABLE `queries` DISABLE KEYS */;
/*!40000 ALTER TABLE `queries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `relationships`
--

DROP TABLE IF EXISTS `relationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `relationships` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `follower_id` int DEFAULT NULL,
  `followed_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_relationships_on_follower_id_and_followed_id` (`follower_id`,`followed_id`),
  KEY `index_relationships_on_followed_id` (`followed_id`),
  KEY `index_relationships_on_follower_id` (`follower_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `relationships`
--

LOCK TABLES `relationships` WRITE;
/*!40000 ALTER TABLE `relationships` DISABLE KEYS */;
/*!40000 ALTER TABLE `relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rep_statics`
--

DROP TABLE IF EXISTS `rep_statics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rep_statics` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `commits_num` int DEFAULT NULL,
  `uname` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `add` int DEFAULT NULL,
  `del` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `changeset` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rep_statics`
--

LOCK TABLES `rep_statics` WRITE;
/*!40000 ALTER TABLE `rep_statics` DISABLE KEYS */;
/*!40000 ALTER TABLE `rep_statics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `repertoires`
--

DROP TABLE IF EXISTS `repertoires`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `repertoires` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `repertoires`
--

LOCK TABLES `repertoires` WRITE;
/*!40000 ALTER TABLE `repertoires` DISABLE KEYS */;
/*!40000 ALTER TABLE `repertoires` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `repositories`
--

DROP TABLE IF EXISTS `repositories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `repositories` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL DEFAULT '0',
  `url` varchar(255) NOT NULL DEFAULT '',
  `login` varchar(60) DEFAULT '',
  `password` varchar(255) DEFAULT '',
  `root_url` varchar(255) DEFAULT '',
  `type` varchar(255) DEFAULT NULL,
  `path_encoding` varchar(64) DEFAULT NULL,
  `log_encoding` varchar(64) DEFAULT NULL,
  `extra_info` text,
  `identifier` varchar(255) DEFAULT NULL,
  `is_default` tinyint(1) DEFAULT '0',
  `hidden` tinyint(1) DEFAULT '0',
  `shixun_id` int DEFAULT NULL,
  `myshixun_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `mirror_url` varchar(255) DEFAULT NULL,
  `version_releases_count` int DEFAULT '0',
  `fork_url` varchar(255) DEFAULT NULL,
  `is_mirror` tinyint(1) DEFAULT '0',
  `accelerator_url` varchar(255) DEFAULT '',
  `source_clone_url` varchar(255) DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `index_repositories_on_project_id` (`project_id`),
  KEY `index_repositories_on_identifier` (`identifier`),
  KEY `index_repositories_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `repositories`
--

LOCK TABLES `repositories` WRITE;
/*!40000 ALTER TABLE `repositories` DISABLE KEYS */;
/*!40000 ALTER TABLE `repositories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resource_banks`
--

DROP TABLE IF EXISTS `resource_banks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `resource_banks` (
  `id` int NOT NULL AUTO_INCREMENT,
  `course_id` int DEFAULT NULL,
  `attachment_id` int DEFAULT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `disk_filename` varchar(255) DEFAULT NULL,
  `filesize` int DEFAULT NULL,
  `digest` varchar(255) DEFAULT NULL,
  `downloads` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `description` text,
  `disk_directory` varchar(255) DEFAULT NULL,
  `is_public` tinyint(1) DEFAULT NULL,
  `copy_from` int DEFAULT NULL,
  `quotes` int DEFAULT NULL,
  `applicable_syllabus` varchar(255) DEFAULT NULL,
  `major_level` int DEFAULT NULL,
  `discipline_category_id` int DEFAULT NULL,
  `first_level_discipline_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `content_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_resource_banks_on_course_id` (`course_id`),
  KEY `index_resource_banks_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resource_banks`
--

LOCK TABLES `resource_banks` WRITE;
/*!40000 ALTER TABLE `resource_banks` DISABLE KEYS */;
/*!40000 ALTER TABLE `resource_banks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `position` int DEFAULT '1',
  `assignable` tinyint(1) DEFAULT '1',
  `builtin` int NOT NULL DEFAULT '0',
  `permissions` text,
  `issues_visibility` varchar(30) NOT NULL DEFAULT 'default',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Non member',1,1,1,'---\n- :upload_attachments\n- :memos_attachments_download\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :add_messages\n- :delete_own_messages\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :comment_news\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n','default'),(2,'Anonymous',2,1,2,'---\n- :memos_attachments_download\n- :view_course_files\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n','default'),(3,'Manager',3,1,0,'---\n- :add_project\n- :edit_project\n- :close_project\n- :select_project_modules\n- :manage_members\n- :manage_versions\n- :add_subprojects\n- :is_manager\n- :projects_attachments_download\n- :as_teacher\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :quote_project\n- :manage_boards\n- :add_messages\n- :edit_messages\n- :edit_own_messages\n- :delete_messages\n- :delete_own_messages\n- :view_calendar\n- :view_code_review\n- :add_code_review\n- :edit_code_review\n- :delete_code_review\n- :assign_code_review\n- :code_review_setting\n- :add_documents\n- :edit_documents\n- :delete_documents\n- :view_documents\n- :manage_files\n- :view_files\n- :view_gantt\n- :manage_categories\n- :view_issues\n- :add_issues\n- :edit_issues\n- :manage_issue_relations\n- :manage_subtasks\n- :set_issues_private\n- :set_own_issues_private\n- :add_issue_notes\n- :edit_issue_notes\n- :edit_own_issue_notes\n- :view_private_notes\n- :set_notes_private\n- :move_issues\n- :delete_issues\n- :manage_public_queries\n- :save_queries\n- :view_issue_watchers\n- :add_issue_watchers\n- :delete_issue_watchers\n- :manage_news\n- :comment_news\n- :manage_repository\n- :browse_repository\n- :view_changesets\n- :commit_access\n- :manage_related_issues\n- :log_time\n- :view_time_entries\n- :edit_time_entries\n- :edit_own_time_entries\n- :manage_project_activities\n- :manage_wiki\n- :rename_wiki_pages\n- :delete_wiki_pages\n- :view_wiki_pages\n- :export_wiki_pages\n- :view_wiki_edits\n- :edit_wiki_pages\n- :delete_wiki_pages_attachments\n- :protect_wiki_pages\n','all'),(4,'Developer',5,1,0,'---\n- :add_project\n- :manage_versions\n- :projects_attachments_download\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :paret_in_homework\n- :select_contest_modules\n- :quote_project\n- :contest_attachments_download\n- :manage_contestnotifications\n- :notificationcomment_contestnotifications\n- :manage_boards\n- :add_messages\n- :edit_own_messages\n- :delete_own_messages\n- :view_calendar\n- :manage_files\n- :view_files\n- :view_gantt\n- :manage_categories\n- :view_issues\n- :add_issues\n- :edit_issues\n- :manage_issue_relations\n- :manage_subtasks\n- :set_issues_private\n- :set_own_issues_private\n- :add_issue_notes\n- :edit_issue_notes\n- :edit_own_issue_notes\n- :view_private_notes\n- :set_notes_private\n- :move_issues\n- :delete_issues\n- :manage_public_queries\n- :save_queries\n- :view_issue_watchers\n- :add_issue_watchers\n- :delete_issue_watchers\n- :manage_repository\n- :browse_repository\n- :view_changesets\n- :commit_access\n- :manage_related_issues\n','all'),(5,'Reporter',4,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :manage_boards\n- :add_messages\n- :edit_own_messages\n- :delete_own_messages\n- :view_calendar\n- :view_code_review\n- :manage_files\n- :view_files\n- :view_gantt\n- :view_issues\n- :add_issues\n- :edit_issues\n- :add_issue_notes\n- :edit_own_issue_notes\n- :save_queries\n- :comment_news\n- :browse_repository\n- :view_wiki_pages\n- :export_wiki_pages\n- :view_wiki_edits\n- :edit_wiki_pages\n- :delete_wiki_pages_attachments\n','all'),(7,'TeachingAsistant',6,1,0,'---\n- :add_project\n- :edit_project\n- :manage_members\n- :projects_attachments_download\n- :as_teacher\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :manage_boards\n- :add_messages\n- :edit_own_messages\n- :delete_messages\n- :delete_own_messages\n- :view_calendar\n- :view_documents\n- :manage_files\n- :view_files\n- :view_gantt\n- :view_issues\n- :add_issues\n- :add_issue_notes\n- :save_queries\n- :manage_news\n- :comment_news\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :export_wiki_pages\n- :view_wiki_edits\n- :edit_wiki_pages\n- :delete_wiki_pages_attachments\n','default'),(9,'Teacher',7,1,0,'---\n- :upload_attachments\n- :memos_attachments_download\n- :add_project\n- :edit_project\n- :close_project\n- :select_project_modules\n- :manage_members\n- :manage_versions\n- :add_subprojects\n- :projects_attachments_download\n- :as_teacher\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :manage_boards\n- :add_messages\n- :edit_messages\n- :edit_own_messages\n- :delete_messages\n- :delete_own_messages\n- :view_calendar\n- :add_documents\n- :edit_documents\n- :delete_documents\n- :view_documents\n- :manage_files\n- :view_files\n- :view_gantt\n- :manage_categories\n- :view_issues\n- :add_issues\n- :edit_issues\n- :manage_issue_relations\n- :manage_subtasks\n- :set_issues_private\n- :set_own_issues_private\n- :add_issue_notes\n- :edit_own_issue_notes\n- :view_private_notes\n- :set_notes_private\n- :move_issues\n- :delete_issues\n- :manage_public_queries\n- :save_queries\n- :view_issue_watchers\n- :add_issue_watchers\n- :delete_issue_watchers\n- :manage_news\n- :comment_news\n- :manage_repository\n- :browse_repository\n- :view_changesets\n- :commit_access\n- :manage_related_issues\n- :log_time\n- :view_time_entries\n- :edit_time_entries\n- :edit_own_time_entries\n- :manage_project_activities\n- :manage_wiki\n- :rename_wiki_pages\n- :delete_wiki_pages\n- :view_wiki_pages\n- :export_wiki_pages\n- :view_wiki_edits\n- :edit_wiki_pages\n- :delete_wiki_pages_attachments\n- :protect_wiki_pages\n','default'),(10,'Student',9,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :as_student\n- :add_course\n- :edit_course\n- :close_course\n- :select_course_modules\n- :view_course_journals_for_messages\n- :course_attachments_download\n- :view_course_files\n- :view_homework_attaches\n- :paret_in_homework\n- :manage_boards\n- :add_messages\n- :edit_own_messages\n- :delete_own_messages\n- :view_calendar\n- :view_documents\n- :manage_files\n- :view_files\n- :view_gantt\n- :view_issues\n- :add_issues\n- :add_issue_notes\n- :save_queries\n- :comment_news\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n','default'),(11,'orgManager',8,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :add_messages\n- :delete_own_messages\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :comment_news\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n','default'),(12,'orgMember',10,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :add_messages\n- :delete_own_messages\n- :view_calendar\n- :view_documents\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :comment_news\n- :browse_repository\n- :view_changesets\n- :view_time_entries\n- :view_wiki_pages\n- :view_wiki_edits\n','default'),(13,'ContestManager',11,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :select_contest_modules\n- :quote_project\n- :contest_attachments_download\n- :manage_contestnotifications\n- :notificationcomment_contestnotifications\n- :manage_boards\n- :add_messages\n- :edit_messages\n- :edit_own_messages\n- :delete_messages\n- :delete_own_messages\n- :view_calendar\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :browse_repository\n- :view_changesets\n','default'),(14,'Judge',12,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :select_contest_modules\n- :quote_project\n- :contest_attachments_download\n- :manage_contestnotifications\n- :notificationcomment_contestnotifications\n- :manage_boards\n- :add_messages\n- :edit_messages\n- :edit_own_messages\n- :delete_own_messages\n- :view_calendar\n- :manage_files\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :browse_repository\n- :view_changesets\n','default'),(15,'Contestant',13,1,0,'---\n- :add_project\n- :projects_attachments_download\n- :add_course\n- :course_attachments_download\n- :view_course_files\n- :select_contest_modules\n- :quote_project\n- :contest_attachments_download\n- :notificationcomment_contestnotifications\n- :add_messages\n- :edit_own_messages\n- :delete_own_messages\n- :view_calendar\n- :manage_files\n- :view_files\n- :view_gantt\n- :view_issues\n- :save_queries\n- :browse_repository\n- :view_changesets\n','default');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `run_code_messages`
--

DROP TABLE IF EXISTS `run_code_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `run_code_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `status` int DEFAULT NULL,
  `message` varchar(255) DEFAULT NULL,
  `game_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_run_code_messages_on_game_id` (`game_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `run_code_messages`
--

LOCK TABLES `run_code_messages` WRITE;
/*!40000 ALTER TABLE `run_code_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `run_code_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schema_migrations`
--

DROP TABLE IF EXISTS `schema_migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `schema_migrations` (
  `version` varchar(255) NOT NULL,
  UNIQUE KEY `unique_schema_migrations` (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `schema_migrations`
--

LOCK TABLES `schema_migrations` WRITE;
/*!40000 ALTER TABLE `schema_migrations` DISABLE KEYS */;
INSERT INTO `schema_migrations` VALUES ('20191212110933'),('20191213091840'),('20191218015959'),('20191218022602'),('20191218023731'),('20191218024615'),('20191218092812'),('20191218105120'),('20191220085002'),('20191220085133'),('20191220085352'),('20191220092618'),('20191223031855'),('20191223063139'),('20191224064403'),('20191225073843'),('20191225125634'),('20191227013202'),('20191227084951'),('20191227090611'),('20191227105755'),('20191227140150'),('20191227162744'),('20200103062707'),('20200103062807'),('20200103113839'),('20200106022157'),('20200106022235'),('20200106082806'),('20200106093141'),('20200108015358'),('20200108025756'),('20200108031646'),('20200108071622'),('20200108082955'),('20200117032213'),('20200210071320'),('20200210074241'),('20200210111249'),('20200210111308'),('20200212055807'),('20200213090203'),('20200213094050'),('20200220063545'),('20200220075242'),('20200317160914'),('20200416154625'),('20200417094626'),('20200421092002'),('20200429085544'),('20200513080857'),('20200515024117'),('20200515080705'),('20200515082628'),('20200518065521'),('20200518081445'),('20200518090640'),('20200518092612'),('20200521090205'),('20200521093338'),('20200525021613'),('20200525054200'),('20200609100407'),('20200610071625'),('20200629020618'),('20200629081111'),('20200708114354'),('20200709061656'),('20200710124116'),('20200713150706'),('20200714014513'),('20200714032759'),('20200714072948'),('20200714112206'),('20200715075831'),('20200715152711'),('20200716060536'),('20200717015216'),('20200731073851'),('20200813144941'),('20200813150315'),('20200828021007'),('20200828022021'),('20200904074907'),('20200925090122'),('20200927023922'),('20200929062837'),('20201004034434'),('20201004070431'),('20201019082617'),('20201019104433'),('20201020071758'),('20201020083709'),('20201020093834'),('20201021031915'),('20201021033117'),('20201021041202'),('20201021070524'),('20201021080638'),('20201022164823'),('20201023025821'),('20201104034658'),('20201130081039'),('20201230054355'),('20210108015318'),('20210108055023'),('20210108062016'),('20210111013512'),('20210111065934'),('20210111065954'),('20210111093008'),('20210111093016'),('20210111093024'),('20210111093200'),('20210112053516'),('20210118011710'),('20210119025745'),('20210120081821'),('20210122052755'),('20210126071814'),('20210202034128'),('20210202100517'),('20210315093350'),('20210317012035'),('20210322084619'),('20210408070123'),('20210419023310'),('20210425032825'),('20210429095016'),('20210429100619'),('20210514024444'),('20210527024043'),('20210531100250'),('20210603020327'),('20210609072904'),('20210615063727'),('20210617081433'),('20210621090005'),('20210624101058');
/*!40000 ALTER TABLE `schema_migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` text,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_settings_on_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shares`
--

DROP TABLE IF EXISTS `shares`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shares` (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_on` date DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `share_type` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `project_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shares`
--

LOCK TABLES `shares` WRITE;
/*!40000 ALTER TABLE `shares` DISABLE KEYS */;
/*!40000 ALTER TABLE `shares` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shield_activities`
--

DROP TABLE IF EXISTS `shield_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shield_activities` (
  `id` int NOT NULL AUTO_INCREMENT,
  `container_type` varchar(255) DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `shield_type` varchar(255) DEFAULT NULL,
  `shield_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shield_activities`
--

LOCK TABLES `shield_activities` WRITE;
/*!40000 ALTER TABLE `shield_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `shield_activities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shield_wechat_messages`
--

DROP TABLE IF EXISTS `shield_wechat_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `shield_wechat_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `shield_id` int DEFAULT NULL,
  `shield_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shield_wechat_messages`
--

LOCK TABLES `shield_wechat_messages` WRITE;
/*!40000 ALTER TABLE `shield_wechat_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `shield_wechat_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sites`
--

DROP TABLE IF EXISTS `sites`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sites` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '中文名称',
  `url` varchar(255) DEFAULT NULL COMMENT '具体链接',
  `key` varchar(255) DEFAULT NULL COMMENT '标识',
  `site_type` int DEFAULT NULL COMMENT '分类，按照分类编排链接',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sites`
--

LOCK TABLES `sites` WRITE;
/*!40000 ALTER TABLE `sites` DISABLE KEYS */;
INSERT INTO `sites` VALUES (1,'新建镜像项目','/projects/mirror/new','add_mirror_project',0,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(2,'新建托管项目','/projects/deposit/new','add_common',0,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(3,'新建组织','/organize/new','add_r',0,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(4,'个人中心','/users/current_user','my_page',1,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(5,'我的组织','/users/current_user/organizes','my_organizes',1,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(6,'通知','/users/current_user/user_messages','notice',2,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(7,'找回密码','/account/lost_password','lost_password',2,'2021-08-27 08:51:45','2021-08-27 08:51:45'),(8,'注册','/login?login=false','register',2,'2021-08-27 08:51:45','2021-08-27 08:51:45');
/*!40000 ALTER TABLE `sites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `softapplications`
--

DROP TABLE IF EXISTS `softapplications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `softapplications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `app_type_id` int DEFAULT NULL,
  `app_type_name` varchar(255) DEFAULT NULL,
  `android_min_version_available` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `contest_id` int DEFAULT NULL,
  `softapplication_id` int DEFAULT NULL,
  `is_public` int DEFAULT NULL,
  `application_developers` varchar(255) DEFAULT NULL,
  `deposit_project_url` varchar(255) DEFAULT NULL,
  `deposit_project` varchar(255) DEFAULT NULL,
  `project_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `softapplications`
--

LOCK TABLES `softapplications` WRITE;
/*!40000 ALTER TABLE `softapplications` DISABLE KEYS */;
/*!40000 ALTER TABLE `softapplications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sonar_errors`
--

DROP TABLE IF EXISTS `sonar_errors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sonar_errors` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int DEFAULT NULL,
  `jenkins_job_name` varchar(255) DEFAULT NULL,
  `output` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sonar_errors`
--

LOCK TABLES `sonar_errors` WRITE;
/*!40000 ALTER TABLE `sonar_errors` DISABLE KEYS */;
/*!40000 ALTER TABLE `sonar_errors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ssos`
--

DROP TABLE IF EXISTS `ssos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ssos` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `openid` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `sex` int DEFAULT NULL,
  `school` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_ssos_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ssos`
--

LOCK TABLES `ssos` WRITE;
/*!40000 ALTER TABLE `ssos` DISABLE KEYS */;
/*!40000 ALTER TABLE `ssos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subject_members`
--

DROP TABLE IF EXISTS `subject_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subject_members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `subject_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `role` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `position` int DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `index_subject_members_on_subject_id` (`subject_id`),
  KEY `index_subject_members_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subject_members`
--

LOCK TABLES `subject_members` WRITE;
/*!40000 ALTER TABLE `subject_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `subject_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subject_records`
--

DROP TABLE IF EXISTS `subject_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subject_records` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `subject_id` bigint DEFAULT NULL,
  `study_count` int DEFAULT '0',
  `course_study_count` int DEFAULT '0',
  `initiative_study` int DEFAULT '0',
  `passed_count` int DEFAULT '0',
  `course_used_count` int DEFAULT '0',
  `school_used_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_subject_records_on_subject_id` (`subject_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subject_records`
--

LOCK TABLES `subject_records` WRITE;
/*!40000 ALTER TABLE `subject_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `subject_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `subjects`
--

DROP TABLE IF EXISTS `subjects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subjects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `user_id` int DEFAULT NULL,
  `visits` int DEFAULT '1',
  `status` int DEFAULT '0',
  `course_list_id` int DEFAULT NULL,
  `major_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `hidden` tinyint(1) DEFAULT '0',
  `learning_notes` text,
  `introduction` varchar(255) DEFAULT NULL,
  `stages_count` int DEFAULT '0',
  `stage_shixuns_count` int DEFAULT '0',
  `homepage_show` tinyint(1) DEFAULT '0',
  `repertoire_id` int DEFAULT NULL,
  `score_count` int DEFAULT NULL,
  `shixuns_count` int DEFAULT '0',
  `publish_time` datetime DEFAULT NULL,
  `subject_level_system_id` int DEFAULT NULL,
  `student_count` int DEFAULT '0',
  `participant_count` int DEFAULT '0',
  `team_title` varchar(255) DEFAULT '教学团队',
  `copy_subject_id` int DEFAULT NULL,
  `public` int DEFAULT '0',
  `show_mobile` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_subjects_on_user_id` (`user_id`),
  KEY `index_subjects_on_course_list_id` (`course_list_id`),
  KEY `index_subjects_on_major_id` (`major_id`),
  KEY `index_subjects_on_subject_level_system_id` (`subject_level_system_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `subjects`
--

LOCK TABLES `subjects` WRITE;
/*!40000 ALTER TABLE `subjects` DISABLE KEYS */;
/*!40000 ALTER TABLE `subjects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system_messages`
--

DROP TABLE IF EXISTS `system_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `description` text,
  `subject` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_messages`
--

LOCK TABLES `system_messages` WRITE;
/*!40000 ALTER TABLE `system_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system_update_notices`
--

DROP TABLE IF EXISTS `system_update_notices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `system_update_notices` (
  `id` int NOT NULL AUTO_INCREMENT,
  `subject` varchar(255) DEFAULT NULL,
  `notes` text,
  `start_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `notice_type` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system_update_notices`
--

LOCK TABLES `system_update_notices` WRITE;
/*!40000 ALTER TABLE `system_update_notices` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_update_notices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tag_discipline_containers`
--

DROP TABLE IF EXISTS `tag_discipline_containers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tag_discipline_containers` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `tag_discipline_id` bigint DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_tag_discipline_containers_on_tag_discipline_id` (`tag_discipline_id`),
  KEY `index_on_container` (`container_type`,`container_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tag_discipline_containers`
--

LOCK TABLES `tag_discipline_containers` WRITE;
/*!40000 ALTER TABLE `tag_discipline_containers` DISABLE KEYS */;
/*!40000 ALTER TABLE `tag_discipline_containers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tag_disciplines`
--

DROP TABLE IF EXISTS `tag_disciplines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tag_disciplines` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `sub_discipline_id` bigint DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `subject` tinyint(1) DEFAULT '1',
  `shixun` tinyint(1) DEFAULT '1',
  `question` tinyint(1) DEFAULT '1',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_id` int DEFAULT NULL,
  `position` int DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_tag_disciplines_on_sub_discipline_id` (`sub_discipline_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tag_disciplines`
--

LOCK TABLES `tag_disciplines` WRITE;
/*!40000 ALTER TABLE `tag_disciplines` DISABLE KEYS */;
/*!40000 ALTER TABLE `tag_disciplines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tag_repertoires`
--

DROP TABLE IF EXISTS `tag_repertoires`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tag_repertoires` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `sub_repertoire_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tag_repertoires`
--

LOCK TABLES `tag_repertoires` WRITE;
/*!40000 ALTER TABLE `tag_repertoires` DISABLE KEYS */;
/*!40000 ALTER TABLE `tag_repertoires` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `taggings`
--

DROP TABLE IF EXISTS `taggings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `taggings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `tag_id` int DEFAULT NULL,
  `taggable_id` int DEFAULT NULL,
  `taggable_type` varchar(255) DEFAULT NULL,
  `tagger_id` int DEFAULT NULL,
  `tagger_type` varchar(255) DEFAULT NULL,
  `context` varchar(128) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `taggings_idx` (`tag_id`,`taggable_id`,`taggable_type`,`context`,`tagger_id`,`tagger_type`),
  KEY `index_taggings_on_taggable_type` (`taggable_type`),
  KEY `index_taggings_on_taggable_id_and_taggable_type_and_context` (`taggable_id`,`taggable_type`,`context`),
  KEY `index_taggings_on_tag_id` (`tag_id`),
  KEY `index_taggings_on_taggable_id` (`taggable_id`),
  KEY `index_taggings_on_tagger_id` (`tagger_id`),
  KEY `index_taggings_on_context` (`context`),
  KEY `index_taggings_on_tagger_id_and_tagger_type` (`tagger_id`,`tagger_type`),
  KEY `taggings_idy` (`taggable_id`,`taggable_type`,`tagger_id`,`context`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taggings`
--

LOCK TABLES `taggings` WRITE;
/*!40000 ALTER TABLE `taggings` DISABLE KEYS */;
/*!40000 ALTER TABLE `taggings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `taggings_count` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teacher_course_groups`
--

DROP TABLE IF EXISTS `teacher_course_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teacher_course_groups` (
  `id` int NOT NULL AUTO_INCREMENT,
  `member_id` int DEFAULT NULL,
  `course_group_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `course_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `course_member_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_teacher_course_groups_on_course_group_id` (`course_group_id`),
  KEY `index_teacher_course_groups_on_user_id` (`user_id`),
  KEY `index_teacher_course_groups_on_course_id` (`course_id`),
  KEY `index_teacher_course_groups_on_course_member_id` (`course_member_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teacher_course_groups`
--

LOCK TABLES `teacher_course_groups` WRITE;
/*!40000 ALTER TABLE `teacher_course_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `teacher_course_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `team_members`
--

DROP TABLE IF EXISTS `team_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `team_members` (
  `id` int NOT NULL AUTO_INCREMENT,
  `competition_team_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `role` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `competition_id` int DEFAULT NULL,
  `is_teacher` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_team_members_on_competition_team_id` (`competition_team_id`),
  KEY `index_team_members_on_user_id` (`user_id`),
  KEY `index_team_members_on_competition_id` (`competition_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `team_members`
--

LOCK TABLES `team_members` WRITE;
/*!40000 ALTER TABLE `team_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `team_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `team_projects`
--

DROP TABLE IF EXISTS `team_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `team_projects` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `organization_id` bigint DEFAULT NULL,
  `project_id` bigint DEFAULT NULL,
  `team_id` bigint DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_team_projects_on_organization_id` (`organization_id`),
  KEY `index_team_projects_on_project_id` (`project_id`),
  KEY `index_team_projects_on_team_id` (`team_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `team_projects`
--

LOCK TABLES `team_projects` WRITE;
/*!40000 ALTER TABLE `team_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `team_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `team_units`
--

DROP TABLE IF EXISTS `team_units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `team_units` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `organization_id` bigint DEFAULT NULL,
  `team_id` bigint DEFAULT NULL,
  `unit_type` int DEFAULT NULL COMMENT '访问单元类型',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_team_units_on_organization_id` (`organization_id`),
  KEY `index_team_units_on_team_id` (`team_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `team_units`
--

LOCK TABLES `team_units` WRITE;
/*!40000 ALTER TABLE `team_units` DISABLE KEYS */;
/*!40000 ALTER TABLE `team_units` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `team_users`
--

DROP TABLE IF EXISTS `team_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `team_users` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `organization_id` bigint DEFAULT NULL,
  `team_id` bigint DEFAULT NULL,
  `user_id` bigint DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_team_users_on_organization_id` (`organization_id`),
  KEY `index_team_users_on_team_id` (`team_id`),
  KEY `index_team_users_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `team_users`
--

LOCK TABLES `team_users` WRITE;
/*!40000 ALTER TABLE `team_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `team_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `organization_id` bigint DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '团队名称',
  `description` varchar(255) DEFAULT NULL COMMENT '团队描述',
  `authorize` int DEFAULT '0' COMMENT '团队权限',
  `num_projects` int DEFAULT '0' COMMENT '团队项目数量',
  `num_users` int DEFAULT '0' COMMENT '团队成员数量',
  `includes_all_project` tinyint(1) DEFAULT '0' COMMENT '团队是否拥有所有项目',
  `can_create_org_project` tinyint(1) DEFAULT '0' COMMENT '团队是否能创建项目',
  `gtid` int DEFAULT NULL COMMENT '团队在gitea里的id',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_teams_on_organization_id` (`organization_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tidings`
--

DROP TABLE IF EXISTS `tidings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tidings` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `trigger_user_id` int DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `parent_container_id` int DEFAULT NULL,
  `parent_container_type` varchar(255) DEFAULT NULL,
  `belong_container_id` int DEFAULT NULL,
  `belong_container_type` varchar(255) DEFAULT NULL,
  `status` int DEFAULT '0',
  `viewed` tinyint(1) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `tiding_type` varchar(255) DEFAULT NULL,
  `extra` varchar(255) DEFAULT NULL,
  `is_delete` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_tidings_on_user_id` (`user_id`),
  KEY `index_tidings_on_container_id` (`container_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tidings`
--

LOCK TABLES `tidings` WRITE;
/*!40000 ALTER TABLE `tidings` DISABLE KEYS */;
/*!40000 ALTER TABLE `tidings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `time_entries`
--

DROP TABLE IF EXISTS `time_entries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `time_entries` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `user_id` int NOT NULL,
  `issue_id` int DEFAULT NULL,
  `hours` float NOT NULL,
  `comments` varchar(255) DEFAULT NULL,
  `activity_id` int NOT NULL,
  `spent_on` date NOT NULL,
  `tyear` int NOT NULL,
  `tmonth` int NOT NULL,
  `tweek` int NOT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `time_entries_project_id` (`project_id`),
  KEY `time_entries_issue_id` (`issue_id`),
  KEY `index_time_entries_on_activity_id` (`activity_id`),
  KEY `index_time_entries_on_user_id` (`user_id`),
  KEY `index_time_entries_on_created_on` (`created_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `time_entries`
--

LOCK TABLES `time_entries` WRITE;
/*!40000 ALTER TABLE `time_entries` DISABLE KEYS */;
/*!40000 ALTER TABLE `time_entries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tokens`
--

DROP TABLE IF EXISTS `tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tokens` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL DEFAULT '0',
  `action` varchar(30) NOT NULL DEFAULT '',
  `value` varchar(40) NOT NULL DEFAULT '',
  `created_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tokens_value` (`value`),
  KEY `index_tokens_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tokens`
--

LOCK TABLES `tokens` WRITE;
/*!40000 ALTER TABLE `tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trackers`
--

DROP TABLE IF EXISTS `trackers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `trackers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `is_in_chlog` tinyint(1) NOT NULL DEFAULT '0',
  `position` int DEFAULT '1',
  `is_in_roadmap` tinyint(1) NOT NULL DEFAULT '1',
  `fields_bits` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trackers`
--

LOCK TABLES `trackers` WRITE;
/*!40000 ALTER TABLE `trackers` DISABLE KEYS */;
INSERT INTO `trackers` VALUES (1,'缺陷',1,1,1,0),(2,'功能',1,2,1,0),(3,'支持',0,3,1,0),(4,'任务',0,4,1,0),(5,'周报',0,5,1,0);
/*!40000 ALTER TABLE `trackers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trustie_hackathons`
--

DROP TABLE IF EXISTS `trustie_hackathons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `trustie_hackathons` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `trustie_hacks_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trustie_hackathons`
--

LOCK TABLES `trustie_hackathons` WRITE;
/*!40000 ALTER TABLE `trustie_hackathons` DISABLE KEYS */;
/*!40000 ALTER TABLE `trustie_hackathons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trustie_hacks`
--

DROP TABLE IF EXISTS `trustie_hacks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `trustie_hacks` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `user_id` bigint DEFAULT NULL,
  `hack_users_count` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `trustie_hackathon_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_trustie_hacks_on_user_id` (`user_id`),
  KEY `index_trustie_hacks_on_trustie_hackathon_id` (`trustie_hackathon_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trustie_hacks`
--

LOCK TABLES `trustie_hacks` WRITE;
/*!40000 ALTER TABLE `trustie_hacks` DISABLE KEYS */;
/*!40000 ALTER TABLE `trustie_hacks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_actions`
--

DROP TABLE IF EXISTS `user_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_actions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `action_type` varchar(255) DEFAULT NULL,
  `action_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `ip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_actions_on_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_actions`
--

LOCK TABLES `user_actions` WRITE;
/*!40000 ALTER TABLE `user_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_activities`
--

DROP TABLE IF EXISTS `user_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_activities` (
  `id` int NOT NULL AUTO_INCREMENT,
  `act_type` varchar(255) DEFAULT NULL,
  `act_id` int DEFAULT NULL,
  `container_type` varchar(255) DEFAULT NULL,
  `container_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `user_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_act_index` (`act_id`,`act_type`,`container_id`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_activities`
--

LOCK TABLES `user_activities` WRITE;
/*!40000 ALTER TABLE `user_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_activities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_agents`
--

DROP TABLE IF EXISTS `user_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_agents` (
  `id` int NOT NULL AUTO_INCREMENT,
  `agent_type` varchar(255) DEFAULT NULL,
  `key` varchar(255) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `register_status` int DEFAULT '0',
  `action_status` int DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_user_agents_on_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_agents`
--

LOCK TABLES `user_agents` WRITE;
/*!40000 ALTER TABLE `user_agents` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_agents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_day_certifications`
--

DROP TABLE IF EXISTS `user_day_certifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_day_certifications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `status` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_day_certifications_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_day_certifications`
--

LOCK TABLES `user_day_certifications` WRITE;
/*!40000 ALTER TABLE `user_day_certifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_day_certifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_extensions`
--

DROP TABLE IF EXISTS `user_extensions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_extensions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `birthday` date DEFAULT NULL,
  `brief_introduction` varchar(255) DEFAULT NULL,
  `gender` int DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `occupation` varchar(255) DEFAULT NULL,
  `work_experience` int DEFAULT NULL,
  `zip_code` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `technical_title` varchar(255) DEFAULT NULL,
  `identity` int DEFAULT NULL,
  `student_id` varchar(255) DEFAULT NULL,
  `teacher_realname` varchar(255) DEFAULT NULL,
  `student_realname` varchar(255) DEFAULT NULL,
  `location_city` varchar(255) DEFAULT NULL,
  `school_id` int DEFAULT NULL,
  `description` varchar(255) DEFAULT '',
  `department_id` int DEFAULT NULL,
  `province` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `custom_department` varchar(255) DEFAULT NULL,
  `show_email` tinyint(1) DEFAULT '0',
  `show_location` tinyint(1) DEFAULT '0',
  `show_department` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_user_extensions_on_user_id` (`user_id`),
  KEY `index_user_extensions_on_department_id` (`department_id`),
  KEY `index_user_extensions_on_school_id_and_user_id` (`school_id`,`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_extensions`
--

LOCK TABLES `user_extensions` WRITE;
/*!40000 ALTER TABLE `user_extensions` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_extensions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_feedback_messages`
--

DROP TABLE IF EXISTS `user_feedback_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_feedback_messages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `journals_for_message_id` int DEFAULT NULL,
  `journals_for_message_type` varchar(255) DEFAULT NULL,
  `viewed` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_feedback_messages_on_user_id_and_created_at` (`user_id`,`created_at`),
  KEY `index_user_feedback_messages_on_journals_for_message_id` (`journals_for_message_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_feedback_messages`
--

LOCK TABLES `user_feedback_messages` WRITE;
/*!40000 ALTER TABLE `user_feedback_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_feedback_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_grades`
--

DROP TABLE IF EXISTS `user_grades`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_grades` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `project_id` int NOT NULL,
  `grade` float DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_grades_on_grade` (`grade`),
  KEY `index_user_grades_on_project_id` (`project_id`),
  KEY `index_user_grades_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_grades`
--

LOCK TABLES `user_grades` WRITE;
/*!40000 ALTER TABLE `user_grades` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_grades` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_hidden_modules`
--

DROP TABLE IF EXISTS `user_hidden_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_hidden_modules` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `module_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_hidden_modules_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_hidden_modules`
--

LOCK TABLES `user_hidden_modules` WRITE;
/*!40000 ALTER TABLE `user_hidden_modules` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_hidden_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_interests`
--

DROP TABLE IF EXISTS `user_interests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_interests` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` bigint DEFAULT NULL,
  `repertoire_id` bigint DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_interests_on_user_id` (`user_id`),
  KEY `index_user_interests_on_repertoire_id` (`repertoire_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_interests`
--

LOCK TABLES `user_interests` WRITE;
/*!40000 ALTER TABLE `user_interests` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_interests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_levels`
--

DROP TABLE IF EXISTS `user_levels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_levels` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `level` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_levels`
--

LOCK TABLES `user_levels` WRITE;
/*!40000 ALTER TABLE `user_levels` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_levels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_preferences`
--

DROP TABLE IF EXISTS `user_preferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_preferences` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL DEFAULT '0',
  `others` text,
  `hide_mail` tinyint(1) DEFAULT '0',
  `time_zone` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_preferences_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_preferences`
--

LOCK TABLES `user_preferences` WRITE;
/*!40000 ALTER TABLE `user_preferences` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_preferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_score_details`
--

DROP TABLE IF EXISTS `user_score_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_score_details` (
  `id` int NOT NULL AUTO_INCREMENT,
  `current_user_id` int DEFAULT NULL,
  `target_user_id` int DEFAULT NULL,
  `score_type` varchar(255) DEFAULT NULL,
  `score_action` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `old_score` int DEFAULT NULL,
  `new_score` int DEFAULT NULL,
  `current_user_level` int DEFAULT NULL,
  `target_user_level` int DEFAULT NULL,
  `score_changeable_obj_id` int DEFAULT NULL,
  `score_changeable_obj_type` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_score_details`
--

LOCK TABLES `user_score_details` WRITE;
/*!40000 ALTER TABLE `user_score_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_score_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_scores`
--

DROP TABLE IF EXISTS `user_scores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_scores` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `collaboration` int DEFAULT NULL,
  `influence` int DEFAULT NULL,
  `skill` int DEFAULT NULL,
  `active` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_scores`
--

LOCK TABLES `user_scores` WRITE;
/*!40000 ALTER TABLE `user_scores` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_scores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_searches`
--

DROP TABLE IF EXISTS `user_searches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_searches` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `search_type` int DEFAULT NULL,
  `subject` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_searches_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_searches`
--

LOCK TABLES `user_searches` WRITE;
/*!40000 ALTER TABLE `user_searches` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_searches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_sources`
--

DROP TABLE IF EXISTS `user_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_sources` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `uuid` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_user_sources_on_type_and_uuid` (`type`,`uuid`),
  KEY `index_user_sources_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_sources`
--

LOCK TABLES `user_sources` WRITE;
/*!40000 ALTER TABLE `user_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_statuses`
--

DROP TABLE IF EXISTS `user_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_statuses` (
  `id` int NOT NULL AUTO_INCREMENT,
  `changesets_count` int DEFAULT NULL,
  `watchers_count` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `grade` float DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `index_user_statuses_on_changesets_count` (`changesets_count`),
  KEY `index_user_statuses_on_watchers_count` (`watchers_count`),
  KEY `index_user_statuses_on_grade` (`grade`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_statuses`
--

LOCK TABLES `user_statuses` WRITE;
/*!40000 ALTER TABLE `user_statuses` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_system_notices`
--

DROP TABLE IF EXISTS `user_system_notices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_system_notices` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `notice_type` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_user_system_notices_on_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_system_notices`
--

LOCK TABLES `user_system_notices` WRITE;
/*!40000 ALTER TABLE `user_system_notices` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_system_notices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_wechats`
--

DROP TABLE IF EXISTS `user_wechats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_wechats` (
  `id` int NOT NULL AUTO_INCREMENT,
  `subscribe` int DEFAULT NULL,
  `openid` varchar(255) DEFAULT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  `sex` int DEFAULT NULL,
  `language` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `province` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `headimgurl` varchar(255) DEFAULT NULL,
  `subscribe_time` varchar(255) DEFAULT NULL,
  `unionid` varchar(255) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL,
  `groupid` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `bindtype` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_wechats`
--

LOCK TABLES `user_wechats` WRITE;
/*!40000 ALTER TABLE `user_wechats` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_wechats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` int NOT NULL AUTO_INCREMENT,
  `login` varchar(255) NOT NULL DEFAULT '',
  `hashed_password` varchar(40) NOT NULL DEFAULT '',
  `firstname` varchar(30) NOT NULL DEFAULT '',
  `lastname` varchar(255) NOT NULL DEFAULT '',
  `mail` varchar(60) DEFAULT NULL,
  `admin` tinyint(1) NOT NULL DEFAULT '0',
  `status` int NOT NULL DEFAULT '1',
  `last_login_on` datetime DEFAULT NULL,
  `language` varchar(5) DEFAULT '',
  `auth_source_id` int DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `identity_url` varchar(255) DEFAULT NULL,
  `mail_notification` varchar(255) NOT NULL DEFAULT '',
  `salt` varchar(64) DEFAULT NULL,
  `gid` int DEFAULT NULL,
  `visits` int DEFAULT '0',
  `excellent_teacher` int DEFAULT '0',
  `excellent_student` int DEFAULT '0',
  `phone` varchar(255) DEFAULT NULL,
  `authentication` tinyint(1) DEFAULT '0',
  `grade` int DEFAULT '0',
  `experience` int DEFAULT '0',
  `nickname` varchar(255) DEFAULT NULL,
  `show_realname` tinyint(1) DEFAULT '1',
  `professional_certification` tinyint(1) DEFAULT '0',
  `ID_number` varchar(255) DEFAULT NULL,
  `certification` int DEFAULT '0',
  `homepage_teacher` tinyint(1) DEFAULT '0',
  `homepage_engineer` tinyint(1) DEFAULT '0',
  `is_test` tinyint DEFAULT '0',
  `ecoder_user_id` int DEFAULT '0',
  `business` tinyint(1) DEFAULT '0',
  `profile_completed` tinyint(1) DEFAULT '0',
  `laboratory_id` bigint DEFAULT NULL,
  `platform` varchar(255) DEFAULT '0',
  `gitea_token` varchar(255) DEFAULT NULL,
  `gitea_uid` int DEFAULT NULL,
  `is_shixun_marker` tinyint(1) DEFAULT '0',
  `is_sync_pwd` tinyint(1) DEFAULT '1',
  `watchers_count` int DEFAULT '0',
  `devops_step` int DEFAULT '0' COMMENT '0: uninit devops; 1: unverified; 2: verified',
  PRIMARY KEY (`id`),
  KEY `index_users_on_homepage_engineer` (`homepage_engineer`),
  KEY `index_users_on_homepage_teacher` (`homepage_teacher`),
  KEY `index_users_on_ecoder_user_id` (`ecoder_user_id`),
  KEY `index_users_on_laboratory_id` (`laboratory_id`),
  KEY `index_users_on_login` (`login`),
  KEY `index_users_on_mail` (`mail`),
  KEY `index_users_on_type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'','','','Anonymous','358551897@qq.com',0,0,NULL,'',NULL,'2021-08-27 08:57:14','2021-08-27 08:57:14','AnonymousUser',NULL,'',NULL,NULL,0,0,0,'13333333333',0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge',NULL,NULL,0,1,0,0),(2,'ZnyasTFN','1d3dd001b5f65bee7817c118024721c2e6cdd879','','','ZnyasTFN@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','6aa50de7150db13ba4d8e6ad49e40439',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d0918589184a0f53f273819d91d7aeb7f8d07b1f',41579,0,1,0,0),(3,'DxvLwRYF','c15e7e755319d866c5456a405c4df02790a847c3','','','DxvLwRYF@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','d4bcb8c3560cb56bb6d19d3138afa19e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','39ceff555d804275ae8b8204f9bf5b8f2cebdf3b',41580,0,1,0,0),(4,'Zpxuokf9','83dda2f13b6a335afe6ed6d2f163419f91b256d0','','','Zpxuokf9@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a02723dc3d4d2570d41235f5e04c66c2',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','4b7fd4d1f7b01797172173a9c804aa6ee96b98b7',41581,0,1,0,0),(5,'OxvEgfSs','4217333234131bf6571dc779aa24feefc7315833','','','OxvEgfSs@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','dcb809642d279c3cc00816f6cc9c28c3',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c0b698259781c44cfd19922809570192c671169a',41582,0,1,0,0),(6,'T6yhtVbf','cd6a5a8d6d4158c4daf8b9f796214472452a675a','','','T6yhtVbf@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a95862fe0d7328ca8ab46e4f1857ccdb',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','720fec8be622e482bcb1494600caf263c2d1799f',41583,0,1,0,0),(7,'v7VlJ1zM','05dc92145075df62d02c3ee56c6df571d51a3316','','','v7VlJ1zM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','9c1a0860465ab617d1ea098bff58251e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d374325f963a8d0f0e4261c40a894f88df22d215',41584,0,1,0,0),(8,'jKeAkiRy','24ffb105d9be14a0bccd34ebc309b69ab5d6ca37','','','jKeAkiRy@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','0e7bcb8a4758aec20ec5ceb8cfec2e21',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','792fa69238235d32fa4c211b49a88b102d6c37f3',41585,0,1,0,0),(9,'mGKx2CQU','bf4ae2350ef6f887fb7fb8f8b72bd64377708c49','','','mGKx2CQU@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','fa09c02ffefde54c47d5ceb41685ff7e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','3c78a3f3fa4a1177a977d2caafb91964e169151b',41586,0,1,0,0),(10,'JIH8mVUt','e1fb2c24883c9d6033ab3bb358559257f96345cd','','','JIH8mVUt@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','154b8377b50e5e290a150bef742569f5',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','79a8b6269cafeac79ed1878af0f6d04cedbcafa3',41587,0,1,0,0),(11,'furi2MpX','07cf01fab33f9757a7a8f59f9b1d6ad15a5a7e38','','','furi2MpX@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','b575f20f11deaf08d5a10e61a5f9bdd7',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','f300b911a8a5d8a5e2f6acc276443ad736967881',41588,0,1,0,0),(12,'BbcuFM2E','5f3c6c26ead480ef62d1880172980839a730f7cc','','','BbcuFM2E@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7d4d36a626d734ca1b5d7fb6f86e0498',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','dc59343c3efd0288d348ba14cb39f926c7bdba9c',41589,0,1,0,0),(13,'kRjH5T94','07d8b5c6659dc9e4621b8145f75bbc6426588a8a','','','kRjH5T94@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','cdf06126f6777176cb370726b51e2fe3',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','60469a6a347807aa89c046e1a776b4bebecd3d1d',41590,0,1,0,0),(14,'qcmVUkXv','e102c2849d682e23e4c46fba3140701271ee1cca','','','qcmVUkXv@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','23ae5de3130453eaaa2ef07cfb9e1581',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','eac0ab208b946edb515c606d77ff2d03c9f09b76',41591,0,1,0,0),(15,'cl34Bu8U','9e4336a7f4a46587c7a35aa21f2435f6e68ef9f1','','','cl34Bu8U@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','2da4165541bb8ca4b4a0bf62a00d3d4f',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c9979546b28da893e74cda3cd6bb1ea0f9f5f94b',41592,0,1,0,0),(16,'vZCKqjIy','7e8954a7e32f2f36e3f25fbdf912dcec8c0d4409','','','vZCKqjIy@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','b89f24804471d2b9559c531f81f11ec5',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','40c9a17576435e8b14b24b541652c8faad4fca47',41593,0,1,0,0),(17,'fgvMKSNA','c6c3fcb688d9bed24cfe92247a6d62054058c1e3','','','fgvMKSNA@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','c7893c07fe8857db83c4e5e8b87ef22a',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','4ba8dd481b3850c714b085edcaa6977acc9a8018',41594,0,1,0,0),(18,'efJQEvf7','db2543a1a1f66574ba9a1f3722aafdfc2713c6e8','','','efJQEvf7@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','694e017c48e5c8f3c208b0242625e023',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d96375e01e52c2db8228831052be2155d4645329',41595,0,1,0,0),(19,'8zrywShA','b3d0ff1a03e8aaaf93dc0941081dd0cd250f2d8b','','','8zrywShA@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','9a507488970e304c1adb86b9c3898b27',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','9f43bd8786b682908858083bd10f70bdb45dc56f',41596,0,1,0,0),(20,'fN5qTFpk','cff5a24c2559532b1b64358ddbe084b16a63eba6','','','fN5qTFpk@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','3af4ce9d5ac7e0a58d015eb257f82f99',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','0cc88684781bb5a63d75fe781e6e2f1e89173796',41597,0,1,0,0),(21,'I3oYHPN5','e349498d89811112eb225a73ebd7bac8a34e35c7','','','I3oYHPN5@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','74dd23e1bf7e6bea11269c87094eb84b',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','11eb6c4a8ef0d32ffdcedd169f4c2b5ecec8400b',41598,0,1,0,0),(22,'aCzqnS4Z','63b5a7d2f05c5f29bfcc1ef0a09574f22a4c3a6f','','','aCzqnS4Z@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','b4fe3db549d1ad5652ca346a471220c2',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c0b1033b46f064856faaa9b34e190c0a7b8f5af4',41599,0,1,0,0),(23,'Ak4RvsNr','15962a31255c5765554b1bb148d5f8f9300339ba','','','Ak4RvsNr@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','197d49eddb1de8e1fd1f208cf38f74ac',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c5dc5861b7c61b05cdd40a012f247c987b76a739',41600,0,1,0,0),(24,'abpc5lhN','c812399e0a91874f5d3f054daf6b6b1d625414a6','','','abpc5lhN@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7e9294db0be88d598f8f8a1d69a92ed5',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c3d78b92d3511794432dd4c4a3e92c4b0ae388fe',41601,0,1,0,0),(25,'Ws7UKuq9','218e7e0611fae29f10a456b87431c09b7e91c73d','','','Ws7UKuq9@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','b771228847cd7038c2ab27a5c49a7570',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','4a4240ee1d3148cea5ce0e86f9bf6450ab0557d3',41602,0,1,0,0),(26,'mrNYGzDM','6c7588d8b6fcadcb069644fbd971cf968ee5ceee','','','mrNYGzDM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','34c770af2d180663e7eb6c8f2679c30a',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ca7dd6f6c45cf1f212ad24f84fc82c9a9a73820d',41603,0,1,0,0),(27,'jS5I8Zhl','e2e790ea794e9af60ac5e5a6ccae90dab7f010d6','','','jS5I8Zhl@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','726eba509ed62f40f21b99303dc77f29',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','e2b7fc460d7c0320ee0fa8aa67ab257f1e03036e',41604,0,1,0,0),(28,'y2BUTJCn','dd1975accb83513c22b0c1fef97e24f792e42302','','','y2BUTJCn@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','fed37bd623fcfdb230a41735ac6d1161',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','17a3ec25f870434b8dd6533deae5dd4963617fff',41605,0,1,0,0),(29,'29kg4RHl','3828d36ea94d5a34599d27cf05ced798989f543b','','','29kg4RHl@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','42e440e4faea1989245717fc3c08a444',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','5f3966c232a6d26fad2f2d122f0474af492a6d9a',41606,0,1,0,0),(30,'hHj9S4kx','0bdd19999eae1f8a9089af4f66050fde6a5c2061','','','hHj9S4kx@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','4b5ec1c9c90cd184846a9f505bdf116b',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','437b408314c8a0ff97fc66043de17ef4035110bc',41607,0,1,0,0),(31,'f3IF8He7','af276b72c7487d39adcf7f3c428bcabf487e4da0','','','f3IF8He7@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','88df8170656e24ab68d1bc3613d87c77',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d3337453a3e78a92fed5502d046b6e6bbb9f391b',41608,0,1,0,0),(32,'MkbN7O14','0a1f71f2435e08d6bc8e091e6a66af6faa2998fe','','','MkbN7O14@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','f0877becb2f2654264f6dbd28840f0c3',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','6a3150b774da8193dd65b11af3eed074d1fdc9d8',41609,0,1,0,0),(33,'wy2x5eno','47b91697d8631224c9f655bf9cdd0a9d8edfa702','','','wy2x5eno@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','f055519dc66e9d5826607709e64749c9',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','990fea34c8dc7abbb97c0cb374e69301917f4fa1',41610,0,1,0,0),(34,'wib6LIs2','ccda7daa66e702fa4002a51b0c24af0bd1a5ca71','','','wib6LIs2@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','99181ee580c7f677961be74ca7dc3faf',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','f6aa2b0dd20e7ea63bd3a666defff8abf280480e',41611,0,1,0,0),(35,'xPh2uoeM','0d4cef6f93ca197ee4fc96427e176d63812769c5','','','xPh2uoeM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a7ec48209c744a35c8b3e99ebd0f1c45',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','1783a4ac81be25c976f3fdcf4467f4044cb9499f',41612,0,1,0,0),(36,'6VtoaX5G','848bd79c85657d2e20acbdcebe4b1074c7584942','','','6VtoaX5G@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','0cc741401dbe9e26c7acc639578078c3',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','0a16d844457963d5b7c9926f36a9acf262b34ea2',41613,0,1,0,0),(37,'G4fo5c2F','702b9102b7554a0edcd6d947c05d3a92a9add81d','','','G4fo5c2F@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','95c2db41fe59d658b8f02f8875953a38',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','573464d16b8ba225f68c015234ed900a348cc343',41614,0,1,0,0),(38,'oxUhrVgs','0b6bb17278c041013b429f1a34f4bc8a5c127a5e','','','oxUhrVgs@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','c86a38ca6e508cc60e1f1dad78dec5f2',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','bc04429739b60fb4ba9f4b3480a72cc9b082dccb',41615,0,1,0,0),(39,'EUNcPXtx','c56887bde4f46e95715553ee000e65ac7667efd5','','','EUNcPXtx@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','77048c9511be3170395bf3b14d2f3d00',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','80e08411d37b6f217a42093e943a85ce4ed2b44a',41616,0,1,0,0),(40,'F1oSqVar','480f966b8d99249db8861cdb09940d6c186c3eef','','','F1oSqVar@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7ec49f66b6a21c0be00dbb7b074b08c0',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','a12b05e1cc528aa3a592ebd40f697c53fa8b147a',41617,0,1,0,0),(41,'TXhHKDa7','082c99d8d0b5bfab469bb3fa2001a06ddad1509e','','','TXhHKDa7@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7a5fbbdc9645245bd83cef6de334fb78',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','424ad73cf26153460db8f7ed5b5a5a4d5288f625',41618,0,1,0,0),(42,'lyRhikBP','13ea51c157c210a64f4460ba8bee7695627c1a90','','','lyRhikBP@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','8e508e0dcaaef125f54b425115d69631',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','21077f488bfa68037898b531f20c50fc296550b7',41619,0,1,0,0),(43,'VjX8QLAq','e5ef57d1d6f7dbc03700dc6fd45d1bc47e3dc1d4','','','VjX8QLAq@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7ef2d6eb8c9439e7012695f3161ab996',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','f6c76f46f628e4bba0ead3b41aba447e74e136b4',41620,0,1,0,0),(44,'JzgWDLiH','1b2f9f96c595216fee93a84432b7dc7d2b06c960','','','JzgWDLiH@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','cfd1af077779ad5210ed642e5ac1b3db',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','7e1919cdadec10e218ede87e04a9e45ec929a096',41621,0,1,0,0),(45,'IjuJf9no','013fe1af08ccecee4ee7f693d423d52446c50376','','','IjuJf9no@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','86761269e233bfa76b61ba36e0f32e01',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','a2a178dee5ca4ea5ed267eed7aaba2cb49696375',41622,0,1,0,0),(46,'E9LQG5M6','27512b4c9f06376a450b9345d9aa02771531d8eb','','','E9LQG5M6@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','97d9c5719e39a69a5dc6bf76ceebff7e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ad93c5b38e9ffcbf9318df5a5c043968467aa1e4',41623,0,1,0,0),(47,'lbKhAWPX','af65701db2cef4369ac355319cfcd5737e5f051f','','','lbKhAWPX@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','9ab501510ecbd7de7accdc4affef8990',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','46deeee02e4b2a9a3f5dfad7712550811ce49553',41624,0,1,0,0),(48,'2ba6fqTV','f037e54a4d4c0465284fe0d476cb67b14a5866c1','','','2ba6fqTV@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','858012aaaecc6f9d86b8aa248fd23666',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','88026bf3fef50e12baabeec836a76556b86759ae',41625,0,1,0,0),(49,'TZ2iYWSp','b66fd367f32e142891f55f33f29149ab73fa1e40','','','TZ2iYWSp@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','9845df9409edf2f80e7bed8f28834cf7',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','31ee34b676d70207418bf0f241c4eb3a9bfb2d7c',41626,0,1,0,0),(50,'nIlJ95Ni','6b78716c3d61a30f7564b570ad52f47537ee9251','','','nIlJ95Ni@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','d20b98600dc25606308254848739e4c2',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c7bd28c6733e19cfcf211cf01eecbb8c7b30026c',41627,0,1,0,0),(51,'vHfliDOM','dfa79a669a6a1df00467b978f193cda856794b89','','','vHfliDOM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','5b60fdc1ac1218bbb821b84b9b45b297',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','33ed280d563b2559e37de5371e75550b9ac4aadf',41628,0,1,0,0),(52,'i3JakBcV','e3b85a1b487324c7e411bbbd228f6dfe7a732b67','','','i3JakBcV@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','fb75d109629f1a894a703f5f228a78c7',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c3dba464adda007f91dcc749125f198fda32ba7d',41629,0,1,0,0),(53,'UoXSMZHV','4c68b3442e7f97f28f3ed50759bcd15ed05da833','','','UoXSMZHV@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','920329021be64fefbe02882ad2129609',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','7f189f0ad9a14579225901fa65616af97d3bd321',41630,0,1,0,0),(54,'fxsjGh7e','addd6c8da19fea143a24a37a8540f4c048b1ba5d','','','fxsjGh7e@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','e3e0191d39fd6c230c823ad0459cda23',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','24376a127bcfb9be3fd636fb3bd7c8e525fcd99d',41631,0,1,0,0),(55,'Csqghcwi','dfd4b99321a9a89428b6b85e02a7ac4904281b85','','','Csqghcwi@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','327fa8c4af758f1221227c4d65288226',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','49bc9fc37cf7f030d10f25f95b8529da17c01573',41632,0,1,0,0),(56,'WVn97DYS','473a35ba7ec8f5eee0d6a0b17d24f475009672fb','','','WVn97DYS@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a286025f3f087c0ecc5575fbbe8f8074',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','31e62d2290275b341075c8455d0231057e4796c3',41633,0,1,0,0),(57,'KaoyG6eq','d6bec8e583ff9e62d947ea446d826b01b646dcf3','','','KaoyG6eq@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','dcf9556212be01e376e1f72a2aa26e3e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','888dc5f7607179f28f301b2ccf13336195d0856f',41634,0,1,0,0),(58,'FLrAajfw','e6a6544fe8a838e286224bbef03b2265f6e3eef2','','','FLrAajfw@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','53835ed9010e19c173ba7968fb22abf2',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','15c83f7cbb828387e5e0d358369ace75b34e5f8f',41635,0,1,0,0),(59,'lrkhx5sL','e2e84d2361462b823b418a42f4152d589be405f4','','','lrkhx5sL@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','e1e55fa3616761651d527e83510dd2f1',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','5a1ea1cdefa8083e3aa6e9659df1679062880506',41636,0,1,0,0),(60,'s94Wkgc1','9c696649a78aa61357452dbac2960e60133485b3','','','s94Wkgc1@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','03659b6c0c6040cdc4d04bc998def649',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d650bf38f0b5c782f5a1ec3037ecb00dd7115735',41637,0,1,0,0),(61,'pwvBUSAL','a3ef7b862a31080b3045a532ef106f332c5bb8ca','','','pwvBUSAL@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','198848605845a6f484e6ffc20a1c945f',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d47faa5bdf539e0a17a07a1ddc6f86d49bd2ad3e',41638,0,1,0,0),(62,'JRSasMb6','1e7fbf85ea85982cf6ebb89f2a6174e843ad77b3','','','JRSasMb6@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','196088d569c296d6f8cddab4f6720d0c',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','478fe2313dab8b2d26ec86b0d8b79d27c8bec060',41639,0,1,0,0),(63,'EnuOoZ8y','85666abcbcd046aa4a4fbbb8d4baec70e9d0a7d8','','','EnuOoZ8y@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','eb4301d84ba33e0f4e23065598019cb6',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','a717f81bb64dc60b32ffebccec91e6b21f9ef5dc',41640,0,1,0,0),(64,'wMGUbkHy','e3a503baac853d34eadc86e0353c01642a1dcffd','','','wMGUbkHy@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','e0fae15a3647b3aaa3feea66a25bf914',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','797e6ebd490f61fafffc6a078c6bc22276f3dbb2',41641,0,1,0,0),(65,'BOoGwE9e','9068f3172acb71fc7c06683d1d59387e317e9a52','','','BOoGwE9e@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','9088193741dbe87664a909113bdcb79d',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','e197496785056d5a2d38c46c160ebbea486fbac2',41642,0,1,0,0),(66,'ER47hZcx','5e6e841108eb58a1dd4adf1ef59a328f66163668','','','ER47hZcx@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','93fa189c19d51f464b0787f59627d333',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','1b3713b5e003e63f684f27f7055e28adc1055df7',41643,0,1,0,0),(67,'Dfwr7BiW','7dcba2be209a9b782c55b4e22438746d111a70c3','','','Dfwr7BiW@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','11cc15a4a988483311049c11e7f2a56a',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','03e09ef1da70c9dc9b849ca472f4472f49422c64',41644,0,1,0,0),(68,'zFO6hX42','82330d78b0a3b81fd0844c6975e3fb91db2aa268','','','zFO6hX42@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','b272b57099a7114e86f04ea57c832ff1',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','a9e49a033df426412ef05dc1720ec18b445dee18',41645,0,1,0,0),(69,'aTuvNVmy','211a7113cd6b33472ee16cdef371f77617de574c','','','aTuvNVmy@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','ab6e2da87bad5366a34ae8f793888202',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','b5304533a94f11a6a3bba1e4b9152bfc477bc088',41646,0,1,0,0),(70,'2kRQr1Nx','e34aa0798fc1fb2dc164f8762f3e2145060a041d','','','2kRQr1Nx@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','bd500928e8290d5ce5ccec4f8153665b',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','c2bc76564c45043f08de1a4951f21b3d295a20bf',41647,0,1,0,0),(71,'ZKPhUFtz','501cb7b4b43149e4387e1276c608a8980ea23515','','','ZKPhUFtz@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','bbe741670e900075950832285c91efca',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','409e1f3ecdd4842ded74e7b7c5305addcc22e7e0',41648,0,1,0,0),(72,'vQsfnS9V','cad80a0a46576c13c229ffc48857af610c9e1587','','','vQsfnS9V@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','64e77946f852703c9214a53e0112b8d4',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','54a288f771c98f63768a85ce3c03d3ec7f62f8c1',41649,0,1,0,0),(73,'J7ufCv8y','a9619bc1a0002bc6b4e4bb4329fd0cc6a9055aff','','','J7ufCv8y@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','e46e66eee87ba11bc6dd9cd13f8f1641',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','081c563186ac6d2cb322f75f75c16ba4d5844260',41650,0,1,0,0),(74,'wADa5rTc','ee85935c02801fccff468a68da6818cf96671845','','','wADa5rTc@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','16349f48fa73bec9afd30feb3eaba6af',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','82db4925f9e21506e5bfe4a3eeb59bceff2aa4d0',41651,0,1,0,0),(75,'WkNGKFU7','debc4a7c1d36a9b5b59d128286865e68acb9eb70','','','WkNGKFU7@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a14ba733b0e659c36e3c297a67dccfe4',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','8f05af231abf779f64a0bb5ebcd3a4aa96b8e372',41652,0,1,0,0),(76,'TNEhtB5o','7dff5b9687a2d89b95ad308d46d0135a144a1d47','','','TNEhtB5o@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','ed9a8f35ff608ea82aaa5153c75ff5f1',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','f47b852beebd6357ef9256d012ac65e145f746fd',41653,0,1,0,0),(77,'MUbhX5H1','732920772d5686d592d4ddf994e679e5a5a16869','','','MUbhX5H1@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','ac8abed7998ff9f12383998f762dffd3',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','7b351a124f84af0d3e4e1a925ade5fedbf616614',41654,0,1,0,0),(78,'kPvgNfsm','e223f24c8c81b337e70ee77b8d2dbd76fde50196','','','kPvgNfsm@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','dbb597ed9fedf092d154197368fa1840',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','3adbe1d412abffdb3b89fa3b50d12145ee184e65',41655,0,1,0,0),(79,'eiTYEyKF','01eeaa611146eae15782adb26e3a17a8be58bff6','','','eiTYEyKF@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','91fb40eb4047f73df03517c19c49ad2d',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','1599b5165b5c0367021bd24a19a25d4cf1ea1122',41656,0,1,0,0),(80,'4PxCwQaz','82134a3319dda28f416a924b1c9464e1a7f5f076','','','4PxCwQaz@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','3073f20c75afe54d8ae459b25b1f85cd',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','53a144c2dcb1fa4bcbb2bebec56c434d39016a72',41657,0,1,0,0),(81,'sht2obUc','e5f6addd88d55644e05af4502519d8e9aa30a79a','','','sht2obUc@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','875acee2ab0db26e4a646f59b3db2040',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','009ab699d2cbb561ba2f115d990f78f8a3bd1187',41658,0,1,0,0),(82,'XDfzOfxE','0f10f1595a5838cf1de22a68a5d701068260771d','','','XDfzOfxE@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','67e94febdf98d4e6ea9179dcf7afeee8',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','41b4bc111e7cd9e1dc80fefd9d6e6daa57ea2367',41659,0,1,0,0),(83,'4zCAfMKg','6bfe683648c71339b932628834393bef49108645','','','4zCAfMKg@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','c88cfce95e7f4187b7df923128a6b516',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','d2211a94cce1b498987e02e295a5d65eefa1bd55',41660,0,1,0,0),(84,'afL8RoW7','787d8f760bd96a77c947c563ad4c8227c6980f24','','','afL8RoW7@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','bdbe15247f702c32d1b0062d10d17f4c',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','bdc850fea0e55cd30bb8f98e9618a2e066c8985d',41661,0,1,0,0),(85,'FcT26QNq','557a4859f58f3e1a688ea90260afbc7052c0d694','','','FcT26QNq@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','953f9c3f088ac1f6d2bfc9e485d8bab5',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','28f906002cf10403774ff4d214f1923e83a10a32',41662,0,1,0,0),(86,'AJv1V4br','7958013e21c16d031248939c826149e9bc995872','','','AJv1V4br@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','433e75f01de9924fc5cba37de768080f',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ff9908ceba5926be74fb7df3a685448b3eb9f841',41663,0,1,0,0),(87,'i54Qmhvp','818d7f6d7080899a20463df376c073b48cd8f537','','','i54Qmhvp@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','96a092886f1ed8b8d6786d49de98acc4',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ee1e2b25bf0cb67c70acc222a6f78a6ef05270b2',41664,0,1,0,0),(88,'RhujFGn9','ed6467a5bfe00f1ce61388827fbfe56e577ee7a6','','','RhujFGn9@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','834a7d445451d73c22b41790672ec626',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','46f1648a1760bea344c0d78fd0b441b7bf027b6a',41665,0,1,0,0),(89,'Lo2sIukM','386477144c3cfa53cbb25035492b37507c830e1e','','','Lo2sIukM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','6b48dbbaaa5d68d2a695445ec484c88a',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','fe8c075c7c0f9bf702fd0cd5dae720cd201a54f8',41666,0,1,0,0),(90,'HMEVptCb','d0a6c2a31d378024d8f7457f435ae0bbef405e0e','','','HMEVptCb@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','1dfa08634bba89251b4dcea9ab11d922',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','701abbe0dfe85306e2544008066669192fc43116',41667,0,1,0,0),(91,'Vcv8EaZt','a723e0f7ffaff233e86b027d786317cb25b0d164','','','Vcv8EaZt@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a26dc2ac09f60fada2d7e4e760a6115b',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','db7bf4a5525cd0b3de1d5c02eceab2643f18956a',41668,0,1,0,0),(92,'P7ZvGWQE','d3769abcf6a00f2f71ec167f330337b4b2dd6109','','','P7ZvGWQE@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','080c6b9a95b55ba69bfe67fc1656c69b',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','358be3f9d21439b8575ab3deeb679ddcbc35d8f3',41669,0,1,0,0),(93,'a9BRQsGZ','05102208cef7f8fea6730de7af5bd87f4efda491','','','a9BRQsGZ@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a63c918be76a3d9d9506b83a2e56ace7',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','79fea04795156840bc4ece359d4a74843d2108de',41670,0,1,0,0),(94,'frauJlnN','eaa25c6bf0e91706381f45f10dcd34e9cabcad68','','','frauJlnN@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','d2afe1b0240441fb0a53d8f2ea4eb2ae',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ec21d876f3c582b71b944182347c3cfa24859786',41671,0,1,0,0),(95,'P7oUgNCF','e0446e91a69b6e22bc51e5c53da87d42b9870c6f','','','P7oUgNCF@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','aed5f2db3b0b20fd97f530be0557b6db',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','43b194af4c4ec29d66b4a913bbdfc108cadb8396',41672,0,1,0,0),(96,'PzxprGaf','3379fcff6f2bad62f45a2105564060e909bf4a25','','','PzxprGaf@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','6c0d13016f081441e38d650d64399a12',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','7eada6c0af980427d2e6b9ab94ebb0f40d9626cf',41673,0,1,0,0),(97,'j42Q1rHM','138ff52ed6689d9072b6ca935e46a8137aefac9b','','','j42Q1rHM@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','7fa875fa6d18f27323de26c32b362bcc',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','a30d9ac331df00a34996d61da55246c47028b701',41674,0,1,0,0),(98,'LDH912wX','ecfdf9aca55f77a66a8c60a3e54743fa77f2d381','','','LDH912wX@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','fc3d49fb216b3c2045af8c8d1c4596c4',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','ce043b06729a71589ddba6bda3b2f3575cbe6e9c',41675,0,1,0,0),(99,'cI3sDbKv','f01cc1ed85d6934acf9886cb48a86a270f3e74f8','','','cI3sDbKv@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','a7ac875b7a80e120ee84437fd7e7af63',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','20bbef11a31df44c04f2cf4a44c3bee12882ae99',41676,0,1,0,0),(100,'6ugjiSwZ','c3e5edd707b5cbc0a2b87176b7a85fb1050017dc','','','6ugjiSwZ@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','57b1b33821c341431d9ac7e9f61165cc',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','509e3eaea7940aa62d44ba7e0df783518ba567e4',41677,0,1,0,0),(101,'AXQl5IRL','bc41a5d9cbcfc0191a9b85aae07b831c4e321515','','','AXQl5IRL@forge.com',0,1,NULL,'',NULL,'2021-08-27 10:05:25','2021-08-27 10:05:25','User',NULL,'','77855a15e7b8887d6075f39b88a8ba2e',NULL,0,0,0,NULL,0,0,0,NULL,1,0,NULL,0,0,0,0,0,0,0,NULL,'forge','b31639faf042cfac3f5fd517a904f2986273a9f0',41678,0,1,0,0);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_authentications`
--

DROP TABLE IF EXISTS `users_authentications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users_authentications` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `authentication_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_authentications`
--

LOCK TABLES `users_authentications` WRITE;
/*!40000 ALTER TABLE `users_authentications` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_authentications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `verification_codes`
--

DROP TABLE IF EXISTS `verification_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `verification_codes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `code` varchar(255) DEFAULT NULL,
  `code_type` int DEFAULT NULL,
  `status` int DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `by_phone` (`phone`),
  KEY `by_email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `verification_codes`
--

LOCK TABLES `verification_codes` WRITE;
/*!40000 ALTER TABLE `verification_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `verification_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `version_releases`
--

DROP TABLE IF EXISTS `version_releases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `version_releases` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `body` text,
  `tag_name` varchar(255) DEFAULT NULL,
  `target_commitish` varchar(255) DEFAULT NULL,
  `draft` tinyint(1) DEFAULT '0',
  `prerelease` tinyint(1) DEFAULT '0',
  `tarball_url` varchar(255) DEFAULT NULL,
  `zipball_url` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `version_gid` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `repository_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_version_releases_on_repository_id` (`repository_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `version_releases`
--

LOCK TABLES `version_releases` WRITE;
/*!40000 ALTER TABLE `version_releases` DISABLE KEYS */;
/*!40000 ALTER TABLE `version_releases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `versions`
--

DROP TABLE IF EXISTS `versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `versions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `description` text,
  `effective_date` date DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `wiki_page_title` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT 'open',
  `sharing` varchar(255) NOT NULL DEFAULT 'none',
  `user_id` int DEFAULT NULL,
  `issues_count` int DEFAULT '0',
  `closed_issues_count` int DEFAULT '0',
  `percent` float DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `versions_project_id` (`project_id`),
  KEY `index_versions_on_sharing` (`sharing`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `versions`
--

LOCK TABLES `versions` WRITE;
/*!40000 ALTER TABLE `versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `visitors`
--

DROP TABLE IF EXISTS `visitors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visitors` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `master_id` int DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_visitors_user_id` (`user_id`),
  KEY `index_visitors_master_id` (`master_id`),
  KEY `index_visitors_updated_on` (`updated_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `visitors`
--

LOCK TABLES `visitors` WRITE;
/*!40000 ALTER TABLE `visitors` DISABLE KEYS */;
/*!40000 ALTER TABLE `visitors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watchers`
--

DROP TABLE IF EXISTS `watchers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `watchers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `watchable_type` varchar(255) NOT NULL DEFAULT '',
  `watchable_id` int NOT NULL DEFAULT '0',
  `user_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `watchers_user_id_type` (`user_id`,`watchable_type`),
  KEY `index_watchers_on_user_id` (`user_id`),
  KEY `index_watchers_on_watchable_id_and_watchable_type` (`watchable_id`,`watchable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchers`
--

LOCK TABLES `watchers` WRITE;
/*!40000 ALTER TABLE `watchers` DISABLE KEYS */;
/*!40000 ALTER TABLE `watchers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `weapp_settings`
--

DROP TABLE IF EXISTS `weapp_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `weapp_settings` (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `online` tinyint(1) DEFAULT '0',
  `position` int DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weapp_settings`
--

LOCK TABLES `weapp_settings` WRITE;
/*!40000 ALTER TABLE `weapp_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `weapp_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `web_footer_companies`
--

DROP TABLE IF EXISTS `web_footer_companies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `web_footer_companies` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `logo_size` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `web_footer_companies`
--

LOCK TABLES `web_footer_companies` WRITE;
/*!40000 ALTER TABLE `web_footer_companies` DISABLE KEYS */;
/*!40000 ALTER TABLE `web_footer_companies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `web_footer_oranizers`
--

DROP TABLE IF EXISTS `web_footer_oranizers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `web_footer_oranizers` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `description` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `web_footer_oranizers`
--

LOCK TABLES `web_footer_oranizers` WRITE;
/*!40000 ALTER TABLE `web_footer_oranizers` DISABLE KEYS */;
/*!40000 ALTER TABLE `web_footer_oranizers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `websshes`
--

DROP TABLE IF EXISTS `websshes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `websshes` (
  `id` int NOT NULL AUTO_INCREMENT,
  `myshixun_id` int DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `port` int DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `websshes`
--

LOCK TABLES `websshes` WRITE;
/*!40000 ALTER TABLE `websshes` DISABLE KEYS */;
/*!40000 ALTER TABLE `websshes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wechat_logs`
--

DROP TABLE IF EXISTS `wechat_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wechat_logs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `openid` varchar(255) NOT NULL,
  `request_raw` text,
  `response_raw` text,
  `session_raw` text,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `index_wechat_logs_on_openid` (`openid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wechat_logs`
--

LOCK TABLES `wechat_logs` WRITE;
/*!40000 ALTER TABLE `wechat_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `wechat_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wiki_content_versions`
--

DROP TABLE IF EXISTS `wiki_content_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wiki_content_versions` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wiki_content_id` int NOT NULL,
  `page_id` int NOT NULL,
  `author_id` int DEFAULT NULL,
  `data` longblob,
  `compression` varchar(6) DEFAULT '',
  `comments` varchar(255) DEFAULT '',
  `updated_on` datetime NOT NULL,
  `version` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_content_versions_wcid` (`wiki_content_id`),
  KEY `index_wiki_content_versions_on_updated_on` (`updated_on`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wiki_content_versions`
--

LOCK TABLES `wiki_content_versions` WRITE;
/*!40000 ALTER TABLE `wiki_content_versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `wiki_content_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wiki_contents`
--

DROP TABLE IF EXISTS `wiki_contents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wiki_contents` (
  `id` int NOT NULL AUTO_INCREMENT,
  `page_id` int NOT NULL,
  `author_id` int DEFAULT NULL,
  `text` longtext,
  `comments` varchar(255) DEFAULT '',
  `updated_on` datetime NOT NULL,
  `version` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_contents_page_id` (`page_id`),
  KEY `index_wiki_contents_on_author_id` (`author_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wiki_contents`
--

LOCK TABLES `wiki_contents` WRITE;
/*!40000 ALTER TABLE `wiki_contents` DISABLE KEYS */;
/*!40000 ALTER TABLE `wiki_contents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wiki_pages`
--

DROP TABLE IF EXISTS `wiki_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wiki_pages` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wiki_id` int NOT NULL,
  `title` varchar(255) NOT NULL,
  `created_on` datetime NOT NULL,
  `protected` tinyint(1) NOT NULL DEFAULT '0',
  `parent_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_pages_wiki_id_title` (`wiki_id`,`title`),
  KEY `index_wiki_pages_on_wiki_id` (`wiki_id`),
  KEY `index_wiki_pages_on_parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wiki_pages`
--

LOCK TABLES `wiki_pages` WRITE;
/*!40000 ALTER TABLE `wiki_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `wiki_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wiki_redirects`
--

DROP TABLE IF EXISTS `wiki_redirects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wiki_redirects` (
  `id` int NOT NULL AUTO_INCREMENT,
  `wiki_id` int NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `redirects_to` varchar(255) DEFAULT NULL,
  `created_on` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `wiki_redirects_wiki_id_title` (`wiki_id`,`title`),
  KEY `index_wiki_redirects_on_wiki_id` (`wiki_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wiki_redirects`
--

LOCK TABLES `wiki_redirects` WRITE;
/*!40000 ALTER TABLE `wiki_redirects` DISABLE KEYS */;
/*!40000 ALTER TABLE `wiki_redirects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wikis`
--

DROP TABLE IF EXISTS `wikis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `wikis` (
  `id` int NOT NULL AUTO_INCREMENT,
  `project_id` int NOT NULL,
  `start_page` varchar(255) NOT NULL,
  `status` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `wikis_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wikis`
--

LOCK TABLES `wikis` WRITE;
/*!40000 ALTER TABLE `wikis` DISABLE KEYS */;
/*!40000 ALTER TABLE `wikis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `zip_packs`
--

DROP TABLE IF EXISTS `zip_packs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zip_packs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int DEFAULT NULL,
  `homework_id` int DEFAULT NULL,
  `file_digest` varchar(255) DEFAULT NULL,
  `file_path` varchar(255) DEFAULT NULL,
  `pack_times` int DEFAULT '1',
  `pack_size` float DEFAULT '0',
  `file_digests` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `container_id` int DEFAULT '0',
  `container_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `index_zip_packs_on_container_id_and_container_type` (`container_id`,`container_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `zip_packs`
--

LOCK TABLES `zip_packs` WRITE;
/*!40000 ALTER TABLE `zip_packs` DISABLE KEYS */;
/*!40000 ALTER TABLE `zip_packs` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-08-27 18:07:21
